#include <stdbool.h>
#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#include <windows.h>

// ----------------- Float Types Definitions ------------------

typedef float float32_t;
typedef double float64_t;
typedef long double float80_t;

// ------------------------ Structures ------------------------

struct BITMAPINFOHEADER {
    int32_t e0;
    int32_t e1;
    int32_t e2;
    int16_t e3;
    int16_t e4;
    int32_t e5;
    int32_t e6;
    int32_t e7;
    int32_t e8;
    int32_t e9;
    int32_t e10;
};

struct CRITICAL_SECTION {
    int32_t e0;
    int32_t * e1;
    int32_t * e2;
    int32_t * e3;
};

struct LARGE_INTEGER {
    int64_t e0;
};

struct OVERLAPPED {
    int32_t * e0;
    int32_t * e1;
    char * e2;
    int32_t * e3;
};

struct PALETTEENTRY {
    char e0;
    char e1;
    char e2;
    char e3;
};

struct LOGPALETTE {
    int32_t e0;
    int32_t e1;
    struct PALETTEENTRY e2;
};

struct POINT {
    int32_t e0;
    int32_t e1;
};

struct RECT {
    int32_t e0;
    int32_t e1;
    int32_t e2;
    int32_t e3;
};

struct RGBQUAD {
    char e0;
    char e1;
    char e2;
    char e3;
};

struct BITMAPINFO {
    struct BITMAPINFOHEADER e0;
    struct RGBQUAD e1;
};

struct SECURITY_ATTRIBUTES {
    int32_t e0;
    int32_t * e1;
    bool e2;
};

struct struct_104 {
    int32_t e0;
    int32_t e1;
    int32_t e2;
};

struct struct_105 {
    int32_t e0;
    char e1;
    char e2[140];
    int32_t e3;
    char e4[40];
    int32_t e5;
    char e6[4];
    int32_t e7;
    char e8[336];
    char e9;
    int32_t e10;
    char e11[4];
    int32_t e12;
    char e13[176];
    char e14;
};

struct struct_12 {
    int32_t * e0;
    int32_t e1;
};

struct struct_123 {
    char e0;
    char e1;
    char e2[2];
};

struct struct_124 {
    int32_t e0;
    int32_t e1;
    char e2[4];
    int32_t e3;
};

struct struct_125 {
    int32_t e0;
    int32_t e1;
    int32_t e2;
    int32_t e3;
    int32_t e4;
    int32_t e5;
    int32_t e6;
};

struct struct_126 {
    int32_t e0;
    int32_t * e1;
};

struct struct_162 {
    int32_t e0;
    int32_t e1;
    char e2[12];
    char e3;
};

struct struct_163 {
    char e0;
    char e1;
    char e2[8];
    char e3;
};

struct struct_166 {
    char e0;
    char e1;
    int32_t e2;
    int32_t e3;
    int32_t e4;
    char e5[12];
    char e6;
};

struct struct_167 {
    int32_t e0;
    int32_t e1;
    char e2[1];
    char e3;
    char e4[7];
    char e5;
    char e6;
};

struct struct_169 {
    char * e0;
    char * e1;
    char e2[12];
    char e3;
};

struct struct_170 {
    char * e0;
    char e1;
};

struct struct_171 {
    int32_t * e0;
    char e1;
    int32_t * e2;
    int32_t e3;
    int32_t e4;
};

struct struct_172 {
    int32_t e0;
    char e1;
    int32_t e2;
    int32_t e3;
    int32_t e4;
};

struct struct_173 {
    int32_t e0;
    char e1;
    int32_t e2;
    int32_t e3;
    int32_t e4;
    char e5[12];
    char e6;
    int32_t e7;
    char e8;
};

struct struct_180 {
    char e0;
    char e1;
    char e2;
    int32_t e3;
    int32_t e4;
    int32_t e5;
    int32_t e6;
    int32_t e7;
    int32_t e8;
    char e9;
    char e10;
};

struct struct_181 {
    int32_t e0;
    char e1;
    int32_t e2;
    int32_t e3;
    int32_t e4;
    char e5;
    char e6;
    int32_t e7;
    int32_t e8;
    char e9;
    char e10;
    int32_t e11;
    char e12;
    char e13[4];
    int32_t e14;
    int32_t e15;
    int32_t e16;
    char e17;
    char e18;
};

struct struct_183 {
    int32_t * e0;
    int32_t e1;
    char e2[12];
    int32_t e3;
    char e4[28];
    int32_t e5;
};

struct struct_19 {
    int32_t e0;
    int32_t e1;
};

struct struct_195 {
    char e0;
    int32_t e1;
    int32_t e2;
    int32_t e3;
    char e4;
    int32_t e5;
    char e6;
    char e7[4];
    char e8;
    char e9[24];
    int32_t e10;
    int32_t e11;
    char e12[4];
    char e13;
    char e14;
    char e15;
    char e16;
    int32_t e17;
    int32_t e18;
    char e19[1];
    char e20;
    char e21[11];
    int32_t e22;
    char e23[4];
    char e24;
    char e25[4];
    int32_t e26;
    char e27[21];
    char e28;
    char e29[30];
    char e30;
};

struct struct_210 {
    int32_t * e0;
    int32_t * e1;
    int32_t * e2;
    int32_t * e3;
};

struct struct_212 {
    int32_t * e0;
    int32_t e1;
    char e2[4];
    int32_t e3;
};

struct struct_215 {
    int32_t e0;
    int32_t e1;
    int32_t e2;
    int32_t e3;
    int32_t e4;
    int32_t e5;
    int32_t e6;
    char e7[12];
    int32_t e8;
    int32_t e9;
    int32_t e10;
    int32_t e11;
};

struct struct_216 {
    int32_t * e0;
    int32_t e1;
    char e2[4];
    int32_t e3;
    int32_t e4;
    char e5[4];
    int32_t e6;
    int32_t * e7;
};

struct struct_217 {
    int32_t e0;
    int32_t e1;
    int32_t * e2;
    int32_t * e3;
    int32_t * e4;
    int32_t * e5;
    int32_t e6;
    char e7[16];
    int32_t e8;
    int32_t e9;
};

struct struct_219 {
    int32_t e0;
    int32_t e1;
    char e2[4];
    int32_t e3;
    int32_t e4;
    char e5[8];
    int32_t * e6;
    char e7[52];
    int32_t e8;
    int32_t e9;
};

struct struct_220 {
    int32_t e0;
    int32_t e1;
    char e2[4];
    int32_t * e3;
    int32_t * e4;
    int32_t * e5;
    int32_t e6;
    char e7[20];
    int32_t e8;
};

struct struct_222 {
    int32_t * e0;
    char e1;
    int16_t e2;
};

struct struct_232 {
    int32_t e0;
    int32_t e1;
    char e2[4];
    char * e3;
    char e4;
    char e5;
    char * e6;
    char e7;
    char e8;
};

struct struct_233 {
    int32_t e0;
    int32_t e1;
    int32_t e2;
    int16_t e3;
    int16_t e4;
    int32_t e5;
};

struct struct_241 {
    int32_t e0;
    int32_t e1;
    char e2[4];
    int32_t e3;
    int32_t e4;
    char e5[36];
    int32_t e6;
    int32_t e7;
};

struct struct_242 {
    char e0;
    char e1;
    char e2;
    int32_t e3;
    char e4[4];
    int32_t e5;
    int32_t e6;
    char e7[36];
    int32_t e8;
    int32_t e9;
};

struct struct_247 {
    int32_t e0;
    int32_t e1;
    char e2[56];
    int32_t e3;
};

struct struct_253 {
    int32_t e0;
    int32_t * e1;
    int32_t * e2;
    int32_t * e3;
};

struct struct_257 {
    int32_t e0;
    int32_t e1;
    int32_t e2;
    char e3;
    char e4;
};

struct struct_26 {
    char e0;
    int32_t e1;
};

struct struct_294 {
    char * e0;
    int32_t e1;
    int32_t e2[4];
    int32_t e3[2];
};

struct struct_295 {
    int32_t * e0;
    int32_t e1;
    char e2[2];
    int16_t e3;
    int32_t * e4[2];
};

struct struct_296 {
    char e0;
    int16_t e1;
    char e2;
};

struct struct_297 {
    int32_t e0;
    int32_t e1;
    int32_t e2;
    int32_t * e3;
    int32_t e4;
};

struct struct_30 {
    int32_t e0;
    int32_t e1;
    int32_t e2;
    int32_t e3;
};

struct struct_308 {
    int32_t e0;
    int32_t e1;
    int32_t * e2;
    char e3[40];
    int16_t e4;
    int32_t * e5;
};

struct struct_33 {
    char e0;
    char e1;
    char e2;
};

struct struct_4 {
    int32_t * e0;
    char e1;
};

struct struct_410 {
    int32_t * e0;
    int32_t e1;
    char e2[52];
    int32_t e3;
    char e4[4];
    int32_t e5;
    int32_t e6;
    char e7[52];
    int32_t e8;
    char e9[912];
    int32_t * e10;
    char * e11;
    char e12[4];
    int32_t e13;
};

struct struct_445 {
    int32_t * e0;
    int32_t e1;
    char e2[12];
    int32_t e3;
};

struct struct_457 {
    int16_t e0;
    char e1;
    char e2;
};

struct struct_464 {
    int32_t * e0;
    char * e1;
};

struct struct_512 {
    int32_t e0;
    int32_t e1;
    int32_t e2;
    int32_t e3;
    char e4[4];
    int32_t e5;
};

struct struct_68 {
    int32_t e0;
    int32_t e1;
    char e2[4];
    int32_t e3;
    char e4[32];
    int32_t e5;
    char e6[8];
    int32_t e7;
};

// ------------------- Function Prototypes --------------------

int32_t entry_point(int32_t a1, char * a2, int32_t a3, int32_t a4, int32_t a5, int32_t a6, int32_t a7, int32_t a8, int32_t a9, int32_t a10, int32_t a11);
int32_t * function_401000(int32_t * a1, struct SECURITY_ATTRIBUTES * a2, struct OVERLAPPED * a3, int32_t * a4, int32_t a5, int32_t a6, int32_t a7, int32_t a8, int32_t a9, int32_t a10, int32_t a11);
void function_402c3c(int32_t a1);
int32_t function_402c4c(void);
int32_t function_402c58(int32_t * a1);
int32_t function_402c6c(int32_t a1);
void function_4030dc(void);
void function_403508(void);
void function_403524(void);
void function_403c70(void);
void function_403f08(void);
void function_403f0c(void);
void function_4040d0(void);
int32_t * function_404a9c(int32_t a1, int32_t a2, int32_t a3, int32_t a4, int32_t a5);
void function_404d40(void);
void function_404d50(void);
void function_404dbc(void);
void function_404dc8(void);
int32_t function_404e18(char * a1);
void function_405068(void);
void function_405070(void);
void function_405234(void);
void function_405af8(void);
void function_405b98(void);
void function_405ba0(void);
void function_40644c(void);
void function_406554(void);
void function_40658c(void);
void function_4065b4(void);
void function_406d64(void);
void function_406d80(void);
void function_406d88(void);
void function_407680(void);
void function_407748(void);
void function_407908(void);
void function_40791c(void);
void function_407924(void);
void function_407938(void);
void function_4079a0(void);
void function_4079bc(void);
void function_4079c0(void);
void function_4079c4(void);
int32_t function_408c14(int32_t a1, int32_t a2);
void function_408e38(void);
void function_408e70(void);
int32_t * function_409394(char * a1);
void function_4093c0(void);
int32_t function_4093ec(char * a1, int32_t a2, int32_t a3);
void function_409450(void);
void function_4096d0(void);
char * function_40a0bc(char * result, int32_t * a2, char * a3, int32_t * a4, int32_t a5);
char * function_40bd4c(int32_t * a1, char * a2);
char * function_40bd64(int32_t * a1, char * a2);
int32_t function_40bd7c(int32_t * a1, char * a2, int32_t * a3, int32_t * a4, int16_t a5, int32_t * a6, char * a7, int32_t * a8, char * a9);
int32_t function_40c588(int32_t a1);
int32_t function_40c5bc(int32_t a1);
int32_t function_40c5f0(int32_t a1);
int32_t function_40c624(int32_t a1);
int32_t function_40c658(int32_t a1);
void function_40d06c(void);
void function_40d0a8(void);
int32_t function_40d164(char * a1, int32_t a2, int32_t a3, int32_t a4, int32_t a5, int32_t a6, int32_t a7, int32_t a8, int32_t a9, int32_t a10, int32_t a11, int32_t a12);
void function_40d3a4(void);
void function_40f0a8(void);
void function_41058c(void);
void function_410964(void);
void function_4109b8(void);
void function_41233c(void);
void function_4125b0(void);
void function_4125b8(void);
void function_4128f4(void);
void function_412a20(void);
void function_412a30(void);
void function_412f20(void);
void function_4132c4(void);
void function_414b10(void);
void function_414b38(void);
void function_41575c(void);
void function_415ebc(void);
void function_41617c(void);
void function_4162d8(void);
void function_4164e4(void);
void function_4165f4(void);
void function_4169d4(void);
void function_416b34(void);
void function_417a4c(void);
void function_4182a8(void);
void function_41837c(void);
void function_418d24(void);
void function_418d3c(void);
void function_419544(void);
void function_419e60(void);
void function_419e68(void);
void function_41ab00(void);
void function_41aca0(void);
void function_41b6ac(void);
void function_41b6b4(void);
void function_41b89c(void);
void function_41c3ec(void);
void function_41c41c(void);
void function_41c44c(void);
void function_41f050(void);
void function_41f060(void);
void function_41f4cc(void);
void function_41fc90(void);
void function_42003c(void);
void function_420614(void);
void function_42062c(void);
void function_421708(void);
void function_421914(void);
void function_422048(void);
void function_4221a4(void);
void function_422458(void);
void function_426520(void);
int32_t function_42bee0(char * a1, char * a2, int32_t a3, int32_t a4, int32_t a5, int32_t a6, int32_t a7, int32_t a8, int32_t a9, int32_t a10, int32_t a11, int32_t a12, int32_t a13, int32_t a14, int32_t a15, int32_t a16, int32_t a17, int32_t a18, int32_t a19, int32_t a20, int32_t a21, int32_t a22, int32_t a23);
void function_42ef94(void);
void function_42fabc(void);
void function_42fbb4(void);
void function_42fce4(void);
void function_42feb8(void);
void function_42febc(void);
void function_42fed8(void);
void function_430888(void);
void function_430c3c(void);
void function_430f18(void);
void function_430f38(void);
void function_4310b0(void);
void function_433920(void);
void function_4397bc(void);
void function_4398bc(void);
void function_43afb4(void);
void function_4402c4(void);
void function_4402cc(void);
void function_442cd0(void);
void function_442ce0(void);
void function_443034(void);
void function_447ce0(void);
void function_447d24(void);
void function_44946c(void);
void function_44979c(void);
void function_449c80(void);
void function_44abe0(void);
void function_4501e0(void);
void function_4502c8(void);
void function_4518c0(void);
void function_451908(void);
void function_4524b0(void);
void function_453048(void);
void function_453088(void);
void function_4538b0(void);
void function_456304(void);
void function_45632c(void);
void function_45634c(void);
void function_45636c(void);
void function_456390(void);
void function_4563d8(void);
void function_456464(void);
void function_45667c(void);
void function_4566d0(void);
void function_456750(void);
void function_4567b8(void);
void function_45685c(void);
void function_456924(void);
void function_456954(void);
void function_456a68(void);
void function_456ae0(void);
void function_456b94(void);
void function_456be4(void);
void function_456c18(void);
void function_456c68(void);
void function_456c74(void);
void function_456ca8(void);
void function_456d04(void);
void function_456d74(void);
void function_456e84(void);
void function_456ec8(void);
void function_456f38(void);
void function_457378(void);
void function_45756c(void);
void function_457580(void);
void function_4575cc(void);
void function_4575dc(void);
void function_457604(void);
void function_457684(void);
void function_4577d4(void);
void function_4580c4(void);
void function_45810c(void);
void function_458154(void);
void function_4581f0(void);
void function_458278(void);
void function_458518(void);
void function_45855c(void);
void function_458ae4(void);
void function_458b88(void);
void function_458c54(void);
void function_458cfc(void);
void function_459328(void);
void function_4595a4(void);
void function_4597cc(void);
void function_459860(void);
void function_459bcc(void);
void function_459c3c(void);
void function_459c6c(void);
void function_459cb0(void);
void function_459cec(void);
void function_459d30(void);
void function_459d80(void);
void function_459e70(void);
void function_459f60(void);
void function_45a00c(void);
void function_45a2a4(void);
void function_45a640(void);
void function_45a870(void);
void function_45a8e4(void);
void function_45a988(void);
void function_45aa14(void);
void function_45ad28(void);
void function_45af50(void);
void function_45aff0(void);
void function_45b01c(void);
void function_45b048(void);
void function_45b3c4(void);
void function_45b504(void);
void function_45b5bc(void);
void function_45b6b4(void);
void function_45b77c(void);
void function_45b8d4(void);
void function_45ba30(void);
void function_45bf7c(void);
void function_45bfb8(void);
void function_45c014(void);
void function_45c470(void);
void function_45c6e0(void);
void function_45d0a4(void);
void function_45d1f0(void);
void function_45d280(void);
void function_45d631(void);
void function_45d805(void);
void function_45d9a8(void);
void function_45df60(void);
void function_45f870(void);
void function_461c30(void);
void function_461d94(void);
void function_462278(void);
void function_46229c(void);
void function_4622c0(void);
void function_4622e4(void);
void function_462308(void);
void function_4623bc(void);
void function_462748(void);
void function_46285c(void);
void function_462a10(void);
void function_462b0c(void);
void function_462be0(void);
void function_463360(void);
void function_463850(void);
void function_4638bc(void);
void function_463914(void);
void function_4639a0(void);
void function_463a2c(void);
void function_463b48(void);
void function_463d24(void);
void function_463ed0(void);
void function_463f34(void);
void function_463ffc(void);
void function_46402c(void);
void function_46419c(void);
void function_464704(void);
void function_464840(void);
void function_464998(void);
void function_464bfc(void);
void function_4653e4(void);
void function_465bd0(void);
void function_465c9c(void);
void function_465d74(void);
void function_4660e0(void);
void function_4663c4(void);
void function_466874(void);
void function_4670e4(void);
void function_4671bc(void);
void function_467200(void);
void function_467264(void);
void function_4672a8(void);
void function_4672cc(void);
void function_4672f8(void);
void function_467328(void);
void function_4673b4(void);
void function_46746c(void);
void function_467644(void);
void function_4676ac(void);
void function_46816c(void);
void function_469c8c(void);
void function_469e18(void);
void function_469f40(void);
void function_469fd8(void);
void function_46a0a0(void);
void function_46a168(void);
void function_46a2a0(void);
void function_46a30c(void);
void function_46a3b4(void);
void function_46a708(void);
void function_46a798(void);
void function_46a7c4(void);
void function_46a864(void);
void function_46aa40(void);
void function_46aac4(void);
void function_46ab48(void);
void function_46abcc(void);
void function_46ac50(void);
void function_46acd4(void);
void function_46ad58(void);
void function_46ad90(void);
void function_46ae10(void);
void function_46af4c(void);
void function_46afe8(void);
void function_46b060(void);
void function_46b0d8(void);
void function_46b1f0(void);
void function_46b214(void);
void function_46b238(void);
void function_46b250(void);
void function_46b2e4(void);
void function_46b3dc(void);
void function_46b404(void);
void function_46b434(void);
void function_46b4ac(void);
void function_46b524(void);
void function_46b59c(void);
void function_46b614(void);
void function_46b68c(void);
void function_46b704(void);
void function_46b77c(void);
void function_46b7f4(void);
void function_46b86c(void);
void function_46b8e4(void);
void function_46b95c(void);
void function_46b9d4(void);
void function_46ba4c(void);
void function_46bac4(void);
void function_46c010(void);
void function_46c05c(void);
void function_46c18c(void);
void function_46c200(void);
void function_46c548(void);
void function_46c5dc(void);
void function_46c6cc(void);
void function_46c810(void);
void function_46c9f0(void);
void function_46cae4(void);
void function_46cb6c(void);
void function_46ccec(void);
void function_46cf84(void);
void function_46d08c(void);
void function_46d0bc(void);
void function_46d1bc(void);
void function_46d224(void);
void function_46d38c(void);
void function_46d5b4(void);
void function_46d7a8(void);
void function_46d8a0(void);
void function_46da68(void);
void function_46e170(void);
void function_46e1ac(void);
void function_46e28c(void);
void function_46e338(void);
void function_46e4e4(void);
void function_46e554(void);
void function_4705f0(void);
void function_470b80(void);
void function_470c2c(void);
void function_470ca0(void);
void function_471378(void);
void function_471908(void);
void function_4719f8(void);
void function_471c04(void);
void function_471c64(void);
void function_471cf0(void);
void function_471fa8(void);
void function_472018(void);
void function_4723b8(void);
void function_4723fc(void);
void function_472444(void);
void function_4725f0(void);
void function_4726a4(void);
void function_4727bc(void);
void function_472850(void);
void function_4728d0(void);
void function_472974(void);
void function_4729a4(void);
void function_472ac0(void);
void function_473194(void);
void function_473280(void);
void function_47329c(void);
void function_4732d4(void);
void function_473474(void);
void function_473500(void);
void function_473540(void);
void function_473608(void);
void function_4736bc(void);
void function_473900(void);
void function_47399c(void);
void function_474484(void);
void function_474c60(void);
void function_475228(void);
void function_475478(void);
void function_47550c(void);
void function_475528(void);
void function_475548(void);
void function_475568(void);
void function_4757c0(void);
void function_4757f7(void);
void function_475a30(void);
void function_475a80(void);
int32_t function_475aac(char * a1, char * a2);
void function_475b10(void);
void function_475b68(void);
void function_475d5c(void);
void function_475df8(void);
void function_475ea8(void);
void function_475ed4(void);
void function_475f00(void);
void function_475f24(void);
void function_475f48(void);
void function_475f78(void);
void function_475fc8(void);
void function_476018(void);
void function_476068(void);
void function_4760b8(void);
void function_476148(void);
void function_4761c0(void);
void function_4761e4(void);
void function_476208(void);
void function_4769c0(void);
void function_476a00(void);
void function_476adc(void);
void function_476b6c(void);
void function_476bc8(void);
void function_476c88(void);
void function_477108(void);
void function_477124(void);
void function_47746c(void);
void function_4776b4(void);
void function_4776dc(void);
void function_477730(void);
void function_477fa4(void);
void function_4781f0(void);
void function_478258(void);
void function_478304(void);
void function_47847c(void);
void function_47851c(void);
void function_478e90(void);
void function_47938c(void);
void function_479448(void);
void function_47951c(void);
void function_47952c(void);
void function_47954c(void);
void function_479650(void);
void function_47ab1c(void);
void function_47ac44(void);
void function_47aeb8(void);
void function_47b328(void);
void function_47b32c(void);
void function_47b39c(void);
void function_47b408(void);
void function_47b4fc(void);
void function_47b6fc(void);
void function_47b76c(void);
void function_47b97c(void);
void function_47ba88(void);
void function_47c110(void);
void function_47c174(void);
void function_47c46c(void);
void function_47c528(void);
void function_47c7f4(void);
void function_47cacc(void);
void function_47cf8c(void);
void function_47cfd8(void);
void function_47cff4(void);
void function_47d068(void);
void function_47d0d0(void);
void function_47d220(void);
void function_47d23c(void);
void function_47d35c(void);
void function_47d610(void);
void function_47d948(void);
void function_47d964(void);
void function_47e819(void);
void function_47e895(void);
void function_47e8b4(void);
void function_47eb6c(void);
void function_47ebcc(void);
void function_47ec3c(void);
void function_47ecc8(void);
void function_47eccc(void);
void function_47ecd4(void);
void function_47ed88(void);
void function_47edd4(void);
void function_47ee28(void);
void function_47ee94(void);
void function_47ef70(void);
void function_47efc4(void);
void function_47f030(void);
void function_47f050(void);
void function_47f070(void);
void function_47f178(void);
void function_47f288(void);
void function_47f410(void);
void function_47f448(void);
void function_47f4c8(void);
void function_47f4f8(void);
void function_47f560(void);
void function_47f85c(void);
void function_47f880(void);
void function_47f8e0(void);
void function_47f908(void);
void function_47f968(void);
void function_47f99c(void);
void function_47f9e8(void);
void function_47faf8(void);
void function_47fb3c(void);
void function_47fbc0(void);
void function_47fc6c(void);
void function_47fc90(void);
void function_480158(void);
void function_4802b4(void);
void function_480350(void);
void function_4804d0(void);
void function_4807f0(void);
void function_4808c4(void);
void function_480960(void);
void function_4809d4(void);
void function_480c90(void);
void function_480dec(void);
void function_4810ac(void);
void function_481198(void);
void function_481b9c(void);
void function_48243c(void);
void function_4826d8(void);
void function_482d18(void);
void function_482da8(void);
void function_482e28(void);
void function_483230(void);
void function_483980(void);
void function_483c40(void);
void function_483f70(void);
void function_48441c(void);
void function_48445c(void);
void function_484600(void);
void function_4846e4(void);
void function_484744(void);
void function_48484c(void);
void function_484a18(void);
void function_484a70(void);
void function_484aa4(void);
void function_484b58(void);
void function_484bbc(void);
void function_485bb8(void);
void function_485c90(void);
void function_485e54(void);
void function_48603c(void);
void function_486134(void);
void function_48618c(void);
void function_4861d8(void);
void function_486224(void);
void function_486260(void);
void function_486300(void);
void function_486440(void);
void function_48648c(void);
void function_4864d4(void);
void function_486658(void);
void function_48675c(void);
void function_4867a4(void);
void function_4867f8(void);
void function_486834(void);
void function_486868(void);
void function_486894(void);
void function_486e34(void);
void function_487178(void);
void function_487190(void);
void function_4871a4(void);
void function_487204(void);
void function_4872f4(void);
void function_487878(void);
void function_487894(void);
void function_487bdc(void);
void function_487e24(void);
void function_487e4c(void);
void function_487ea0(void);
void function_488714(void);
void function_488960(void);
void function_4889c8(void);
void function_488a74(void);
void function_488bec(void);
void function_488c8c(void);
void function_489600(void);
void function_489afc(void);
void function_489bb8(void);
void function_489c8c(void);
void function_489c9c(void);
void function_489cbc(void);
void function_48b3b4(void);
void function_48b628(void);
void function_48ba98(void);
void function_48ba9c(void);
void function_48bb0c(void);
void function_48bb78(void);
void function_48bc6c(void);
void function_48be6c(void);
void function_48bedc(void);
void function_48c0ec(void);
void function_48c1f8(void);
void function_48c880(void);
void function_48c8e4(void);
void function_48cbdc(void);
void function_48cc98(void);
void function_48cf64(void);
void function_48d23c(void);
void function_48d6fc(void);
void function_48d748(void);
void function_48d764(void);
void function_48d7d8(void);
void function_48d840(void);
void function_48d990(void);
void function_48d9ac(void);
void function_48dacc(void);
void function_48dd80(void);
void function_48e0b8(void);
void function_48e0d4(void);
void function_48e4dc(void);
void function_48e91c(void);
void function_48ea90(void);
void function_48ed64(void);
void function_48f088(void);
void function_48f148(void);
void function_48f170(void);
void function_48f240(void);
void function_4902e8(void);
void function_4903b4(void);
void function_4905b0(void);
void function_4906e4(void);
void function_490728(void);
void function_490a7c(void);
void function_490cf4(void);
void function_490d88(void);
void function_491c00(void);
void function_491d24(void);
void function_491e64(void);
void function_4920c8(void);
void function_492adc(void);
void function_492bbc(void);
void function_492be0(void);
void function_492c18(void);
void function_492cb4(void);
void function_493058(void);
void function_4943d0(void);
void function_494484(void);
void function_494798(void);
void function_495150(void);
void function_4957f8(void);
void function_495b98(void);
void function_496458(void);
void function_4975cc(void);
void function_49899c(void);
void function_498a60(void);
void function_499c64(void);
void function_499d64(void);
void function_499efc(void);
void function_499f8c(void);
void function_49a0a8(void);
void function_49a2a0(void);
void function_49a4e0(void);
void function_49a6e4(void);
void function_49a978(void);
void function_49af84(void);
void function_49aff4(void);
void function_49b3d8(void);
void function_49bc84(void);
void function_49c6cc(void);
void function_49cc6c(void);
void function_49cd74(void);
void function_49db90(void);
void function_49dbd8(void);
void function_49e498(void);
void function_49e5ac(void);
void function_49e5e0(void);
void function_49e63c(void);
void function_49e6f0(void);
void function_49e844(void);
void function_49e9b8(void);
void function_49f5e0(void);
void function_49f81c(void);
void function_4a01d8(void);
void function_4a07e0(void);
void function_4a0d2c(void);
void function_4a0d4c(void);
void function_4a1124(void);
void function_4a1238(void);
void function_4a1258(void);
void function_4a2394(void);
void function_4a2470(void);
void function_4a29dc(void);
void function_4a2a2c(void);
void function_4a2aa0(void);
void function_4a2ac4(void);
void function_4a2cf0(void);
void function_4a6ca0(void);
void function_4a6e44(void);
void function_4a6f38(void);
void function_4a6fb0(void);
void function_4a72b0(void);
void function_4a74d8(void);
void function_4a7910(void);
void function_4a7ac4(void);
void function_4a8164(void);
void function_4a822c(void);
void function_4a8bdc(void);
void function_4a8cc0(void);
void function_4a8da8(void);
void function_4a96c4(void);
void function_4a96e8(void);
void function_4a970c(void);
void function_4a9734(void);
void function_4a975c(void);
void function_4a97b8(void);
void function_4a9814(void);
void function_4a9870(void);
void function_4a9eb8(void);
void function_4aa82c(void);
void function_4aa9b0(void);
void function_4ab050(void);
void function_4ab650(void);
void function_4ab6fc(void);
void function_4ab784(void);
void function_4ab7b4(void);
void function_4ab908(void);
void function_4ab978(void);
void function_4ab9d8(void);
void function_4ac480(void);
void function_4ac520(void);
void function_4ace0c(void);
void function_4ace84(void);
void function_4acfa8(void);
void function_4aed64(void);
void function_4af6a8(void);
void function_4afb0c(void);
void function_4afc34(void);
void function_4afd38(void);
void function_4b06b8(void);
void function_4b0ae0(void);
void function_4b0b30(void);
void function_4b0ca4(void);
void function_4b14e4(void);
int32_t function_4b1874(void);
void function_4b1898(void);
void function_4b1934(void);
void function_4b19dc(void);
void function_4b2104(void);
void function_4b21ec(void);
void function_4b2864(void);
void function_4b2a18(void);
void function_4b2f24(void);
void function_4b3114(void);
void function_4b3288(void);
void function_4b4660(void);
void function_4b48c0(void);
void function_4b493c(void);
void function_4b5458(void);
void function_4b586c(void);
void function_4b5e68(void);
void function_4b5fb0(void);
void function_4b6204(void);
void function_4b6300(void);
void function_4b6f90(void);
int32_t function_4b6fd8(int32_t * a1, char * a2, int32_t * a3);
void function_4b7058(void);
void function_4b78a4(void);
int32_t function_4b78e0(char * a1);
void function_4b7a94(void);
void function_4b8078(void);
void function_4b80a4(void);
void function_4b8230(void);
void function_4b8350(void);
void function_4b8438(void);
void function_4b845c(void);
void function_4b84e0(void);
void function_4b8504(void);
void function_4b8540(void);
void function_4b857c(void);
void function_4b85b0(void);
void function_4b85d0(void);
void function_4b8608(void);
void function_4b8634(void);
void function_4b8688(void);
void function_4b86bc(void);
void function_4b878c(void);
void function_4b881c(void);
void function_4b8854(void);
void function_4b888c(void);
void function_4b88c8(void);
void function_4b8930(void);
void function_4b8d04(void);
void function_4b8d1c(void);
void function_4b8d34(void);
void function_4b8d4c(void);
void function_4b8df4(void);
void function_4b8e20(void);
void function_4b8e58(void);
void function_4b8ea8(void);
void function_4b8ed0(void);
void function_4b8f4c(void);
void function_4b8f70(void);
void function_4b8f94(void);
void function_4b8fcc(void);
void function_4b8fec(void);
void function_4b9024(void);
void function_4b9044(void);
void function_4b9098(void);
void function_4b90dc(void);
void function_4b9164(void);
void function_4b91a8(void);
void function_4b91ec(void);
void function_4b9230(void);
int32_t OnHook(int32_t a1, int32_t a2);
int32_t unknown_40110f(void);
int32_t unknown_40117e(void);
int32_t unknown_40c050(void);
int32_t unknown_40d090(void);
int32_t unknown_426f30(void);
int32_t unknown_427038(void);
int32_t unknown_4270fc(void);
int32_t unknown_42710c(void);
int32_t unknown_42711c(void);
int32_t unknown_4308d4(void);
int32_t unknown_4308e4(void);
int32_t unknown_4308e8(void);
int32_t unknown_4308ec(void);
int32_t unknown_4308fc(void);
int32_t unknown_430920(void);
int32_t unknown_430924(void);
int32_t unknown_430930(void);
int32_t unknown_430940(void);
int32_t unknown_430948(void);
int32_t unknown_43098f(void);
int32_t unknown_430992(void);
int32_t unknown_45749c(void);
int32_t unknown_45749e(void);
int32_t unknown_4574b4(void);
int32_t unknown_45758b(void);
int32_t unknown_458a50(void);
int32_t unknown_459b18(void);
int32_t unknown_461aa0(void);
int32_t unknown_461b3c(void);
int32_t unknown_46799a(void);
int32_t unknown_468108(void);
int32_t unknown_468401(void);
int32_t unknown_468430(void);
int32_t unknown_46eb68(void);
int32_t unknown_4733e8(void);
int32_t unknown_474bfc(void);
int32_t unknown_475698(void);
int32_t unknown_476d98(void);
int32_t unknown_476db0(void);
int32_t unknown_476e00(void);
int32_t unknown_477b77(void);
int32_t unknown_47e844(void);
int32_t unknown_47f38c(void);
int32_t unknown_484290(void);
int32_t unknown_487570(void);
int32_t unknown_4882e7(void);
int32_t unknown_48a290(void);
int32_t unknown_492ed2(void);
int32_t unknown_49a786(void);
int32_t unknown_49bc3c(void);
int32_t unknown_49cab4(void);
int32_t unknown_4b0ab0(void);
int32_t unknown_4b1af4(void);
int32_t unknown_4b24bc(void);
int32_t unknown_4b65b4(void);
int32_t unknown_4d37f0(void);
int32_t unknown_4f7900(void);
int32_t unknown_5011e4(void);
int32_t unknown_50e2f0(void);
int32_t unknown_50e320(void);
int32_t unknown_50e5c0(void);
int32_t unknown_510350(void);
int32_t unknown_516fc0(void);
int32_t unknown_517010(void);
int32_t unknown_51ed70(void);
int32_t unknown_560370(void);
int32_t unknown_5791e0(void);
int32_t unknown_591dd4(void);
int32_t unknown_591ec9(void);
int32_t unknown_591fc0(void);
int32_t unknown_592100(void);
int32_t unknown_5923af(void);
int32_t unknown_594aec(void);
int32_t unknown_89082444(void);
int32_t unknown_891851ff(void);

// --------------------- Global Variables ---------------------

bool g1 = false; // cf
bool g2 = false; // eaf
int32_t g3 = 0; // eax
int32_t g4 = 0; // ebp
int32_t g5 = 0; // ebx
int32_t g6 = 0; // ecx
int32_t g7 = 0; // edi
int32_t g8 = 0; // edx
bool g9 = false; // epf
int32_t g10 = 0; // esi
int32_t g11 = 0; // esp
int32_t g12 = 0x65727078; // 0x4590ec
int32_t g13 = -0x6f179191; // 0x459108
int32_t * g14; // 0x473492
int32_t g15 = 0x13d0284; // 0x4822ea
int32_t * g16; // 0x485a46
int32_t g17 = 0x48d4708; // 0x493a81
int32_t g18 = -0x6ffb72b9; // 0x493a82
int32_t g19 = -0x746ffb73; // 0x493a83
int32_t g20 = 0; // 0x4bc000
int32_t g21 = 0; // 0x4bc03c
int32_t g22 = 0; // 0x4bc76c
int32_t g23 = 0x45756c; // 0x4bcf4c
int32_t g24 = 0x457580; // 0x4bcf50
int32_t g25 = 2; // 0x4bd06c
int32_t g26 = 3; // 0x4bd070
int32_t g27 = 3; // 0x4bd074
int32_t g28 = 2; // 0x4bd078
int32_t g29 = 3; // 0x4bd07c
int32_t g30 = 3; // 0x4bd080
int32_t * g31; // 0x4bd088
char * g32[2] = {
    "stream error",
    "data error"
}; // 0x4bd5d8
char * g33[2] = {
    "buffer error",
    "incompatible version"
}; // 0x4bd5e4
int32_t g34 = 0x2e322e31; // 0x4bd668
int32_t g35 = 0x2e322e31; // 0x4bdf9a
int32_t g36 = 0x70000; // 0x4be7ac
int32_t g37 = 0x400007; // 0x4be7ae
char * g38[2] = {
    "stream error",
    "data error"
}; // 0x4c0e60
int32_t g39 = 0x487100; // 0x4c0e68
char * g40[2] = {
    "buffer error",
    "incompatible version"
}; // 0x4c0e6c
int32_t g41 = 0x2e322e31; // 0x4c0ef4
int32_t g42 = 0x2e322e31; // 0x4c1826
int32_t g43 = 0x70000; // 0x4c2038
int32_t g44 = 0x400007; // 0x4c203a
int32_t g45 = 0x407c3c; // 0x4c4610
int32_t g46 = 0x4ef2a8; // 0x4c4620
int32_t g47 = 0x4ef1dc; // 0x4c474c
int32_t g48 = 0x4ef225; // 0x4c4814
int32_t g49 = 0x4ffb98; // 0x4c4830
char * g50[2] = {
    "`VL",
    "`VL"
}; // 0x4c4854
int32_t g51 = 0x4ffb9c; // 0x4c48e8
int32_t g52 = 0x407c2c; // 0x4c48f8
int32_t g53 = 0x4ffba4; // 0x4c4a50
int32_t g54 = 0x4ef194; // 0x4c4ac4
int32_t g55 = 0x4ef1c4; // 0x4c4adc
int32_t g56 = 0x4ef1ac; // 0x4c4af4
int32_t g57 = 0x4d5b9c; // 0x4c4b3c
int32_t g58 = 0x4ef230; // 0x4c4b94
int32_t g59 = 0x4ffba0; // 0x4c4be4
int32_t g60 = 0x4ef178; // 0x4c4c0c
int32_t g61 = 0; // 0x4c5660
int32_t g62 = 0; // 0x4c568c
int32_t g63 = 0; // 0x4c56a4
int32_t g64 = 0; // 0x4c5858
int32_t g65 = 0; // 0x4c5cc4
int32_t g66 = 0; // 0x4c5cc8
int32_t g67 = 0; // 0x4c5e14
int32_t g68 = 0; // 0x4c5e2c
int16_t g69 = 0; // 0x4d3050
int32_t g70 = 0; // 0x4d5b64
int32_t g71 = 0; // 0x4d5b68
int32_t g72 = 0; // 0x4d5b6c
int32_t g73 = 0; // 0x4d5b74
int32_t g74 = 0; // 0x4d5bb4
int32_t * g75; // 0x4d5bb8
char g76 = 0; // 0x4d5fb8
int32_t g77 = 0; // 0x4d5fe0
int32_t g78 = 0; // 0x4d5fe4
int32_t g79 = 0; // 0x4d5fe8
int32_t g80 = 0; // 0x4d5fec
int32_t g81 = 0; // 0x4d5ff0
int32_t g82 = 0; // 0x4d5ff4
int32_t g83 = 0; // 0x4d5ff8
int32_t g84 = 0; // 0x4d5ffc
int32_t g85 = 0; // 0x4d6000
int32_t g86 = 0; // 0x4d6004
int32_t g87 = 0; // 0x4d6008
int32_t g88 = 0; // 0x4d600c
int32_t g89 = 0; // 0x4d6014
int32_t g90 = 0; // 0x4d6018
int32_t g91 = 0; // 0x4d601c
int32_t g92 = 0; // 0x4d6034
int32_t g93 = 0; // 0x4d6468
int32_t g94 = 0; // 0x4d9520
int32_t g95 = 0; // 0x4d9542
int32_t g96 = 0; // 0x4dfd9f
int32_t g97 = 0; // 0x4dfdac
int32_t g98 = 0; // 0x4e8a34
int32_t g99 = 0; // 0x4e8a41
int32_t g100 = 0; // 0x4eee30
int32_t g101 = 0; // 0x4eee34
char * g102; // 0x4eee40
char g103 = 0; // 0x4eee43
int32_t * g104; // 0x4eef24
int32_t * g105; // 0x4ef0ac
char g106 = 0; // 0x4ef0fc
int32_t g107 = 0; // 0x4ef174
int32_t g108 = 0; // 0x4ef24c
int32_t g109 = 0; // 0x4ef250
int32_t g110 = 0; // 0x4ef25c
int32_t g111 = 0; // 0x4ef260
int32_t g112 = 0; // 0x4ef264
int32_t g113 = 0; // 0x4ef268
int32_t g114 = 0; // 0x4ef26c
int32_t g115 = 0; // 0x4ef270
char g116 = 0; // 0x4ef275
int32_t g117 = 0; // 0x4ef2a8
int32_t g118 = 0; // 0x4ef2ac
int32_t g119 = 0; // 0x4ef2b0
int32_t g120 = 0; // 0x4ef2b8
int32_t g121 = 0; // 0x4ef2bc
char g122 = 0; // 0x4ef2c8
int32_t g123 = 0; // 0x4ef2d0
int32_t g124 = 0; // 0x4ef2d4
int32_t g125 = 0; // 0x4ef2d8
int32_t g126 = 0; // 0x4ef2dc
int32_t g127 = 0; // 0x4ef2e4
int32_t g128 = 0; // 0x4ef2e8
char g129 = 0; // 0x4ef2f0
int32_t * g130; // 0x4ef6f8
int32_t g131 = 0; // 0x4efafc
int32_t g132 = 0; // 0x4efb04
int32_t g133 = 0; // 0x4efb0c
int32_t g134 = 0; // 0x4efb10
int32_t g135 = 0; // 0x4efb28
char g136 = 0; // 0x4efb3c
int32_t g137 = 0; // 0x4efb40
int32_t g138 = 0; // 0x4efb44
int32_t g139 = 0; // 0x4efb58
int32_t g140 = 0; // 0x4efb68
int32_t g141 = 0; // 0x4efb8c
int32_t g142 = 0; // 0x4efb94
int32_t g143 = 0; // 0x4f25f1
int32_t g144 = 0; // 0x4f25fd
int32_t g145 = 0; // 0x4f2678
int32_t g146 = 0; // 0x4f2687
int32_t g147 = 0; // 0x4f3223
int32_t g148 = 0; // 0x4f3232
int32_t g149 = 0; // 0x4f7836
int32_t g150 = 0; // 0x4ffbb0
int32_t g151 = 0; // 0x4ffbb4
int32_t g152 = 0; // 0x4ffbbc
int32_t g153 = 0; // 0x4ffbc0
int32_t g154 = 0; // 0x4ffbcc
int32_t g155 = 0; // 0x4ffbd0
char g156 = 0; // 0x4ffbd4
int32_t g157 = 0; // 0x4ffbd8
char g158 = 0; // 0x4ffd14
char g159 = 0; // 0x4fff6c
int32_t g160 = 0; // 0x5000a4
int32_t g161 = 0; // 0x5000ac
char g162 = 0; // 0x5000b0
int32_t g163 = 0; // 0x5000b4
char g164 = 0; // 0x5000ec
char g165 = 0; // 0x5000ed
int32_t g166 = -0x15c431c5; // 0x50caa1
int32_t g167 = 0x30005f00; // 0x51159d
int32_t g168 = 0x54000e00; // 0x5115a7
int32_t g169 = 0; // 0x51ff64
int32_t g170 = 0; // 0x51ff71
int32_t g171 = 0x4800; // 0x520d2b
int32_t g172 = 0xa000; // 0x520d38
int32_t g173 = 0; // 0x520d78
int32_t g174 = 0; // 0x520d85
int32_t g175 = 0; // 0x520dab
int32_t g176 = 0; // 0x520db8
int32_t g177 = 0; // 0x520df1
int32_t g178 = 0; // 0x520dfe
int32_t g179 = 0; // 0x520fa2
int32_t g180 = 32; // 0x520faf
int32_t g181 = 0; // 0x523dca
int32_t g182 = 0x73757000; // 0x523dd7
int32_t g183 = 0; // 0x523e84
int32_t g184 = 0x1000000; // 0x523e91
int32_t g185 = 0; // 0x5240f1
int32_t g186 = 0; // 0x5240fe
bool g187 = false; // zf

// ------------------------ Functions -------------------------

// Address range: 0x401000 - 0x402c3b
int32_t * function_401000(int32_t * a1, struct SECURITY_ATTRIBUTES * a2, struct OVERLAPPED * a3, int32_t * a4, int32_t a5, int32_t a6, int32_t a7, int32_t a8, int32_t a9, int32_t a10, int32_t a11) {
    int32_t v1 = (g3 + 16 & 255 | g3 & -256) + 1; // 0x401002
    char * v2 = (char *)g5; // 0x401003_0
    *v2 = (char)((int32_t)*v2 + v1);
    int32_t v3 = (v1 - 16 & 255 | v1 & -256) + 1; // 0x40102a
    char * v4 = (char *)g8; // 0x40102b_0
    *v4 = (char)((int32_t)*v4 + v3);
    int32_t v5 = v3 + 67; // 0x40102d
    int32_t v6 = v5 & 255 | v3 & -256; // 0x40102d
    int32_t v7 = v6; // eax
    char * v8 = (char *)0x17261;
    char * v9 = (char *)v6; // 0x401034_0
    *v9 = (char)((int32_t)*v9 + v5);
    int32_t v10 = 512 * g5 / 256 & 0xfe00 | g5 & -0xff01; // ebx
    int32_t v11 = v7; // 0x401038
    char * v12 = (char *)v11; // 0x401038_0
    *v12 = (char)((int32_t)*v12 + v11);
    char * v13 = (char *)(v7 + 0x401040); // 0x40103a_0
    unsigned char v14 = *v13; // 0x40103a
    *v13 = (char)(g8 + (int32_t)v14);
    struct struct_4 * v15;
    struct struct_4 * v16 = v15; // 0x401054_0
    int32_t v17 = (int32_t)v16; // 0x401054
    v7 = v17;
    int32_t v18 = (int32_t)&a1; // esp
    unsigned char v19 = *(char *)v16; // 0x401055
    bool v20 = (char)g8 + v14 < v14; // 0x401055
    *(char *)v16 = (char)((int32_t)v19 + v17 + (int32_t)v20);
    int32_t v21 = v7; // 0x401058
    int32_t * v22 = (int32_t *)(2 * v21 + g8); // 0x401058_0
    int32_t v23 = *v22; // 0x401058
    int32_t v24 = v23 + v21; // 0x401058
    *v22 = v24;
    int32_t v25; // 0x4010ce
    int32_t v26; // 0x4010d6
    int32_t v27; // 0x4010da
    int32_t v28; // 0x4010de
    int32_t v29; // 0x40119a
    int32_t v30; // 0x4011c2
    int32_t v31; // 0x4011ce
    char * v32; // 0x4010d3_0
    char * v33; // 0x4010d7_0
    char * v34; // 0x4010db_0
    char * v35; // 0x4010df_0
    char * v36; // 0x4010e3_0
    char * v37; // 0x4010e7_0
    char * v38; // 0x4010f5_0
    char * v39; // 0x401114_0
    char * v40; // 0x401117_0
    char * v41; // 0x401190_0
    char * v42; // 0x401197_0
    char * v43; // 0x40119b_0
    char * v44; // 0x40119d_0
    char * v45; // 0x40119f_0
    char * v46; // 0x4011a1_0
    char * v47; // 0x4011a3_0
    char * v48; // 0x4011a5_0
    char * v49; // 0x4011a7_0
    char * v50; // 0x4011a9_0
    char * v51; // 0x4011ab_0
    char * v52; // 0x4011ad_0
    char * v53; // 0x4011af_0
    char * v54; // 0x4011b1_0
    int32_t * v55; // 0x4011b5_0
    char * v56; // 0x4011ba_0
    char * v57; // 0x4011c3_0
    char * v58; // 0x4011c7_0
    char * v59; // 0x4011cb_0
    char * v60; // 0x4011cf_0
    char * v61; // 0x4011d3_0
    char * v62; // 0x4011d7_0
    char * v63; // 0x4011db_0
    int32_t v64; // edi
    int32_t v65;
    int32_t v66;
    int32_t v67;
    int32_t v68; // 0x4010d9
    int32_t v69; // 0x40119d
    int32_t v70; // 0x40119f
    int32_t v71; // 0x4011a1
    int32_t v72; // 0x4011a3
    int32_t v73; // 0x4011a5
    int32_t v74; // 0x4011a7
    int32_t v75; // 0x4011a9
    int32_t v76; // 0x4011ab
    int32_t v77; // 0x4011ad
    int32_t v78; // 0x4011af
    int32_t v79; // 0x4011b1
    uint32_t v80; // 0x4011b3
    int32_t v81; // 0x4011cd
    int32_t v82; // 0x4011b3
    int32_t v83; // 0x4010d7
    int32_t v84; // 0x4010f5
    int32_t v85; // 0x4011b8
    int32_t v86; // 0x4011cb
    int32_t v87; // 0x4010d7
    unsigned char v88; // 0x4010e7
    int32_t v89; // 0x4010ee
    uint32_t v90; // 0x4011b3
    int32_t v91; // 0x4011cb
    unsigned char v92; // 0x4010f5
    bool v93; // 0x401114
    int32_t v94; // 0x4011b5
    int32_t v95; // 0x4010e7
    unsigned char v96; // 0x4011b3
    int32_t v97; // 0x4011bc
    bool v98; // 0x4010f5
    if (v24 >= 0) {
        // 0x4010d1
        v25 = v7;
        if ((v23 & 15) + (v21 & 15) > 15 || (v25 & 14) > 9) {
            // if_4010d1_0_true
            v67 = v25 + 10 & 15 | v25 & -256;
            // branch -> after_if_4010d1_0
        } else {
            // if_4010d1_0_false
            v67 = (int32_t)((char)v25 & 15) | v25 & -256;
            // branch -> after_if_4010d1_0
        }
        // after_if_4010d1_0
        v32 = (char *)(2 * g7);
        *v32 = (char)(g6 + (int32_t)*v32);
        // branch -> 0x4010d6
        // 0x4010d6
        v26 = 2 + v67;
        v33 = (char *)v26;
        v83 = (int32_t)*v33;
        v87 = g8;
        *v33 = (char)(v87 + v83);
        v68 = v26;
        if ((v87 & 15) + (v83 & 15) > 15 || (v68 & 14) > 9) {
            // if_4010d9_0_true
            v66 = v68 + 10 & 15 | v68 & -256;
            // branch -> after_if_4010d9_0
        } else {
            // if_4010d9_0_false
            v66 = (int32_t)((char)v68 & 15) | v68 & -256;
            // branch -> after_if_4010d9_0
        }
        // after_if_4010d9_0
        v27 = v66 + 1;
        v34 = (char *)(2 * g7);
        *v34 = (char)((int32_t)*v34 + v27);
        v28 = v27 + 1;
        v7 = v28;
        v35 = (char *)v28;
        *v35 = (char)(v10 / 256 + (int32_t)*v35);
        v36 = (char *)(v18 + 64 + g7);
        *v36 = (char)(g8 + (int32_t)*v36);
        v37 = (char *)(v7 + 0x700403c);
        v88 = *v37;
        v95 = g8;
        *v37 = (char)(v95 + (int32_t)v88);
        v89 = g7 - 1;
        // branch -> 0x4010ed
        while (v89 == 0) {
            // 0x4010ed
            v89 = -1;
            // continue -> 0x4010ed
        }
        // 0x4010f5
        v64 = v89;
        v84 = v7;
        v38 = (char *)v84;
        v92 = *v38;
        v98 = (char)v95 + v88 < v88;
        *v38 = (char)((int32_t)v92 + v84 + (int32_t)v98);
        v39 = (char *)g6;
        v93 = v92 + (char)v84 + (char)v98 <= v92;
        *v39 = (char)((int32_t)*v39 - g8 + (int32_t)v93);
        v40 = (char *)v64;
        *v40 = (char)(g6 + (int32_t)*v40);
        v41 = (char *)(g4 + 0x11e00040);
        *v41 = (char)(g6 + (int32_t)*v41);
        v42 = (char *)(g6 + 17);
        *v42 = (char)(g8 / 256 + (int32_t)*v42);
        v29 = 3 + v7;
        v7 = v29;
        v43 = (char *)v29;
        *v43 = (char)((int32_t)*v43 + v29);
        v69 = v7;
        v44 = (char *)v69;
        *v44 = (char)((int32_t)*v44 + v69);
        v70 = v7;
        v45 = (char *)v70;
        *v45 = (char)((int32_t)*v45 + v70);
        v71 = v7;
        v46 = (char *)v71;
        *v46 = (char)((int32_t)*v46 + v71);
        v72 = v7;
        v47 = (char *)v72;
        *v47 = (char)((int32_t)*v47 + v72);
        v73 = v7;
        v48 = (char *)v73;
        *v48 = (char)((int32_t)*v48 + v73);
        v74 = v7;
        v49 = (char *)v74;
        *v49 = (char)((int32_t)*v49 + v74);
        v75 = v7;
        v50 = (char *)v75;
        *v50 = (char)((int32_t)*v50 + v75);
        v76 = v7;
        v51 = (char *)v76;
        *v51 = (char)((int32_t)*v51 + v76);
        v77 = v7;
        v52 = (char *)v77;
        *v52 = (char)((int32_t)*v52 + v77);
        v78 = v7;
        v53 = (char *)v78;
        *v53 = (char)((int32_t)*v53 + v78);
        v79 = v7;
        v54 = (char *)v79;
        *v54 = (char)((int32_t)*v54 + v79);
        v80 = v7;
        v90 = v80 / 256;
        v96 = (char)v80;
        v82 = v90 + v80 & 255 | v80 & -256;
        v7 = v82;
        v55 = (int32_t *)v82;
        v94 = *v55;
        *v55 = v82 + v94 + (int32_t)((char)v90 + v96 < v96);
        v85 = v7;
        v56 = (char *)v85;
        *v56 = (char)((int32_t)*v56 + v85);
        v97 = v7 & -256 | (int32_t)*(char *)-0x3ffbff0;
        v30 = v97 + 1;
        v57 = (char *)(v97 + 102);
        *v57 = (char)(v30 / 256 + (int32_t)*v57);
        v7 = v30 + 1;
        v58 = (char *)(g4 + 64);
        *v58 = (char)(g6 / 256 + (int32_t)*v58);
        v59 = (char *)v7;
        v86 = (int32_t)*v59;
        v91 = g8;
        *v59 = (char)(v91 + v86);
        v81 = v7;
        if ((v91 & 15) + (v86 & 15) > 15 || (v81 & 14) > 9) {
            // if_4011cd_0_true
            v65 = v81 + 10 & 15 | v81 & -256;
            // branch -> after_if_4011cd_0
        } else {
            // if_4011cd_0_false
            v65 = (int32_t)((char)v81 & 15) | v81 & -256;
            // branch -> after_if_4011cd_0
        }
        // after_if_4011cd_0
        v31 = v65 + 1;
        v60 = (char *)(2 * v64);
        *v60 = (char)((int32_t)*v60 + v31);
        v61 = (char *)(g4 + 64);
        *v61 = (char)(v10 / 256 + (int32_t)*v61);
        v62 = (char *)((int32_t)&v15 + 64 + v64);
        *v62 = (char)(g8 + (int32_t)*v62);
        v63 = (char *)(0x1100403d + v31);
        *v63 = (char)(g8 + (int32_t)*v63);
        unknown_40117e();
        return (int32_t *)unknown_5011e4();
    }
    int32_t v99 = v7; // 0x40105e
    int32_t * v100 = (int32_t *)v99; // 0x40105e_0
    *v100 = *v100 + v99;
    int32_t v101 = v7; // 0x401060
    char * v102 = (char *)v101; // 0x401060_0
    *v102 = (char)((int32_t)*v102 + v101);
    uint32_t v103 = v10; // 0x401062
    v10 = 512 * v103 / 256 & 0xfe00 | v103 & -0xff01;
    int32_t v104 = v7; // 0x401064
    char * v105 = (char *)v104; // 0x401064_0
    *v105 = (char)((int32_t)*v105 + v104);
    char * v106 = (char *)(v7 + 0x40106c); // 0x401066_0
    *v106 = (char)(g8 + (int32_t)*v106);
    int32_t * v107 = (int32_t *)(2 * g8 + g7); // 0x40106c_0
    uint32_t v108 = *v107; // 0x40106c
    uint32_t v109 = v7 + v108; // 0x40106c
    *v107 = v109;
    if (v109 >= v108) {
        int32_t v110 = v7; // 0x401072
        int32_t v111 = *(int32_t *)v110 + v110; // 0x401072
        v7 = v111;
        char * v112 = (char *)v111; // 0x401074_0
        *v112 = (char)((int32_t)*v112 + v111);
        int32_t v113 = v10; // 0x401076
        v10 = 2 * v113 & 0xfe00 | v113 & -0xff01;
        int32_t * v114 = (int32_t *)v7; // 0x401078_0
        *v114 = *v114 + 1;
        *"\x01\x08\x43\x61\x72\x64\x69\x6e\x61\x6c\x05" = (char)(g8 + 1);
        int32_t v115 = 0x10000 * v7 / 0x10000; // 0x401094
        char * v116 = (char *)v115; // 0x401095_0
        char v117 = *v116; // 0x401095
        *v116 = (char)(v115 + (int32_t)((char)g8 == -1) + (int32_t)v117);
        v8 = (char *)v10;
        v18 = (int32_t)&v8;
        int32_t v118 = unknown_40110f(); // 0x40109b
        g4 = 0x4010ec * *(int32_t *)(g10 + 103);
        char * v119 = (char *)v118; // 0x4010a4_0
        int32_t v120 = 13 * v118 + (int32_t)*v119; // 0x4010bc
        unsigned char v121 = (char)v120; // 0x4010bc
        int32_t v122 = v120 + v118; // 0x4010be
        *v119 = (char)v122;
        bool v123 = v121 + (char)v118 < v121; // 0x4010c1
        *v119 = (char)((int32_t)v123 + v118 + v122);
        v7 = v118;
        *v119 = (char)((int32_t)*v119 + v118);
        int32_t v124 = v7; // 0x4010c8
        char * v125 = (char *)v124; // 0x4010c8_0
        *v125 = (char)((int32_t)*v125 + v124);
        int32_t v126 = v7; // 0x4010ca
        char * v127 = (char *)v126; // 0x4010ca_0
        *v127 = (char)((int32_t)*v127 + v126);
        v25 = v7 + 1;
        char * v128 = (char *)v25; // 0x4010cf_0
        int32_t v129 = (int32_t)*v128; // 0x4010cf
        *v128 = (char)(g6 + v129);
        // branch -> 0x4010d1
        if ((g6 & 15) + (v129 & 15) > 15 || (v25 & 14) > 9) {
            // if_4010d1_0_true
            v67 = v25 + 10 & 15 | v25 & -256;
            // branch -> after_if_4010d1_0
        } else {
            // if_4010d1_0_false
            v67 = (int32_t)((char)v25 & 15) | v25 & -256;
            // branch -> after_if_4010d1_0
        }
        // after_if_4010d1_0
        v7 = v67 + 1;
        v32 = (char *)(2 * g7);
        *v32 = (char)(g6 + (int32_t)*v32);
        // branch -> 0x4010d6
    }
    // 0x4010d6
    v26 = v7 + 1;
    v33 = (char *)v26;
    v83 = (int32_t)*v33;
    v87 = g8;
    *v33 = (char)(v87 + v83);
    v68 = v26;
    if ((v87 & 15) + (v83 & 15) > 15 || (v68 & 14) > 9) {
        // if_4010d9_0_true
        v66 = v68 + 10 & 15 | v68 & -256;
        // branch -> after_if_4010d9_0
    } else {
        // if_4010d9_0_false
        v66 = (int32_t)((char)v68 & 15) | v68 & -256;
        // branch -> after_if_4010d9_0
    }
    // after_if_4010d9_0
    v27 = v66 + 1;
    v34 = (char *)(2 * g7);
    *v34 = (char)((int32_t)*v34 + v27);
    v28 = v27 + 1;
    v7 = v28;
    v35 = (char *)v28;
    *v35 = (char)(v10 / 256 + (int32_t)*v35);
    v36 = (char *)(v18 + 64 + g7);
    *v36 = (char)(g8 + (int32_t)*v36);
    v37 = (char *)(v7 + 0x700403c);
    v88 = *v37;
    v95 = g8;
    *v37 = (char)(v95 + (int32_t)v88);
    v89 = g7 - 1;
    // branch -> 0x4010ed
    while (v89 == 0) {
        // 0x4010ed
        v89 = -1;
        // continue -> 0x4010ed
    }
    // 0x4010f5
    v64 = v89;
    v84 = v7;
    v38 = (char *)v84;
    v92 = *v38;
    v98 = (char)v95 + v88 < v88;
    *v38 = (char)((int32_t)v92 + v84 + (int32_t)v98);
    v39 = (char *)g6;
    v93 = v92 + (char)v84 + (char)v98 <= v92;
    *v39 = (char)((int32_t)*v39 - g8 + (int32_t)v93);
    v40 = (char *)v64;
    *v40 = (char)(g6 + (int32_t)*v40);
    v41 = (char *)(g4 + 0x11e00040);
    *v41 = (char)(g6 + (int32_t)*v41);
    v42 = (char *)(g6 + 17);
    *v42 = (char)(g8 / 256 + (int32_t)*v42);
    v29 = 3 + v7;
    v7 = v29;
    v43 = (char *)v29;
    *v43 = (char)((int32_t)*v43 + v29);
    v69 = v7;
    v44 = (char *)v69;
    *v44 = (char)((int32_t)*v44 + v69);
    v70 = v7;
    v45 = (char *)v70;
    *v45 = (char)((int32_t)*v45 + v70);
    v71 = v7;
    v46 = (char *)v71;
    *v46 = (char)((int32_t)*v46 + v71);
    v72 = v7;
    v47 = (char *)v72;
    *v47 = (char)((int32_t)*v47 + v72);
    v73 = v7;
    v48 = (char *)v73;
    *v48 = (char)((int32_t)*v48 + v73);
    v74 = v7;
    v49 = (char *)v74;
    *v49 = (char)((int32_t)*v49 + v74);
    v75 = v7;
    v50 = (char *)v75;
    *v50 = (char)((int32_t)*v50 + v75);
    v76 = v7;
    v51 = (char *)v76;
    *v51 = (char)((int32_t)*v51 + v76);
    v77 = v7;
    v52 = (char *)v77;
    *v52 = (char)((int32_t)*v52 + v77);
    v78 = v7;
    v53 = (char *)v78;
    *v53 = (char)((int32_t)*v53 + v78);
    v79 = v7;
    v54 = (char *)v79;
    *v54 = (char)((int32_t)*v54 + v79);
    v80 = v7;
    v90 = v80 / 256;
    v96 = (char)v80;
    v82 = v90 + v80 & 255 | v80 & -256;
    v7 = v82;
    v55 = (int32_t *)v82;
    v94 = *v55;
    *v55 = v82 + v94 + (int32_t)((char)v90 + v96 < v96);
    v85 = v7;
    v56 = (char *)v85;
    *v56 = (char)((int32_t)*v56 + v85);
    v97 = v7 & -256 | (int32_t)*(char *)-0x3ffbff0;
    v30 = v97 + 1;
    v57 = (char *)(v97 + 102);
    *v57 = (char)(v30 / 256 + (int32_t)*v57);
    v7 = v30 + 1;
    v58 = (char *)(g4 + 64);
    *v58 = (char)(g6 / 256 + (int32_t)*v58);
    v59 = (char *)v7;
    v86 = (int32_t)*v59;
    v91 = g8;
    *v59 = (char)(v91 + v86);
    v81 = v7;
    if ((v91 & 15) + (v86 & 15) > 15 || (v81 & 14) > 9) {
        // if_4011cd_0_true
        v65 = v81 + 10 & 15 | v81 & -256;
        // branch -> after_if_4011cd_0
    } else {
        // if_4011cd_0_false
        v65 = (int32_t)((char)v81 & 15) | v81 & -256;
        // branch -> after_if_4011cd_0
    }
    // after_if_4011cd_0
    v31 = v65 + 1;
    v60 = (char *)(2 * v64);
    *v60 = (char)((int32_t)*v60 + v31);
    v61 = (char *)(g4 + 64);
    *v61 = (char)(v10 / 256 + (int32_t)*v61);
    v62 = (char *)((int32_t)&v15 + 64 + v64);
    *v62 = (char)(g8 + (int32_t)*v62);
    v63 = (char *)(0x1100403d + v31);
    *v63 = (char)(g8 + (int32_t)*v63);
    unknown_40117e();
    return (int32_t *)unknown_5011e4();
}

// Address range: 0x402c3c - 0x402c4b
void function_402c3c(int32_t a1) {
    // 0x402c3c
    Sysinit__GetTls(g6);
    *(int32_t *)(g3 + 4) = g3;
    int32_t v1;
    g5 = v1;
}

// Address range: 0x402c4c - 0x402c57
int32_t function_402c4c(void) {
    int32_t errorCode = GetLastError(); // 0x402c4c
    int32_t v1;
    function_402c3c(v1);
    return errorCode;
}

// Address range: 0x402c58 - 0x402c6b
int32_t function_402c58(int32_t * a1) {
    // 0x402c58
    System__LStrToPChar((char *)g6);
    int32_t v1;
    int32_t result = function_402c6c(v1); // 0x402c62
    g5 = v1;
    return result;
}

// Address range: 0x402c6c - 0x4030db
int32_t function_402c6c(int32_t a1) {
    bool v1 = SetCurrentDirectoryA((char *)g3); // 0x402c70
    int32_t result; // 0x402c80_11
    if (!v1) {
        // 0x402c7a
        result = function_402c4c();
        // branch -> 0x402c7f
    } else {
        result = v1;
    }
    // 0x402c7f
    int32_t v2;
    g5 = v2;
    return result;
}

// Address range: 0x4030dc - 0x403507
void function_4030dc(void) {
    // 0x4030dc
    CloseHandle(g3);
}

// Address range: 0x403508 - 0x403523
void function_403508(void) {
    // 0x403508
    *(int32_t *)0x4bc008 = 0x8088405 * *(int32_t *)0x4bc008 + 1;
}

// Address range: 0x403524 - 0x403c6f
void function_403524(void) {
    // 0x403524
    *(int32_t *)0x4bc008 = 0x8088405 * *(int32_t *)0x4bc008 + 1;
}

// Address range: 0x403c70 - 0x403f07
void function_403c70(void) {
    int32_t v1 = 0; // 0x403c7c
    if (g8 != 0) {
        // 0x403c74
        int32_t v2;
        g11 = &v2;
        System__ClassCreate((int32_t *)g6, g8);
        v1 = g8;
        // branch -> 0x403c7c
    }
    // 0x403c7c
    g1 = false;
    g2 = false;
    int32_t v3 = 0x1000000 * v1; // 0x403c7c
    g187 = (v3 | 0xffffff) < 0x1ffffff;
    g9 = llvm_ctpop_i32(v3 / 0x1000000) % 2 == 1;
    if (v1 == 0) {
        // 0x403c8f
        return;
    }
    // 0x403c80
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x403f08 - 0x403f0b
void function_403f08(void) {
    // 0x403f08
    return;
}

// Address range: 0x403f0c - 0x4040cf
void function_403f0c(void) {
    // 0x403f0c
    return;
}

// Address range: 0x4040d0 - 0x40492f
void function_4040d0(void) {
    // 0x4040d0
    if (g6 == 0) {
        // 0x4040ed
        return;
    }
    char * v1 = (char *)g6; // 0x4040d7_0
    if (*v1 == -23) {
        // 0x4040e8
        // branch -> 0x4040eb
        // 0x4040eb
        // branch -> 0x4040ed
    } else {
        // 0x4040dc
        if (*v1 == -21) {
            // 0x4040e1
            // branch -> 0x4040eb
            // 0x4040eb
            // branch -> 0x4040ed
        }
    }
}

// Address range: 0x404a9c - 0x404cb3
int32_t * function_404a9c(int32_t a1, int32_t a2, int32_t a3, int32_t a4, int32_t a5) {
    // 0x404a9c
    g20 = g3;
    System__Halt0(g6);
    return (int32_t *)g3;
}

// Address range: 0x404d40 - 0x404d4f
void function_404d40(void) {
    // 0x404d40
    int32_t v1;
    int32_t v2 = v1; // bp-4
    System__LStrFromPCharLen((char *)1, (char *)&v2, v1);
}

// Address range: 0x404d50 - 0x404dbb
void function_404d50(void) {
    // 0x404d50
    if (g8 == 0) {
        // 0x404d77
        char * v1; // 0x404d772
        char * v2;
        System__LStrFromPCharLen(NULL, v1, (int32_t)v2);
        return;
    }
    char * v3 = (char *)g8; // 0x404d56_0
    int32_t v4 = g8; // 0x404d6f
    // branch -> 0x404d57
    while (true) {
        int32_t v5 = v4; // 0x404d72
        char * v6; // 0x404d75_7
        if (*(char *)v4 == 0) {
            // 0x404d72
            g6 = v5;
            v6 = (char *)(v5 - g8);
            // branch -> 0x404d77
            // 0x404d77
            System__LStrFromPCharLen(v6, v3, (int32_t)v3);
            return;
        }
        int32_t v7 = v4 + 1; // 0x404d5b
        int32_t v8 = v4; // 0x404d71
        if (*(char *)v7 == 0) {
            // 0x404d71
            v5 = v8 + 1;
            // branch -> 0x404d72
            // 0x404d72
            g6 = v5;
            v6 = (char *)(v5 - g8);
            // branch -> 0x404d77
            // 0x404d77
            System__LStrFromPCharLen(v6, v3, (int32_t)v3);
            return;
        }
        int32_t v9 = v4; // 0x404d70
        if (*(char *)(v4 + 2) != 0) {
            // 0x404d65
            if (*(char *)(v4 + 3) == 0) {
                // 0x404d6f
                // branch -> 0x404d70
                // 0x404d70
                // branch -> 0x404d71
                // 0x404d71
                v5 = 2 + v7;
                // branch -> 0x404d72
                // 0x404d72
                g6 = v5;
                v6 = (char *)(v5 - g8);
                // branch -> 0x404d77
                // 0x404d77
                System__LStrFromPCharLen(v6, v3, (int32_t)v3);
                return;
            }
            // 0x404d6a
            v4 += 4;
            // branch -> 0x404d57
            continue;
        }
        // 0x404d70
        // branch -> 0x404d71
        // 0x404d71
        v5 = 2 + v9;
        // branch -> 0x404d72
        // 0x404d72
        g6 = v5;
        v6 = (char *)(v5 - g8);
        // branch -> 0x404d77
        // 0x404d77
        System__LStrFromPCharLen(v6, v3, (int32_t)v3);
        return;
    }
}

// Address range: 0x404dbc - 0x404dc7
void function_404dbc(void) {
    unsigned char v1 = *(char *)g8; // 0x404dbe
    int32_t v2;
    System__LStrFromPCharLen((char *)(int32_t)v1, (char *)(g8 + 1), v2);
}

// Address range: 0x404dc8 - 0x404e17
void function_404dc8(void) {
    int32_t v1 = -1 * strlen((char *)g8); // 0x404dcf
    int32_t v2 = v1 - 2; // 0x404dd6
    // 0x404dd3
    v2 = 1 - v1;
    // branch -> 0x404dd5
    // 0x404dd5
    int32_t v3;
    System__LStrFromPCharLen((char *)(v2 + g6), (char *)g8, v3);
}

// Address range: 0x404e18 - 0x405067
int32_t function_404e18(char * a1) {
    // 0x404e18
    g1 = false;
    g2 = false;
    g187 = g3 == 0;
    g9 = llvm_ctpop_i32(g3) % 2 == 1;
    int32_t result; // 0x404e1c
    if (g3 != 0) {
        // 0x404e1c
        result = *(int32_t *)(g3 - 4);
        // branch -> 0x404e1f
    }
    // 0x404e1f
    return result;
}

// Address range: 0x405068 - 0x40506f
void function_405068(void) {
    // 0x405068
    InternalUniqueString();
}

// Address range: 0x405070 - 0x405233
void function_405070(void) {
    // 0x405070
    InternalUniqueString();
}

// Address range: 0x405234 - 0x405aef
void function_405234(void) {
    // 0x405234
    System__WriteLString(NULL, (char *)g8, g6);
}

// Address range: 0x405af8 - 0x405b97
void function_405af8(void) {
    // 0x405af8
    return;
}

// Address range: 0x405b98 - 0x405b9f
void function_405b98(void) {
    int32_t v1 = g3; // 0x405b98
    g1 = false;
    g2 = false;
    g187 = v1 == 0;
    g9 = llvm_ctpop_i32(v1) % 2 == 1;
    if (v1 != 0) {
        // 0x405b9c
        g3 = *(int32_t *)(v1 - 4);
        // branch -> 0x405b9f
    }
}

// Address range: 0x405ba0 - 0x40644b
void function_405ba0(void) {
    // 0x405ba0
    function_405b98();
    g3--;
}

// Address range: 0x40644c - 0x4064f7
void function_40644c(void) {
    // 0x40644c
    *(int32_t *)g3 = g21;
    g21 = g3;
}

// Address range: 0x406554 - 0x40658b
void function_406554(void) {
    int32_t v1 = g3; // 0x406554
    g1 = false;
    g2 = false;
    g187 = v1 == 0;
    g9 = llvm_ctpop_i32(v1) % 2 == 1;
    if (v1 != 0) {
        int32_t v2 = *(int32_t *)v1; // 0x406559
        g3 = v2;
        ((int32_t (*)(int32_t))*(int32_t *)(v2 + 4))(v1);
        // branch -> 0x40655e
    }
}

// Address range: 0x40658c - 0x4065b3
void function_40658c(void) {
    // 0x40658c
    int32_t * v1;
    char * v2;
    System__TObject__GetInterface(v1, v2);
    int32_t v3;
    if (v3 != 0) {
        // 0x4065a4
        // branch -> 0x4065ad
    }
}

// Address range: 0x4065b4 - 0x406d63
void function_4065b4(void) {
    // 0x4065b4
    int32_t * v1;
    InterlockedIncrement((int32_t *)((int32_t)v1 + 4));
}

// Address range: 0x406d64 - 0x406d7f
void function_406d64(void) {
    struct struct_30 * v1;
    v1->e0 = g3;
    v1->e1 = g8;
    int32_t v2;
    v1->e3 = v2;
    v1->e2 = g6;
}

// Address range: 0x406d80 - 0x406d87
void function_406d80(void) {
    // 0x406d80
    *(int32_t *)g6 = g3;
    *(int32_t *)(g6 + 4) = g8;
}

// Address range: 0x406d88 - 0x40767f
void function_406d88(void) {
    // 0x406d88
    int32_t v1;
    *(int32_t *)v1 = g3;
    *(int32_t *)(v1 + 4) = g8;
    *(int32_t *)(v1 + 8) = g3 + g6;
    char * v2;
    *(int32_t *)(v1 + 12) = g8 + (int32_t)v2;
}

// Address range: 0x407680 - 0x407747
void function_407680(void) {
    // 0x407680
    GetWindowThreadProcessId(NULL, NULL);
}

// Address range: 0x407748 - 0x407907
void function_407748(void) {
    // 0x407748
    MessageBoxA(NULL, NULL, NULL, 0);
}

// Address range: 0x407908 - 0x40791b
void function_407908(void) {
    // 0x407908
    return;
}

// Address range: 0x40791c - 0x407923
void function_40791c(void) {
    // 0x40791c
    int32_t v1;
    System__Move((char *)g6, (char *)g3, v1);
}

// Address range: 0x407924 - 0x40792b
void function_407924(void) {
    int32_t v1 = g3; // 0x407924
    g3 = g8;
    int32_t v2;
    System__Move((char *)g6, (char *)v1, v2);
}

// Address range: 0x407938 - 0x407993
void function_407938(void) {
    // 0x407938
    g1 = false;
    g2 = false;
    g187 = true;
    g9 = false;
    char v1;
    System__FillChar(NULL, g8, v1);
}

// Address range: 0x4079a0 - 0x4079bb
void function_4079a0(void) {
    // 0x4079a0
    g3 = 256 * g8 & 0xff00 | g3 & 255 | 0x10000 * g6 & 0xff0000;
}

// Address range: 0x4079bc - 0x4079bf
void function_4079bc(void) {
    // 0x4079bc
    return;
}

// Address range: 0x4079c0 - 0x4079c3
void function_4079c0(void) {
    // 0x4079c0
    g3 = (uint32_t)g3 / 256;
}

// Address range: 0x4079c4 - 0x408c13
void function_4079c4(void) {
    // 0x4079c4
    g3 = (uint32_t)g3 / 0x10000;
}

// Address range: 0x408c14 - 0x408e37
int32_t function_408c14(int32_t a1, int32_t a2) {
    int32_t v1 = g7; // 0x408c16
    g7 = g6;
    int32_t v2 = g8; // 0x408c19
    int32_t v3 = g3; // 0x408c1b
    g8 = v2 & -256 | 1;
    g3 = 0x4085d4;
    int32_t v4;
    int32_t * v5;
    function_40d164((char *)g6, v2, v1, g10, (int32_t)v5, v4, a1, a2, 0, 0, 0, 0);
    System__RaiseExcept(v3);
    g7 = g6;
    g10 = v2;
    g5 = v1;
    return 0;
}

// Address range: 0x408e38 - 0x408e6f
void function_408e38(void) {
    int32_t lpString1 = g3; // ebx
    g3 = g8;
    int32_t cchCount2 = function_404e18((char *)g10); // 0x408e40
    System__LStrToPChar((char *)g6);
    char * lpString2 = (char *)g8; // 0x408e4d_0
    g3 = lpString1;
    int32_t cchCount1 = function_404e18(lpString2); // 0x408e50
    System__LStrToPChar((char *)g6);
    g3 = CompareStringA(1024, 1, (char *)lpString1, cchCount1, lpString2, cchCount2) - 2;
}

// Address range: 0x408e70 - 0x409393
void function_408e70(void) {
    // 0x408e70
    g10 = g8;
    function_408e38();
}

// Address range: 0x409394 - 0x4093bf
int32_t * function_409394(char * a1) {
    // 0x409394
    System__LStrToPChar((char *)g6);
    return CreateFileA((char *)g3, -0x40000000, 0, NULL, 2, 128, 0);
}

// Address range: 0x4093c0 - 0x4093eb
void function_4093c0(void) {
    int32_t lpNumberOfBytesRead = g6; // bp-16
    if (ReadFile((int32_t *)g3, (char *)g8, g6, &lpNumberOfBytesRead, NULL)) {
        // 0x4093c0
        // branch -> 0x4093e4
    } else {
        // 0x4093dd
        lpNumberOfBytesRead = -1;
        // branch -> 0x4093e4
    }
}

// Address range: 0x4093ec - 0x409417
int32_t function_4093ec(char * a1, int32_t a2, int32_t a3) {
    int32_t lpNumberOfBytesWritten = g6; // bp-16
    int32_t hFile = g3; // 0x4093f4
    g3 = &lpNumberOfBytesWritten;
    bool v1 = WriteFile(hFile, (char *)g8, g6, &lpNumberOfBytesWritten, NULL); // 0x409400
    g1 = false;
    g2 = false;
    g187 = !v1;
    g9 = llvm_ctpop_i32((int32_t)v1) % 2 == 1;
    int32_t result; // 0x409410_0
    if (v1) {
        // 0x4093ec
        result = lpNumberOfBytesWritten;
        // branch -> 0x409410
    } else {
        // 0x409409
        lpNumberOfBytesWritten = -1;
        result = -1;
        // branch -> 0x409410
    }
    // 0x409410
    g8 = result;
    int32_t v2;
    g5 = v2;
    return result;
}

// Address range: 0x409450 - 0x4096cf
void function_409450(void) {
    // 0x409450
    int32_t hObject;
    CloseHandle(hObject);
}

// Address range: 0x4096d0 - 0x40a03b
void function_4096d0(void) {
    // 0x4096d0
    System__LStrToPChar((char *)g6);
    DeleteFileA((char *)g3);
}

// Address range: 0x40a0bc - 0x40b2cb
char * function_40a0bc(char * result, int32_t * a2, char * a3, int32_t * a4, int32_t a5) {
    // 0x40a0bc
    int32_t v1;
    Sysutils__FmtStr((char *)g8, (char *)g3, (int32_t *)g6, v1);
    return result;
}

// Address range: 0x40bd4c - 0x40bd63
char * function_40bd4c(int32_t * a1, char * a2) {
    char * result = (char *)g62; // 0x40bd55_0
    Sysutils__DateTimeToString((char *)g6, result, a1);
    return result;
}

// Address range: 0x40bd64 - 0x40bd7b
char * function_40bd64(int32_t * a1, char * a2) {
    char * result = (char *)g63; // 0x40bd6d_0
    Sysutils__DateTimeToString((char *)g6, result, a1);
    return result;
}

// Address range: 0x40bd7c - 0x40c395
int32_t function_40bd7c(int32_t * a1, char * a2, int32_t * a3, int32_t * a4, int16_t a5, int32_t * a6, char * a7, int32_t * a8, char * a9) {
    // 0x40bd7c
    Sysutils__DateTimeToString((char *)g6, NULL, a1);
    return g3;
}

// Address range: 0x40c588 - 0x40c5bb
int32_t function_40c588(int32_t a1) {
    // 0x40c588
    float64_t v1;
    float64_t v2 = v1; // bp-20
    g8 = &v2;
    int32_t result = function_40c5bc((int32_t)(float32_t)v1); // 0x40c592
    if (result == 0) {
        int32_t v3 = g5;
        g8 = &v3;
        g3 = g52;
        g6 = 0;
        function_408c14((int32_t)(float32_t)v2, 0);
        // branch -> 0x40c5b4
    }
    // 0x40c5b4
    int32_t v4;
    g5 = v4;
    return result;
}

// Address range: 0x40c5bc - 0x40c5ef
int32_t function_40c5bc(int32_t a1) {
    char * v1 = (char *)1; // bp-12
    g6 = g8;
    int32_t v2;
    if (unknown_40c050() == 0) {
        // 0x40c5bc
        // branch -> 0x40c5e5
    } else {
        int32_t v3 = function_404e18(v1); // 0x40c5db
        if (v3 < (int32_t)v1) {
            // 0x40c5e9
            // branch -> 0x40c5eb
            // 0x40c5eb
            g8 = (int32_t)v1;
            g5 = v2;
            return v3 & -256 | 1;
        }
    }
    // 0x40c5e5
    // branch -> 0x40c5eb
    // 0x40c5eb
    g8 = (int32_t)v1;
    g5 = v2;
    return 0;
}

// Address range: 0x40c5f0 - 0x40c623
int32_t function_40c5f0(int32_t a1) {
    // 0x40c5f0
    float64_t v1;
    float64_t v2 = v1; // bp-20
    g8 = &v2;
    int32_t result = function_40c624((int32_t)(float32_t)v1); // 0x40c5fa
    if (result == 0) {
        int32_t v3 = g5;
        g8 = &v3;
        g3 = 52;
        g6 = 0;
        function_408c14((int32_t)(float32_t)v2, 0);
        // branch -> 0x40c61c
    }
    // 0x40c61c
    int32_t v4;
    g5 = v4;
    return result;
}

// Address range: 0x40c624 - 0x40c657
int32_t function_40c624(int32_t a1) {
    int32_t v1 = g3; // 0x40c629
    char * v2 = (char *)1; // bp-12
    g6 = g8;
    ScanTime();
    int32_t v3;
    if (v1 == 0) {
        // 0x40c624
        // branch -> 0x40c64d
    } else {
        // 0x40c641
        g3 = v1;
        int32_t v4 = function_404e18(v2); // 0x40c643
        if (v4 < (int32_t)v2) {
            // 0x40c651
            // branch -> 0x40c653
            // 0x40c653
            g8 = (int32_t)v2;
            g5 = v3;
            return v4 & -256 | 1;
        }
    }
    // 0x40c64d
    // branch -> 0x40c653
    // 0x40c653
    g8 = (int32_t)v2;
    g5 = v3;
    return 0;
}

// Address range: 0x40c658 - 0x40ce1b
int32_t function_40c658(int32_t a1) {
    int32_t result = g3; // 0x40c65c
    float64_t v1;
    g8 = &v1;
    TryStrToDateTime();
    if (result == 0) {
        int32_t v2 = result;
        g8 = &v2;
        g3 = g45;
        g6 = 0;
        function_408c14((int32_t)(float32_t)v1, 0);
        // branch -> 0x40c684
    }
    // 0x40c684
    int32_t v3;
    g5 = v3;
    return result;
}

// Address range: 0x40d06c - 0x40d0a7
void function_40d06c(void) {
    int32_t v1 = g10; // 0x40d06d
    int32_t v2 = g7; // bp-12
    g11 = &v2;
    int32_t v3 = 0; // 0x40d07d
    if (g8 != 0) {
        // 0x40d073
        int32_t v4;
        g11 = &v4;
        System__ClassCreate((int32_t *)g6, g8);
        v3 = g8;
        // branch -> 0x40d07b
    }
    // 0x40d07b
    g10 = g6;
    g5 = v3;
    g7 = g3;
    char * v5 = (char *)g6; // 0x40d084_0
    System__LStrAsg(v5, v5);
    g3 = g7;
    g1 = false;
    g2 = false;
    int32_t v6 = 0x1000000 * g5; // 0x40d08d
    g187 = (v6 | 0xffffff) < 0x1ffffff;
    g9 = llvm_ctpop_i32(v6 / 0x1000000) % 2 == 1;
    if (g5 != 0) {
        // 0x40d091
        System__AfterConstruction((int32_t *)g6);
        abort();
        // UNREACHABLE
    }
    // 0x40d0a0
    g3 = g7;
    g7 = v2;
    g10 = v1;
    int32_t v7;
    g5 = v7;
}

// Address range: 0x40d0a8 - 0x40d163
void function_40d0a8(void) {
    // 0x40d0a8
    if (g8 != 0) {
        // 0x40d0b4
        System__ClassCreate((int32_t *)g6, g8);
        // branch -> 0x40d0bc
    }
    // 0x40d0bc
    abort();
    // UNREACHABLE
}

// Address range: 0x40d164 - 0x40d2f7
int32_t function_40d164(char * a1, int32_t a2, int32_t a3, int32_t a4, int32_t a5, int32_t a6, int32_t a7, int32_t a8, int32_t a9, int32_t a10, int32_t a11, int32_t a12) {
    int32_t * v1;
    g4 = (int32_t)&v1;
    int32_t v2 = g7; // bp-24
    g11 = &v2;
    if (g8 != 0) {
        // 0x40d172
        char * v3;
        g11 = (int32_t)&v3;
        System__ClassCreate((int32_t *)g6, g8);
        // branch -> 0x40d17a
    }
    // 0x40d17a
    g3 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x40d3a4 - 0x40f03f
void function_40d3a4(void) {
    // 0x40d3a4
    *(int32_t *)g6 = g8;
    System__RaiseExcept(g6);
}

// Address range: 0x40f0a8 - 0x41058b
void function_40f0a8(void) {
    // 0x40f0a8
    *(int32_t *)g3 = 0;
    System__TObject__Free(0);
}

// Address range: 0x41058c - 0x410963
void function_41058c(void) {
    // 0x41058c
    abort();
    // UNREACHABLE
}

// Address range: 0x410964 - 0x4109b7
void function_410964(void) {
    // 0x410964
    abort();
    // UNREACHABLE
}

// Address range: 0x4109b8 - 0x4121a3
void function_4109b8(void) {
    // 0x4109b8
    Variants__VarClear((int32_t *)g6);
    *(int16_t *)g3 = 1;
}

// Address range: 0x41233c - 0x4125af
void function_41233c(void) {
    // 0x41233c
    Variants__VarClear((int32_t *)g6);
    *(int16_t *)g3 = 10;
    *(int32_t *)(g3 + 8) = g8;
}

// Address range: 0x4125b0 - 0x4125b7
void function_4125b0(void) {
    // 0x4125b0
    function_41058c();
}

// Address range: 0x4125b8 - 0x4128f3
void function_4125b8(void) {
    // 0x4125b8
    function_410964();
}

// Address range: 0x4128f4 - 0x412a1f
void function_4128f4(void) {
    // 0x4128f4
    abort();
    // UNREACHABLE
}

// Address range: 0x412a20 - 0x412a2f
void function_412a20(void) {
    uint32_t v1 = *(int32_t *)g8; // 0x412a20
    g6 = v1;
    if (v1 <= 63) {
        // 0x412a27
        *(int32_t *)(g8 + 4 + 4 * v1) = g3;
        int32_t * v2 = (int32_t *)g8; // 0x412a2b_0
        *v2 = *v2 + 1;
        // branch -> 0x412a2d
    }
}

// Address range: 0x412a30 - 0x412f1f
void function_412a30(void) {
    // 0x412a30
    *(int32_t *)g3 = 0;
}

// Address range: 0x412f20 - 0x412fcb
void function_412f20(void) {
    // 0x412f20
    System__LStrAsg((char *)g6, (char *)g8);
}

// Address range: 0x4132c4 - 0x414af0
void function_4132c4(void) {
    // 0x4132c4
    Variants__VarCopy((int32_t *)g6, (int32_t *)g8);
}

// Address range: 0x414b10 - 0x414b37
void function_414b10(void) {
    // 0x414b10
    function_406d80();
}

// Address range: 0x414b38 - 0x41575b
void function_414b38(void) {
    // 0x414b38
    g5 = g3;
    function_406d64();
}

// Address range: 0x41575c - 0x415e5b
void function_41575c(void) {
    // 0x41575c
    Invokeregistry__TInvokableClass__AfterConstruction(g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x415ebc - 0x41610b
void function_415ebc(void) {
    // 0x415ebc
    return;
}

// Address range: 0x41617c - 0x4162d7
void function_41617c(void) {
    // 0x41617c
    return;
}

// Address range: 0x4162d8 - 0x41643f
void function_4162d8(void) {
    // 0x4162d8
    EnterCriticalSection((struct CRITICAL_SECTION *)(g3 + 8));
}

// Address range: 0x4164e4 - 0x416523
void function_4164e4(void) {
    // 0x4164e4
    System__BeforeDestruction((int32_t *)g6, (char)g8);
    Classes__RemoveFixups((int32_t *)g6);
    System__TObject(g6);
    if (g8 >= 1) {
        // 0x416506
        System__ClassDestroy((int32_t *)g6);
        // branch -> 0x41650d
    }
}

// Address range: 0x4165f4 - 0x4169d3
void function_4165f4(void) {
    // 0x4165f4
    Classes__TPersistent__AssignError((int32_t *)g6);
}

// Address range: 0x4169d4 - 0x416b33
void function_4169d4(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2;
    int32_t v3 = *(int32_t *)(*(int32_t *)(v2 - 4) + 32); // 0x4169df
    g10 = v3;
    g1 = false;
    g2 = false;
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    if (v3 != 0) {
        // 0x4169e6
        System__IsClass((int32_t *)g6, (int32_t *)0x413ee0);
        if (v3 == 0) {
            // 0x4169e6
            // branch -> 0x416a23
        } else {
            // 0x4169fc
            TStrings_Equals();
            // branch -> 0x416a23
        }
        // 0x416a23
        return;
    }
    int32_t v4 = *(int32_t *)(v2 - 8); // 0x416a16
    g3 = v4;
    int32_t v5 = *(int32_t *)v4; // 0x416a19
    g8 = v5;
    ((int32_t (*)())*(int32_t *)(v5 + 20))();
    // branch -> 0x416a23
}

// Address range: 0x416b34 - 0x417a0b
void function_416b34(void) {
    // 0x416b34
    return;
}

// Address range: 0x417a4c - 0x4182a7
void function_417a4c(void) {
    int32_t * v1;
    g4 = (int32_t)&v1;
    int32_t v2 = g10; // bp-28
    g11 = &v2;
    int32_t v3 = g6; // 0x417a54
    int32_t v4 = g3; // 0x417a5a
    int32_t * v5;
    int32_t v6 = (int32_t)&v5; // 0x417ac2_1
    int32_t v7 = g8; // 0x417ad04
    // branch -> 0x417a5d
    while (true) {
        // 0x417a5d
        g5 = v7;
        g10 = v3;
        g2 = (v7 & 15) + (v3 & 15) > 15;
        uint32_t v8 = v7 + v3; // 0x417a66
        int32_t v9 = v8 / 2; // 0x417a69
        g1 = (v8 & 1) != 0;
        g187 = v8 < 2;
        g9 = llvm_ctpop_i32(v9) % 2 == 1;
        int32_t v10 = v7; // 0x417a746
        // branch -> 0x417a71
        int32_t * v11;
        int32_t v12; // 0x417ac3
        int32_t v13; // 0x417ab6
        while (true) {
            // 0x417a71
            g6 = v9;
            g8 = v10;
            g3 = v4;
            ((int32_t (*)())v11)();
            int32_t v14 = g3; // 0x417a7c16
            g1 = false;
            g2 = false;
            g187 = v14 == 0;
            g9 = llvm_ctpop_i32(v14) % 2 == 1;
            int32_t v15; // 0x417a8229
            int32_t v16; // 0x417a8230
            int32_t v17;
            if (v14 < 0) {
                int32_t v18 = g5; // 0x417a70
                g2 = (v18 & 15) > 14;
                int32_t v19 = v18 + 1; // 0x417a70
                g187 = v19 == 0;
                g9 = llvm_ctpop_i32(v19) % 2 == 1;
                g5 = v19;
                g6 = v9;
                g8 = v19;
                g3 = v4;
                ((int32_t (*)())v11)();
                uint32_t v20 = g3; // 0x417a7c
                g1 = false;
                g2 = false;
                g187 = v20 == 0;
                g9 = llvm_ctpop_i32(v20) % 2 == 1;
                while (v20 < 0) {
                    // 0x417a70
                    v18 = g5;
                    g2 = (v18 & 15) > 14;
                    v19 = v18 + 1;
                    g187 = v19 == 0;
                    g9 = llvm_ctpop_i32(v19) % 2 == 1;
                    g5 = v19;
                    g6 = v9;
                    g8 = v19;
                    g3 = v4;
                    ((int32_t (*)())v11)();
                    v20 = g3;
                    g1 = false;
                    g2 = false;
                    g187 = v20 == 0;
                    g9 = llvm_ctpop_i32(v20) % 2 == 1;
                    // continue -> 0x417a70
                }
                // 0x417a83
                g6 = v9;
                g8 = g10;
                g3 = v4;
                ((int32_t (*)())v11)();
                g1 = false;
                v15 = g10;
                v17 = v15;
                int32_t v21; // 0x417a92
                int32_t v22; // 0x417a92
                int32_t v23; // 0x417ab12
                if (g3 > 0) {
                    v16 = v15;
                  lab_generated_0:
                    g2 = (v16 & 15) > 16;
                    int32_t v24 = v16 - 1; // 0x417a82
                    g187 = v24 == 0;
                    g9 = llvm_ctpop_i32(v24) % 2 == 1;
                    g10 = v24;
                    g6 = v9;
                    g8 = v24;
                    g3 = v4;
                    ((int32_t (*)())v11)();
                    g1 = false;
                    int32_t v25 = g10; // 0x417a82
                    v17 = v25;
                    while (g3 > 0) {
                        // 0x417a82
                        v16 = v25;
                        g2 = (v16 & 15) > 16;
                        v24 = v16 - 1;
                        g187 = v24 == 0;
                        g9 = llvm_ctpop_i32(v24) % 2 == 1;
                        g10 = v24;
                        g6 = v9;
                        g8 = v24;
                        g3 = v4;
                        ((int32_t (*)())v11)();
                        g1 = false;
                        v25 = g10;
                        v17 = v25;
                        // continue -> 0x417a82
                    }
                    // 0x417a92
                    v22 = g5;
                    v21 = v17 - v22;
                    v13 = v22;
                    v12 = v17;
                    v23 = v9;
                    if (!((v21 < 0 ^ ((v21 ^ v17) & (v22 ^ v17)) < 0))) {
                      lab_0x417a96:
                        // 0x417a96
                        Classes__TStringList__ExchangeItems(v17, v22);
                        int32_t v26 = g5; // 0x417aa2
                        int32_t v27 = g10; // 0x417aa7
                        int32_t v28 = v27; // 0x417ab11
                        if (v26 != v9) {
                            // 0x417aac
                            v28 = v27 == v9 ? v26 : v9;
                            // branch -> 0x417ab4
                        }
                        int32_t v29 = v26 + 1; // 0x417ab4
                        g5 = v29;
                        int32_t v30 = v27 - 1; // 0x417ab5
                        g10 = v30;
                        v13 = v29;
                        v12 = v30;
                        v23 = v28;
                        // branch -> 0x417ab6
                    }
                  lab_0x417ab6:
                    // 0x417ab6
                    g2 = (v12 & 15) - (v13 & 15) > 15;
                    g1 = v12 < v13;
                    int32_t v31 = v12 - v13; // 0x417ab6
                    g187 = v12 == v13;
                    g9 = llvm_ctpop_i32(v31) % 2 == 1;
                    if (v31 < 0 ^ ((v31 ^ v12) & (v12 ^ v13)) < 0) {
                        // break -> 0x417aba
                        break;
                    }
                    v10 = v13;
                    v9 = v23;
                    // continue -> 0x417a71
                    continue;
                }
              lab_0x417a92:
                // 0x417a92
                v22 = g5;
                v21 = v17 - v22;
                if (v21 < 0 ^ ((v21 ^ v17) & (v22 ^ v17)) < 0) {
                    v13 = v22;
                    v12 = v17;
                    v23 = v9;
                    goto lab_0x417ab6;
                }
                goto lab_0x417a96;
            }
            // 0x417a83
            g6 = v9;
            g8 = g10;
            g3 = v4;
            ((int32_t (*)())v11)();
            g1 = false;
            v15 = g10;
            if (g3 > 0) {
                v16 = v15;
                goto lab_generated_1;
            }
            v17 = v15;
            goto lab_0x417a92;
        }
        int32_t v32 = v13; // 0x417ad0
        if (v12 > v7) {
            // 0x417abf
            v5 = v11;
            g11 = v6;
            g6 = v12;
            g8 = v7;
            g3 = v4;
            function_417a4c();
            v32 = 0;
            // branch -> 0x417ad0
        }
        // 0x417ad0
        if (v32 >= v3) {
            // break -> 0x417ad8
            break;
        }
        v7 = v32;
        // continue -> 0x417a5d
    }
    // 0x417ad8
    g4 = (int32_t)v1;
}

// Address range: 0x4182a8 - 0x41837b
void function_4182a8(void) {
    int32_t v1;
    g4 = &v1;
    g5 = g3;
    Classes__TFileStream((char *)g8, (int16_t)(g8 & 0xff00 | 1));
    abort();
    // UNREACHABLE
}

// Address range: 0x41837c - 0x418c9f
void function_41837c(void) {
    // 0x41837c
    Classes__TFileStream((char *)g8, (int16_t)(g8 & 0xff00 | 1));
    abort();
    // UNREACHABLE
}

// Address range: 0x418d24 - 0x418d3b
void function_418d24(void) {
    // 0x418d24
    Sysutils__Exception((int32_t *)g3);
    System__RaiseExcept(g3);
}

// Address range: 0x418d3c - 0x419543
void function_418d3c(void) {
    // 0x418d3c
    g3 = 64;
    function_418d24();
}

// Address range: 0x419544 - 0x419e5f
void function_419544(void) {
    // 0x419544
    int32_t * v1;
    int32_t v2 = (int32_t)v1; // 0x419547
    if (*(char *)(v2 - 9) == 1) {
        // 0x419550
        if (*(int32_t *)(v2 - 16) == 0) {
            // 0x41955d
            return;
        }
    }
}

// Address range: 0x419e60 - 0x419e67
void function_419e60(void) {
    // 0x419e60
    Classes__TReader__CheckValue((int32_t *)g6);
}

// Address range: 0x419e68 - 0x41aa9f
void function_419e68(void) {
    // 0x419e68
    Classes__TReader__CheckValue((int32_t *)g6);
}

// Address range: 0x41ab00 - 0x41abbb
void function_41ab00(void) {
    // 0x41ab00
    abort();
    // UNREACHABLE
}

// Address range: 0x41aca0 - 0x41b6ab
void function_41aca0(void) {
    char v1;
    Classes__TReader__Read((char *)1, (int32_t)&v1);
}

// Address range: 0x41b6ac - 0x41b6b3
void function_41b6ac(void) {
    // 0x41b6ac
    Classes__TWriter__WriteValue((int32_t *)g6);
}

// Address range: 0x41b6b4 - 0x41b89b
void function_41b6b4(void) {
    // 0x41b6b4
    Classes__TWriter__WriteValue((int32_t *)g6);
}

// Address range: 0x41b89c - 0x41c363
void function_41b89c(void) {
    // 0x41b89c
    ResetEvent((int32_t *)g64);
}

// Address range: 0x41c3ec - 0x41c41b
void function_41c3ec(void) {
    // 0x41c3ec
    return;
}

// Address range: 0x41c41c - 0x41c44b
void function_41c41c(void) {
    // 0x41c41c
    return;
}

// Address range: 0x41c44c - 0x41f03b
void function_41c44c(void) {
    // 0x41c44c
    Classes__TReader__ReadData((int32_t *)g6);
}

// Address range: 0x41f050 - 0x41f05f
void function_41f050(void) {
    int32_t lpCriticalSection = *(int32_t *)(g3 + 20); // 0x41f050
    if (lpCriticalSection != 0) {
        // 0x41f057
        EnterCriticalSection((struct CRITICAL_SECTION *)lpCriticalSection);
        // branch -> 0x41f05d
    }
}

// Address range: 0x41f060 - 0x41f4cb
void function_41f060(void) {
    int32_t lpCriticalSection = *(int32_t *)(g3 + 20); // 0x41f060
    if (lpCriticalSection != 0) {
        // 0x41f067
        LeaveCriticalSection((struct CRITICAL_SECTION *)lpCriticalSection);
        // branch -> 0x41f06d
    }
}

// Address range: 0x41f4cc - 0x41fc8f
void function_41f4cc(void) {
    int32_t * v1 = (int32_t *)(g3 + 24); // 0x41f4cd_0
    if (g8 != *v1) {
        // 0x41f4d2
        *v1 = g8;
        System__CallDynaInst(g6);
        // branch -> 0x41f4de
    }
}

// Address range: 0x41fc90 - 0x41ff07
void function_41fc90(void) {
    // 0x41fc90
    return;
}

// Address range: 0x42003c - 0x420613
void function_42003c(void) {
    int32_t v1 = g10; // 0x42003d
    g10 = g8;
    int32_t v2 = g3; // 0x420040
    g5 = v2;
    int32_t v3 = *(int32_t *)v2; // 0x420044
    g8 = v3;
    int32_t v4;
    ((int32_t (*)(int32_t, int32_t))*(int32_t *)(v3 + 16))(v1, v4);
    Graphics__TCanvas__RequiredState();
    Graphics__TBrush__GetHandle(g6);
    FillRect(*(int32_t *)(g5 + 4), (struct RECT *)g10, *(int32_t *)(g5 + 20));
    int32_t v5 = g5; // 0x420069
    g3 = v5;
    int32_t v6 = *(int32_t *)v5; // 0x42006b
    g8 = v6;
    ((int32_t (*)())*(int32_t *)(v6 + 12))();
}

// Address range: 0x420614 - 0x42062b
void function_420614(void) {
    // 0x420614
    Sysutils__Exception((int32_t *)g3);
    System__RaiseExcept(g3);
}

// Address range: 0x42062c - 0x421707
void function_42062c(void) {
    // 0x42062c
    Sysutils__Exception((int32_t *)g3);
    System__RaiseExcept(g3);
}

// Address range: 0x421708 - 0x421913
void function_421708(void) {
    // 0x421708
    return;
}

// Address range: 0x421914 - 0x422047
void function_421914(void) {
    struct struct_68 * v1 = (struct struct_68 *)g10;
    g11 = (int32_t)&v1;
    int32_t v2 = g8; // 0x421916
    int32_t v3 = 0; // 0x421922
    int32_t * v4;
    if (v2 != 0) {
        // 0x42191a
        g11 = (int32_t)&v4;
        System__ClassCreate((int32_t *)g6, v2);
        v3 = g8;
        // branch -> 0x421922
    }
    // 0x421922
    g10 = g3;
    g8 = 0;
    function_403c70();
    if (v3 == 0) {
        // 0x421944
        g10 = (int32_t)v4;
        return;
    }
    // 0x421935
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x422048 - 0x4221a3
void function_422048(void) {
    int32_t v1 = g10; // bp-8
    g11 = &v1;
    int32_t v2 = g8; // 0x42204a
    int32_t v3 = 0; // 0x422056
    if (v2 != 0) {
        // 0x42204e
        int32_t v4;
        g11 = &v4;
        System__ClassCreate((int32_t *)g6, v2);
        v3 = g8;
        // branch -> 0x422056
    }
    // 0x422056
    g8 = v3 & -256 | 1;
    function_403c70();
    *(int32_t *)(g3 + 4) = 0x413bf4;
    g8 = g8 & -256 | 1;
    function_403c70();
    *(int32_t *)(g3 + 8) = 0x413bf4;
    TClipboardFormats_Add();
    TClipboardFormats_Add();
    TClipboardFormats_Add();
    if (v3 == 0) {
        // 0x4220c0
        return;
    }
    // 0x4220b1
    System__AfterConstruction((int32_t *)0x41e548);
    abort();
    // UNREACHABLE
}

// Address range: 0x4221a4 - 0x422457
void function_4221a4(void) {
    // 0x4221a4
    if (g22 == 0) {
        // 0x4221ad
        TFileFormatsList_Create();
        g22 = 0x421cd0;
        // branch -> 0x4221be
    }
}

// Address range: 0x422458 - 0x42641f
void function_422458(void) {
    // 0x422458
    function_4221a4();
    TFileFormatsList_Add();
}

// Address range: 0x426520 - 0x42bede
void function_426520(void) {
    // 0x426520
    if (*(int32_t *)(g3 + 4) == 0) {
        // 0x426597
        return;
    }
    // 0x42652d
    Invokeregistry__TInvokableClass__AfterConstruction(g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x42bee0 - 0x42ef93
int32_t function_42bee0(char * a1, char * a2, int32_t a3, int32_t a4, int32_t a5, int32_t a6, int32_t a7, int32_t a8, int32_t a9, int32_t a10, int32_t a11, int32_t a12, int32_t a13, int32_t a14, int32_t a15, int32_t a16, int32_t a17, int32_t a18, int32_t a19, int32_t a20, int32_t a21, int32_t a22, int32_t a23) {
    int32_t v1 = 0; // 0x42bef1
    if (g8 != 0) {
        // 0x42bee7
        System__ClassCreate((int32_t *)g6, g8);
        v1 = g8;
        // branch -> 0x42beef
    }
    char * v2 = (char *)g6; // 0x42bef8_0
    System__LStrAsg(v2, v2);
    if (v1 == 0) {
        // 0x42bf14
        return g3;
    }
    // 0x42bf05
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x42ef94 - 0x42faba
void function_42ef94(void) {
    // 0x42ef94
    return;
}

// Address range: 0x42fabc - 0x42fbb3
void function_42fabc(void) {
    // 0x42fabc
    abort();
    // UNREACHABLE
}

// Address range: 0x42fbb4 - 0x42fc3f
void function_42fbb4(void) {
    // 0x42fbb4
    System__LStrAsg((char *)g6, (char *)g66);
}

// Address range: 0x42fce4 - 0x42fd6f
void function_42fce4(void) {
    // 0x42fce4
    return;
}

// Address range: 0x42feb8 - 0x42febb
void function_42feb8(void) {
    // 0x42feb8
    *(int32_t *)(g3 + 12) = g8;
}

// Address range: 0x42febc - 0x42fed7
void function_42febc(void) {
    // 0x42febc
    *(char *)(g3 + 16) = 3;
    int32_t dwData = 0; // bp-4
    int32_t hWndMain = 0; // bp-16
    WinHelpA(&hWndMain, "", 2, &dwData);
}

// Address range: 0x42fed8 - 0x430886
void function_42fed8(void) {
    // 0x42fed8
    function_42febc();
    if (*(int32_t *)(g3 + 28) != 0) {
        // 0x42fee8
        System__IntfClear((int32_t *)g6);
        // branch -> 0x42fef0
    }
    // 0x42fef0
    if (g65 != 0) {
        // 0x42fef9
        System__IntfClear((int32_t *)g6);
        // branch -> 0x42ff03
    }
}

// Address range: 0x430888 - 0x430c3b
void function_430888(void) {
    char * v1 = (char *)(g3 + 65); // 0x430888_0
    *v1 = (char)(g5 / 256 + (int32_t)*v1);
    char * v2 = (char *)(2 * g7 + g3); // 0x43088b_0
    *v2 = (char)(g8 / 256 + (int32_t)*v2);
    char * v3 = (char *)g3; // 0x43088f_0
    *v3 = (char)(g5 / 256 + (int32_t)*v3);
    int32_t v4 = unknown_4308d4(); // 0x430891
    char * v5 = (char *)(2 * g7 + v4); // 0x430893_0
    *v5 = (char)(g5 / 256 + (int32_t)*v5);
    char * v6 = (char *)v4; // 0x430897_0
    *v6 = (char)(g8 + (int32_t)*v6);
    char * v7 = (char *)(v4 + 0xc004179); // 0x43089b_0
    *v7 = (char)(g8 / 256 + (int32_t)*v7);
    unknown_4308e4();
    unknown_4308e8();
    int32_t v8 = unknown_4308ec(); // 0x4308a9
    char * v9 = (char *)(2 * g7 + g5); // 0x4308ab_0
    *v9 = (char)((int32_t)*v9 + g5);
    int32_t v10 = 4 + g6; // ecx
    char * v11 = (char *)(v8 - 0x7ffbe85); // 0x4308af_0
    *v11 = (char)(g8 + (int32_t)*v11);
    int32_t v12 = g5 + 1; // ebx
    uint32_t v13 = unknown_4308fc(); // 0x4308b9
    char * v14 = (char *)(v13 + 65 + 2 * g4); // 0x4308bb_0
    *v14 = (char)(v10 / 256 + (int32_t)*v14);
    int32_t v15 = g10; // 0x4308bf
    char * v16 = (char *)(v15 + 65 + 2 * v15); // 0x4308bf_0
    *v16 = (char)(v12 + (int32_t)*v16);
    int32_t v17 = g10; // 0x4308c3
    char * v18 = (char *)(v17 + 0x77080041 + 2 * v17); // 0x4308c3_0
    *v18 = (char)(v12 + (int32_t)*v18);
    char * v19 = (char *)(g11 + 0x78980041 + 2 * g4); // 0x4308cb_0
    *v19 = (char)(v12 / 256 + (int32_t)*v19);
    char * v20 = (char *)((256 * (v13 / 256 + v13) & 0xff00 | v13 & -0xff01) - 0x2bffbe91); // 0x4308d7_0
    *v20 = (char)(v12 + (int32_t)*v20);
    unknown_430920();
    uint32_t v21 = unknown_430924(); // 0x4308e1
    int32_t v22 = 256 * (v12 / 256 + v21 / 256) & 0xff00 | v21 & -0xff01; // 0x4308e3
    char * v23 = (char *)(v22 + 112); // 0x4308e7_0
    *v23 = (char)(g8 + (int32_t)*v23);
    uint32_t v24 = v12; // 0x4308eb
    int32_t v25 = unknown_430930(); // 0x4308ed
    char * v26 = (char *)(g8 + 0x72ec0041 + 2 * g10); // 0x4308ef_0
    *v26 = (char)((int32_t)*v26 + g8);
    char * v27 = (char *)(v25 + 0x24004173); // 0x4308f7_0
    *v27 = (char)((int32_t)*v27 + v25);
    int32_t v28 = unknown_430940(); // 0x4308fd
    char * v29 = (char *)(v28 + 118); // 0x4308ff_0
    *v29 = (char)((int32_t)*v29 + v28);
    v10 += 7;
    char * v30 = (char *)v28; // 0x430903_0
    *v30 = (char)(v12 / 256 + (int32_t)*v30);
    int32_t v31 = unknown_430948(); // 0x430905
    char * v32 = (char *)(v31 + 0x48004177); // 0x430907_0
    int32_t v33 = v10 + (int32_t)*v32; // 0x430907
    bool v34 = llvm_ctpop_i32(0x1000000 * v33 / 0x1000000) % 2 == 1; // epf
    *v32 = (char)v33;
    int32_t v35 = v31; // 0x4309691
    if (v34) {
        char * v36 = (char *)(v31 + 123); // 0x43090f_0
        *v36 = (char)(v12 + (int32_t)*v36);
        int32_t v37 = v10 + 1; // 0x430912
        v10 = v37;
        char v38 = *(char *)0x6f685354; // 0x430913
        *(char *)0x6f685354 = (char)((int32_t)v38 + v37);
        unknown_43098f();
        int32_t v39 = unknown_430992(); // 0x43091c
        int32_t v40 = v12 + 1; // 0x43091f
        g10 = 0x928c08b * *(int32_t *)(v40 + 116);
        v12 = v40 + 1;
        char * v41 = (char *)g7; // 0x430927_0
        *v41 = (char)((int32_t)*v41 + v39);
        int32_t v42 = 0x10000 * (256 * (v24 / 256 + v22 / 256) & 0xff00 | v22 & -0xff01) / 0x10000; // 0x43094c
        int32_t * v43 = (int32_t *)v12; // 0x43094d_0
        *v43 = *v43 | v42;
        v35 = v42;
        // branch -> 0x430950
    }
    char * v44 = (char *)v35; // 0x430950_0
    *v44 = (char)(4 * v35 + (int32_t)*v44);
    int32_t * v45 = (int32_t *)v12; // 0x430959_0
    *v45 = *v45 | v35;
    char * v46 = (char *)g8; // 0x43095c_0
    *v46 = (char)(v10 ^ (int32_t)*v46);
    *v44 = (char)(3 * v35 + (int32_t)*v44 + v35);
    char * v47 = (char *)g10; // 0x430967_0
    *v47 = (char)(v10 + (int32_t)*v47);
    unsigned char v48 = *(char *)(v12 + 1); // 0x430969
    char * v49 = (char *)((((int32_t)v48 | v35) + 246 & 255 | v35 & -256) + 0x30000000); // 0x43096f_0
    *v49 = (char)((int32_t)*v49 + v35 / 256);
}

// Address range: 0x430c3c - 0x430f17
void function_430c3c(void) {
    int32_t v1 = g8; // 0x430c3e
    g10 = v1;
    int32_t v2 = g3; // 0x430c40
    g5 = v2;
    int32_t v3 = *(int32_t *)(v2 + 92); // 0x430c42
    g3 = v3;
    if (v1 == v3) {
        // 0x430c61
        return;
    }
    if (v3 != 0) {
        // 0x430c4d
        g8 = v2;
        function_430f38();
        v1 = g10;
        // branch -> 0x430c54
    }
    // 0x430c54
    if (v1 != 0) {
        // 0x430c58
        g8 = g5;
        g3 = v1;
        function_430f18();
        // branch -> 0x430c61
    }
}

// Address range: 0x430f18 - 0x430f37
void function_430f18(void) {
    // 0x430f18
    Classes__TList__Add((char *)g6);
    *(int32_t *)(g8 + 92) = g3;
    Classes__TComponent__FreeNotification((int32_t *)g6);
}

// Address range: 0x430f38 - 0x4310af
void function_430f38(void) {
    // 0x430f38
    Classes__TList__Remove((char *)g6);
    if (*(int32_t *)(g3 + 48) >= 0) {
        // 0x430f4c
        *(int32_t *)(g8 + 92) = 0;
        // branch -> 0x430f51
    }
    // 0x430f51
    int32_t v1;
    g5 = v1;
}

// Address range: 0x4310b0 - 0x43391f
void function_4310b0(void) {
    // 0x4310b0
    System__IsClass((int32_t *)g6, (int32_t *)0x430998);
}

// Address range: 0x433920 - 0x4397bb
void function_433920(void) {
    struct struct_105 * windowHandle = (struct struct_105 *)GetActiveWindow();
    int32_t threadId = GetCurrentThreadId(); // 0x433938
    EnumThreadWindows(threadId, (int32_t *)0x433900, (int32_t *)&windowHandle);
}

// Address range: 0x4397bc - 0x4398bb
void function_4397bc(void) {
    int32_t v1 = g10; // 0x4397c1
    int32_t * v2 = (int32_t *)g7; // bp-20
    int32_t v3 = g3; // 0x4397c3
    if (*(char *)(v3 + 422) == 0) {
        // 0x43982f
        // branch -> 0x439831
        // 0x439831
        g7 = (int32_t)v2;
        g10 = v1;
        g6 = v3;
        return;
    }
    // 0x4397d2
    Controls__TWinControl__GetControlCount(g6);
    if (v3 < 1) {
        // 0x43982f
        // branch -> 0x439831
        // 0x439831
        g7 = (int32_t)v2;
        g10 = v1;
        g6 = v3;
        return;
    }
    // 0x4397e1
    g10 = v3;
    g7 = 0;
    // branch -> 0x4397e4
    while (true) {
        // 0x4397e4
        int32_t * v4; // 0x439822_01
        Controls__TWinControl__GetControl((int32_t)v4);
        g5 = v3;
        int32_t v5; // eax
        int32_t * v6; // 0x439822_02
        if (*(char *)(v3 + 87) != 0) {
            // 0x4397f6
            ProcessExecute();
            if (v3 == 0) {
                // 0x4397f6
                int32_t * v7;
                v4 = v7;
                // branch -> 0x439806
                // 0x439806
                v5 = g5;
                System__IsClass(v4, (int32_t *)0x446ff4);
                v6 = v4;
                if (v5 != 0) {
                  lab_0x439817:
                    // 0x439817
                    g3 = g5;
                    function_4397bc();
                    if (v5 != 0) {
                        // 0x439827
                        // branch -> 0x439831
                        // 0x439831
                        g7 = (int32_t)v2;
                        g10 = v1;
                        g6 = v3;
                        return;
                    }
                    v6 = v7;
                }
              lab_0x43982b:
                // 0x43982b
                g7++;
                int32_t v8 = g10 - 1; // 0x43982c
                g10 = v8;
                if (v8 == 0) {
                    // break -> 0x43982f
                    break;
                }
                v4 = v6;
                // continue -> 0x4397e4
                continue;
            }
            // 0x439827
            // branch -> 0x439831
            // 0x439831
            g7 = (int32_t)v2;
            g10 = v1;
            g6 = v3;
            return;
        }
        // 0x439806
        v5 = v3;
        System__IsClass(v4, (int32_t *)0x446ff4);
        if (v5 == 0) {
            v6 = v4;
            goto lab_0x43982b;
        }
        goto lab_0x439817;
    }
    // 0x43982f
    // branch -> 0x439831
    // 0x439831
    g7 = (int32_t)v2;
    g10 = v1;
    g6 = v3;
}

// Address range: 0x4398bc - 0x43afb3
void function_4398bc(void) {
    int32_t v1 = g10; // 0x4398c1
    int32_t * v2 = (int32_t *)g7; // bp-20
    int32_t v3 = g3; // 0x4398c3
    if (*(char *)(v3 + 422) == 0) {
        // 0x43992f
        // branch -> 0x439931
        // 0x439931
        g7 = (int32_t)v2;
        g10 = v1;
        g6 = v3;
        return;
    }
    // 0x4398d2
    Controls__TWinControl__GetControlCount(g6);
    if (v3 < 1) {
        // 0x43992f
        // branch -> 0x439931
        // 0x439931
        g7 = (int32_t)v2;
        g10 = v1;
        g6 = v3;
        return;
    }
    // 0x4398e1
    g10 = v3;
    g7 = 0;
    // branch -> 0x4398e4
    while (true) {
        // 0x4398e4
        int32_t * v4; // 0x439922_01
        Controls__TWinControl__GetControl((int32_t)v4);
        g5 = v3;
        int32_t v5; // eax
        int32_t * v6; // 0x439922_02
        if (*(char *)(v3 + 87) != 0) {
            // 0x4398f6
            ProcessUpdate();
            if (v3 == 0) {
                // 0x4398f6
                int32_t * v7;
                v4 = v7;
                // branch -> 0x439906
                // 0x439906
                v5 = g5;
                System__IsClass(v4, (int32_t *)0x446ff4);
                v6 = v4;
                if (v5 != 0) {
                  lab_0x439917:
                    // 0x439917
                    g3 = g5;
                    function_4398bc();
                    if (v5 != 0) {
                        // 0x439927
                        // branch -> 0x439931
                        // 0x439931
                        g7 = (int32_t)v2;
                        g10 = v1;
                        g6 = v3;
                        return;
                    }
                    v6 = v7;
                }
              lab_0x43992b:
                // 0x43992b
                g7++;
                int32_t v8 = g10 - 1; // 0x43992c
                g10 = v8;
                if (v8 == 0) {
                    // break -> 0x43992f
                    break;
                }
                v4 = v6;
                // continue -> 0x4398e4
                continue;
            }
            // 0x439927
            // branch -> 0x439931
            // 0x439931
            g7 = (int32_t)v2;
            g10 = v1;
            g6 = v3;
            return;
        }
        // 0x439906
        v5 = v3;
        System__IsClass(v4, (int32_t *)0x446ff4);
        if (v5 == 0) {
            v6 = v4;
            goto lab_0x43992b;
        }
        goto lab_0x439917;
    }
    // 0x43992f
    // branch -> 0x439931
    // 0x439931
    g7 = (int32_t)v2;
    g10 = v1;
    g6 = v3;
}

// Address range: 0x43afb4 - 0x4402c3
void function_43afb4(void) {
    int32_t v1 = 0; // 0x43afca
    if (g3 == 0) {
        // 0x43afc6
        if (v1 == 0) {
            // 0x43afd2
            return;
        }
        // 0x43afca
        if (*(char *)(v1 + 28) != 16) {
            // 0x43afd0
            // branch -> 0x43afd2
        }
        // 0x43afd2
        return;
    }
    int32_t v2 = g3; // 0x43afb6
    while (true) {
        // 0x43afbd
        if (*(char *)(v2 + 153) == 0) {
            int32_t v3 = *(int32_t *)(v2 + 48); // 0x43afb6
            if (v3 == 0) {
                v1 = 0;
                // break -> 0x43afc6
                break;
            }
            v2 = v3;
            // continue -> 0x43afbd
            continue;
        } else {
            v1 = v2;
        }
    }
    // 0x43afc6
    if (v1 == 0) {
        // 0x43afd2
        return;
    }
    // 0x43afca
    if (*(char *)(v1 + 28) != 16) {
        // 0x43afd0
        // branch -> 0x43afd2
    }
}

// Address range: 0x4402c4 - 0x4402cb
void function_4402c4(void) {
    // 0x4402c4
    return;
}

// Address range: 0x4402cc - 0x442ccf
void function_4402cc(void) {
    // 0x4402cc
    g5 = g3;
    function_4402c4();
    Sysutils__Exception((int32_t *)g5);
    System__RaiseExcept(g5);
}

// Address range: 0x442cd0 - 0x442cdf
void function_442cd0(void) {
    // 0x442cd0
    if (*(int32_t *)(g3 + 92) == 0) {
        // 0x442cd7
        return;
    }
}

// Address range: 0x442ce0 - 0x443033
void function_442ce0(void) {
    // 0x442ce0
    if (*(int32_t *)(g3 + 92) == 0) {
        // 0x442cec
        g3 = (int32_t)g50[0];
        function_4402cc();
        // branch -> 0x442cf6
    }
    // 0x442cf6
    Classes__TList__Get(g6);
}

// Address range: 0x443034 - 0x447cdf
void function_443034(void) {
    // 0x443034
    if (*(int32_t *)(g3 + 92) != 0) {
        // 0x44303f
        Classes__TList__IndexOf((char *)-1);
        // branch -> 0x443048
    }
}

// Address range: 0x447ce0 - 0x447d22
void function_447ce0(void) {
    int32_t v1 = 0x447d20; // eax
    Sysutils__AnsiPos((char *)g6, (char *)g3);
    if (v1 == 0) {
        // 0x447cf9
        System__LStrAsg((char *)g6, (char *)g3);
        // branch -> 0x447d14
    } else {
        // 0x447d04
        System__LStrCopy(v1 - 1);
        // branch -> 0x447d14
    }
}

// Address range: 0x447d24 - 0x44946b
void function_447d24(void) {
    // 0x447d24
    Sysutils__AnsiPos((char *)g6, (char *)g3);
    // 0x447d48
    System__LStrCopy(0x7fffffff);
    // branch -> 0x447d58
}

// Address range: 0x44946c - 0x44979b
void function_44946c(void) {
    int32_t * v1;
    int32_t v2 = (int32_t)&v1; // 0x449470_4
    Controls__FindVCLWindow((int32_t *)g6);
    if (g3 == 0) {
        // 0x4494aa
        return;
    }
    // 0x449486
    Controls__TControl__ScreenToClient((int32_t *)&v1);
    Controls__TWinControl__ControlAtPos((int32_t *)g8, v2, (int32_t)NULL);
    if (g3 != 0) {
        // 0x4494a8
        // branch -> 0x4494aa
    }
}

// Address range: 0x44979c - 0x449c7f
void function_44979c(void) {
    // 0x44979c
    if (g8 != *(int32_t *)(g3 + 88)) {
        // 0x4497a7
        Controls__TControlCanvas__FreeHandle(g6);
        *(int32_t *)(g3 + 88) = g8;
        // branch -> 0x4497b1
    }
    // 0x4497b1
    int32_t v1;
    g5 = v1;
}

// Address range: 0x449c80 - 0x44abdf
void function_449c80(void) {
    int32_t v1 = g10; // 0x449c81
    g10 = g8;
    int32_t v2 = g3; // 0x449c84
    g5 = v2;
    int32_t v3 = *(int32_t *)v2; // 0x449c88
    g8 = v3;
    int32_t v4;
    ((int32_t (*)(int32_t, int32_t))*(int32_t *)(v3 + 52))(v1, v4);
    if (g3 != 0) {
        // 0x449c91
        Controls__TControl__SetHelpContext(g6);
        // branch -> 0x449c9b
    }
}

// Address range: 0x44abe0 - 0x4501b7
void function_44abe0(void) {
    // 0x44abe0
    abort();
    // UNREACHABLE
}

// Address range: 0x4501e0 - 0x45029f
void function_4501e0(void) {
    int32_t v1 = g10; // 0x4501e1
    int32_t v2 = g7; // 0x4501e2
    g7 = g8;
    g10 = g3;
    g5 = g5 & -256 | 1;
    Forms__GetParentForm((int32_t *)g6);
    int32_t v3 = g3; // 0x4501f2
    g4 = v3;
    int32_t v4;
    int32_t v5; // 0x450212
    if (v3 == 0) {
        // 0x450212
        v5 = *(int32_t *)(g7 + 8);
        Forms__KeyDataToShiftState(g6);
        if (*(char *)(g10 + 81) != 16) {
            // 0x45023b
            g5 = 0;
            // branch -> 0x45023d
            // 0x45023d
            g7 = v2;
            g10 = v1;
            g5 = v4;
            return;
        }
        // 0x450223
        System__CallDynaInst(g6 & -256 | v5 & 255);
        if (*(int16_t *)(g7 + 4) != 0) {
            // 0x45023b
            g5 = 0;
            // branch -> 0x45023d
        }
        // 0x45023d
        g7 = v2;
        g10 = v1;
        g5 = v4;
        return;
    }
    // 0x4501f8
    if (g10 == v3 || *(char *)(v3 + 557) == 0) {
        // 0x450212
        v5 = *(int32_t *)(g7 + 8);
        Forms__KeyDataToShiftState(g6);
        if (*(char *)(g10 + 81) == 16) {
            // 0x450223
            System__CallDynaInst(g6 & -256 | v5 & 255);
            if (*(int16_t *)(g7 + 4) != 0) {
                // 0x45023b
                g5 = 0;
                // branch -> 0x45023d
            }
        } else {
            // 0x45023b
            g5 = 0;
            // branch -> 0x45023d
        }
        // 0x45023d
        g7 = v2;
        g10 = v1;
        g5 = v4;
        return;
    }
    // 0x450205
    g8 = g7;
    g3 = v3;
    function_4501e0();
    // 0x450212
    v5 = *(int32_t *)(g7 + 8);
    Forms__KeyDataToShiftState(g6);
    if (*(char *)(g10 + 81) == 16) {
        // 0x450223
        System__CallDynaInst(g6 & -256 | v5 & 255);
        if (*(int16_t *)(g7 + 4) != 0) {
            // 0x45023b
            g5 = 0;
            // branch -> 0x45023d
        }
    } else {
        // 0x45023b
        g5 = 0;
        // branch -> 0x45023d
    }
    // 0x45023d
    g7 = v2;
    g10 = v1;
    g5 = v4;
}

// Address range: 0x4502c8 - 0x4518bf
void function_4502c8(void) {
    int32_t v1 = g10; // 0x4502c9
    int32_t v2 = g7; // 0x4502ca
    g7 = g8;
    g10 = g3;
    g5 = g5 & -256 | 1;
    Forms__GetParentForm((int32_t *)g6);
    int32_t v3 = g3; // 0x4502da
    g4 = v3;
    int32_t * v4;
    int32_t v5; // 0x4502fa
    if (v3 == 0) {
        // 0x4502fa
        v5 = *(int32_t *)(g7 + 8);
        Forms__KeyDataToShiftState(g6);
        if (*(char *)(g10 + 81) != 16) {
            // 0x450323
            g5 = 0;
            // branch -> 0x450325
            // 0x450325
            g7 = v2;
            g10 = v1;
            g5 = (int32_t)v4;
            return;
        }
        // 0x45030b
        System__CallDynaInst(g6 & -256 | v5 & 255);
        if (*(int16_t *)(g7 + 4) != 0) {
            // 0x450323
            g5 = 0;
            // branch -> 0x450325
        }
        // 0x450325
        g7 = v2;
        g10 = v1;
        g5 = (int32_t)v4;
        return;
    }
    // 0x4502e0
    if (g10 == v3 || *(char *)(v3 + 557) == 0) {
        // 0x4502fa
        v5 = *(int32_t *)(g7 + 8);
        Forms__KeyDataToShiftState(g6);
        if (*(char *)(g10 + 81) == 16) {
            // 0x45030b
            System__CallDynaInst(g6 & -256 | v5 & 255);
            if (*(int16_t *)(g7 + 4) != 0) {
                // 0x450323
                g5 = 0;
                // branch -> 0x450325
            }
        } else {
            // 0x450323
            g5 = 0;
            // branch -> 0x450325
        }
        // 0x450325
        g7 = v2;
        g10 = v1;
        g5 = (int32_t)v4;
        return;
    }
    // 0x4502ed
    g8 = g7;
    g3 = v3;
    function_4502c8();
    // 0x4502fa
    v5 = *(int32_t *)(g7 + 8);
    Forms__KeyDataToShiftState(g6);
    if (*(char *)(g10 + 81) == 16) {
        // 0x45030b
        System__CallDynaInst(g6 & -256 | v5 & 255);
        if (*(int16_t *)(g7 + 4) != 0) {
            // 0x450323
            g5 = 0;
            // branch -> 0x450325
        }
    } else {
        // 0x450323
        g5 = 0;
        // branch -> 0x450325
    }
    // 0x450325
    g7 = v2;
    g10 = v1;
    g5 = (int32_t)v4;
}

// Address range: 0x4518c0 - 0x451907
void function_4518c0(void) {
    int32_t v1;
    g4 = &v1;
    uint32_t v2 = g8; // 0x4518c8
    Controls__TWinControl__GetControlCount(g6);
    int32_t v3 = g3; // 0x4518d6
    if (v3 < 1) {
        // 0x4518fe
        return;
    }
    // 0x4518dd
    g5 = v3;
    g10 = 0;
    // branch -> 0x4518e0
    while (true) {
        // 0x4518e0
        Controls__TWinControl__GetControl(g6);
        int32_t v4 = g3; // 0x4518ea
        uint32_t v5 = *(int32_t *)(v4 + 4); // 0x4518ea
        g2 = (v5 & 15) - (v2 & 15) > 15;
        g1 = v5 < v2;
        g187 = v5 == v2;
        g9 = llvm_ctpop_i32(v5 - v2) % 2 == 1;
        if (v5 == v2) {
            // 0x4518f2
            g8 = v4;
            int32_t v6;
            g3 = v6;
            int32_t v7;
            ((int32_t (*)())v7)();
            // branch -> 0x4518fa
        }
        // 0x4518fa
        g10++;
        int32_t v8 = g5 - 1; // 0x4518fb
        g5 = v8;
        if (v8 == 0) {
            // break -> 0x4518fe
            break;
        }
        // continue -> 0x4518e0
    }
}

// Address range: 0x451908 - 0x452437
void function_451908(void) {
    // 0x451908
    System__IsClass((int32_t *)g6, (int32_t *)0x446ff4);
    if (g8 != 0) {
        // 0x45191f
        Controls__TWinControl__SetZOrderPosition(g6);
        return;
    }
    // 0x45192b
    System__IsClass((int32_t *)g6, (int32_t *)0x446aa4);
    if (g8 != 0) {
        // 0x45193c
        Controls__TControl__SetZOrderPosition(g6);
        // branch -> 0x451945
    }
}

// Address range: 0x4524b0 - 0x453047
void function_4524b0(void) {
    int32_t v1 = g8; // 0x4524b6
    char v2 = 0;
    if (v1 != 0) {
        // 0x4524ba
        System__ClassCreate((int32_t *)g6, v1);
        v2 = g8;
        // branch -> 0x4524c2
    }
    int32_t v3 = g3; // ebx
    Controls__TControl((int32_t *)g6);
    int32_t v4 = 0x445ed4; // eax
    Graphics__TCanvas(g6);
    g10 = v4;
    *(int32_t *)(v3 + 352) = v4;
    g3 = g10;
    g8 = v3;
    function_44979c();
    if (v2 == 0) {
        // 0x452504
        return;
    }
    // 0x4524f5
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x453048 - 0x453087
void function_453048(void) {
    int32_t v1 = g3; // ebx
    if (g3 == 0) {
        // 0x45305f
        return;
    }
    int32_t v2 = g3; // 0x453054
    while (true) {
        // 0x453054
        Controls__TDockZone__GetVisible(g6);
        if (v2 == 0) {
            int32_t v3 = *(int32_t *)(v1 + 12);
            v1 = v3;
            if (v3 == 0) {
                // break -> 0x45305f
                break;
            }
            v2 = v3;
            // continue -> 0x453054
            continue;
        }
        // 0x45305f
        return;
    }
}

// Address range: 0x453088 - 0x453847
void function_453088(void) {
    // 0x453088
    if (g8 != 0) {
        // 0x45308c
        System__ClassCreate((int32_t *)g6, g8);
        // branch -> 0x453094
    }
    // 0x453094
    *(int32_t *)(g3 + 28) = g6;
    if (g8 == 0) {
        // 0x4530aa
        return;
    }
    // 0x45309b
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4538b0 - 0x456303
void function_4538b0(void) {
    int32_t * v1 = (int32_t *)(g3 + 108); // 0x4538b0_0
    *v1 = *v1 + 1;
}

// Address range: 0x456304 - 0x45632b
void function_456304(void) {
    // 0x456304
    int32_t v1;
    g3 = v1;
    System__GetMem(g6);
}

// Address range: 0x45632c - 0x45634b
void function_45632c(void) {
    // 0x45632c
    char * v1;
    char * v2;
    System__Move(v1, v2, (int32_t)v2);
}

// Address range: 0x45634c - 0x45636b
void function_45634c(void) {
    // 0x45634c
    int32_t v1;
    char v2;
    char * v3;
    System__FillChar(v3, v1, v2);
}

// Address range: 0x45636c - 0x45638f
void function_45636c(void) {
    int32_t v1 = g3; // 0x456372
    g3 = v1 / 8 + v1 + 256;
    g6 = v1;
}

// Address range: 0x456390 - 0x4563d7
void function_456390(void) {
    int32_t v1 = g10; // 0x456395
    int32_t v2 = g6; // esi
    *(int32_t *)(g3 + 60) = 0;
    *(int32_t *)(g3 + 56) = 0;
    *(int32_t *)(g3 + 64) = 0;
    int32_t v3 = g8; // 0x4563a3
    int32_t v4;
    if (v3 == 0) {
        // 0x4563d5
        g10 = v1;
        g5 = v4;
        return;
    }
    uint32_t v5 = v2; // 0x4563a7
    if (v5 == 0) {
        // 0x4563d5
        g10 = v1;
        g5 = v4;
        return;
    }
    uint32_t v6 = *(int32_t *)g3; // 0x4563ab
    int32_t v7 = v3; // 0x4563b7
    if (v5 > v6) {
        int32_t v8 = v5 - v6 + v3; // 0x4563b3
        g8 = v8;
        v2 = v6;
        v7 = v8;
        // branch -> 0x4563b7
    }
    // 0x4563b7
    *(int32_t *)(g3 + 56) = v7;
    *(int32_t *)(g3 + 64) = v2;
    *(int32_t *)(g3 + 60) = g8 + v2;
    function_45632c();
    *(int32_t *)(g3 + 68) = v2;
    // branch -> 0x4563d5
    // 0x4563d5
    g10 = v1;
    g5 = v4;
}

// Address range: 0x4563d8 - 0x456463
void function_4563d8(void) {
    // 0x4563d8
    *(int32_t *)(g3 + 88) = *(int32_t *)g3 - g6;
    *(int32_t *)(g3 + 92) = g8;
    int32_t v1 = g6 - 1; // ecx
    int32_t v2;
    if (g6 == 0) {
        // 0x45645e
        g5 = v2;
        return;
    }
    int32_t v3 = g8; // 0x45642e
    int32_t * v4 = (int32_t *)(g3 + 96); // 0x4563e7_0
    unsigned char v5 = *(char *)(v3 + *v4); // 0x4563f0
    unsigned char v6 = *(char *)(*v4 + 1 + v3); // 0x4563f4
    unsigned char v7 = *(char *)(v3 + 2 + *v4); // 0x456404
    int32_t v8 = 0x9f5f * ((int32_t)v7 ^ 32 * ((int32_t)v6 ^ 32 * (int32_t)v5)) / 32 & 0xffff; // 0x456425
    int32_t v9 = v8; // ebx
    int32_t v10 = *(int32_t *)(4 * v8 + *(int32_t *)(g3 + 100)); // 0x45642b
    *(int32_t *)(4 * v3 + *(int32_t *)(g3 + 104)) = v10;
    *(int32_t *)(4 * v9 + *(int32_t *)(g3 + 100)) = g8;
    int32_t v11 = *(int32_t *)(g3 + 4); // 0x45643a
    *(int32_t *)(4 * g8 + *(int32_t *)(g3 + 108)) = v11 + 1;
    int32_t * v12 = (int32_t *)(4 * v9 + *(int32_t *)(g3 + 112)); // 0x456444_0
    *v12 = *v12 + 1;
    int32_t v13 = *(int32_t *)(g3 + 116); // 0x45644a
    int32_t v14 = g8; // 0x45644d
    uint16_t v15 = *(int16_t *)(v14 + *(int32_t *)(g3 + 96)); // 0x45644d
    *(int32_t *)(4 * (int32_t)v15 + v13) = v14;
    int32_t v16 = g8 + 1; // 0x456454
    g8 = v16;
    // branch -> 0x4563e7
    while (v1 != 0) {
        // 0x4563e7
        v1--;
        v3 = v16;
        v4 = (int32_t *)(g3 + 96);
        v5 = *(char *)(v3 + *v4);
        v6 = *(char *)(*v4 + 1 + v3);
        v7 = *(char *)(v3 + 2 + *v4);
        v8 = 0x9f5f * ((int32_t)v7 ^ 32 * ((int32_t)v6 ^ 32 * (int32_t)v5)) / 32 & 0xffff;
        v9 = v8;
        v10 = *(int32_t *)(4 * v8 + *(int32_t *)(g3 + 100));
        *(int32_t *)(4 * v3 + *(int32_t *)(g3 + 104)) = v10;
        *(int32_t *)(4 * v9 + *(int32_t *)(g3 + 100)) = g8;
        v11 = *(int32_t *)(g3 + 4);
        *(int32_t *)(4 * g8 + *(int32_t *)(g3 + 108)) = v11 + 1;
        v12 = (int32_t *)(4 * v9 + *(int32_t *)(g3 + 112));
        *v12 = *v12 + 1;
        v13 = *(int32_t *)(g3 + 116);
        v14 = g8;
        v15 = *(int16_t *)(v14 + *(int32_t *)(g3 + 96));
        *(int32_t *)(4 * (int32_t)v15 + v13) = v14;
        v16 = g8 + 1;
        g8 = v16;
        // continue -> 0x4563e7
    }
    // 0x45645e
    g5 = v2;
}

// Address range: 0x456464 - 0x45667b
void function_456464(void) {
    int32_t v1 = g7; // 0x456466
    int32_t v2 = g3; // 0x456467
    int32_t v3 = g6; // bp-20
    g7 = g8;
    *(int32_t *)(v2 + 96) = 0;
    *(int32_t *)(v2 + 100) = 0;
    *(int32_t *)(v2 + 104) = 0;
    *(int32_t *)(v2 + 108) = 0;
    g6 = 0;
    *(int32_t *)(v2 + 112) = 0;
    *(int32_t *)(v2 + 116) = g6;
    int32_t * v4 = (int32_t *)v2; // 0x45648e_0
    if (*v4 == 0) {
        // 0x456493
        *v4 = 0x800000;
        // branch -> 0x456499
    }
    int32_t * v5 = (int32_t *)(v2 + 4); // 0x456499_0
    if (*v5 == 0) {
        // 0x45649f
        *v5 = 2048;
        // branch -> 0x4564a6
    }
    // 0x4564a6
    *(int32_t *)(v2 + 8) = 1;
    uint32_t v6 = *(int32_t *)v2; // 0x4564ad
    g10 = v6;
    int32_t v7;
    if (v6 <= 0x800000) {
        int32_t * v8 = (int32_t *)(v2 + 4); // 0x4564b7_0
        if (*v8 < 2049) {
            int32_t v9 = *v8; // 0x4564cc
            g3 = v9 + v6 + v9;
            function_4575cc();
            *(int32_t *)(v2 + 96) = g3;
            g8 = 4;
            g3 = 0x10000;
            function_4575dc();
            *(int32_t *)(g5 + 100) = g3;
            g8 = 4;
            int32_t v10 = g5; // 0x4564f2
            g3 = *(int32_t *)(v10 + 4) + *(int32_t *)v10;
            function_4575dc();
            *(int32_t *)(g5 + 104) = g3;
            g8 = 4;
            int32_t v11 = g5; // 0x456504
            g3 = *(int32_t *)(v11 + 4) + *(int32_t *)v11;
            function_4575dc();
            *(int32_t *)(g5 + 108) = g3;
            g8 = 4;
            g3 = 0x10000;
            function_4575dc();
            *(int32_t *)(g5 + 112) = g3;
            int32_t v12 = g5; // 0x456523
            if (*(int32_t *)(v12 + 96) != 0) {
                // 0x456529
                if (*(int32_t *)(v12 + 100) != 0) {
                    // 0x45652f
                    if (*(int32_t *)(v12 + 104) != 0) {
                        // 0x456535
                        if (*(int32_t *)(v12 + 108) != 0) {
                            // 0x45653b
                            if (*(int32_t *)(v12 + 112) != 0) {
                                // 0x45654b
                                g8 = 4;
                                g3 = 0x10000;
                                function_4575dc();
                                int32_t v13 = g3; // 0x45655a
                                g10 = v13;
                                *(int32_t *)(g5 + 116) = v13;
                                if (g10 == 0) {
                                    // 0x456563
                                    g3 = -3;
                                    // branch -> 0x456676
                                    // 0x456676
                                    g8 = v3;
                                    g7 = v1;
                                    g5 = v7;
                                    return;
                                }
                                // 0x45656d
                                *(int32_t *)(g5 + 16) = 2048;
                                int32_t v14 = g5; // 0x456574
                                *(int32_t *)(v14 + 20) = *(int32_t *)(v14 + 4);
                                *(int32_t *)(g5 + 24) = 0;
                                *(int32_t *)(g5 + 28) = 0;
                                int32_t v15 = g5; // 0x456584
                                int32_t v16 = *(int32_t *)(v15 + 4) + *(int32_t *)v15; // 0x456586
                                *(int32_t *)(v15 + 80) = v16;
                                int32_t v17 = g5; // 0x45658e
                                if (*(int32_t *)(v17 + 4) + v16 == -1) {
                                    // 0x456596
                                    g3 = -1;
                                    // branch -> 0x456676
                                } else {
                                    // 0x45659e
                                    *(int32_t *)(v17 + 84) = *(int32_t *)(v17 + 96) + v16;
                                    int32_t v18 = g5; // 0x4565a6
                                    *(int32_t *)(v18 + 88) = *(int32_t *)v18;
                                    function_45634c();
                                    function_45634c();
                                    *(int32_t *)(g5 + 68) = 0;
                                    g6 = v3;
                                    g8 = g7;
                                    g3 = g5;
                                    function_456390();
                                    int32_t v19 = g5; // 0x4565e5
                                    *(int32_t *)(v19 + 72) = *(int32_t *)(v19 + 68);
                                    int32_t v20 = g5; // 0x4565eb
                                    *(int32_t *)(v20 + 92) = *(int32_t *)(v20 + 68);
                                    int32_t v21 = g5; // 0x4565f1
                                    int32_t v22 = *(int32_t *)(v21 + 48); // 0x4565f1
                                    int32_t v23 = *(int32_t *)(v22 + 36) - *(int32_t *)(v22 + 28); // 0x4565f7
                                    *(int32_t *)(v21 + 40) = v23;
                                    if (v23 != 0) {
                                        int32_t v24 = g5; // 0x456601
                                        uint32_t v25 = *(int32_t *)(v24 + 4); // 0x456601
                                        if (v23 > v25) {
                                            // 0x456608
                                            *(int32_t *)(v24 + 40) = v25;
                                            // branch -> 0x45660b
                                        }
                                        // 0x45660b
                                        function_45632c();
                                        int32_t v26 = g5; // 0x456625
                                        int32_t * v27 = (int32_t *)(*(int32_t *)(v26 + 48) + 28); // 0x45662b_0
                                        *v27 = *v27 + *(int32_t *)(v26 + 40);
                                        int32_t v28 = g5; // 0x45662e
                                        int32_t * v29 = (int32_t *)(v28 + 68); // 0x456631_0
                                        *v29 = *v29 + *(int32_t *)(v28 + 40);
                                        // branch -> 0x456634
                                    }
                                    int32_t v30 = g5; // 0x456634
                                    int32_t * v31 = (int32_t *)(v30 + 68); // 0x456634_0
                                    int32_t v32 = v30; // 0x456652
                                    if (*v31 == *(int32_t *)(v30 + 80)) {
                                        // 0x45663c
                                        *v31 = 0;
                                        v32 = g5;
                                        // branch -> 0x456641
                                    }
                                    int32_t v33 = v32; // 0x456659
                                    if (*(int32_t *)(v32 + 40) >= 2) {
                                        int32_t v34 = *(int32_t *)(v32 + 64); // 0x456647
                                        if (v34 != 0) {
                                            // 0x45664d
                                            g6 = v34;
                                            g8 = 0;
                                            g3 = v32;
                                            function_4563d8();
                                            v33 = g5;
                                            // branch -> 0x456659
                                        } else {
                                            v33 = v32;
                                        }
                                    }
                                    int32_t v35 = *(int32_t *)(v33 + 92); // 0x456659
                                    *(int32_t *)(v33 + 76) = v35;
                                    int32_t * v36 = (int32_t *)(g5 + 88); // 0x45665f_0
                                    uint32_t v37 = *v36; // 0x45665f
                                    if (v35 < v37) {
                                        int32_t * v38 = (int32_t *)(g5 + 76); // 0x456671_0
                                        *v38 = *v38 + *(int32_t *)(g5 + 80) - *v36;
                                        // branch -> 0x456674
                                    } else {
                                        int32_t * v39 = (int32_t *)(g5 + 76); // 0x456666_0
                                        *v39 = *v39 - v37;
                                        // branch -> 0x456674
                                    }
                                    // 0x456674
                                    g3 = 0;
                                    // branch -> 0x456676
                                }
                                // 0x456676
                                g8 = v3;
                                g7 = v1;
                                g5 = v7;
                                return;
                            }
                        }
                    }
                }
            }
            // 0x456541
            g3 = -3;
            // branch -> 0x456676
            // 0x456676
            g8 = v3;
            g7 = v1;
            g5 = v7;
            return;
        }
    }
    // 0x4564c0
    g3 = -2;
    // branch -> 0x456676
    // 0x456676
    g8 = v3;
    g7 = v1;
    g5 = v7;
}

// Address range: 0x45667c - 0x4566cf
void function_45667c(void) {
    int32_t v1 = g3; // ebx
    g3 += 116;
    function_457604();
    g8 = 0;
    *(int32_t *)(v1 + 116) = 0;
    g3 = *(int32_t *)(v1 + 112);
    function_457604();
    g8 = 0;
    *(int32_t *)(v1 + 112) = 0;
    g3 = *(int32_t *)(v1 + 108);
    function_457604();
    g8 = 0;
    *(int32_t *)(v1 + 108) = 0;
    g3 = *(int32_t *)(v1 + 104);
    function_457604();
    g8 = 0;
    *(int32_t *)(v1 + 104) = 0;
    g3 = *(int32_t *)(v1 + 100);
    function_457604();
    g8 = 0;
    *(int32_t *)(v1 + 100) = 0;
    g3 = *(int32_t *)(v1 + 96);
    function_457604();
    *(int32_t *)(v1 + 96) = 0;
    int32_t v2;
    g5 = v2;
}

// Address range: 0x4566d0 - 0x45674f
void function_4566d0(void) {
    int32_t v1 = g10; // bp-8
    int32_t v2 = &v1; // 0x4566d1_0
    g11 = v2;
    int32_t * v3 = (int32_t *)(g3 + 48); // 0x4566d2_0
    int32_t v4 = *v3; // 0x4566d2
    int32_t v5; // 0x456707
    int32_t v6; // 0x4566f9
    if (*(int32_t *)(v4 + 28) < *(int32_t *)(v4 + 36)) {
        int32_t * v7 = (int32_t *)(*v3 + 28); // 0x4566e0_0
        *v7 = *v7 + 1;
        v6 = g3;
        v5 = (int32_t)*(char *)*v7;
        // branch -> 0x4566ef
    } else {
        // 0x4566ec
        v6 = g3;
        v5 = -1;
        // branch -> 0x4566ef
    }
    // 0x4566ef
    int32_t * v8; // 0x45671d_0
    int32_t * v9; // 0x456720_0
    int32_t * v10; // 0x45672d_0
    int32_t * v11; // 0x456730_0
    int32_t * v12; // 0x45673d_0
    int32_t * v13; // 0x456740_0
    int32_t v14;
    int32_t v15; // 0x456720
    int32_t v16; // 0x45672d
    int32_t v17; // 0x456730
    int32_t v18; // 0x45673d
    int32_t v19; // 0x456740
    if (v5 < 0) {
        int32_t * v20 = (int32_t *)(v6 + 40); // 0x4566f3_0
        int32_t v21 = *v20; // 0x4566f3
        if (v21 != 0) {
            // 0x4566f9
            *v20 = v21 - 1;
            // branch -> 0x45671d
        }
        // 0x45671d
        v8 = (int32_t *)(g3 + 68);
        *v8 = *v8 + 1;
        v15 = g3;
        v9 = (int32_t *)(v15 + 68);
        v16 = v15;
        if (*v9 == *(int32_t *)(v15 + 80)) {
            // 0x456728
            *v9 = 0;
            v16 = g3;
            // branch -> 0x45672d
        }
        // 0x45672d
        v10 = (int32_t *)(v16 + 72);
        *v10 = *v10 + 1;
        v17 = g3;
        v11 = (int32_t *)(v17 + 72);
        v18 = v17;
        if (*v11 == *(int32_t *)(v17 + 80)) {
            // 0x456738
            *v11 = 0;
            v18 = g3;
            // branch -> 0x45673d
        }
        // 0x45673d
        v12 = (int32_t *)(v18 + 76);
        *v12 = *v12 + 1;
        v19 = g3;
        v13 = (int32_t *)(v19 + 76);
        if (*v13 == *(int32_t *)(v19 + 80)) {
            // 0x456748
            *v13 = 0;
            // branch -> 0x45674d
        }
        // 0x45674d
        g10 = v1;
        g5 = v14;
        return;
    }
    int32_t v22 = *(int32_t *)(v6 + 68); // 0x456701
    g11 = v2;
    *(char *)(v22 + *(int32_t *)(v6 + 96)) = (char)v5;
    uint32_t v23 = *(int32_t *)(g3 + 68); // 0x45670c
    if (v23 < *(int32_t *)(g3 + 4)) {
        // 0x456714
        g11 = v2;
        *(char *)(*(int32_t *)(g3 + 84) + v23) = (char)v5;
        // branch -> 0x45671d
    }
    // 0x45671d
    v8 = (int32_t *)(g3 + 68);
    *v8 = *v8 + 1;
    v15 = g3;
    v9 = (int32_t *)(v15 + 68);
    v16 = v15;
    if (*v9 == *(int32_t *)(v15 + 80)) {
        // 0x456728
        *v9 = 0;
        v16 = g3;
        // branch -> 0x45672d
    }
    // 0x45672d
    v10 = (int32_t *)(v16 + 72);
    *v10 = *v10 + 1;
    v17 = g3;
    v11 = (int32_t *)(v17 + 72);
    v18 = v17;
    if (*v11 == *(int32_t *)(v17 + 80)) {
        // 0x456738
        *v11 = 0;
        v18 = g3;
        // branch -> 0x45673d
    }
    // 0x45673d
    v12 = (int32_t *)(v18 + 76);
    *v12 = *v12 + 1;
    v19 = g3;
    v13 = (int32_t *)(v19 + 76);
    if (*v13 == *(int32_t *)(v19 + 80)) {
        // 0x456748
        *v13 = 0;
        // branch -> 0x45674d
    }
    // 0x45674d
    g10 = v1;
    g5 = v14;
}

// Address range: 0x456750 - 0x4567b7
void function_456750(void) {
    int32_t * v1 = (int32_t *)(g3 + 88); // 0x456751_0
    int32_t v2 = *v1; // 0x456751
    int32_t v3;
    if (v2 == 0) {
        int32_t * v4 = (int32_t *)(g3 + 96); // 0x456757_0
        unsigned char v5 = *(char *)(g8 + *v4); // 0x45675d
        unsigned char v6 = *(char *)(*v4 + 1 + g8); // 0x456761
        unsigned char v7 = *(char *)(g8 + 2 + *v4); // 0x456771
        int32_t v8 = *(int32_t *)(g3 + 112); // 0x45678c
        int32_t * v9 = (int32_t *)(4 * (0x9f5f * ((int32_t)v7 ^ 32 * ((int32_t)v6 ^ 32 * (int32_t)v5)) / 32 & 0xffff) + v8); // 0x456798_0
        *v9 = *v9 - 1;
        uint16_t v10 = *(int16_t *)(g8 + *(int32_t *)(g3 + 96)); // 0x4567a1
        int32_t * v11 = (int32_t *)(4 * (int32_t)v10 + *(int32_t *)(g3 + 116)); // 0x4567a5_0
        if (g8 == *v11) {
            // 0x4567aa
            *v11 = -1;
            g5 = v3;
            return;
        }
    } else {
        // 0x4567b3
        *v1 = v2 - 1;
        // branch -> 0x4567b6
    }
    // 0x4567b6
    g5 = v3;
}

// Address range: 0x4567b8 - 0x45685b
void function_4567b8(void) {
    int32_t v1 = g10; // 0x4567b9
    int32_t v2 = g8; // 0x4567bb
    g10 = v2;
    int32_t v3;
    if (v2 == 0) {
        // 0x456858
        g10 = v1;
        g5 = v3;
        return;
    }
    int32_t v4 = g3; // 0x4567c7
    while (true) {
        // 0x4567c7
        g8 = *(int32_t *)(v4 + 76);
        g3 = v4;
        function_456750();
        int32_t v5 = g5; // 0x4567d1
        int32_t v6 = *(int32_t *)(v5 + 72); // 0x4567d1
        int32_t * v7 = (int32_t *)(v5 + 96); // 0x4567d4_0
        unsigned char v8 = *(char *)(*v7 + v6); // 0x4567dc
        unsigned char v9 = *(char *)(v6 + 1 + *v7); // 0x4567e5
        unsigned char v10 = *(char *)(v6 + 2 + *v7); // 0x4567f2
        int32_t v11 = 0x9f5f * ((int32_t)v10 ^ 32 * ((int32_t)v9 ^ 32 * (int32_t)v8)) / 32 & 0xffff; // 0x456813
        int32_t v12 = v11; // eax
        int32_t v13 = *(int32_t *)(4 * v11 + *(int32_t *)(v5 + 100)); // 0x456818
        *(int32_t *)(4 * v6 + *(int32_t *)(v5 + 104)) = v13;
        int32_t v14 = g5; // 0x45681e
        int32_t v15 = *(int32_t *)(v14 + 72); // 0x456821
        *(int32_t *)(4 * v12 + *(int32_t *)(v14 + 100)) = v15;
        int32_t v16 = g5; // 0x456827
        int32_t v17 = *(int32_t *)(v16 + 108); // 0x45682a
        int32_t v18 = *(int32_t *)(v16 + 4); // 0x45682d
        *(int32_t *)(4 * *(int32_t *)(v16 + 72) + v17) = v18 + 1;
        int32_t * v19 = (int32_t *)(4 * v12 + *(int32_t *)(g5 + 112)); // 0x456837_0
        *v19 = *v19 + 1;
        int32_t v20 = g5; // 0x45683a
        int32_t v21 = *(int32_t *)(v20 + 72); // 0x45683d
        int32_t v22 = *(int32_t *)(v20 + 116); // 0x456840
        uint16_t v23 = *(int16_t *)(v21 + *(int32_t *)(v20 + 96)); // 0x456843
        *(int32_t *)(4 * (int32_t)v23 + v22) = v21;
        g3 = g5;
        function_4566d0();
        int32_t v24 = g10 - 1; // 0x456851
        g10 = v24;
        if (v24 == 0) {
            // 0x456858
            g10 = v1;
            g5 = v3;
            return;
        }
        // 0x4567c7
        v4 = g5;
        // branch -> 0x4567c7
    }
}

// Address range: 0x45685c - 0x456923
void function_45685c(void) {
    int32_t v1 = *(int32_t *)(g3 + 32); // 0x456866
    int32_t * v2 = (int32_t *)(g3 + 96); // 0x456869_0
    int32_t v3 = *v2; // 0x456869
    int32_t * v4 = (int32_t *)(g3 + 72); // 0x456870_0
    int32_t v5 = *v4 + v3; // 0x456870
    struct struct_123 * v6 = (struct struct_123 *)v5; // 0x456873_0
    struct struct_123 * v7 = (struct struct_123 *)(*(int32_t *)(g3 + 40) + *v4 + *v2); // 0x456880_0
    int32_t v8;
    if (g6 == 0) {
        // 0x45691a
        g5 = v8;
        return;
    }
    int32_t v9 = g8; // 0x45689a
    char v10 = *(char *)(v1 - 1 + v5); // 0x4568fd330
    int32_t v11 = g3; // 0x4568e127
    // branch -> 0x456892
    while (true) {
        int32_t v12 = g6 - 1; // 0x45690e31
        int32_t v13 = (int32_t)v6; // 0x456892
        int32_t v14 = v9 + v3; // 0x45689a
        int32_t v15 = v5 & -256; // 0x4568a0
        int32_t v16 = v15 | (int32_t)*(char *)(v1 - 1 + v14); // 0x4568a0
        int32_t v17 = v11; // 0x456905
        int32_t v18 = v1; // 0x4568a07
        char v19 = v10; // 0x4568fd2
        int32_t v20; // 0x456908
        if (v16 == (int32_t)v10) {
            int32_t v21 = (int32_t)*(char *)(v14 + v1) | v15; // 0x4568aa
            if (v21 == (int32_t)*(char *)(v13 + v1)) {
                int32_t v22 = (int32_t)*(char *)v14 | v15; // 0x4568b3
                if (v22 == (int32_t)v6->e0) {
                    int32_t v23 = (int32_t)*(char *)(v14 + 1) | v15; // 0x4568ba
                    if (v23 == (int32_t)*(char *)(v13 + 1)) {
                        int32_t v24 = v14 + 2; // 0x4568cd
                        int32_t v25 = v13 + 2; // 0x4568c8
                        // branch -> 0x4568c8
                        int32_t v26; // 0x4568c8
                        int32_t v27; // 0x4568d7
                        int32_t v28; // 0x4568f4
                        while (true) {
                            // 0x4568c8
                            v26 = v25 + 1;
                            if ((int32_t)v7 > v26) {
                                int32_t v29 = v24 + 1; // 0x4568cd
                                int32_t v30 = (int32_t)*(char *)v29 | v23 & -256; // 0x4568ce
                                if (v30 != (int32_t)*(char *)v26) {
                                    // break -> 0x4568d5
                                    break;
                                }
                                v23 = v30;
                                v24 = v29;
                                v25 = v26;
                                // continue -> 0x4568c8
                                continue;
                            }
                            // 0x4568d5
                            v27 = v26 - v13;
                            if (v1 < v27) {
                              lab_0x4568df:
                                // 0x4568df
                                *(int32_t *)(v11 + 32) = v27;
                                *(int32_t *)(g3 + 52) = g8;
                                uint32_t v31 = v27; // 0x4568e7
                                if (v31 == *(int32_t *)(g3 + 40)) {
                                    // 0x45691a
                                    g5 = v8;
                                    return;
                                }
                                // 0x4568ec
                                if (v31 < *(int32_t *)(g3 + 20)) {
                                    // 0x4568f1
                                    v28 = g8;
                                    if (v31 <= *(int32_t *)(4 * v28 + *(int32_t *)(g3 + 108))) {
                                        v17 = g3;
                                        v18 = v31;
                                        v19 = *(char *)(v31 - 1 + (int32_t)v6);
                                        // branch -> 0x456905
                                      lab_0x456905:
                                        // 0x456905
                                        v20 = *(int32_t *)(*(int32_t *)(v17 + 104) + 4 * v28);
                                        g8 = v20;
                                        if (v12 != 0) {
                                          lab_0x456905_2:
                                            // 0x456905
                                            v9 = v20;
                                            v10 = v19;
                                            v1 = v18;
                                            v11 = v17;
                                            // branch -> 0x456892
                                            break;
                                        }
                                    }
                                }
                                // 0x45691a
                                g5 = v8;
                                return;
                            }
                        }
                        // 0x4568d5
                        v27 = v26 - v13;
                        if (v1 < v27) {
                            goto lab_0x4568df;
                        }
                        v28 = v9;
                        v17 = v11;
                        v18 = v1;
                        v19 = v10;
                        goto lab_0x456905;
                    } else {
                        v17 = v11;
                        v18 = v1;
                        v19 = v10;
                    }
                } else {
                    v17 = v11;
                    v18 = v1;
                    v19 = v10;
                }
            } else {
                v17 = v11;
                v18 = v1;
                v19 = v10;
            }
        }
        // 0x456905
        v20 = *(int32_t *)(*(int32_t *)(v17 + 104) + 4 * v9);
        g8 = v20;
        if (v12 != 0) {
            goto lab_0x456905_2;
        }
        // 0x45691a
        g5 = v8;
        return;
    }
}

// Address range: 0x456924 - 0x456953
void function_456924(void) {
    uint16_t v1 = *(int16_t *)(*(int32_t *)(g3 + 72) + *(int32_t *)(g3 + 96)); // 0x45692a
    int32_t v2 = *(int32_t *)(4 * (int32_t)v1 + *(int32_t *)(g3 + 116)); // 0x456931
    if (v2 == -1) {
        // 0x456939
        g3 = 0;
        return;
    }
    int32_t * v3 = (int32_t *)(g3 + 32); // 0x45693c_0
    if (*v3 <= 1) {
        // 0x456942
        *v3 = 2;
        *(int32_t *)(g3 + 52) = v2;
        // branch -> 0x45694c
    }
    // 0x45694c
    g3 = 1;
}

// Address range: 0x456954 - 0x456a67
void function_456954(void) {
    int32_t v1 = g3; // 0x456955
    g5 = v1;
    int32_t v2 = g10; // 0x456957
    int32_t v3 = g7; // 0x456958
    int32_t v4 = g4; // 0x456959
    int32_t v5 = *(int32_t *)(v1 + 72); // 0x45695c
    int32_t * v6 = (int32_t *)(v1 + 96); // 0x45695f_0
    unsigned char v7 = *(char *)(*v6 + v5); // 0x456965
    unsigned char v8 = *(char *)(v5 + 1 + *v6); // 0x45696e
    unsigned char v9 = *(char *)(v5 + 2 + *v6); // 0x45697b
    int32_t v10 = 0x9f5f * ((int32_t)v9 ^ 32 * ((int32_t)v8 ^ 32 * (int32_t)v7)) / 32 & 0xffff; // 0x45699a
    int32_t v11 = *(int32_t *)(4 * v10 + *(int32_t *)(v1 + 100)); // 0x45699f
    *(int32_t *)(4 * v5 + *(int32_t *)(v1 + 104)) = v11;
    g4 = v11;
    int32_t * v12 = (int32_t *)(4 * v10 + *(int32_t *)(g5 + 112)); // 0x4569aa_0
    g7 = *v12;
    *v12 = *v12 + 1;
    int32_t v13 = g5; // 0x4569b0
    uint32_t v14 = *(int32_t *)(v13 + 16); // 0x4569b0
    int32_t * v15; // 0x456a1f_0
    int32_t * v16; // 0x456a22_0
    int32_t v17;
    int32_t v18;
    int32_t v19; // 0x4569c6
    int32_t v20; // 0x4569d3
    int32_t v21; // 0x4569ec
    int32_t v22; // 0x4569ef
    int32_t v23; // 0x456a09
    int32_t v24; // 0x456a1a
    int32_t v25; // 0x456a43
    int32_t v26; // 0x456a49
    int32_t v27; // 0x456a53
    int32_t v28; // 0x4569c0
    int32_t v29; // 0x4569c9
    unsigned char v30; // 0x4569cc
    uint32_t v31; // 0x4569d3
    uint32_t v32; // 0x4569d8
    int32_t v33; // 0x4569f2
    int32_t v34; // 0x4569f5
    int32_t v35; // 0x456a40
    int32_t v36; // 0x456a43
    int32_t v37; // 0x456a56
    uint16_t v38; // 0x456a59
    int32_t v39; // 0x456a5d
    uint32_t v40; // 0x456a22
    if (g7 <= v14) {
        // 0x4569bd
        v28 = *(int32_t *)(v13 + 72);
        *(int32_t *)(4 * v10 + *(int32_t *)(v13 + 100)) = v28;
        v19 = g5;
        v29 = *(int32_t *)(v19 + 72);
        v30 = *(char *)(v29 + *(int32_t *)(v19 + 96));
        *(int32_t *)(v19 + 44) = (int32_t)v30;
        v20 = g5;
        v31 = *(int32_t *)(v20 + 32);
        g10 = v31;
        v32 = *(int32_t *)(v20 + 40);
        if (v31 < v32) {
            // 0x4569fe
            g3 = v20;
            function_456924();
            if (g3 != 0) {
                // 0x456a09
                v23 = g5;
                if (*(int32_t *)(v23 + 40) >= 3) {
                    // 0x456a0f
                    g6 = g7;
                    g8 = g4;
                    g3 = v23;
                    function_45685c();
                    // branch -> 0x456a1a
                }
            }
            // 0x456a1a
            v24 = g5;
            v25 = v24;
            if (g10 < *(int32_t *)(v24 + 32)) {
                // 0x456a1f
                v15 = (int32_t *)(v24 + 72);
                v16 = (int32_t *)(v24 + 52);
                v40 = *v16;
                if (*v15 > v40) {
                    // 0x456a27
                    v18 = *v15 - *v16;
                    // branch -> 0x456a3a
                } else {
                    // 0x456a2f
                    v18 = *(int32_t *)(v24 + 80) - (v40 - *v15);
                    // branch -> 0x456a3a
                }
                // 0x456a3a
                *(int32_t *)(v24 + 36) = v18;
                v25 = g5;
                // branch -> 0x456a3d
            }
            // 0x456a3d
            v35 = *(int32_t *)(v25 + 72);
            v36 = *(int32_t *)(v25 + 32);
            *(int32_t *)(4 * v35 + *(int32_t *)(v25 + 108)) = v36;
            // branch -> 0x456a49
        } else {
            // 0x4569df
            v21 = v20;
            if (v32 == 0) {
                // 0x4569e3
                *(int32_t *)(v20 + 44) = -1;
                v21 = g5;
                // branch -> 0x4569ea
            }
            // 0x4569ea
            *(int32_t *)(v21 + 36) = 0;
            v22 = g5;
            v33 = *(int32_t *)(v22 + 72);
            v34 = *(int32_t *)(v22 + 4);
            *(int32_t *)(4 * v33 + *(int32_t *)(v22 + 108)) = v34 + 1;
            // branch -> 0x456a49
        }
        // 0x456a49
        v26 = g5;
        g8 = *(int32_t *)(v26 + 76);
        g3 = v26;
        function_456750();
        v27 = g5;
        v37 = *(int32_t *)(v27 + 72);
        v38 = *(int16_t *)(v37 + *(int32_t *)(v27 + 96));
        v39 = *(int32_t *)(v27 + 116);
        *(int32_t *)(4 * (int32_t)v38 + v39) = v37;
        g4 = v4;
        g7 = v3;
        g10 = v2;
        g5 = v17;
        return;
    }
    // 0x4569b7
    if (v14 != 0) {
        // 0x4569bb
        g7 = v14;
        // branch -> 0x4569bd
    }
    // 0x4569bd
    v28 = *(int32_t *)(v13 + 72);
    *(int32_t *)(4 * v10 + *(int32_t *)(v13 + 100)) = v28;
    v19 = g5;
    v29 = *(int32_t *)(v19 + 72);
    v30 = *(char *)(v29 + *(int32_t *)(v19 + 96));
    *(int32_t *)(v19 + 44) = (int32_t)v30;
    v20 = g5;
    v31 = *(int32_t *)(v20 + 32);
    g10 = v31;
    v32 = *(int32_t *)(v20 + 40);
    if (v31 < v32) {
        // 0x4569fe
        g3 = v20;
        function_456924();
        if (g3 != 0) {
            // 0x456a09
            v23 = g5;
            if (*(int32_t *)(v23 + 40) >= 3) {
                // 0x456a0f
                g6 = g7;
                g8 = g4;
                g3 = v23;
                function_45685c();
                // branch -> 0x456a1a
            }
        }
        // 0x456a1a
        v24 = g5;
        v25 = v24;
        if (g10 < *(int32_t *)(v24 + 32)) {
            // 0x456a1f
            v15 = (int32_t *)(v24 + 72);
            v16 = (int32_t *)(v24 + 52);
            v40 = *v16;
            if (*v15 > v40) {
                // 0x456a27
                v18 = *v15 - *v16;
                // branch -> 0x456a3a
            } else {
                // 0x456a2f
                v18 = *(int32_t *)(v24 + 80) - (v40 - *v15);
                // branch -> 0x456a3a
            }
            // 0x456a3a
            *(int32_t *)(v24 + 36) = v18;
            v25 = g5;
            // branch -> 0x456a3d
        }
        // 0x456a3d
        v35 = *(int32_t *)(v25 + 72);
        v36 = *(int32_t *)(v25 + 32);
        *(int32_t *)(4 * v35 + *(int32_t *)(v25 + 108)) = v36;
        // branch -> 0x456a49
    } else {
        // 0x4569df
        v21 = v20;
        if (v32 == 0) {
            // 0x4569e3
            *(int32_t *)(v20 + 44) = -1;
            v21 = g5;
            // branch -> 0x4569ea
        }
        // 0x4569ea
        *(int32_t *)(v21 + 36) = 0;
        v22 = g5;
        v33 = *(int32_t *)(v22 + 72);
        v34 = *(int32_t *)(v22 + 4);
        *(int32_t *)(4 * v33 + *(int32_t *)(v22 + 108)) = v34 + 1;
        // branch -> 0x456a49
    }
    // 0x456a49
    v26 = g5;
    g8 = *(int32_t *)(v26 + 76);
    g3 = v26;
    function_456750();
    v27 = g5;
    v37 = *(int32_t *)(v27 + 72);
    v38 = *(int16_t *)(v37 + *(int32_t *)(v27 + 96));
    v39 = *(int32_t *)(v27 + 116);
    *(int32_t *)(4 * (int32_t)v38 + v39) = v37;
    g4 = v4;
    g7 = v3;
    g10 = v2;
    g5 = v17;
}

// Address range: 0x456a68 - 0x456adf
void function_456a68(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g8; // ebx
    *(int32_t *)g3 = 1;
    int32_t v3 = 0; // edx
    *(int32_t *)(v2 + 48) = g3;
    *(int32_t *)(g3 + 20) = v3;
    *(int32_t *)(g3 + 16) = v3;
    v3 = 0;
    *(int32_t *)(g3 + 124) = 0;
    *(int32_t *)(g3 + 120) = v3;
    *(int32_t *)(g3 + 116) = v3;
    v3 = 0;
    *(int32_t *)(g3 + 136) = 0;
    *(int32_t *)(g3 + 132) = v3;
    *(int32_t *)(g3 + 128) = v3;
    *(int32_t *)(g3 + 140) = 0;
    g8 = g6;
    int32_t v4;
    g6 = v4;
    g3 = v2;
    function_456464();
    int32_t v5 = g3; // 0x456ab3
    int32_t v6;
    if (v5 == 0) {
        int32_t v7 = 1;
        char v8;
        if (v8 == 1) {
            // 0x456ad1
            v7 = 0;
            // branch -> 0x456ad3
        }
        // 0x456ad3
        *(int32_t *)(g5 + 24) = v7;
        v6 = 0;
        // branch -> 0x456ad8
    } else {
        // 0x456ab9
        g3 = g5;
        function_45667c();
        v6 = v5;
        // branch -> 0x456ad8
    }
    // 0x456ad8
    g3 = v6;
    g4 = v1;
}

// Address range: 0x456ae0 - 0x456b93
void function_456ae0(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g10; // 0x456ae5
    int32_t v3 = g7; // bp-20
    g11 = &v3;
    int32_t v4 = g6; // 0x456ae7
    int32_t v5 = g8; // 0x456aea
    g10 = v5;
    int32_t v6 = g3; // 0x456aec
    int32_t v7;
    g7 = v7;
    if (v7 == 0) {
        int32_t * v8 = (int32_t *)(v6 + 116); // 0x456b11_0
        *v8 = *v8 + v4;
        // branch -> 0x456b14
    } else {
        // 0x456af5
        g3 = v5;
        g8 = v4 - v7;
        function_4567b8();
        int32_t * v9 = (int32_t *)(g5 + 116); // 0x456b07_0
        *v9 = *v9 + v4 - g7 + 1;
        // branch -> 0x456b14
    }
    // 0x456b14
    *(int32_t *)(g10 + 32) = 1;
    g3 = g10;
    function_456954();
    int32_t v10 = g10; // 0x456b22
    g3 = v10;
    *(int32_t *)(g5 + 8) = *(int32_t *)(v10 + 32);
    *(int32_t *)(g5 + 12) = *(int32_t *)(g10 + 36);
    function_4566d0();
    int32_t v11 = g10; // 0x456b35
    if (*(int32_t *)(v11 + 44) > -1) {
        // 0x456b4e
        *(int32_t *)(g5 + 4) = *(int32_t *)(v11 + 40) + 1;
        // branch -> 0x456b55
    } else {
        // 0x456b3b
        g8 = 0;
        *(int32_t *)(g5 + 4) = 0;
        *(int32_t *)(g5 + 8) = 0;
        g3 = g10;
        function_45667c();
        // branch -> 0x456b55
    }
    int32_t v12 = g5; // 0x456b55
    int32_t v13 = *(int32_t *)(v12 + 4); // 0x456b58
    *(int32_t *)(v12 + 24) = *(int32_t *)(v12 + 28) - v13;
    int32_t v14 = g5; // 0x456b5e
    int32_t v15 = *(int32_t *)(v14 + 112); // 0x456b5e
    int32_t * v16;
    if (v15 == 0) {
        // 0x456b87
        g3 = 0;
        g7 = (int32_t)v16;
        g10 = v3;
        g5 = v2;
        g4 = v4;
        return;
    }
    int32_t * v17 = (int32_t *)(v14 + 116); // 0x456b65_0
    uint32_t v18 = *v17; // 0x456b65
    uint32_t v19 = *(int32_t *)(v14 + 124); // 0x456b68
    g2 = (v18 & 15) - (v19 & 15) > 15;
    g1 = v18 < v19;
    g187 = v18 == v19;
    g9 = llvm_ctpop_i32(v18 - v19) % 2 == 1;
    if (v18 > v19) {
        int32_t v20 = *(int32_t *)(v15 + 4); // 0x456b6d
        g10 = v15;
        v16 = (int32_t *)v20;
        g11 = (int32_t)&v16;
        g6 = 3;
        g8 = *(int32_t *)(v14 + 120);
        g3 = *v17;
        ((int32_t (*)(int32_t))*(int32_t *)v15)(v20);
        int32_t * v21 = (int32_t *)(g5 + 124); // 0x456b80_0
        *v21 = *v21 + 1024;
        // branch -> 0x456b87
    }
    // 0x456b87
    g3 = 0;
    g7 = (int32_t)v16;
    g10 = v3;
    g5 = v2;
    g4 = v4;
}

// Address range: 0x456b94 - 0x456be3
void function_456b94(void) {
    // 0x456b94
    if (g8 != -1) {
        // 0x456b99
        if (g8 != 0) {
            // 0x456b9d
            g3 = -1;
            return;
        }
        // 0x456ba1
        *(int32_t *)(g3 + 52) = 0;
        // branch -> 0x456ba4
    }
    // 0x456ba4
    if (g6 == -1) {
        // 0x456bcc
        *(int32_t *)(g3 + 44) = 0;
        *(int32_t *)(g3 + 48) = 0;
        *(int32_t *)(g3 + 64) = 0;
        *(int32_t *)(g3 + 68) = 0;
        g3 = 0;
        return;
    }
    // 0x456ba9
    int32_t v1; // 0x456bbf
    int32_t v2; // 0x456bc6
    if (g6 == 8 || g6 == 16) {
        // 0x456bbc
        *(int32_t *)(g3 + 56) = g6;
        v1 = g6;
        if (v1 <= 0) {
            // 0x456bc3
            v2 = v1 + 7;
            // branch -> 0x456bc6
        } else {
            v2 = v1;
        }
        // 0x456bc6
        *(int32_t *)(g3 + 60) = v2 / 8;
        // branch -> 0x456bcc
        // 0x456bcc
        *(int32_t *)(g3 + 44) = 0;
        *(int32_t *)(g3 + 48) = 0;
        *(int32_t *)(g3 + 64) = 0;
        *(int32_t *)(g3 + 68) = 0;
        g3 = 0;
        return;
    }
    // 0x456bb3
    if (g6 != 32) {
        // 0x456bb8
        g3 = -1;
        return;
    }
    // 0x456bbc
    *(int32_t *)(g3 + 56) = g6;
    v1 = g6;
    if (v1 <= 0) {
        // 0x456bc3
        v2 = v1 + 7;
        // branch -> 0x456bc6
    } else {
        v2 = v1;
    }
    // 0x456bc6
    *(int32_t *)(g3 + 60) = v2 / 8;
    // branch -> 0x456bcc
    // 0x456bcc
    *(int32_t *)(g3 + 44) = 0;
    *(int32_t *)(g3 + 48) = 0;
    *(int32_t *)(g3 + 64) = 0;
    *(int32_t *)(g3 + 68) = 0;
    g3 = 0;
}

// Address range: 0x456be4 - 0x456c17
void function_456be4(void) {
    int32_t v1 = *(int32_t *)(g3 + 64); // 0x456be5
    int32_t v2 = *(int32_t *)(g3 + 44); // 0x456be8
    *(char *)v1 = (char)v2;
    int32_t v3;
    if (*(int32_t *)(g3 + 56) < 16) {
        // 0x456c14
        g5 = v3;
        return;
    }
    // 0x456bf8
    *(char *)(v1 + 1) = (char)(v2 / 256);
    if (*(int32_t *)(g3 + 56) == 32) {
        *(char *)(v1 + 2) = (char)(v2 / 0x10000);
        *(char *)(v1 + 3) = (char)(v2 / 0x1000000);
        // branch -> 0x456c14
    }
    // 0x456c14
    g5 = v3;
}

// Address range: 0x456c18 - 0x456c67
void function_456c18(void) {
    int32_t v1 = g3; // 0x456c19
    uint32_t v2 = *(int32_t *)(v1 + 48); // 0x456c1e
    int32_t v3;
    if (v2 >= *(int32_t *)(v1 + 56)) {
        // 0x456c46
        g3 = v1;
        function_456be4();
        *(int32_t *)(g5 + 64) = *(int32_t *)(g5 + 68);
        int32_t * v4 = (int32_t *)(g5 + 68); // 0x456c56_0
        *v4 = *v4 + *(int32_t *)(g5 + 60);
        *(int32_t *)(g5 + 44) = g8;
        *(int32_t *)(g5 + 48) = 1;
        g5 = v3;
        return;
    }
    // 0x456c26
    if (v2 == 0) {
        // 0x456c2a
        *(int32_t *)(v1 + 64) = *(int32_t *)(v1 + 68);
        int32_t * v5 = (int32_t *)(v1 + 68); // 0x456c33_0
        *v5 = *v5 + *(int32_t *)(v1 + 60);
        // branch -> 0x456c36
    }
    int32_t * v6 = (int32_t *)(v1 + 44); // 0x456c36_0
    *v6 = 2 * *v6 + g8;
    int32_t * v7 = (int32_t *)(v1 + 48); // 0x456c40_0
    *v7 = *v7 + 1;
    g5 = v3;
}

// Address range: 0x456c68 - 0x456c73
void function_456c68(void) {
    int32_t * v1 = (int32_t *)(g3 + 68); // 0x456c68_0
    *v1 = *v1 + 1;
    *(char *)*v1 = (char)g8;
}

// Address range: 0x456c74 - 0x456ca7
void function_456c74(void) {
    int32_t v1 = g3; // 0x456c75
    g10 = g8;
    int32_t v2;
    if (*(int32_t *)(v1 + 48) == 0) {
        // 0x456c9f
        *(int32_t *)(v1 + 64) = 0;
        g5 = v2;
        return;
    }
    while (true) {
        // 0x456c8b
        if (*(int32_t *)(v1 + 48) == *(int32_t *)(v1 + 56)) {
            // 0x456c93
            g3 = v1;
            function_456be4();
            *(int32_t *)(g5 + 48) = 0;
            // branch -> 0x456c9f
            // 0x456c9f
            *(int32_t *)(g5 + 64) = 0;
            g5 = v2;
            return;
        }
        // 0x456c82
        g8 = g10;
        g3 = v1;
        function_456c18();
        v1 = g5;
        // branch -> 0x456c8b
    }
}

// Address range: 0x456ca8 - 0x456d03
void function_456ca8(void) {
    int32_t v1 = g8; // 0x456cab
    g10 = v1;
    int32_t v2 = g3; // 0x456cad
    int32_t v3;
    if (v1 < 2) {
        // 0x456ce8
        g3 = v2;
        g8 = v1 & 1;
        function_456c18();
        g8 = 1;
        g3 = v2;
        function_456c18();
        g5 = v3;
        return;
    }
    int32_t v4 = v1 + 2; // 0x456cb9
    g10 = v4;
    int32_t v5 = 4; // 0x456cbc1
    // branch -> 0x456cbc
    while (2 * v5 <= v4) {
        // 0x456cbc
        v5 *= 2;
        // continue -> 0x456cbc
    }
    int32_t v6 = v5 & 0x7ffffffe; // 0x456cc4
    // branch -> 0x456cc4
    while (true) {
        int32_t v7 = 1;
        if (v4 == v6 / 2) {
            // 0x456cd1
            v7 = 0;
            // branch -> 0x456cd3
        }
        // 0x456cd3
        g8 = v7;
        g3 = v2;
        function_456c18();
        g8 = 0;
        g3 = v2;
        function_456c18();
        int32_t v8 = g5; // 0x456ce3
        if (v8 <= 2) {
            // break -> 0x456ce8
            break;
        }
        v4 = g10;
        v6 = v8;
        // continue -> 0x456cc4
    }
    // 0x456ce8
    // branch -> 0x456ce8
    // 0x456ce8
    g3 = v2;
    g8 = g10 & 1;
    function_456c18();
    g8 = 1;
    g3 = v2;
    function_456c18();
    g5 = v3;
}

// Address range: 0x456d04 - 0x456d73
void function_456d04(void) {
    int32_t v1 = g10; // 0x456d05
    int32_t v2 = g8; // 0x456d07
    g10 = v2;
    int32_t v3 = g3; // 0x456d09
    int32_t v4;
    if (v2 < 2) {
        // 0x456d58
        g3 = v3;
        g8 = v2 & 1;
        function_456c18();
        g8 = 1;
        g3 = v3;
        function_456c18();
        g10 = v1;
        g5 = v4;
        return;
    }
    int32_t v5 = 2; // 0x456d173
    int32_t v6 = v2 - v5; // 0x456d15
    int32_t v7 = 4 * v5; // 0x456d17
    // branch -> 0x456d15
    while (v7 <= v6) {
        // 0x456d15
        v5 = v7;
        v6 -= v5;
        v7 = 4 * v5;
        // continue -> 0x456d15
    }
    // 0x456d1e
    g10 = v6;
    int32_t v8 = v6; // 0x456d20
    int32_t v9 = v7; // 0x456d1e
    // branch -> 0x456d1e
    while (true) {
        int32_t v10 = 1;
        if (v8 == v9 / 2) {
            // 0x456d2b
            v10 = 0;
            // branch -> 0x456d2d
        }
        // 0x456d2d
        g8 = v10;
        g3 = v3;
        function_456c18();
        g8 = 0;
        g3 = v3;
        function_456c18();
        int32_t v11 = 1;
        if (g10 == g5 / 2) {
            // 0x456d4a
            v11 = 0;
            // branch -> 0x456d4c
        }
        // 0x456d4c
        g8 = v11;
        g3 = v3;
        function_456c18();
        int32_t v12 = g5; // 0x456d53
        if (v12 <= 2) {
            // break -> 0x456d58
            break;
        }
        v8 = g10;
        v9 = v12;
        // continue -> 0x456d1e
    }
    // 0x456d58
    // branch -> 0x456d58
    // 0x456d58
    g3 = v3;
    g8 = g10 & 1;
    function_456c18();
    g8 = 1;
    g3 = v3;
    function_456c18();
    g10 = v1;
    g5 = v4;
}

// Address range: 0x456d74 - 0x456e83
void function_456d74(void) {
    int32_t v1 = g10; // 0x456d75
    int32_t v2 = g7; // 0x456d76
    g7 = g6;
    int32_t v3 = g8; // 0x456d7b
    g10 = v3;
    int32_t v4 = g3; // 0x456d7d
    g5 = v4;
    // branch -> 0x456d9c
    while (true) {
        uint32_t v5 = *(int32_t *)(v4 + 84); // 0x456d9c
        if (v3 <= v5) {
            int32_t * v6 = (int32_t *)(v4 + 132); // 0x456da3_0
            *v6 = *v6 + v3;
            uint32_t v7 = g10; // 0x456dac
            int32_t * v8 = (int32_t *)(*(int32_t *)(g5 + 108) + 12); // 0x456dac_0
            if (v7 > *v8) {
                // 0x456db1
                *v8 = v7;
                // branch -> 0x456db4
            }
            int32_t * v9 = (int32_t *)(*(int32_t *)(g5 + 108) + 4); // 0x456db7_0
            if (g7 > *v9) {
                // 0x456dbc
                *v9 = g7;
                // branch -> 0x456dbf
            }
            // 0x456dbf
            g8 = 0;
            g3 = g5;
            function_456c18();
            int32_t v10 = g10 - 1 + (int32_t)(g7 > 1280); // 0x456dd5
            g10 = v10;
            int32_t v11 = v10 < 3; // bp-20
            int32_t v12 = g5; // 0x456de3
            if (g7 == *(int32_t *)(v12 + 20)) {
                // 0x456de8
                g8 = 0;
                g3 = v12;
                function_456c18();
                g8 = 1;
                g3 = g5;
                function_456c18();
                g8 = v11;
                g3 = g5;
                function_456c18();
                // branch -> 0x456e2f
            } else {
                // 0x456e09
                g3 = v12;
                int32_t v13 = g7 - 1; // 0x456e0d
                g8 = v13 / 128 + 1;
                function_456d04();
                g8 = (2 * v13 & 254 | v11) ^ 1;
                g3 = g5;
                function_456c68();
                // branch -> 0x456e2f
            }
            uint32_t v14 = g10; // 0x456e41
            int32_t v15;
            if (v11 != 0) {
                // 0x456e35
                g3 = g5;
                g8 = v14 - 1;
                function_456c18();
                // branch -> 0x456e75
                // 0x456e75
                *(int32_t *)(g5 + 20) = g7;
                g7 = v2;
                g10 = v1;
                g5 = v15;
                return;
            }
            // 0x456e41
            if (v14 > 4) {
                // 0x456e60
                g8 = 0;
                g3 = g5;
                function_456c18();
                g3 = g5;
                g8 = g10 - 5;
                function_456ca8();
                // branch -> 0x456e75
                // 0x456e75
                *(int32_t *)(g5 + 20) = g7;
                g7 = v2;
                g10 = v1;
                g5 = v15;
                return;
            }
            // 0x456e46
            g8 = 1;
            g3 = g5;
            function_456c18();
            g3 = g5;
            g8 = g10 - 3;
            function_456c18();
            // branch -> 0x456e75
            // 0x456e75
            *(int32_t *)(g5 + 20) = g7;
            g7 = v2;
            g10 = v1;
            g5 = v15;
            return;
        }
        // 0x456d86
        g8 = v5 - 3;
        g6 = g7;
        g3 = v4;
        function_456d74();
        int32_t v16 = g5; // 0x456d94
        int32_t v17 = g10 - (*(int32_t *)(v16 + 84) - 3); // 0x456d9a
        g10 = v17;
        v3 = v17;
        v4 = v16;
        // branch -> 0x456d9c
    }
}

// Address range: 0x456e84 - 0x456ec7
void function_456e84(void) {
    int32_t v1 = g10; // 0x456e85
    g10 = g6;
    int32_t v2 = g8; // edi
    int32_t v3 = g3; // 0x456e8b
    g5 = v3;
    if (g6 == 0) {
        // 0x456ec1
        g10 = v1;
        return;
    }
    int32_t * v4 = (int32_t *)(v3 + 128); // 0x456e91_0
    *v4 = *v4 + g6;
    uint32_t v5 = g10; // 0x456e9a
    int32_t * v6 = (int32_t *)(*(int32_t *)(g5 + 108) + 20); // 0x456e9a_0
    if (v5 > *v6) {
        // 0x456e9f
        *v6 = v5;
        // branch -> 0x456ea2
    }
    g8 = 1;
    g3 = g5;
    function_456c18();
    int32_t v7 = v2; // 0x456eae
    g8 = (int32_t)*(char *)v7;
    g3 = g5;
    function_456c68();
    int32_t v8 = g10 - 1; // 0x456ebe
    g10 = v8;
    while (v8 != 0) {
        // 0x456ea2
        g8 = 1;
        g3 = g5;
        function_456c18();
        v7++;
        g8 = (int32_t)*(char *)v7;
        g3 = g5;
        function_456c68();
        v8 = g10 - 1;
        g10 = v8;
        // continue -> 0x456ea2
    }
    // 0x456ec1
    g10 = v1;
}

// Address range: 0x456ec8 - 0x456f37
void function_456ec8(void) {
    uint32_t v1 = g8; // 0x456ec9
    int32_t v2 = v1 - 2; // 0x456ec9
    int32_t v3;
    if (v1 < 2) {
        // 0x456ee0
        g3 = -1;
        g5 = v3;
        return;
    }
    // 0x456ece
    int32_t v4; // 0x456f12
    int32_t v5; // 0x456f19
    int32_t v6; // 0x456f2e
    uint32_t v7; // 0x456ef4
    uint32_t v8; // 0x456f154
    uint32_t v9; // 0x456f312
    int32_t v10; // 0x456edb
    int32_t v11; // 0x456f19
    uint32_t v12; // 0x456f07
    if (v1 != 2) {
        // 0x456edb
        v10 = g3;
        if (g6 > *(int32_t *)(v10 + 80)) {
            // 0x456ee0
            g3 = -1;
            g5 = v3;
            return;
        }
        // 0x456ee5
        v7 = v2 - (int32_t)(g6 > 1280);
        if (g6 == *(int32_t *)(v10 + 20)) {
            // 0x456efb
            v11 = 3;
            // branch -> 0x456f19
        } else {
            // 0x456f02
            v12 = g6 - 1;
            if (v12 >= 128) {
                v8 = v12 / 128;
                v4 = 13;
                while (v8 >= 4) {
                    // 0x456f0f
                    v8 /= 4;
                    v4 += 3;
                    // continue -> 0x456f0f
                }
                // 0x456f19
                v11 = v4;
                // branch -> 0x456f19
            } else {
                v11 = 10;
            }
        }
        // 0x456f19
        v5 = v11 + 2;
        g3 = v5;
        if (v7 < 2) {
            // 0x456f35
            g5 = v3;
            return;
        }
        // 0x456f21
        if (v7 <= 3) {
            // 0x456f26
            g3 = v11 + 3;
            g5 = v3;
            return;
        }
        // 0x456f29
        v9 = v7 - 4;
        v6 = v5 + 2;
        // branch -> 0x456f2c
        while (v9 >= 2) {
            // 0x456f2c
            v9 /= 2;
            v6 += 2;
            // continue -> 0x456f2c
        }
        // 0x456f35
        g3 = v6;
        // branch -> 0x456f35
        // 0x456f35
        g5 = v3;
        return;
    }
    // 0x456ed3
    if (g6 > 1280) {
        // 0x456ee0
        g3 = -1;
        g5 = v3;
        return;
    }
    // 0x456edb
    v10 = g3;
    if (g6 > *(int32_t *)(v10 + 80)) {
        // 0x456ee0
        g3 = -1;
        g5 = v3;
        return;
    }
    // 0x456ee5
    v7 = v2 - (int32_t)(g6 > 1280);
    if (g6 == *(int32_t *)(v10 + 20)) {
        // 0x456efb
        v11 = 3;
        // branch -> 0x456f19
    } else {
        // 0x456f02
        v12 = g6 - 1;
        if (v12 >= 128) {
            v8 = v12 / 128;
            v4 = 13;
            while (v8 >= 4) {
                // 0x456f0f
                v8 /= 4;
                v4 += 3;
                // continue -> 0x456f0f
            }
            // 0x456f19
            v11 = v4;
            // branch -> 0x456f19
        } else {
            v11 = 10;
        }
    }
    // 0x456f19
    v5 = v11 + 2;
    g3 = v5;
    if (v7 < 2) {
        // 0x456f35
        g5 = v3;
        return;
    }
    // 0x456f21
    if (v7 <= 3) {
        // 0x456f26
        g3 = v11 + 3;
        g5 = v3;
        return;
    }
    // 0x456f29
    v9 = v7 - 4;
    v6 = v5 + 2;
    // branch -> 0x456f2c
    while (v9 >= 2) {
        // 0x456f2c
        v9 /= 2;
        v6 += 2;
        // continue -> 0x456f2c
    }
    // 0x456f35
    g3 = v6;
    // branch -> 0x456f35
    // 0x456f35
    g5 = v3;
}

// Address range: 0x456f38 - 0x457377
void function_456f38(void) {
    g10 = g8;
    int32_t v1 = g3; // 0x456f49
    int32_t * v2;
    g7 = (int32_t)v2;
    int32_t v3;
    int32_t v4 = &v3; // 0x456f52_0
    g5 = v4;
    uint32_t v5;
    if (v5 >= 1) {
        // 0x456f5d
        if (v5 < 11) {
            struct struct_125 * v6 = (struct struct_125 *)(28 * v5 + 0x4bce18); // bp-28
            function_45634c();
            function_45634c();
            int32_t v7 = g7; // 0x456fb0
            struct struct_126 * v8;
            if (v7 != 0) {
                // 0x456fbd
                if (*(int32_t *)v7 != 0) {
                    // 0x456fc2
                    v8 = (struct struct_126 *)v7;
                    // branch -> 0x456fc5
                }
            }
            // 0x456fc5
            int32_t v9;
            int32_t v10 = v9;
            if (v9 == 0) {
                // 0x456fd0
                int32_t v11;
                v10 = &v11;
                // branch -> 0x456fd6
            }
            // 0x456fd6
            function_45634c();
            int32_t v12 = -1; // edx
            *(int32_t *)(v10 + 16) = -1;
            *(int32_t *)(v10 + 8) = v12;
            *(int32_t *)v10 = v12;
            int32_t v13;
            if (v13 != 0) {
                // 0x456ffa
                function_45632c();
                // branch -> 0x45700c
            }
            // 0x45700c
            g6 = 8;
            g8 = 0;
            g3 = v4;
            function_456b94();
            int32_t v14 = g3; // 0x45701a
            int32_t v15 = v14; // 0x45702b
            if (v14 == 0) {
                // 0x45701e
                int32_t v16;
                g6 = v16;
                int32_t v17;
                g8 = v17;
                g3 = v4;
                function_456b94();
                v15 = g3;
                // branch -> 0x45702b
            }
            // 0x45702b
            if (v15 == 0) {
                // 0x457039
                int32_t v18;
                int32_t v19 = &v18; // 0x45703c_2
                int32_t v20 = 0x800000;
                if (v6->e6 < 0x800000) {
                    // 0x457076
                    v20 = v6->e6;
                    // branch -> 0x45707c
                }
                int32_t v21 = v20;
                uint32_t v22;
                if (v22 != -1) {
                    int32_t v23 = v22 < 0x800000 ? v22 : 0x800000;
                    v21 = v23;
                    v20 = v23;
                    // branch -> 0x4570ab
                }
                uint32_t v24 = g10; // 0x4570ab
                int32_t v25 = v20; // 0x4570cf
                if (v24 < v20) {
                    int32_t v26 = v24; // 0x4570c0
                    if (v24 <= 255) {
                        // 0x4570bb
                        g10 = 256;
                        v26 = 256;
                        // branch -> 0x4570c0
                    }
                    // 0x4570c0
                    v21 = v26;
                    v25 = v26;
                    // branch -> 0x4570c6
                }
                // 0x4570c6
                uint32_t v27;
                if ((v27 < 2048 ? v27 : 2048) >= 8) {
                    // 0x4570cf
                    if (v25 > 255) {
                        // 0x4570e5
                        g3 = v4;
                        int32_t v28 = &v21; // 0x4570ef_0
                        g8 = v28;
                        g6 = 0;
                        function_456a68();
                        if (g3 == 0) {
                            // 0x457118
                            int32_t * v29;
                            if (v8 == NULL) {
                                // 0x457118
                                // branch -> 0x45715f
                            } else {
                                int32_t * v30 = v8->e1; // 0x457150
                                g10 = (int32_t)v8;
                                v29 = v30;
                                g11 = (int32_t)&v29;
                                g8 = 0;
                                g6 = -1;
                                g1 = false;
                                g2 = false;
                                g187 = true;
                                g9 = false;
                                g3 = 0;
                                ((int32_t (*)(int32_t))v8->e0)((int32_t)v30);
                                // branch -> 0x45715f
                            }
                            // 0x45715f
                            v29 = NULL;
                            g8 = v28;
                            g6 = 0;
                            g3 = v4;
                            function_456ae0();
                            if (g3 == 0) {
                                // 0x4572f0
                                uint32_t v31;
                                if (v31 == 0) {
                                    // 0x4572fa
                                    g6 = v19;
                                    g8 = v1;
                                    g3 = v4;
                                    *(int32_t *)(g11 - 4) = 0x457307;
                                    function_456e84();
                                    g8 = 0;
                                    g3 = v4;
                                    *(int32_t *)(g11 - 4) = 0x457310;
                                    function_456c18();
                                    g8 = 0x1000000;
                                    g3 = v4;
                                    *(int32_t *)(g11 - 4) = 0x45731c;
                                    function_456d04();
                                    g8 = 255;
                                    g3 = v4;
                                    *(int32_t *)(g11 - 4) = 0x457328;
                                    function_456c68();
                                    g8 = 0;
                                    g3 = v4;
                                    *(int32_t *)(g11 - 4) = 0x457331;
                                    function_456c74();
                                    int32_t * v32;
                                    g8 = (int32_t)v32;
                                    *v32 = 0;
                                    int32_t v33 = (int32_t)v8; // 0x457345
                                    g1 = false;
                                    g2 = false;
                                    g187 = v8 == NULL;
                                    g9 = llvm_ctpop_i32(v33) % 2 == 1;
                                    if (v8 != NULL) {
                                        // 0x45734c
                                        g10 = v33;
                                        int32_t v34 = g11; // 0x457351
                                        int32_t v35 = v34 - 4; // 0x457351
                                        *(int32_t *)v35 = (int32_t)v8->e1;
                                        g11 = v35;
                                        g6 = 4;
                                        g8 = 0;
                                        int32_t v36;
                                        g3 = v36;
                                        *(int32_t *)(v34 - 8) = 0x45735f;
                                        ((int32_t (*)())*(int32_t *)g10)();
                                        // branch -> 0x45735f
                                    }
                                    // 0x45735f
                                    g3 = v28;
                                    *(int32_t *)(g11 - 4) = 0x45736a;
                                    function_45667c();
                                    // branch -> 0x45736c
                                    // 0x45736c
                                    return;
                                }
                                // branch -> 0x457184
                                while (true) {
                                    // 0x457184
                                    int32_t v37;
                                    g10 = v37;
                                    if (v19 == 0) {
                                        // 0x45719c
                                        int32_t v38;
                                        v1 = v38;
                                        // branch -> 0x4571a2
                                    }
                                    // 0x4571a2
                                    int32_t v39; // 0x4571d9
                                    int32_t v40;
                                    if (v37 >= 2) {
                                        // 0x4571a7
                                        uint32_t v41;
                                        if (v37 == 2) {
                                            // 0x4571ac
                                            if (v41 <= 1280) {
                                                // 0x4571b5
                                                if (v41 <= v22) {
                                                  lab_0x4571e5:
                                                    // 0x4571e5
                                                    g7 = 0;
                                                    int32_t v42; // 0x45721d
                                                    int32_t v43; // 0x4572ab48
                                                    int32_t v44;
                                                    uint32_t v45;
                                                    if (v6->e0 != 0) {
                                                        // 0x4571ef
                                                        if (v37 < v6->e2) {
                                                            // 0x4571f7
                                                            if (v41 != 1) {
                                                                // 0x45720e
                                                                g6 = v41;
                                                                g8 = v37;
                                                                g3 = v4;
                                                                *(int32_t *)(g11 - 4) = 0x45721a;
                                                                function_456ec8();
                                                                v42 = g10;
                                                                int32_t v46 = v42 - 1; // 0x457222
                                                                if (v6->e0 > v46) {
                                                                    // branch -> 0x457233
                                                                } else {
                                                                    // 0x457229
                                                                    v46 = v6->e0;
                                                                    // branch -> 0x457233
                                                                }
                                                                v43 = g7;
                                                                v45 = v46;
                                                                v44 = g3;
                                                                // branch -> 0x4572ab
                                                              lab_0x4572ab:
                                                                // 0x4572ab
                                                                if (v43 < v45) {
                                                                    uint32_t v47 = v42; // 0x4572b0
                                                                    while (true) {
                                                                        // 0x4572b0
                                                                        if (v47 < v31) {
                                                                            // 0x457238
                                                                            if (v47 < v6->e1) {
                                                                                // 0x457251
                                                                                // branch -> 0x45727a
                                                                            }
                                                                            int32_t v48 = g11; // 0x45725d
                                                                            *(int32_t *)(v48 - 4) = 0;
                                                                            g8 = v28;
                                                                            g6 = 1;
                                                                            g3 = v4;
                                                                            *(int32_t *)(v48 - 8) = 0x457271;
                                                                            function_456ae0();
                                                                            g7++;
                                                                            g6 = v41;
                                                                            g8 = v37;
                                                                            g3 = v4;
                                                                            *(int32_t *)(g11 - 4) = 0x457286;
                                                                            function_456ec8();
                                                                            uint32_t v49 = g3; // 0x457286
                                                                            uint32_t v50 = g7;
                                                                            if (v49 >= 0) {
                                                                                // 0x45728a
                                                                                if (5 * (v50 + v37 - g10) + v44 > 9 * v50 + v49) {
                                                                                    // 0x4572a0
                                                                                    v40 = v50 + v19;
                                                                                    // branch -> 0x457184
                                                                                  lab_0x457184_4:
                                                                                    // 0x457184
                                                                                    v19 = v40;
                                                                                    // branch -> 0x457184
                                                                                    break;
                                                                                }
                                                                            }
                                                                            // 0x4572ab
                                                                            if (v50 < v45) {
                                                                                // 0x4572ab
                                                                                v47 = g10;
                                                                                // branch -> 0x4572b0
                                                                                continue;
                                                                            }
                                                                        }
                                                                    }
                                                                }
                                                                // 0x4572b5
                                                                g6 = v19;
                                                                g8 = v1;
                                                                g3 = v4;
                                                                *(int32_t *)(g11 - 4) = 0x4572c2;
                                                                function_456e84();
                                                                g8 = g10;
                                                                g3 = v4;
                                                                g6 = v41;
                                                                *(int32_t *)(g11 - 4) = 0x4572d3;
                                                                function_456d74();
                                                                int32_t v51 = g7 + 1; // 0x4572d6
                                                                g7 = v51;
                                                                g6 = g10;
                                                                g8 = v28;
                                                                int32_t v52 = g11; // 0x4572e8
                                                                *(int32_t *)(v52 - 4) = v51;
                                                                g3 = v4;
                                                                *(int32_t *)(v52 - 8) = 0x4572f0;
                                                                function_456ae0();
                                                                v40 = 0;
                                                                // branch -> 0x457184
                                                                goto lab_0x457184_4;
                                                            }
                                                        }
                                                    }
                                                    // 0x4571ff
                                                    v42 = v37;
                                                    v43 = 0;
                                                    v45 = 0;
                                                    v44 = 0;
                                                    // branch -> 0x4572ab
                                                    goto lab_0x4572ab;
                                                }
                                            }
                                        } else {
                                            // 0x4571b5
                                            if (v41 <= v22) {
                                                goto lab_0x4571e5;
                                            }
                                            // 0x4571bd
                                            g6 = 1;
                                            g3 = v4;
                                            g8 = v28;
                                            v39 = g11;
                                            *(int32_t *)(v39 - 4) = 0;
                                            *(int32_t *)(v39 - 8) = 0x4571e0;
                                            function_456ae0();
                                            v40 = v19 + 1;
                                            // branch -> 0x457184
                                            goto lab_0x457184_4;
                                        }
                                        // 0x4571bd
                                        g6 = 1;
                                        g3 = v4;
                                        g8 = v28;
                                        v39 = g11;
                                        *(int32_t *)(v39 - 4) = 0;
                                        *(int32_t *)(v39 - 8) = 0x4571e0;
                                        function_456ae0();
                                        v40 = v19 + 1;
                                        // branch -> 0x457184
                                        goto lab_0x457184_4;
                                    }
                                    // 0x4571bd
                                    g6 = 1;
                                    g3 = v4;
                                    g8 = v28;
                                    v39 = g11;
                                    *(int32_t *)(v39 - 4) = 0;
                                    *(int32_t *)(v39 - 8) = 0x4571e0;
                                    function_456ae0();
                                    v40 = v19 + 1;
                                    // branch -> 0x457184
                                    goto lab_0x457184_4;
                                }
                            }
                        }
                        // 0x45736c
                        return;
                    }
                }
                // 0x4570db
                // branch -> 0x45736c
            }
            // 0x45736c
            return;
        }
    }
    // 0x456f62
    // branch -> 0x45736c
}

// Address range: 0x457378 - 0x45756b
void function_457378(void) {
    int32_t v1;
    int32_t v2 = &v1; // 0x45737e_3
    uint32_t v3;
    int32_t v4 = v3; // edi
    int32_t * v5;
    int32_t v6 = *v5 + v3; // 0x45738f
    if (v6 >= v3) {
        // 0x457397
        v1 = v6;
        uint32_t v7;
        int32_t v8;
        uint32_t v9 = v8 + v7; // 0x45739b
        if (v7 <= v9) {
            int32_t v10 = -1; // ebp
            int32_t v11 = 0; // ecx
            if (v7 < v9) {
                int32_t v12 = v3; // 0x45752c2786
              lab_0x4573e1:
                while (true) {
                    unsigned char v13 = *(char *)v7; // 0x4573e1
                    int32_t v14 = v7 + 1; // esi
                    int32_t v15 = v12; // 0x45752c
                    int32_t v16 = (2 * ((int32_t)v13 | v2 & 0x7fffff00) | 1) & 255 | v2 & -256; // 0x4573ed20
                    // branch -> 0x4573e8
                    while (true) {
                        int32_t v17 = 1; // 0x457400
                        int32_t v18 = v16; // 0x4573ed
                        // branch -> 0x4573ed
                        while (true) {
                          lab_0x4573ed:;
                            unsigned char v19 = (char)v18; // 0x4573ed
                            int32_t v20 = v18 & -256; // 0x4573ed
                            int32_t v21 = 2 * v18 & 254 | v20; // 0x457408
                            bool v22 = 2 * v19 < v19; // 0x457400
                            uint32_t v23; // 0x457400
                            if ((0x2000000 * v18 || 0xffffff) < 0x1ffffff) {
                                uint32_t v24 = v14; // 0x4573f1
                                if (v24 < v9) {
                                    unsigned char v25 = *(char *)v24; // 0x4573fb
                                    v14 = v24 + 1;
                                    v21 = (2 * ((int32_t)v25 | v20) | 1) & 255 | v20;
                                    v22 = 2 * v25 - 1 <= v25;
                                    // branch -> 0x457400
                                    // 0x457400
                                    v23 = (int32_t)v22 | 2 * v17;
                                    if (v23 >= 0) {
                                      lab_0x457408:;
                                        unsigned char v26 = (char)v21; // 0x457408
                                        int32_t v27 = 2 * v21 & 254 | v20; // 0x457408
                                        int32_t v28 = v27; // ebx
                                        int32_t v29; // 0x457420
                                        int32_t v30; // 0x45741f
                                        unsigned char v31; // 0x457420
                                        if (2 * v26 < v26) {
                                            // 0x45740c
                                            if ((0x2000000 * v21 || 0xffffff) < 0x1ffffff) {
                                                uint32_t v32 = v14; // 0x45740e
                                                if (v32 < v9) {
                                                    // 0x457418
                                                    v14 = v32 + 1;
                                                    v29 = (2 * ((int32_t)*(char *)v32 | v20) | 1) & 255 | v20;
                                                    // branch -> 0x45741f
                                                    // 0x45741f
                                                    v30 = v23 - 1;
                                                    v31 = (char)v29;
                                                    int32_t v33; // 0x457433
                                                    if ((0x2000000 * v29 || 0xffffff) < 0x1ffffff) {
                                                      lab_0x457424:;
                                                        uint32_t v34 = v14; // 0x457424
                                                        if (v34 >= v9) {
                                                            // 0x457537
                                                            // branch -> 0x457543
                                                            // 0x457543
                                                            *v5 = v4 - v3;
                                                            return;
                                                        }
                                                        unsigned char v35 = *(char *)v34; // 0x45742e
                                                        v14 = v34 + 1;
                                                        int32_t v36 = (2 * ((int32_t)v35 | v20) | 1) & 255 | v20; // 0x4573ed21
                                                        // branch -> 0x457433
                                                        // 0x457433
                                                        v33 = (int32_t)(2 * v35 - 1 <= v35) | 2 * v30;
                                                        if (v33 < 0) {
                                                            // break -> 0x45755e
                                                            break;
                                                        }
                                                        v17 = v33;
                                                        v18 = v36;
                                                        // continue -> 0x4573ed
                                                        continue;
                                                    }
                                                  lab_0x457433:
                                                    // 0x457433
                                                    v33 = (int32_t)(2 * v31 < v31) | 2 * v30;
                                                    if (v33 < 0) {
                                                        // break -> 0x45755e
                                                        break;
                                                    }
                                                    v17 = v33;
                                                    v18 = 2 * v29 & 254 | v20;
                                                    // continue -> 0x4573ed
                                                    continue;
                                                }
                                                // 0x457537
                                                // branch -> 0x457543
                                                // 0x457543
                                                *v5 = v4 - v3;
                                                return;
                                            }
                                            // 0x45743d
                                            if (v23 > 0x1000002) {
                                                // 0x45755e
                                                // branch -> 0x457543
                                                // 0x457543
                                                *v5 = v4 - v3;
                                                return;
                                            }
                                            int32_t v37 = v23 - 3; // 0x457448
                                            int32_t v38 = v37; // eax
                                            int32_t v39;
                                            if (v23 < 3) {
                                                // 0x457489
                                                unknown_45749c();
                                                uint32_t v40 = v14; // 0x45748d
                                                v14 = v40 + 1;
                                                int32_t v41 = 4 * v21 & 252 | v20; // 0x4574c1
                                                unsigned char v42 = (char)v41; // 0x4574c1
                                                int32_t v43 = (int32_t)(v40 < v9) | 2 * v41; // 0x4574c1
                                                int32_t v44 = v41 & -256; // 0x4574c1
                                                int32_t v45 = (int32_t)(2 * v42 + (char)(v40 < v9) <= v42) | 2 * v11; // 0x4574c3
                                                v11 = v45;
                                                if (v45 < 0) {
                                                    // 0x457557
                                                    // branch -> 0x457543
                                                    // 0x457543
                                                    *v5 = v4 - v3;
                                                    return;
                                                }
                                                // 0x4574cb
                                                v28 = 2 * v43 & 254 | v44;
                                                unknown_4574b4();
                                                if (v44 == 0) {
                                                    uint32_t v46 = v14; // 0x4574d1
                                                    if (v46 >= v1) {
                                                        // 0x457537
                                                        // branch -> 0x457543
                                                        // 0x457543
                                                        *v5 = v4 - v3;
                                                        return;
                                                    }
                                                    unsigned char v47 = *(char *)v46; // 0x4574d7
                                                    int32_t v48 = v28; // 0x4574d7
                                                    v14 = v46 + 1;
                                                    v28 = (2 * (v48 & 0x7fffff00 | (int32_t)v47) | 1) & 255 | v48 & -256;
                                                    // branch -> 0x4574de
                                                    // 0x4574de
                                                    v39 = v11 + 2;
                                                    // branch -> 0x4574e1
                                                  lab_0x4574e1_3:;
                                                    uint32_t v49 = v10; // 0x4574e1
                                                    int32_t v50 = v39 + 2 + (int32_t)(v49 < 0xfffffb00); // 0x4574e7
                                                    v11 = v50;
                                                    int32_t v51 = v4; // 0x4574ea
                                                    uint32_t v52 = v50 + v51; // 0x4574ec
                                                    if (v52 >= v51) {
                                                        // 0x4574f0
                                                        if (v52 <= v1) {
                                                            int32_t v53 = v51 + v49; // 0x4574f7
                                                            if (v53 < v51) {
                                                                // 0x4574fb
                                                                if (v53 >= v3) {
                                                                    // 0x457501
                                                                    int32_t v54; // 0x457523
                                                                    int32_t v55; // edx
                                                                    int32_t v56; // 0x4573d1
                                                                    int32_t v57; // 0x4573d1
                                                                    unsigned char v58; // 0x4573d1
                                                                    if (v49 < 0xfffffffc || v49 == -4) {
                                                                        while (true) {
                                                                            int32_t v59 = *(int32_t *)v53; // 0x457514
                                                                            v38 = v59;
                                                                            v55 = v53 + 4;
                                                                            *(int32_t *)v51 = v59;
                                                                            int32_t v60 = v4; // 0x45751b
                                                                            int32_t v61 = v60 + 4; // 0x45751b
                                                                            v4 = v61;
                                                                            uint32_t v62 = v11; // 0x45751e
                                                                            int32_t v63 = v62 - 4; // 0x45751e
                                                                            v11 = v63;
                                                                            if (v62 < 4 || v63 == 0) {
                                                                                // 0x457523
                                                                                v54 = v62 + v60;
                                                                                v4 = v54;
                                                                                v11 = 0;
                                                                                // branch -> 0x4573d1
                                                                              lab_0x4573d1:
                                                                                while (true) {
                                                                                    // 0x4573d1
                                                                                    v56 = v28;
                                                                                    v58 = (char)v56;
                                                                                    v57 = 2 * v56 & 254 | v56 & -256;
                                                                                    v28 = v57;
                                                                                    if (2 * v58 >= v58) {
                                                                                        v15 = v54;
                                                                                        v16 = v57;
                                                                                      lab_0x4573e8:
                                                                                        while (true) {
                                                                                            // 0x4573e8
                                                                                            v17 = 1;
                                                                                            v18 = v16;
                                                                                            // branch -> 0x4573ed
                                                                                            goto lab_0x4573ed;
                                                                                        }
                                                                                        // 0x457537
                                                                                        // branch -> 0x457543
                                                                                        int32_t v64 = v4; // 0x457543
                                                                                        *v5 = v64 - v3;
                                                                                        return;
                                                                                    }
                                                                                  lab_0x4573d5:;
                                                                                    uint32_t v65 = v14;
                                                                                    if ((0x2000000 * v56 || 0xffffff) < 0x1ffffff) {
                                                                                        // 0x4573d7
                                                                                        if (v65 >= v9) {
                                                                                            // break (via goto) -> 0x457537
                                                                                            goto lab_0x457537;
                                                                                        }
                                                                                        v7 = v65;
                                                                                        v2 = v57;
                                                                                        v12 = v54;
                                                                                        // continue (via goto) -> 0x4573e1
                                                                                        goto lab_0x4573e1;
                                                                                    } else {
                                                                                        // 0x4573b8
                                                                                        if (v65 < v9) {
                                                                                            // 0x4573c2
                                                                                            if (v54 >= v1) {
                                                                                                // 0x457557
                                                                                                // branch -> 0x457543
                                                                                                // 0x457543
                                                                                                *v5 = v4 - v3;
                                                                                                return;
                                                                                            }
                                                                                            unsigned char v66 = *(char *)v65; // 0x4573cb
                                                                                            v38 = v38 & -256 | (int32_t)v66;
                                                                                            v14 = v65 + 1;
                                                                                            *(char *)v54 = v66;
                                                                                            int32_t v67 = v4 + 1; // 0x4573d0
                                                                                            v4 = v67;
                                                                                            v54 = v67;
                                                                                            // branch -> 0x4573d1
                                                                                            continue;
                                                                                        }
                                                                                    }
                                                                                    // 0x457537
                                                                                    // branch -> 0x457543
                                                                                    // 0x457543
                                                                                    *v5 = v4 - v3;
                                                                                    return;
                                                                                }
                                                                            } else {
                                                                                // 0x457514
                                                                                v51 = v61;
                                                                                v53 = v55;
                                                                                // branch -> 0x457514
                                                                                continue;
                                                                            }
                                                                        }
                                                                    } else {
                                                                        while (true) {
                                                                            unsigned char v68 = *(char *)v53; // 0x457506
                                                                            v38 = v38 & -256 | (int32_t)v68;
                                                                            v55 = v53 + 1;
                                                                            *(char *)v51 = v68;
                                                                            int32_t v69 = v4 + 1; // 0x45750b
                                                                            v4 = v69;
                                                                            int32_t v70 = v11 - 1; // 0x45750c
                                                                            v11 = v70;
                                                                            if (v70 == 0) {
                                                                                v54 = v69;
                                                                                goto lab_0x4573d1;
                                                                            }
                                                                            // 0x457506
                                                                            v51 = v69;
                                                                            v53 = v55;
                                                                            // branch -> 0x457506
                                                                        }
                                                                    }
                                                                    while (true) {
                                                                        // 0x4573d1
                                                                        v56 = v28;
                                                                        v58 = (char)v56;
                                                                        v57 = 2 * v56 & 254 | v56 & -256;
                                                                        v28 = v57;
                                                                        if (2 * v58 < v58) {
                                                                            goto lab_0x4573d5;
                                                                        }
                                                                        v15 = v54;
                                                                        v16 = v57;
                                                                        goto lab_0x4573e8;
                                                                    }
                                                                }
                                                            }
                                                            // 0x45755e
                                                            // branch -> 0x457543
                                                            // 0x457543
                                                            *v5 = v4 - v3;
                                                            return;
                                                        }
                                                    }
                                                    // 0x457557
                                                    // branch -> 0x457543
                                                    // 0x457543
                                                    *v5 = v4 - v3;
                                                    return;
                                                }
                                                // 0x4574de
                                                v39 = v11 + 2;
                                                // branch -> 0x4574e1
                                                goto lab_0x4574e1_3;
                                            }
                                            uint32_t v71 = v14; // 0x457450
                                            if (v71 < v9) {
                                                int32_t v72 = (int32_t)*(char *)v71 | 256 * v37; // 0x45745a
                                                int32_t v73 = v71 + 1; // 0x45745c
                                                v14 = v73;
                                                if (v72 == -1) {
                                                    // 0x45752c
                                                    if (v15 > v1 || v73 > v9 || v73 != v9) {
                                                        // 0x457557
                                                        // branch -> 0x457543
                                                        // 0x457543
                                                        *v5 = v4 - v3;
                                                        return;
                                                    }
                                                    // 0x457543
                                                    *v5 = v4 - v3;
                                                    return;
                                                }
                                                // 0x457466
                                                if (v72 > 0) {
                                                    // 0x45755e
                                                    // branch -> 0x457543
                                                    // 0x457543
                                                    *v5 = v4 - v3;
                                                    return;
                                                }
                                                int32_t v74 = (v72 ^ -1) / 2; // 0x45746c
                                                v38 = v74;
                                                v10 = v74;
                                                unknown_45749e();
                                                int32_t v75 = v28; // 0x457472
                                                unsigned char v76 = (char)v75; // 0x457472
                                                int32_t v77 = v75 & -256; // 0x457472
                                                v28 = 2 * v75 & 254 | v77;
                                                bool v78 = 2 * v76 < v76; // 0x457485
                                                if ((0x2000000 * v75 || 0xffffff) < 0x1ffffff) {
                                                    uint32_t v79 = v14; // 0x457476
                                                    if (v79 >= v9) {
                                                        // 0x457537
                                                        // branch -> 0x457543
                                                        // 0x457543
                                                        *v5 = v4 - v3;
                                                        return;
                                                    }
                                                    unsigned char v80 = *(char *)v79; // 0x457480
                                                    v14 = v79 + 1;
                                                    v28 = (2 * ((int32_t)v80 | v77) | 1) & 255 | v77;
                                                    // branch -> 0x457485
                                                    // 0x457485
                                                    v39 = 2 * v11 | (int32_t)(2 * v80 - 1 <= v80);
                                                    // branch -> 0x4574e1
                                                    goto lab_0x4574e1_3;
                                                }
                                                // 0x457485
                                                v39 = 2 * v11 | (int32_t)v78;
                                                // branch -> 0x4574e1
                                                goto lab_0x4574e1_3;
                                            }
                                            // 0x457537
                                            // branch -> 0x457543
                                            // 0x457543
                                            *v5 = v4 - v3;
                                            return;
                                        } else {
                                            v29 = v27;
                                            // 0x45741f
                                            v30 = v23 - 1;
                                            v31 = (char)v29;
                                            if ((0x2000000 * v29 || 0xffffff) < 0x1ffffff) {
                                                goto lab_0x457424;
                                            }
                                            goto lab_0x457433;
                                        }
                                        // 0x457537
                                        // branch -> 0x457543
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // 0x45755e
                                    // branch -> 0x457543
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // 0x457400
                            v23 = (int32_t)v22 | 2 * v17;
                            if (v23 >= 0) {
                                goto lab_0x457408;
                            }
                            // 0x45755e
                            // branch -> 0x457543
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                    }
                }
            }
          lab_0x457537:;
            // 0x457537
            // branch -> 0x457543
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // 0x457565
        // branch -> 0x457543
        // Detected a possible infinite recursion (goto support failed); quitting...
    }
    // 0x457565
    // branch -> 0x457543
    // Detected a possible infinite recursion (goto support failed); quitting...
}

// Address range: 0x45756c - 0x45757f
void function_45756c(void) {
    // 0x45756c
    int32_t v1; // 0x45757c
    if (g3 != -1) {
        // 0x457573
        function_456304();
        v1 = g3;
        // branch -> 0x45757c
    } else {
        v1 = 0;
    }
    // 0x45757c
    g3 = v1;
}

// Address range: 0x457580 - 0x4575cb
void function_457580(void) {
    int32_t v1 = unknown_45758b(); // 0x457582
    g23 = 0x45756c;
    g24 = 0x457580;
    if (v1 != 0) {
        // 0x4575a4
        g23 = v1;
        // branch -> 0x4575a9
    }
    // 0x4575a9
    if (g8 != 0) {
        // 0x4575ad
        g24 = g8;
        // branch -> 0x4575b3
    }
}

// Address range: 0x4575cc - 0x4575db
void function_4575cc(void) {
    // 0x4575cc
    if (g3 == 0) {
        // 0x4575d0
        g3 = 0;
        return;
    }
    // 0x4575d3
    function_45756c();
}

// Address range: 0x4575dc - 0x457603
void function_4575dc(void) {
    int32_t v1 = g3; // 0x4575e0
    g6 = v1;
    int32_t v2 = v1 * g8; // 0x4575e4
    int32_t v3;
    if (v1 == 0 || g8 != v2 / v1) {
        // 0x4575f5
        g3 = 0;
        g5 = v3;
        return;
    }
    // 0x4575fa
    g3 = v2;
    function_4575cc();
    g5 = v3;
}

// Address range: 0x457604 - 0x457683
void function_457604(void) {
    // 0x457604
    if (g3 != 0) {
        // 0x457608
        function_457580();
        // branch -> 0x45760e
    }
}

// Address range: 0x457684 - 0x4577d3
void function_457684(void) {
    // 0x457684
    int32_t v1;
    if (v1 != 0) {
        // 0x45769a
        // branch -> 0x4576ca
    }
    // 0x4576ca
    int32_t v2;
    g3 = v2;
    function_45636c();
    System__GetMem(g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4577d4 - 0x4580c3
void function_4577d4(void) {
    // 0x4577d4
    g3 = g6;
    function_45636c();
    System__GetMem(g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4580c4 - 0x45810b
void function_4580c4(void) {
    // 0x4580c4
    int32_t v1;
    int32_t v2 = v1; // bp-16
    int32_t v3;
    g4 = &v3;
    uint32_t v4 = g11; // 0x4580c7
    g2 = (v4 & 15) > 11;
    g1 = v4 > 11;
    int32_t v5 = v4 - 12; // 0x4580c7
    g187 = v5 == 0;
    g9 = llvm_ctpop_i32(v5) % 2 == 1;
    int32_t v6 = g5; // 0x4580ca
    int32_t v7 = g8; // 0x4580cb
    int32_t v8 = g3; // 0x4580ce
    struct struct_19 * v9 = (struct struct_19 *)v8; // bp-8
    g8 = &v2;
    int32_t v10 = *(int32_t *)v8; // 0x4580dc
    g5 = v10;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t))*(int32_t *)(v10 + 12))(v6, v1, v7, v8);
    uint32_t v11 = v2; // 0x4580e1
    g2 = false;
    g1 = false;
    g187 = v11 == 0;
    g9 = llvm_ctpop_i32(v11) % 2 == 1;
    if (v11 >= 1) {
        // 0x4580e7
        System__LStrSetLength(4);
        function_405070();
        g8 = v7;
        g6 = v2;
        g3 = (int32_t)v9;
        int32_t v12 = v9->e0; // 0x458102
        g5 = v12;
        ((int32_t (*)())*(int32_t *)(v12 + 12))();
        // branch -> 0x458107
    }
}

// Address range: 0x45810c - 0x458153
void function_45810c(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g5; // 0x458112
    int32_t v3 = g8; // 0x458113
    struct struct_19 * v4 = (struct struct_19 *)g3; // bp-8
    g3 = v3;
    int32_t v5 = function_404e18((char *)v2); // bp-16
    g8 = &v5;
    g3 = (int32_t)v4;
    int32_t v6 = v4->e0; // 0x45812f
    g5 = v6;
    ((int32_t (*)(int32_t))*(int32_t *)(v6 + 16))(v2);
    uint32_t v7 = v5; // 0x458134
    g2 = false;
    g1 = false;
    g187 = v7 == 0;
    g9 = llvm_ctpop_i32(v7) % 2 == 1;
    if (v7 >= 1) {
        // 0x45813a
        System__LStrToPChar((char *)4);
        g8 = v3;
        g6 = v5;
        g3 = (int32_t)v4;
        int32_t v8 = v4->e0; // 0x45814a
        g5 = v8;
        ((int32_t (*)())*(int32_t *)(v8 + 16))();
        // branch -> 0x45814f
    }
    // 0x45814f
    g5 = v2;
    g4 = v1;
}

// Address range: 0x458154 - 0x4581ef
void function_458154(void) {
    // 0x458154
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4581f0 - 0x458277
void function_4581f0(void) {
    // 0x4581f0
    *(char *)(g3 + 8) = *(char *)(g8 + 8);
    *(int32_t *)(g3 + 24) = *(int32_t *)(g8 + 24);
    *(char *)(g3 + 9) = *(char *)(g8 + 9);
    *(int32_t *)(g3 + 40) = *(int32_t *)(g8 + 40);
    *(int32_t *)(g3 + 72) = *(int32_t *)(g8 + 72);
    *(char *)(g3 + 92) = *(char *)(g8 + 92);
    *(char *)(g3 + 93) = *(char *)(g8 + 93);
    *(char *)(g3 + 99) = *(char *)(g8 + 99);
    *(int32_t *)(g3 + 100) = *(int32_t *)(g8 + 100);
    *(int32_t *)(g3 + 68) = *(int32_t *)(g8 + 68);
}

// Address range: 0x458278 - 0x458517
void function_458278(void) {
    int32_t v1;
    g4 = &v1;
    uint32_t v2 = g11; // 0x45827b
    g2 = (v2 & 15) > 11;
    g1 = v2 > 11;
    int32_t v3 = v2 - 12; // 0x45827b
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    int32_t v4 = g5; // 0x45827e
    struct struct_19 * v5 = (struct struct_19 *)g8; // bp-12
    int32_t v6 = g3; // 0x458282
    int32_t v7 = v6 + 97; // 0x458288
    *(char *)v7 = 1;
    int32_t v8 = v6 + 8; // 0x45828f
    g8 = v8;
    g6 = 1;
    int32_t v9 = (int32_t)v5; // 0x458297
    g3 = v9;
    int32_t v10 = v5->e0; // 0x45829a
    g5 = v10;
    int32_t v11;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t))*(int32_t *)(v10 + 16))(v4, v11, v9, v6);
    char * v12 = (char *)v8; // 0x4582a2_0
    unsigned char v13 = *v12; // 0x4582a2
    int32_t v14 = v13; // 0x4582a2
    g2 = (v14 & 15) > 20;
    g1 = v13 < 5;
    int32_t v15 = 0x1000000 * v14 - 0x5000000; // 0x4582a2
    g187 = (v15 | 0xffffff) < 0x1ffffff;
    g9 = llvm_ctpop_i32(v15 / 0x1000000) % 2 == 1;
    if (v13 == 5) {
        // 0x4582a8
        g8 = *(int32_t *)(v6 + 4);
        g3 = (int32_t)v5;
        function_45810c();
        g8 = v6 + 9;
        g6 = 1;
        g3 = (int32_t)v5;
        int32_t v16 = v5->e0; // 0x4582c4
        g5 = v16;
        ((int32_t (*)())*(int32_t *)(v16 + 16))();
        // branch -> 0x458511
        // 0x458511
        g4 = v1;
        return;
    }
    int32_t v17 = v6 + 44; // 0x4582d1
    g8 = v17;
    g6 = 1;
    g3 = (int32_t)v5;
    int32_t v18 = v5->e0; // 0x4582dc
    g5 = v18;
    ((int32_t (*)())*(int32_t *)(v18 + 16))();
    char v19 = *(char *)v17; // 0x4582e4
    g2 = false;
    g1 = false;
    g187 = v19 == 0;
    g9 = llvm_ctpop_i32((int32_t)v19) % 2 == 1;
    if (v19 != 0) {
        // 0x4582ea
        g8 = v6 + 48;
        g6 = 4;
        g3 = (int32_t)v5;
        int32_t v20 = v5->e0; // 0x4582f8
        g5 = v20;
        ((int32_t (*)())*(int32_t *)(v20 + 16))();
        // branch -> 0x4582fd
    }
    // 0x4582fd
    g8 = *(int32_t *)(v6 + 4);
    g3 = (int32_t)v5;
    function_45810c();
    unsigned char v21 = *v12; // 0x45830e
    int32_t v22 = v21; // 0x45830e
    g2 = (v22 & 15) > 18;
    g1 = v21 < 3;
    int32_t v23 = 0x1000000 * v22 - 0x3000000; // 0x45830e
    g187 = (v23 | 0xffffff) < 0x1ffffff;
    g9 = llvm_ctpop_i32(v23 / 0x1000000) % 2 == 1;
    if (v21 == 3) {
        int32_t * v24 = (int32_t *)(v6 + 108); // 0x45831b_0
        if (*v24 == 0) {
            // 0x458331
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            v11 = 0;
            g8 = &v11;
            g6 = 4;
            g3 = (int32_t)v5;
            int32_t v25 = v5->e0; // 0x458341
            g5 = v25;
            ((int32_t (*)(int32_t))*(int32_t *)(v25 + 16))(v4);
            // branch -> 0x458346
        } else {
            // 0x458321
            g8 = (int32_t)v5;
            g3 = *v24;
            function_458ae4();
            // branch -> 0x458346
        }
        // 0x458346
        g8 = v6 + 72;
        g6 = 4;
        g3 = (int32_t)v5;
        int32_t v26 = v5->e0; // 0x458354
        g5 = v26;
        ((int32_t (*)())*(int32_t *)(v26 + 16))();
        g8 = v6 + 76;
        g6 = 4;
        g3 = (int32_t)v5;
        int32_t v27 = v5->e0; // 0x458367
        g5 = v27;
        ((int32_t (*)())*(int32_t *)(v27 + 16))();
        int32_t v28 = v6 + 93; // 0x45836f
        g8 = v28;
        g6 = 4;
        g3 = (int32_t)v5;
        int32_t v29 = v5->e0; // 0x45837a
        g5 = v29;
        ((int32_t (*)())*(int32_t *)(v29 + 16))();
        g8 = v7;
        g6 = 1;
        g3 = (int32_t)v5;
        int32_t v30 = v5->e0; // 0x45838d
        g5 = v30;
        ((int32_t (*)())*(int32_t *)(v30 + 16))();
        g8 = v6 + 95;
        g6 = 1;
        g3 = (int32_t)v5;
        int32_t v31 = v5->e0; // 0x4583a0
        g5 = v31;
        ((int32_t (*)())*(int32_t *)(v31 + 16))();
        g8 = v6 + 96;
        g6 = 1;
        g3 = (int32_t)v5;
        int32_t v32 = v5->e0; // 0x4583b3
        g5 = v32;
        ((int32_t (*)())*(int32_t *)(v32 + 16))();
        g1 = false;
        if (*(char *)v28 != 0) {
            // 0x4583c5
            g8 = *(int32_t *)(*(int32_t *)(v6 + 24) + 4);
            g3 = (int32_t)v5;
            function_45810c();
            // branch -> 0x458511
        }
    } else {
        int32_t v33 = v6 + 9; // 0x4583de
        g8 = v33;
        g6 = 1;
        g3 = (int32_t)v5;
        int32_t v34 = v5->e0; // 0x4583e9
        g5 = v34;
        ((int32_t (*)())*(int32_t *)(v34 + 16))();
        unsigned char v35 = *v12; // 0x4583f1
        g1 = v35 < 9;
        if (v35 != 9) {
            char * v36 = (char *)v33; // 0x4583fe_0
            if (*v36 == 4) {
                // 0x458404
                g8 = *(int32_t *)(*(int32_t *)(v6 + 24) + 4);
                g3 = (int32_t)v5;
                function_45810c();
                // branch -> 0x458415
            }
            unsigned char v37 = *v36; // 0x458418
            int32_t v38 = v37; // 0x458418
            g2 = (v38 & 15) > 24;
            g1 = v37 < 9;
            int32_t v39 = 0x1000000 * v38 - 0x9000000; // 0x458418
            g187 = (v39 | 0xffffff) < 0x1ffffff;
            g9 = llvm_ctpop_i32(v39 / 0x1000000) % 2 == 1;
            if (v37 == 9) {
                // 0x45841e
                g8 = *(int32_t *)(*(int32_t *)(v6 + 24) + 4);
                g3 = (int32_t)v5;
                function_45810c();
                // branch -> 0x45842f
            }
            // 0x45842f
            g8 = v6 + 40;
            g6 = 1;
            g3 = (int32_t)v5;
            int32_t v40 = v5->e0; // 0x45843d
            g5 = v40;
            ((int32_t (*)())*(int32_t *)(v40 + 16))();
            g8 = v6 + 99;
            g6 = 1;
            g3 = (int32_t)v5;
            int32_t v41 = v5->e0; // 0x458450
            g5 = v41;
            ((int32_t (*)())*(int32_t *)(v41 + 16))();
            g8 = v6 + 100;
            g6 = 4;
            g3 = (int32_t)v5;
            int32_t v42 = v5->e0; // 0x458463
            g5 = v42;
            ((int32_t (*)())*(int32_t *)(v42 + 16))();
            g8 = v6 + 72;
            g6 = 4;
            g3 = (int32_t)v5;
            int32_t v43 = v5->e0; // 0x458476
            g5 = v43;
            ((int32_t (*)())*(int32_t *)(v43 + 16))();
            g8 = v6 + 76;
            g6 = 4;
            g3 = (int32_t)v5;
            int32_t v44 = v5->e0; // 0x458489
            g5 = v44;
            ((int32_t (*)())*(int32_t *)(v44 + 16))();
            g8 = v6 + 93;
            g6 = 1;
            g3 = (int32_t)v5;
            int32_t v45 = v5->e0; // 0x45849c
            g5 = v45;
            ((int32_t (*)())*(int32_t *)(v45 + 16))();
            g8 = v7;
            g6 = 1;
            g3 = (int32_t)v5;
            int32_t v46 = v5->e0; // 0x4584af
            g5 = v46;
            ((int32_t (*)())*(int32_t *)(v46 + 16))();
            unsigned char v47 = *v12; // 0x4584b7
            int32_t v48 = v47; // 0x4584b7
            g2 = (v48 & 15) > 23;
            g1 = v47 < 8;
            int32_t v49 = 0x1000000 * v48 - 0x8000000; // 0x4584b7
            g187 = (v49 | 0xffffff) < 0x1ffffff;
            g9 = llvm_ctpop_i32(v49 / 0x1000000) % 2 == 1;
            int32_t v50; // 0x4584ef
            int32_t v51; // 0x4584f8
            int32_t v52; // 0x45850c
            struct struct_19 * v53; // 0x458509_0
            unsigned char v54; // 0x4584ef
            unsigned char v55; // 0x4584f8
            int32_t v56; // 0x4584ef
            int32_t v57; // 0x4584f8
            if (v47 != 8) {
                unsigned char v58 = *v12; // 0x4584c0
                int32_t v59 = v58; // 0x4584c0
                g2 = (v59 & 15) > 24;
                g1 = v58 < 9;
                int32_t v60 = 0x1000000 * v59 - 0x9000000; // 0x4584c0
                g187 = (v60 | 0xffffff) < 0x1ffffff;
                g9 = llvm_ctpop_i32(v60 / 0x1000000) % 2 == 1;
                if (v58 != 9) {
                    // 0x4584ec
                    v54 = *v12;
                    v56 = v54;
                    g2 = (v56 & 15) > 21;
                    g1 = v54 < 6;
                    v50 = 0x1000000 * v56 - 0x6000000;
                    g187 = (v50 | 0xffffff) < 0x1ffffff;
                    g9 = llvm_ctpop_i32(v50 / 0x1000000) % 2 == 1;
                    if (v54 != 6) {
                        // 0x4584f5
                        v55 = *v12;
                        v57 = v55;
                        g2 = (v57 & 15) > 17;
                        g1 = v55 < 2;
                        v51 = 0x1000000 * v57 - 0x2000000;
                        g187 = (v51 | 0xffffff) < 0x1ffffff;
                        g9 = llvm_ctpop_i32(v51 / 0x1000000) % 2 == 1;
                        if (v55 != 2) {
                            // 0x458511
                            g4 = v1;
                            return;
                        }
                    }
                    // 0x4584fe
                    g8 = v6 + 92;
                    g6 = 1;
                    v53 = v5;
                    g3 = (int32_t)v53;
                    v52 = v53->e0;
                    g5 = v52;
                    ((int32_t (*)())*(int32_t *)(v52 + 16))();
                    // branch -> 0x458511
                    // 0x458511
                    g4 = v1;
                    return;
                }
            }
            // 0x4584c6
            g8 = v6 + 84;
            g6 = 4;
            g3 = (int32_t)v5;
            int32_t v61 = v5->e0; // 0x4584d4
            g5 = v61;
            ((int32_t (*)())*(int32_t *)(v61 + 16))();
            g8 = v6 + 88;
            g6 = 4;
            g3 = (int32_t)v5;
            int32_t v62 = v5->e0; // 0x4584e7
            g5 = v62;
            ((int32_t (*)())*(int32_t *)(v62 + 16))();
            // branch -> 0x4584ec
            // 0x4584ec
            v54 = *v12;
            v56 = v54;
            g2 = (v56 & 15) > 21;
            g1 = v54 < 6;
            v50 = 0x1000000 * v56 - 0x6000000;
            g187 = (v50 | 0xffffff) < 0x1ffffff;
            g9 = llvm_ctpop_i32(v50 / 0x1000000) % 2 == 1;
            if (v54 != 6) {
                // 0x4584f5
                v55 = *v12;
                v57 = v55;
                g2 = (v57 & 15) > 17;
                g1 = v55 < 2;
                v51 = 0x1000000 * v57 - 0x2000000;
                g187 = (v51 | 0xffffff) < 0x1ffffff;
                g9 = llvm_ctpop_i32(v51 / 0x1000000) % 2 == 1;
                if (v55 != 2) {
                    // 0x458511
                    g4 = v1;
                    return;
                }
            }
            // 0x4584fe
            g8 = v6 + 92;
            g6 = 1;
            v53 = v5;
            g3 = (int32_t)v53;
            v52 = v53->e0;
            g5 = v52;
            ((int32_t (*)())*(int32_t *)(v52 + 16))();
            // branch -> 0x458511
        }
    }
    // 0x458511
    g4 = v1;
}

// Address range: 0x458518 - 0x45855b
void function_458518(void) {
    // 0x458518
    if (g3 == g8) {
        // 0x458554
        g3 = g8 & -256 | 1;
        return;
    }
    int32_t v1 = g3; // 0x4585421
    while (true) {
        int32_t * v2 = (int32_t *)(v1 + 24); // 0x458539_0
        int32_t v3 = v1; // 0x45855410
        if (*v2 != 0) {
            int32_t v4 = *v2; // 0x458542
            if (v4 == g8) {
                // break -> 0x458554
                break;
            }
            v1 = v4;
            // continue -> 0x458536
            continue;
        }
        // 0x458554
        // branch -> 0x458554
        // 0x458554
        g3 = v3 & -256;
        return;
    }
    // 0x458554
    // branch -> 0x458554
    // 0x458554
    g3 = g8 & -256 | 1;
}

// Address range: 0x45855c - 0x458ae3
void function_45855c(void) {
    int32_t v1;
    g4 = &v1;
    g1 = false;
    abort();
    // UNREACHABLE
}

// Address range: 0x458ae4 - 0x458b87
void function_458ae4(void) {
    int32_t v1;
    g4 = &v1;
    uint32_t v2 = g11; // 0x458ae7
    g2 = (v2 & 15) > 3;
    g1 = v2 > 19;
    int32_t v3 = v2 - 20; // 0x458ae7
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    int32_t v4 = g5; // 0x458aea
    int32_t v5 = g8; // 0x458aeb
    struct struct_19 * v6 = (struct struct_19 *)v5; // 0x458aeb_0
    int32_t v7 = g3; // 0x458aee
    int32_t v8 = v7 + 8; // 0x458af4
    g8 = v8;
    g6 = 4;
    g3 = v5;
    int32_t v9 = v6->e0; // 0x458aff
    g5 = v9;
    int32_t v10;
    int32_t v11;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t))*(int32_t *)(v9 + 16))(v4, v11, 0, v10);
    int32_t v12 = *(int32_t *)v8; // 0x458b07
    int32_t v13 = v12 - 1; // 0x458b0a
    uint32_t v14 = llvm_ctpop_i32(v13); // 0x458b0a
    g1 = false;
    g2 = false;
    g187 = v13 == 0;
    g9 = v14 % 2 == 1;
    if (v13 < 0) {
        // 0x458b81
        g4 = v1;
        return;
    }
    int32_t * v15 = (int32_t *)(v7 + 4); // 0x458b1d_0
    char v16;
    int32_t v17 = &v16; // 0x458b3f_0
    int32_t v18 = 0; // 0x458b792
    // branch -> 0x458b1a
    while (true) {
        int32_t v19 = 4 * v18; // 0x458b23
        int32_t v20 = *(int32_t *)(*v15 + v19); // 0x458b23
        g2 = false;
        g1 = false;
        g187 = v20 == 0;
        g9 = llvm_ctpop_i32(v20) % 2 == 1;
        int32_t v21; // 0x458b4a
        struct struct_19 * v22; // 0x458b47_0
        if (v20 != 0) {
            unsigned char v23 = *(char *)(*(int32_t *)(*v15 + v19) + 8); // 0x458b35
            int32_t v24 = v23; // 0x458b35
            g2 = (v24 & 15) > 20;
            g1 = v23 < 5;
            int32_t v25 = 0x1000000 * v24 - 0x5000000; // 0x458b35
            g187 = (v25 | 0xffffff) < 0x1ffffff;
            g9 = llvm_ctpop_i32(v25 / 0x1000000) % 2 == 1;
            if (v23 != 5) {
                // 0x458b51
                v16 = 1;
                g8 = v17;
                g6 = 1;
                g3 = (int32_t)v6;
                int32_t v26 = v6->e0; // 0x458b60
                g5 = v26;
                ((int32_t (*)(int32_t))*(int32_t *)(v26 + 16))(v4);
                g3 = *(int32_t *)(*v15 + v19);
                g8 = (int32_t)v6;
                function_458278();
                // branch -> 0x458b79
              lab_0x458b79_2:
                // 0x458b79
                g2 = (v12 & 15) > 16;
                int32_t v27 = v12 - 1; // 0x458b7c
                g187 = v27 == 0;
                g9 = llvm_ctpop_i32(v27) % 2 == 1;
                if (v27 == 0) {
                    // break -> 0x458b81
                    break;
                }
                v18++;
                v12 = v27;
                // continue -> 0x458b1a
                continue;
            }
            // 0x458b3b
            v16 = 0;
            g8 = v17;
            g6 = 1;
            v22 = v6;
            g3 = (int32_t)v22;
            v21 = v22->e0;
            g5 = v21;
            ((int32_t (*)(int32_t))*(int32_t *)(v21 + 16))(v4);
            // branch -> 0x458b79
            goto lab_0x458b79_2;
        }
        // 0x458b3b
        v16 = 0;
        g8 = v17;
        g6 = 1;
        v22 = v6;
        g3 = (int32_t)v22;
        v21 = v22->e0;
        g5 = v21;
        ((int32_t (*)(int32_t))*(int32_t *)(v21 + 16))(v4);
        // branch -> 0x458b79
        goto lab_0x458b79_2;
    }
    // 0x458b81
    g4 = v1;
}

// Address range: 0x458b88 - 0x458c53
void function_458b88(void) {
    int32_t v1;
    int32_t v2 = v1; // bp-24
    int32_t v3;
    g4 = &v3;
    uint32_t v4 = g11; // 0x458b8b
    g2 = false;
    g1 = v4 > 31;
    int32_t v5 = v4 - 32; // 0x458b8b
    g187 = v5 == 0;
    g9 = llvm_ctpop_i32(v5) % 2 == 1;
    int32_t v6 = g5; // 0x458b8e
    int32_t v7 = g8; // 0x458b92
    struct struct_19 * v8 = (struct struct_19 *)v7; // bp-12
    int32_t v9 = g3; // 0x458b95
    g8 = &v2;
    g6 = 4;
    g3 = v7;
    int32_t v10 = *(int32_t *)v7; // 0x458ba3
    g5 = v10;
    int32_t v11 = *(int32_t *)(v10 + 12); // 0x458ba5
    int32_t v12;
    int32_t v13;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t, int32_t))v11)(v6, v13, 0, v12, v1);
    int32_t * v14 = (int32_t *)(v9 + 8); // 0x458bab_0
    int32_t v15 = *v14; // 0x458bab
    System__DynArraySetLength((char *)1, (char *)0x458038, v2 + v15, (int32_t *)v6);
    int32_t v16 = v2; // 0x458bd4
    int32_t v17 = v16 - 1; // 0x458bd7
    g1 = false;
    if (v17 < 0) {
        // 0x458c4f
        return;
    }
    // 0x458bdc
    g2 = (v17 & 15) > 14;
    g187 = v16 == 0;
    g9 = llvm_ctpop_i32(v16) % 2 == 1;
    int32_t * v18 = (int32_t *)(v9 + 4); // 0x458c0c_0
    int32_t v19 = *v14; // 0x458c443
    // branch -> 0x458be7
    while (true) {
        // 0x458be7
        char v20;
        g8 = &v20;
        g6 = 1;
        g3 = (int32_t)v8;
        int32_t v21 = v8->e0; // 0x458bf2
        g5 = v21;
        ((int32_t (*)(int32_t, int32_t))*(int32_t *)(v21 + 12))(v6, v16);
        g1 = false;
        int32_t v22 = v19; // 0x458c442
        if (v20 != 0) {
            // 0x458bfd
            int32_t v23;
            g8 = &v23;
            function_403c70();
            int32_t v24 = 4 * v19; // 0x458c12
            *(int32_t *)(*v18 + v24) = 0x457fdc;
            g8 = (int32_t)v8;
            function_45855c();
            *(int32_t *)(*(int32_t *)(*v18 + v24) + 112) = v19;
            *v14 = *v14 + 1;
            v22 = v19 + 1;
            // branch -> 0x458c47
        }
        // 0x458c47
        g2 = (v16 & 15) > 16;
        int32_t v25 = v16 - 1; // 0x458c4a
        g187 = v25 == 0;
        g9 = llvm_ctpop_i32(v25) % 2 == 1;
        if (v25 == 0) {
            // break -> 0x458c4f
            break;
        }
        v19 = v22;
        v16 = v25;
        // continue -> 0x458be7
    }
}

// Address range: 0x458c54 - 0x458cfb
void function_458c54(void) {
    int32_t v1 = g3; // 0x458c5d
    int32_t v2 = *(int32_t *)(v1 + 8); // 0x458c63
    if (v2 < 1) {
        // 0x458cf7
        return;
    }
    int32_t * v3 = (int32_t *)(v1 + 4); // 0x458c7d_0
    int32_t v4 = 0; // 0x458cef2
    // branch -> 0x458c7a
    while (true) {
        int32_t v5 = 4 * v4; // 0x458c83
        int32_t v6 = *(int32_t *)(*v3 + v5); // 0x458ce1
        if (*(char *)(*(int32_t *)(*v3 + v5) + 8) == 3) {
            // 0x458cd8
            g3 = *(int32_t *)(v6 + 108);
            function_458c54();
            // branch -> 0x458cef
        } else {
            // 0x458c8c
            if (*(char *)(v6 + 9) == 4) {
                // 0x458c9e
                if (*(int32_t *)(*(int32_t *)(*v3 + v5) + 24) == 0) {
                    int32_t v7 = unknown_458a50(); // 0x458cc2
                    int32_t v8 = *(int32_t *)(*v3 + v5); // 0x458cd0
                    *(int32_t *)(v8 + 24) = v7;
                    // branch -> 0x458cef
                }
            }
        }
        int32_t v9 = v2 - 1; // 0x458cf2
        if (v9 == 0) {
            // break -> 0x458cf7
            break;
        }
        v4++;
        v2 = v9;
        // continue -> 0x458c7a
    }
    // 0x458cf7
    // branch -> 0x458cf7
}

// Address range: 0x458cfc - 0x459327
void function_458cfc(void) {
    // 0x458cfc
    System__LStrAddRef((char *)g6);
    g3 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x459328 - 0x4595a3
void function_459328(void) {
    char v1 = g3; // 0x459331
    int32_t v2;
    if (v1 == 0) {
        // 0x45933a
        System__LStrAsg((char *)g6, "int");
        // branch -> 0x4593c5
        // 0x4593c5
        g6 = v2;
        return;
    }
    // 0x459349
    if (v1 == 1) {
        // 0x45934f
        System__LStrAsg((char *)g6, "bool");
        // branch -> 0x4593c5
        // 0x4593c5
        g6 = v2;
        return;
    }
    // 0x45935e
    if (v1 == 3) {
        // 0x459364
        System__LStrAsg((char *)g6, "float");
        // branch -> 0x4593c5
        // 0x4593c5
        g6 = v2;
        return;
    }
    // 0x459373
    if ((0x1000000 * g3 - 0x8000000 || 0xffffff) < 0x1ffffff) {
        // 0x459379
        System__LStrAsg((char *)g6, "fixed");
        // branch -> 0x4593c5
        // 0x4593c5
        g6 = v2;
        return;
    }
    // 0x459388
    if (v1 == 4) {
        // 0x45938e
        System__LStrAsg((char *)g6, "class");
        // branch -> 0x4593c5
        // 0x4593c5
        g6 = v2;
        return;
    }
    // 0x45939d
    if (v1 == 9) {
        // 0x4593a3
        System__LStrAsg((char *)g6, "enum");
        // branch -> 0x4593c5
    } else {
        // 0x4593b2
        if (v1 == 10) {
            // 0x4593b8
            System__LStrAsg((char *)g6, "string");
            // branch -> 0x4593c5
        }
    }
    // 0x4593c5
    g6 = v2;
}

// Address range: 0x4595a4 - 0x4597cb
void function_4595a4(void) {
    // 0x4595a4
    abort();
    // UNREACHABLE
}

// Address range: 0x4597cc - 0x45985f
void function_4597cc(void) {
    // 0x4597cc
    abort();
    // UNREACHABLE
}

// Address range: 0x459860 - 0x459bcb
void function_459860(void) {
    // 0x459860
    abort();
    // UNREACHABLE
}

// Address range: 0x459bcc - 0x459c3b
void function_459bcc(void) {
    int32_t v1 = 4; // 0x459c352
    if (*(char *)(g3 + 99) == 0) {
        // 0x459bea
        if (*(int32_t *)(g3 + 40) == 0) {
            // 0x459bfc
            if (*(char *)(g3 + 9) == 4) {
                // 0x459c0e
                v1 = *(int32_t *)(*(int32_t *)(g3 + 24) + 72);
                // branch -> 0x459c1a
            } else {
                v1 = 4;
            }
        } else {
            v1 = 4;
        }
    }
    // 0x459c1a
    if ((char)g8 != 0) {
        // 0x459c35
        g3 = v1;
        return;
    }
    int32_t * v2 = (int32_t *)(g3 + 76); // 0x459c23_0
    int32_t v3; // 0x459c351
    if (*v2 >= 1) {
        // 0x459c29
        v3 = (int64_t)*v2 * (int64_t)v1;
        // branch -> 0x459c35
    } else {
        v3 = v1;
    }
    // 0x459c35
    g3 = v3;
}

// Address range: 0x459c3c - 0x459c6b
void function_459c3c(void) {
    // 0x459c3c
    return;
}

// Address range: 0x459c6c - 0x459caf
void function_459c6c(void) {
    // 0x459c6c
    return;
}

// Address range: 0x459cb0 - 0x459ceb
void function_459cb0(void) {
    int32_t v1 = g3; // 0x459cb4
    char v2 = v1; // 0x459cb4
    int32_t v3 = v2 == 10 ? 1 : (int32_t)(v2 == 9);
    g3 = (v2 == 12 ? 1 : v2 == 11 ? 1 : v3) | v1 & -256;
    int32_t v4;
    g4 = v4;
}

// Address range: 0x459cec - 0x459d2f
void function_459cec(void) {
    // 0x459cec
    return;
}

// Address range: 0x459d30 - 0x459d7f
void function_459d30(void) {
    int32_t v1 = g3; // 0x459d34
    char v2 = v1; // 0x459d34
    int32_t v3 = v2 == 12 ? 1 : (int32_t)(v2 == 11);
    int32_t v4 = v2 == 13 ? 1 : v3;
    int32_t v5 = v2 == 15 ? 1 : v2 == 14 ? 1 : v4;
    g3 = (v2 == 16 ? 1 : v5) | v1 & -256;
    int32_t v6;
    g4 = v6;
}

// Address range: 0x459d80 - 0x459e6f
void function_459d80(void) {
    int32_t v1 = g3; // 0x459d86
    char * v2 = (char *)(v1 + 12); // 0x459d91_0
    int32_t * v3; // 0x459e54_0
    int32_t v4; // 0x459e687
    int32_t v5; // 0x459e688
    if (*v2 == 1) {
        // 0x459d97
        v5 = 0;
        // branch -> 0x459e48
        // 0x459e48
        if (*(char *)(v1 + 20) == 0) {
            // 0x459e68
            g3 = v5;
            return;
        }
        // 0x459e51
        v3 = (int32_t *)(v1 + 16);
        if (*v3 != 0) {
            // 0x459e5a
            g3 = *v3;
            function_459d80();
            v4 = g3 + v5;
            // branch -> 0x459e68
        } else {
            v4 = v5;
        }
        // 0x459e68
        g3 = v4;
        return;
    }
    // 0x459da1
    if (*v2 == 0) {
        v5 = 1;
        // 0x459e48
        if (*(char *)(v1 + 20) == 0) {
            // 0x459e68
            g3 = v5;
            return;
        }
        // 0x459e51
        v3 = (int32_t *)(v1 + 16);
        if (*v3 != 0) {
            // 0x459e5a
            g3 = *v3;
            function_459d80();
            v4 = g3 + v5;
            // branch -> 0x459e68
        } else {
            v4 = v5;
        }
        // 0x459e68
        g3 = v4;
        return;
    }
    // 0x459db6
    if (*v2 == 2) {
        int32_t v6 = *(int32_t *)(v1 + 40); // 0x459dc9
        if (v6 >= 1) {
            int32_t v7 = 0; // 0x459df06
            g3 = *(int32_t *)(*(int32_t *)(v1 + 72) + 4 * v7);
            function_459d80();
            int32_t v8 = g3 + 1; // 0x459ded
            int32_t v9 = v6 - 1; // 0x459df3
            // branch -> 0x459ddc
            while (v9 != 0) {
                // 0x459ddc
                v7++;
                g3 = *(int32_t *)(*(int32_t *)(v1 + 72) + 4 * v7);
                function_459d80();
                v8 += g3;
                v9--;
                // continue -> 0x459ddc
            }
            // 0x459df8
            v5 = v8;
            // branch -> 0x459e48
            // 0x459e48
            if (*(char *)(v1 + 20) == 0) {
                // 0x459e68
                g3 = v5;
                return;
            }
            // 0x459e51
            v3 = (int32_t *)(v1 + 16);
            if (*v3 != 0) {
                // 0x459e5a
                g3 = *v3;
                function_459d80();
                v4 = g3 + v5;
                // branch -> 0x459e68
            } else {
                v4 = v5;
            }
            // 0x459e68
            g3 = v4;
            return;
        }
        // 0x459df8
        v5 = 1;
        // branch -> 0x459e48
    } else {
        // 0x459e00
        if (*v2 == 3) {
            int32_t * v10 = (int32_t *)(v1 + 4); // 0x459e13_0
            int32_t v11 = 1; // 0x459e423
            if (*v10 != 0) {
                // 0x459e19
                g3 = *v10;
                function_459d80();
                v11 = g3 + 1;
                // branch -> 0x459e27
            }
            int32_t * v12 = (int32_t *)(v1 + 8); // 0x459e2a_0
            int32_t v13 = v11; // 0x459e422
            if (*v12 != 0) {
                // 0x459e30
                g3 = *v12;
                function_459d80();
                v13 = g3 + v11 + 1;
                // branch -> 0x459e42
            }
            // 0x459e42
            v5 = v13;
            // branch -> 0x459e48
        } else {
            v5 = 0;
        }
    }
    // 0x459e48
    if (*(char *)(v1 + 20) == 0) {
        // 0x459e68
        g3 = v5;
        return;
    }
    // 0x459e51
    v3 = (int32_t *)(v1 + 16);
    if (*v3 != 0) {
        // 0x459e5a
        g3 = *v3;
        function_459d80();
        v4 = g3 + v5;
        // branch -> 0x459e68
    } else {
        v4 = v5;
    }
    // 0x459e68
    g3 = v4;
}

// Address range: 0x459e70 - 0x459f5f
void function_459e70(void) {
    int32_t v1 = g3; // 0x459e76
    int32_t * v2 = (int32_t *)(v1 + 4); // 0x459e7c_0
    if (*v2 == 0) {
        // 0x459f59
        return;
    }
    int32_t * v3 = (int32_t *)(v1 + 8); // 0x459e89_0
    if (*v3 == 0 || *(char *)(v1 + 12) != 3) {
        // 0x459f59
        return;
    }
    char * v4 = (char *)(v1 + 13); // 0x459ea3_0
    if (*v4 == 13 || *v4 == 15 || *v4 == 14 || *v4 == 16 || *v4 == 4 || *v4 == 5 || *v4 == 1 || *v4 == 21) {
        // 0x459f59
        return;
    }
    // 0x459ef8
    if (*v4 != 22) {
        // 0x459f01
        g3 = *v2;
        function_459e70();
        g3 = *v3;
        function_459e70();
        g3 = *v2;
        function_459d80();
        int32_t v5 = g3; // 0x459f22
        g3 = *v3;
        function_459d80();
        if (v5 < g3) {
            // 0x459f3b
            *v2 = *v3;
            *v3 = *v2;
            // branch -> 0x459f59
        }
    }
}

// Address range: 0x459f60 - 0x45a00b
void function_459f60(void) {
    int32_t v1 = g3; // 0x459f6b
    char * v2 = (char *)(v1 + 48); // 0x459f77_0
    *v2 = *(char *)(g8 + 48);
    *(int32_t *)(v1 + 56) = *(int32_t *)(g8 + 56);
    if (*v2 != 3) {
        // 0x45a005
        return;
    }
    int32_t * v3 = (int32_t *)(g8 + 52); // 0x459f92_0
    g3 = *v3;
    function_405b98();
    System__DynArraySetLength((char *)1, (char *)0x45925c, g3, (int32_t *)g10);
    int32_t * v4 = (int32_t *)(v1 + 52); // 0x459fb7_0
    g3 = *v4;
    function_405b98();
    if (g3 >= 1) {
        int32_t v5 = 0; // 0x459ffd2
        int32_t v6 = 3 * v5; // 0x459fd2
        int32_t v7 = *v4; // 0x459fd8
        int32_t v8 = v7; // edx
        int32_t v9 = *v3; // 0x459fe4
        int32_t v10 = v9; // ebx
        int32_t v11 = 12 * v5; // 0x459fe7
        int32_t v12 = *(int32_t *)(v9 + v11); // 0x459fe7
        *(int32_t *)(v7 + v11) = v12;
        int32_t v13 = *(int32_t *)(v10 + 4 + 4 * v6); // 0x459fed
        *(int32_t *)(v8 + 4 + 4 * v6) = v13;
        int32_t v14 = *(int32_t *)(v10 + 8 + 4 * v6); // 0x459ff5
        *(int32_t *)(v8 + 8 + 4 * v6) = v14;
        int32_t v15 = g3 - 1; // 0x45a000
        // branch -> 0x459fcf
        while (v15 != 0) {
            // 0x459fcf
            v5++;
            v6 = 3 * v5;
            v7 = *v4;
            v8 = v7;
            v9 = *v3;
            v10 = v9;
            v11 = 12 * v5;
            v12 = *(int32_t *)(v9 + v11);
            *(int32_t *)(v7 + v11) = v12;
            v13 = *(int32_t *)(v10 + 4 + 4 * v6);
            *(int32_t *)(v8 + 4 + 4 * v6) = v13;
            v14 = *(int32_t *)(v10 + 8 + 4 * v6);
            *(int32_t *)(v8 + 8 + 4 * v6) = v14;
            v15--;
            // continue -> 0x459fcf
        }
        // 0x45a005
        // branch -> 0x45a005
    }
}

// Address range: 0x45a00c - 0x45a2a3
void function_45a00c(void) {
    // 0x45a00c
    abort();
    // UNREACHABLE
}

// Address range: 0x45a2a4 - 0x45a63e
void function_45a2a4(void) {
    // 0x45a2a4
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x45a640 - 0x45a86f
void function_45a640(void) {
    // 0x45a640
    System__LStrAddRef(NULL);
    abort();
    // UNREACHABLE
}

// Address range: 0x45a870 - 0x45a8e3
void function_45a870(void) {
    // 0x45a870
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x45a8e4 - 0x45a987
void function_45a8e4(void) {
    // 0x45a8e4
    abort();
    // UNREACHABLE
}

// Address range: 0x45a988 - 0x45aa13
void function_45a988(void) {
    int32_t v1 = g8; // 0x45a98e
    int32_t v2 = g3; // 0x45a991
    int32_t * v3 = (int32_t *)(v2 + 4); // 0x45a99a_0
    int32_t v4;
    Sysutils__IsDelimiter((char *)v1, (char *)*v3, v4);
    int32_t v5 = 0x45aa0c; // 0x45a9a7
    char v6 = v5; // 0x45a9a7
    char v7 = v6; // 0x45a9fb1
    if (v6 == 0) {
        int32_t v8 = *v3; // 0x45a9b3
        if (*(char *)(v1 - 1 + v8) == 47) {
            int32_t v9 = *v3; // 0x45a9c3
            if (*(char *)(v9 + v1) == 47) {
                int32_t * v10 = (int32_t *)(v2 + 8); // 0x45a9d2_0
                *v10 = *v10 + 2;
                g6 = v1 & -256 | 10;
                g8 = v1 & -256 | 13;
                g3 = v2;
                function_45af50();
                int32_t v11 = *v3; // 0x45a9eb
                int32_t v12 = 0x45aa0c; // eax
                Sysutils__IsDelimiter((char *)*v10, (char *)v11, v4);
                v5 = v12;
                v7 = v12;
                // branch -> 0x45a9fb
            } else {
                v5 = v9;
                v7 = 0;
            }
        } else {
            v5 = v8;
            v7 = 0;
        }
    }
    // 0x45a9fb
    g3 = (int32_t)v7 | v5 & -256;
}

// Address range: 0x45aa14 - 0x45ad27
void function_45aa14(void) {
    int32_t v1 = g6; // 0x45aa1a
    char v2 = v1; // 0x45aa1a
    int32_t v3 = g8; // 0x45aa1d
    char * v4 = (char *)v3; // 0x45aa1d_0
    int32_t v5 = g3; // 0x45aa20
    int32_t * v6 = (int32_t *)(v5 + 4); // 0x45aa29_0
    int32_t v7;
    Sysutils__IsDelimiter(v4, (char *)*v6, v7);
    char v8 = 0x45ad0c; // 0x45aa36
    int32_t v9 = v3 - 1; // 0x45aa42
    int32_t v10; // 0x45ab61
    int32_t v11; // 0x45ab77
    int32_t v12; // 0x45ab87
    char v13; // 0x45acf82
    char v14; // 0x45acf83
    int32_t v15; // 0x45ab98
    int32_t v16; // 0x45ab7d
    int32_t v17; // 0x45abb1
    if (*(char *)(*v6 + v9) != 47) {
        // 0x45ab3e
        v14 = v8;
        if (v4 >= (char *)1) {
            // 0x45ab44
            if (*(char *)(*v6 + v9) == 34) {
                // 0x45ab54
                v14 = v2 == 0 ? v8 : 0;
                // branch -> 0x45ab5e
            } else {
                v14 = v8;
            }
        }
        // 0x45ab5e
        v10 = *v6;
        if (*(char *)(v10 + v9) != 46 || v4 < (char *)1) {
            // 0x45ab98
            if ((int32_t)v14 == (v10 & -256 || v1 & 255)) {
                // 0x45acf8
                return;
            }
            // 0x45aba4
            v17 = v3 - 2;
            if (*(char *)(*v6 + v17) == 43) {
                // 0x45abb8
                // branch -> 0x45abcc
            }
            // 0x45abcc
            if (*(char *)(*v6 + v17) == 45) {
                // 0x45abdc
                // branch -> 0x45abf0
            }
            // 0x45abf0
            if (*(char *)(*v6 + v17) == 58) {
                // 0x45ac00
                // branch -> 0x45ac14
            }
            // 0x45ac14
            if (*(char *)(*v6 + v17) == 60) {
                // 0x45ac24
                // branch -> 0x45ac38
            }
            // 0x45ac38
            if (*(char *)(*v6 + v17) == 62) {
                // 0x45ac48
                // branch -> 0x45ac5c
            }
            // 0x45ac5c
            if (*(char *)(*v6 + v17) == 45) {
                // 0x45ac6c
                // branch -> 0x45ac80
            }
            // 0x45ac80
            // branch -> 0x45acf8
            // 0x45acf8
            return;
        }
        // 0x45ab74
        v11 = *v6;
        v16 = v3 - 2;
        if (*(char *)(v11 + v16) >= 48) {
            // 0x45ab84
            v12 = *v6;
            v15 = v12;
            v13 = *(char *)(v12 + v16) > 57 ? v14 : 0;
            // branch -> 0x45ab98
        } else {
            v15 = v11;
            v13 = v14;
        }
        // 0x45ab98
        if ((int32_t)v13 == (v15 & -256 || v1 & 255)) {
            // 0x45acf8
            return;
        }
        // 0x45aba4
        v17 = v3 - 2;
        if (*(char *)(*v6 + v17) == 43) {
            // 0x45abb8
            // branch -> 0x45abcc
        }
        // 0x45abcc
        if (*(char *)(*v6 + v17) == 45) {
            // 0x45abdc
            // branch -> 0x45abf0
        }
        // 0x45abf0
        if (*(char *)(*v6 + v17) == 58) {
            // 0x45ac00
            // branch -> 0x45ac14
        }
        // 0x45ac14
        if (*(char *)(*v6 + v17) == 60) {
            // 0x45ac24
            // branch -> 0x45ac38
        }
        // 0x45ac38
        if (*(char *)(*v6 + v17) == 62) {
            // 0x45ac48
            // branch -> 0x45ac5c
        }
        // 0x45ac5c
        if (*(char *)(*v6 + v17) == 45) {
            // 0x45ac6c
            // branch -> 0x45ac80
        }
        // 0x45ac80
        // branch -> 0x45acf8
        // 0x45acf8
        return;
    }
    // 0x45aa4d
    if (*(char *)(*v6 + v3) == 47) {
        int32_t * v18 = (int32_t *)(v5 + 8); // 0x45aa5f_0
        *v18 = *v18 + 2;
        g6 = 0;
        g8 = v3 & -256 | 13;
        g3 = v5;
        function_45af50();
        // branch -> 0x45aa95
        while (true) {
            // 0x45aa95
            g8 = *v18;
            g3 = v5;
            function_45a988();
            if (g3 == 0) {
                // 0x45aaa7
                g6 = g6 & -256 | v1 & 255;
                g8 = *v18;
                g3 = v5;
                function_45aa14();
                // branch -> 0x45acf8
                // 0x45acf8
                return;
            }
            // 0x45aa71
            *v18 = *v18 + 1;
            if (*v18 > *(int32_t *)(v5 + 24)) {
                // break -> 0x45aa85
                break;
            }
            // continue -> 0x45aa95
        }
        // 0x45aa85
        *(char *)(v5 + 33) = 1;
        // branch -> 0x45acf8
        // 0x45acf8
        return;
    }
    // 0x45aac2
    if (*(char *)(*v6 + v3) == 42) {
        int32_t * v19 = (int32_t *)(v5 + 8); // 0x45aad4_0
        *v19 = *v19 + 2;
        g6 = v3 & -256 | 47;
        g8 = v3 & -256 | 42;
        g3 = v5;
        function_45af50();
        *v19 = *v19 + 2;
        // branch -> 0x45ab11
        while (true) {
            // 0x45ab11
            g8 = *v19;
            g3 = v5;
            function_45a988();
            if (g3 == 0) {
                // 0x45ab23
                g6 = g6 & -256 | v1 & 255;
                g8 = *v19;
                g3 = v5;
                function_45aa14();
                // branch -> 0x45acf8
                // 0x45acf8
                return;
            }
            // 0x45aaed
            *v19 = *v19 + 1;
            if (*v19 > *(int32_t *)(v5 + 24)) {
                // break -> 0x45ab01
                break;
            }
            // continue -> 0x45ab11
        }
        // 0x45ab01
        *(char *)(v5 + 33) = 1;
        // branch -> 0x45acf8
    } else {
        // 0x45ab3e
        v14 = v8;
        if (v4 >= (char *)1) {
            // 0x45ab44
            if (*(char *)(*v6 + v9) == 34) {
                // 0x45ab54
                v14 = v2 == 0 ? v8 : 0;
                // branch -> 0x45ab5e
            } else {
                v14 = v8;
            }
        }
        // 0x45ab5e
        v10 = *v6;
        v15 = v10;
        v13 = v14;
        if (*(char *)(v10 + v9) == 46) {
            // 0x45ab6e
            if (v4 >= (char *)1) {
                // 0x45ab74
                v11 = *v6;
                v16 = v3 - 2;
                if (*(char *)(v11 + v16) >= 48) {
                    // 0x45ab84
                    v12 = *v6;
                    v15 = v12;
                    v13 = *(char *)(v12 + v16) > 57 ? v14 : 0;
                    // branch -> 0x45ab98
                } else {
                    v15 = v11;
                    v13 = v14;
                }
            } else {
                v15 = v10;
                v13 = v14;
            }
        }
        // 0x45ab98
        if ((int32_t)v13 != (v15 & -256 || v1 & 255)) {
            // 0x45aba4
            v17 = v3 - 2;
            if (*(char *)(*v6 + v17) == 43) {
                // 0x45abb8
                // branch -> 0x45abcc
            }
            // 0x45abcc
            if (*(char *)(*v6 + v17) == 45) {
                // 0x45abdc
                // branch -> 0x45abf0
            }
            // 0x45abf0
            if (*(char *)(*v6 + v17) == 58) {
                // 0x45ac00
                // branch -> 0x45ac14
            }
            // 0x45ac14
            if (*(char *)(*v6 + v17) == 60) {
                // 0x45ac24
                // branch -> 0x45ac38
            }
            // 0x45ac38
            if (*(char *)(*v6 + v17) == 62) {
                // 0x45ac48
                // branch -> 0x45ac5c
            }
            // 0x45ac5c
            if (*(char *)(*v6 + v17) == 45) {
                // 0x45ac6c
                // branch -> 0x45ac80
            }
            // 0x45ac80
            // branch -> 0x45acf8
        }
    }
}

// Address range: 0x45ad28 - 0x45af4f
void function_45ad28(void) {
    // 0x45ad28
    g6 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x45af50 - 0x45afef
void function_45af50(void) {
    char v1 = g6; // 0x45af56
    int32_t v2 = g3; // 0x45af5c
    int32_t * v3 = (int32_t *)(v2 + 4); // 0x45af62_0
    g3 = *v3;
    char * v4;
    int32_t v5 = function_404e18(v4); // 0x45af65
    int32_t * v6 = (int32_t *)(v2 + 8); // 0x45af6d_0
    if (v5 == *v6) {
        // 0x45afec
        g6 = v2;
        return;
    }
    int32_t v7 = g8; // 0x45afe7
    if (v1 == 0) {
        while (true) {
            int32_t v8 = *v3; // 0x45afda
            unsigned char v9 = *(char *)(v8 - 1 + *v6); // 0x45afe3
            if (((int32_t)v9 || v8 & -256) != v7) {
                // 0x45afbe
                *v6 = *v6 + 1;
                g3 = *v3;
                if (function_404e18(v4) == *v6) {
                    // break -> 0x45afec
                    break;
                }
                // continue -> 0x45afd7
                continue;
            }
            // 0x45afec
            g6 = v2;
            return;
        }
        // 0x45afec
        g6 = v2;
        return;
    }
    // 0x45af93
    // branch -> 0x45af93
    while (true) {
        int32_t v10 = *v3; // 0x45af96
        unsigned char v11 = *(char *)(v10 - 1 + *v6); // 0x45af9f
        if (((int32_t)v11 || v10 & -256) == v7) {
            int32_t v12 = *v3; // 0x45afab
            unsigned char v13 = *(char *)(*v6 + v12); // 0x45afb4
            if (((int32_t)v13 || v12 & -256) != (int32_t)v1) {
                // 0x45af7a
                *v6 = *v6 + 1;
                g3 = *v3;
                if (function_404e18(v4) == *v6) {
                    // break -> 0x45afec
                    break;
                }
                // continue -> 0x45af93
                continue;
            }
        } else {
            // 0x45af7a
            *v6 = *v6 + 1;
            g3 = *v3;
            if (function_404e18(v4) == *v6) {
                // break -> 0x45afec
                break;
            }
            // continue -> 0x45af93
            continue;
        }
        // 0x45afec
        g6 = v2;
        return;
    }
    // 0x45afec
    g6 = v2;
}

// Address range: 0x45aff0 - 0x45b01b
void function_45aff0(void) {
    int32_t * v1 = (int32_t *)(g3 + 556); // 0x45affa_0
    *(int32_t *)(g3 + 44 + 4 * *v1) = *(int32_t *)(g3 + 8);
    *v1 = *v1 + 1;
}

// Address range: 0x45b01c - 0x45b047
void function_45b01c(void) {
    int32_t * v1 = (int32_t *)(g3 + 556); // 0x45b026_0
    *v1 = *v1 - 1;
    *(int32_t *)(g3 + 8) = *(int32_t *)(g3 + 44 + 4 * *v1);
}

// Address range: 0x45b048 - 0x45b3c3
void function_45b048(void) {
    int32_t * v1 = (int32_t *)(g3 + 556); // 0x45b052_0
    *v1 = *v1 - 1;
}

// Address range: 0x45b3c4 - 0x45b502
void function_45b3c4(void) {
    // 0x45b3c4
    g6 = 0;
    g3 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x45b504 - 0x45b5bb
void function_45b504(void) {
    // 0x45b504
    abort();
    // UNREACHABLE
}

// Address range: 0x45b5bc - 0x45b6b3
void function_45b5bc(void) {
    // 0x45b5bc
    abort();
    // UNREACHABLE
}

// Address range: 0x45b6b4 - 0x45b77b
void function_45b6b4(void) {
    // 0x45b6b4
    System__LStrAddRef(NULL);
    abort();
    // UNREACHABLE
}

// Address range: 0x45b77c - 0x45b8d3
void function_45b77c(void) {
    int32_t v1 = g8; // 0x45b782
    g8 = v1 & -256 | 1;
    function_403c70();
    g8 = v1;
    function_45a870();
    function_45ad28();
    System__LStrCmp(g6);
    if (g8 == 0) {
        // 0x45b7c9
        System__LStrCat3((int32_t)" unexpected end of file");
        // branch -> 0x45b86f
    }
}

// Address range: 0x45b8d4 - 0x45ba2e
void function_45b8d4(void) {
    // 0x45b8d4
    abort();
    // UNREACHABLE
}

// Address range: 0x45ba30 - 0x45bf7a
void function_45ba30(void) {
    // 0x45ba30
    abort();
    // UNREACHABLE
}

// Address range: 0x45bf7c - 0x45bfb7
void function_45bf7c(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g5; // 0x45bf82
    int32_t v3 = g8; // 0x45bf83
    int32_t v4 = g3; // 0x45bf86
    char * v5 = (char *)(v4 + 4); // 0x45bf8c_0
    if (*v5 == 0) {
        // 0x45bf92
        g2 = (v4 & 15) > 7;
        g1 = v4 > 0xffffffe7;
        int32_t v6 = v4 + 24; // 0x45bf95
        g187 = v6 == 0;
        g9 = llvm_ctpop_i32(v6) % 2 == 1;
        System__LStrAsg((char *)g6, (char *)v3);
        g5 = v4;
        g8 = v3;
        g3 = *(int32_t *)(v4 + 12);
        ((int32_t (*)())*(int32_t *)(v4 + 8))();
        *v5 = 1;
        // branch -> 0x45bfb3
    }
    // 0x45bfb3
    g5 = v2;
    g4 = v1;
}

// Address range: 0x45bfb8 - 0x45c013
void function_45bfb8(void) {
    // 0x45bfb8
    int32_t v1;
    int32_t v2 = v1; // bp-4
    g4 = &v2;
    uint32_t v3 = g11; // 0x45bfbb
    g2 = (v3 & 15) > 11;
    g1 = v3 > 11;
    int32_t v4 = v3 - 12; // 0x45bfbb
    g187 = v4 == 0;
    g9 = llvm_ctpop_i32(v4) % 2 == 1;
    int32_t v5 = g5; // 0x45bfbe
    int32_t v6 = g3; // 0x45bfc5
    g5 = v6;
    g3 = *(int32_t *)(v6 + 20);
    int32_t v7 = *(int32_t *)(v6 + 16); // 0x45bfd4
    int32_t v8;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t, int32_t))v7)(v5, v8, g8, v6, v1);
}

// Address range: 0x45c014 - 0x45c46f
void function_45c014(void) {
    // 0x45c014
    abort();
    // UNREACHABLE
}

// Address range: 0x45c470 - 0x45c6df
void function_45c470(void) {
    // 0x45c470
    abort();
    // UNREACHABLE
}

// Address range: 0x45c6e0 - 0x45d0a2
void function_45c6e0(void) {
    // 0x45c6e0
    abort();
    // UNREACHABLE
}

// Address range: 0x45d0a4 - 0x45d1ef
void function_45d0a4(void) {
    // 0x45d0a4
    g8 = g8 & -256 | 1;
    function_403c70();
    g13 = 11;
    function_45df60();
    g12 = g3;
}

// Address range: 0x45d1f0 - 0x45d27f
void function_45d1f0(void) {
    int32_t * v1 = (int32_t *)(g3 + 4); // 0x45d1ff_0
    *(int32_t *)(g8 + 52) = *(int32_t *)(*v1 + 20);
    function_45d280();
    int32_t v2 = g3; // 0x45d216
    int32_t * v3 = (int32_t *)v2; // bp-16
    if (v2 == 0) {
        // 0x45d26c
        *(int32_t *)(g8 + 56) = *(int32_t *)(*v1 + 20);
        return;
    }
    int32_t * v4 = (int32_t *)(g8 + 20); // 0x45d222_0
    *v4 = *v4 + 1;
    System__DynArraySetLength((char *)1, (char *)0x459128, *v4, v3);
    int32_t v5 = *(int32_t *)(g8 + 16); // 0x45d248
    *(int32_t *)(v5 - 4 + 4 * *v4) = (int32_t)v3;
    function_45d280();
    int32_t v6 = g3; // 0x45d263
    v3 = (int32_t *)v6;
    // branch -> 0x45d21f
    while (v6 != 0) {
        // 0x45d21f
        *v4 = *v4 + 1;
        System__DynArraySetLength((char *)1, (char *)0x459128, *v4, v3);
        v5 = *(int32_t *)(g8 + 16);
        *(int32_t *)(v5 - 4 + 4 * *v4) = (int32_t)v3;
        function_45d280();
        v6 = g3;
        v3 = (int32_t *)v6;
        // continue -> 0x45d21f
    }
    // 0x45d26c
    *(int32_t *)(g8 + 56) = *(int32_t *)(*v1 + 20);
}

// Address range: 0x45d280 - 0x45d62e
void function_45d280(void) {
    // 0x45d280
    g3 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x45d631 - 0x45d804
void function_45d631(void) {
    // 0x45d631
    *(int32_t *)(g8 + 4) = g3;
    *(int32_t *)(*(int32_t *)(g4 - 12) + 36) = *(int32_t *)(g4 - 24);
    int32_t v1 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4); // 0x45d641
    *(int32_t *)(*(int32_t *)(g4 - 12) + 40) = *(int32_t *)(v1 + 8);
    function_45d805();
}

// Address range: 0x45d805 - 0x45d9a7
void function_45d805(void) {
    // 0x45d805
    abort();
    // UNREACHABLE
}

// Address range: 0x45d9a8 - 0x45df5e
void function_45d9a8(void) {
    // 0x45d9a8
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x45df60 - 0x45f86f
void function_45df60(void) {
    // 0x45df60
    g3 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x45f870 - 0x461c2f
void function_45f870(void) {
    // 0x45f870
    System__LStrAddRef(NULL);
    abort();
    // UNREACHABLE
}

// Address range: 0x461c30 - 0x461d93
void function_461c30(void) {
    int32_t v1 = g6; // 0x461c36
    int32_t v2 = g3; // 0x461c3c
    int32_t v3 = v1; // 0x461d792
    char v4 = 0; // 0x461d201
    if (v1 >= 1001) {
        // 0x461c48
        v3 = v1 - 1000;
        v4 = 1;
        // branch -> 0x461c59
    }
    int32_t * v5 = (int32_t *)(v2 + 4 + 4 * v3); // 0x461c5f_0
    g3 = *(int32_t *)(*v5 + 8);
    function_405b98();
    int32_t * v6;
    System__DynArraySetLength((char *)1, (char *)0x4619a8, g3 + 1, v6);
    int32_t v7 = 28 * g3; // 0x461caa
    *(char *)(v7 + 16 + *(int32_t *)(*v5 + 8)) = 0;
    *(int32_t *)(v7 + 20 + *(int32_t *)(*v5 + 8)) = g8;
    int32_t v8 = *v5; // 0x461cdd
    char v9;
    *(char *)(v7 + 4 + *(int32_t *)(v8 + 8)) = v9;
    int32_t v10 = *v5; // 0x461cfb
    char v11;
    *(char *)(v7 + 24 + *(int32_t *)(v10 + 8)) = v11;
    int32_t v12 = *v5; // 0x461d19
    g6 = (int32_t)v4 | v2 & -256;
    *(char *)(v7 + 25 + *(int32_t *)(v12 + 8)) = v4;
    if (v9 == 0) {
        int32_t v13 = *v5; // 0x461d61
        int32_t v14;
        *(int32_t *)(v7 + 8 + *(int32_t *)(v13 + 8)) = v14;
        int32_t v15 = *(int32_t *)(*v5 + 8); // 0x461d83
        g8 = v15;
        int32_t v16;
        g6 = v16;
        *(int32_t *)(v7 + 12 + v15) = v16;
        // branch -> 0x461d8d
    } else {
        // 0x461d2d
        g8 = *(int32_t *)(*v5 + 8);
        char * v17;
        System__LStrAsg((char *)v2, v17);
        // branch -> 0x461d8d
    }
    // 0x461d8d
    int32_t v18;
    g4 = v18;
}

// Address range: 0x461d94 - 0x462277
void function_461d94(void) {
    // 0x461d94
    abort();
    // UNREACHABLE
}

// Address range: 0x462278 - 0x46229b
void function_462278(void) {
    int32_t v1 = g8; // 0x46227e
    int32_t v2 = g3; // 0x462281
    int32_t * v3 = (int32_t *)(v2 + 8); // 0x462287_0
    g8 = v1;
    *(char *)*v3 = (char)v1;
    g3 = v2;
    *v3 = *v3 + 1;
    g6 = v2;
    int32_t v4;
    g4 = v4;
}

// Address range: 0x46229c - 0x4622bf
void function_46229c(void) {
    int32_t v1 = g8; // 0x4622a2
    int32_t * v2 = (int32_t *)(g3 + 8); // 0x4622ab_0
    g8 = v1;
    *(int32_t *)*v2 = v1;
    *v2 = *v2 + 4;
    int32_t v3;
    g4 = v3;
}

// Address range: 0x4622c0 - 0x4622e3
void function_4622c0(void) {
    int32_t v1 = g8; // 0x4622c6
    int32_t * v2 = (int32_t *)(g3 + 8); // 0x4622cf_0
    g8 = v1;
    *(char *)*v2 = (char)v1;
    *v2 = *v2 + 1;
}

// Address range: 0x4622e4 - 0x462307
void function_4622e4(void) {
    int32_t * v1 = (int32_t *)(g3 + 8); // 0x4622f3_0
    *(int32_t *)*v1 = g8;
    *v1 = *v1 + 4;
}

// Address range: 0x462308 - 0x4623bb
void function_462308(void) {
    int32_t v1 = g3; // 0x462314
    int32_t * v2 = (int32_t *)(v1 + 8); // 0x462331_0
    g8 = *v2;
    g3 = *(int32_t *)(v1 + 16);
    function_461c30();
    *v2 = *v2 + 4;
    int32_t v3;
    g4 = v3;
}

// Address range: 0x4623bc - 0x462747
void function_4623bc(void) {
    int32_t v1 = g10; // bp-264
    int32_t v2 = &v1; // 0x4623c6_0
    int32_t * v3 = NULL; // bp-256
    int32_t v4;
    g5 = v4;
    if (v4 >= 0) {
        int32_t v5 = v4; // 0x4623dc
        g10 = *(int32_t *)(4 * v5 + g6);
        int32_t v6 = v5 - 1; // 0x4623df
        g5 = v6;
        // branch -> 0x4623dc
        while (v5 >= 1) {
            // 0x4623dc
            v5 = v6;
            g10 = *(int32_t *)(4 * v5 + g6);
            v6 = v5 - 1;
            g5 = v6;
            // continue -> 0x4623dc
        }
        // 0x4623e3
        // branch -> 0x4623e3
    }
    int32_t v7 = g8; // 0x4623e8
    int32_t v8 = g3; // 0x4623eb
    int32_t v9;
    int32_t v10 = &v9; // 0x4623ee_0
    System__FinalizeRecord((char *)&v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    System__FinalizeRecord((char *)&v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v11;
    int32_t v12 = &v11; // 0x46240d_0
    System__FinalizeRecord((char *)&v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v13;
    int32_t v14 = v13;
    int32_t v15 = &v14; // 0x462427_0
    g11 = v15;
    char v16;
    g8 = &v16;
    int32_t * v17 = (int32_t *)(v8 + 4); // 0x462435_0
    g3 = *v17;
    function_46a2a0();
    int32_t * v18 = (int32_t *)(v7 + 44); // 0x462447_0
    int32_t v19 = *(char *)(*v18 + 104) == 7 ? 2 : 1;
    if (v4 + 1 == v19) {
        // 0x4624b3
        int32_t v20;
        int32_t v21 = &v20; // 0x46257b_3
        int32_t v22 = 0; // 0x4625891
        // branch -> 0x4624b8
        while (true) {
            // 0x4624b8
            v16 = 1;
            int32_t v23 = g11; // 0x4624c6
            *(int32_t *)(v23 - 4) = 0;
            *(int32_t *)(v23 - 8) = v10;
            g8 = *(int32_t *)(4 * v22 + v2);
            g3 = v8;
            *(int32_t *)(v23 - 12) = 0x4624e3;
            function_46816c();
            int32_t v24; // 0x462589
            char v25;
            if (v25 == 0) {
                // 0x4624ed
                g8 = v10;
                g3 = v8;
                *(int32_t *)(g11 - 4) = 0x4624f8;
                function_462748();
                char v26;
                if (v26 == 3) {
                    // 0x4624fe
                    g8 = v10;
                    g3 = *v17;
                    *(int32_t *)(g11 - 4) = 0x46250c;
                    function_46b524();
                    // branch -> 0x46257b
                } else {
                    // 0x46250e
                    if (v26 == 0) {
                        // 0x462514
                        g8 = v10;
                        g3 = *v17;
                        *(int32_t *)(g11 - 4) = 0x462522;
                        function_46b59c();
                        // branch -> 0x46257b
                    } else {
                        // 0x462524
                        if (v26 == 8) {
                            // 0x46252a
                            g8 = v10;
                            g3 = *v17;
                            *(int32_t *)(g11 - 4) = 0x462538;
                            function_46b59c();
                            g8 = v12;
                            g3 = *v17;
                            *(int32_t *)(g11 - 4) = 0x462549;
                            function_46a30c();
                            int32_t v27 = g11; // 0x462549
                            int32_t v28 = v27 - 4; // 0x462549
                            *(int32_t *)v28 = 0x47800000;
                            g11 = v28;
                            g3 = *(int32_t *)(v8 + 16);
                            *(int32_t *)(v27 - 8) = 0x46255f;
                            System__AsClass((int32_t *)&v16, (int32_t *)0x4637dc);
                            *(int32_t *)(g11 - 4) = 0x462564;
                            function_463ffc();
                            g8 = v12;
                            g3 = *v17;
                            *(int32_t *)(g11 - 4) = 0x46257b;
                            function_46b9d4();
                            // branch -> 0x46257b
                        }
                    }
                    // 0x46257b
                    g6 = v21;
                    g8 = v10;
                    g3 = v8;
                    *(int32_t *)(g11 - 4) = 0x462589;
                    function_469f40();
                    v24 = v22 + 1;
                    if (v24 == v19) {
                        // break -> 0x462598
                        break;
                    }
                    v22 = v24;
                    // continue -> 0x4624b8
                    continue;
                }
                // 0x46257b
                g6 = v21;
                g8 = v10;
                g3 = v8;
                *(int32_t *)(g11 - 4) = 0x462589;
                function_469f40();
                v24 = v22 + 1;
                if (v24 == v19) {
                    // break -> 0x462598
                    break;
                }
                v22 = v24;
                // continue -> 0x4624b8
                continue;
            }
            // 0x46257b
            g6 = v21;
            g8 = v10;
            g3 = v8;
            *(int32_t *)(g11 - 4) = 0x462589;
            function_469f40();
            v24 = v22 + 1;
            if (v24 == v19) {
                // break -> 0x462598
                break;
            }
            v22 = v24;
            // continue -> 0x4624b8
        }
        int32_t v29 = (int32_t)*(char *)(*v18 + 104); // 0x46259e
        uint32_t v30 = v29 - 4; // 0x4625a2
        g3 = v30;
        g2 = (v30 & 15) > 20;
        g1 = v30 < 5;
        int32_t v31 = v29 - 9; // 0x4625a5
        g187 = v31 == 0;
        g9 = llvm_ctpop_i32(v31) % 2 == 1;
        if (v30 <= 5) {
            // 0x4625ae
            ((int32_t (*)())*(int32_t *)(4 * v30 + 0x4625b5))();
            uint32_t v32 = g8; // 0x4625cc
            char * v33 = (char *)(v32 - 0x3ba7427); // 0x4625cc_0
            *v33 = (char)((int32_t)*v33 + v32 / 256);
            g3 += 8;
            function_462278();
            g8 = g8 & -256 | 254;
            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
            function_462278();
            // branch -> 0x462676
        }
        // 0x462676
        struct struct_162 * v34;
        g8 = (int32_t)v34;
        g3 = *v17;
        *(int32_t *)(g11 - 4) = 0x462684;
        function_46a30c();
        v34->e0 = 5;
        g3 = v8;
        *(int32_t *)(g11 - 4) = 0x462695;
        function_469fd8();
        *(int32_t *)((int32_t)v34 + 16) = g3;
        *(char *)((int32_t)v34 + 32) = 3;
        g8 = (int32_t)v34;
        g3 = *v17;
        *(int32_t *)(g11 - 4) = 0x4626b0;
        function_46b614();
        // branch -> 0x4626b0
    } else {
        // 0x462469
        Sysutils__IntToStr(v2);
        System__LStrCat3((int32_t)v3);
        System__AsClass(v3, (int32_t *)0x4637dc);
        g3 = *(int32_t *)(*(int32_t *)(v8 + 16) + 12);
        g8 = (int32_t)NULL;
        g11 = v15;
        function_45bf7c();
        // branch -> 0x4626b0
    }
    // 0x4626b0
    g11 += 12;
    abort();
    // UNREACHABLE
}

// Address range: 0x462748 - 0x46285b
void function_462748(void) {
    struct struct_163 * v1 = (struct struct_163 *)g8; // bp-12
    int32_t v2 = g3; // 0x462751
    int32_t v3;
    int32_t v4 = &v3; // 0x462754_0
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t * v5;
    g11 = (int32_t)&v5;
    if (*(char *)((int32_t)v1 + 20) != 0) {
        // 0x462779
        g8 = v4;
        int32_t * v6 = (int32_t *)(v2 + 4); // 0x46277f_0
        g3 = *v6;
        function_46a30c();
        v3 = 5;
        g3 = v2;
        function_469fd8();
        int32_t * v7;
        g11 = (int32_t)&v7;
        g8 = (int32_t)v1 & -256 | (int32_t)v1->e0;
        g6 = 0;
        g3 = *v6;
        function_46ae10();
        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
        // branch -> 0x4627c9
    }
    // 0x4627c9
    g8 = (int32_t)v1;
    function_467328();
    if (g3 != 0) {
        // 0x4627d8
        g8 = v4;
        int32_t * v8 = (int32_t *)(v2 + 4); // 0x4627de_0
        g3 = *v8;
        function_46a30c();
        v3 = 5;
        g3 = v2;
        function_469fd8();
        int32_t * v9;
        g11 = (int32_t)&v9;
        g8 = (int32_t)v1 & -256 | (int32_t)v1->e0;
        g6 = 0;
        g3 = *v8;
        function_46ae10();
        g8 = *(int32_t *)v1;
        g3 = v2;
        function_469e18();
        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
        // branch -> 0x462835
    }
    // 0x462835
    g6 = (int32_t)v5;
    abort();
    // UNREACHABLE
}

// Address range: 0x46285c - 0x462a0f
void function_46285c(void) {
    char * v1 = (char *)g6; // 0x46285f_0
    int32_t v2 = 0; // bp-16
    g11 = &v2;
    int32_t v3;
    memcpy((char *)&v3, (char *)g8, 16);
    int32_t v4 = g3; // 0x462884
    int32_t v5 = &v3; // 0x462887_0
    System__FinalizeRecord(v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v6;
    int32_t v7 = &v6; // 0x462895_0
    System__FinalizeRecord(v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    char * v8;
    if (0x1000000 * (int32_t)v8 == 0) {
        // 0x4628ba
        int32_t v9;
        g6 = &v9;
        g8 = v5;
        g3 = v4;
        function_462a10();
        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
        // branch -> 0x4628df
    }
    // 0x4628df
    g8 = v5;
    int32_t * v10 = (int32_t *)(v4 + 4); // 0x4628e5_0
    g3 = *v10;
    function_46b524();
    char v11;
    int32_t v12 = &v11; // 0x4628ed_0
    g8 = v12;
    g3 = *v10;
    function_46a2a0();
    v11 = 0;
    g6 = v12;
    g3 = v4;
    function_46816c();
    int32_t v13; // 0x46299b_2
    char v14;
    int32_t v15;
    if (v14 == 3 || v14 == 4) {
        // 0x462933
        char v16;
        if (v16 == 3) {
            // 0x462939
            g8 = v7;
            g3 = *v10;
            function_46b704();
            // branch -> 0x46299b
        } else {
            // 0x46294c
            if (v16 == 0) {
                // 0x462952
                g8 = v7;
                g3 = *v10;
                function_46b77c();
                // branch -> 0x46299b
            }
        }
        // 0x46299b
        v13 = &v15;
        g6 = v13;
        g8 = v7;
        g3 = v4;
        function_469f40();
        g8 = v5;
        g3 = *v10;
        function_46b614();
        g6 = v13;
        g8 = v5;
        g3 = v4;
        function_469f40();
        abort();
        // UNREACHABLE
    }
    // 0x46299b
    v13 = &v15;
    g6 = v13;
    g8 = v7;
    g3 = v4;
    function_469f40();
    g8 = v5;
    g3 = *v10;
    function_46b614();
    g6 = v13;
    g8 = v5;
    g3 = v4;
    function_469f40();
    abort();
    // UNREACHABLE
}

// Address range: 0x462a10 - 0x462b0b
void function_462a10(void) {
    struct struct_162 * v1 = (struct struct_162 *)g6; // bp-88
    int32_t v2;
    memcpy((char *)&v2, (char *)g8, 16);
    int32_t v3 = g3; // 0x462a29
    int32_t v4 = &v2; // 0x462a2c_0
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = v4;
    function_46a168();
    if (g3 == 0) {
        // 0x462a68
        g8 = v4;
        g3 = v3;
        function_462748();
        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
        // branch -> 0x462a84
    }
    // 0x462a84
    char v5;
    if (v5 != 3) {
        // 0x462a8a
        g8 = (int32_t)v1;
        int32_t * v6 = (int32_t *)(v3 + 4); // 0x462a90_0
        g3 = *v6;
        function_46a30c();
        v1->e0 = 5;
        g3 = v3;
        function_469fd8();
        *(int32_t *)((int32_t)v1 + 16) = g3;
        g8 = v4;
        g3 = *v6;
        function_46b59c();
        g6 = -1;
        g8 = v4;
        g3 = v3;
        function_469f40();
        g8 = (int32_t)v1;
        g3 = *v6;
        function_46b614();
        *(char *)((int32_t)v1 + 32) = 3;
        // branch -> 0x462ae0
    }
    // 0x462ae0
    g6 = 0x462afc;
    abort();
    // UNREACHABLE
}

// Address range: 0x462b0c - 0x462bdf
void function_462b0c(void) {
    struct struct_162 * v1 = (struct struct_162 *)g6; // bp-88
    int32_t v2;
    memcpy((char *)&v2, (char *)g8, 16);
    int32_t v3 = g3; // 0x462b25
    int32_t v4 = &v2; // 0x462b28_0
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = v4;
    function_46a168();
    if (g3 == 0) {
        // 0x462b53
        g8 = v4;
        g3 = v3;
        function_462748();
        // branch -> 0x462b5e
    }
    // 0x462b5e
    g8 = (int32_t)v1;
    int32_t * v5 = (int32_t *)(v3 + 4); // 0x462b64_0
    g3 = *v5;
    function_46a30c();
    v1->e0 = 5;
    g3 = v3;
    function_469fd8();
    *(int32_t *)((int32_t)v1 + 16) = g3;
    g8 = v4;
    g3 = *v5;
    function_46b524();
    g6 = -1;
    g8 = v4;
    g3 = v3;
    function_469f40();
    g8 = (int32_t)v1;
    g3 = *v5;
    function_46b68c();
    *(char *)((int32_t)v1 + 32) = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x462be0 - 0x46335f
void function_462be0(void) {
    int32_t v1 = g6; // 0x462be9
    struct struct_166 * v2 = (struct struct_166 *)v1; // bp-16
    int32_t v3 = g8; // 0x462bec
    int32_t v4 = g3; // 0x462bef
    int32_t v5;
    int32_t v6 = &v5; // 0x462bf2_0
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v7;
    int32_t v8 = &v7; // 0x462c00_0
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v9;
    int32_t v10 = &v9; // 0x462c11_0
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    char v11;
    g8 = &v11;
    int32_t * v12 = (int32_t *)(v4 + 4); // 0x462c39_0
    g3 = *v12;
    function_46a2a0();
    v11 = 1;
    g8 = *(int32_t *)(v3 + 4);
    g3 = v4;
    function_46816c();
    g8 = v6;
    g3 = v4;
    function_462748();
    char * v13; // 0x462d74_0
    int32_t * v14; // 0x462e29_0
    int32_t * v15; // 0x462ee4_0
    int32_t * v16; // 0x462ee7_0
    int32_t * v17; // 0x46304b_0
    int32_t * v18; // 0x46314b_0
    int32_t * v19; // 0x463186_0
    int32_t * v20; // 0x4631bb_0
    int32_t * v21; // 0x4631f0_0
    float80_t v22; // 0x462dbb
    int32_t v23; // 0x46302a
    float80_t v24; // 0x4630c4
    struct struct_167 * v25;
    char v26;
    char v27;
    int32_t v28;
    char v29;
    int32_t v30;
    int32_t v31;
    int32_t * v32;
    char v33;
    char v34;
    char v35;
    int32_t v36; // 0x463017
    int32_t v37; // 0x462e6c
    int32_t v38; // 0x462ea9
    int32_t v39; // 0x463066
    struct struct_167 * v40; // 0x463066_0
    int32_t v41; // 0x4630694
    char v42; // 0x4631de2
    char v43; // 0x4631de3
    if (v33 == 0) {
        // 0x462c7e
        if (v34 == 3) {
            // 0x462c84
            g8 = v6;
            g3 = *v12;
            function_46b524();
            // branch -> 0x462d01
        } else {
            // 0x462c94
            if (v34 == 0) {
                // 0x462c9a
                g8 = v6;
                g3 = *v12;
                function_46b59c();
                // branch -> 0x462d01
            } else {
                // 0x462caa
                if (v34 == 8) {
                    // 0x462cb0
                    g8 = v6;
                    g3 = *v12;
                    function_46b59c();
                    g8 = v10;
                    g3 = *v12;
                    function_46a30c();
                    int32_t * v44 = (int32_t *)0x47800000;
                    g11 = (int32_t)&v44;
                    g3 = *(int32_t *)(v4 + 16);
                    System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                    function_463ffc();
                    g8 = v10;
                    g3 = *v12;
                    function_46b9d4();
                    // branch -> 0x462d01
                }
            }
            // 0x462d01
            g8 = v6;
            g3 = v4;
            function_469f40();
            char * v45; // 0x46325c_0
            char * v46; // 0x463285_0
            int32_t v47; // 0x46329a
            int32_t v48; // 0x46329a
            int32_t v49; // 0x463242
            struct struct_167 * v50; // 0x463242_0
            if (v35 != 0) {
                // 0x462d15
                if (v34 == 8) {
                    // 0x462d1b
                    g3 = *(int32_t *)(v4 + 16);
                    System__AsClass(&v30, (int32_t *)0x4637dc);
                    function_463ffc();
                    // branch -> 0x462d71
                } else {
                    // 0x462d46
                    g3 = *(int32_t *)(v4 + 16);
                    System__AsClass(&v30, (int32_t *)0x4637dc);
                    function_463ffc();
                    // branch -> 0x462d71
                }
                // 0x462d71
                v13 = (char *)(v3 + 13);
                g3 = (int32_t)*v13 | v3 & -256;
                function_459d30();
                if (g3 == 0) {
                    // 0x46307f
                    v11 = 0;
                    g8 = *(int32_t *)(v3 + 8);
                    g3 = v4;
                    function_46816c();
                    g3 = v4;
                    function_462748();
                    v42 = v27;
                    int32_t v51; // 0x4632f3
                    if (v29 != 0) {
                        // 0x4630be
                        v24 = v28;
                        if (v27 == 8) {
                            // 0x4630c4
                            g11 = (int32_t)&v32;
                            v32 = (int32_t *)(int32_t)(float32_t)(1.52587890625e-5 * v24);
                            g3 = *(int32_t *)(v4 + 16);
                            System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                            function_463ffc();
                            v42 = 3;
                            // branch -> 0x46311a
                        } else {
                            // 0x4630ef
                            g11 = (int32_t)&v32;
                            v32 = (int32_t *)(int32_t)(float32_t)v24;
                            g3 = *(int32_t *)(v4 + 16);
                            System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                            function_463ffc();
                            v42 = 3;
                            // branch -> 0x46311a
                        }
                        // 0x46311a
                        if (v42 == 8) {
                            // 0x463120
                            g8 = 3;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463130;
                            function_463360();
                            // branch -> 0x463130
                        }
                        // 0x463130
                        if (*v13 == 0) {
                            // 0x463139
                            g8 = v8;
                            g3 = *v12;
                            v18 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x46313f
                                *v18 = 0x463150;
                                function_46b704();
                                // branch -> 0x463208
                            } else {
                                // 0x463155
                                *v18 = 0x463166;
                                function_46b77c();
                                // branch -> 0x463208
                            }
                            // 0x463208
                            g8 = v8;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463219;
                            function_469f40();
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463227;
                            function_46a30c();
                            v50 = v25;
                            if (v2->e0 != 0) {
                                // 0x46322f
                                *(char *)((int32_t)v50 + 32) = 3;
                                *(char *)((int32_t)v25 + 33) = 1;
                                // branch -> 0x4632f1
                                // 0x4632f1
                                v51 = g11;
                                g6 = *(int32_t *)(v51 + 8);
                                g11 = v51 + 12;
                                abort();
                                // UNREACHABLE
                            }
                            // 0x463242
                            v50->e0 = 5;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463253;
                            function_469fd8();
                            *(int32_t *)((int32_t)v25 + 16) = g3;
                            v45 = (char *)((int32_t)v2 + 28);
                            if (*v45 == 3) {
                                // 0x463262
                                *(char *)((int32_t)v25 + 32) = 3;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x463277;
                                function_46b614();
                                // branch -> 0x4632f1
                                // 0x4632f1
                                v51 = g11;
                                g6 = *(int32_t *)(v51 + 8);
                                g11 = v51 + 12;
                                abort();
                                // UNREACHABLE
                            }
                            // 0x463279
                            v46 = (char *)((int32_t)v25 + 32);
                            if (*v45 == 8) {
                                // 0x463282
                                *v46 = 8;
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x46329a;
                                function_46a30c();
                                v48 = g11;
                                v47 = v48 - 4;
                                *(int32_t *)v47 = 0x47800000;
                                g11 = v47;
                                g3 = *(int32_t *)(v4 + 16);
                                *(int32_t *)(v48 - 8) = 0x4632b0;
                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                *(int32_t *)(g11 - 4) = 0x4632b5;
                                function_463ffc();
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632cc;
                                function_46b8e4();
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632da;
                                function_46b68c();
                                // branch -> 0x4632f1
                            } else {
                                // 0x4632dc
                                *v46 = 0;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632f1;
                                function_46b68c();
                                // branch -> 0x4632f1
                            }
                            // 0x4632f1
                            v51 = g11;
                            g6 = *(int32_t *)(v51 + 8);
                            g11 = v51 + 12;
                            abort();
                            // UNREACHABLE
                        }
                        // 0x46316b
                        if (*v13 == 1) {
                            // 0x463174
                            g8 = v8;
                            g3 = *v12;
                            v19 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x46317a
                                *v19 = 0x46318b;
                                function_46b7f4();
                                // branch -> 0x463208
                            } else {
                                // 0x46318d
                                *v19 = 0x46319e;
                                function_46b86c();
                                // branch -> 0x463208
                            }
                            // 0x463208
                            g8 = v8;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463219;
                            function_469f40();
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463227;
                            function_46a30c();
                            v50 = v25;
                            if (v2->e0 != 0) {
                                // 0x46322f
                                *(char *)((int32_t)v50 + 32) = 3;
                                *(char *)((int32_t)v25 + 33) = 1;
                                // branch -> 0x4632f1
                                // 0x4632f1
                                v51 = g11;
                                g6 = *(int32_t *)(v51 + 8);
                                g11 = v51 + 12;
                                abort();
                                // UNREACHABLE
                            }
                            // 0x463242
                            v50->e0 = 5;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463253;
                            function_469fd8();
                            *(int32_t *)((int32_t)v25 + 16) = g3;
                            v45 = (char *)((int32_t)v2 + 28);
                            if (*v45 == 3) {
                                // 0x463262
                                *(char *)((int32_t)v25 + 32) = 3;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x463277;
                                function_46b614();
                                // branch -> 0x4632f1
                                // 0x4632f1
                                v51 = g11;
                                g6 = *(int32_t *)(v51 + 8);
                                g11 = v51 + 12;
                                abort();
                                // UNREACHABLE
                            }
                            // 0x463279
                            v46 = (char *)((int32_t)v25 + 32);
                            if (*v45 == 8) {
                                // 0x463282
                                *v46 = 8;
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x46329a;
                                function_46a30c();
                                v48 = g11;
                                v47 = v48 - 4;
                                *(int32_t *)v47 = 0x47800000;
                                g11 = v47;
                                g3 = *(int32_t *)(v4 + 16);
                                *(int32_t *)(v48 - 8) = 0x4632b0;
                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                *(int32_t *)(g11 - 4) = 0x4632b5;
                                function_463ffc();
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632cc;
                                function_46b8e4();
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632da;
                                function_46b68c();
                                // branch -> 0x4632f1
                            } else {
                                // 0x4632dc
                                *v46 = 0;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632f1;
                                function_46b68c();
                                // branch -> 0x4632f1
                            }
                            // 0x4632f1
                            v51 = g11;
                            g6 = *(int32_t *)(v51 + 8);
                            g11 = v51 + 12;
                            abort();
                            // UNREACHABLE
                        }
                        // 0x4631a0
                        if (*v13 == 3) {
                            // 0x4631a9
                            g8 = v8;
                            g3 = *v12;
                            v20 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x4631af
                                *v20 = 0x4631c0;
                                function_46b8e4();
                                // branch -> 0x463208
                            } else {
                                // 0x4631c2
                                *v20 = 0x4631d3;
                                function_46b95c();
                                // branch -> 0x463208
                            }
                            // 0x463208
                            g8 = v8;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463219;
                            function_469f40();
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463227;
                            function_46a30c();
                            v50 = v25;
                            if (v2->e0 != 0) {
                                // 0x46322f
                                *(char *)((int32_t)v50 + 32) = 3;
                                *(char *)((int32_t)v25 + 33) = 1;
                                // branch -> 0x4632f1
                                // 0x4632f1
                                v51 = g11;
                                g6 = *(int32_t *)(v51 + 8);
                                g11 = v51 + 12;
                                abort();
                                // UNREACHABLE
                            }
                            // 0x463242
                            v50->e0 = 5;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463253;
                            function_469fd8();
                            *(int32_t *)((int32_t)v25 + 16) = g3;
                            v45 = (char *)((int32_t)v2 + 28);
                            if (*v45 == 3) {
                                // 0x463262
                                *(char *)((int32_t)v25 + 32) = 3;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x463277;
                                function_46b614();
                                // branch -> 0x4632f1
                                // 0x4632f1
                                v51 = g11;
                                g6 = *(int32_t *)(v51 + 8);
                                g11 = v51 + 12;
                                abort();
                                // UNREACHABLE
                            }
                            // 0x463279
                            v46 = (char *)((int32_t)v25 + 32);
                            if (*v45 == 8) {
                                // 0x463282
                                *v46 = 8;
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x46329a;
                                function_46a30c();
                                v48 = g11;
                                v47 = v48 - 4;
                                *(int32_t *)v47 = 0x47800000;
                                g11 = v47;
                                g3 = *(int32_t *)(v4 + 16);
                                *(int32_t *)(v48 - 8) = 0x4632b0;
                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                *(int32_t *)(g11 - 4) = 0x4632b5;
                                function_463ffc();
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632cc;
                                function_46b8e4();
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632da;
                                function_46b68c();
                                // branch -> 0x4632f1
                            } else {
                                // 0x4632dc
                                *v46 = 0;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632f1;
                                function_46b68c();
                                // branch -> 0x4632f1
                            }
                            // 0x4632f1
                            v51 = g11;
                            g6 = *(int32_t *)(v51 + 8);
                            g11 = v51 + 12;
                            abort();
                            // UNREACHABLE
                        }
                        // 0x4631d5
                        if (*v13 == 4) {
                            // 0x4631de
                            g8 = v8;
                            g3 = *v12;
                            v21 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x4631e4
                                *v21 = 0x4631f5;
                                function_46b9d4();
                                // branch -> 0x463208
                            } else {
                                // 0x4631f7
                                *v21 = 0x463208;
                                function_46ba4c();
                                // branch -> 0x463208
                            }
                            // 0x463208
                            g8 = v8;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463219;
                            function_469f40();
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463227;
                            function_46a30c();
                            v50 = v25;
                            if (v2->e0 != 0) {
                                // 0x46322f
                                *(char *)((int32_t)v50 + 32) = 3;
                                *(char *)((int32_t)v25 + 33) = 1;
                                // branch -> 0x4632f1
                                // 0x4632f1
                                v51 = g11;
                                g6 = *(int32_t *)(v51 + 8);
                                g11 = v51 + 12;
                                abort();
                                // UNREACHABLE
                            }
                            // 0x463242
                            v50->e0 = 5;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463253;
                            function_469fd8();
                            *(int32_t *)((int32_t)v25 + 16) = g3;
                            v45 = (char *)((int32_t)v2 + 28);
                            if (*v45 == 3) {
                                // 0x463262
                                *(char *)((int32_t)v25 + 32) = 3;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x463277;
                                function_46b614();
                                // branch -> 0x4632f1
                                // 0x4632f1
                                v51 = g11;
                                g6 = *(int32_t *)(v51 + 8);
                                g11 = v51 + 12;
                                abort();
                                // UNREACHABLE
                            }
                            // 0x463279
                            v46 = (char *)((int32_t)v25 + 32);
                            if (*v45 == 8) {
                                // 0x463282
                                *v46 = 8;
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x46329a;
                                function_46a30c();
                                v48 = g11;
                                v47 = v48 - 4;
                                *(int32_t *)v47 = 0x47800000;
                                g11 = v47;
                                g3 = *(int32_t *)(v4 + 16);
                                *(int32_t *)(v48 - 8) = 0x4632b0;
                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                *(int32_t *)(g11 - 4) = 0x4632b5;
                                function_463ffc();
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632cc;
                                function_46b8e4();
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632da;
                                function_46b68c();
                                // branch -> 0x4632f1
                            } else {
                                // 0x4632dc
                                *v46 = 0;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632f1;
                                function_46b68c();
                                // branch -> 0x4632f1
                            }
                            // 0x4632f1
                            v51 = g11;
                            g6 = *(int32_t *)(v51 + 8);
                            g11 = v51 + 12;
                            abort();
                            // UNREACHABLE
                        }
                        // 0x463208
                        g8 = v8;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463219;
                        function_469f40();
                        g8 = (int32_t)v25;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x463227;
                        function_46a30c();
                        v50 = v25;
                        if (v2->e0 != 0) {
                            // 0x46322f
                            *(char *)((int32_t)v50 + 32) = 3;
                            *(char *)((int32_t)v25 + 33) = 1;
                            // branch -> 0x4632f1
                            // 0x4632f1
                            v51 = g11;
                            g6 = *(int32_t *)(v51 + 8);
                            g11 = v51 + 12;
                            abort();
                            // UNREACHABLE
                        }
                        // 0x463242
                        v50->e0 = 5;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463253;
                        function_469fd8();
                        *(int32_t *)((int32_t)v25 + 16) = g3;
                        v45 = (char *)((int32_t)v2 + 28);
                        if (*v45 == 3) {
                            // 0x463262
                            *(char *)((int32_t)v25 + 32) = 3;
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463277;
                            function_46b614();
                            // branch -> 0x4632f1
                            // 0x4632f1
                            v51 = g11;
                            g6 = *(int32_t *)(v51 + 8);
                            g11 = v51 + 12;
                            abort();
                            // UNREACHABLE
                        }
                        // 0x463279
                        v46 = (char *)((int32_t)v25 + 32);
                        if (*v45 == 8) {
                            // 0x463282
                            *v46 = 8;
                            g8 = v10;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x46329a;
                            function_46a30c();
                            v48 = g11;
                            v47 = v48 - 4;
                            *(int32_t *)v47 = 0x47800000;
                            g11 = v47;
                            g3 = *(int32_t *)(v4 + 16);
                            *(int32_t *)(v48 - 8) = 0x4632b0;
                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                            *(int32_t *)(g11 - 4) = 0x4632b5;
                            function_463ffc();
                            g8 = v10;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x4632cc;
                            function_46b8e4();
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x4632da;
                            function_46b68c();
                            // branch -> 0x4632f1
                        } else {
                            // 0x4632dc
                            *v46 = 0;
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x4632f1;
                            function_46b68c();
                            // branch -> 0x4632f1
                        }
                        // 0x4632f1
                        v51 = g11;
                        g6 = *(int32_t *)(v51 + 8);
                        g11 = v51 + 12;
                        abort();
                        // UNREACHABLE
                    }
                    // 0x46311a
                    if (v42 == 8) {
                        // 0x463120
                        g8 = 3;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463130;
                        function_463360();
                        // branch -> 0x463130
                    }
                    // 0x463130
                    if (*v13 == 0) {
                        // 0x463139
                        g8 = v8;
                        g3 = *v12;
                        v18 = (int32_t *)(g11 - 4);
                        if (v42 == 3) {
                            // 0x46313f
                            *v18 = 0x463150;
                            function_46b704();
                            // branch -> 0x463208
                        } else {
                            // 0x463155
                            *v18 = 0x463166;
                            function_46b77c();
                            // branch -> 0x463208
                        }
                        // 0x463208
                        g8 = v8;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463219;
                        function_469f40();
                        g8 = (int32_t)v25;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x463227;
                        function_46a30c();
                        v50 = v25;
                        if (v2->e0 != 0) {
                            // 0x46322f
                            *(char *)((int32_t)v50 + 32) = 3;
                            *(char *)((int32_t)v25 + 33) = 1;
                            // branch -> 0x4632f1
                            // 0x4632f1
                            v51 = g11;
                            g6 = *(int32_t *)(v51 + 8);
                            g11 = v51 + 12;
                            abort();
                            // UNREACHABLE
                        }
                        // 0x463242
                        v50->e0 = 5;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463253;
                        function_469fd8();
                        *(int32_t *)((int32_t)v25 + 16) = g3;
                        v45 = (char *)((int32_t)v2 + 28);
                        if (*v45 == 3) {
                            // 0x463262
                            *(char *)((int32_t)v25 + 32) = 3;
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463277;
                            function_46b614();
                            // branch -> 0x4632f1
                            // 0x4632f1
                            v51 = g11;
                            g6 = *(int32_t *)(v51 + 8);
                            g11 = v51 + 12;
                            abort();
                            // UNREACHABLE
                        }
                        // 0x463279
                        v46 = (char *)((int32_t)v25 + 32);
                        if (*v45 == 8) {
                            // 0x463282
                            *v46 = 8;
                            g8 = v10;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x46329a;
                            function_46a30c();
                            v48 = g11;
                            v47 = v48 - 4;
                            *(int32_t *)v47 = 0x47800000;
                            g11 = v47;
                            g3 = *(int32_t *)(v4 + 16);
                            *(int32_t *)(v48 - 8) = 0x4632b0;
                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                            *(int32_t *)(g11 - 4) = 0x4632b5;
                            function_463ffc();
                            g8 = v10;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x4632cc;
                            function_46b8e4();
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x4632da;
                            function_46b68c();
                            // branch -> 0x4632f1
                        } else {
                            // 0x4632dc
                            *v46 = 0;
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x4632f1;
                            function_46b68c();
                            // branch -> 0x4632f1
                        }
                        // 0x4632f1
                        v51 = g11;
                        g6 = *(int32_t *)(v51 + 8);
                        g11 = v51 + 12;
                        abort();
                        // UNREACHABLE
                    }
                    // 0x46316b
                    if (*v13 == 1) {
                        // 0x463174
                        g8 = v8;
                        g3 = *v12;
                        v19 = (int32_t *)(g11 - 4);
                        if (v42 == 3) {
                            // 0x46317a
                            *v19 = 0x46318b;
                            function_46b7f4();
                            // branch -> 0x463208
                        } else {
                            // 0x46318d
                            *v19 = 0x46319e;
                            function_46b86c();
                            // branch -> 0x463208
                        }
                        // 0x463208
                        g8 = v8;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463219;
                        function_469f40();
                        g8 = (int32_t)v25;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x463227;
                        function_46a30c();
                        v50 = v25;
                        v49 = (int32_t)v50;
                        if (v2->e0 == 0) {
                            // 0x463242
                            v50->e0 = 5;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463253;
                            function_469fd8();
                            *(int32_t *)((int32_t)v25 + 16) = g3;
                            v45 = (char *)((int32_t)v2 + 28);
                            if (*v45 != 3) {
                                // 0x463279
                                v46 = (char *)((int32_t)v25 + 32);
                                if (*v45 == 8) {
                                    // 0x463282
                                    *v46 = 8;
                                    g8 = v10;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x46329a;
                                    function_46a30c();
                                    v48 = g11;
                                    v47 = v48 - 4;
                                    *(int32_t *)v47 = 0x47800000;
                                    g11 = v47;
                                    g3 = *(int32_t *)(v4 + 16);
                                    *(int32_t *)(v48 - 8) = 0x4632b0;
                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                    *(int32_t *)(g11 - 4) = 0x4632b5;
                                    function_463ffc();
                                    g8 = v10;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632cc;
                                    function_46b8e4();
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632da;
                                    function_46b68c();
                                    // branch -> 0x4632f1
                                } else {
                                    // 0x4632dc
                                    *v46 = 0;
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632f1;
                                    function_46b68c();
                                    // branch -> 0x4632f1
                                }
                                // 0x4632f1
                                v51 = g11;
                                g6 = *(int32_t *)(v51 + 8);
                                g11 = v51 + 12;
                                abort();
                                // UNREACHABLE
                            }
                            // 0x463262
                            *(char *)((int32_t)v25 + 32) = 3;
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463277;
                            function_46b614();
                            // branch -> 0x4632f1
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x46322f
                            *(char *)(v49 + 32) = 3;
                            *(char *)((int32_t)v25 + 33) = 1;
                            // branch -> 0x4632f1
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x4631a0
                        if (*v13 == 3) {
                            // 0x4631a9
                            g8 = v8;
                            g3 = *v12;
                            v20 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x4631af
                                *v20 = 0x4631c0;
                                function_46b8e4();
                                // branch -> 0x463208
                            } else {
                                // 0x4631c2
                                *v20 = 0x4631d3;
                                function_46b95c();
                                // branch -> 0x463208
                            }
                            // 0x463208
                            g8 = v8;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463219;
                            function_469f40();
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463227;
                            function_46a30c();
                            v50 = v25;
                            v49 = (int32_t)v50;
                            if (v2->e0 == 0) {
                                // 0x463242
                                v50->e0 = 5;
                                g3 = v4;
                                *(int32_t *)(g11 - 4) = 0x463253;
                                function_469fd8();
                                *(int32_t *)((int32_t)v25 + 16) = g3;
                                v45 = (char *)((int32_t)v2 + 28);
                                if (*v45 == 3) {
                                    // 0x463262
                                    *(char *)((int32_t)v25 + 32) = 3;
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x463277;
                                    function_46b614();
                                    // branch -> 0x4632f1
                                } else {
                                    // 0x463279
                                    v46 = (char *)((int32_t)v25 + 32);
                                    if (*v45 == 8) {
                                        // 0x463282
                                        *v46 = 8;
                                        g8 = v10;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x46329a;
                                        function_46a30c();
                                        v48 = g11;
                                        v47 = v48 - 4;
                                        *(int32_t *)v47 = 0x47800000;
                                        g11 = v47;
                                        g3 = *(int32_t *)(v4 + 16);
                                        *(int32_t *)(v48 - 8) = 0x4632b0;
                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                        *(int32_t *)(g11 - 4) = 0x4632b5;
                                        function_463ffc();
                                        g8 = v10;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x4632cc;
                                        function_46b8e4();
                                        g8 = (int32_t)v25;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x4632da;
                                        function_46b68c();
                                        // branch -> 0x4632f1
                                    } else {
                                        // 0x4632dc
                                        *v46 = 0;
                                        g8 = (int32_t)v25;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x4632f1;
                                        function_46b68c();
                                        // branch -> 0x4632f1
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            } else {
                                // 0x46322f
                                *(char *)(v49 + 32) = 3;
                                *(char *)((int32_t)v25 + 33) = 1;
                                // branch -> 0x4632f1
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x4631d5
                            if (*v13 == 4) {
                                // 0x4631de
                                g8 = v8;
                                g3 = *v12;
                                v21 = (int32_t *)(g11 - 4);
                                if (v42 == 3) {
                                    // 0x4631e4
                                    *v21 = 0x4631f5;
                                    function_46b9d4();
                                    // branch -> 0x463208
                                } else {
                                    // 0x4631f7
                                    *v21 = 0x463208;
                                    function_46ba4c();
                                    // branch -> 0x463208
                                }
                                // 0x463208
                                g8 = v8;
                                g3 = v4;
                                *(int32_t *)(g11 - 4) = 0x463219;
                                function_469f40();
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x463227;
                                function_46a30c();
                                v50 = v25;
                                v49 = (int32_t)v50;
                                if (v2->e0 == 0) {
                                    // 0x463242
                                    v50->e0 = 5;
                                    g3 = v4;
                                    *(int32_t *)(g11 - 4) = 0x463253;
                                    function_469fd8();
                                    *(int32_t *)((int32_t)v25 + 16) = g3;
                                    v45 = (char *)((int32_t)v2 + 28);
                                    if (*v45 == 3) {
                                        // 0x463262
                                        *(char *)((int32_t)v25 + 32) = 3;
                                        g8 = (int32_t)v25;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x463277;
                                        function_46b614();
                                        // branch -> 0x4632f1
                                    } else {
                                        // 0x463279
                                        v46 = (char *)((int32_t)v25 + 32);
                                        if (*v45 == 8) {
                                            // 0x463282
                                            *v46 = 8;
                                            g8 = v10;
                                            g3 = *v12;
                                            *(int32_t *)(g11 - 4) = 0x46329a;
                                            function_46a30c();
                                            v48 = g11;
                                            v47 = v48 - 4;
                                            *(int32_t *)v47 = 0x47800000;
                                            g11 = v47;
                                            g3 = *(int32_t *)(v4 + 16);
                                            *(int32_t *)(v48 - 8) = 0x4632b0;
                                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                            *(int32_t *)(g11 - 4) = 0x4632b5;
                                            function_463ffc();
                                            g8 = v10;
                                            g3 = *v12;
                                            *(int32_t *)(g11 - 4) = 0x4632cc;
                                            function_46b8e4();
                                            g8 = (int32_t)v25;
                                            g3 = *v12;
                                            *(int32_t *)(g11 - 4) = 0x4632da;
                                            function_46b68c();
                                            // branch -> 0x4632f1
                                        } else {
                                            // 0x4632dc
                                            *v46 = 0;
                                            g8 = (int32_t)v25;
                                            g3 = *v12;
                                            *(int32_t *)(g11 - 4) = 0x4632f1;
                                            function_46b68c();
                                            // branch -> 0x4632f1
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                } else {
                                    // 0x46322f
                                    *(char *)(v49 + 32) = 3;
                                    *(char *)((int32_t)v25 + 33) = 1;
                                    // branch -> 0x4632f1
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                        }
                        // 0x463208
                        g8 = v8;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463219;
                        function_469f40();
                        g8 = (int32_t)v25;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x463227;
                        function_46a30c();
                        v50 = v25;
                        v49 = (int32_t)v50;
                        if (v2->e0 == 0) {
                            // 0x463242
                            v50->e0 = 5;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463253;
                            function_469fd8();
                            *(int32_t *)((int32_t)v25 + 16) = g3;
                            v45 = (char *)((int32_t)v2 + 28);
                            if (*v45 == 3) {
                                // 0x463262
                                *(char *)((int32_t)v25 + 32) = 3;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x463277;
                                function_46b614();
                                // branch -> 0x4632f1
                            } else {
                                // 0x463279
                                v46 = (char *)((int32_t)v25 + 32);
                                if (*v45 == 8) {
                                    // 0x463282
                                    *v46 = 8;
                                    g8 = v10;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x46329a;
                                    function_46a30c();
                                    v48 = g11;
                                    v47 = v48 - 4;
                                    *(int32_t *)v47 = 0x47800000;
                                    g11 = v47;
                                    g3 = *(int32_t *)(v4 + 16);
                                    *(int32_t *)(v48 - 8) = 0x4632b0;
                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                    *(int32_t *)(g11 - 4) = 0x4632b5;
                                    function_463ffc();
                                    g8 = v10;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632cc;
                                    function_46b8e4();
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632da;
                                    function_46b68c();
                                    // branch -> 0x4632f1
                                } else {
                                    // 0x4632dc
                                    *v46 = 0;
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632f1;
                                    function_46b68c();
                                    // branch -> 0x4632f1
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x46322f
                            *(char *)(v49 + 32) = 3;
                            *(char *)((int32_t)v25 + 33) = 1;
                            // branch -> 0x4632f1
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // 0x463208
                    g8 = v8;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x463219;
                    function_469f40();
                    g8 = (int32_t)v25;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x463227;
                    function_46a30c();
                    v50 = v25;
                    v49 = (int32_t)v50;
                    if (v2->e0 == 0) {
                        // 0x463242
                        v50->e0 = 5;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463253;
                        function_469fd8();
                        *(int32_t *)((int32_t)v25 + 16) = g3;
                        v45 = (char *)((int32_t)v2 + 28);
                        if (*v45 == 3) {
                            // 0x463262
                            *(char *)((int32_t)v25 + 32) = 3;
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463277;
                            function_46b614();
                            // branch -> 0x4632f1
                        } else {
                            // 0x463279
                            v46 = (char *)((int32_t)v25 + 32);
                            if (*v45 == 8) {
                                // 0x463282
                                *v46 = 8;
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x46329a;
                                function_46a30c();
                                v48 = g11;
                                v47 = v48 - 4;
                                *(int32_t *)v47 = 0x47800000;
                                g11 = v47;
                                g3 = *(int32_t *)(v4 + 16);
                                *(int32_t *)(v48 - 8) = 0x4632b0;
                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                *(int32_t *)(g11 - 4) = 0x4632b5;
                                function_463ffc();
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632cc;
                                function_46b8e4();
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632da;
                                function_46b68c();
                                // branch -> 0x4632f1
                            } else {
                                // 0x4632dc
                                *v46 = 0;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632f1;
                                function_46b68c();
                                // branch -> 0x4632f1
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x46322f
                        *(char *)(v49 + 32) = 3;
                        *(char *)((int32_t)v25 + 33) = 1;
                        // branch -> 0x4632f1
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                    // 0x463208
                    g8 = v8;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x463219;
                    function_469f40();
                    g8 = (int32_t)v25;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x463227;
                    function_46a30c();
                    v50 = v25;
                    v49 = (int32_t)v50;
                    if (v2->e0 == 0) {
                        // 0x463242
                        v50->e0 = 5;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463253;
                        function_469fd8();
                        *(int32_t *)((int32_t)v25 + 16) = g3;
                        v45 = (char *)((int32_t)v2 + 28);
                        if (*v45 == 3) {
                            // 0x463262
                            *(char *)((int32_t)v25 + 32) = 3;
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463277;
                            function_46b614();
                            // branch -> 0x4632f1
                        } else {
                            // 0x463279
                            v46 = (char *)((int32_t)v25 + 32);
                            if (*v45 == 8) {
                                // 0x463282
                                *v46 = 8;
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x46329a;
                                function_46a30c();
                                v48 = g11;
                                v47 = v48 - 4;
                                *(int32_t *)v47 = 0x47800000;
                                g11 = v47;
                                g3 = *(int32_t *)(v4 + 16);
                                *(int32_t *)(v48 - 8) = 0x4632b0;
                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                *(int32_t *)(g11 - 4) = 0x4632b5;
                                function_463ffc();
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632cc;
                                function_46b8e4();
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632da;
                                function_46b68c();
                                // branch -> 0x4632f1
                            } else {
                                // 0x4632dc
                                *v46 = 0;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632f1;
                                function_46b68c();
                                // branch -> 0x4632f1
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x46322f
                        *(char *)(v49 + 32) = 3;
                        *(char *)((int32_t)v25 + 33) = 1;
                        // branch -> 0x4632f1
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                } else {
                    // 0x462d84
                    g8 = *(int32_t *)(v3 + 8);
                    g3 = v4;
                    function_46816c();
                    g8 = v8;
                    g3 = v4;
                    function_462748();
                    v43 = v27;
                    if (v29 != 0) {
                        // 0x462db5
                        v22 = v28;
                        if (v27 == 8) {
                            // 0x462dbb
                            g11 = (int32_t)&v32;
                            v32 = (int32_t *)(int32_t)(float32_t)(1.52587890625e-5 * v22);
                            g3 = *(int32_t *)(v4 + 16);
                            System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                            function_463ffc();
                            v43 = 3;
                            // branch -> 0x462e11
                        } else {
                            // 0x462de6
                            g11 = (int32_t)&v32;
                            v32 = (int32_t *)(int32_t)(float32_t)v22;
                            g3 = *(int32_t *)(v4 + 16);
                            System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                            function_463ffc();
                            v43 = 3;
                            // branch -> 0x462e11
                        }
                        // 0x462e11
                        if (v26 == 0) {
                            // 0x462e17
                            g8 = v8;
                            g3 = *v12;
                            v14 = (int32_t *)(g11 - 4);
                            if (v43 == 3) {
                                // 0x462e1d
                                *v14 = 0x462e2e;
                                function_46b524();
                                // branch -> 0x462e41
                            } else {
                                // 0x462e30
                                *v14 = 0x462e41;
                                function_46b59c();
                                // branch -> 0x462e41
                            }
                            // 0x462e41
                            g6 = &v30;
                            g8 = v8;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x462e52;
                            function_469f40();
                            v41 = v31;
                            if (*(char *)((int32_t)v2 + 1) == 0) {
                                // 0x462e5b
                                g8 = v4 + 0x18d0;
                                g3 = v4;
                                *(int32_t *)(g11 - 4) = 0x462e6c;
                                function_469c8c();
                                v37 = g3;
                                g6 = g6 & -256 | v37;
                                g8 = g8 & -256 | v37;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x462e80;
                                function_46ad58();
                                v41 = v37;
                                // branch -> 0x462e80
                            }
                            // 0x462e80
                            g8 = 1;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x462e90;
                            function_46bac4();
                            g8 = v8;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x462ea1;
                            function_46a30c();
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x462ea9;
                            function_469fd8();
                            v38 = g3;
                            v7 = 5;
                            g8 = v8;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x462ec7;
                            function_46b614();
                            g8 = v38;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x462ed2;
                            function_46a0a0();
                            g8 = g8 & -256 | 15;
                            v15 = (int32_t *)(v4 + 8);
                            g3 = *v15;
                            v16 = (int32_t *)(g11 - 4);
                            if (*(char *)((int32_t)v2 + 1) == 0) {
                                // 0x462edf
                                *v16 = 0x462eec;
                                function_462278();
                                if (*v13 == 11) {
                                    // 0x462ef5
                                    g8 = g8 & -256 | 148;
                                    g3 = *v15;
                                    *(int32_t *)(g11 - 4) = 0x462f02;
                                    function_462278();
                                    // branch -> 0x462f02
                                }
                                // 0x462f02
                                if (*v13 == 12) {
                                    // 0x462f0b
                                    g8 = g8 & -256 | 149;
                                    g3 = *v15;
                                    *(int32_t *)(g11 - 4) = 0x462f18;
                                    function_462278();
                                    // branch -> 0x462f18
                                }
                                // 0x462f18
                                if (*v13 == 13) {
                                    // 0x462f21
                                    g8 = g8 & -256 | 146;
                                    g3 = *v15;
                                    *(int32_t *)(g11 - 4) = 0x462f2e;
                                    function_462278();
                                    // branch -> 0x462f2e
                                }
                                // 0x462f2e
                                if (*v13 == 14) {
                                    // 0x462f37
                                    g8 = g8 & -256 | 151;
                                    g3 = *v15;
                                    *(int32_t *)(g11 - 4) = 0x462f44;
                                    function_462278();
                                    // branch -> 0x462f44
                                }
                                // 0x462f44
                                if (*v13 == 15) {
                                    // 0x462f4d
                                    g8 = g8 & -256 | 147;
                                    g3 = *v15;
                                    *(int32_t *)(g11 - 4) = 0x462f5a;
                                    function_462278();
                                    // branch -> 0x462f5a
                                }
                                // 0x462f5a
                                if (*v13 == 16) {
                                    // 0x462f63
                                    g8 = g8 & -256 | 150;
                                    g3 = *v15;
                                    *(int32_t *)(g11 - 4) = 0x462f70;
                                    function_462278();
                                    // branch -> 0x462f70
                                }
                                // 0x462f70
                                g8 = v41 | g8 & -256 | 192;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f81;
                                function_462278();
                                // branch -> 0x46304f
                            } else {
                                // 0x462f86
                                *v16 = 0x462f93;
                                function_462278();
                                if (*v13 == 11) {
                                    // 0x462f9c
                                    g8 = g8 & -256 | 133;
                                    g3 = *v15;
                                    *(int32_t *)(g11 - 4) = 0x462fa9;
                                    function_462278();
                                    // branch -> 0x462fa9
                                }
                                // 0x462fa9
                                if (*v13 == 12) {
                                    // 0x462fb2
                                    g8 = g8 & -256 | 132;
                                    g3 = *v15;
                                    *(int32_t *)(g11 - 4) = 0x462fbf;
                                    function_462278();
                                    // branch -> 0x462fbf
                                }
                                // 0x462fbf
                                if (*v13 == 13) {
                                    // 0x462fc8
                                    g8 = g8 & -256 | 131;
                                    g3 = *v15;
                                    *(int32_t *)(g11 - 4) = 0x462fd5;
                                    function_462278();
                                    // branch -> 0x462fd5
                                }
                                // 0x462fd5
                                if (*v13 == 14) {
                                    // 0x462fde
                                    g8 = g8 & -256 | 134;
                                    g3 = *v15;
                                    *(int32_t *)(g11 - 4) = 0x462feb;
                                    function_462278();
                                    // branch -> 0x462feb
                                }
                                // 0x462feb
                                if (*v13 == 15) {
                                    // 0x462ff4
                                    g8 = g8 & -256 | 135;
                                    g3 = *v15;
                                    *(int32_t *)(g11 - 4) = 0x463001;
                                    function_462278();
                                    // branch -> 0x463001
                                }
                                // 0x463001
                                if (*v13 == 16) {
                                    // 0x46300a
                                    g8 = g8 & -256 | 130;
                                    g3 = *v15;
                                    *(int32_t *)(g11 - 4) = 0x463017;
                                    function_462278();
                                    // branch -> 0x463017
                                }
                                // 0x463017
                                v36 = g11;
                                *(int32_t *)(v36 - 4) = 1;
                                *(int32_t *)(v36 - 8) = 0;
                                *(int32_t *)(v36 - 12) = 0;
                                *(int32_t *)(v36 - 16) = v2->e2;
                                v23 = v36 - 20;
                                *(int32_t *)v23 = v2->e3;
                                g11 = v23;
                                g6 = v2->e1;
                                g8 = *(int32_t *)(*v15 + 8);
                                g3 = *(int32_t *)(v4 + 12);
                                *(int32_t *)(v36 - 24) = 0x463045;
                                function_461c30();
                                v17 = (int32_t *)(*v15 + 8);
                                *v17 = *v17 + 4;
                                // branch -> 0x46304f
                            }
                            // 0x46304f
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x46305d;
                            function_46a30c();
                            v40 = v25;
                            v39 = (int32_t)v40;
                            if (*(char *)((int32_t)v2 + 1) == 0) {
                                // 0x463066
                                v40->e0 = v41;
                                // branch -> 0x4632f1
                            } else {
                                // 0x463073
                                *(char *)(v39 + 21) = 1;
                                // branch -> 0x4632f1
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // 0x462e41
                        g6 = &v30;
                        g8 = v8;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462e52;
                        function_469f40();
                        v41 = v31;
                        if (*(char *)((int32_t)v2 + 1) == 0) {
                            // 0x462e5b
                            g8 = v4 + 0x18d0;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x462e6c;
                            function_469c8c();
                            v37 = g3;
                            g6 = g6 & -256 | v37;
                            g8 = g8 & -256 | v37;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x462e80;
                            function_46ad58();
                            v41 = v37;
                            // branch -> 0x462e80
                        }
                        // 0x462e80
                        g8 = 1;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462e90;
                        function_46bac4();
                        g8 = v8;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462ea1;
                        function_46a30c();
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462ea9;
                        function_469fd8();
                        v38 = g3;
                        v7 = 5;
                        g8 = v8;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462ec7;
                        function_46b614();
                        g8 = v38;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462ed2;
                        function_46a0a0();
                        g8 = g8 & -256 | 15;
                        v15 = (int32_t *)(v4 + 8);
                        g3 = *v15;
                        v16 = (int32_t *)(g11 - 4);
                        if (*(char *)((int32_t)v2 + 1) == 0) {
                            // 0x462edf
                            *v16 = 0x462eec;
                            function_462278();
                            if (*v13 == 11) {
                                // 0x462ef5
                                g8 = g8 & -256 | 148;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f02;
                                function_462278();
                                // branch -> 0x462f02
                            }
                            // 0x462f02
                            if (*v13 == 12) {
                                // 0x462f0b
                                g8 = g8 & -256 | 149;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f18;
                                function_462278();
                                // branch -> 0x462f18
                            }
                            // 0x462f18
                            if (*v13 == 13) {
                                // 0x462f21
                                g8 = g8 & -256 | 146;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f2e;
                                function_462278();
                                // branch -> 0x462f2e
                            }
                            // 0x462f2e
                            if (*v13 == 14) {
                                // 0x462f37
                                g8 = g8 & -256 | 151;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f44;
                                function_462278();
                                // branch -> 0x462f44
                            }
                            // 0x462f44
                            if (*v13 == 15) {
                                // 0x462f4d
                                g8 = g8 & -256 | 147;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f5a;
                                function_462278();
                                // branch -> 0x462f5a
                            }
                            // 0x462f5a
                            if (*v13 == 16) {
                                // 0x462f63
                                g8 = g8 & -256 | 150;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f70;
                                function_462278();
                                // branch -> 0x462f70
                            }
                            // 0x462f70
                            g8 = v41 | g8 & -256 | 192;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f81;
                            function_462278();
                            // branch -> 0x46304f
                        } else {
                            // 0x462f86
                            *v16 = 0x462f93;
                            function_462278();
                            if (*v13 == 11) {
                                // 0x462f9c
                                g8 = g8 & -256 | 133;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462fa9;
                                function_462278();
                                // branch -> 0x462fa9
                            }
                            // 0x462fa9
                            if (*v13 == 12) {
                                // 0x462fb2
                                g8 = g8 & -256 | 132;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462fbf;
                                function_462278();
                                // branch -> 0x462fbf
                            }
                            // 0x462fbf
                            if (*v13 == 13) {
                                // 0x462fc8
                                g8 = g8 & -256 | 131;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462fd5;
                                function_462278();
                                // branch -> 0x462fd5
                            }
                            // 0x462fd5
                            if (*v13 == 14) {
                                // 0x462fde
                                g8 = g8 & -256 | 134;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462feb;
                                function_462278();
                                // branch -> 0x462feb
                            }
                            // 0x462feb
                            if (*v13 == 15) {
                                // 0x462ff4
                                g8 = g8 & -256 | 135;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x463001;
                                function_462278();
                                // branch -> 0x463001
                            }
                            // 0x463001
                            if (*v13 == 16) {
                                // 0x46300a
                                g8 = g8 & -256 | 130;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x463017;
                                function_462278();
                                // branch -> 0x463017
                            }
                            // 0x463017
                            v36 = g11;
                            *(int32_t *)(v36 - 4) = 1;
                            *(int32_t *)(v36 - 8) = 0;
                            *(int32_t *)(v36 - 12) = 0;
                            *(int32_t *)(v36 - 16) = v2->e2;
                            v23 = v36 - 20;
                            *(int32_t *)v23 = v2->e3;
                            g11 = v23;
                            g6 = v2->e1;
                            g8 = *(int32_t *)(*v15 + 8);
                            g3 = *(int32_t *)(v4 + 12);
                            *(int32_t *)(v36 - 24) = 0x463045;
                            function_461c30();
                            v17 = (int32_t *)(*v15 + 8);
                            *v17 = *v17 + 4;
                            // branch -> 0x46304f
                        }
                        // 0x46304f
                        g8 = (int32_t)v25;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x46305d;
                        function_46a30c();
                        v40 = v25;
                        v39 = (int32_t)v40;
                        if (*(char *)((int32_t)v2 + 1) == 0) {
                            // 0x463066
                            v40->e0 = v41;
                            // branch -> 0x4632f1
                        } else {
                            // 0x463073
                            *(char *)(v39 + 21) = 1;
                            // branch -> 0x4632f1
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // 0x462e11
                    if (v26 == 0) {
                        // 0x462e17
                        g8 = v8;
                        g3 = *v12;
                        v14 = (int32_t *)(g11 - 4);
                        if (v43 == 3) {
                            // 0x462e1d
                            *v14 = 0x462e2e;
                            function_46b524();
                            // branch -> 0x462e41
                        } else {
                            // 0x462e30
                            *v14 = 0x462e41;
                            function_46b59c();
                            // branch -> 0x462e41
                        }
                        // 0x462e41
                        g6 = &v30;
                        g8 = v8;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462e52;
                        function_469f40();
                        v41 = v31;
                        if (*(char *)((int32_t)v2 + 1) == 0) {
                            // 0x462e5b
                            g8 = v4 + 0x18d0;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x462e6c;
                            function_469c8c();
                            v37 = g3;
                            g6 = g6 & -256 | v37;
                            g8 = g8 & -256 | v37;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x462e80;
                            function_46ad58();
                            v41 = v37;
                            // branch -> 0x462e80
                        }
                        // 0x462e80
                        g8 = 1;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462e90;
                        function_46bac4();
                        g8 = v8;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462ea1;
                        function_46a30c();
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462ea9;
                        function_469fd8();
                        v38 = g3;
                        v7 = 5;
                        g8 = v8;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462ec7;
                        function_46b614();
                        g8 = v38;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462ed2;
                        function_46a0a0();
                        g8 = g8 & -256 | 15;
                        v15 = (int32_t *)(v4 + 8);
                        g3 = *v15;
                        v16 = (int32_t *)(g11 - 4);
                        if (*(char *)((int32_t)v2 + 1) == 0) {
                            // 0x462edf
                            *v16 = 0x462eec;
                            function_462278();
                            if (*v13 == 11) {
                                // 0x462ef5
                                g8 = g8 & -256 | 148;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f02;
                                function_462278();
                                // branch -> 0x462f02
                            }
                            // 0x462f02
                            if (*v13 == 12) {
                                // 0x462f0b
                                g8 = g8 & -256 | 149;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f18;
                                function_462278();
                                // branch -> 0x462f18
                            }
                            // 0x462f18
                            if (*v13 == 13) {
                                // 0x462f21
                                g8 = g8 & -256 | 146;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f2e;
                                function_462278();
                                // branch -> 0x462f2e
                            }
                            // 0x462f2e
                            if (*v13 == 14) {
                                // 0x462f37
                                g8 = g8 & -256 | 151;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f44;
                                function_462278();
                                // branch -> 0x462f44
                            }
                            // 0x462f44
                            if (*v13 == 15) {
                                // 0x462f4d
                                g8 = g8 & -256 | 147;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f5a;
                                function_462278();
                                // branch -> 0x462f5a
                            }
                            // 0x462f5a
                            if (*v13 == 16) {
                                // 0x462f63
                                g8 = g8 & -256 | 150;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f70;
                                function_462278();
                                // branch -> 0x462f70
                            }
                            // 0x462f70
                            g8 = v41 | g8 & -256 | 192;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f81;
                            function_462278();
                            // branch -> 0x46304f
                        } else {
                            // 0x462f86
                            *v16 = 0x462f93;
                            function_462278();
                            if (*v13 == 11) {
                                // 0x462f9c
                                g8 = g8 & -256 | 133;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462fa9;
                                function_462278();
                                // branch -> 0x462fa9
                            }
                            // 0x462fa9
                            if (*v13 == 12) {
                                // 0x462fb2
                                g8 = g8 & -256 | 132;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462fbf;
                                function_462278();
                                // branch -> 0x462fbf
                            }
                            // 0x462fbf
                            if (*v13 == 13) {
                                // 0x462fc8
                                g8 = g8 & -256 | 131;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462fd5;
                                function_462278();
                                // branch -> 0x462fd5
                            }
                            // 0x462fd5
                            if (*v13 == 14) {
                                // 0x462fde
                                g8 = g8 & -256 | 134;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462feb;
                                function_462278();
                                // branch -> 0x462feb
                            }
                            // 0x462feb
                            if (*v13 == 15) {
                                // 0x462ff4
                                g8 = g8 & -256 | 135;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x463001;
                                function_462278();
                                // branch -> 0x463001
                            }
                            // 0x463001
                            if (*v13 == 16) {
                                // 0x46300a
                                g8 = g8 & -256 | 130;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x463017;
                                function_462278();
                                // branch -> 0x463017
                            }
                            // 0x463017
                            v36 = g11;
                            *(int32_t *)(v36 - 4) = 1;
                            *(int32_t *)(v36 - 8) = 0;
                            *(int32_t *)(v36 - 12) = 0;
                            *(int32_t *)(v36 - 16) = v2->e2;
                            v23 = v36 - 20;
                            *(int32_t *)v23 = v2->e3;
                            g11 = v23;
                            g6 = v2->e1;
                            g8 = *(int32_t *)(*v15 + 8);
                            g3 = *(int32_t *)(v4 + 12);
                            *(int32_t *)(v36 - 24) = 0x463045;
                            function_461c30();
                            v17 = (int32_t *)(*v15 + 8);
                            *v17 = *v17 + 4;
                            // branch -> 0x46304f
                        }
                        // 0x46304f
                        g8 = (int32_t)v25;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x46305d;
                        function_46a30c();
                        v40 = v25;
                        v39 = (int32_t)v40;
                        if (*(char *)((int32_t)v2 + 1) == 0) {
                            // 0x463066
                            v40->e0 = v41;
                            // branch -> 0x4632f1
                        } else {
                            // 0x463073
                            *(char *)(v39 + 21) = 1;
                            // branch -> 0x4632f1
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // 0x462e41
                    g6 = &v30;
                    g8 = v8;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e52;
                    function_469f40();
                    v41 = v31;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462e5b
                        g8 = v4 + 0x18d0;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462e6c;
                        function_469c8c();
                        v37 = g3;
                        g6 = g6 & -256 | v37;
                        g8 = g8 & -256 | v37;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462e80;
                        function_46ad58();
                        v41 = v37;
                        // branch -> 0x462e80
                    }
                    // 0x462e80
                    g8 = 1;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e90;
                    function_46bac4();
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ea1;
                    function_46a30c();
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ea9;
                    function_469fd8();
                    v38 = g3;
                    v7 = 5;
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ec7;
                    function_46b614();
                    g8 = v38;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ed2;
                    function_46a0a0();
                    g8 = g8 & -256 | 15;
                    v15 = (int32_t *)(v4 + 8);
                    g3 = *v15;
                    v16 = (int32_t *)(g11 - 4);
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462edf
                        *v16 = 0x462eec;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462ef5
                            g8 = g8 & -256 | 148;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f02;
                            function_462278();
                            // branch -> 0x462f02
                        }
                        // 0x462f02
                        if (*v13 == 12) {
                            // 0x462f0b
                            g8 = g8 & -256 | 149;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f18;
                            function_462278();
                            // branch -> 0x462f18
                        }
                        // 0x462f18
                        if (*v13 == 13) {
                            // 0x462f21
                            g8 = g8 & -256 | 146;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f2e;
                            function_462278();
                            // branch -> 0x462f2e
                        }
                        // 0x462f2e
                        if (*v13 == 14) {
                            // 0x462f37
                            g8 = g8 & -256 | 151;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f44;
                            function_462278();
                            // branch -> 0x462f44
                        }
                        // 0x462f44
                        if (*v13 == 15) {
                            // 0x462f4d
                            g8 = g8 & -256 | 147;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f5a;
                            function_462278();
                            // branch -> 0x462f5a
                        }
                        // 0x462f5a
                        if (*v13 == 16) {
                            // 0x462f63
                            g8 = g8 & -256 | 150;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f70;
                            function_462278();
                            // branch -> 0x462f70
                        }
                        // 0x462f70
                        g8 = v41 | g8 & -256 | 192;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f81;
                        function_462278();
                        // branch -> 0x46304f
                    } else {
                        // 0x462f86
                        *v16 = 0x462f93;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462f9c
                            g8 = g8 & -256 | 133;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fa9;
                            function_462278();
                            // branch -> 0x462fa9
                        }
                        // 0x462fa9
                        if (*v13 == 12) {
                            // 0x462fb2
                            g8 = g8 & -256 | 132;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fbf;
                            function_462278();
                            // branch -> 0x462fbf
                        }
                        // 0x462fbf
                        if (*v13 == 13) {
                            // 0x462fc8
                            g8 = g8 & -256 | 131;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fd5;
                            function_462278();
                            // branch -> 0x462fd5
                        }
                        // 0x462fd5
                        if (*v13 == 14) {
                            // 0x462fde
                            g8 = g8 & -256 | 134;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462feb;
                            function_462278();
                            // branch -> 0x462feb
                        }
                        // 0x462feb
                        if (*v13 == 15) {
                            // 0x462ff4
                            g8 = g8 & -256 | 135;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463001;
                            function_462278();
                            // branch -> 0x463001
                        }
                        // 0x463001
                        if (*v13 == 16) {
                            // 0x46300a
                            g8 = g8 & -256 | 130;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463017;
                            function_462278();
                            // branch -> 0x463017
                        }
                        // 0x463017
                        v36 = g11;
                        *(int32_t *)(v36 - 4) = 1;
                        *(int32_t *)(v36 - 8) = 0;
                        *(int32_t *)(v36 - 12) = 0;
                        *(int32_t *)(v36 - 16) = v2->e2;
                        v23 = v36 - 20;
                        *(int32_t *)v23 = v2->e3;
                        g11 = v23;
                        g6 = v2->e1;
                        g8 = *(int32_t *)(*v15 + 8);
                        g3 = *(int32_t *)(v4 + 12);
                        *(int32_t *)(v36 - 24) = 0x463045;
                        function_461c30();
                        v17 = (int32_t *)(*v15 + 8);
                        *v17 = *v17 + 4;
                        // branch -> 0x46304f
                    }
                    // 0x46304f
                    g8 = (int32_t)v25;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x46305d;
                    function_46a30c();
                    v40 = v25;
                    v39 = (int32_t)v40;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x463066
                        v40->e0 = v41;
                        // branch -> 0x4632f1
                    } else {
                        // 0x463073
                        *(char *)(v39 + 21) = 1;
                        // branch -> 0x4632f1
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // 0x462d71
            v13 = (char *)(v3 + 13);
            g3 = (int32_t)*v13 | v3 & -256;
            function_459d30();
            if (g3 == 0) {
                // 0x46307f
                v11 = 0;
                g8 = *(int32_t *)(v3 + 8);
                g3 = v4;
                function_46816c();
                g3 = v4;
                function_462748();
                v42 = v27;
                if (v29 != 0) {
                    // 0x4630be
                    v24 = v28;
                    if (v27 == 8) {
                        // 0x4630c4
                        g11 = (int32_t)&v32;
                        v32 = (int32_t *)(int32_t)(float32_t)(1.52587890625e-5 * v24);
                        g3 = *(int32_t *)(v4 + 16);
                        System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                        function_463ffc();
                        v42 = 3;
                        // branch -> 0x46311a
                    } else {
                        // 0x4630ef
                        g11 = (int32_t)&v32;
                        v32 = (int32_t *)(int32_t)(float32_t)v24;
                        g3 = *(int32_t *)(v4 + 16);
                        System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                        function_463ffc();
                        v42 = 3;
                        // branch -> 0x46311a
                    }
                    // 0x46311a
                    if (v42 == 8) {
                        // 0x463120
                        g8 = 3;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463130;
                        function_463360();
                        // branch -> 0x463130
                    }
                    // 0x463130
                    if (*v13 == 0) {
                        // 0x463139
                        g8 = v8;
                        g3 = *v12;
                        v18 = (int32_t *)(g11 - 4);
                        if (v42 == 3) {
                            // 0x46313f
                            *v18 = 0x463150;
                            function_46b704();
                            // branch -> 0x463208
                        } else {
                            // 0x463155
                            *v18 = 0x463166;
                            function_46b77c();
                            // branch -> 0x463208
                        }
                        // 0x463208
                        g8 = v8;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463219;
                        function_469f40();
                        g8 = (int32_t)v25;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x463227;
                        function_46a30c();
                        v50 = v25;
                        v49 = (int32_t)v50;
                        if (v2->e0 == 0) {
                            // 0x463242
                            v50->e0 = 5;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463253;
                            function_469fd8();
                            *(int32_t *)((int32_t)v25 + 16) = g3;
                            v45 = (char *)((int32_t)v2 + 28);
                            if (*v45 == 3) {
                                // 0x463262
                                *(char *)((int32_t)v25 + 32) = 3;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x463277;
                                function_46b614();
                                // branch -> 0x4632f1
                            } else {
                                // 0x463279
                                v46 = (char *)((int32_t)v25 + 32);
                                if (*v45 == 8) {
                                    // 0x463282
                                    *v46 = 8;
                                    g8 = v10;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x46329a;
                                    function_46a30c();
                                    v48 = g11;
                                    v47 = v48 - 4;
                                    *(int32_t *)v47 = 0x47800000;
                                    g11 = v47;
                                    g3 = *(int32_t *)(v4 + 16);
                                    *(int32_t *)(v48 - 8) = 0x4632b0;
                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                    *(int32_t *)(g11 - 4) = 0x4632b5;
                                    function_463ffc();
                                    g8 = v10;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632cc;
                                    function_46b8e4();
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632da;
                                    function_46b68c();
                                    // branch -> 0x4632f1
                                } else {
                                    // 0x4632dc
                                    *v46 = 0;
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632f1;
                                    function_46b68c();
                                    // branch -> 0x4632f1
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x46322f
                            *(char *)(v49 + 32) = 3;
                            *(char *)((int32_t)v25 + 33) = 1;
                            // branch -> 0x4632f1
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x46316b
                        if (*v13 == 1) {
                            // 0x463174
                            g8 = v8;
                            g3 = *v12;
                            v19 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x46317a
                                *v19 = 0x46318b;
                                function_46b7f4();
                                // branch -> 0x463208
                            } else {
                                // 0x46318d
                                *v19 = 0x46319e;
                                function_46b86c();
                                // branch -> 0x463208
                            }
                            // 0x463208
                            g8 = v8;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463219;
                            function_469f40();
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463227;
                            function_46a30c();
                            v50 = v25;
                            v49 = (int32_t)v50;
                            if (v2->e0 == 0) {
                                // 0x463242
                                v50->e0 = 5;
                                g3 = v4;
                                *(int32_t *)(g11 - 4) = 0x463253;
                                function_469fd8();
                                *(int32_t *)((int32_t)v25 + 16) = g3;
                                v45 = (char *)((int32_t)v2 + 28);
                                if (*v45 == 3) {
                                    // 0x463262
                                    *(char *)((int32_t)v25 + 32) = 3;
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x463277;
                                    function_46b614();
                                    // branch -> 0x4632f1
                                } else {
                                    // 0x463279
                                    v46 = (char *)((int32_t)v25 + 32);
                                    if (*v45 == 8) {
                                        // 0x463282
                                        *v46 = 8;
                                        g8 = v10;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x46329a;
                                        function_46a30c();
                                        v48 = g11;
                                        v47 = v48 - 4;
                                        *(int32_t *)v47 = 0x47800000;
                                        g11 = v47;
                                        g3 = *(int32_t *)(v4 + 16);
                                        *(int32_t *)(v48 - 8) = 0x4632b0;
                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                        *(int32_t *)(g11 - 4) = 0x4632b5;
                                        function_463ffc();
                                        g8 = v10;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x4632cc;
                                        function_46b8e4();
                                        g8 = (int32_t)v25;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x4632da;
                                        function_46b68c();
                                        // branch -> 0x4632f1
                                    } else {
                                        // 0x4632dc
                                        *v46 = 0;
                                        g8 = (int32_t)v25;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x4632f1;
                                        function_46b68c();
                                        // branch -> 0x4632f1
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            } else {
                                // 0x46322f
                                *(char *)(v49 + 32) = 3;
                                *(char *)((int32_t)v25 + 33) = 1;
                                // branch -> 0x4632f1
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x4631a0
                            if (*v13 == 3) {
                                // 0x4631a9
                                g8 = v8;
                                g3 = *v12;
                                v20 = (int32_t *)(g11 - 4);
                                if (v42 == 3) {
                                    // 0x4631af
                                    *v20 = 0x4631c0;
                                    function_46b8e4();
                                    // branch -> 0x463208
                                } else {
                                    // 0x4631c2
                                    *v20 = 0x4631d3;
                                    function_46b95c();
                                    // branch -> 0x463208
                                }
                                // 0x463208
                                g8 = v8;
                                g3 = v4;
                                *(int32_t *)(g11 - 4) = 0x463219;
                                function_469f40();
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x463227;
                                function_46a30c();
                                v50 = v25;
                                v49 = (int32_t)v50;
                                if (v2->e0 == 0) {
                                    // 0x463242
                                    v50->e0 = 5;
                                    g3 = v4;
                                    *(int32_t *)(g11 - 4) = 0x463253;
                                    function_469fd8();
                                    *(int32_t *)((int32_t)v25 + 16) = g3;
                                    v45 = (char *)((int32_t)v2 + 28);
                                    if (*v45 == 3) {
                                        // 0x463262
                                        *(char *)((int32_t)v25 + 32) = 3;
                                        g8 = (int32_t)v25;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x463277;
                                        function_46b614();
                                        // branch -> 0x4632f1
                                    } else {
                                        // 0x463279
                                        v46 = (char *)((int32_t)v25 + 32);
                                        if (*v45 == 8) {
                                            // 0x463282
                                            *v46 = 8;
                                            g8 = v10;
                                            g3 = *v12;
                                            *(int32_t *)(g11 - 4) = 0x46329a;
                                            function_46a30c();
                                            v48 = g11;
                                            v47 = v48 - 4;
                                            *(int32_t *)v47 = 0x47800000;
                                            g11 = v47;
                                            g3 = *(int32_t *)(v4 + 16);
                                            *(int32_t *)(v48 - 8) = 0x4632b0;
                                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                            *(int32_t *)(g11 - 4) = 0x4632b5;
                                            function_463ffc();
                                            g8 = v10;
                                            g3 = *v12;
                                            *(int32_t *)(g11 - 4) = 0x4632cc;
                                            function_46b8e4();
                                            g8 = (int32_t)v25;
                                            g3 = *v12;
                                            *(int32_t *)(g11 - 4) = 0x4632da;
                                            function_46b68c();
                                            // branch -> 0x4632f1
                                        } else {
                                            // 0x4632dc
                                            *v46 = 0;
                                            g8 = (int32_t)v25;
                                            g3 = *v12;
                                            *(int32_t *)(g11 - 4) = 0x4632f1;
                                            function_46b68c();
                                            // branch -> 0x4632f1
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                } else {
                                    // 0x46322f
                                    *(char *)(v49 + 32) = 3;
                                    *(char *)((int32_t)v25 + 33) = 1;
                                    // branch -> 0x4632f1
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            } else {
                                // 0x4631d5
                                if (*v13 == 4) {
                                    // 0x4631de
                                    g8 = v8;
                                    g3 = *v12;
                                    v21 = (int32_t *)(g11 - 4);
                                    if (v42 == 3) {
                                        // 0x4631e4
                                        *v21 = 0x4631f5;
                                        function_46b9d4();
                                        // branch -> 0x463208
                                    } else {
                                        // 0x4631f7
                                        *v21 = 0x463208;
                                        function_46ba4c();
                                        // branch -> 0x463208
                                    }
                                    // 0x463208
                                    g8 = v8;
                                    g3 = v4;
                                    *(int32_t *)(g11 - 4) = 0x463219;
                                    function_469f40();
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x463227;
                                    function_46a30c();
                                    v50 = v25;
                                    v49 = (int32_t)v50;
                                    if (v2->e0 == 0) {
                                        // 0x463242
                                        v50->e0 = 5;
                                        g3 = v4;
                                        *(int32_t *)(g11 - 4) = 0x463253;
                                        function_469fd8();
                                        *(int32_t *)((int32_t)v25 + 16) = g3;
                                        v45 = (char *)((int32_t)v2 + 28);
                                        if (*v45 == 3) {
                                            // 0x463262
                                            *(char *)((int32_t)v25 + 32) = 3;
                                            g8 = (int32_t)v25;
                                            g3 = *v12;
                                            *(int32_t *)(g11 - 4) = 0x463277;
                                            function_46b614();
                                            // branch -> 0x4632f1
                                        } else {
                                            // 0x463279
                                            v46 = (char *)((int32_t)v25 + 32);
                                            if (*v45 == 8) {
                                                // 0x463282
                                                *v46 = 8;
                                                g8 = v10;
                                                g3 = *v12;
                                                *(int32_t *)(g11 - 4) = 0x46329a;
                                                function_46a30c();
                                                v48 = g11;
                                                v47 = v48 - 4;
                                                *(int32_t *)v47 = 0x47800000;
                                                g11 = v47;
                                                g3 = *(int32_t *)(v4 + 16);
                                                *(int32_t *)(v48 - 8) = 0x4632b0;
                                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                *(int32_t *)(g11 - 4) = 0x4632b5;
                                                function_463ffc();
                                                g8 = v10;
                                                g3 = *v12;
                                                *(int32_t *)(g11 - 4) = 0x4632cc;
                                                function_46b8e4();
                                                g8 = (int32_t)v25;
                                                g3 = *v12;
                                                *(int32_t *)(g11 - 4) = 0x4632da;
                                                function_46b68c();
                                                // branch -> 0x4632f1
                                            } else {
                                                // 0x4632dc
                                                *v46 = 0;
                                                g8 = (int32_t)v25;
                                                g3 = *v12;
                                                *(int32_t *)(g11 - 4) = 0x4632f1;
                                                function_46b68c();
                                                // branch -> 0x4632f1
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    } else {
                                        // 0x46322f
                                        *(char *)(v49 + 32) = 3;
                                        *(char *)((int32_t)v25 + 33) = 1;
                                        // branch -> 0x4632f1
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                            }
                            // 0x463208
                            g8 = v8;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463219;
                            function_469f40();
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463227;
                            function_46a30c();
                            v50 = v25;
                            v49 = (int32_t)v50;
                            if (v2->e0 == 0) {
                                // 0x463242
                                v50->e0 = 5;
                                g3 = v4;
                                *(int32_t *)(g11 - 4) = 0x463253;
                                function_469fd8();
                                *(int32_t *)((int32_t)v25 + 16) = g3;
                                v45 = (char *)((int32_t)v2 + 28);
                                if (*v45 == 3) {
                                    // 0x463262
                                    *(char *)((int32_t)v25 + 32) = 3;
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x463277;
                                    function_46b614();
                                    // branch -> 0x4632f1
                                } else {
                                    // 0x463279
                                    v46 = (char *)((int32_t)v25 + 32);
                                    if (*v45 == 8) {
                                        // 0x463282
                                        *v46 = 8;
                                        g8 = v10;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x46329a;
                                        function_46a30c();
                                        v48 = g11;
                                        v47 = v48 - 4;
                                        *(int32_t *)v47 = 0x47800000;
                                        g11 = v47;
                                        g3 = *(int32_t *)(v4 + 16);
                                        *(int32_t *)(v48 - 8) = 0x4632b0;
                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                        *(int32_t *)(g11 - 4) = 0x4632b5;
                                        function_463ffc();
                                        g8 = v10;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x4632cc;
                                        function_46b8e4();
                                        g8 = (int32_t)v25;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x4632da;
                                        function_46b68c();
                                        // branch -> 0x4632f1
                                    } else {
                                        // 0x4632dc
                                        *v46 = 0;
                                        g8 = (int32_t)v25;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x4632f1;
                                        function_46b68c();
                                        // branch -> 0x4632f1
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            } else {
                                // 0x46322f
                                *(char *)(v49 + 32) = 3;
                                *(char *)((int32_t)v25 + 33) = 1;
                                // branch -> 0x4632f1
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // 0x463208
                        g8 = v8;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463219;
                        function_469f40();
                        g8 = (int32_t)v25;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x463227;
                        function_46a30c();
                        v50 = v25;
                        v49 = (int32_t)v50;
                        if (v2->e0 == 0) {
                            // 0x463242
                            v50->e0 = 5;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463253;
                            function_469fd8();
                            *(int32_t *)((int32_t)v25 + 16) = g3;
                            v45 = (char *)((int32_t)v2 + 28);
                            if (*v45 == 3) {
                                // 0x463262
                                *(char *)((int32_t)v25 + 32) = 3;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x463277;
                                function_46b614();
                                // branch -> 0x4632f1
                            } else {
                                // 0x463279
                                v46 = (char *)((int32_t)v25 + 32);
                                if (*v45 == 8) {
                                    // 0x463282
                                    *v46 = 8;
                                    g8 = v10;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x46329a;
                                    function_46a30c();
                                    v48 = g11;
                                    v47 = v48 - 4;
                                    *(int32_t *)v47 = 0x47800000;
                                    g11 = v47;
                                    g3 = *(int32_t *)(v4 + 16);
                                    *(int32_t *)(v48 - 8) = 0x4632b0;
                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                    *(int32_t *)(g11 - 4) = 0x4632b5;
                                    function_463ffc();
                                    g8 = v10;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632cc;
                                    function_46b8e4();
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632da;
                                    function_46b68c();
                                    // branch -> 0x4632f1
                                } else {
                                    // 0x4632dc
                                    *v46 = 0;
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632f1;
                                    function_46b68c();
                                    // branch -> 0x4632f1
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x46322f
                            *(char *)(v49 + 32) = 3;
                            *(char *)((int32_t)v25 + 33) = 1;
                            // branch -> 0x4632f1
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // 0x463208
                    g8 = v8;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x463219;
                    function_469f40();
                    g8 = (int32_t)v25;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x463227;
                    function_46a30c();
                    v50 = v25;
                    v49 = (int32_t)v50;
                    if (v2->e0 == 0) {
                        // 0x463242
                        v50->e0 = 5;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463253;
                        function_469fd8();
                        *(int32_t *)((int32_t)v25 + 16) = g3;
                        v45 = (char *)((int32_t)v2 + 28);
                        if (*v45 == 3) {
                            // 0x463262
                            *(char *)((int32_t)v25 + 32) = 3;
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463277;
                            function_46b614();
                            // branch -> 0x4632f1
                        } else {
                            // 0x463279
                            v46 = (char *)((int32_t)v25 + 32);
                            if (*v45 == 8) {
                                // 0x463282
                                *v46 = 8;
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x46329a;
                                function_46a30c();
                                v48 = g11;
                                v47 = v48 - 4;
                                *(int32_t *)v47 = 0x47800000;
                                g11 = v47;
                                g3 = *(int32_t *)(v4 + 16);
                                *(int32_t *)(v48 - 8) = 0x4632b0;
                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                *(int32_t *)(g11 - 4) = 0x4632b5;
                                function_463ffc();
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632cc;
                                function_46b8e4();
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632da;
                                function_46b68c();
                                // branch -> 0x4632f1
                            } else {
                                // 0x4632dc
                                *v46 = 0;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632f1;
                                function_46b68c();
                                // branch -> 0x4632f1
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x46322f
                        *(char *)(v49 + 32) = 3;
                        *(char *)((int32_t)v25 + 33) = 1;
                        // branch -> 0x4632f1
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // 0x46311a
                if (v42 == 8) {
                    // 0x463120
                    g8 = 3;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x463130;
                    function_463360();
                    // branch -> 0x463130
                }
                // 0x463130
                if (*v13 == 0) {
                    // 0x463139
                    g8 = v8;
                    g3 = *v12;
                    v18 = (int32_t *)(g11 - 4);
                    if (v42 == 3) {
                        // 0x46313f
                        *v18 = 0x463150;
                        function_46b704();
                        // branch -> 0x463208
                    } else {
                        // 0x463155
                        *v18 = 0x463166;
                        function_46b77c();
                        // branch -> 0x463208
                    }
                    // 0x463208
                    g8 = v8;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x463219;
                    function_469f40();
                    g8 = (int32_t)v25;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x463227;
                    function_46a30c();
                    v50 = v25;
                    if (v2->e0 == 0) {
                        // 0x463242
                        v50->e0 = 5;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463253;
                        function_469fd8();
                        *(int32_t *)((int32_t)v25 + 16) = g3;
                        v45 = (char *)((int32_t)v2 + 28);
                        if (*v45 == 3) {
                            // 0x463262
                            *(char *)((int32_t)v25 + 32) = 3;
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463277;
                            function_46b614();
                            // branch -> 0x4632f1
                        } else {
                            // 0x463279
                            v46 = (char *)((int32_t)v25 + 32);
                            if (*v45 == 8) {
                                // 0x463282
                                *v46 = 8;
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x46329a;
                                function_46a30c();
                                v48 = g11;
                                v47 = v48 - 4;
                                *(int32_t *)v47 = 0x47800000;
                                g11 = v47;
                                g3 = *(int32_t *)(v4 + 16);
                                *(int32_t *)(v48 - 8) = 0x4632b0;
                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                *(int32_t *)(g11 - 4) = 0x4632b5;
                                function_463ffc();
                                g8 = v10;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632cc;
                                function_46b8e4();
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632da;
                                function_46b68c();
                                // branch -> 0x4632f1
                            } else {
                                // 0x4632dc
                                *v46 = 0;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x4632f1;
                                function_46b68c();
                                // branch -> 0x4632f1
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x46322f
                        *(char *)((int32_t)v50 + 32) = 3;
                        *(char *)((int32_t)v25 + 33) = 1;
                        // branch -> 0x4632f1
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                } else {
                    // 0x46316b
                    if (*v13 == 1) {
                        // 0x463174
                        g8 = v8;
                        g3 = *v12;
                        v19 = (int32_t *)(g11 - 4);
                        if (v42 == 3) {
                            // 0x46317a
                            *v19 = 0x46318b;
                            function_46b7f4();
                            // branch -> 0x463208
                        } else {
                            // 0x46318d
                            *v19 = 0x46319e;
                            function_46b86c();
                            // branch -> 0x463208
                        }
                        // 0x463208
                        g8 = v8;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463219;
                        function_469f40();
                        g8 = (int32_t)v25;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x463227;
                        function_46a30c();
                        v50 = v25;
                        if (v2->e0 == 0) {
                            // 0x463242
                            v50->e0 = 5;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463253;
                            function_469fd8();
                            *(int32_t *)((int32_t)v25 + 16) = g3;
                            v45 = (char *)((int32_t)v2 + 28);
                            if (*v45 == 3) {
                                // 0x463262
                                *(char *)((int32_t)v25 + 32) = 3;
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x463277;
                                function_46b614();
                                // branch -> 0x4632f1
                            } else {
                                // 0x463279
                                v46 = (char *)((int32_t)v25 + 32);
                                if (*v45 == 8) {
                                    // 0x463282
                                    *v46 = 8;
                                    g8 = v10;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x46329a;
                                    function_46a30c();
                                    v48 = g11;
                                    v47 = v48 - 4;
                                    *(int32_t *)v47 = 0x47800000;
                                    g11 = v47;
                                    g3 = *(int32_t *)(v4 + 16);
                                    *(int32_t *)(v48 - 8) = 0x4632b0;
                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                    *(int32_t *)(g11 - 4) = 0x4632b5;
                                    function_463ffc();
                                    g8 = v10;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632cc;
                                    function_46b8e4();
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632da;
                                    function_46b68c();
                                    // branch -> 0x4632f1
                                } else {
                                    // 0x4632dc
                                    *v46 = 0;
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x4632f1;
                                    function_46b68c();
                                    // branch -> 0x4632f1
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x46322f
                            *(char *)((int32_t)v50 + 32) = 3;
                            *(char *)((int32_t)v25 + 33) = 1;
                            // branch -> 0x4632f1
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x4631a0
                        if (*v13 == 3) {
                            // 0x4631a9
                            g8 = v8;
                            g3 = *v12;
                            v20 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x4631af
                                *v20 = 0x4631c0;
                                function_46b8e4();
                                // branch -> 0x463208
                            } else {
                                // 0x4631c2
                                *v20 = 0x4631d3;
                                function_46b95c();
                                // branch -> 0x463208
                            }
                            // 0x463208
                            g8 = v8;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x463219;
                            function_469f40();
                            g8 = (int32_t)v25;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x463227;
                            function_46a30c();
                            v50 = v25;
                            if (v2->e0 == 0) {
                                // 0x463242
                                v50->e0 = 5;
                                g3 = v4;
                                *(int32_t *)(g11 - 4) = 0x463253;
                                function_469fd8();
                                *(int32_t *)((int32_t)v25 + 16) = g3;
                                v45 = (char *)((int32_t)v2 + 28);
                                if (*v45 == 3) {
                                    // 0x463262
                                    *(char *)((int32_t)v25 + 32) = 3;
                                    g8 = (int32_t)v25;
                                    g3 = *v12;
                                    *(int32_t *)(g11 - 4) = 0x463277;
                                    function_46b614();
                                    // branch -> 0x4632f1
                                } else {
                                    // 0x463279
                                    v46 = (char *)((int32_t)v25 + 32);
                                    if (*v45 == 8) {
                                        // 0x463282
                                        *v46 = 8;
                                        g8 = v10;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x46329a;
                                        function_46a30c();
                                        v48 = g11;
                                        v47 = v48 - 4;
                                        *(int32_t *)v47 = 0x47800000;
                                        g11 = v47;
                                        g3 = *(int32_t *)(v4 + 16);
                                        *(int32_t *)(v48 - 8) = 0x4632b0;
                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                        *(int32_t *)(g11 - 4) = 0x4632b5;
                                        function_463ffc();
                                        g8 = v10;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x4632cc;
                                        function_46b8e4();
                                        g8 = (int32_t)v25;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x4632da;
                                        function_46b68c();
                                        // branch -> 0x4632f1
                                    } else {
                                        // 0x4632dc
                                        *v46 = 0;
                                        g8 = (int32_t)v25;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x4632f1;
                                        function_46b68c();
                                        // branch -> 0x4632f1
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            } else {
                                // 0x46322f
                                *(char *)((int32_t)v50 + 32) = 3;
                                *(char *)((int32_t)v25 + 33) = 1;
                                // branch -> 0x4632f1
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x4631d5
                            if (*v13 == 4) {
                                // 0x4631de
                                g8 = v8;
                                g3 = *v12;
                                v21 = (int32_t *)(g11 - 4);
                                if (v42 == 3) {
                                    // 0x4631e4
                                    *v21 = 0x4631f5;
                                    function_46b9d4();
                                    // branch -> 0x463208
                                } else {
                                    // 0x4631f7
                                    *v21 = 0x463208;
                                    function_46ba4c();
                                    // branch -> 0x463208
                                }
                                // 0x463208
                                g8 = v8;
                                g3 = v4;
                                *(int32_t *)(g11 - 4) = 0x463219;
                                function_469f40();
                                g8 = (int32_t)v25;
                                g3 = *v12;
                                *(int32_t *)(g11 - 4) = 0x463227;
                                function_46a30c();
                                v50 = v25;
                                if (v2->e0 == 0) {
                                    // 0x463242
                                    v50->e0 = 5;
                                    g3 = v4;
                                    *(int32_t *)(g11 - 4) = 0x463253;
                                    function_469fd8();
                                    *(int32_t *)((int32_t)v25 + 16) = g3;
                                    v45 = (char *)((int32_t)v2 + 28);
                                    if (*v45 == 3) {
                                        // 0x463262
                                        *(char *)((int32_t)v25 + 32) = 3;
                                        g8 = (int32_t)v25;
                                        g3 = *v12;
                                        *(int32_t *)(g11 - 4) = 0x463277;
                                        function_46b614();
                                        // branch -> 0x4632f1
                                    } else {
                                        // 0x463279
                                        v46 = (char *)((int32_t)v25 + 32);
                                        if (*v45 == 8) {
                                            // 0x463282
                                            *v46 = 8;
                                            g8 = v10;
                                            g3 = *v12;
                                            *(int32_t *)(g11 - 4) = 0x46329a;
                                            function_46a30c();
                                            v48 = g11;
                                            v47 = v48 - 4;
                                            *(int32_t *)v47 = 0x47800000;
                                            g11 = v47;
                                            g3 = *(int32_t *)(v4 + 16);
                                            *(int32_t *)(v48 - 8) = 0x4632b0;
                                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                            *(int32_t *)(g11 - 4) = 0x4632b5;
                                            function_463ffc();
                                            g8 = v10;
                                            g3 = *v12;
                                            *(int32_t *)(g11 - 4) = 0x4632cc;
                                            function_46b8e4();
                                            g8 = (int32_t)v25;
                                            g3 = *v12;
                                            *(int32_t *)(g11 - 4) = 0x4632da;
                                            function_46b68c();
                                            // branch -> 0x4632f1
                                        } else {
                                            // 0x4632dc
                                            *v46 = 0;
                                            g8 = (int32_t)v25;
                                            g3 = *v12;
                                            *(int32_t *)(g11 - 4) = 0x4632f1;
                                            function_46b68c();
                                            // branch -> 0x4632f1
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                } else {
                                    // 0x46322f
                                    *(char *)((int32_t)v50 + 32) = 3;
                                    *(char *)((int32_t)v25 + 33) = 1;
                                    // branch -> 0x4632f1
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            } else {
                // 0x462d84
                g8 = *(int32_t *)(v3 + 8);
                g3 = v4;
                function_46816c();
                g8 = v8;
                g3 = v4;
                function_462748();
                v43 = v27;
                if (v29 != 0) {
                    // 0x462db5
                    v22 = v28;
                    if (v27 == 8) {
                        // 0x462dbb
                        g11 = (int32_t)&v32;
                        v32 = (int32_t *)(int32_t)(float32_t)(1.52587890625e-5 * v22);
                        g3 = *(int32_t *)(v4 + 16);
                        System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                        function_463ffc();
                        v43 = 3;
                        // branch -> 0x462e11
                    } else {
                        // 0x462de6
                        g11 = (int32_t)&v32;
                        v32 = (int32_t *)(int32_t)(float32_t)v22;
                        g3 = *(int32_t *)(v4 + 16);
                        System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                        function_463ffc();
                        v43 = 3;
                        // branch -> 0x462e11
                    }
                    // 0x462e11
                    if (v26 == 0) {
                        // 0x462e17
                        g8 = v8;
                        g3 = *v12;
                        v14 = (int32_t *)(g11 - 4);
                        if (v43 == 3) {
                            // 0x462e1d
                            *v14 = 0x462e2e;
                            function_46b524();
                            // branch -> 0x462e41
                        } else {
                            // 0x462e30
                            *v14 = 0x462e41;
                            function_46b59c();
                            // branch -> 0x462e41
                        }
                        // 0x462e41
                        g6 = &v30;
                        g8 = v8;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462e52;
                        function_469f40();
                        v41 = v31;
                        if (*(char *)((int32_t)v2 + 1) == 0) {
                            // 0x462e5b
                            g8 = v4 + 0x18d0;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x462e6c;
                            function_469c8c();
                            v37 = g3;
                            g6 = g6 & -256 | v37;
                            g8 = g8 & -256 | v37;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x462e80;
                            function_46ad58();
                            v41 = v37;
                            // branch -> 0x462e80
                        }
                        // 0x462e80
                        g8 = 1;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462e90;
                        function_46bac4();
                        g8 = v8;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462ea1;
                        function_46a30c();
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462ea9;
                        function_469fd8();
                        v38 = g3;
                        v7 = 5;
                        g8 = v8;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462ec7;
                        function_46b614();
                        g8 = v38;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462ed2;
                        function_46a0a0();
                        g8 = g8 & -256 | 15;
                        v15 = (int32_t *)(v4 + 8);
                        g3 = *v15;
                        v16 = (int32_t *)(g11 - 4);
                        if (*(char *)((int32_t)v2 + 1) == 0) {
                            // 0x462edf
                            *v16 = 0x462eec;
                            function_462278();
                            if (*v13 == 11) {
                                // 0x462ef5
                                g8 = g8 & -256 | 148;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f02;
                                function_462278();
                                // branch -> 0x462f02
                            }
                            // 0x462f02
                            if (*v13 == 12) {
                                // 0x462f0b
                                g8 = g8 & -256 | 149;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f18;
                                function_462278();
                                // branch -> 0x462f18
                            }
                            // 0x462f18
                            if (*v13 == 13) {
                                // 0x462f21
                                g8 = g8 & -256 | 146;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f2e;
                                function_462278();
                                // branch -> 0x462f2e
                            }
                            // 0x462f2e
                            if (*v13 == 14) {
                                // 0x462f37
                                g8 = g8 & -256 | 151;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f44;
                                function_462278();
                                // branch -> 0x462f44
                            }
                            // 0x462f44
                            if (*v13 == 15) {
                                // 0x462f4d
                                g8 = g8 & -256 | 147;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f5a;
                                function_462278();
                                // branch -> 0x462f5a
                            }
                            // 0x462f5a
                            if (*v13 == 16) {
                                // 0x462f63
                                g8 = g8 & -256 | 150;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f70;
                                function_462278();
                                // branch -> 0x462f70
                            }
                            // 0x462f70
                            g8 = v41 | g8 & -256 | 192;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f81;
                            function_462278();
                            // branch -> 0x46304f
                        } else {
                            // 0x462f86
                            *v16 = 0x462f93;
                            function_462278();
                            if (*v13 == 11) {
                                // 0x462f9c
                                g8 = g8 & -256 | 133;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462fa9;
                                function_462278();
                                // branch -> 0x462fa9
                            }
                            // 0x462fa9
                            if (*v13 == 12) {
                                // 0x462fb2
                                g8 = g8 & -256 | 132;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462fbf;
                                function_462278();
                                // branch -> 0x462fbf
                            }
                            // 0x462fbf
                            if (*v13 == 13) {
                                // 0x462fc8
                                g8 = g8 & -256 | 131;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462fd5;
                                function_462278();
                                // branch -> 0x462fd5
                            }
                            // 0x462fd5
                            if (*v13 == 14) {
                                // 0x462fde
                                g8 = g8 & -256 | 134;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462feb;
                                function_462278();
                                // branch -> 0x462feb
                            }
                            // 0x462feb
                            if (*v13 == 15) {
                                // 0x462ff4
                                g8 = g8 & -256 | 135;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x463001;
                                function_462278();
                                // branch -> 0x463001
                            }
                            // 0x463001
                            if (*v13 == 16) {
                                // 0x46300a
                                g8 = g8 & -256 | 130;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x463017;
                                function_462278();
                                // branch -> 0x463017
                            }
                            // 0x463017
                            v36 = g11;
                            *(int32_t *)(v36 - 4) = 1;
                            *(int32_t *)(v36 - 8) = 0;
                            *(int32_t *)(v36 - 12) = 0;
                            *(int32_t *)(v36 - 16) = v2->e2;
                            v23 = v36 - 20;
                            *(int32_t *)v23 = v2->e3;
                            g11 = v23;
                            g6 = v2->e1;
                            g8 = *(int32_t *)(*v15 + 8);
                            g3 = *(int32_t *)(v4 + 12);
                            *(int32_t *)(v36 - 24) = 0x463045;
                            function_461c30();
                            v17 = (int32_t *)(*v15 + 8);
                            *v17 = *v17 + 4;
                            // branch -> 0x46304f
                        }
                        // 0x46304f
                        g8 = (int32_t)v25;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x46305d;
                        function_46a30c();
                        v40 = v25;
                        v39 = (int32_t)v40;
                        if (*(char *)((int32_t)v2 + 1) == 0) {
                            // 0x463066
                            v40->e0 = v41;
                            // branch -> 0x4632f1
                        } else {
                            // 0x463073
                            *(char *)(v39 + 21) = 1;
                            // branch -> 0x4632f1
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // 0x462e41
                    g6 = &v30;
                    g8 = v8;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e52;
                    function_469f40();
                    v41 = v31;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462e5b
                        g8 = v4 + 0x18d0;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462e6c;
                        function_469c8c();
                        v37 = g3;
                        g6 = g6 & -256 | v37;
                        g8 = g8 & -256 | v37;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462e80;
                        function_46ad58();
                        v41 = v37;
                        // branch -> 0x462e80
                    }
                    // 0x462e80
                    g8 = 1;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e90;
                    function_46bac4();
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ea1;
                    function_46a30c();
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ea9;
                    function_469fd8();
                    v38 = g3;
                    v7 = 5;
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ec7;
                    function_46b614();
                    g8 = v38;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ed2;
                    function_46a0a0();
                    g8 = g8 & -256 | 15;
                    v15 = (int32_t *)(v4 + 8);
                    g3 = *v15;
                    v16 = (int32_t *)(g11 - 4);
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462edf
                        *v16 = 0x462eec;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462ef5
                            g8 = g8 & -256 | 148;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f02;
                            function_462278();
                            // branch -> 0x462f02
                        }
                        // 0x462f02
                        if (*v13 == 12) {
                            // 0x462f0b
                            g8 = g8 & -256 | 149;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f18;
                            function_462278();
                            // branch -> 0x462f18
                        }
                        // 0x462f18
                        if (*v13 == 13) {
                            // 0x462f21
                            g8 = g8 & -256 | 146;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f2e;
                            function_462278();
                            // branch -> 0x462f2e
                        }
                        // 0x462f2e
                        if (*v13 == 14) {
                            // 0x462f37
                            g8 = g8 & -256 | 151;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f44;
                            function_462278();
                            // branch -> 0x462f44
                        }
                        // 0x462f44
                        if (*v13 == 15) {
                            // 0x462f4d
                            g8 = g8 & -256 | 147;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f5a;
                            function_462278();
                            // branch -> 0x462f5a
                        }
                        // 0x462f5a
                        if (*v13 == 16) {
                            // 0x462f63
                            g8 = g8 & -256 | 150;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f70;
                            function_462278();
                            // branch -> 0x462f70
                        }
                        // 0x462f70
                        g8 = v41 | g8 & -256 | 192;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f81;
                        function_462278();
                        // branch -> 0x46304f
                    } else {
                        // 0x462f86
                        *v16 = 0x462f93;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462f9c
                            g8 = g8 & -256 | 133;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fa9;
                            function_462278();
                            // branch -> 0x462fa9
                        }
                        // 0x462fa9
                        if (*v13 == 12) {
                            // 0x462fb2
                            g8 = g8 & -256 | 132;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fbf;
                            function_462278();
                            // branch -> 0x462fbf
                        }
                        // 0x462fbf
                        if (*v13 == 13) {
                            // 0x462fc8
                            g8 = g8 & -256 | 131;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fd5;
                            function_462278();
                            // branch -> 0x462fd5
                        }
                        // 0x462fd5
                        if (*v13 == 14) {
                            // 0x462fde
                            g8 = g8 & -256 | 134;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462feb;
                            function_462278();
                            // branch -> 0x462feb
                        }
                        // 0x462feb
                        if (*v13 == 15) {
                            // 0x462ff4
                            g8 = g8 & -256 | 135;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463001;
                            function_462278();
                            // branch -> 0x463001
                        }
                        // 0x463001
                        if (*v13 == 16) {
                            // 0x46300a
                            g8 = g8 & -256 | 130;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463017;
                            function_462278();
                            // branch -> 0x463017
                        }
                        // 0x463017
                        v36 = g11;
                        *(int32_t *)(v36 - 4) = 1;
                        *(int32_t *)(v36 - 8) = 0;
                        *(int32_t *)(v36 - 12) = 0;
                        *(int32_t *)(v36 - 16) = v2->e2;
                        v23 = v36 - 20;
                        *(int32_t *)v23 = v2->e3;
                        g11 = v23;
                        g6 = v2->e1;
                        g8 = *(int32_t *)(*v15 + 8);
                        g3 = *(int32_t *)(v4 + 12);
                        *(int32_t *)(v36 - 24) = 0x463045;
                        function_461c30();
                        v17 = (int32_t *)(*v15 + 8);
                        *v17 = *v17 + 4;
                        // branch -> 0x46304f
                    }
                    // 0x46304f
                    g8 = (int32_t)v25;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x46305d;
                    function_46a30c();
                    v40 = v25;
                    v39 = (int32_t)v40;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x463066
                        v40->e0 = v41;
                        // branch -> 0x4632f1
                    } else {
                        // 0x463073
                        *(char *)(v39 + 21) = 1;
                        // branch -> 0x4632f1
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // 0x462e11
                if (v26 == 0) {
                    // 0x462e17
                    g8 = v8;
                    g3 = *v12;
                    v14 = (int32_t *)(g11 - 4);
                    if (v43 == 3) {
                        // 0x462e1d
                        *v14 = 0x462e2e;
                        function_46b524();
                        // branch -> 0x462e41
                    } else {
                        // 0x462e30
                        *v14 = 0x462e41;
                        function_46b59c();
                        // branch -> 0x462e41
                    }
                    // 0x462e41
                    g6 = &v30;
                    g8 = v8;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e52;
                    function_469f40();
                    v41 = v31;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462e5b
                        g8 = v4 + 0x18d0;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462e6c;
                        function_469c8c();
                        v37 = g3;
                        g6 = g6 & -256 | v37;
                        g8 = g8 & -256 | v37;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462e80;
                        function_46ad58();
                        v41 = v37;
                        // branch -> 0x462e80
                    }
                    // 0x462e80
                    g8 = 1;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e90;
                    function_46bac4();
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ea1;
                    function_46a30c();
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ea9;
                    function_469fd8();
                    v38 = g3;
                    v7 = 5;
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ec7;
                    function_46b614();
                    g8 = v38;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ed2;
                    function_46a0a0();
                    g8 = g8 & -256 | 15;
                    v15 = (int32_t *)(v4 + 8);
                    g3 = *v15;
                    v16 = (int32_t *)(g11 - 4);
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462edf
                        *v16 = 0x462eec;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462ef5
                            g8 = g8 & -256 | 148;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f02;
                            function_462278();
                            // branch -> 0x462f02
                        }
                        // 0x462f02
                        if (*v13 == 12) {
                            // 0x462f0b
                            g8 = g8 & -256 | 149;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f18;
                            function_462278();
                            // branch -> 0x462f18
                        }
                        // 0x462f18
                        if (*v13 == 13) {
                            // 0x462f21
                            g8 = g8 & -256 | 146;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f2e;
                            function_462278();
                            // branch -> 0x462f2e
                        }
                        // 0x462f2e
                        if (*v13 == 14) {
                            // 0x462f37
                            g8 = g8 & -256 | 151;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f44;
                            function_462278();
                            // branch -> 0x462f44
                        }
                        // 0x462f44
                        if (*v13 == 15) {
                            // 0x462f4d
                            g8 = g8 & -256 | 147;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f5a;
                            function_462278();
                            // branch -> 0x462f5a
                        }
                        // 0x462f5a
                        if (*v13 == 16) {
                            // 0x462f63
                            g8 = g8 & -256 | 150;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f70;
                            function_462278();
                            // branch -> 0x462f70
                        }
                        // 0x462f70
                        g8 = v41 | g8 & -256 | 192;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f81;
                        function_462278();
                        // branch -> 0x46304f
                    } else {
                        // 0x462f86
                        *v16 = 0x462f93;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462f9c
                            g8 = g8 & -256 | 133;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fa9;
                            function_462278();
                            // branch -> 0x462fa9
                        }
                        // 0x462fa9
                        if (*v13 == 12) {
                            // 0x462fb2
                            g8 = g8 & -256 | 132;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fbf;
                            function_462278();
                            // branch -> 0x462fbf
                        }
                        // 0x462fbf
                        if (*v13 == 13) {
                            // 0x462fc8
                            g8 = g8 & -256 | 131;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fd5;
                            function_462278();
                            // branch -> 0x462fd5
                        }
                        // 0x462fd5
                        if (*v13 == 14) {
                            // 0x462fde
                            g8 = g8 & -256 | 134;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462feb;
                            function_462278();
                            // branch -> 0x462feb
                        }
                        // 0x462feb
                        if (*v13 == 15) {
                            // 0x462ff4
                            g8 = g8 & -256 | 135;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463001;
                            function_462278();
                            // branch -> 0x463001
                        }
                        // 0x463001
                        if (*v13 == 16) {
                            // 0x46300a
                            g8 = g8 & -256 | 130;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463017;
                            function_462278();
                            // branch -> 0x463017
                        }
                        // 0x463017
                        v36 = g11;
                        *(int32_t *)(v36 - 4) = 1;
                        *(int32_t *)(v36 - 8) = 0;
                        *(int32_t *)(v36 - 12) = 0;
                        *(int32_t *)(v36 - 16) = v2->e2;
                        v23 = v36 - 20;
                        *(int32_t *)v23 = v2->e3;
                        g11 = v23;
                        g6 = v2->e1;
                        g8 = *(int32_t *)(*v15 + 8);
                        g3 = *(int32_t *)(v4 + 12);
                        *(int32_t *)(v36 - 24) = 0x463045;
                        function_461c30();
                        v17 = (int32_t *)(*v15 + 8);
                        *v17 = *v17 + 4;
                        // branch -> 0x46304f
                    }
                    // 0x46304f
                    g8 = (int32_t)v25;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x46305d;
                    function_46a30c();
                    v40 = v25;
                    v39 = (int32_t)v40;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x463066
                        v40->e0 = v41;
                        // branch -> 0x4632f1
                    } else {
                        // 0x463073
                        *(char *)(v39 + 21) = 1;
                        // branch -> 0x4632f1
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // 0x462e41
                g6 = &v30;
                g8 = v8;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462e52;
                function_469f40();
                v41 = v31;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462e5b
                    g8 = v4 + 0x18d0;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e6c;
                    function_469c8c();
                    v37 = g3;
                    g6 = g6 & -256 | v37;
                    g8 = g8 & -256 | v37;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e80;
                    function_46ad58();
                    v41 = v37;
                    // branch -> 0x462e80
                }
                // 0x462e80
                g8 = 1;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462e90;
                function_46bac4();
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ea1;
                function_46a30c();
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ea9;
                function_469fd8();
                v38 = g3;
                v7 = 5;
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ec7;
                function_46b614();
                g8 = v38;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ed2;
                function_46a0a0();
                g8 = g8 & -256 | 15;
                v15 = (int32_t *)(v4 + 8);
                g3 = *v15;
                v16 = (int32_t *)(g11 - 4);
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462edf
                    *v16 = 0x462eec;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462ef5
                        g8 = g8 & -256 | 148;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f02;
                        function_462278();
                        // branch -> 0x462f02
                    }
                    // 0x462f02
                    if (*v13 == 12) {
                        // 0x462f0b
                        g8 = g8 & -256 | 149;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f18;
                        function_462278();
                        // branch -> 0x462f18
                    }
                    // 0x462f18
                    if (*v13 == 13) {
                        // 0x462f21
                        g8 = g8 & -256 | 146;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f2e;
                        function_462278();
                        // branch -> 0x462f2e
                    }
                    // 0x462f2e
                    if (*v13 == 14) {
                        // 0x462f37
                        g8 = g8 & -256 | 151;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f44;
                        function_462278();
                        // branch -> 0x462f44
                    }
                    // 0x462f44
                    if (*v13 == 15) {
                        // 0x462f4d
                        g8 = g8 & -256 | 147;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f5a;
                        function_462278();
                        // branch -> 0x462f5a
                    }
                    // 0x462f5a
                    if (*v13 == 16) {
                        // 0x462f63
                        g8 = g8 & -256 | 150;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f70;
                        function_462278();
                        // branch -> 0x462f70
                    }
                    // 0x462f70
                    g8 = v41 | g8 & -256 | 192;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f81;
                    function_462278();
                    // branch -> 0x46304f
                } else {
                    // 0x462f86
                    *v16 = 0x462f93;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462f9c
                        g8 = g8 & -256 | 133;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fa9;
                        function_462278();
                        // branch -> 0x462fa9
                    }
                    // 0x462fa9
                    if (*v13 == 12) {
                        // 0x462fb2
                        g8 = g8 & -256 | 132;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fbf;
                        function_462278();
                        // branch -> 0x462fbf
                    }
                    // 0x462fbf
                    if (*v13 == 13) {
                        // 0x462fc8
                        g8 = g8 & -256 | 131;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fd5;
                        function_462278();
                        // branch -> 0x462fd5
                    }
                    // 0x462fd5
                    if (*v13 == 14) {
                        // 0x462fde
                        g8 = g8 & -256 | 134;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462feb;
                        function_462278();
                        // branch -> 0x462feb
                    }
                    // 0x462feb
                    if (*v13 == 15) {
                        // 0x462ff4
                        g8 = g8 & -256 | 135;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463001;
                        function_462278();
                        // branch -> 0x463001
                    }
                    // 0x463001
                    if (*v13 == 16) {
                        // 0x46300a
                        g8 = g8 & -256 | 130;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463017;
                        function_462278();
                        // branch -> 0x463017
                    }
                    // 0x463017
                    v36 = g11;
                    *(int32_t *)(v36 - 4) = 1;
                    *(int32_t *)(v36 - 8) = 0;
                    *(int32_t *)(v36 - 12) = 0;
                    *(int32_t *)(v36 - 16) = v2->e2;
                    v23 = v36 - 20;
                    *(int32_t *)v23 = v2->e3;
                    g11 = v23;
                    g6 = v2->e1;
                    g8 = *(int32_t *)(*v15 + 8);
                    g3 = *(int32_t *)(v4 + 12);
                    *(int32_t *)(v36 - 24) = 0x463045;
                    function_461c30();
                    v17 = (int32_t *)(*v15 + 8);
                    *v17 = *v17 + 4;
                    // branch -> 0x46304f
                }
                // 0x46304f
                g8 = (int32_t)v25;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x46305d;
                function_46a30c();
                v40 = v25;
                v39 = (int32_t)v40;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x463066
                    v40->e0 = v41;
                    // branch -> 0x4632f1
                } else {
                    // 0x463073
                    *(char *)(v39 + 21) = 1;
                    // branch -> 0x4632f1
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // 0x462d01
        g8 = v6;
        g3 = v4;
        function_469f40();
        if (v35 != 0) {
            // 0x462d15
            if (v34 == 8) {
                // 0x462d1b
                g3 = *(int32_t *)(v4 + 16);
                System__AsClass(&v30, (int32_t *)0x4637dc);
                function_463ffc();
                // branch -> 0x462d71
            } else {
                // 0x462d46
                g3 = *(int32_t *)(v4 + 16);
                System__AsClass(&v30, (int32_t *)0x4637dc);
                function_463ffc();
                // branch -> 0x462d71
            }
            // 0x462d71
            v13 = (char *)(v3 + 13);
            g3 = (int32_t)*v13 | v3 & -256;
            function_459d30();
            if (g3 == 0) {
                // 0x46307f
                v11 = 0;
                g8 = *(int32_t *)(v3 + 8);
                g3 = v4;
                function_46816c();
                g3 = v4;
                function_462748();
                v42 = v27;
                if (v29 != 0) {
                    // 0x4630be
                    v24 = v28;
                    if (v27 == 8) {
                        // 0x4630c4
                        g11 = (int32_t)&v32;
                        v32 = (int32_t *)(int32_t)(float32_t)(1.52587890625e-5 * v24);
                        g3 = *(int32_t *)(v4 + 16);
                        System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                        function_463ffc();
                        v42 = 3;
                        // branch -> 0x46311a
                    } else {
                        // 0x4630ef
                        g11 = (int32_t)&v32;
                        v32 = (int32_t *)(int32_t)(float32_t)v24;
                        g3 = *(int32_t *)(v4 + 16);
                        System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                        function_463ffc();
                        v42 = 3;
                        // branch -> 0x46311a
                    }
                    // 0x46311a
                    if (v42 == 8) {
                        // 0x463120
                        g8 = 3;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x463130;
                        function_463360();
                        // branch -> 0x463130
                    }
                    // 0x463130
                    if (*v13 == 0) {
                        // 0x463139
                        g8 = v8;
                        g3 = *v12;
                        v18 = (int32_t *)(g11 - 4);
                        if (v42 == 3) {
                            // 0x46313f
                            *v18 = 0x463150;
                            function_46b704();
                            // branch -> 0x463208
                        } else {
                            // 0x463155
                            *v18 = 0x463166;
                            function_46b77c();
                            // branch -> 0x463208
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x46316b
                        if (*v13 == 1) {
                            // 0x463174
                            g8 = v8;
                            g3 = *v12;
                            v19 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x46317a
                                *v19 = 0x46318b;
                                function_46b7f4();
                                // branch -> 0x463208
                            } else {
                                // 0x46318d
                                *v19 = 0x46319e;
                                function_46b86c();
                                // branch -> 0x463208
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x4631a0
                            if (*v13 == 3) {
                                // 0x4631a9
                                g8 = v8;
                                g3 = *v12;
                                v20 = (int32_t *)(g11 - 4);
                                if (v42 == 3) {
                                    // 0x4631af
                                    *v20 = 0x4631c0;
                                    function_46b8e4();
                                    // branch -> 0x463208
                                } else {
                                    // 0x4631c2
                                    *v20 = 0x4631d3;
                                    function_46b95c();
                                    // branch -> 0x463208
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            } else {
                                // 0x4631d5
                                if (*v13 == 4) {
                                    // 0x4631de
                                    g8 = v8;
                                    g3 = *v12;
                                    v21 = (int32_t *)(g11 - 4);
                                    if (v42 == 3) {
                                        // 0x4631e4
                                        *v21 = 0x4631f5;
                                        function_46b9d4();
                                        // branch -> 0x463208
                                    } else {
                                        // 0x4631f7
                                        *v21 = 0x463208;
                                        function_46ba4c();
                                        // branch -> 0x463208
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // 0x46311a
                if (v42 == 8) {
                    // 0x463120
                    g8 = 3;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x463130;
                    function_463360();
                    // branch -> 0x463130
                }
                // 0x463130
                if (*v13 == 0) {
                    // 0x463139
                    g8 = v8;
                    g3 = *v12;
                    v18 = (int32_t *)(g11 - 4);
                    if (v42 == 3) {
                        // 0x46313f
                        *v18 = 0x463150;
                        function_46b704();
                        // branch -> 0x463208
                    } else {
                        // 0x463155
                        *v18 = 0x463166;
                        function_46b77c();
                        // branch -> 0x463208
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                } else {
                    // 0x46316b
                    if (*v13 == 1) {
                        // 0x463174
                        g8 = v8;
                        g3 = *v12;
                        v19 = (int32_t *)(g11 - 4);
                        if (v42 == 3) {
                            // 0x46317a
                            *v19 = 0x46318b;
                            function_46b7f4();
                            // branch -> 0x463208
                        } else {
                            // 0x46318d
                            *v19 = 0x46319e;
                            function_46b86c();
                            // branch -> 0x463208
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x4631a0
                        if (*v13 == 3) {
                            // 0x4631a9
                            g8 = v8;
                            g3 = *v12;
                            v20 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x4631af
                                *v20 = 0x4631c0;
                                function_46b8e4();
                                // branch -> 0x463208
                            } else {
                                // 0x4631c2
                                *v20 = 0x4631d3;
                                function_46b95c();
                                // branch -> 0x463208
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x4631d5
                            if (*v13 == 4) {
                                // 0x4631de
                                g8 = v8;
                                g3 = *v12;
                                v21 = (int32_t *)(g11 - 4);
                                if (v42 == 3) {
                                    // 0x4631e4
                                    *v21 = 0x4631f5;
                                    function_46b9d4();
                                    // branch -> 0x463208
                                } else {
                                    // 0x4631f7
                                    *v21 = 0x463208;
                                    function_46ba4c();
                                    // branch -> 0x463208
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            } else {
                // 0x462d84
                g8 = *(int32_t *)(v3 + 8);
                g3 = v4;
                function_46816c();
                g8 = v8;
                g3 = v4;
                function_462748();
                v43 = v27;
                if (v29 != 0) {
                    // 0x462db5
                    v22 = v28;
                    if (v27 == 8) {
                        // 0x462dbb
                        g11 = (int32_t)&v32;
                        v32 = (int32_t *)(int32_t)(float32_t)(1.52587890625e-5 * v22);
                        g3 = *(int32_t *)(v4 + 16);
                        System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                        function_463ffc();
                        v43 = 3;
                        // branch -> 0x462e11
                    } else {
                        // 0x462de6
                        g11 = (int32_t)&v32;
                        v32 = (int32_t *)(int32_t)(float32_t)v22;
                        g3 = *(int32_t *)(v4 + 16);
                        System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                        function_463ffc();
                        v43 = 3;
                        // branch -> 0x462e11
                    }
                    // 0x462e11
                    if (v26 == 0) {
                        // 0x462e17
                        g8 = v8;
                        g3 = *v12;
                        v14 = (int32_t *)(g11 - 4);
                        if (v43 == 3) {
                            // 0x462e1d
                            *v14 = 0x462e2e;
                            function_46b524();
                            // branch -> 0x462e41
                        } else {
                            // 0x462e30
                            *v14 = 0x462e41;
                            function_46b59c();
                            // branch -> 0x462e41
                        }
                        // 0x462e41
                        g6 = &v30;
                        g8 = v8;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462e52;
                        function_469f40();
                        v41 = v31;
                        if (*(char *)((int32_t)v2 + 1) == 0) {
                            // 0x462e5b
                            g8 = v4 + 0x18d0;
                            g3 = v4;
                            *(int32_t *)(g11 - 4) = 0x462e6c;
                            function_469c8c();
                            v37 = g3;
                            g6 = g6 & -256 | v37;
                            g8 = g8 & -256 | v37;
                            g3 = *v12;
                            *(int32_t *)(g11 - 4) = 0x462e80;
                            function_46ad58();
                            v41 = v37;
                            // branch -> 0x462e80
                        }
                        // 0x462e80
                        g8 = 1;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462e90;
                        function_46bac4();
                        g8 = v8;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462ea1;
                        function_46a30c();
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462ea9;
                        function_469fd8();
                        v38 = g3;
                        v7 = 5;
                        g8 = v8;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462ec7;
                        function_46b614();
                        g8 = v38;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462ed2;
                        function_46a0a0();
                        g8 = g8 & -256 | 15;
                        v15 = (int32_t *)(v4 + 8);
                        g3 = *v15;
                        v16 = (int32_t *)(g11 - 4);
                        if (*(char *)((int32_t)v2 + 1) == 0) {
                            // 0x462edf
                            *v16 = 0x462eec;
                            function_462278();
                            if (*v13 == 11) {
                                // 0x462ef5
                                g8 = g8 & -256 | 148;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f02;
                                function_462278();
                                // branch -> 0x462f02
                            }
                            // 0x462f02
                            if (*v13 == 12) {
                                // 0x462f0b
                                g8 = g8 & -256 | 149;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f18;
                                function_462278();
                                // branch -> 0x462f18
                            }
                            // 0x462f18
                            if (*v13 == 13) {
                                // 0x462f21
                                g8 = g8 & -256 | 146;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f2e;
                                function_462278();
                                // branch -> 0x462f2e
                            }
                            // 0x462f2e
                            if (*v13 == 14) {
                                // 0x462f37
                                g8 = g8 & -256 | 151;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f44;
                                function_462278();
                                // branch -> 0x462f44
                            }
                            // 0x462f44
                            if (*v13 == 15) {
                                // 0x462f4d
                                g8 = g8 & -256 | 147;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f5a;
                                function_462278();
                                // branch -> 0x462f5a
                            }
                            // 0x462f5a
                            if (*v13 == 16) {
                                // 0x462f63
                                g8 = g8 & -256 | 150;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462f70;
                                function_462278();
                                // branch -> 0x462f70
                            }
                            // 0x462f70
                            g8 = v41 | g8 & -256 | 192;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f81;
                            function_462278();
                            // branch -> 0x46304f
                        } else {
                            // 0x462f86
                            *v16 = 0x462f93;
                            function_462278();
                            if (*v13 == 11) {
                                // 0x462f9c
                                g8 = g8 & -256 | 133;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462fa9;
                                function_462278();
                                // branch -> 0x462fa9
                            }
                            // 0x462fa9
                            if (*v13 == 12) {
                                // 0x462fb2
                                g8 = g8 & -256 | 132;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462fbf;
                                function_462278();
                                // branch -> 0x462fbf
                            }
                            // 0x462fbf
                            if (*v13 == 13) {
                                // 0x462fc8
                                g8 = g8 & -256 | 131;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462fd5;
                                function_462278();
                                // branch -> 0x462fd5
                            }
                            // 0x462fd5
                            if (*v13 == 14) {
                                // 0x462fde
                                g8 = g8 & -256 | 134;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x462feb;
                                function_462278();
                                // branch -> 0x462feb
                            }
                            // 0x462feb
                            if (*v13 == 15) {
                                // 0x462ff4
                                g8 = g8 & -256 | 135;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x463001;
                                function_462278();
                                // branch -> 0x463001
                            }
                            // 0x463001
                            if (*v13 == 16) {
                                // 0x46300a
                                g8 = g8 & -256 | 130;
                                g3 = *v15;
                                *(int32_t *)(g11 - 4) = 0x463017;
                                function_462278();
                                // branch -> 0x463017
                            }
                            // 0x463017
                            v36 = g11;
                            *(int32_t *)(v36 - 4) = 1;
                            *(int32_t *)(v36 - 8) = 0;
                            *(int32_t *)(v36 - 12) = 0;
                            *(int32_t *)(v36 - 16) = v2->e2;
                            v23 = v36 - 20;
                            *(int32_t *)v23 = v2->e3;
                            g11 = v23;
                            g6 = v2->e1;
                            g8 = *(int32_t *)(*v15 + 8);
                            g3 = *(int32_t *)(v4 + 12);
                            *(int32_t *)(v36 - 24) = 0x463045;
                            function_461c30();
                            v17 = (int32_t *)(*v15 + 8);
                            *v17 = *v17 + 4;
                            // branch -> 0x46304f
                        }
                        // 0x46304f
                        g8 = (int32_t)v25;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x46305d;
                        function_46a30c();
                        v40 = v25;
                        v39 = (int32_t)v40;
                        if (*(char *)((int32_t)v2 + 1) == 0) {
                            // 0x463066
                            v40->e0 = v41;
                            // branch -> 0x4632f1
                        } else {
                            // 0x463073
                            *(char *)(v39 + 21) = 1;
                            // branch -> 0x4632f1
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // 0x462e41
                    g6 = &v30;
                    g8 = v8;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e52;
                    function_469f40();
                    v41 = v31;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462e5b
                        g8 = v4 + 0x18d0;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462e6c;
                        function_469c8c();
                        v37 = g3;
                        g6 = g6 & -256 | v37;
                        g8 = g8 & -256 | v37;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462e80;
                        function_46ad58();
                        v41 = v37;
                        // branch -> 0x462e80
                    }
                    // 0x462e80
                    g8 = 1;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e90;
                    function_46bac4();
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ea1;
                    function_46a30c();
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ea9;
                    function_469fd8();
                    v38 = g3;
                    v7 = 5;
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ec7;
                    function_46b614();
                    g8 = v38;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ed2;
                    function_46a0a0();
                    g8 = g8 & -256 | 15;
                    v15 = (int32_t *)(v4 + 8);
                    g3 = *v15;
                    v16 = (int32_t *)(g11 - 4);
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462edf
                        *v16 = 0x462eec;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462ef5
                            g8 = g8 & -256 | 148;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f02;
                            function_462278();
                            // branch -> 0x462f02
                        }
                        // 0x462f02
                        if (*v13 == 12) {
                            // 0x462f0b
                            g8 = g8 & -256 | 149;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f18;
                            function_462278();
                            // branch -> 0x462f18
                        }
                        // 0x462f18
                        if (*v13 == 13) {
                            // 0x462f21
                            g8 = g8 & -256 | 146;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f2e;
                            function_462278();
                            // branch -> 0x462f2e
                        }
                        // 0x462f2e
                        if (*v13 == 14) {
                            // 0x462f37
                            g8 = g8 & -256 | 151;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f44;
                            function_462278();
                            // branch -> 0x462f44
                        }
                        // 0x462f44
                        if (*v13 == 15) {
                            // 0x462f4d
                            g8 = g8 & -256 | 147;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f5a;
                            function_462278();
                            // branch -> 0x462f5a
                        }
                        // 0x462f5a
                        if (*v13 == 16) {
                            // 0x462f63
                            g8 = g8 & -256 | 150;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f70;
                            function_462278();
                            // branch -> 0x462f70
                        }
                        // 0x462f70
                        g8 = v41 | g8 & -256 | 192;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f81;
                        function_462278();
                        // branch -> 0x46304f
                    } else {
                        // 0x462f86
                        *v16 = 0x462f93;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462f9c
                            g8 = g8 & -256 | 133;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fa9;
                            function_462278();
                            // branch -> 0x462fa9
                        }
                        // 0x462fa9
                        if (*v13 == 12) {
                            // 0x462fb2
                            g8 = g8 & -256 | 132;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fbf;
                            function_462278();
                            // branch -> 0x462fbf
                        }
                        // 0x462fbf
                        if (*v13 == 13) {
                            // 0x462fc8
                            g8 = g8 & -256 | 131;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fd5;
                            function_462278();
                            // branch -> 0x462fd5
                        }
                        // 0x462fd5
                        if (*v13 == 14) {
                            // 0x462fde
                            g8 = g8 & -256 | 134;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462feb;
                            function_462278();
                            // branch -> 0x462feb
                        }
                        // 0x462feb
                        if (*v13 == 15) {
                            // 0x462ff4
                            g8 = g8 & -256 | 135;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463001;
                            function_462278();
                            // branch -> 0x463001
                        }
                        // 0x463001
                        if (*v13 == 16) {
                            // 0x46300a
                            g8 = g8 & -256 | 130;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463017;
                            function_462278();
                            // branch -> 0x463017
                        }
                        // 0x463017
                        v36 = g11;
                        *(int32_t *)(v36 - 4) = 1;
                        *(int32_t *)(v36 - 8) = 0;
                        *(int32_t *)(v36 - 12) = 0;
                        *(int32_t *)(v36 - 16) = v2->e2;
                        v23 = v36 - 20;
                        *(int32_t *)v23 = v2->e3;
                        g11 = v23;
                        g6 = v2->e1;
                        g8 = *(int32_t *)(*v15 + 8);
                        g3 = *(int32_t *)(v4 + 12);
                        *(int32_t *)(v36 - 24) = 0x463045;
                        function_461c30();
                        v17 = (int32_t *)(*v15 + 8);
                        *v17 = *v17 + 4;
                        // branch -> 0x46304f
                    }
                    // 0x46304f
                    g8 = (int32_t)v25;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x46305d;
                    function_46a30c();
                    v40 = v25;
                    v39 = (int32_t)v40;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x463066
                        v40->e0 = v41;
                        // branch -> 0x4632f1
                    } else {
                        // 0x463073
                        *(char *)(v39 + 21) = 1;
                        // branch -> 0x4632f1
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // 0x462e11
                if (v26 == 0) {
                    // 0x462e17
                    g8 = v8;
                    g3 = *v12;
                    v14 = (int32_t *)(g11 - 4);
                    if (v43 == 3) {
                        // 0x462e1d
                        *v14 = 0x462e2e;
                        function_46b524();
                        // branch -> 0x462e41
                    } else {
                        // 0x462e30
                        *v14 = 0x462e41;
                        function_46b59c();
                        // branch -> 0x462e41
                    }
                    // 0x462e41
                    g6 = &v30;
                    g8 = v8;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e52;
                    function_469f40();
                    v41 = v31;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462e5b
                        g8 = v4 + 0x18d0;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462e6c;
                        function_469c8c();
                        v37 = g3;
                        g6 = g6 & -256 | v37;
                        g8 = g8 & -256 | v37;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462e80;
                        function_46ad58();
                        v41 = v37;
                        // branch -> 0x462e80
                    }
                    // 0x462e80
                    g8 = 1;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e90;
                    function_46bac4();
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ea1;
                    function_46a30c();
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ea9;
                    function_469fd8();
                    v38 = g3;
                    v7 = 5;
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ec7;
                    function_46b614();
                    g8 = v38;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ed2;
                    function_46a0a0();
                    g8 = g8 & -256 | 15;
                    v15 = (int32_t *)(v4 + 8);
                    g3 = *v15;
                    v16 = (int32_t *)(g11 - 4);
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462edf
                        *v16 = 0x462eec;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462ef5
                            g8 = g8 & -256 | 148;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f02;
                            function_462278();
                            // branch -> 0x462f02
                        }
                        // 0x462f02
                        if (*v13 == 12) {
                            // 0x462f0b
                            g8 = g8 & -256 | 149;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f18;
                            function_462278();
                            // branch -> 0x462f18
                        }
                        // 0x462f18
                        if (*v13 == 13) {
                            // 0x462f21
                            g8 = g8 & -256 | 146;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f2e;
                            function_462278();
                            // branch -> 0x462f2e
                        }
                        // 0x462f2e
                        if (*v13 == 14) {
                            // 0x462f37
                            g8 = g8 & -256 | 151;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f44;
                            function_462278();
                            // branch -> 0x462f44
                        }
                        // 0x462f44
                        if (*v13 == 15) {
                            // 0x462f4d
                            g8 = g8 & -256 | 147;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f5a;
                            function_462278();
                            // branch -> 0x462f5a
                        }
                        // 0x462f5a
                        if (*v13 == 16) {
                            // 0x462f63
                            g8 = g8 & -256 | 150;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f70;
                            function_462278();
                            // branch -> 0x462f70
                        }
                        // 0x462f70
                        g8 = v41 | g8 & -256 | 192;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f81;
                        function_462278();
                        // branch -> 0x46304f
                    } else {
                        // 0x462f86
                        *v16 = 0x462f93;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462f9c
                            g8 = g8 & -256 | 133;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fa9;
                            function_462278();
                            // branch -> 0x462fa9
                        }
                        // 0x462fa9
                        if (*v13 == 12) {
                            // 0x462fb2
                            g8 = g8 & -256 | 132;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fbf;
                            function_462278();
                            // branch -> 0x462fbf
                        }
                        // 0x462fbf
                        if (*v13 == 13) {
                            // 0x462fc8
                            g8 = g8 & -256 | 131;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fd5;
                            function_462278();
                            // branch -> 0x462fd5
                        }
                        // 0x462fd5
                        if (*v13 == 14) {
                            // 0x462fde
                            g8 = g8 & -256 | 134;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462feb;
                            function_462278();
                            // branch -> 0x462feb
                        }
                        // 0x462feb
                        if (*v13 == 15) {
                            // 0x462ff4
                            g8 = g8 & -256 | 135;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463001;
                            function_462278();
                            // branch -> 0x463001
                        }
                        // 0x463001
                        if (*v13 == 16) {
                            // 0x46300a
                            g8 = g8 & -256 | 130;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463017;
                            function_462278();
                            // branch -> 0x463017
                        }
                        // 0x463017
                        v36 = g11;
                        *(int32_t *)(v36 - 4) = 1;
                        *(int32_t *)(v36 - 8) = 0;
                        *(int32_t *)(v36 - 12) = 0;
                        *(int32_t *)(v36 - 16) = v2->e2;
                        v23 = v36 - 20;
                        *(int32_t *)v23 = v2->e3;
                        g11 = v23;
                        g6 = v2->e1;
                        g8 = *(int32_t *)(*v15 + 8);
                        g3 = *(int32_t *)(v4 + 12);
                        *(int32_t *)(v36 - 24) = 0x463045;
                        function_461c30();
                        v17 = (int32_t *)(*v15 + 8);
                        *v17 = *v17 + 4;
                        // branch -> 0x46304f
                    }
                    // 0x46304f
                    g8 = (int32_t)v25;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x46305d;
                    function_46a30c();
                    v40 = v25;
                    v39 = (int32_t)v40;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x463066
                        v40->e0 = v41;
                        // branch -> 0x4632f1
                    } else {
                        // 0x463073
                        *(char *)(v39 + 21) = 1;
                        // branch -> 0x4632f1
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // 0x462e41
                g6 = &v30;
                g8 = v8;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462e52;
                function_469f40();
                v41 = v31;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462e5b
                    g8 = v4 + 0x18d0;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e6c;
                    function_469c8c();
                    v37 = g3;
                    g6 = g6 & -256 | v37;
                    g8 = g8 & -256 | v37;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e80;
                    function_46ad58();
                    v41 = v37;
                    // branch -> 0x462e80
                }
                // 0x462e80
                g8 = 1;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462e90;
                function_46bac4();
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ea1;
                function_46a30c();
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ea9;
                function_469fd8();
                v38 = g3;
                v7 = 5;
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ec7;
                function_46b614();
                g8 = v38;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ed2;
                function_46a0a0();
                g8 = g8 & -256 | 15;
                v15 = (int32_t *)(v4 + 8);
                g3 = *v15;
                v16 = (int32_t *)(g11 - 4);
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462edf
                    *v16 = 0x462eec;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462ef5
                        g8 = g8 & -256 | 148;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f02;
                        function_462278();
                        // branch -> 0x462f02
                    }
                    // 0x462f02
                    if (*v13 == 12) {
                        // 0x462f0b
                        g8 = g8 & -256 | 149;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f18;
                        function_462278();
                        // branch -> 0x462f18
                    }
                    // 0x462f18
                    if (*v13 == 13) {
                        // 0x462f21
                        g8 = g8 & -256 | 146;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f2e;
                        function_462278();
                        // branch -> 0x462f2e
                    }
                    // 0x462f2e
                    if (*v13 == 14) {
                        // 0x462f37
                        g8 = g8 & -256 | 151;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f44;
                        function_462278();
                        // branch -> 0x462f44
                    }
                    // 0x462f44
                    if (*v13 == 15) {
                        // 0x462f4d
                        g8 = g8 & -256 | 147;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f5a;
                        function_462278();
                        // branch -> 0x462f5a
                    }
                    // 0x462f5a
                    if (*v13 == 16) {
                        // 0x462f63
                        g8 = g8 & -256 | 150;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f70;
                        function_462278();
                        // branch -> 0x462f70
                    }
                    // 0x462f70
                    g8 = v41 | g8 & -256 | 192;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f81;
                    function_462278();
                    // branch -> 0x46304f
                } else {
                    // 0x462f86
                    *v16 = 0x462f93;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462f9c
                        g8 = g8 & -256 | 133;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fa9;
                        function_462278();
                        // branch -> 0x462fa9
                    }
                    // 0x462fa9
                    if (*v13 == 12) {
                        // 0x462fb2
                        g8 = g8 & -256 | 132;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fbf;
                        function_462278();
                        // branch -> 0x462fbf
                    }
                    // 0x462fbf
                    if (*v13 == 13) {
                        // 0x462fc8
                        g8 = g8 & -256 | 131;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fd5;
                        function_462278();
                        // branch -> 0x462fd5
                    }
                    // 0x462fd5
                    if (*v13 == 14) {
                        // 0x462fde
                        g8 = g8 & -256 | 134;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462feb;
                        function_462278();
                        // branch -> 0x462feb
                    }
                    // 0x462feb
                    if (*v13 == 15) {
                        // 0x462ff4
                        g8 = g8 & -256 | 135;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463001;
                        function_462278();
                        // branch -> 0x463001
                    }
                    // 0x463001
                    if (*v13 == 16) {
                        // 0x46300a
                        g8 = g8 & -256 | 130;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463017;
                        function_462278();
                        // branch -> 0x463017
                    }
                    // 0x463017
                    v36 = g11;
                    *(int32_t *)(v36 - 4) = 1;
                    *(int32_t *)(v36 - 8) = 0;
                    *(int32_t *)(v36 - 12) = 0;
                    *(int32_t *)(v36 - 16) = v2->e2;
                    v23 = v36 - 20;
                    *(int32_t *)v23 = v2->e3;
                    g11 = v23;
                    g6 = v2->e1;
                    g8 = *(int32_t *)(*v15 + 8);
                    g3 = *(int32_t *)(v4 + 12);
                    *(int32_t *)(v36 - 24) = 0x463045;
                    function_461c30();
                    v17 = (int32_t *)(*v15 + 8);
                    *v17 = *v17 + 4;
                    // branch -> 0x46304f
                }
                // 0x46304f
                g8 = (int32_t)v25;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x46305d;
                function_46a30c();
                v40 = v25;
                v39 = (int32_t)v40;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x463066
                    v40->e0 = v41;
                    // branch -> 0x4632f1
                } else {
                    // 0x463073
                    *(char *)(v39 + 21) = 1;
                    // branch -> 0x4632f1
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // 0x462d71
        v13 = (char *)(v3 + 13);
        g3 = (int32_t)*v13 | v3 & -256;
        function_459d30();
        if (g3 == 0) {
            // 0x46307f
            v11 = 0;
            g8 = *(int32_t *)(v3 + 8);
            g3 = v4;
            function_46816c();
            g3 = v4;
            function_462748();
            v42 = v27;
            if (v29 != 0) {
                // 0x4630be
                v24 = v28;
                if (v27 == 8) {
                    // 0x4630c4
                    g11 = (int32_t)&v32;
                    v32 = (int32_t *)(int32_t)(float32_t)(1.52587890625e-5 * v24);
                    g3 = *(int32_t *)(v4 + 16);
                    System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                    function_463ffc();
                    v42 = 3;
                    // branch -> 0x46311a
                } else {
                    // 0x4630ef
                    g11 = (int32_t)&v32;
                    v32 = (int32_t *)(int32_t)(float32_t)v24;
                    g3 = *(int32_t *)(v4 + 16);
                    System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                    function_463ffc();
                    v42 = 3;
                    // branch -> 0x46311a
                }
                // 0x46311a
                if (v42 == 8) {
                    // 0x463120
                    g8 = 3;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x463130;
                    function_463360();
                    // branch -> 0x463130
                }
                // 0x463130
                if (*v13 == 0) {
                    // 0x463139
                    g8 = v8;
                    g3 = *v12;
                    v18 = (int32_t *)(g11 - 4);
                    if (v42 == 3) {
                        // 0x46313f
                        *v18 = 0x463150;
                        function_46b704();
                        // branch -> 0x463208
                    } else {
                        // 0x463155
                        *v18 = 0x463166;
                        function_46b77c();
                        // branch -> 0x463208
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                } else {
                    // 0x46316b
                    if (*v13 == 1) {
                        // 0x463174
                        g8 = v8;
                        g3 = *v12;
                        v19 = (int32_t *)(g11 - 4);
                        if (v42 == 3) {
                            // 0x46317a
                            *v19 = 0x46318b;
                            function_46b7f4();
                            // branch -> 0x463208
                        } else {
                            // 0x46318d
                            *v19 = 0x46319e;
                            function_46b86c();
                            // branch -> 0x463208
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x4631a0
                        if (*v13 == 3) {
                            // 0x4631a9
                            g8 = v8;
                            g3 = *v12;
                            v20 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x4631af
                                *v20 = 0x4631c0;
                                function_46b8e4();
                                // branch -> 0x463208
                            } else {
                                // 0x4631c2
                                *v20 = 0x4631d3;
                                function_46b95c();
                                // branch -> 0x463208
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x4631d5
                            if (*v13 == 4) {
                                // 0x4631de
                                g8 = v8;
                                g3 = *v12;
                                v21 = (int32_t *)(g11 - 4);
                                if (v42 == 3) {
                                    // 0x4631e4
                                    *v21 = 0x4631f5;
                                    function_46b9d4();
                                    // branch -> 0x463208
                                } else {
                                    // 0x4631f7
                                    *v21 = 0x463208;
                                    function_46ba4c();
                                    // branch -> 0x463208
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // 0x46311a
            if (v42 == 8) {
                // 0x463120
                g8 = 3;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x463130;
                function_463360();
                // branch -> 0x463130
            }
            // 0x463130
            if (*v13 == 0) {
                // 0x463139
                g8 = v8;
                g3 = *v12;
                v18 = (int32_t *)(g11 - 4);
                if (v42 == 3) {
                    // 0x46313f
                    *v18 = 0x463150;
                    function_46b704();
                    // branch -> 0x463208
                } else {
                    // 0x463155
                    *v18 = 0x463166;
                    function_46b77c();
                    // branch -> 0x463208
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            } else {
                // 0x46316b
                if (*v13 == 1) {
                    // 0x463174
                    g8 = v8;
                    g3 = *v12;
                    v19 = (int32_t *)(g11 - 4);
                    if (v42 == 3) {
                        // 0x46317a
                        *v19 = 0x46318b;
                        function_46b7f4();
                        // branch -> 0x463208
                    } else {
                        // 0x46318d
                        *v19 = 0x46319e;
                        function_46b86c();
                        // branch -> 0x463208
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                } else {
                    // 0x4631a0
                    if (*v13 == 3) {
                        // 0x4631a9
                        g8 = v8;
                        g3 = *v12;
                        v20 = (int32_t *)(g11 - 4);
                        if (v42 == 3) {
                            // 0x4631af
                            *v20 = 0x4631c0;
                            function_46b8e4();
                            // branch -> 0x463208
                        } else {
                            // 0x4631c2
                            *v20 = 0x4631d3;
                            function_46b95c();
                            // branch -> 0x463208
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x4631d5
                        if (*v13 == 4) {
                            // 0x4631de
                            g8 = v8;
                            g3 = *v12;
                            v21 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x4631e4
                                *v21 = 0x4631f5;
                                function_46b9d4();
                                // branch -> 0x463208
                            } else {
                                // 0x4631f7
                                *v21 = 0x463208;
                                function_46ba4c();
                                // branch -> 0x463208
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        } else {
            // 0x462d84
            g8 = *(int32_t *)(v3 + 8);
            g3 = v4;
            function_46816c();
            g8 = v8;
            g3 = v4;
            function_462748();
            v43 = v27;
            if (v29 != 0) {
                // 0x462db5
                v22 = v28;
                if (v27 == 8) {
                    // 0x462dbb
                    g11 = (int32_t)&v32;
                    v32 = (int32_t *)(int32_t)(float32_t)(1.52587890625e-5 * v22);
                    g3 = *(int32_t *)(v4 + 16);
                    System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                    function_463ffc();
                    v43 = 3;
                    // branch -> 0x462e11
                } else {
                    // 0x462de6
                    g11 = (int32_t)&v32;
                    v32 = (int32_t *)(int32_t)(float32_t)v22;
                    g3 = *(int32_t *)(v4 + 16);
                    System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                    function_463ffc();
                    v43 = 3;
                    // branch -> 0x462e11
                }
                // 0x462e11
                if (v26 == 0) {
                    // 0x462e17
                    g8 = v8;
                    g3 = *v12;
                    v14 = (int32_t *)(g11 - 4);
                    if (v43 == 3) {
                        // 0x462e1d
                        *v14 = 0x462e2e;
                        function_46b524();
                        // branch -> 0x462e41
                    } else {
                        // 0x462e30
                        *v14 = 0x462e41;
                        function_46b59c();
                        // branch -> 0x462e41
                    }
                    // 0x462e41
                    g6 = &v30;
                    g8 = v8;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e52;
                    function_469f40();
                    v41 = v31;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462e5b
                        g8 = v4 + 0x18d0;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462e6c;
                        function_469c8c();
                        v37 = g3;
                        g6 = g6 & -256 | v37;
                        g8 = g8 & -256 | v37;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462e80;
                        function_46ad58();
                        v41 = v37;
                        // branch -> 0x462e80
                    }
                    // 0x462e80
                    g8 = 1;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e90;
                    function_46bac4();
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ea1;
                    function_46a30c();
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ea9;
                    function_469fd8();
                    v38 = g3;
                    v7 = 5;
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ec7;
                    function_46b614();
                    g8 = v38;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ed2;
                    function_46a0a0();
                    g8 = g8 & -256 | 15;
                    v15 = (int32_t *)(v4 + 8);
                    g3 = *v15;
                    v16 = (int32_t *)(g11 - 4);
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462edf
                        *v16 = 0x462eec;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462ef5
                            g8 = g8 & -256 | 148;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f02;
                            function_462278();
                            // branch -> 0x462f02
                        }
                        // 0x462f02
                        if (*v13 == 12) {
                            // 0x462f0b
                            g8 = g8 & -256 | 149;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f18;
                            function_462278();
                            // branch -> 0x462f18
                        }
                        // 0x462f18
                        if (*v13 == 13) {
                            // 0x462f21
                            g8 = g8 & -256 | 146;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f2e;
                            function_462278();
                            // branch -> 0x462f2e
                        }
                        // 0x462f2e
                        if (*v13 == 14) {
                            // 0x462f37
                            g8 = g8 & -256 | 151;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f44;
                            function_462278();
                            // branch -> 0x462f44
                        }
                        // 0x462f44
                        if (*v13 == 15) {
                            // 0x462f4d
                            g8 = g8 & -256 | 147;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f5a;
                            function_462278();
                            // branch -> 0x462f5a
                        }
                        // 0x462f5a
                        if (*v13 == 16) {
                            // 0x462f63
                            g8 = g8 & -256 | 150;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f70;
                            function_462278();
                            // branch -> 0x462f70
                        }
                        // 0x462f70
                        g8 = v41 | g8 & -256 | 192;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f81;
                        function_462278();
                        // branch -> 0x46304f
                    } else {
                        // 0x462f86
                        *v16 = 0x462f93;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462f9c
                            g8 = g8 & -256 | 133;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fa9;
                            function_462278();
                            // branch -> 0x462fa9
                        }
                        // 0x462fa9
                        if (*v13 == 12) {
                            // 0x462fb2
                            g8 = g8 & -256 | 132;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fbf;
                            function_462278();
                            // branch -> 0x462fbf
                        }
                        // 0x462fbf
                        if (*v13 == 13) {
                            // 0x462fc8
                            g8 = g8 & -256 | 131;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fd5;
                            function_462278();
                            // branch -> 0x462fd5
                        }
                        // 0x462fd5
                        if (*v13 == 14) {
                            // 0x462fde
                            g8 = g8 & -256 | 134;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462feb;
                            function_462278();
                            // branch -> 0x462feb
                        }
                        // 0x462feb
                        if (*v13 == 15) {
                            // 0x462ff4
                            g8 = g8 & -256 | 135;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463001;
                            function_462278();
                            // branch -> 0x463001
                        }
                        // 0x463001
                        if (*v13 == 16) {
                            // 0x46300a
                            g8 = g8 & -256 | 130;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463017;
                            function_462278();
                            // branch -> 0x463017
                        }
                        // 0x463017
                        v36 = g11;
                        *(int32_t *)(v36 - 4) = 1;
                        *(int32_t *)(v36 - 8) = 0;
                        *(int32_t *)(v36 - 12) = 0;
                        *(int32_t *)(v36 - 16) = v2->e2;
                        v23 = v36 - 20;
                        *(int32_t *)v23 = v2->e3;
                        g11 = v23;
                        g6 = v2->e1;
                        g8 = *(int32_t *)(*v15 + 8);
                        g3 = *(int32_t *)(v4 + 12);
                        *(int32_t *)(v36 - 24) = 0x463045;
                        function_461c30();
                        v17 = (int32_t *)(*v15 + 8);
                        *v17 = *v17 + 4;
                        // branch -> 0x46304f
                    }
                    // 0x46304f
                    g8 = (int32_t)v25;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x46305d;
                    function_46a30c();
                    v40 = v25;
                    v39 = (int32_t)v40;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x463066
                        v40->e0 = v41;
                        // branch -> 0x4632f1
                    } else {
                        // 0x463073
                        *(char *)(v39 + 21) = 1;
                        // branch -> 0x4632f1
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // 0x462e41
                g6 = &v30;
                g8 = v8;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462e52;
                function_469f40();
                v41 = v31;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462e5b
                    g8 = v4 + 0x18d0;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e6c;
                    function_469c8c();
                    v37 = g3;
                    g6 = g6 & -256 | v37;
                    g8 = g8 & -256 | v37;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e80;
                    function_46ad58();
                    v41 = v37;
                    // branch -> 0x462e80
                }
                // 0x462e80
                g8 = 1;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462e90;
                function_46bac4();
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ea1;
                function_46a30c();
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ea9;
                function_469fd8();
                v38 = g3;
                v7 = 5;
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ec7;
                function_46b614();
                g8 = v38;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ed2;
                function_46a0a0();
                g8 = g8 & -256 | 15;
                v15 = (int32_t *)(v4 + 8);
                g3 = *v15;
                v16 = (int32_t *)(g11 - 4);
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462edf
                    *v16 = 0x462eec;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462ef5
                        g8 = g8 & -256 | 148;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f02;
                        function_462278();
                        // branch -> 0x462f02
                    }
                    // 0x462f02
                    if (*v13 == 12) {
                        // 0x462f0b
                        g8 = g8 & -256 | 149;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f18;
                        function_462278();
                        // branch -> 0x462f18
                    }
                    // 0x462f18
                    if (*v13 == 13) {
                        // 0x462f21
                        g8 = g8 & -256 | 146;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f2e;
                        function_462278();
                        // branch -> 0x462f2e
                    }
                    // 0x462f2e
                    if (*v13 == 14) {
                        // 0x462f37
                        g8 = g8 & -256 | 151;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f44;
                        function_462278();
                        // branch -> 0x462f44
                    }
                    // 0x462f44
                    if (*v13 == 15) {
                        // 0x462f4d
                        g8 = g8 & -256 | 147;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f5a;
                        function_462278();
                        // branch -> 0x462f5a
                    }
                    // 0x462f5a
                    if (*v13 == 16) {
                        // 0x462f63
                        g8 = g8 & -256 | 150;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f70;
                        function_462278();
                        // branch -> 0x462f70
                    }
                    // 0x462f70
                    g8 = v41 | g8 & -256 | 192;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f81;
                    function_462278();
                    // branch -> 0x46304f
                } else {
                    // 0x462f86
                    *v16 = 0x462f93;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462f9c
                        g8 = g8 & -256 | 133;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fa9;
                        function_462278();
                        // branch -> 0x462fa9
                    }
                    // 0x462fa9
                    if (*v13 == 12) {
                        // 0x462fb2
                        g8 = g8 & -256 | 132;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fbf;
                        function_462278();
                        // branch -> 0x462fbf
                    }
                    // 0x462fbf
                    if (*v13 == 13) {
                        // 0x462fc8
                        g8 = g8 & -256 | 131;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fd5;
                        function_462278();
                        // branch -> 0x462fd5
                    }
                    // 0x462fd5
                    if (*v13 == 14) {
                        // 0x462fde
                        g8 = g8 & -256 | 134;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462feb;
                        function_462278();
                        // branch -> 0x462feb
                    }
                    // 0x462feb
                    if (*v13 == 15) {
                        // 0x462ff4
                        g8 = g8 & -256 | 135;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463001;
                        function_462278();
                        // branch -> 0x463001
                    }
                    // 0x463001
                    if (*v13 == 16) {
                        // 0x46300a
                        g8 = g8 & -256 | 130;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463017;
                        function_462278();
                        // branch -> 0x463017
                    }
                    // 0x463017
                    v36 = g11;
                    *(int32_t *)(v36 - 4) = 1;
                    *(int32_t *)(v36 - 8) = 0;
                    *(int32_t *)(v36 - 12) = 0;
                    *(int32_t *)(v36 - 16) = v2->e2;
                    v23 = v36 - 20;
                    *(int32_t *)v23 = v2->e3;
                    g11 = v23;
                    g6 = v2->e1;
                    g8 = *(int32_t *)(*v15 + 8);
                    g3 = *(int32_t *)(v4 + 12);
                    *(int32_t *)(v36 - 24) = 0x463045;
                    function_461c30();
                    v17 = (int32_t *)(*v15 + 8);
                    *v17 = *v17 + 4;
                    // branch -> 0x46304f
                }
                // 0x46304f
                g8 = (int32_t)v25;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x46305d;
                function_46a30c();
                v40 = v25;
                v39 = (int32_t)v40;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x463066
                    v40->e0 = v41;
                    // branch -> 0x4632f1
                } else {
                    // 0x463073
                    *(char *)(v39 + 21) = 1;
                    // branch -> 0x4632f1
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // 0x462e11
            if (v26 == 0) {
                // 0x462e17
                g8 = v8;
                g3 = *v12;
                v14 = (int32_t *)(g11 - 4);
                if (v43 == 3) {
                    // 0x462e1d
                    *v14 = 0x462e2e;
                    function_46b524();
                    // branch -> 0x462e41
                } else {
                    // 0x462e30
                    *v14 = 0x462e41;
                    function_46b59c();
                    // branch -> 0x462e41
                }
                // 0x462e41
                g6 = &v30;
                g8 = v8;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462e52;
                function_469f40();
                v41 = v31;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462e5b
                    g8 = v4 + 0x18d0;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e6c;
                    function_469c8c();
                    v37 = g3;
                    g6 = g6 & -256 | v37;
                    g8 = g8 & -256 | v37;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e80;
                    function_46ad58();
                    v41 = v37;
                    // branch -> 0x462e80
                }
                // 0x462e80
                g8 = 1;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462e90;
                function_46bac4();
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ea1;
                function_46a30c();
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ea9;
                function_469fd8();
                v38 = g3;
                v7 = 5;
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ec7;
                function_46b614();
                g8 = v38;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ed2;
                function_46a0a0();
                g8 = g8 & -256 | 15;
                v15 = (int32_t *)(v4 + 8);
                g3 = *v15;
                v16 = (int32_t *)(g11 - 4);
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462edf
                    *v16 = 0x462eec;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462ef5
                        g8 = g8 & -256 | 148;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f02;
                        function_462278();
                        // branch -> 0x462f02
                    }
                    // 0x462f02
                    if (*v13 == 12) {
                        // 0x462f0b
                        g8 = g8 & -256 | 149;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f18;
                        function_462278();
                        // branch -> 0x462f18
                    }
                    // 0x462f18
                    if (*v13 == 13) {
                        // 0x462f21
                        g8 = g8 & -256 | 146;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f2e;
                        function_462278();
                        // branch -> 0x462f2e
                    }
                    // 0x462f2e
                    if (*v13 == 14) {
                        // 0x462f37
                        g8 = g8 & -256 | 151;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f44;
                        function_462278();
                        // branch -> 0x462f44
                    }
                    // 0x462f44
                    if (*v13 == 15) {
                        // 0x462f4d
                        g8 = g8 & -256 | 147;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f5a;
                        function_462278();
                        // branch -> 0x462f5a
                    }
                    // 0x462f5a
                    if (*v13 == 16) {
                        // 0x462f63
                        g8 = g8 & -256 | 150;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f70;
                        function_462278();
                        // branch -> 0x462f70
                    }
                    // 0x462f70
                    g8 = v41 | g8 & -256 | 192;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f81;
                    function_462278();
                    // branch -> 0x46304f
                } else {
                    // 0x462f86
                    *v16 = 0x462f93;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462f9c
                        g8 = g8 & -256 | 133;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fa9;
                        function_462278();
                        // branch -> 0x462fa9
                    }
                    // 0x462fa9
                    if (*v13 == 12) {
                        // 0x462fb2
                        g8 = g8 & -256 | 132;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fbf;
                        function_462278();
                        // branch -> 0x462fbf
                    }
                    // 0x462fbf
                    if (*v13 == 13) {
                        // 0x462fc8
                        g8 = g8 & -256 | 131;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fd5;
                        function_462278();
                        // branch -> 0x462fd5
                    }
                    // 0x462fd5
                    if (*v13 == 14) {
                        // 0x462fde
                        g8 = g8 & -256 | 134;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462feb;
                        function_462278();
                        // branch -> 0x462feb
                    }
                    // 0x462feb
                    if (*v13 == 15) {
                        // 0x462ff4
                        g8 = g8 & -256 | 135;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463001;
                        function_462278();
                        // branch -> 0x463001
                    }
                    // 0x463001
                    if (*v13 == 16) {
                        // 0x46300a
                        g8 = g8 & -256 | 130;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463017;
                        function_462278();
                        // branch -> 0x463017
                    }
                    // 0x463017
                    v36 = g11;
                    *(int32_t *)(v36 - 4) = 1;
                    *(int32_t *)(v36 - 8) = 0;
                    *(int32_t *)(v36 - 12) = 0;
                    *(int32_t *)(v36 - 16) = v2->e2;
                    v23 = v36 - 20;
                    *(int32_t *)v23 = v2->e3;
                    g11 = v23;
                    g6 = v2->e1;
                    g8 = *(int32_t *)(*v15 + 8);
                    g3 = *(int32_t *)(v4 + 12);
                    *(int32_t *)(v36 - 24) = 0x463045;
                    function_461c30();
                    v17 = (int32_t *)(*v15 + 8);
                    *v17 = *v17 + 4;
                    // branch -> 0x46304f
                }
                // 0x46304f
                g8 = (int32_t)v25;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x46305d;
                function_46a30c();
                v40 = v25;
                v39 = (int32_t)v40;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x463066
                    v40->e0 = v41;
                    // branch -> 0x4632f1
                } else {
                    // 0x463073
                    *(char *)(v39 + 21) = 1;
                    // branch -> 0x4632f1
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // 0x462e41
            g6 = &v30;
            g8 = v8;
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x462e52;
            function_469f40();
            v41 = v31;
            if (*(char *)((int32_t)v2 + 1) == 0) {
                // 0x462e5b
                g8 = v4 + 0x18d0;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462e6c;
                function_469c8c();
                v37 = g3;
                g6 = g6 & -256 | v37;
                g8 = g8 & -256 | v37;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462e80;
                function_46ad58();
                v41 = v37;
                // branch -> 0x462e80
            }
            // 0x462e80
            g8 = 1;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x462e90;
            function_46bac4();
            g8 = v8;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x462ea1;
            function_46a30c();
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x462ea9;
            function_469fd8();
            v38 = g3;
            v7 = 5;
            g8 = v8;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x462ec7;
            function_46b614();
            g8 = v38;
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x462ed2;
            function_46a0a0();
            g8 = g8 & -256 | 15;
            v15 = (int32_t *)(v4 + 8);
            g3 = *v15;
            v16 = (int32_t *)(g11 - 4);
            if (*(char *)((int32_t)v2 + 1) == 0) {
                // 0x462edf
                *v16 = 0x462eec;
                function_462278();
                if (*v13 == 11) {
                    // 0x462ef5
                    g8 = g8 & -256 | 148;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f02;
                    function_462278();
                    // branch -> 0x462f02
                }
                // 0x462f02
                if (*v13 == 12) {
                    // 0x462f0b
                    g8 = g8 & -256 | 149;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f18;
                    function_462278();
                    // branch -> 0x462f18
                }
                // 0x462f18
                if (*v13 == 13) {
                    // 0x462f21
                    g8 = g8 & -256 | 146;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f2e;
                    function_462278();
                    // branch -> 0x462f2e
                }
                // 0x462f2e
                if (*v13 == 14) {
                    // 0x462f37
                    g8 = g8 & -256 | 151;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f44;
                    function_462278();
                    // branch -> 0x462f44
                }
                // 0x462f44
                if (*v13 == 15) {
                    // 0x462f4d
                    g8 = g8 & -256 | 147;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f5a;
                    function_462278();
                    // branch -> 0x462f5a
                }
                // 0x462f5a
                if (*v13 == 16) {
                    // 0x462f63
                    g8 = g8 & -256 | 150;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f70;
                    function_462278();
                    // branch -> 0x462f70
                }
                // 0x462f70
                g8 = v41 | g8 & -256 | 192;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462f81;
                function_462278();
                // branch -> 0x46304f
            } else {
                // 0x462f86
                *v16 = 0x462f93;
                function_462278();
                if (*v13 == 11) {
                    // 0x462f9c
                    g8 = g8 & -256 | 133;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462fa9;
                    function_462278();
                    // branch -> 0x462fa9
                }
                // 0x462fa9
                if (*v13 == 12) {
                    // 0x462fb2
                    g8 = g8 & -256 | 132;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462fbf;
                    function_462278();
                    // branch -> 0x462fbf
                }
                // 0x462fbf
                if (*v13 == 13) {
                    // 0x462fc8
                    g8 = g8 & -256 | 131;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462fd5;
                    function_462278();
                    // branch -> 0x462fd5
                }
                // 0x462fd5
                if (*v13 == 14) {
                    // 0x462fde
                    g8 = g8 & -256 | 134;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462feb;
                    function_462278();
                    // branch -> 0x462feb
                }
                // 0x462feb
                if (*v13 == 15) {
                    // 0x462ff4
                    g8 = g8 & -256 | 135;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x463001;
                    function_462278();
                    // branch -> 0x463001
                }
                // 0x463001
                if (*v13 == 16) {
                    // 0x46300a
                    g8 = g8 & -256 | 130;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x463017;
                    function_462278();
                    // branch -> 0x463017
                }
                // 0x463017
                v36 = g11;
                *(int32_t *)(v36 - 4) = 1;
                *(int32_t *)(v36 - 8) = 0;
                *(int32_t *)(v36 - 12) = 0;
                *(int32_t *)(v36 - 16) = v2->e2;
                v23 = v36 - 20;
                *(int32_t *)v23 = v2->e3;
                g11 = v23;
                g6 = v2->e1;
                g8 = *(int32_t *)(*v15 + 8);
                g3 = *(int32_t *)(v4 + 12);
                *(int32_t *)(v36 - 24) = 0x463045;
                function_461c30();
                v17 = (int32_t *)(*v15 + 8);
                *v17 = *v17 + 4;
                // branch -> 0x46304f
            }
            // 0x46304f
            g8 = (int32_t)v25;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x46305d;
            function_46a30c();
            v40 = v25;
            v39 = (int32_t)v40;
            if (*(char *)((int32_t)v2 + 1) == 0) {
                // 0x463066
                v40->e0 = v41;
                // branch -> 0x4632f1
            } else {
                // 0x463073
                *(char *)(v39 + 21) = 1;
                // branch -> 0x4632f1
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // Detected a possible infinite recursion (goto support failed); quitting...
    }
    // 0x462d01
    g8 = v6;
    g3 = v4;
    function_469f40();
    if (v35 != 0) {
        // 0x462d15
        if (v34 == 8) {
            // 0x462d1b
            g3 = *(int32_t *)(v4 + 16);
            System__AsClass(&v30, (int32_t *)0x4637dc);
            function_463ffc();
            // branch -> 0x462d71
        } else {
            // 0x462d46
            g3 = *(int32_t *)(v4 + 16);
            System__AsClass(&v30, (int32_t *)0x4637dc);
            function_463ffc();
            // branch -> 0x462d71
        }
        // 0x462d71
        v13 = (char *)(v3 + 13);
        g3 = (int32_t)*v13 | v3 & -256;
        function_459d30();
        if (g3 == 0) {
            // 0x46307f
            v11 = 0;
            g8 = *(int32_t *)(v3 + 8);
            g3 = v4;
            function_46816c();
            g3 = v4;
            function_462748();
            v42 = v27;
            if (v29 != 0) {
                // 0x4630be
                v24 = v28;
                if (v27 == 8) {
                    // 0x4630c4
                    g11 = (int32_t)&v32;
                    v32 = (int32_t *)(int32_t)(float32_t)(1.52587890625e-5 * v24);
                    g3 = *(int32_t *)(v4 + 16);
                    System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                    function_463ffc();
                    v42 = 3;
                    // branch -> 0x46311a
                } else {
                    // 0x4630ef
                    g11 = (int32_t)&v32;
                    v32 = (int32_t *)(int32_t)(float32_t)v24;
                    g3 = *(int32_t *)(v4 + 16);
                    System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                    function_463ffc();
                    v42 = 3;
                    // branch -> 0x46311a
                }
                // 0x46311a
                if (v42 == 8) {
                    // 0x463120
                    g8 = 3;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x463130;
                    function_463360();
                    // branch -> 0x463130
                }
                // 0x463130
                if (*v13 == 0) {
                    // 0x463139
                    g8 = v8;
                    g3 = *v12;
                    v18 = (int32_t *)(g11 - 4);
                    if (v42 == 3) {
                        // 0x46313f
                        *v18 = 0x463150;
                        function_46b704();
                        // branch -> 0x463208
                    } else {
                        // 0x463155
                        *v18 = 0x463166;
                        function_46b77c();
                        // branch -> 0x463208
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                } else {
                    // 0x46316b
                    if (*v13 == 1) {
                        // 0x463174
                        g8 = v8;
                        g3 = *v12;
                        v19 = (int32_t *)(g11 - 4);
                        if (v42 == 3) {
                            // 0x46317a
                            *v19 = 0x46318b;
                            function_46b7f4();
                            // branch -> 0x463208
                        } else {
                            // 0x46318d
                            *v19 = 0x46319e;
                            function_46b86c();
                            // branch -> 0x463208
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x4631a0
                        if (*v13 == 3) {
                            // 0x4631a9
                            g8 = v8;
                            g3 = *v12;
                            v20 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x4631af
                                *v20 = 0x4631c0;
                                function_46b8e4();
                                // branch -> 0x463208
                            } else {
                                // 0x4631c2
                                *v20 = 0x4631d3;
                                function_46b95c();
                                // branch -> 0x463208
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x4631d5
                            if (*v13 == 4) {
                                // 0x4631de
                                g8 = v8;
                                g3 = *v12;
                                v21 = (int32_t *)(g11 - 4);
                                if (v42 == 3) {
                                    // 0x4631e4
                                    *v21 = 0x4631f5;
                                    function_46b9d4();
                                    // branch -> 0x463208
                                } else {
                                    // 0x4631f7
                                    *v21 = 0x463208;
                                    function_46ba4c();
                                    // branch -> 0x463208
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // 0x46311a
            if (v42 == 8) {
                // 0x463120
                g8 = 3;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x463130;
                function_463360();
                // branch -> 0x463130
            }
            // 0x463130
            if (*v13 == 0) {
                // 0x463139
                g8 = v8;
                g3 = *v12;
                v18 = (int32_t *)(g11 - 4);
                if (v42 == 3) {
                    // 0x46313f
                    *v18 = 0x463150;
                    function_46b704();
                    // branch -> 0x463208
                } else {
                    // 0x463155
                    *v18 = 0x463166;
                    function_46b77c();
                    // branch -> 0x463208
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            } else {
                // 0x46316b
                if (*v13 == 1) {
                    // 0x463174
                    g8 = v8;
                    g3 = *v12;
                    v19 = (int32_t *)(g11 - 4);
                    if (v42 == 3) {
                        // 0x46317a
                        *v19 = 0x46318b;
                        function_46b7f4();
                        // branch -> 0x463208
                    } else {
                        // 0x46318d
                        *v19 = 0x46319e;
                        function_46b86c();
                        // branch -> 0x463208
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                } else {
                    // 0x4631a0
                    if (*v13 == 3) {
                        // 0x4631a9
                        g8 = v8;
                        g3 = *v12;
                        v20 = (int32_t *)(g11 - 4);
                        if (v42 == 3) {
                            // 0x4631af
                            *v20 = 0x4631c0;
                            function_46b8e4();
                            // branch -> 0x463208
                        } else {
                            // 0x4631c2
                            *v20 = 0x4631d3;
                            function_46b95c();
                            // branch -> 0x463208
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x4631d5
                        if (*v13 == 4) {
                            // 0x4631de
                            g8 = v8;
                            g3 = *v12;
                            v21 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x4631e4
                                *v21 = 0x4631f5;
                                function_46b9d4();
                                // branch -> 0x463208
                            } else {
                                // 0x4631f7
                                *v21 = 0x463208;
                                function_46ba4c();
                                // branch -> 0x463208
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        } else {
            // 0x462d84
            g8 = *(int32_t *)(v3 + 8);
            g3 = v4;
            function_46816c();
            g8 = v8;
            g3 = v4;
            function_462748();
            v43 = v27;
            if (v29 != 0) {
                // 0x462db5
                v22 = v28;
                if (v27 == 8) {
                    // 0x462dbb
                    g11 = (int32_t)&v32;
                    v32 = (int32_t *)(int32_t)(float32_t)(1.52587890625e-5 * v22);
                    g3 = *(int32_t *)(v4 + 16);
                    System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                    function_463ffc();
                    v43 = 3;
                    // branch -> 0x462e11
                } else {
                    // 0x462de6
                    g11 = (int32_t)&v32;
                    v32 = (int32_t *)(int32_t)(float32_t)v22;
                    g3 = *(int32_t *)(v4 + 16);
                    System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                    function_463ffc();
                    v43 = 3;
                    // branch -> 0x462e11
                }
                // 0x462e11
                if (v26 == 0) {
                    // 0x462e17
                    g8 = v8;
                    g3 = *v12;
                    v14 = (int32_t *)(g11 - 4);
                    if (v43 == 3) {
                        // 0x462e1d
                        *v14 = 0x462e2e;
                        function_46b524();
                        // branch -> 0x462e41
                    } else {
                        // 0x462e30
                        *v14 = 0x462e41;
                        function_46b59c();
                        // branch -> 0x462e41
                    }
                    // 0x462e41
                    g6 = &v30;
                    g8 = v8;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e52;
                    function_469f40();
                    v41 = v31;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462e5b
                        g8 = v4 + 0x18d0;
                        g3 = v4;
                        *(int32_t *)(g11 - 4) = 0x462e6c;
                        function_469c8c();
                        v37 = g3;
                        g6 = g6 & -256 | v37;
                        g8 = g8 & -256 | v37;
                        g3 = *v12;
                        *(int32_t *)(g11 - 4) = 0x462e80;
                        function_46ad58();
                        v41 = v37;
                        // branch -> 0x462e80
                    }
                    // 0x462e80
                    g8 = 1;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e90;
                    function_46bac4();
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ea1;
                    function_46a30c();
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ea9;
                    function_469fd8();
                    v38 = g3;
                    v7 = 5;
                    g8 = v8;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462ec7;
                    function_46b614();
                    g8 = v38;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462ed2;
                    function_46a0a0();
                    g8 = g8 & -256 | 15;
                    v15 = (int32_t *)(v4 + 8);
                    g3 = *v15;
                    v16 = (int32_t *)(g11 - 4);
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x462edf
                        *v16 = 0x462eec;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462ef5
                            g8 = g8 & -256 | 148;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f02;
                            function_462278();
                            // branch -> 0x462f02
                        }
                        // 0x462f02
                        if (*v13 == 12) {
                            // 0x462f0b
                            g8 = g8 & -256 | 149;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f18;
                            function_462278();
                            // branch -> 0x462f18
                        }
                        // 0x462f18
                        if (*v13 == 13) {
                            // 0x462f21
                            g8 = g8 & -256 | 146;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f2e;
                            function_462278();
                            // branch -> 0x462f2e
                        }
                        // 0x462f2e
                        if (*v13 == 14) {
                            // 0x462f37
                            g8 = g8 & -256 | 151;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f44;
                            function_462278();
                            // branch -> 0x462f44
                        }
                        // 0x462f44
                        if (*v13 == 15) {
                            // 0x462f4d
                            g8 = g8 & -256 | 147;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f5a;
                            function_462278();
                            // branch -> 0x462f5a
                        }
                        // 0x462f5a
                        if (*v13 == 16) {
                            // 0x462f63
                            g8 = g8 & -256 | 150;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462f70;
                            function_462278();
                            // branch -> 0x462f70
                        }
                        // 0x462f70
                        g8 = v41 | g8 & -256 | 192;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f81;
                        function_462278();
                        // branch -> 0x46304f
                    } else {
                        // 0x462f86
                        *v16 = 0x462f93;
                        function_462278();
                        if (*v13 == 11) {
                            // 0x462f9c
                            g8 = g8 & -256 | 133;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fa9;
                            function_462278();
                            // branch -> 0x462fa9
                        }
                        // 0x462fa9
                        if (*v13 == 12) {
                            // 0x462fb2
                            g8 = g8 & -256 | 132;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fbf;
                            function_462278();
                            // branch -> 0x462fbf
                        }
                        // 0x462fbf
                        if (*v13 == 13) {
                            // 0x462fc8
                            g8 = g8 & -256 | 131;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462fd5;
                            function_462278();
                            // branch -> 0x462fd5
                        }
                        // 0x462fd5
                        if (*v13 == 14) {
                            // 0x462fde
                            g8 = g8 & -256 | 134;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x462feb;
                            function_462278();
                            // branch -> 0x462feb
                        }
                        // 0x462feb
                        if (*v13 == 15) {
                            // 0x462ff4
                            g8 = g8 & -256 | 135;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463001;
                            function_462278();
                            // branch -> 0x463001
                        }
                        // 0x463001
                        if (*v13 == 16) {
                            // 0x46300a
                            g8 = g8 & -256 | 130;
                            g3 = *v15;
                            *(int32_t *)(g11 - 4) = 0x463017;
                            function_462278();
                            // branch -> 0x463017
                        }
                        // 0x463017
                        v36 = g11;
                        *(int32_t *)(v36 - 4) = 1;
                        *(int32_t *)(v36 - 8) = 0;
                        *(int32_t *)(v36 - 12) = 0;
                        *(int32_t *)(v36 - 16) = v2->e2;
                        v23 = v36 - 20;
                        *(int32_t *)v23 = v2->e3;
                        g11 = v23;
                        g6 = v2->e1;
                        g8 = *(int32_t *)(*v15 + 8);
                        g3 = *(int32_t *)(v4 + 12);
                        *(int32_t *)(v36 - 24) = 0x463045;
                        function_461c30();
                        v17 = (int32_t *)(*v15 + 8);
                        *v17 = *v17 + 4;
                        // branch -> 0x46304f
                    }
                    // 0x46304f
                    g8 = (int32_t)v25;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x46305d;
                    function_46a30c();
                    v40 = v25;
                    v39 = (int32_t)v40;
                    if (*(char *)((int32_t)v2 + 1) == 0) {
                        // 0x463066
                        v40->e0 = v41;
                        // branch -> 0x4632f1
                    } else {
                        // 0x463073
                        *(char *)(v39 + 21) = 1;
                        // branch -> 0x4632f1
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // 0x462e41
                g6 = &v30;
                g8 = v8;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462e52;
                function_469f40();
                v41 = v31;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462e5b
                    g8 = v4 + 0x18d0;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e6c;
                    function_469c8c();
                    v37 = g3;
                    g6 = g6 & -256 | v37;
                    g8 = g8 & -256 | v37;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e80;
                    function_46ad58();
                    v41 = v37;
                    // branch -> 0x462e80
                }
                // 0x462e80
                g8 = 1;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462e90;
                function_46bac4();
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ea1;
                function_46a30c();
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ea9;
                function_469fd8();
                v38 = g3;
                v7 = 5;
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ec7;
                function_46b614();
                g8 = v38;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ed2;
                function_46a0a0();
                g8 = g8 & -256 | 15;
                v15 = (int32_t *)(v4 + 8);
                g3 = *v15;
                v16 = (int32_t *)(g11 - 4);
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462edf
                    *v16 = 0x462eec;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462ef5
                        g8 = g8 & -256 | 148;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f02;
                        function_462278();
                        // branch -> 0x462f02
                    }
                    // 0x462f02
                    if (*v13 == 12) {
                        // 0x462f0b
                        g8 = g8 & -256 | 149;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f18;
                        function_462278();
                        // branch -> 0x462f18
                    }
                    // 0x462f18
                    if (*v13 == 13) {
                        // 0x462f21
                        g8 = g8 & -256 | 146;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f2e;
                        function_462278();
                        // branch -> 0x462f2e
                    }
                    // 0x462f2e
                    if (*v13 == 14) {
                        // 0x462f37
                        g8 = g8 & -256 | 151;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f44;
                        function_462278();
                        // branch -> 0x462f44
                    }
                    // 0x462f44
                    if (*v13 == 15) {
                        // 0x462f4d
                        g8 = g8 & -256 | 147;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f5a;
                        function_462278();
                        // branch -> 0x462f5a
                    }
                    // 0x462f5a
                    if (*v13 == 16) {
                        // 0x462f63
                        g8 = g8 & -256 | 150;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f70;
                        function_462278();
                        // branch -> 0x462f70
                    }
                    // 0x462f70
                    g8 = v41 | g8 & -256 | 192;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f81;
                    function_462278();
                    // branch -> 0x46304f
                } else {
                    // 0x462f86
                    *v16 = 0x462f93;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462f9c
                        g8 = g8 & -256 | 133;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fa9;
                        function_462278();
                        // branch -> 0x462fa9
                    }
                    // 0x462fa9
                    if (*v13 == 12) {
                        // 0x462fb2
                        g8 = g8 & -256 | 132;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fbf;
                        function_462278();
                        // branch -> 0x462fbf
                    }
                    // 0x462fbf
                    if (*v13 == 13) {
                        // 0x462fc8
                        g8 = g8 & -256 | 131;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fd5;
                        function_462278();
                        // branch -> 0x462fd5
                    }
                    // 0x462fd5
                    if (*v13 == 14) {
                        // 0x462fde
                        g8 = g8 & -256 | 134;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462feb;
                        function_462278();
                        // branch -> 0x462feb
                    }
                    // 0x462feb
                    if (*v13 == 15) {
                        // 0x462ff4
                        g8 = g8 & -256 | 135;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463001;
                        function_462278();
                        // branch -> 0x463001
                    }
                    // 0x463001
                    if (*v13 == 16) {
                        // 0x46300a
                        g8 = g8 & -256 | 130;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463017;
                        function_462278();
                        // branch -> 0x463017
                    }
                    // 0x463017
                    v36 = g11;
                    *(int32_t *)(v36 - 4) = 1;
                    *(int32_t *)(v36 - 8) = 0;
                    *(int32_t *)(v36 - 12) = 0;
                    *(int32_t *)(v36 - 16) = v2->e2;
                    v23 = v36 - 20;
                    *(int32_t *)v23 = v2->e3;
                    g11 = v23;
                    g6 = v2->e1;
                    g8 = *(int32_t *)(*v15 + 8);
                    g3 = *(int32_t *)(v4 + 12);
                    *(int32_t *)(v36 - 24) = 0x463045;
                    function_461c30();
                    v17 = (int32_t *)(*v15 + 8);
                    *v17 = *v17 + 4;
                    // branch -> 0x46304f
                }
                // 0x46304f
                g8 = (int32_t)v25;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x46305d;
                function_46a30c();
                v40 = v25;
                v39 = (int32_t)v40;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x463066
                    v40->e0 = v41;
                    // branch -> 0x4632f1
                } else {
                    // 0x463073
                    *(char *)(v39 + 21) = 1;
                    // branch -> 0x4632f1
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // 0x462e11
            if (v26 == 0) {
                // 0x462e17
                g8 = v8;
                g3 = *v12;
                v14 = (int32_t *)(g11 - 4);
                if (v43 == 3) {
                    // 0x462e1d
                    *v14 = 0x462e2e;
                    function_46b524();
                    // branch -> 0x462e41
                } else {
                    // 0x462e30
                    *v14 = 0x462e41;
                    function_46b59c();
                    // branch -> 0x462e41
                }
                // 0x462e41
                g6 = &v30;
                g8 = v8;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462e52;
                function_469f40();
                v41 = v31;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462e5b
                    g8 = v4 + 0x18d0;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e6c;
                    function_469c8c();
                    v37 = g3;
                    g6 = g6 & -256 | v37;
                    g8 = g8 & -256 | v37;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e80;
                    function_46ad58();
                    v41 = v37;
                    // branch -> 0x462e80
                }
                // 0x462e80
                g8 = 1;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462e90;
                function_46bac4();
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ea1;
                function_46a30c();
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ea9;
                function_469fd8();
                v38 = g3;
                v7 = 5;
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ec7;
                function_46b614();
                g8 = v38;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ed2;
                function_46a0a0();
                g8 = g8 & -256 | 15;
                v15 = (int32_t *)(v4 + 8);
                g3 = *v15;
                v16 = (int32_t *)(g11 - 4);
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462edf
                    *v16 = 0x462eec;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462ef5
                        g8 = g8 & -256 | 148;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f02;
                        function_462278();
                        // branch -> 0x462f02
                    }
                    // 0x462f02
                    if (*v13 == 12) {
                        // 0x462f0b
                        g8 = g8 & -256 | 149;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f18;
                        function_462278();
                        // branch -> 0x462f18
                    }
                    // 0x462f18
                    if (*v13 == 13) {
                        // 0x462f21
                        g8 = g8 & -256 | 146;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f2e;
                        function_462278();
                        // branch -> 0x462f2e
                    }
                    // 0x462f2e
                    if (*v13 == 14) {
                        // 0x462f37
                        g8 = g8 & -256 | 151;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f44;
                        function_462278();
                        // branch -> 0x462f44
                    }
                    // 0x462f44
                    if (*v13 == 15) {
                        // 0x462f4d
                        g8 = g8 & -256 | 147;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f5a;
                        function_462278();
                        // branch -> 0x462f5a
                    }
                    // 0x462f5a
                    if (*v13 == 16) {
                        // 0x462f63
                        g8 = g8 & -256 | 150;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f70;
                        function_462278();
                        // branch -> 0x462f70
                    }
                    // 0x462f70
                    g8 = v41 | g8 & -256 | 192;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f81;
                    function_462278();
                    // branch -> 0x46304f
                } else {
                    // 0x462f86
                    *v16 = 0x462f93;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462f9c
                        g8 = g8 & -256 | 133;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fa9;
                        function_462278();
                        // branch -> 0x462fa9
                    }
                    // 0x462fa9
                    if (*v13 == 12) {
                        // 0x462fb2
                        g8 = g8 & -256 | 132;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fbf;
                        function_462278();
                        // branch -> 0x462fbf
                    }
                    // 0x462fbf
                    if (*v13 == 13) {
                        // 0x462fc8
                        g8 = g8 & -256 | 131;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fd5;
                        function_462278();
                        // branch -> 0x462fd5
                    }
                    // 0x462fd5
                    if (*v13 == 14) {
                        // 0x462fde
                        g8 = g8 & -256 | 134;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462feb;
                        function_462278();
                        // branch -> 0x462feb
                    }
                    // 0x462feb
                    if (*v13 == 15) {
                        // 0x462ff4
                        g8 = g8 & -256 | 135;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463001;
                        function_462278();
                        // branch -> 0x463001
                    }
                    // 0x463001
                    if (*v13 == 16) {
                        // 0x46300a
                        g8 = g8 & -256 | 130;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463017;
                        function_462278();
                        // branch -> 0x463017
                    }
                    // 0x463017
                    v36 = g11;
                    *(int32_t *)(v36 - 4) = 1;
                    *(int32_t *)(v36 - 8) = 0;
                    *(int32_t *)(v36 - 12) = 0;
                    *(int32_t *)(v36 - 16) = v2->e2;
                    v23 = v36 - 20;
                    *(int32_t *)v23 = v2->e3;
                    g11 = v23;
                    g6 = v2->e1;
                    g8 = *(int32_t *)(*v15 + 8);
                    g3 = *(int32_t *)(v4 + 12);
                    *(int32_t *)(v36 - 24) = 0x463045;
                    function_461c30();
                    v17 = (int32_t *)(*v15 + 8);
                    *v17 = *v17 + 4;
                    // branch -> 0x46304f
                }
                // 0x46304f
                g8 = (int32_t)v25;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x46305d;
                function_46a30c();
                v40 = v25;
                v39 = (int32_t)v40;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x463066
                    v40->e0 = v41;
                    // branch -> 0x4632f1
                } else {
                    // 0x463073
                    *(char *)(v39 + 21) = 1;
                    // branch -> 0x4632f1
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // 0x462e41
            g6 = &v30;
            g8 = v8;
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x462e52;
            function_469f40();
            v41 = v31;
            if (*(char *)((int32_t)v2 + 1) == 0) {
                // 0x462e5b
                g8 = v4 + 0x18d0;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462e6c;
                function_469c8c();
                v37 = g3;
                g6 = g6 & -256 | v37;
                g8 = g8 & -256 | v37;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462e80;
                function_46ad58();
                v41 = v37;
                // branch -> 0x462e80
            }
            // 0x462e80
            g8 = 1;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x462e90;
            function_46bac4();
            g8 = v8;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x462ea1;
            function_46a30c();
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x462ea9;
            function_469fd8();
            v38 = g3;
            v7 = 5;
            g8 = v8;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x462ec7;
            function_46b614();
            g8 = v38;
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x462ed2;
            function_46a0a0();
            g8 = g8 & -256 | 15;
            v15 = (int32_t *)(v4 + 8);
            g3 = *v15;
            v16 = (int32_t *)(g11 - 4);
            if (*(char *)((int32_t)v2 + 1) == 0) {
                // 0x462edf
                *v16 = 0x462eec;
                function_462278();
                if (*v13 == 11) {
                    // 0x462ef5
                    g8 = g8 & -256 | 148;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f02;
                    function_462278();
                    // branch -> 0x462f02
                }
                // 0x462f02
                if (*v13 == 12) {
                    // 0x462f0b
                    g8 = g8 & -256 | 149;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f18;
                    function_462278();
                    // branch -> 0x462f18
                }
                // 0x462f18
                if (*v13 == 13) {
                    // 0x462f21
                    g8 = g8 & -256 | 146;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f2e;
                    function_462278();
                    // branch -> 0x462f2e
                }
                // 0x462f2e
                if (*v13 == 14) {
                    // 0x462f37
                    g8 = g8 & -256 | 151;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f44;
                    function_462278();
                    // branch -> 0x462f44
                }
                // 0x462f44
                if (*v13 == 15) {
                    // 0x462f4d
                    g8 = g8 & -256 | 147;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f5a;
                    function_462278();
                    // branch -> 0x462f5a
                }
                // 0x462f5a
                if (*v13 == 16) {
                    // 0x462f63
                    g8 = g8 & -256 | 150;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f70;
                    function_462278();
                    // branch -> 0x462f70
                }
                // 0x462f70
                g8 = v41 | g8 & -256 | 192;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462f81;
                function_462278();
                // branch -> 0x46304f
            } else {
                // 0x462f86
                *v16 = 0x462f93;
                function_462278();
                if (*v13 == 11) {
                    // 0x462f9c
                    g8 = g8 & -256 | 133;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462fa9;
                    function_462278();
                    // branch -> 0x462fa9
                }
                // 0x462fa9
                if (*v13 == 12) {
                    // 0x462fb2
                    g8 = g8 & -256 | 132;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462fbf;
                    function_462278();
                    // branch -> 0x462fbf
                }
                // 0x462fbf
                if (*v13 == 13) {
                    // 0x462fc8
                    g8 = g8 & -256 | 131;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462fd5;
                    function_462278();
                    // branch -> 0x462fd5
                }
                // 0x462fd5
                if (*v13 == 14) {
                    // 0x462fde
                    g8 = g8 & -256 | 134;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462feb;
                    function_462278();
                    // branch -> 0x462feb
                }
                // 0x462feb
                if (*v13 == 15) {
                    // 0x462ff4
                    g8 = g8 & -256 | 135;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x463001;
                    function_462278();
                    // branch -> 0x463001
                }
                // 0x463001
                if (*v13 == 16) {
                    // 0x46300a
                    g8 = g8 & -256 | 130;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x463017;
                    function_462278();
                    // branch -> 0x463017
                }
                // 0x463017
                v36 = g11;
                *(int32_t *)(v36 - 4) = 1;
                *(int32_t *)(v36 - 8) = 0;
                *(int32_t *)(v36 - 12) = 0;
                *(int32_t *)(v36 - 16) = v2->e2;
                v23 = v36 - 20;
                *(int32_t *)v23 = v2->e3;
                g11 = v23;
                g6 = v2->e1;
                g8 = *(int32_t *)(*v15 + 8);
                g3 = *(int32_t *)(v4 + 12);
                *(int32_t *)(v36 - 24) = 0x463045;
                function_461c30();
                v17 = (int32_t *)(*v15 + 8);
                *v17 = *v17 + 4;
                // branch -> 0x46304f
            }
            // 0x46304f
            g8 = (int32_t)v25;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x46305d;
            function_46a30c();
            v40 = v25;
            v39 = (int32_t)v40;
            if (*(char *)((int32_t)v2 + 1) == 0) {
                // 0x463066
                v40->e0 = v41;
                // branch -> 0x4632f1
            } else {
                // 0x463073
                *(char *)(v39 + 21) = 1;
                // branch -> 0x4632f1
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // Detected a possible infinite recursion (goto support failed); quitting...
    }
    // 0x462d71
    v13 = (char *)(v3 + 13);
    g3 = (int32_t)*v13 | v3 & -256;
    function_459d30();
    if (g3 == 0) {
        // 0x46307f
        v11 = 0;
        g8 = *(int32_t *)(v3 + 8);
        g3 = v4;
        function_46816c();
        g3 = v4;
        function_462748();
        v42 = v27;
        if (v29 != 0) {
            // 0x4630be
            v24 = v28;
            if (v27 == 8) {
                // 0x4630c4
                g11 = (int32_t)&v32;
                v32 = (int32_t *)(int32_t)(float32_t)(1.52587890625e-5 * v24);
                g3 = *(int32_t *)(v4 + 16);
                System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                function_463ffc();
                v42 = 3;
                // branch -> 0x46311a
            } else {
                // 0x4630ef
                g11 = (int32_t)&v32;
                v32 = (int32_t *)(int32_t)(float32_t)v24;
                g3 = *(int32_t *)(v4 + 16);
                System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                function_463ffc();
                v42 = 3;
                // branch -> 0x46311a
            }
            // 0x46311a
            if (v42 == 8) {
                // 0x463120
                g8 = 3;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x463130;
                function_463360();
                // branch -> 0x463130
            }
            // 0x463130
            if (*v13 == 0) {
                // 0x463139
                g8 = v8;
                g3 = *v12;
                v18 = (int32_t *)(g11 - 4);
                if (v42 == 3) {
                    // 0x46313f
                    *v18 = 0x463150;
                    function_46b704();
                    // branch -> 0x463208
                } else {
                    // 0x463155
                    *v18 = 0x463166;
                    function_46b77c();
                    // branch -> 0x463208
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            } else {
                // 0x46316b
                if (*v13 == 1) {
                    // 0x463174
                    g8 = v8;
                    g3 = *v12;
                    v19 = (int32_t *)(g11 - 4);
                    if (v42 == 3) {
                        // 0x46317a
                        *v19 = 0x46318b;
                        function_46b7f4();
                        // branch -> 0x463208
                    } else {
                        // 0x46318d
                        *v19 = 0x46319e;
                        function_46b86c();
                        // branch -> 0x463208
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                } else {
                    // 0x4631a0
                    if (*v13 == 3) {
                        // 0x4631a9
                        g8 = v8;
                        g3 = *v12;
                        v20 = (int32_t *)(g11 - 4);
                        if (v42 == 3) {
                            // 0x4631af
                            *v20 = 0x4631c0;
                            function_46b8e4();
                            // branch -> 0x463208
                        } else {
                            // 0x4631c2
                            *v20 = 0x4631d3;
                            function_46b95c();
                            // branch -> 0x463208
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x4631d5
                        if (*v13 == 4) {
                            // 0x4631de
                            g8 = v8;
                            g3 = *v12;
                            v21 = (int32_t *)(g11 - 4);
                            if (v42 == 3) {
                                // 0x4631e4
                                *v21 = 0x4631f5;
                                function_46b9d4();
                                // branch -> 0x463208
                            } else {
                                // 0x4631f7
                                *v21 = 0x463208;
                                function_46ba4c();
                                // branch -> 0x463208
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // 0x46311a
        if (v42 == 8) {
            // 0x463120
            g8 = 3;
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x463130;
            function_463360();
            // branch -> 0x463130
        }
        // 0x463130
        if (*v13 == 0) {
            // 0x463139
            g8 = v8;
            g3 = *v12;
            v18 = (int32_t *)(g11 - 4);
            if (v42 == 3) {
                // 0x46313f
                *v18 = 0x463150;
                function_46b704();
                // branch -> 0x463208
            } else {
                // 0x463155
                *v18 = 0x463166;
                function_46b77c();
                // branch -> 0x463208
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        } else {
            // 0x46316b
            if (*v13 == 1) {
                // 0x463174
                g8 = v8;
                g3 = *v12;
                v19 = (int32_t *)(g11 - 4);
                if (v42 == 3) {
                    // 0x46317a
                    *v19 = 0x46318b;
                    function_46b7f4();
                    // branch -> 0x463208
                } else {
                    // 0x46318d
                    *v19 = 0x46319e;
                    function_46b86c();
                    // branch -> 0x463208
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            } else {
                // 0x4631a0
                if (*v13 == 3) {
                    // 0x4631a9
                    g8 = v8;
                    g3 = *v12;
                    v20 = (int32_t *)(g11 - 4);
                    if (v42 == 3) {
                        // 0x4631af
                        *v20 = 0x4631c0;
                        function_46b8e4();
                        // branch -> 0x463208
                    } else {
                        // 0x4631c2
                        *v20 = 0x4631d3;
                        function_46b95c();
                        // branch -> 0x463208
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                } else {
                    // 0x4631d5
                    if (*v13 == 4) {
                        // 0x4631de
                        g8 = v8;
                        g3 = *v12;
                        v21 = (int32_t *)(g11 - 4);
                        if (v42 == 3) {
                            // 0x4631e4
                            *v21 = 0x4631f5;
                            function_46b9d4();
                            // branch -> 0x463208
                        } else {
                            // 0x4631f7
                            *v21 = 0x463208;
                            function_46ba4c();
                            // branch -> 0x463208
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // Detected a possible infinite recursion (goto support failed); quitting...
    } else {
        // 0x462d84
        g8 = *(int32_t *)(v3 + 8);
        g3 = v4;
        function_46816c();
        g8 = v8;
        g3 = v4;
        function_462748();
        v43 = v27;
        if (v29 != 0) {
            // 0x462db5
            v22 = v28;
            if (v27 == 8) {
                // 0x462dbb
                g11 = (int32_t)&v32;
                v32 = (int32_t *)(int32_t)(float32_t)(1.52587890625e-5 * v22);
                g3 = *(int32_t *)(v4 + 16);
                System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                function_463ffc();
                v43 = 3;
                // branch -> 0x462e11
            } else {
                // 0x462de6
                g11 = (int32_t)&v32;
                v32 = (int32_t *)(int32_t)(float32_t)v22;
                g3 = *(int32_t *)(v4 + 16);
                System__AsClass((int32_t *)&v11, (int32_t *)0x4637dc);
                function_463ffc();
                v43 = 3;
                // branch -> 0x462e11
            }
            // 0x462e11
            if (v26 == 0) {
                // 0x462e17
                g8 = v8;
                g3 = *v12;
                v14 = (int32_t *)(g11 - 4);
                if (v43 == 3) {
                    // 0x462e1d
                    *v14 = 0x462e2e;
                    function_46b524();
                    // branch -> 0x462e41
                } else {
                    // 0x462e30
                    *v14 = 0x462e41;
                    function_46b59c();
                    // branch -> 0x462e41
                }
                // 0x462e41
                g6 = &v30;
                g8 = v8;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462e52;
                function_469f40();
                v41 = v31;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462e5b
                    g8 = v4 + 0x18d0;
                    g3 = v4;
                    *(int32_t *)(g11 - 4) = 0x462e6c;
                    function_469c8c();
                    v37 = g3;
                    g6 = g6 & -256 | v37;
                    g8 = g8 & -256 | v37;
                    g3 = *v12;
                    *(int32_t *)(g11 - 4) = 0x462e80;
                    function_46ad58();
                    v41 = v37;
                    // branch -> 0x462e80
                }
                // 0x462e80
                g8 = 1;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462e90;
                function_46bac4();
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ea1;
                function_46a30c();
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ea9;
                function_469fd8();
                v38 = g3;
                v7 = 5;
                g8 = v8;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462ec7;
                function_46b614();
                g8 = v38;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462ed2;
                function_46a0a0();
                g8 = g8 & -256 | 15;
                v15 = (int32_t *)(v4 + 8);
                g3 = *v15;
                v16 = (int32_t *)(g11 - 4);
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x462edf
                    *v16 = 0x462eec;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462ef5
                        g8 = g8 & -256 | 148;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f02;
                        function_462278();
                        // branch -> 0x462f02
                    }
                    // 0x462f02
                    if (*v13 == 12) {
                        // 0x462f0b
                        g8 = g8 & -256 | 149;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f18;
                        function_462278();
                        // branch -> 0x462f18
                    }
                    // 0x462f18
                    if (*v13 == 13) {
                        // 0x462f21
                        g8 = g8 & -256 | 146;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f2e;
                        function_462278();
                        // branch -> 0x462f2e
                    }
                    // 0x462f2e
                    if (*v13 == 14) {
                        // 0x462f37
                        g8 = g8 & -256 | 151;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f44;
                        function_462278();
                        // branch -> 0x462f44
                    }
                    // 0x462f44
                    if (*v13 == 15) {
                        // 0x462f4d
                        g8 = g8 & -256 | 147;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f5a;
                        function_462278();
                        // branch -> 0x462f5a
                    }
                    // 0x462f5a
                    if (*v13 == 16) {
                        // 0x462f63
                        g8 = g8 & -256 | 150;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462f70;
                        function_462278();
                        // branch -> 0x462f70
                    }
                    // 0x462f70
                    g8 = v41 | g8 & -256 | 192;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f81;
                    function_462278();
                    // branch -> 0x46304f
                } else {
                    // 0x462f86
                    *v16 = 0x462f93;
                    function_462278();
                    if (*v13 == 11) {
                        // 0x462f9c
                        g8 = g8 & -256 | 133;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fa9;
                        function_462278();
                        // branch -> 0x462fa9
                    }
                    // 0x462fa9
                    if (*v13 == 12) {
                        // 0x462fb2
                        g8 = g8 & -256 | 132;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fbf;
                        function_462278();
                        // branch -> 0x462fbf
                    }
                    // 0x462fbf
                    if (*v13 == 13) {
                        // 0x462fc8
                        g8 = g8 & -256 | 131;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462fd5;
                        function_462278();
                        // branch -> 0x462fd5
                    }
                    // 0x462fd5
                    if (*v13 == 14) {
                        // 0x462fde
                        g8 = g8 & -256 | 134;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x462feb;
                        function_462278();
                        // branch -> 0x462feb
                    }
                    // 0x462feb
                    if (*v13 == 15) {
                        // 0x462ff4
                        g8 = g8 & -256 | 135;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463001;
                        function_462278();
                        // branch -> 0x463001
                    }
                    // 0x463001
                    if (*v13 == 16) {
                        // 0x46300a
                        g8 = g8 & -256 | 130;
                        g3 = *v15;
                        *(int32_t *)(g11 - 4) = 0x463017;
                        function_462278();
                        // branch -> 0x463017
                    }
                    // 0x463017
                    v36 = g11;
                    *(int32_t *)(v36 - 4) = 1;
                    *(int32_t *)(v36 - 8) = 0;
                    *(int32_t *)(v36 - 12) = 0;
                    *(int32_t *)(v36 - 16) = v2->e2;
                    v23 = v36 - 20;
                    *(int32_t *)v23 = v2->e3;
                    g11 = v23;
                    g6 = v2->e1;
                    g8 = *(int32_t *)(*v15 + 8);
                    g3 = *(int32_t *)(v4 + 12);
                    *(int32_t *)(v36 - 24) = 0x463045;
                    function_461c30();
                    v17 = (int32_t *)(*v15 + 8);
                    *v17 = *v17 + 4;
                    // branch -> 0x46304f
                }
                // 0x46304f
                g8 = (int32_t)v25;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x46305d;
                function_46a30c();
                v40 = v25;
                v39 = (int32_t)v40;
                if (*(char *)((int32_t)v2 + 1) == 0) {
                    // 0x463066
                    v40->e0 = v41;
                    // branch -> 0x4632f1
                } else {
                    // 0x463073
                    *(char *)(v39 + 21) = 1;
                    // branch -> 0x4632f1
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // 0x462e41
            g6 = &v30;
            g8 = v8;
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x462e52;
            function_469f40();
            v41 = v31;
            if (*(char *)((int32_t)v2 + 1) == 0) {
                // 0x462e5b
                g8 = v4 + 0x18d0;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462e6c;
                function_469c8c();
                v37 = g3;
                g6 = g6 & -256 | v37;
                g8 = g8 & -256 | v37;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462e80;
                function_46ad58();
                v41 = v37;
                // branch -> 0x462e80
            }
            // 0x462e80
            g8 = 1;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x462e90;
            function_46bac4();
            g8 = v8;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x462ea1;
            function_46a30c();
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x462ea9;
            function_469fd8();
            v38 = g3;
            v7 = 5;
            g8 = v8;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x462ec7;
            function_46b614();
            g8 = v38;
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x462ed2;
            function_46a0a0();
            g8 = g8 & -256 | 15;
            v15 = (int32_t *)(v4 + 8);
            g3 = *v15;
            v16 = (int32_t *)(g11 - 4);
            if (*(char *)((int32_t)v2 + 1) == 0) {
                // 0x462edf
                *v16 = 0x462eec;
                function_462278();
                if (*v13 == 11) {
                    // 0x462ef5
                    g8 = g8 & -256 | 148;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f02;
                    function_462278();
                    // branch -> 0x462f02
                }
                // 0x462f02
                if (*v13 == 12) {
                    // 0x462f0b
                    g8 = g8 & -256 | 149;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f18;
                    function_462278();
                    // branch -> 0x462f18
                }
                // 0x462f18
                if (*v13 == 13) {
                    // 0x462f21
                    g8 = g8 & -256 | 146;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f2e;
                    function_462278();
                    // branch -> 0x462f2e
                }
                // 0x462f2e
                if (*v13 == 14) {
                    // 0x462f37
                    g8 = g8 & -256 | 151;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f44;
                    function_462278();
                    // branch -> 0x462f44
                }
                // 0x462f44
                if (*v13 == 15) {
                    // 0x462f4d
                    g8 = g8 & -256 | 147;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f5a;
                    function_462278();
                    // branch -> 0x462f5a
                }
                // 0x462f5a
                if (*v13 == 16) {
                    // 0x462f63
                    g8 = g8 & -256 | 150;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f70;
                    function_462278();
                    // branch -> 0x462f70
                }
                // 0x462f70
                g8 = v41 | g8 & -256 | 192;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462f81;
                function_462278();
                // branch -> 0x46304f
            } else {
                // 0x462f86
                *v16 = 0x462f93;
                function_462278();
                if (*v13 == 11) {
                    // 0x462f9c
                    g8 = g8 & -256 | 133;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462fa9;
                    function_462278();
                    // branch -> 0x462fa9
                }
                // 0x462fa9
                if (*v13 == 12) {
                    // 0x462fb2
                    g8 = g8 & -256 | 132;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462fbf;
                    function_462278();
                    // branch -> 0x462fbf
                }
                // 0x462fbf
                if (*v13 == 13) {
                    // 0x462fc8
                    g8 = g8 & -256 | 131;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462fd5;
                    function_462278();
                    // branch -> 0x462fd5
                }
                // 0x462fd5
                if (*v13 == 14) {
                    // 0x462fde
                    g8 = g8 & -256 | 134;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462feb;
                    function_462278();
                    // branch -> 0x462feb
                }
                // 0x462feb
                if (*v13 == 15) {
                    // 0x462ff4
                    g8 = g8 & -256 | 135;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x463001;
                    function_462278();
                    // branch -> 0x463001
                }
                // 0x463001
                if (*v13 == 16) {
                    // 0x46300a
                    g8 = g8 & -256 | 130;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x463017;
                    function_462278();
                    // branch -> 0x463017
                }
                // 0x463017
                v36 = g11;
                *(int32_t *)(v36 - 4) = 1;
                *(int32_t *)(v36 - 8) = 0;
                *(int32_t *)(v36 - 12) = 0;
                *(int32_t *)(v36 - 16) = v2->e2;
                v23 = v36 - 20;
                *(int32_t *)v23 = v2->e3;
                g11 = v23;
                g6 = v2->e1;
                g8 = *(int32_t *)(*v15 + 8);
                g3 = *(int32_t *)(v4 + 12);
                *(int32_t *)(v36 - 24) = 0x463045;
                function_461c30();
                v17 = (int32_t *)(*v15 + 8);
                *v17 = *v17 + 4;
                // branch -> 0x46304f
            }
            // 0x46304f
            g8 = (int32_t)v25;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x46305d;
            function_46a30c();
            v40 = v25;
            v39 = (int32_t)v40;
            if (*(char *)((int32_t)v2 + 1) == 0) {
                // 0x463066
                v40->e0 = v41;
                // branch -> 0x4632f1
            } else {
                // 0x463073
                *(char *)(v39 + 21) = 1;
                // branch -> 0x4632f1
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // 0x462e11
        if (v26 == 0) {
            // 0x462e17
            g8 = v8;
            g3 = *v12;
            v14 = (int32_t *)(g11 - 4);
            if (v43 == 3) {
                // 0x462e1d
                *v14 = 0x462e2e;
                function_46b524();
                // branch -> 0x462e41
            } else {
                // 0x462e30
                *v14 = 0x462e41;
                function_46b59c();
                // branch -> 0x462e41
            }
            // 0x462e41
            g6 = &v30;
            g8 = v8;
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x462e52;
            function_469f40();
            v41 = v31;
            if (*(char *)((int32_t)v2 + 1) == 0) {
                // 0x462e5b
                g8 = v4 + 0x18d0;
                g3 = v4;
                *(int32_t *)(g11 - 4) = 0x462e6c;
                function_469c8c();
                v37 = g3;
                g6 = g6 & -256 | v37;
                g8 = g8 & -256 | v37;
                g3 = *v12;
                *(int32_t *)(g11 - 4) = 0x462e80;
                function_46ad58();
                v41 = v37;
                // branch -> 0x462e80
            }
            // 0x462e80
            g8 = 1;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x462e90;
            function_46bac4();
            g8 = v8;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x462ea1;
            function_46a30c();
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x462ea9;
            function_469fd8();
            v38 = g3;
            v7 = 5;
            g8 = v8;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x462ec7;
            function_46b614();
            g8 = v38;
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x462ed2;
            function_46a0a0();
            g8 = g8 & -256 | 15;
            v15 = (int32_t *)(v4 + 8);
            g3 = *v15;
            v16 = (int32_t *)(g11 - 4);
            if (*(char *)((int32_t)v2 + 1) == 0) {
                // 0x462edf
                *v16 = 0x462eec;
                function_462278();
                if (*v13 == 11) {
                    // 0x462ef5
                    g8 = g8 & -256 | 148;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f02;
                    function_462278();
                    // branch -> 0x462f02
                }
                // 0x462f02
                if (*v13 == 12) {
                    // 0x462f0b
                    g8 = g8 & -256 | 149;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f18;
                    function_462278();
                    // branch -> 0x462f18
                }
                // 0x462f18
                if (*v13 == 13) {
                    // 0x462f21
                    g8 = g8 & -256 | 146;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f2e;
                    function_462278();
                    // branch -> 0x462f2e
                }
                // 0x462f2e
                if (*v13 == 14) {
                    // 0x462f37
                    g8 = g8 & -256 | 151;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f44;
                    function_462278();
                    // branch -> 0x462f44
                }
                // 0x462f44
                if (*v13 == 15) {
                    // 0x462f4d
                    g8 = g8 & -256 | 147;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f5a;
                    function_462278();
                    // branch -> 0x462f5a
                }
                // 0x462f5a
                if (*v13 == 16) {
                    // 0x462f63
                    g8 = g8 & -256 | 150;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462f70;
                    function_462278();
                    // branch -> 0x462f70
                }
                // 0x462f70
                g8 = v41 | g8 & -256 | 192;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462f81;
                function_462278();
                // branch -> 0x46304f
            } else {
                // 0x462f86
                *v16 = 0x462f93;
                function_462278();
                if (*v13 == 11) {
                    // 0x462f9c
                    g8 = g8 & -256 | 133;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462fa9;
                    function_462278();
                    // branch -> 0x462fa9
                }
                // 0x462fa9
                if (*v13 == 12) {
                    // 0x462fb2
                    g8 = g8 & -256 | 132;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462fbf;
                    function_462278();
                    // branch -> 0x462fbf
                }
                // 0x462fbf
                if (*v13 == 13) {
                    // 0x462fc8
                    g8 = g8 & -256 | 131;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462fd5;
                    function_462278();
                    // branch -> 0x462fd5
                }
                // 0x462fd5
                if (*v13 == 14) {
                    // 0x462fde
                    g8 = g8 & -256 | 134;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x462feb;
                    function_462278();
                    // branch -> 0x462feb
                }
                // 0x462feb
                if (*v13 == 15) {
                    // 0x462ff4
                    g8 = g8 & -256 | 135;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x463001;
                    function_462278();
                    // branch -> 0x463001
                }
                // 0x463001
                if (*v13 == 16) {
                    // 0x46300a
                    g8 = g8 & -256 | 130;
                    g3 = *v15;
                    *(int32_t *)(g11 - 4) = 0x463017;
                    function_462278();
                    // branch -> 0x463017
                }
                // 0x463017
                v36 = g11;
                *(int32_t *)(v36 - 4) = 1;
                *(int32_t *)(v36 - 8) = 0;
                *(int32_t *)(v36 - 12) = 0;
                *(int32_t *)(v36 - 16) = v2->e2;
                v23 = v36 - 20;
                *(int32_t *)v23 = v2->e3;
                g11 = v23;
                g6 = v2->e1;
                g8 = *(int32_t *)(*v15 + 8);
                g3 = *(int32_t *)(v4 + 12);
                *(int32_t *)(v36 - 24) = 0x463045;
                function_461c30();
                v17 = (int32_t *)(*v15 + 8);
                *v17 = *v17 + 4;
                // branch -> 0x46304f
            }
            // 0x46304f
            g8 = (int32_t)v25;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x46305d;
            function_46a30c();
            v40 = v25;
            v39 = (int32_t)v40;
            if (*(char *)((int32_t)v2 + 1) == 0) {
                // 0x463066
                v40->e0 = v41;
                // branch -> 0x4632f1
            } else {
                // 0x463073
                *(char *)(v39 + 21) = 1;
                // branch -> 0x4632f1
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // 0x462e41
        g6 = &v30;
        g8 = v8;
        g3 = v4;
        *(int32_t *)(g11 - 4) = 0x462e52;
        function_469f40();
        v41 = v31;
        if (*(char *)((int32_t)v2 + 1) == 0) {
            // 0x462e5b
            g8 = v4 + 0x18d0;
            g3 = v4;
            *(int32_t *)(g11 - 4) = 0x462e6c;
            function_469c8c();
            v37 = g3;
            g6 = g6 & -256 | v37;
            g8 = g8 & -256 | v37;
            g3 = *v12;
            *(int32_t *)(g11 - 4) = 0x462e80;
            function_46ad58();
            v41 = v37;
            // branch -> 0x462e80
        }
        // 0x462e80
        g8 = 1;
        g3 = *v12;
        *(int32_t *)(g11 - 4) = 0x462e90;
        function_46bac4();
        g8 = v8;
        g3 = *v12;
        *(int32_t *)(g11 - 4) = 0x462ea1;
        function_46a30c();
        g3 = v4;
        *(int32_t *)(g11 - 4) = 0x462ea9;
        function_469fd8();
        v38 = g3;
        v7 = 5;
        g8 = v8;
        g3 = *v12;
        *(int32_t *)(g11 - 4) = 0x462ec7;
        function_46b614();
        g8 = v38;
        g3 = v4;
        *(int32_t *)(g11 - 4) = 0x462ed2;
        function_46a0a0();
        g8 = g8 & -256 | 15;
        v15 = (int32_t *)(v4 + 8);
        g3 = *v15;
        v16 = (int32_t *)(g11 - 4);
        if (*(char *)((int32_t)v2 + 1) == 0) {
            // 0x462edf
            *v16 = 0x462eec;
            function_462278();
            if (*v13 == 11) {
                // 0x462ef5
                g8 = g8 & -256 | 148;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462f02;
                function_462278();
                // branch -> 0x462f02
            }
            // 0x462f02
            if (*v13 == 12) {
                // 0x462f0b
                g8 = g8 & -256 | 149;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462f18;
                function_462278();
                // branch -> 0x462f18
            }
            // 0x462f18
            if (*v13 == 13) {
                // 0x462f21
                g8 = g8 & -256 | 146;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462f2e;
                function_462278();
                // branch -> 0x462f2e
            }
            // 0x462f2e
            if (*v13 == 14) {
                // 0x462f37
                g8 = g8 & -256 | 151;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462f44;
                function_462278();
                // branch -> 0x462f44
            }
            // 0x462f44
            if (*v13 == 15) {
                // 0x462f4d
                g8 = g8 & -256 | 147;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462f5a;
                function_462278();
                // branch -> 0x462f5a
            }
            // 0x462f5a
            if (*v13 == 16) {
                // 0x462f63
                g8 = g8 & -256 | 150;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462f70;
                function_462278();
                // branch -> 0x462f70
            }
            // 0x462f70
            g8 = v41 | g8 & -256 | 192;
            g3 = *v15;
            *(int32_t *)(g11 - 4) = 0x462f81;
            function_462278();
            // branch -> 0x46304f
        } else {
            // 0x462f86
            *v16 = 0x462f93;
            function_462278();
            if (*v13 == 11) {
                // 0x462f9c
                g8 = g8 & -256 | 133;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462fa9;
                function_462278();
                // branch -> 0x462fa9
            }
            // 0x462fa9
            if (*v13 == 12) {
                // 0x462fb2
                g8 = g8 & -256 | 132;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462fbf;
                function_462278();
                // branch -> 0x462fbf
            }
            // 0x462fbf
            if (*v13 == 13) {
                // 0x462fc8
                g8 = g8 & -256 | 131;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462fd5;
                function_462278();
                // branch -> 0x462fd5
            }
            // 0x462fd5
            if (*v13 == 14) {
                // 0x462fde
                g8 = g8 & -256 | 134;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x462feb;
                function_462278();
                // branch -> 0x462feb
            }
            // 0x462feb
            if (*v13 == 15) {
                // 0x462ff4
                g8 = g8 & -256 | 135;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x463001;
                function_462278();
                // branch -> 0x463001
            }
            // 0x463001
            if (*v13 == 16) {
                // 0x46300a
                g8 = g8 & -256 | 130;
                g3 = *v15;
                *(int32_t *)(g11 - 4) = 0x463017;
                function_462278();
                // branch -> 0x463017
            }
            // 0x463017
            v36 = g11;
            *(int32_t *)(v36 - 4) = 1;
            *(int32_t *)(v36 - 8) = 0;
            *(int32_t *)(v36 - 12) = 0;
            *(int32_t *)(v36 - 16) = v2->e2;
            v23 = v36 - 20;
            *(int32_t *)v23 = v2->e3;
            g11 = v23;
            g6 = v2->e1;
            g8 = *(int32_t *)(*v15 + 8);
            g3 = *(int32_t *)(v4 + 12);
            *(int32_t *)(v36 - 24) = 0x463045;
            function_461c30();
            v17 = (int32_t *)(*v15 + 8);
            *v17 = *v17 + 4;
            // branch -> 0x46304f
        }
        // 0x46304f
        g8 = (int32_t)v25;
        g3 = *v12;
        *(int32_t *)(g11 - 4) = 0x46305d;
        function_46a30c();
        v40 = v25;
        if (*(char *)((int32_t)v2 + 1) == 0) {
            // 0x463066
            v40->e0 = v41;
            // branch -> 0x4632f1
        } else {
            // 0x463073
            *(char *)((int32_t)v40 + 21) = 1;
            // branch -> 0x4632f1
        }
        // Detected a possible infinite recursion (goto support failed); quitting...
    }
    // Detected a possible infinite recursion (goto support failed); quitting...
}

// Address range: 0x463360 - 0x46384f
void function_463360(void) {
    int32_t v1;
    g4 = &v1;
    g5 = 0;
    int32_t * v2 = NULL; // bp-92
    int32_t v3 = g6; // 0x46336f
    struct struct_169 * v4 = (struct struct_169 *)v3; // bp-16
    int32_t v5 = g8; // 0x463372
    char v6 = v5; // 0x463372
    int32_t v7 = g3; // 0x463375
    int32_t v8;
    int32_t v9 = &v8; // 0x463378_0
    System__FinalizeRecord((char *)v3, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t * v10;
    g11 = (int32_t)&v10;
    int32_t v11 = (int32_t)v4; // 0x463394
    char * v12 = (char *)(v11 + 32); // 0x463397_0
    int32_t v13 = v11 & -256; // 0x463397
    if ((v13 | (int32_t)*v12) == v5) {
        // 0x4636b5
        g6 = (int32_t)v10;
        abort();
        // UNREACHABLE
    }
    // 0x4633a3
    int32_t * v14;
    if (v6 == 4) {
        // 0x4633a9
        v14 = (int32_t *)0x4636f4;
        g8 = (int32_t)&v2;
        g3 = (int32_t)*v12 | v13;
        function_459328();
        int32_t v15 = 0x463728;
        System__LStrCatN(g6);
        System__AsClass((int32_t *)g6, (int32_t *)0x4637dc);
        g3 = *(int32_t *)(*(int32_t *)(v7 + 16) + 12);
        g8 = (int32_t)NULL;
        g11 = &v15;
        function_45bf7c();
        // branch -> 0x4636b5
        // 0x4636b5
        g6 = (int32_t)v10;
        abort();
        // UNREACHABLE
    }
    // 0x4633f4
    if (v6 == 1 || v6 == 9 || *v12 == 9 || *v12 == 4) {
        // 0x4636b5
        g6 = (int32_t)v10;
        abort();
        // UNREACHABLE
    }
    // 0x46342c
    if (v6 != 7) {
        // 0x463436
        if (v6 == 0) {
            // 0x463440
            if (*v12 == 3) {
                // 0x463449
                g6 = v9;
                g8 = v11;
                g3 = v7;
                function_462b0c();
                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                *(char *)((int32_t)v4 + 32) = 0;
                // branch -> 0x4636b5
            } else {
                // 0x463474
                if (*v12 == 8) {
                    // 0x463481
                    g8 = v11;
                    g6 = -1;
                    g3 = v7;
                    function_4673b4();
                    int32_t v16 = g3; // 0x46348f
                    int32_t * v17 = (int32_t *)(v7 + 8); // 0x463495_0
                    g3 = *v17;
                    g8 = g8 & -256 | 193;
                    function_462278();
                    int32_t v18 = g8 & -256; // 0x46349f
                    g8 = (v18 | v16 & 255) - 8 & 255 | v18;
                    g3 = *v17;
                    function_462278();
                    g3 = *v17;
                    g8 = g8 & -256 | 16;
                    function_462278();
                    g8 = (int32_t)v4;
                    g3 = *(int32_t *)(v7 + 4);
                    function_46a30c();
                    v4->e0 = (char *)v16;
                    // branch -> 0x4636ac
                }
                // 0x4636ac
                *(char *)((int32_t)v4 + 32) = v6;
                // branch -> 0x4636b5
            }
            // 0x4636b5
            g6 = (int32_t)v10;
            abort();
            // UNREACHABLE
        }
        // 0x4634d8
        if (v6 == 3) {
            // 0x4634e2
            if (*v12 == 0) {
                // 0x4634eb
                g6 = v9;
                g8 = v11;
                g3 = v7;
                function_462a10();
                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                *(char *)((int32_t)v4 + 32) = 3;
                // branch -> 0x4636b5
            } else {
                // 0x463516
                if (*v12 == 8) {
                    // 0x463523
                    g8 = v11;
                    int32_t * v19 = (int32_t *)(v7 + 4); // 0x463529_0
                    g3 = *v19;
                    function_46b59c();
                    g8 = (int32_t)v4;
                    g3 = v7;
                    function_469f40();
                    g8 = v9;
                    g3 = *v19;
                    function_46a30c();
                    v14 = (int32_t *)0x47800000;
                    g11 = (int32_t)&v14;
                    g3 = *(int32_t *)(v7 + 16);
                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                    function_463ffc();
                    g3 = *v19;
                    g8 = v9;
                    function_46b9d4();
                    g8 = (int32_t)v4;
                    g3 = *v19;
                    function_46a30c();
                    *(int32_t *)v4 = 5;
                    g3 = v7;
                    function_469fd8();
                    int32_t v20 = (int32_t)v4; // 0x463598
                    g8 = v20;
                    *(int32_t *)(v20 + 16) = g3;
                    g3 = *v19;
                    function_46b614();
                    // branch -> 0x4636ac
                }
                // 0x4636ac
                *(char *)((int32_t)v4 + 32) = v6;
                // branch -> 0x4636b5
            }
            // 0x4636b5
            g6 = (int32_t)v10;
            abort();
            // UNREACHABLE
        }
        // 0x4635b1
        if (v6 == 8) {
            // 0x4635bb
            if (*v12 == 0) {
                // 0x4635c4
                g8 = v11;
                g6 = -1;
                g3 = v7;
                function_4673b4();
                int32_t v21 = g3; // 0x4635d2
                int32_t * v22 = (int32_t *)(v7 + 8); // 0x4635d8_0
                g3 = *v22;
                g8 = g8 & -256 | 193;
                function_462278();
                int32_t v23 = g8 & -256; // 0x4635e2
                g8 = (v23 | v21 & 255) - 32 & 255 | v23;
                g3 = *v22;
                function_462278();
                g3 = *v22;
                g8 = g8 & -256 | 16;
                function_462278();
                g8 = (int32_t)v4;
                g3 = *(int32_t *)(v7 + 4);
                function_46a30c();
                v4->e0 = (char *)v21;
                // branch -> 0x463616
            }
            int32_t v24 = (int32_t)v4; // 0x463616
            if (*(char *)(v24 + 32) == 3) {
                // 0x463623
                g8 = v24;
                int32_t * v25 = (int32_t *)(v7 + 4); // 0x463629_0
                g3 = *v25;
                function_46b524();
                g8 = (int32_t)v4;
                g3 = v7;
                function_469f40();
                g8 = v9;
                g3 = *v25;
                function_46a30c();
                v14 = (int32_t *)0x47800000;
                g11 = (int32_t)&v14;
                g3 = *(int32_t *)(v7 + 16);
                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                function_463ffc();
                g3 = *v25;
                g8 = v9;
                function_46b8e4();
                g8 = (int32_t)v4;
                g3 = *v25;
                function_46a30c();
                *(int32_t *)v4 = 5;
                g3 = v7;
                function_469fd8();
                int32_t v26 = (int32_t)v4; // 0x463698
                g8 = v26;
                *(int32_t *)(v26 + 16) = g3;
                g3 = *v25;
                function_46b68c();
                // branch -> 0x4636ac
            }
        }
        // 0x4636ac
        *(char *)((int32_t)v4 + 32) = v6;
        // branch -> 0x4636b5
        // 0x4636b5
        g6 = (int32_t)v10;
        abort();
        // UNREACHABLE
        // branch -> 0x4636b5
    }
    // 0x4636b5
    g6 = (int32_t)v10;
    abort();
    // UNREACHABLE
}

// Address range: 0x463850 - 0x4638bb
void function_463850(void) {
    int32_t v1 = g8; // 0x463856
    int32_t v2 = g3; // 0x463859
    int32_t * v3 = (int32_t *)(v2 + 40); // 0x46385f_0
    int32_t * v4 = (int32_t *)(v2 + 44); // 0x463865_0
    char * v5 = (char *)(*v4 + *v3); // 0x463868_0
    g3 = v1;
    int32_t v6 = function_404e18(v5); // 0x46386e
    System__LStrToPChar((char *)g6);
    g8 = v1;
    g3 = *v4 + *v3;
    g6 = v6;
    function_407924();
    g3 = v1;
    *v4 = *v4 + function_404e18(v5);
    *(char *)(*v4 + *v3) = 0;
    *v4 = *v4 + 1;
    int32_t v7;
    g4 = v7;
}

// Address range: 0x4638bc - 0x463913
void function_4638bc(void) {
    int32_t * v1 = (int32_t *)(g3 + 52); // 0x4638d8_0
    int32_t v2 = 12 * g8; // 0x4638db
    int32_t v3 = *(int32_t *)(*v1 + v2 + 4); // 0x4638eb
    System__LStrCopy(*(int32_t *)(v2 + 8 + *v1) - v3);
}

// Address range: 0x463914 - 0x46399f
void function_463914(void) {
    int32_t v1 = g8; // 0x46391a
    int32_t v2 = g3; // 0x46391d
    int32_t * v3 = (int32_t *)(v2 + 52); // 0x463923_0
    g3 = *v3;
    function_405b98();
    System__DynArraySetLength((char *)1, (char *)112, g3 + 1, (int32_t *)g3);
    int32_t * v4 = (int32_t *)(v2 + 4); // 0x46394f_0
    int32_t v5 = *(int32_t *)(*v4 + 8); // 0x463952
    int32_t v6 = *(int32_t *)(*v4 + 4); // 0x46395b
    int32_t v7 = 12 * g3; // 0x46396a
    *(int32_t *)(*v3 + v7) = v5 - v6;
    int32_t v8 = *(int32_t *)(v1 + 36); // 0x46397c
    *(int32_t *)(v7 + 4 + *v3) = v8;
    int32_t v9 = *v3; // 0x46398c
    g8 = v9;
    *(int32_t *)(v7 + 8 + v9) = *(int32_t *)(v1 + 40);
}

// Address range: 0x4639a0 - 0x463a2b
void function_4639a0(void) {
    int32_t v1 = g3; // 0x4639a9
    int32_t * v2 = (int32_t *)(v1 + 52); // 0x4639af_0
    g3 = *v2;
    function_405b98();
    g3 = *v2;
    function_405b98();
    int32_t v3 = g3 - 1; // 0x4639c6
    if (v3 < 1) {
        // 0x463a25
        return;
    }
    int32_t v4 = 1; // 0x463a1d1
    // branch -> 0x4639d5
    while (true) {
        uint32_t v5 = *(int32_t *)(*v2 + 12 * v4); // 0x4639e1
        int32_t v6 = v5 / 0x80000000; // 0x4639e4
        uint32_t v7 = *(int32_t *)(*(int32_t *)(v1 + 4) + 4); // 0x4639f3
        uint32_t v8 = g8 - v7; // 0x4639f8
        int32_t v9 = (int32_t)(g8 < v7) + (g8 >> 31); // 0x4639fb
        int32_t v10 = v9 - v6; // 0x463a01
        if (v9 != v6) {
            // 0x463a10
            if (!((v10 < 0 ^ ((v10 ^ v9) & (v9 ^ v6)) < 0))) {
                goto lab_0x463a1d;
            }
            // 0x463a14
            // branch -> 0x463a25
            // 0x463a25
            return;
        }
        // 0x463a07
        if (v8 >= v5) {
          lab_0x463a1d:;
            int32_t v11 = v3 - 1; // 0x463a20
            if (v11 == 0) {
                // break -> 0x463a25
                break;
            }
            v3 = v11;
            v4++;
            // continue -> 0x4639d5
            continue;
        }
        // 0x463a14
        // branch -> 0x463a25
        // 0x463a25
        return;
    }
    // 0x463a25
    // branch -> 0x463a25
}

// Address range: 0x463a2c - 0x463b47
void function_463a2c(void) {
    int32_t * v1;
    g11 = (int32_t)&v1;
    int32_t v2 = g8; // 0x463a32
    char v3 = 0;
    if (v2 != 0) {
        // 0x463a36
        int32_t v4;
        g11 = &v4;
        System__ClassCreate((int32_t *)g6, v2);
        v3 = g8;
        // branch -> 0x463a3e
    }
    int32_t v5 = g6; // 0x463a3e
    v1 = (int32_t *)v5;
    int32_t v6 = g3; // 0x463a44
    *(int32_t *)(v6 + 12) = *(int32_t *)(v5 + 32);
    int32_t v7 = (int32_t)v1; // 0x463a56
    *(int32_t *)(v6 + 8) = v7;
    g8 = v7 & -256 | 1;
    function_403c70();
    int32_t * v8 = (int32_t *)(v6 + 4); // 0x463a6b_0
    *v8 = 92;
    *(int32_t *)(*v8 + 12) = 0xfa000;
    Sysutils__AllocMem(g6);
    *(int32_t *)(*v8 + 4) = *(int32_t *)(*v8 + 12);
    *(int32_t *)(*v8 + 8) = *(int32_t *)(*v8 + 4);
    int32_t v9 = unknown_461aa0(); // 0x463aab
    int32_t * v10 = (int32_t *)(v6 + 20); // 0x463ab3_0
    *v10 = v9;
    int32_t v11 = *v8; // 0x463abf
    *(int32_t *)(v11 + 16) = *v10;
    g8 = v11 & -256 | 1;
    g3 = 0x4670bc;
    function_4670e4();
    int32_t * v12 = (int32_t *)(v6 + 16); // 0x463ade_0
    *v12 = g3;
    *(char *)(*(int32_t *)(*v12 + 4) + 12) = 0;
    Sysutils__AllocMem(*v8);
    *(int32_t *)(v6 + 40) = 0xfa000;
    *(int32_t *)(v6 + 44) = 0;
    g8 = 1;
    g3 = 0x46bb78;
    function_46c200();
    *(int32_t *)(v6 + 24) = g3;
    if (v3 == 0) {
        // 0x463b3f
        return;
    }
    // 0x463b30
    System__AfterConstruction(v1);
    abort();
    // UNREACHABLE
}

// Address range: 0x463b48 - 0x463d23
void function_463b48(void) {
    int32_t * v1 = (int32_t *)(g3 + 8); // 0x463b54_0
    int32_t v2 = *(int32_t *)(*(int32_t *)(*v1 + 28) + 8); // 0x463b5a
    char * v3; // 0x463c45_0
    int32_t v4; // 0x463c16
    int32_t v5; // 0x463c33
    int32_t v6; // 0x463c3c
    int32_t v7; // 0x463d125
    int32_t v8; // 0x463d151
    if (v2 >= 1) {
        int32_t v9 = 0; // 0x463d126
        // branch -> 0x463b71
        int32_t v10; // 0x463b9e
        while (true) {
            int32_t v11 = *(int32_t *)(*v1 + 28); // 0x463b77
            int32_t v12 = *(int32_t *)(*(int32_t *)(v11 + 4) + 4 * v9); // 0x463b80
            int32_t v13; // 0x463c04
            if (*(char *)(v12 + 8) == 3) {
                // 0x463b8f
                if (*(char *)(v12 + 44) != 0) {
                    int32_t * v14 = (int32_t *)(v12 + 108); // 0x463b9b_0
                    v10 = *(int32_t *)(*v14 + 8);
                    if (v10 >= 1) {
                        int32_t * v15 = (int32_t *)(v12 + 48); // 0x463be8_0
                        int32_t v16 = 0; // 0x463cd84
                        // branch -> 0x463bb1
                        while (true) {
                            int32_t v17 = *(int32_t *)(*(int32_t *)(*v14 + 4) + 4 * v16); // 0x463bbd
                            if (*(char *)(v17 + 8) == 6) {
                                // 0x463bcc
                                if (*(char *)(v17 + 92) != 0) {
                                    char * v18 = (char *)(v17 + 44); // 0x463bd8_0
                                    if (*v18 == 0) {
                                        // 0x463bde
                                        *v18 = 1;
                                        int32_t v19 = *(int32_t *)(v17 + 72); // 0x463bee
                                        *(int32_t *)(v17 + 48) = *(int32_t *)(v19 + *v15);
                                        // branch -> 0x463bf9
                                    }
                                }
                            }
                            int32_t v20 = v16 + 1; // 0x463bf9
                            int32_t v21 = v10 - 1; // 0x463bfc
                            if (v21 == 0) {
                                // break -> 0x463c01
                                break;
                            }
                            v10 = v21;
                            v16 = v20;
                            // continue -> 0x463bb1
                        }
                        // 0x463c01
                        v13 = v2 - 1;
                        if (v13 == 0) {
                            // break -> 0x463c0d
                            break;
                        }
                        v9++;
                        v2 = v13;
                        // continue -> 0x463b71
                        continue;
                    }
                }
            }
            // 0x463c01
            v13 = v2 - 1;
            if (v13 == 0) {
                // break -> 0x463c0d
                break;
            }
            v9++;
            v2 = v13;
            // continue -> 0x463b71
        }
        // 0x463c0d
        v4 = *(int32_t *)(*(int32_t *)(*v1 + 28) + 8);
        if (v4 < 1) {
            // 0x463d1e
            return;
        }
        // 0x463c22
        v7 = 0;
        v8 = v4;
        // branch -> 0x463c2d
        while (true) {
            // 0x463c2d
            v5 = *(int32_t *)(*v1 + 28);
            v6 = *(int32_t *)(*(int32_t *)(v5 + 4) + 4 * v7);
            v3 = (char *)(v6 + 8);
            if (*v3 == 3) {
              lab_0x463c4f:
                // 0x463c4f
                if (*(char *)(v6 + 44) != 0) {
                    // 0x463c58
                    unknown_461b3c();
                    // branch -> 0x463c7b
                }
                int32_t * v22 = (int32_t *)(v6 + 108); // 0x463c7e_0
                int32_t v23 = *(int32_t *)(*v22 + 8); // 0x463c81
                if (v23 >= 1) {
                    // 0x463c89
                    v10 = v23;
                    int32_t v24 = 0; // 0x463cd83
                    // branch -> 0x463c94
                    while (true) {
                        int32_t v25 = *(int32_t *)(*(int32_t *)(*v22 + 4) + 4 * v24); // 0x463ca0
                        int32_t v26 = v23; // 0x463cdb
                        if (*(char *)(v25 + 8) == 6) {
                            // 0x463caf
                            if (*(char *)(v25 + 44) != 0) {
                                // 0x463cb8
                                unknown_461b3c();
                                v26 = v10;
                                // branch -> 0x463cd8
                            } else {
                                v26 = v23;
                            }
                        }
                        int32_t v27 = v24 + 1; // 0x463cd8
                        int32_t v28 = v26 - 1; // 0x463cdb
                        v10 = v28;
                        if (v28 == 0) {
                            // break -> 0x463ce0
                            break;
                        }
                        v23 = v28;
                        v24 = v27;
                        // continue -> 0x463c94
                    }
                    // 0x463ce0
                    if (*v3 == 2) {
                      lab_0x463ce9:
                        // 0x463ce9
                        if (*(char *)(v6 + 44) != 0) {
                            // 0x463cf2
                            unknown_461b3c();
                            // branch -> 0x463d12
                        }
                    }
                  lab_0x463d12:;
                    int32_t v29 = v8 - 1; // 0x463d15
                    if (v29 == 0) {
                        // break -> 0x463d1e
                        break;
                    }
                    v7++;
                    v8 = v29;
                    // continue -> 0x463c2d
                    continue;
                }
            }
          lab_0x463ce0:
            // 0x463ce0
            if (*v3 == 2) {
                goto lab_0x463ce9;
            }
            goto lab_0x463d12;
        }
        // 0x463d1e
        return;
    }
    // 0x463c0d
    v4 = *(int32_t *)(*(int32_t *)(*v1 + 28) + 8);
    if (v4 < 1) {
        // 0x463d1e
        return;
    }
    // 0x463c22
    v7 = 0;
    v8 = v4;
    // branch -> 0x463c2d
    while (true) {
        // 0x463c2d
        v5 = *(int32_t *)(*v1 + 28);
        v6 = *(int32_t *)(*(int32_t *)(v5 + 4) + 4 * v7);
        v3 = (char *)(v6 + 8);
        if (*v3 == 3) {
            goto lab_0x463c4f;
        }
        goto lab_0x463ce0;
    }
}

// Address range: 0x463d24 - 0x463ecf
void function_463d24(void) {
    int32_t v1 = g8; // 0x463d2a
    int32_t v2 = g3; // 0x463d2d
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t * v3;
    g11 = (int32_t)&v3;
    int32_t * v4;
    if (*(char *)(v1 + 48) == 3) {
        int32_t * v5 = (int32_t *)(v1 + 52); // 0x463d61_0
        g3 = *v5;
        function_405b98();
        int32_t v6 = g3; // 0x463d69
        int32_t v7 = v6 - 1; // 0x463d69
        int32_t * v8 = (int32_t *)(v2 + 16);
        char v9 = 0; // 0x463e981
        if (v7 >= 1) {
            int32_t * v10 = (int32_t *)(v2 + 4); // 0x463dad_0
            char v11 = 0; // 0x463e982
            // branch -> 0x463d76
            while (true) {
                int32_t v12 = 3 * v7; // 0x463d79
                int32_t v13 = *v5; // 0x463d7f
                int32_t v14 = 12 * v7; // 0x463d82
                if (*(char *)(v13 + v14) == 0) {
                    int32_t v15 = *v5; // 0x463d91
                    g8 = (int32_t)*(char *)(v14 + 4 + v15) | v15 & -256;
                    g3 = *(int32_t *)(*v8 + 4);
                    function_46b214();
                    // branch -> 0x463df1
                } else {
                    // 0x463da8
                    g8 = v13 | 255;
                    g3 = *v10;
                    function_462278();
                    g8 = g8 & -256 | 116;
                    g3 = *v10;
                    function_462278();
                    g8 = g8 & -256 | 36;
                    g3 = *v10;
                    function_462278();
                    int32_t v16 = *v5; // 0x463dd8
                    unsigned char v17 = *(char *)(v14 + 8 + v16); // 0x463ddb
                    int32_t v18 = v16 & -256; // 0x463ddb
                    int32_t v19 = v12 & -256; // 0x463ddf
                    g8 = ((int32_t)v17 | v18) + ((v19 | (int32_t)v11) + 4 & 252 | v19) & 255 | v18;
                    g3 = *v10;
                    function_462278();
                    // branch -> 0x463df1
                }
                int32_t v20 = v7 - 1; // 0x463df5
                if (v20 == 0) {
                    // break -> 0x463e02
                    break;
                }
                v7 = v20;
                v11 += 4;
                // continue -> 0x463d76
            }
            // 0x463e02
            v9 = 4 * (char)(v6 + 254) + 4;
            // branch -> 0x463e02
        }
        // 0x463e02
        char v21;
        g8 = &v21;
        g3 = *(int32_t *)(*v8 + 4);
        function_46a30c();
        if (*(char *)*v5 == 0) {
            // 0x463e1e
            v21 = (char)*(int32_t *)(*v5 + 4);
            v4 = (int32_t *)&v21;
            g11 = (int32_t)&v4;
            g3 = *(int32_t *)(*v8 + 4);
            g6 = g6 & -256 | 1;
            int32_t v22;
            g8 = &v22;
            function_46ae10();
            // branch -> 0x463e71
        } else {
            // 0x463e42
            v21 = 4;
            v4 = (int32_t *)&v21;
            g11 = (int32_t)&v4;
            g3 = *(int32_t *)(*v8 + 4);
            g6 = g6 & -256 | 1;
            g8 = *v5 & -256 | 1;
            function_46ae10();
            // branch -> 0x463e71
        }
        // 0x463e71
        g8 |= 255;
        int32_t * v23 = (int32_t *)(v2 + 4); // 0x463e76_0
        g3 = *v23;
        function_462278();
        g8 = g8 & -256 | 116;
        g3 = *v23;
        function_462278();
        g8 = g8 & -256 | 36;
        g3 = *v23;
        function_462278();
        g8 = g8 & -256 | (int32_t)v9;
        g3 = *v23;
        function_462278();
        // branch -> 0x463ea6
    }
    // 0x463ea6
    g8 = (int32_t)v4;
    abort();
    // UNREACHABLE
}

// Address range: 0x463ed0 - 0x463f33
void function_463ed0(void) {
    int32_t v1 = g8; // 0x463ed6
    if (*(char *)(v1 + 48) == 3) {
        // 0x463ee5
        g8 = v1 & -256 | 194;
        int32_t * v2 = (int32_t *)(g3 + 4); // 0x463eea_0
        g3 = *v2;
        function_462278();
        int32_t v3 = v1 + 56; // 0x463ef5
        unsigned char v4 = *(char *)v3; // 0x463ef5
        int32_t v5 = g8 & -256; // 0x463ef5
        int32_t v6 = v1 + 32; // 0x463efb
        char v7 = *(char *)v6; // 0x463efb
        g8 = ((int32_t)v7 + (v5 | (int32_t)v4) & 255 | v5) + 4 & 255 | v5;
        g3 = *v2;
        function_462278();
        g8 = 0;
        g3 = *v2;
        function_462278();
        int32_t v8 = *(int32_t *)v6; // 0x463f22
        g8 = v1;
        *(int32_t *)(v1 + 72) = v8 + *(int32_t *)v3 + 4;
        // branch -> 0x463f2e
    }
}

// Address range: 0x463f34 - 0x463ffb
void function_463f34(void) {
    int32_t v1 = g3; // 0x463f3a
    int32_t * v2 = (int32_t *)(v1 + 8); // 0x463f40_0
    int32_t v3 = *(int32_t *)(*(int32_t *)(*v2 + 28) + 8); // 0x463f46
    int32_t v4; // 0x463f99
    int32_t v5; // 0x463fb2
    int32_t v6; // 0x463fb8
    int32_t v7; // 0x463fed3
    int32_t v8; // 0x463ff01
    if (v3 >= 1) {
        int32_t v9 = 0; // 0x463fed4
        // branch -> 0x463f59
        while (true) {
            int32_t v10 = *(int32_t *)(*v2 + 28); // 0x463f5f
            int32_t v11 = 4 * v9; // 0x463f68
            int32_t v12 = *(int32_t *)(*(int32_t *)(v10 + 4) + v11); // 0x463f68
            if (*(char *)(v12 + 8) == 3) {
                int32_t v13 = *(int32_t *)(*v2 + 28); // 0x463f77
                g8 = *(int32_t *)(*(int32_t *)(v13 + 4) + v11);
                g3 = v1;
                function_46402c();
                // branch -> 0x463f8b
            }
            int32_t v14 = v3 - 1; // 0x463f8e
            if (v14 == 0) {
                // break -> 0x463f93
                break;
            }
            v9++;
            v3 = v14;
            // continue -> 0x463f59
        }
        // 0x463f93
        v4 = *(int32_t *)(*v2 + 20);
        if (v4 < 1) {
            // 0x463ff5
            return;
        }
        // 0x463fa1
        v7 = 0;
        v8 = v4;
        // branch -> 0x463fac
        while (true) {
            // 0x463fac
            v5 = *(int32_t *)(*v2 + 4);
            v6 = 4 * v7;
            if (*(char *)(*(int32_t *)(v5 + v6) + 68) == 0) {
              lab_0x463fc1:
                // 0x463fc1
                *(int32_t *)(v1 + 36) = v7;
                *(int32_t *)(*(int32_t *)(v1 + 12) + 28) = v7;
                g8 = *(int32_t *)(*(int32_t *)(*v2 + 4) + v6);
                g3 = v1;
                function_464998();
                // branch -> 0x463fed
            }
          lab_0x463fed:;
            int32_t v15 = v8 - 1; // 0x463ff0
            if (v15 == 0) {
                // break -> 0x463ff5
                break;
            }
            v7++;
            v8 = v15;
            // continue -> 0x463fac
        }
        // 0x463ff5
        return;
    }
    // 0x463f93
    v4 = *(int32_t *)(*v2 + 20);
    if (v4 < 1) {
        // 0x463ff5
        return;
    }
    // 0x463fa1
    v7 = 0;
    v8 = v4;
    // branch -> 0x463fac
    while (true) {
        // 0x463fac
        v5 = *(int32_t *)(*v2 + 4);
        v6 = 4 * v7;
        if (*(char *)(*(int32_t *)(v5 + v6) + 68) == 0) {
            goto lab_0x463fc1;
        }
        goto lab_0x463fed;
    }
}

// Address range: 0x463ffc - 0x46402b
void function_463ffc(void) {
    int32_t v1 = g3; // 0x464002
    int32_t * v2 = (int32_t *)(v1 + 44); // 0x46400e_0
    int32_t v3 = *v2 + *(int32_t *)(v1 + 40); // 0x46400e
    int32_t v4;
    *(int32_t *)v3 = v4;
    *v2 = *v2 + 4;
    g3 = v3;
    g6 = v1;
    int32_t v5;
    g4 = v5;
}

// Address range: 0x46402c - 0x46419b
void function_46402c(void) {
    int32_t v1 = g8; // 0x464032
    int32_t v2 = g3; // 0x464035
    if (*(char *)(v1 + 97) == 0) {
        // 0x464045
        *(char *)(v1 + 44) = 1;
        int32_t * v3 = (int32_t *)(v2 + 40); // 0x46404f_0
        int32_t * v4 = (int32_t *)(v2 + 44); // 0x464055_0
        *(int32_t *)(v1 + 48) = *v4 + *v3;
        int32_t v5 = 0;
        g11 = &v5;
        unknown_461b3c();
        if (*(char *)(v2 + 48) == 0) {
            // 0x464090
            if (*(char *)(v1 + 93) != 0) {
                int32_t * v6 = (int32_t *)(v1 + 24); // 0x46409c_0
                if (*(char *)(*v6 + 44) != 0) {
                    // 0x4640a5
                    g3 = *v4 + *v3;
                    g6 = *(int32_t *)(*v6 + 76);
                    g8 = *(int32_t *)(*v6 + 48);
                    function_407924();
                    // branch -> 0x4640c8
                }
            }
        }
        int32_t v7 = *(int32_t *)(v1 + 76); // 0x4640cb
        int32_t * v8 = (int32_t *)(v1 + 108); // 0x4640d4_0
        int32_t v9 = *(int32_t *)(*v8 + 8); // 0x4640d7
        if (v9 >= 1) {
            // 0x4640e3
            int32_t v10;
            int32_t v11 = &v10; // 0x464146_0
            int32_t v12 = 0; // 0x4641732
            // branch -> 0x4640ee
            while (true) {
                int32_t v13 = *(int32_t *)(*v8 + 4); // 0x4640f4
                int32_t v14 = 4 * v12; // 0x4640fa
                if (*(char *)(*(int32_t *)(v13 + v14) + 8) == 6) {
                    int32_t v15 = *(int32_t *)(*v8 + 4); // 0x464109
                    if (*(char *)(*(int32_t *)(v15 + v14) + 93) == 0) {
                        int32_t v16 = *(int32_t *)(*v8 + 4); // 0x46411e
                        if (*(char *)(*(int32_t *)(v16 + v14) + 92) != 0) {
                            // 0x46412d
                            v10 = 0;
                            g11 = v11;
                            int32_t v17 = *(int32_t *)(*v8 + 4); // 0x46415a
                            int32_t v18 = *(int32_t *)(*(int32_t *)(v17 + v14) + 72); // 0x464163
                            g8 = v18 + *v4 + *v3;
                            g3 = *(int32_t *)(v2 + 20);
                            g6 = 0;
                            function_461c30();
                            // branch -> 0x464173
                        }
                    }
                }
                int32_t v19 = v9 - 1; // 0x464176
                if (v19 == 0) {
                    // break -> 0x46417f
                    break;
                }
                v12++;
                v9 = v19;
                // continue -> 0x4640ee
            }
            // 0x46417f
            *v4 = *v4 + v7;
            if (v7 == 0) {
                // 0x46418e
                *v4 = *v4 + 4;
                // branch -> 0x464195
            }
            // 0x464195
            return;
        }
        // 0x46417f
        *v4 = *v4 + v7;
        if (v7 == 0) {
            // 0x46418e
            *v4 = *v4 + 4;
            // branch -> 0x464195
        }
    }
}

// Address range: 0x46419c - 0x464703
void function_46419c(void) {
    // 0x46419c
    abort();
    // UNREACHABLE
}

// Address range: 0x464704 - 0x46483f
void function_464704(void) {
    int32_t v1; // bp-8
    g11 = &v1;
    int32_t v2 = g3; // 0x464708
    v1 = v2;
    g3 = *(int32_t *)(*(int32_t *)(v2 + 16) + 4);
    g8 = g8 & -256 | 7;
    function_46b1f0();
    g3 = *(int32_t *)(*(int32_t *)(v1 + 16) + 4);
    g8 = g8 & -256 | 6;
    function_46b1f0();
    g3 = *(int32_t *)(*(int32_t *)(v1 + 16) + 4);
    g8 = g8 & -256 | 3;
    function_46b1f0();
    int32_t v3 = v1; // 0x46473b
    g8 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v3 + 28) + 16) + 68);
    g3 = *(int32_t *)(v3 + 24);
    function_46c18c();
    int32_t v4 = v1; // 0x464752
    int32_t v5 = v4; // 0x464790
    if (*(char *)(v4 + 49) == 0) {
        int32_t v6 = 0;
        g11 = &v6;
        g8 = *(int32_t *)(*(int32_t *)(v4 + 4) + 8);
        unknown_461b3c();
        *(char *)(v1 + 49) = 1;
        v5 = v1;
        // branch -> 0x46478e
    }
    // 0x46478e
    g8 = g8 & -256 | 139;
    g3 = *(int32_t *)(v5 + 4);
    function_4622c0();
    g8 = g8 & -256 | 229;
    g3 = *(int32_t *)(v1 + 4);
    function_4622c0();
    g8 = g8 & -256 | 93;
    g3 = *(int32_t *)(v1 + 4);
    function_4622c0();
    int32_t v7 = v1; // 0x4647b5
    int32_t * v8 = (int32_t *)(v7 + 28); // 0x4647b8_0
    int32_t v9 = *v8; // 0x4647c4
    if (*(char *)(*v8 + 48) == 3) {
        // 0x4647c1
        g8 = v9;
        g3 = v7;
        function_463ed0();
        return;
    }
    int32_t v10 = g8 & -256; // 0x46481b
    if (*(int32_t *)(v9 + 32) < 1) {
        // 0x46481b
        g8 = v10 | 195;
        g3 = *(int32_t *)(v7 + 4);
        function_4622c0();
        // branch -> 0x464828
    } else {
        // 0x4647de
        g8 = v10 | 194;
        g3 = *(int32_t *)(v7 + 4);
        function_4622c0();
        g8 = g8 & -256 | (int32_t)*(char *)(*(int32_t *)(v1 + 28) + 32);
        g3 = *(int32_t *)(v1 + 4);
        function_4622c0();
        g8 = *(int32_t *)(*(int32_t *)(v1 + 28) + 32) / 256;
        g3 = *(int32_t *)(v1 + 4);
        function_4622c0();
        // branch -> 0x464828
    }
    int32_t * v11 = (int32_t *)(v1 + 28); // 0x46482b_0
    int32_t v12 = *v11; // 0x464834
    g8 = v12;
    *(int32_t *)(v12 + 72) = *(int32_t *)(*v11 + 32);
}

// Address range: 0x464840 - 0x464997
void function_464840(void) {
    int32_t v1 = g5; // bp-28
    int32_t v2 = &v1; // 0x464846_0
    g11 = v2;
    int32_t v3 = g8; // 0x464847
    int32_t v4 = g3; // 0x46484a
    int32_t * v5 = (int32_t *)(v4 + 4); // 0x464850_0
    int32_t v6 = *(int32_t *)(*v5 + 4); // 0x46485c
    *(int32_t *)(v3 + 24) = *(int32_t *)(*v5 + 8) - v6;
    int32_t v7 = *(int32_t *)(v3 + 20); // 0x46486c
    int32_t * v8; // 0x464919_0
    int32_t * v9; // 0x464942_0
    int32_t v10; // 0x46496e
    int32_t v11; // 0x46491f
    int32_t v12; // 0x464948
    int32_t v13; // 0x464968
    int32_t v14; // 0x464948
    int32_t v15; // 0x4649724
    int32_t v16; // 0x464975
    if (v7 >= 1) {
        int32_t * v17 = (int32_t *)(v3 + 16); // 0x464886_0
        int32_t * v18 = (int32_t *)(v4 + 12); // 0x464895_0
        int32_t v19 = 0; // 0x4649725
        // branch -> 0x464883
        while (true) {
            int32_t v20 = 4 * v19; // 0x46488c
            int32_t v21 = *(int32_t *)(*v17 + v20); // 0x46488c
            *(int32_t *)(*v18 + 32) = *(int32_t *)(v21 + 36);
            int32_t v22 = *(int32_t *)(*v17 + v20); // 0x4648a4
            *(int32_t *)(*v18 + 36) = *(int32_t *)(v22 + 40);
            g8 = *(int32_t *)(*v17 + v20);
            g3 = v4;
            function_464bfc();
            if (*(char *)(*(int32_t *)(*v17 + v20) + 32) == 8) {
                // 0x4648f9
                g3 = *(int32_t *)(v4 + 16);
                function_4672f8();
                g8 = v3;
                v8 = (int32_t *)(v3 + 28);
                *v8 = *(int32_t *)(*v5 + 8) - *(int32_t *)(*v5 + 4);
                v11 = *(int32_t *)(v3 + 44);
                if (v11 >= 1) {
                    // 0x464927
                    v9 = (int32_t *)(v3 + 40);
                    v15 = 0;
                    v14 = 4 * v15;
                    v12 = *(int32_t *)(*v9 + v14);
                    g11 = v2;
                    v13 = *(int32_t *)(*v9 + v14);
                    v10 = *v8 + 5 - (v13 + 4);
                    g8 = v10;
                    *(int32_t *)(v12 + *(int32_t *)(*v5 + 4)) = v10;
                    v16 = v11 - 1;
                    // branch -> 0x464932
                    while (v16 != 0) {
                        // 0x464932
                        v15++;
                        v14 = 4 * v15;
                        v12 = *(int32_t *)(*v9 + v14);
                        g11 = v2;
                        v13 = *(int32_t *)(*v9 + v14);
                        v10 = *v8 + 5 - (v13 + 4);
                        g8 = v10;
                        *(int32_t *)(v12 + *(int32_t *)(*v5 + 4)) = v10;
                        v16--;
                        // continue -> 0x464932
                    }
                    // 0x46497a
                    // branch -> 0x46497a
                }
                // 0x46497a
                if (*(char *)(v3 + 8) == 0) {
                    // 0x464983

                }
                // 0x464991
                g5 = v1;
                return;
            }
            // 0x4648df
            if (*(char *)(*(int32_t *)(*v17 + v20) + 32) != 7) {
                int32_t v23 = v7 - 1; // 0x4648f4
                if (v23 == 0) {
                    // break -> 0x4648f9
                    break;
                }
                v19++;
                v7 = v23;
                // continue -> 0x464883
                continue;
            }
            // 0x4648f9
            g3 = *(int32_t *)(v4 + 16);
            function_4672f8();
            g8 = v3;
            v8 = (int32_t *)(v3 + 28);
            *v8 = *(int32_t *)(*v5 + 8) - *(int32_t *)(*v5 + 4);
            v11 = *(int32_t *)(v3 + 44);
            if (v11 >= 1) {
                // 0x464927
                v9 = (int32_t *)(v3 + 40);
                v15 = 0;
                v14 = 4 * v15;
                v12 = *(int32_t *)(*v9 + v14);
                g11 = v2;
                v13 = *(int32_t *)(*v9 + v14);
                v10 = *v8 + 5 - (v13 + 4);
                g8 = v10;
                *(int32_t *)(v12 + *(int32_t *)(*v5 + 4)) = v10;
                v16 = v11 - 1;
                // branch -> 0x464932
                while (v16 != 0) {
                    // 0x464932
                    v15++;
                    v14 = 4 * v15;
                    v12 = *(int32_t *)(*v9 + v14);
                    g11 = v2;
                    v13 = *(int32_t *)(*v9 + v14);
                    v10 = *v8 + 5 - (v13 + 4);
                    g8 = v10;
                    *(int32_t *)(v12 + *(int32_t *)(*v5 + 4)) = v10;
                    v16--;
                    // continue -> 0x464932
                }
                // 0x46497a
                // branch -> 0x46497a
            }
            // 0x46497a
            if (*(char *)(v3 + 8) == 0) {
                // 0x464989
                g3 = v4;
                function_464704();
                // branch -> 0x464991
                // 0x464991
                g5 = v1;
                return;
            }
            // 0x464991
            g5 = v1;
            return;
        }
    }
    // 0x4648f9
    g3 = *(int32_t *)(v4 + 16);
    function_4672f8();
    g8 = v3;
    v8 = (int32_t *)(v3 + 28);
    *v8 = *(int32_t *)(*v5 + 8) - *(int32_t *)(*v5 + 4);
    v11 = *(int32_t *)(v3 + 44);
    if (v11 >= 1) {
        // 0x464927
        v9 = (int32_t *)(v3 + 40);
        v15 = 0;
        v14 = 4 * v15;
        v12 = *(int32_t *)(*v9 + v14);
        g11 = v2;
        v13 = *(int32_t *)(*v9 + v14);
        v10 = *v8 + 5 - (v13 + 4);
        g8 = v10;
        *(int32_t *)(v12 + *(int32_t *)(*v5 + 4)) = v10;
        v16 = v11 - 1;
        // branch -> 0x464932
        while (v16 != 0) {
            // 0x464932
            v15++;
            v14 = 4 * v15;
            v12 = *(int32_t *)(*v9 + v14);
            g11 = v2;
            v13 = *(int32_t *)(*v9 + v14);
            v10 = *v8 + 5 - (v13 + 4);
            g8 = v10;
            *(int32_t *)(v12 + *(int32_t *)(*v5 + 4)) = v10;
            v16--;
            // continue -> 0x464932
        }
        // 0x46497a
        // branch -> 0x46497a
    }
    // 0x46497a
    if (*(char *)(v3 + 8) == 0) {
        // 0x464989
        g3 = v4;
        function_464704();
        // branch -> 0x464991
    }
    // 0x464991
    g5 = v1;
}

// Address range: 0x464998 - 0x464bfb
void function_464998(void) {
    int32_t v1; // bp-12
    g11 = &v1;
    v1 = g8;
    int32_t v2 = g3; // 0x4649ab
    System__FinalizeRecord(NULL, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v3;
    int32_t v4 = (int32_t)(char *)&v3 + 1; // 0x4649cf
    // branch -> 0x4649cf
    while (v4 != 4) {
        // 0x4649cf
        v4 = (int32_t)(char *)v4 + 1;
        // continue -> 0x4649cf
    }
    // 0x4649d8
    *(char *)(v2 + 49) = 0;
    *(char *)(*(int32_t *)(v1 + 16) + 44) = 1;
    int32_t * v5 = (int32_t *)(v2 + 4); // 0x4649ec_0
    int32_t v6 = *(int32_t *)(v1 + 16); // 0x4649f5
    *(int32_t *)(v6 + 48) = *(int32_t *)(*v5 + 8);
    int32_t * v7 = (int32_t *)(v2 + 16); // 0x4649fe_0
    *(int32_t *)(*v7 + 0x18cc) = 0;
    *(int32_t *)(*v7 + 0x18c8) = 0;
    *(int32_t *)(*v7 + 0x18c4) = -4 - *(int32_t *)(v1 + 20);
    g6 = 0;
    unknown_461b3c();
    int32_t * v8 = (int32_t *)(v2 + 28); // 0x464a5a_0
    *v8 = v1;
    g8 = *v8;
    g3 = v2;
    function_463d24();
    g8 = g8 & -256 | 85;
    g3 = *v5;
    function_4622c0();
    g8 = g8 & -256 | 139;
    g3 = *v5;
    function_4622c0();
    g8 = g8 & -256 | 236;
    g3 = *v5;
    function_4622c0();
    g8 = g8 & -256 | 129;
    g3 = *v5;
    function_4622c0();
    g8 = g8 & -256 | 236;
    g3 = *v5;
    function_4622c0();
    int32_t v9 = 0;
    g11 = &v9;
    g8 = *(int32_t *)(*v5 + 8);
    g6 = 2;
    g3 = *(int32_t *)(v2 + 20);
    function_461c30();
    g8 = *(int32_t *)(v1 + 20);
    g3 = *v5;
    function_4622e4();
    g8 = *(int32_t *)(*(int32_t *)(v1 + 16) + 68);
    g3 = *(int32_t *)(v2 + 24);
    function_46c05c();
    g3 = *(int32_t *)(*v7 + 4);
    g8 = g8 & -256 | 3;
    function_46b214();
    g3 = *(int32_t *)(*v7 + 4);
    g8 = g8 & -256 | 6;
    function_46b214();
    g3 = *(int32_t *)(*v7 + 4);
    g8 = g8 & -256 | 7;
    function_46b214();
    int32_t v10 = v1; // 0x464b2c
    char * v11 = (char *)(v10 + 48); // 0x464b2f_0
    int32_t v12;
    int32_t v13;
    int32_t * v14;
    int32_t v15; // 0x464b80
    int32_t v16; // 0x464b87
    int32_t v17; // 0x464bbe
    int32_t v18; // 0x464bc4
    if (*v11 == 1) {
        // 0x464b3e
        g6 = &v12;
        g3 = *(int32_t *)(*v7 + 4);
        g8 = 1;
        function_46b3dc();
        g11 = (int32_t)&v14;
        g3 = *(int32_t *)(*v7 + 4);
        g6 = &v13;
        g8 = g8 & -256 | 7;
        function_46ae10();
        // branch -> 0x464b70
        // 0x464b70
        g8 = *(int32_t *)*(int32_t *)(v1 + 4);
        g3 = v2;
        *(int32_t *)(g11 - 4) = 0x464b80;
        function_464840();
        v15 = g11;
        *(int32_t *)(v15 - 4) = 0;
        *(int32_t *)(v15 - 8) = 0;
        v16 = *(int32_t *)(v1 + 16);
        *(int32_t *)(v15 - 12) = *(int32_t *)(v16 + 68);
        *(int32_t *)(v15 - 16) = 0;
        *(int32_t *)(v15 - 20) = 0x464bb5;
        unknown_461b3c();
        v17 = v1;
        v18 = *(int32_t *)(*(int32_t *)(v17 + 16) + 48);
        *(int32_t *)(v17 + 24) = *(int32_t *)(*v5 + 8) - v18;
        abort();
        // UNREACHABLE
    }
    // 0x464b35
    if (*v11 != 3) {
        // 0x464b70
        g8 = *(int32_t *)*(int32_t *)(v10 + 4);
        g3 = v2;
        *(int32_t *)(g11 - 4) = 0x464b80;
        function_464840();
        v15 = g11;
        *(int32_t *)(v15 - 4) = 0;
        *(int32_t *)(v15 - 8) = 0;
        v16 = *(int32_t *)(v1 + 16);
        *(int32_t *)(v15 - 12) = *(int32_t *)(v16 + 68);
        *(int32_t *)(v15 - 16) = 0;
        *(int32_t *)(v15 - 20) = 0x464bb5;
        unknown_461b3c();
        v17 = v1;
        v18 = *(int32_t *)(*(int32_t *)(v17 + 16) + 48);
        *(int32_t *)(v17 + 24) = *(int32_t *)(*v5 + 8) - v18;
        abort();
        // UNREACHABLE
    }
    // 0x464b3e
    g6 = &v12;
    g3 = *(int32_t *)(*v7 + 4);
    g8 = 1;
    function_46b3dc();
    g11 = (int32_t)&v14;
    g3 = *(int32_t *)(*v7 + 4);
    g6 = &v13;
    g8 = g8 & -256 | 7;
    function_46ae10();
    // branch -> 0x464b70
    // 0x464b70
    g8 = *(int32_t *)*(int32_t *)(v1 + 4);
    g3 = v2;
    *(int32_t *)(g11 - 4) = 0x464b80;
    function_464840();
    v15 = g11;
    *(int32_t *)(v15 - 4) = 0;
    *(int32_t *)(v15 - 8) = 0;
    v16 = *(int32_t *)(v1 + 16);
    *(int32_t *)(v15 - 12) = *(int32_t *)(v16 + 68);
    *(int32_t *)(v15 - 16) = 0;
    *(int32_t *)(v15 - 20) = 0x464bb5;
    unknown_461b3c();
    v17 = v1;
    v18 = *(int32_t *)(*(int32_t *)(v17 + 16) + 48);
    *(int32_t *)(v17 + 24) = *(int32_t *)(*v5 + 8) - v18;
    abort();
    // UNREACHABLE
}

// Address range: 0x464bfc - 0x4653e3
void function_464bfc(void) {
    int32_t v1 = g8; // bp-12
    int32_t v2 = g3; // 0x464c0e
    int32_t v3;
    int32_t v4 = &v3; // 0x464c11_0
    System__FinalizeRecord(NULL, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v5;
    g11 = &v5;
    if (*(char *)(v1 + 32) == 0) {
        // 0x46537d
        g11 += 12;
        abort();
        // UNREACHABLE
    }
    // 0x464c3a
    g8 = v1;
    g3 = v2;
    function_463914();
    char * v6 = (char *)(v1 + 32); // 0x464c48_0
    int32_t v7;
    if (*v6 == 7) {
        // 0x464c4e
        g8 = g8 & -256 | 233;
        int32_t * v8 = (int32_t *)(v2 + 4); // 0x464c53_0
        g3 = *v8;
        function_4622c0();
        v7 = *(int32_t *)(v1 + 24);
        g11 = &v7;
        g8 = *(int32_t *)(*v8 + 8);
        g6 = 4;
        g3 = *(int32_t *)(v2 + 20);
        function_461c30();
        int32_t * v9 = (int32_t *)(*v8 + 8); // 0x464c94_0
        *v9 = *v9 + 4;
        // branch -> 0x46537d
        // 0x46537d
        g11 += 12;
        abort();
        // UNREACHABLE
    }
    // 0x464c9d
    if (*v6 == 9) {
        // 0x464ca6
        g8 = g8 & -256 | 233;
        int32_t * v10 = (int32_t *)(v2 + 4); // 0x464cab_0
        g3 = *v10;
        function_4622c0();
        v7 = *(int32_t *)(v1 + 24);
        g11 = &v7;
        g8 = *(int32_t *)(*v10 + 8);
        g6 = 6;
        g3 = *(int32_t *)(v2 + 20);
        function_461c30();
        int32_t * v11 = (int32_t *)(*v10 + 8); // 0x464cec_0
        *v11 = *v11 + 4;
        // branch -> 0x46537d
        // 0x46537d
        g11 += 12;
        abort();
        // UNREACHABLE
    }
    int32_t v12 = v1; // 0x465180
    int32_t v13 = 0; // 0x464d6f1
    if (*v6 == 11) {
        int32_t * v14 = (int32_t *)*(int32_t *)(v1 + 4);
        g6 = (int32_t)&v14;
        g8 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v2 + 8) + 72) + 16);
        int32_t * v15 = (int32_t *)(v2 + 16); // 0x464d2e_0
        g3 = *v15;
        function_4676ac();
        int32_t v16;
        g8 = &v16;
        g3 = *v15;
        function_469f40();
        v12 = v1;
        int32_t v17;
        v13 = (int32_t)&v17 & -256;
        // branch -> 0x464d4a
    }
    char * v18 = (char *)(v12 + 32); // 0x464d4d_0
    if (*v18 == 8) {
        // 0x464d57
        if (*(int32_t *)(v12 + 4) != 0) {
            int32_t v19 = g11; // 0x464d60
            *(int32_t *)(v19 - 4) = 0;
            int32_t v20 = v19 - 8; // 0x464d65
            *(int32_t *)v20 = v4;
            g11 = v20;
            int32_t * v21 = (int32_t *)(v2 + 28); // 0x464d69_0
            int32_t v22 = *(int32_t *)(*v21 + 80); // 0x464d6c
            g6 = (int32_t)*(char *)(v22 + 9) | v13;
            int32_t * v23 = (int32_t *)(v2 + 16); // 0x464d7b_0
            *(int32_t *)(v19 - 12) = 0x464d83;
            unknown_468108();
            int32_t v24 = *(int32_t *)(*v21 + 80); // 0x464d89
            unsigned char v25 = *(char *)(v24 + 9); // 0x464d8c
            char v26;
            if (((int32_t)v25 || v24 & -256) != (int32_t)v26) {
                // 0x464d94
                g6 = v4;
                unsigned char v27 = *(char *)(*(int32_t *)(*v21 + 80) + 9); // 0x464da0
                g8 = *(int32_t *)(v1 + 4) & -256 | (int32_t)v27;
                g3 = *v23;
                *(int32_t *)(g11 - 4) = 0x464dae;
                function_463360();
                // branch -> 0x464dae
            }
            int32_t v28 = g11; // 0x464db1
            int32_t v29 = v28 - 4; // 0x464db1
            *(int32_t *)v29 = v4;
            g11 = v29;
            g3 = *(int32_t *)(*v23 + 4);
            g6 = g6 & -256 | 1;
            g8 = 0;
            *(int32_t *)(v28 - 8) = 0x464dc4;
            function_46ae10();
            g6 = -1;
            g8 = v4;
            g3 = *v23;
            *(int32_t *)(g11 - 4) = 0x464dd5;
            function_469f40();
            // branch -> 0x464dd5
        }
        // 0x464dd5
        g3 = v2;
        *(int32_t *)(g11 - 4) = 0x464ddd;
        function_464704();
        // branch -> 0x46537d
        // 0x46537d
        g11 += 12;
        abort();
        // UNREACHABLE
    }
    // 0x464de2
    int32_t v30; // 0x464e37
    int32_t v31;
    if (*v18 == 6) {
        int32_t v32 = g11; // 0x464def
        *(int32_t *)(v32 - 4) = 0;
        *(int32_t *)(v32 - 8) = 0;
        int32_t * v33 = (int32_t *)(v2 + 28); // 0x464df6_0
        int32_t v34 = *(int32_t *)(*v33 + 16); // 0x464df9
        *(int32_t *)(v32 - 12) = *(int32_t *)(v34 + 68);
        int32_t v35 = v32 - 16; // 0x464e06
        *(int32_t *)v35 = *(int32_t *)(v1 + 24);
        int32_t * v36 = (int32_t *)(v2 + 4); // 0x464e0a_0
        *(int32_t *)(v32 - 20) = 0x464e20;
        unknown_461b3c();
        *(int32_t *)(v35 - 4) = 0;
        *(int32_t *)(v35 - 8) = 0;
        int32_t v37 = *(int32_t *)(*v33 + 16); // 0x464e2a
        *(int32_t *)(v35 - 12) = *(int32_t *)(v37 + 68);
        v30 = v35 - 16;
        *(int32_t *)v30 = *(int32_t *)(v1 + 24);
        *(int32_t *)(v35 - 20) = 0x464e51;
        unknown_461b3c();
        int32_t v38 = &v31; // 0x464e51_0
        g8 = v38;
        int32_t * v39 = (int32_t *)(v2 + 16); // 0x464e57_0
        g3 = *(int32_t *)(*v39 + 4);
        *(int32_t *)(v30 - 4) = 0x464e62;
        function_46a2a0();
        *(int32_t *)(v30 - 4) = 0;
        *(int32_t *)(v30 - 8) = v4;
        g6 = v38;
        g8 = *(int32_t *)(v1 + 4);
        g3 = *v39;
        *(int32_t *)(v30 - 12) = 0x464e9f;
        function_46816c();
        int32_t v40 = g11; // 0x464e9f
        *(int32_t *)(v40 - 4) = 0;
        *(int32_t *)(v40 - 8) = 0;
        int32_t v41 = *(int32_t *)(*v33 + 16); // 0x464ea9
        *(int32_t *)(v40 - 12) = *(int32_t *)(v41 + 68);
        int32_t v42 = v40 - 16; // 0x464eb6
        *(int32_t *)v42 = *(int32_t *)(v1 + 24);
        *(int32_t *)(v40 - 20) = 0x464ed0;
        unknown_461b3c();
        int32_t v43 = *(int32_t *)(*v33 + 4); // 0x464ed6
        g8 = *(int32_t *)(4 * *(int32_t *)(v1 + 24) + v43);
        g3 = v2;
        *(int32_t *)(v42 - 4) = 0x464eea;
        function_464840();
        g8 = g8 & -256 | 233;
        g3 = *v36;
        *(int32_t *)(g11 - 4) = 0x464ef7;
        function_4622c0();
        *(int32_t *)(g11 - 4) = 1;
        *(int32_t *)(g11 - 8) = 0;
        *(int32_t *)(g11 - 12) = 0;
        int32_t v44 = *(int32_t *)(*v33 + 16); // 0x464f03
        *(int32_t *)(g11 - 16) = *(int32_t *)(v44 + 68);
        int32_t v45 = g11 - 20; // 0x464f10
        *(int32_t *)v45 = *(int32_t *)(v1 + 24);
        v30 = v45;
        g8 = *(int32_t *)(*v36 + 8);
        g6 = 5;
        g3 = *(int32_t *)(v2 + 20);
        *(int32_t *)(g11 - 24) = 0x464f2a;
        function_461c30();
        int32_t * v46 = (int32_t *)(*v36 + 8); // 0x464f30_0
        *v46 = *v46 + 4;
        *(int32_t *)(v30 - 4) = 0;
        *(int32_t *)(v30 - 8) = 0;
        int32_t v47 = *(int32_t *)(*v33 + 16); // 0x464f3e
        *(int32_t *)(v30 - 12) = *(int32_t *)(v47 + 68);
        int32_t v48 = v30 - 16; // 0x464f4b
        *(int32_t *)v48 = *(int32_t *)(v1 + 24);
        g11 = v48;
        *(int32_t *)(v30 - 20) = 0x464f65;
        unknown_461b3c();
        // branch -> 0x46537d
        // 0x46537d
        g11 += 12;
        abort();
        // UNREACHABLE
    }
    // 0x464f6a
    if (*v18 == 10) {
        // 0x464f77
        g8 = *(int32_t *)(v12 + 12);
        g3 = v2;
        *(int32_t *)(g11 - 4) = 0x464f85;
        function_464bfc();
        int32_t v49 = g11; // 0x464f85
        *(int32_t *)(v49 - 4) = 0;
        *(int32_t *)(v49 - 8) = 0;
        int32_t * v50 = (int32_t *)(v2 + 28); // 0x464f8c_0
        int32_t v51 = *(int32_t *)(*v50 + 16); // 0x464f8f
        *(int32_t *)(v49 - 12) = *(int32_t *)(v51 + 68);
        int32_t v52 = v49 - 16; // 0x464f9c
        *(int32_t *)v52 = *(int32_t *)(v1 + 24);
        v30 = v52;
        int32_t * v53 = (int32_t *)(v2 + 4); // 0x464fa0_0
        *(int32_t *)(v49 - 20) = 0x464fb6;
        unknown_461b3c();
        int32_t v54 = &v31; // 0x464fb6_0
        g8 = v54;
        int32_t * v55 = (int32_t *)(v2 + 16); // 0x464fbc_0
        g3 = *(int32_t *)(*v55 + 4);
        *(int32_t *)(v30 - 4) = 0x464fc7;
        function_46a2a0();
        *(int32_t *)(v30 - 4) = 0;
        *(int32_t *)(v30 - 8) = v4;
        g6 = v54;
        g8 = *(int32_t *)(v1 + 16);
        g3 = *v55;
        *(int32_t *)(v30 - 12) = 0x465004;
        function_46816c();
        int32_t v56 = g11; // 0x465004
        *(int32_t *)(v56 - 4) = 0;
        *(int32_t *)(v56 - 8) = 0;
        int32_t v57 = *(int32_t *)(*v50 + 16); // 0x46500e
        *(int32_t *)(v56 - 12) = *(int32_t *)(v57 + 68);
        int32_t v58 = v56 - 16; // 0x46501b
        *(int32_t *)v58 = *(int32_t *)(v1 + 24);
        *(int32_t *)(v56 - 20) = 0x465035;
        unknown_461b3c();
        int32_t v59 = *(int32_t *)(*v50 + 4); // 0x46503b
        g8 = *(int32_t *)(4 * *(int32_t *)(v1 + 24) + v59);
        g3 = v2;
        *(int32_t *)(v58 - 4) = 0x46504f;
        function_464840();
        int32_t v60 = g11; // 0x46504f
        *(int32_t *)(v60 - 4) = 0;
        *(int32_t *)(v60 - 8) = 0;
        int32_t v61 = *(int32_t *)(*v50 + 16); // 0x465059
        *(int32_t *)(v60 - 12) = *(int32_t *)(v61 + 68);
        int32_t v62 = v60 - 16; // 0x465066
        *(int32_t *)v62 = *(int32_t *)(v1 + 24);
        *(int32_t *)(v60 - 20) = 0x465080;
        unknown_461b3c();
        g8 = *(int32_t *)(v1 + 20);
        g3 = v2;
        *(int32_t *)(v62 - 4) = 0x46508e;
        function_464bfc();
        int32_t v63; // edx
        g8 = v63 & -256 | 233;
        g3 = *v53;
        *(int32_t *)(g11 - 4) = 0x46509b;
        function_4622c0();
        *(int32_t *)(g11 - 4) = 1;
        *(int32_t *)(g11 - 8) = 0;
        *(int32_t *)(g11 - 12) = 0;
        int32_t v64 = *(int32_t *)(*v50 + 16); // 0x4650a7
        *(int32_t *)(g11 - 16) = *(int32_t *)(v64 + 68);
        int32_t v65 = g11 - 20; // 0x4650b4
        *(int32_t *)v65 = *(int32_t *)(v1 + 24);
        v30 = v65;
        g8 = *(int32_t *)(*v53 + 8);
        g6 = 5;
        g3 = *(int32_t *)(v2 + 20);
        *(int32_t *)(g11 - 24) = 0x4650ce;
        function_461c30();
        int32_t * v66 = (int32_t *)(*v53 + 8); // 0x4650d4_0
        *v66 = *v66 + 4;
        *(int32_t *)(v30 - 4) = 0;
        *(int32_t *)(v30 - 8) = 0;
        int32_t v67 = *(int32_t *)(*v50 + 16); // 0x4650e2
        *(int32_t *)(v30 - 12) = *(int32_t *)(v67 + 68);
        int32_t v68 = v30 - 16; // 0x4650ef
        *(int32_t *)v68 = *(int32_t *)(v1 + 24);
        g11 = v68;
        *(int32_t *)(v30 - 20) = 0x465109;
        unknown_461b3c();
        // branch -> 0x46537d
        // 0x46537d
        g11 += 12;
        abort();
        // UNREACHABLE
    }
    // 0x46510e
    if (*v18 != 5) {
        // 0x465337
        if (*v18 != 1) {
            // 0x465344
            if (*v18 != 3) {
                // 0x46534d
                if (*v18 != 4) {
                    // 0x465356
                    if (*v18 != 2) {
                        // 0x46537d
                        g11 += 12;
                        abort();
                        // UNREACHABLE
                    }
                }
            }
        }
        int32_t v69 = g11; // 0x465365
        int32_t v70 = v69 - 4; // 0x465365
        *(int32_t *)v70 = (int32_t)*v18 | v12 & -256;
        g11 = v70;
        int32_t v71 = *(int32_t *)(v1 + 8); // 0x465369
        int32_t v72 = *(int32_t *)(v1 + 4); // 0x46536f
        *(int32_t *)(v69 - 8) = 0x46537d;
        int32_t v73;
        Idftp__TIdFTP__InternalUnencryptedFXP((int32_t *)v71, (int32_t *)v72, (char *)&v73, NULL, 0);
        // branch -> 0x46537d
        // 0x46537d
        g11 += 12;
        abort();
        // UNREACHABLE
    }
    int32_t * v74 = (int32_t *)(v12 + 4); // 0x46511e_0
    if (*(char *)(*v74 + 12) == 1) {
        // 0x465127
        if (*(int32_t *)(*v74 + 28) >= 1) {
            int32_t v75 = *(int32_t *)(*(int32_t *)(v2 + 28) + 4); // 0x465139
            g8 = *(int32_t *)(4 * *(int32_t *)(v12 + 24) + v75);
            g3 = v2;
            *(int32_t *)(g11 - 4) = 0x46514d;
            function_464840();
            // branch -> 0x46537d
            // 0x46537d
            g11 += 12;
            abort();
            // UNREACHABLE
        }
    }
    // 0x465152
    if (*(char *)(*v74 + 12) == 1) {
        // 0x46515e
        if (*(int32_t *)(*v74 + 28) == 0) {
            int32_t * v76 = (int32_t *)(v12 + 28); // 0x46516d_0
            if (*v76 != -1) {
                int32_t v77 = *(int32_t *)(*(int32_t *)(v2 + 28) + 4); // 0x46517d
                g8 = *(int32_t *)(4 * *v76 + v77);
                g3 = v2;
                *(int32_t *)(g11 - 4) = 0x465191;
                function_464840();
                // branch -> 0x46537d
            }
            // 0x46537d
            g11 += 12;
            abort();
            // UNREACHABLE
        }
    }
    int32_t v78 = &v31; // 0x465196_0
    g8 = v78;
    int32_t * v79 = (int32_t *)(v2 + 16); // 0x46519c_0
    g3 = *(int32_t *)(*v79 + 4);
    *(int32_t *)(g11 - 4) = 0x4651a7;
    function_46a2a0();
    int32_t * v80 = (int32_t *)(v2 + 28); // 0x4651b5_0
    int32_t v81 = g11; // 0x4651ca
    *(int32_t *)(v81 - 4) = 0;
    *(int32_t *)(v81 - 8) = v4;
    g6 = v78;
    g8 = *(int32_t *)(v1 + 4);
    g3 = *v79;
    *(int32_t *)(v81 - 12) = 0x4651e4;
    function_46816c();
    int32_t v82 = g11; // 0x4651e4
    *(int32_t *)(v82 - 4) = 0;
    *(int32_t *)(v82 - 8) = 0;
    int32_t v83 = *(int32_t *)(*v80 + 16); // 0x4651ee
    *(int32_t *)(v82 - 12) = *(int32_t *)(v83 + 68);
    int32_t v84 = v82 - 16; // 0x4651fb
    *(int32_t *)v84 = *(int32_t *)(v1 + 24);
    int32_t * v85 = (int32_t *)(v2 + 4); // 0x4651ff_0
    *(int32_t *)(v82 - 20) = 0x465215;
    unknown_461b3c();
    int32_t v86 = *(int32_t *)(*v80 + 4); // 0x46521b
    g8 = *(int32_t *)(4 * *(int32_t *)(v1 + 24) + v86);
    g3 = v2;
    *(int32_t *)(v84 - 4) = 0x46522f;
    function_464840();
    if (*(int32_t *)(v1 + 28) == -1) {
        int32_t v87 = g11; // 0x465304
        *(int32_t *)(v87 - 4) = 0;
        *(int32_t *)(v87 - 8) = 0;
        int32_t v88 = *(int32_t *)(*v80 + 16); // 0x46530e
        *(int32_t *)(v87 - 12) = *(int32_t *)(v88 + 68);
        int32_t v89 = v87 - 16; // 0x46531b
        *(int32_t *)v89 = *(int32_t *)(v1 + 24);
        g11 = v89;
        *(int32_t *)(v87 - 20) = 0x465335;
        unknown_461b3c();
        // branch -> 0x46537d
    } else {
        // 0x46523c
        g8 = g8 & -256 | 233;
        g3 = *v85;
        *(int32_t *)(g11 - 4) = 0x465249;
        function_4622c0();
        int32_t v90 = g11; // 0x465249
        *(int32_t *)(v90 - 4) = 1;
        *(int32_t *)(v90 - 8) = 0;
        *(int32_t *)(v90 - 12) = 0;
        int32_t v91 = *(int32_t *)(*v80 + 16); // 0x465255
        *(int32_t *)(v90 - 16) = *(int32_t *)(v91 + 68);
        int32_t v92 = v90 - 20; // 0x465262
        *(int32_t *)v92 = *(int32_t *)(v1 + 28);
        g8 = *(int32_t *)(*v85 + 8);
        g6 = 4;
        g3 = *(int32_t *)(v2 + 20);
        *(int32_t *)(v90 - 24) = 0x46527c;
        function_461c30();
        int32_t * v93 = (int32_t *)(*v85 + 8); // 0x465282_0
        *v93 = *v93 + 4;
        *(int32_t *)(v92 - 4) = 0;
        *(int32_t *)(v92 - 8) = 0;
        int32_t v94 = *(int32_t *)(*v80 + 16); // 0x465290
        *(int32_t *)(v92 - 12) = *(int32_t *)(v94 + 68);
        int32_t v95 = v92 - 16; // 0x46529d
        *(int32_t *)v95 = *(int32_t *)(v1 + 24);
        *(int32_t *)(v92 - 20) = 0x4652b7;
        unknown_461b3c();
        int32_t v96 = *(int32_t *)(*v80 + 4); // 0x4652bd
        g8 = *(int32_t *)(4 * *(int32_t *)(v1 + 28) + v96);
        g3 = v2;
        *(int32_t *)(v95 - 4) = 0x4652d1;
        function_464840();
        int32_t v97 = g11; // 0x4652d1
        *(int32_t *)(v97 - 4) = 0;
        *(int32_t *)(v97 - 8) = 0;
        int32_t v98 = *(int32_t *)(*v80 + 16); // 0x4652db
        *(int32_t *)(v97 - 12) = *(int32_t *)(v98 + 68);
        int32_t v99 = v97 - 16; // 0x4652e8
        *(int32_t *)v99 = *(int32_t *)(v1 + 28);
        g11 = v99;
        *(int32_t *)(v97 - 20) = 0x465302;
        unknown_461b3c();
        // branch -> 0x46537d
    }
    // 0x46537d
    g11 += 12;
    abort();
    // UNREACHABLE
}

// Address range: 0x4653e4 - 0x465bcf
void function_4653e4(void) {
    char * v1 = (char *)g6; // 0x4653e7_0
    char * v2 = NULL; // bp-16
    int32_t v3 = g8; // 0x4653fc
    char v4 = v3; // 0x4653fc
    int32_t v5 = g3; // 0x4653ff
    int32_t v6;
    int32_t v7 = &v6; // 0x465402_0
    System__FinalizeRecord(v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    System__FinalizeRecord(v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v8;
    g11 = &v8;
    int32_t v9;
    int32_t v10 = &v9; // 0x46542f_0
    g8 = v10;
    int32_t * v11 = (int32_t *)(v5 + 4); // 0x465438_0
    g3 = *v11;
    function_46a2a0();
    int32_t v12 = v3 & 255; // 0x465440
    g3 = g3 & -256 | v12;
    function_459d30();
    struct struct_170 * v13;
    int32_t v14;
    struct struct_170 * v15;
    int32_t * v16;
    int32_t v17;
    if (g3 == 0) {
        // 0x465721
        g3 = v12;
        function_459cb0();
        if (g3 == 0) {
            // 0x465b4d
            g6 = *(int32_t *)(g11 + 8);
            abort();
            // UNREACHABLE
        }
        // 0x465731
        int32_t v18; // 0x465904
        if (*(char *)(v14 + 1) == 0) {
            // 0x46573e
            if (v4 == 9) {
                int32_t * v19 = (int32_t *)(v5 + 0x18bc); // 0x46574b_0
                *v19 = *v19 + 1;
                g8 = v5 + 0x18d0;
                g3 = v5;
                function_469c8c();
                int32_t v20 = g3; // 0x46576e
                int32_t v21 = v20 & 255; // 0x465771
                g6 = v21;
                g8 = g8 & -256 | v21;
                g3 = *v11;
                function_46ad58();
                v15 = NULL;
                g6 = v10;
                g8 = *(int32_t *)((int32_t)v2 + 4);
                g3 = v5;
                function_46816c();
                g6 = v10;
                g8 = *(int32_t *)((int32_t)v2 + 8);
                g3 = v5;
                function_46816c();
                int32_t v22 = g8 & -256; // 0x4657e0
                g8 = (v22 | v21) + 64 & 255 | v22;
                g3 = *(int32_t *)(v5 + 8);
                function_462278();
                v16 = NULL;
                v17 = 1;
                g11 = &v17;
                unknown_461b3c();
                g8 = (int32_t)v13;
                g3 = *v11;
                function_46a30c();
                *(int32_t *)v13 = v20;
                // branch -> 0x46582a
            }
            // 0x46582a
            if (v4 == 10) {
                int32_t * v23 = (int32_t *)(v5 + 0x18bc); // 0x465837_0
                *v23 = *v23 + 1;
                int32_t v24 = *v23; // 0x465840
                g8 = v5 + 0x18d0;
                g3 = v5;
                *(int32_t *)(g11 - 4) = 0x46585a;
                function_469c8c();
                int32_t v25 = g3; // 0x46585a
                int32_t v26 = v25 & 255; // 0x46585d
                g6 = v26;
                g8 = g8 & -256 | v26;
                g3 = *v11;
                *(int32_t *)(g11 - 4) = 0x46586e;
                function_46ad58();
                int32_t v27 = g11; // 0x465892
                *(int32_t *)(v27 - 4) = 0;
                int32_t v28;
                *(int32_t *)(v27 - 8) = (int32_t)&v28;
                g6 = v10;
                g8 = *(int32_t *)((int32_t)v2 + 4);
                g3 = v5;
                *(int32_t *)(v27 - 12) = 0x4658af;
                function_46816c();
                int32_t v29 = g8 & -256; // 0x4658af
                g8 = (v29 | v26) + 64 & 255 | v29;
                int32_t * v30 = (int32_t *)(v5 + 8); // 0x4658b8_0
                g3 = *v30;
                *(int32_t *)(g11 - 4) = 0x4658c0;
                function_462278();
                g8 = g8 & -256 | 233;
                g3 = *v30;
                *(int32_t *)(g11 - 4) = 0x4658cd;
                function_462278();
                int32_t v31 = g11; // 0x4658cd
                *(int32_t *)(v31 - 4) = 1;
                *(int32_t *)(v31 - 8) = 0;
                *(int32_t *)(v31 - 12) = 0;
                *(int32_t *)(v31 - 16) = v24;
                int32_t v32 = v31 - 20; // 0x4658d7
                *(int32_t *)v32 = 1;
                g8 = *(int32_t *)(*v30 + 8);
                g6 = 7;
                g3 = *(int32_t *)(v5 + 12);
                *(int32_t *)(v31 - 24) = 0x4658f2;
                function_461c30();
                int32_t * v33 = (int32_t *)(*v30 + 8); // 0x4658f8_0
                *v33 = *v33 + 4;
                *(int32_t *)(v32 - 4) = 0;
                *(int32_t *)(v32 - 8) = 0;
                *(int32_t *)(v32 - 12) = v24;
                v18 = v32 - 16;
                *(int32_t *)v18 = 1;
                *(int32_t *)(v32 - 20) = 0x46591f;
                unknown_461b3c();
                *(int32_t *)(v18 - 4) = 0;
                int32_t v34;
                *(int32_t *)(v18 - 8) = (int32_t)&v34;
                g6 = v10;
                g8 = *(int32_t *)((int32_t)v2 + 8);
                g3 = v5;
                *(int32_t *)(v18 - 12) = 0x465946;
                function_46816c();
                int32_t v35 = g8 & -256; // 0x465946
                g8 = (v35 | v26) + 64 & 255 | v35;
                g3 = *v30;
                *(int32_t *)(g11 - 4) = 0x465957;
                function_462278();
                int32_t v36 = g11; // 0x465957
                *(int32_t *)(v36 - 4) = 0;
                *(int32_t *)(v36 - 8) = 0;
                *(int32_t *)(v36 - 12) = v24;
                int32_t v37 = v36 - 16; // 0x46595f
                *(int32_t *)v37 = 2;
                g11 = v37;
                g6 = 7;
                *(int32_t *)(v36 - 20) = 0x46597a;
                unknown_461b3c();
                g8 = (int32_t)v13;
                g3 = *v11;
                *(int32_t *)(g11 - 4) = 0x465988;
                function_46a30c();
                *(int32_t *)v13 = v25;
                // branch -> 0x465b4d
            }
        } else {
            // 0x465995
            if (v4 == 9) {
                // 0x46599b
                v15 = NULL;
                g6 = v10;
                g8 = *(int32_t *)((int32_t)v2 + 4);
                g3 = v5;
                function_46816c();
                g6 = v10;
                g8 = *(int32_t *)((int32_t)v2 + 8);
                g3 = v5;
                function_46816c();
                g8 = (int32_t)v13;
                g3 = *v11;
                function_46a30c();
                *(char *)((int32_t)v13 + 21) = 1;
                // branch -> 0x465a15
            }
            // 0x465a15
            if (v4 == 10) {
                int32_t * v38 = (int32_t *)(v5 + 0x18bc); // 0x465a22_0
                *v38 = *v38 + 1;
                int32_t v39 = *v38; // 0x465a2b
                int32_t v40 = g11; // 0x465a58
                *(int32_t *)(v40 - 4) = 0;
                int32_t v41;
                *(int32_t *)(v40 - 8) = (int32_t)&v41;
                g6 = v10;
                g8 = *(int32_t *)((int32_t)v2 + 4);
                g3 = v5;
                *(int32_t *)(v40 - 12) = 0x465a75;
                function_46816c();
                g8 = g8 & -256 | 233;
                int32_t * v42 = (int32_t *)(v5 + 8); // 0x465a7a_0
                g3 = *v42;
                *(int32_t *)(g11 - 4) = 0x465a82;
                function_462278();
                int32_t v43 = g11; // 0x465a82
                *(int32_t *)(v43 - 4) = 1;
                *(int32_t *)(v43 - 8) = 0;
                *(int32_t *)(v43 - 12) = 0;
                *(int32_t *)(v43 - 16) = v39;
                int32_t v44 = v43 - 20; // 0x465a8c
                *(int32_t *)v44 = 1;
                g8 = *(int32_t *)(*v42 + 8);
                g6 = 7;
                g3 = *(int32_t *)(v5 + 12);
                *(int32_t *)(v43 - 24) = 0x465aa7;
                function_461c30();
                int32_t * v45 = (int32_t *)(*v42 + 8); // 0x465aad_0
                *v45 = *v45 + 4;
                *(int32_t *)(v44 - 4) = 0;
                *(int32_t *)(v44 - 8) = 0;
                *(int32_t *)(v44 - 12) = v39;
                int32_t v46 = v44 - 16; // 0x465ab9
                *(int32_t *)v46 = 2;
                v18 = v46;
                *(int32_t *)(v44 - 20) = 0x465ad4;
                unknown_461b3c();
                *(int32_t *)(v18 - 4) = 0;
                int32_t v47;
                *(int32_t *)(v18 - 8) = (int32_t)&v47;
                g6 = v10;
                g8 = *(int32_t *)((int32_t)v2 + 8);
                g3 = v5;
                *(int32_t *)(v18 - 12) = 0x465b15;
                function_46816c();
                int32_t v48 = g11; // 0x465b15
                *(int32_t *)(v48 - 4) = 0;
                *(int32_t *)(v48 - 8) = 0;
                *(int32_t *)(v48 - 12) = v39;
                int32_t v49 = v48 - 16; // 0x465b1d
                *(int32_t *)v49 = 1;
                g11 = v49;
                g6 = 7;
                *(int32_t *)(v48 - 20) = 0x465b38;
                unknown_461b3c();
                g8 = (int32_t)v13;
                g3 = *v11;
                *(int32_t *)(g11 - 4) = 0x465b46;
                function_46a30c();
                *(char *)((int32_t)v13 + 21) = 1;
                // branch -> 0x465b4d
            }
        }
        // 0x465b4d
        g6 = *(int32_t *)(g11 + 8);
        abort();
        // UNREACHABLE
    }
    int32_t v50 = (int32_t)v2; // 0x465450
    if (*(char *)(*(int32_t *)(*(int32_t *)(v50 + 4) + 56) + 9) != 3) {
        // 0x46545f
        if (*(char *)(*(int32_t *)(*(int32_t *)(v50 + 8) + 56) + 9) != 3) {
            // 0x465485
            v15 = NULL;
            unknown_468108();
            g6 = -1;
            int32_t v51;
            g8 = &v51;
            g3 = v5;
            function_4673b4();
            int32_t v52 = g3; // 0x4654af
            g8 = *(int32_t *)((int32_t)v2 + 8);
            g6 = 0;
            unknown_468108();
            int32_t * v53; // 0x46559f_0
            int32_t * v54; // 0x465655_0
            int32_t * v55; // 0x465718_0
            char v56;
            int32_t * v57;
            int32_t v58;
            int32_t v59; // 0x46555e
            if (v56 == 8) {
                // 0x4654ce
                if (0x1000000 * (int32_t)v57 == 0) {
                    // 0x4654d4
                    g8 = g8 & -256 | 193;
                    int32_t * v60 = (int32_t *)(v5 + 8); // 0x4654d9_0
                    g3 = *v60;
                    function_462278();
                    int32_t v61 = g8 & -256; // 0x4654e1
                    g8 = (v61 | v52 & 255) - 8 & 255 | v61;
                    g3 = *v60;
                    function_462278();
                    g8 = g8 & -256 | 16;
                    g3 = *v60;
                    function_462278();
                    // branch -> 0x46555a
                    // 0x46555a
                    g11 = (int32_t)&v16;
                    v59 = v52 & 255;
                    g6 = g6 & -256 | 1;
                    g3 = *v11;
                    function_46acd4();
                    g6 = -1;
                    g8 = v7;
                    g3 = v5;
                    function_469f40();
                    if (*(char *)(v14 + 1) == 0) {
                        // 0x465589
                        g6 = g6 & -256 | v59;
                        g8 = g8 & -256 | v59;
                        g3 = *v11;
                        function_46ad58();
                        g8 = g8 & -256 | 15;
                        v53 = (int32_t *)(v5 + 8);
                        g3 = *v53;
                        function_462278();
                        if (v4 == 11) {
                            // 0x4655ad
                            g8 = g8 & -256 | 148;
                            g3 = *v53;
                            function_462278();
                            // branch -> 0x4655ba
                        }
                        // 0x4655ba
                        if (v4 == 12) {
                            // 0x4655c0
                            g8 = g8 & -256 | 149;
                            g3 = *v53;
                            function_462278();
                            // branch -> 0x4655cd
                        }
                        // 0x4655cd
                        if (v4 == 13) {
                            // 0x4655d3
                            g8 = g8 & -256 | 159;
                            g3 = *v53;
                            function_462278();
                            // branch -> 0x4655e0
                        }
                        // 0x4655e0
                        if (v4 == 14) {
                            // 0x4655e6
                            g8 = g8 & -256 | 156;
                            g3 = *v53;
                            function_462278();
                            // branch -> 0x4655f3
                        }
                        // 0x4655f3
                        if (v4 == 15) {
                            // 0x4655f9
                            g8 = g8 & -256 | 157;
                            g3 = *v53;
                            function_462278();
                            // branch -> 0x465606
                        }
                        // 0x465606
                        if (v4 == 16) {
                            // 0x46560c
                            g8 = g8 & -256 | 158;
                            g3 = *v53;
                            function_462278();
                            // branch -> 0x465619
                        }
                        // 0x465619
                        g8 = v59 | g8 & -256 | 192;
                        g3 = *v53;
                        function_462278();
                        g8 = (int32_t)v13;
                        g3 = *v11;
                        function_46a30c();
                        *(int32_t *)v13 = v52;
                        // branch -> 0x465b4d
                    } else {
                        // 0x465645
                        g8 = v52;
                        g3 = v5;
                        function_469e18();
                        g8 = g8 & -256 | 15;
                        v54 = (int32_t *)(v5 + 8);
                        g3 = *v54;
                        function_462278();
                        if (v4 == 11) {
                            // 0x465663
                            g8 = g8 & -256 | 133;
                            g3 = *v54;
                            function_462278();
                            // branch -> 0x465670
                        }
                        // 0x465670
                        if (v4 == 12) {
                            // 0x465676
                            g8 = g8 & -256 | 132;
                            g3 = *v54;
                            function_462278();
                            // branch -> 0x465683
                        }
                        // 0x465683
                        if (v4 == 13) {
                            // 0x465689
                            g8 = g8 & -256 | 142;
                            g3 = *v54;
                            function_462278();
                            // branch -> 0x465696
                        }
                        // 0x465696
                        if (v4 == 14) {
                            // 0x46569c
                            g8 = g8 & -256 | 141;
                            g3 = *v54;
                            function_462278();
                            // branch -> 0x4656a9
                        }
                        // 0x4656a9
                        if (v4 == 15) {
                            // 0x4656af
                            g8 = g8 & -256 | 140;
                            g3 = *v54;
                            function_462278();
                            // branch -> 0x4656bc
                        }
                        // 0x4656bc
                        if (v4 == 16) {
                            // 0x4656c2
                            g8 = g8 & -256 | 143;
                            g3 = *v54;
                            function_462278();
                            // branch -> 0x4656cf
                        }
                        // 0x4656cf
                        v17 = 0;
                        v58 = *(int32_t *)(v14 + 12);
                        g11 = &v58;
                        g6 = *(int32_t *)(v14 + 4);
                        g8 = *(int32_t *)(*v54 + 8);
                        g3 = *(int32_t *)(v5 + 12);
                        function_461c30();
                        g8 = (int32_t)v13;
                        g3 = *v11;
                        function_46a30c();
                        *(char *)((int32_t)v13 + 21) = 1;
                        v55 = (int32_t *)(*v54 + 8);
                        *v55 = *v55 + 4;
                        // branch -> 0x465b4d
                    }
                    // 0x465b4d
                    g6 = *(int32_t *)(g11 + 8);
                    abort();
                    // UNREACHABLE
                }
            }
            // 0x465501
            if (v56 == 0) {
                // 0x465507
                if ((char)(int32_t)v57 == 8) {
                    // 0x46550d
                    g6 = -1;
                    g8 = v7;
                    g3 = v5;
                    function_4673b4();
                    int32_t v62 = g3; // 0x46551b
                    int32_t v63;
                    g8 = &v63;
                    int32_t * v64 = (int32_t *)(v5 + 8); // 0x465523_0
                    g3 = *v64;
                    function_462278();
                    int32_t v65 = g8 & -256; // 0x46552b
                    g8 = (v65 | v62 & 255) - 8 & 255 | v65;
                    g3 = *v64;
                    function_462278();
                    g8 = g8 & -256 | 16;
                    g3 = *v64;
                    function_462278();
                    g6 = v7;
                    g8 = v62;
                    g3 = *v11;
                    function_46b3dc();
                    // branch -> 0x46555a
                }
            }
            // 0x46555a
            g11 = (int32_t)&v16;
            v59 = v52 & 255;
            g6 = g6 & -256 | 1;
            g3 = *v11;
            function_46acd4();
            g6 = -1;
            g8 = v7;
            g3 = v5;
            function_469f40();
            if (*(char *)(v14 + 1) == 0) {
                // 0x465589
                g6 = g6 & -256 | v59;
                g8 = g8 & -256 | v59;
                g3 = *v11;
                function_46ad58();
                g8 = g8 & -256 | 15;
                v53 = (int32_t *)(v5 + 8);
                g3 = *v53;
                function_462278();
                if (v4 == 11) {
                    // 0x4655ad
                    g8 = g8 & -256 | 148;
                    g3 = *v53;
                    function_462278();
                    // branch -> 0x4655ba
                }
                // 0x4655ba
                if (v4 == 12) {
                    // 0x4655c0
                    g8 = g8 & -256 | 149;
                    g3 = *v53;
                    function_462278();
                    // branch -> 0x4655cd
                }
                // 0x4655cd
                if (v4 == 13) {
                    // 0x4655d3
                    g8 = g8 & -256 | 159;
                    g3 = *v53;
                    function_462278();
                    // branch -> 0x4655e0
                }
                // 0x4655e0
                if (v4 == 14) {
                    // 0x4655e6
                    g8 = g8 & -256 | 156;
                    g3 = *v53;
                    function_462278();
                    // branch -> 0x4655f3
                }
                // 0x4655f3
                if (v4 == 15) {
                    // 0x4655f9
                    g8 = g8 & -256 | 157;
                    g3 = *v53;
                    function_462278();
                    // branch -> 0x465606
                }
                // 0x465606
                if (v4 == 16) {
                    // 0x46560c
                    g8 = g8 & -256 | 158;
                    g3 = *v53;
                    function_462278();
                    // branch -> 0x465619
                }
                // 0x465619
                g8 = v59 | g8 & -256 | 192;
                g3 = *v53;
                function_462278();
                g8 = (int32_t)v13;
                g3 = *v11;
                function_46a30c();
                *(int32_t *)v13 = v52;
                // branch -> 0x465b4d
            } else {
                // 0x465645
                g8 = v52;
                g3 = v5;
                function_469e18();
                g8 = g8 & -256 | 15;
                v54 = (int32_t *)(v5 + 8);
                g3 = *v54;
                function_462278();
                if (v4 == 11) {
                    // 0x465663
                    g8 = g8 & -256 | 133;
                    g3 = *v54;
                    function_462278();
                    // branch -> 0x465670
                }
                // 0x465670
                if (v4 == 12) {
                    // 0x465676
                    g8 = g8 & -256 | 132;
                    g3 = *v54;
                    function_462278();
                    // branch -> 0x465683
                }
                // 0x465683
                if (v4 == 13) {
                    // 0x465689
                    g8 = g8 & -256 | 142;
                    g3 = *v54;
                    function_462278();
                    // branch -> 0x465696
                }
                // 0x465696
                if (v4 == 14) {
                    // 0x46569c
                    g8 = g8 & -256 | 141;
                    g3 = *v54;
                    function_462278();
                    // branch -> 0x4656a9
                }
                // 0x4656a9
                if (v4 == 15) {
                    // 0x4656af
                    g8 = g8 & -256 | 140;
                    g3 = *v54;
                    function_462278();
                    // branch -> 0x4656bc
                }
                // 0x4656bc
                if (v4 == 16) {
                    // 0x4656c2
                    g8 = g8 & -256 | 143;
                    g3 = *v54;
                    function_462278();
                    // branch -> 0x4656cf
                }
                // 0x4656cf
                v17 = 0;
                v58 = *(int32_t *)(v14 + 12);
                g11 = &v58;
                g6 = *(int32_t *)(v14 + 4);
                g8 = *(int32_t *)(*v54 + 8);
                g3 = *(int32_t *)(v5 + 12);
                function_461c30();
                g8 = (int32_t)v13;
                g3 = *v11;
                function_46a30c();
                *(char *)((int32_t)v13 + 21) = 1;
                v55 = (int32_t *)(*v54 + 8);
                *v55 = *v55 + 4;
                // branch -> 0x465b4d
            }
            // 0x465b4d
            g6 = *(int32_t *)(g11 + 8);
            abort();
            // UNREACHABLE
        }
    }
    // 0x46546e
    v15 = v13;
    g11 = (int32_t)&v15;
    g6 = v14;
    g8 = v50;
    g3 = v5;
    function_462be0();
    // branch -> 0x465b4d
    // 0x465b4d
    g6 = *(int32_t *)(g11 + 8);
    abort();
    // UNREACHABLE
}

// Address range: 0x465bd0 - 0x465c9b
void function_465bd0(void) {
    int32_t v1 = g6; // 0x465bd6
    int32_t v2 = g3; // 0x465bdc
    int32_t v3;
    int32_t v4 = &v3; // 0x465bdf_0
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t * v5;
    int32_t * v6 = v5; // bp-92
    g8 = v4;
    int32_t * v7 = (int32_t *)(v2 + 4); // 0x465c01_0
    g3 = *v7;
    function_46a30c();
    int32_t v8;
    if (v8 == 0) {
        // 0x465c0f
        v3 = v1;
        // branch -> 0x465c2b
    } else {
        // 0x465c1e
        v3 = 5;
        // branch -> 0x465c2b
    }
    // 0x465c2b
    g6 = g6 & -256 | 1;
    g3 = *v7;
    function_46acd4();
    g8 = g8 & -256 | 124;
    int32_t * v9 = (int32_t *)(v2 + 8); // 0x465c44_0
    g3 = *v9;
    function_462278();
    g8 = g8 & -256 | 2;
    g3 = *v9;
    function_462278();
    g8 = g8 & -256 | 205;
    g3 = *v9;
    function_462278();
    g8 = g8 & -256 | 3;
    g3 = *v9;
    function_462278();
    g8 = v4;
    g11 = (int32_t)&v6;
    g6 = (int32_t)v5;
    abort();
    // UNREACHABLE
}

// Address range: 0x465c9c - 0x465d73
void function_465c9c(void) {
    int32_t v1 = g6; // 0x465ca2
    int32_t v2 = g3; // 0x465ca8
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t * v3;
    int32_t * v4 = v3; // bp-92
    int32_t v5;
    g8 = &v5;
    int32_t * v6 = (int32_t *)(v2 + 4); // 0x465ccd_0
    g3 = *v6;
    function_46a30c();
    int32_t v7;
    if (v7 == 0) {
        // 0x465cdb
        v5 = v1;
        // branch -> 0x465cf7
    } else {
        // 0x465cea
        v5 = 5;
        // branch -> 0x465cf7
    }
    // 0x465cf7
    g6 = 0;
    g3 = *v6;
    function_46acd4();
    int32_t v8;
    g8 = &v8;
    int32_t * v9 = (int32_t *)(v2 + 8); // 0x465d19_0
    g3 = *v9;
    function_462278();
    int32_t v10;
    g8 = &v10;
    g3 = *v9;
    function_462278();
    int32_t v11;
    g8 = &v11;
    g3 = *v9;
    function_462278();
    int32_t v12;
    g8 = &v12;
    g3 = *v9;
    function_462278();
    g11 = (int32_t)&v4;
    g6 = (int32_t)v3;
    abort();
    // UNREACHABLE
}

// Address range: 0x465d74 - 0x4660df
void function_465d74(void) {
    int32_t v1 = g6; // 0x465d7a
    struct struct_171 * v2 = (struct struct_171 *)g8; // bp-12
    int32_t v3 = g3; // 0x465d80
    int32_t * v4;
    int32_t v5 = (int32_t)&v4; // 0x465d83_0
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g3 = v3;
    function_469fd8();
    int32_t v6 = g3; // 0x465da7
    int32_t * v7 = (int32_t *)v6; // 0x465da7_0
    int32_t * v8 = (int32_t *)(v1 + 12); // 0x465dad_0
    struct struct_171 * v9;
    int32_t v10; // 0x465dc8
    if (*(int32_t *)(*v8 + 100) == 0) {
        // 0x465dba
        g8 = (int32_t)v2;
        g6 = -1;
        g3 = v3;
        function_4673b4();
        v10 = g3;
        g8 = (int32_t)v2;
        int32_t * v11 = (int32_t *)(v3 + 4); // 0x465dd1_0
        g3 = *v11;
        function_46a30c();
        g8 = v5;
        g3 = *v11;
        function_46a30c();
        *(int32_t *)v2 = v10;
        g8 = (int32_t)v2;
        g3 = v3;
        function_469c8c();
        int32_t v12 = g3; // 0x465dfa
        v2->e1 = 1;
        int32_t v13 = v12 & 255; // 0x465e08
        g8 = g8 & -256 | v13;
        g6 = g6 & -256 | 1;
        g3 = *v11;
        function_46ae10();
        v2->e1 = 0;
        v4 = (int32_t *)5;
        g8 = g8 & -256 | v13;
        g6 = 0;
        g3 = *v11;
        function_46ae10();
        g8 = v12;
        g3 = v3;
        function_469e18();
        v2->e4 = 4;
        v9 = v2;
        g11 = (int32_t)&v9;
        g8 = g8 & -256 | v10 & 255;
        g6 = g6 & -256 | 1;
        g3 = *v11;
        function_46ae10();
        v2->e4 = 0;
        // branch -> 0x465f01
    } else {
        // 0x465e76
        v2->e4 += *(int32_t *)(*v8 + 100);
        g8 = v5;
        int32_t * v14 = (int32_t *)(v3 + 4); // 0x465e8b_0
        g3 = *v14;
        function_46a30c();
        g8 = (int32_t)v2;
        g3 = v3;
        function_469c8c();
        int32_t v15 = g3; // 0x465e9e
        int32_t v16 = v15 & 255; // 0x465ea5
        g8 = g8 & -256 | v16;
        g6 = g6 & -256 | 1;
        g3 = *v14;
        function_46ae10();
        v4 = (int32_t *)5;
        int32_t * v17;
        g11 = (int32_t)&v17;
        g8 = g8 & -256 | v16;
        g6 = 0;
        g3 = *v14;
        function_46ae10();
        g8 = v15;
        g3 = v3;
        function_469e18();
        v2->e4 -= *(int32_t *)(*v8 + 100);
        g8 = (int32_t)v2;
        g6 = -1;
        g3 = v3;
        function_4673b4();
        v10 = g3;
        // branch -> 0x465f01
    }
    int32_t * v18 = (int32_t *)v10; // 0x466084_01
    int32_t v19 = 4; // 0x4660922
    if (*(char *)(*(int32_t *)(*v8 + 24) + 8) == 3) {
        // 0x465f17
        if (*(int32_t *)(*v8 + 40) == 0) {
            // 0x465f23
            v19 = *(int32_t *)(*(int32_t *)(*v8 + 24) + 72);
            // branch -> 0x465f32
        } else {
            v19 = 4;
        }
    }
    int32_t * v20 = (int32_t *)(v1 + 8); // 0x465f35_0
    v9 = NULL;
    int32_t v21; // 0x4660bb
    if (*(char *)(*v20 + 12) == 1) {
        int32_t * v22 = v7;
        g11 = (int32_t)&v22;
        g6 = v10;
        g3 = v3;
        function_465c9c();
        g8 = v5;
        g3 = *(int32_t *)(v3 + 4);
        function_46a30c();
        v4 = v18;
        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
        v2->e4 += *(int32_t *)(*v20 + 28) * v19;
        if (v2->e4 == 0) {
            // 0x465f98
            v2->e1 = 1;
            // branch -> 0x4660ae
        } else {
            // 0x465fa4
            v2->e1 = 0;
            // branch -> 0x4660ae
        }
        // 0x4660ae
        g8 = v6;
        g3 = v3;
        *(int32_t *)(g11 - 4) = 0x4660b9;
        function_46a0a0();
        v21 = g11;
        g6 = *(int32_t *)(v21 + 4);
        g11 = v21 + 12;
        abort();
        // UNREACHABLE
    }
    // 0x465fb0
    g6 = 0;
    unknown_468108();
    g8 = v5;
    g3 = v3;
    function_469c8c();
    int32_t v23 = g3; // 0x465fd7
    int32_t * v24 = (int32_t *)v23; // 0x465fd7_0
    int32_t v25 = v23 & 255; // 0x465fde
    g8 = g8 & -256 | v25;
    g6 = g6 & -256 | 1;
    int32_t * v26 = (int32_t *)(v3 + 4); // 0x465fe6_0
    g3 = *v26;
    function_46ae10();
    g6 = -1;
    g8 = v5;
    g3 = v3;
    function_469f40();
    g8 = v5;
    g3 = *v26;
    function_46a30c();
    int32_t * v27 = v7;
    g11 = (int32_t)&v27;
    g6 = v10;
    g8 = v23;
    g3 = v3;
    function_465bd0();
    if (v19 != 4) {
        // 0x466024
        if (v19 != 8) {
            // 0x46602a
            v4 = v24;
            g8 = g8 & -256 | v25;
            g6 = v5;
            g3 = *v26;
            function_46b0d8();
            v4 = v18;
            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
            // branch -> 0x4660ae
            // 0x4660ae
            g8 = v6;
            g3 = v3;
            *(int32_t *)(g11 - 4) = 0x4660b9;
            function_46a0a0();
            v21 = g11;
            g6 = *(int32_t *)(v21 + 4);
            g11 = v21 + 12;
            abort();
            // UNREACHABLE
        }
    }
    // 0x466073
    g8 = (int32_t)v2;
    g3 = *v26;
    function_46a30c();
    *(int32_t *)v2 = v10;
    v2->e2 = v24;
    if (v19 == 4) {
        // 0x466098
        v2->e3 = 2;
        // branch -> 0x4660ae
    } else {
        // 0x4660a4
        v2->e3 = 3;
        // branch -> 0x4660ae
    }
    // 0x4660ae
    g8 = v6;
    g3 = v3;
    *(int32_t *)(g11 - 4) = 0x4660b9;
    function_46a0a0();
    v21 = g11;
    g6 = *(int32_t *)(v21 + 4);
    g11 = v21 + 12;
    abort();
    // UNREACHABLE
}

// Address range: 0x4660e0 - 0x4663c3
void function_4660e0(void) {
    int32_t v1 = g6; // 0x4660e6
    int32_t * v2 = (int32_t *)v1; // 0x4660e6_0
    struct struct_172 * v3 = (struct struct_172 *)g8; // bp-12
    int32_t v4 = g3; // 0x4660ec
    int32_t v5;
    int32_t v6 = &v5; // 0x4660ef_0
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g3 = v4;
    function_469fd8();
    int32_t v7 = g3; // 0x466113
    g8 = (int32_t)v3;
    g6 = -1;
    g3 = v4;
    function_4673b4();
    int32_t v8 = g3; // 0x466124
    g8 = (int32_t)v3;
    int32_t * v9 = (int32_t *)(v4 + 4); // 0x46612d_0
    g3 = *v9;
    function_46a30c();
    g8 = v6;
    g3 = *v9;
    function_46a30c();
    v3->e0 = v8;
    g8 = (int32_t)v3;
    g3 = v4;
    function_469c8c();
    int32_t v10 = g3; // 0x466156
    v3->e1 = 1;
    g8 = g8 & -256 | v10;
    g6 = g6 & -256 | 1;
    g3 = *v9;
    function_46ae10();
    v3->e1 = 0;
    v5 = 5;
    g8 = g8 & -256 | v10;
    g6 = 0;
    g3 = *v9;
    function_46ae10();
    g8 = v10;
    g3 = v4;
    function_469e18();
    v3->e4 = 4;
    g8 = g8 & -256 | v8;
    g6 = g6 & -256 | 1;
    g3 = *v9;
    function_46ae10();
    v3->e4 = 0;
    int32_t * v11 = (int32_t *)(v1 + 44); // 0x4661d7_0
    int32_t v12 = 4; // 0x46633c3
    if (*(char *)(*(int32_t *)(*v11 + 24) + 8) == 3) {
        // 0x4661e3
        v12 = *(int32_t *)(*(int32_t *)(*v11 + 24) + 72);
        // branch -> 0x4661f2
    }
    int32_t v13 = *(int32_t *)(*v11 + 40) == 0 ? v12 : 4;
    int32_t * v14 = (int32_t *)(v1 + 16); // 0x466208_0
    int32_t v15;
    if (*(char *)(*v14 + 12) == 1) {
        // 0x466211
        v15 = v7;
        g11 = &v15;
        g6 = v8;
        g3 = v4;
        function_465c9c();
        v3->e4 += *(int32_t *)(*v14 + 28) * v13;
        if (v3->e4 == 0) {
            // 0x46624c
            v3->e1 = 1;
            // branch -> 0x466358
        }
        // 0x466358
        g8 = v7;
        g3 = v4;
        function_46a0a0();
        int32_t * v16;
        g6 = (int32_t)v16;
        abort();
        // UNREACHABLE
    }
    // 0x466258
    v15 = v6;
    g6 = 0;
    unknown_468108();
    g8 = v6;
    g3 = v4;
    function_469c8c();
    int32_t v17 = g3; // 0x46627f
    g8 = g8 & -256 | v17;
    g6 = g6 & -256 | 1;
    g3 = *v9;
    function_46ae10();
    g6 = -1;
    g8 = v6;
    g3 = v4;
    function_469f40();
    g8 = v6;
    g3 = *v9;
    function_46a30c();
    int32_t v18 = v7;
    g11 = &v18;
    g6 = v8;
    g8 = v17;
    g3 = v4;
    function_465bd0();
    if (v13 != 4) {
        // 0x4662ce
        if (v13 != 8) {
            // 0x4662d4
            v5 = v17;
            g8 = g8 & -256 | v17;
            g6 = v6;
            g3 = *v9;
            function_46b0d8();
            v5 = v8;
            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
            // branch -> 0x466358
            // 0x466358
            g8 = v7;
            g3 = v4;
            function_46a0a0();
            g6 = (int32_t)v2;
            abort();
            // UNREACHABLE
        }
    }
    // 0x46631d
    g8 = (int32_t)v3;
    g3 = *v9;
    function_46a30c();
    v3->e0 = v8;
    v3->e2 = v17;
    if (v13 == 4) {
        // 0x466342
        v3->e3 = 2;
        // branch -> 0x466358
    } else {
        // 0x46634e
        v3->e3 = 3;
        // branch -> 0x466358
    }
    // 0x466358
    g8 = v7;
    g3 = v4;
    function_46a0a0();
    g6 = (int32_t)v2;
    abort();
    // UNREACHABLE
}

// Address range: 0x4663c4 - 0x466873
void function_4663c4(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g6; // 0x4663cd
    struct struct_173 * v3 = (struct struct_173 *)g8; // bp-12
    int32_t v4 = g3; // 0x4663d3
    int32_t v5;
    int32_t v6 = &v5; // 0x4663d6_0
    System__FinalizeRecord((char *)v2, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v7;
    int32_t v8 = &v7; // 0x4663e4_0
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v9;
    int32_t v10 = &v9; // 0x4663f5_0
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v11 = g4; // 0x466408
    int32_t v12;
    int32_t v13 = v12; // bp-240
    g11 = &v13;
    int32_t v14 = *(int32_t *)(v2 + 84); // 0x466417
    if (v14 == 0) {
        // 0x466809
        g8 = v12;
        g6 = v11;
        abort();
        // UNREACHABLE
    }
    int32_t * v15 = (int32_t *)(v4 + 4); // 0x466755_0
    int32_t v16;
    int32_t v17 = &v16; // 0x4665b9_1
    // branch -> 0x46642c
    while (true) {
        int32_t * v18 = (int32_t *)(v14 + 8); // 0x46642f_0
        char * v19;
        if (*v18 == 0) {
            // 0x46642c
            v19 = (char *)(v14 + 24);
            // branch -> 0x466658
        } else {
            char * v20 = (char *)(v14 + 24); // 0x46643c_0
            if (*v20 == 0) {
                int32_t v21 = *(int32_t *)(*(int32_t *)(v14 + 12) + 72); // 0x466490
                v3->e4 += v21;
                v3->e1 = v3->e4 == 0;
                // branch -> 0x4664a9
            } else {
                // 0x466442
                g8 = (int32_t)v3;
                g6 = -1;
                g3 = v4;
                function_4673b4();
                int32_t v22 = g3; // 0x466450
                g8 = (int32_t)v3;
                g3 = *v15;
                function_46a30c();
                v3->e0 = v22;
                v3->e4 = *(int32_t *)(*(int32_t *)(v14 + 12) + 72);
                v3->e1 = v3->e4 == 0;
                // branch -> 0x4664a9
            }
            // 0x4664a9
            if (v3->e2 != -1) {
                // 0x4664b2
                g8 = (int32_t)v3;
                g3 = v4;
                function_469c8c();
                int32_t v23 = g3; // 0x4664bd
                g8 = g8 & -256 | v23;
                g6 = (int32_t)v3;
                g3 = *v15;
                function_46af4c();
                g8 = (int32_t)v3;
                g6 = -1;
                g3 = v4;
                function_469f40();
                g8 = (int32_t)v3;
                g3 = *v15;
                function_46a30c();
                v3->e0 = v23;
                // branch -> 0x4664f5
            }
            int32_t * v24 = (int32_t *)(v14 + 12); // 0x4664f8_0
            if (*(char *)(*v24 + 99) == 0) {
                // 0x466536
                int32_t v25;
                char v26;
                if (*(char *)(*v24 + 9) == 4) {
                    // 0x466542
                    if (*(int32_t *)(*v24 + 40) == 0) {
                        // 0x4665b4
                        g11 = v17;
                        g6 = 0;
                        unknown_468108();
                        if (v26 == 0) {
                            // 0x4665f7
                            g6 = -1;
                            g8 = v6;
                            g3 = v4;
                            function_4673b4();
                            int32_t v27 = g3; // 0x466605
                            g8 = v8;
                            g3 = *v15;
                            function_46a30c();
                            v7 = v27;
                            g8 = g8 & -256 | v27;
                            g3 = *v15;
                            g6 = v8;
                            function_46b0d8();
                            v3->e2 = v27;
                            v19 = v20;
                            // branch -> 0x466658
                        } else {
                            int32_t v28 = *(int32_t *)(*v24 + 24); // 0x4665d6
                            v3->e4 += *(int32_t *)(v28 + 72) * v25;
                            v3->e1 = v3->e4 == 0;
                            v19 = v20;
                            // branch -> 0x466658
                        }
                      lab_0x466658_2:
                        // 0x466658
                        if (*v19 != 0) {
                          lab_0x466661_3:
                            // 0x466661
                            if (*v18 == 0) {
                                // 0x4666aa
                                g8 = (int32_t)v3;
                                g6 = -1;
                                g3 = v4;
                                function_4673b4();
                                int32_t v29 = g3; // 0x4666b8
                                g8 = (int32_t)v3;
                                g3 = *v15;
                                function_46a30c();
                                v3->e0 = v29;
                                if (*(char *)(v14 + 32) == 0) {
                                    // 0x4666da
                                    v3->e4 = *(int32_t *)(*(int32_t *)(v14 + 12) + 72);
                                    // branch -> 0x4666e9
                                }
                                // 0x4666e9
                                if (v3->e4 == 0) {
                                    // 0x4666f2
                                    v3->e1 = 1;
                                    // branch -> 0x466702
                                } else {
                                    // 0x4666fb
                                    v3->e1 = 0;
                                    // branch -> 0x466702
                                }
                              lab_0x466702_3:;
                                int32_t * v30 = (int32_t *)(v14 + 12); // 0x466705_0
                                v3->e6 = *(char *)(*v30 + 9);
                                v3->e7 = *(int32_t *)(*v30 + 40);
                                v3->e8 = *(char *)(*v30 + 99);
                                if (*(char *)(v14 + 16) != 0) {
                                    // 0x466738
                                    v3->e8 = 0;
                                    // branch -> 0x46673f
                                }
                                // 0x46673f
                                if (*(char *)(v14 + 32) != 0) {
                                    // 0x46674c
                                    g8 = v10;
                                    g3 = *v15;
                                    function_46a30c();
                                    if (*v19 == 0) {
                                        // 0x466766
                                        g8 = (int32_t)v3;
                                        g3 = v4;
                                        function_469c8c();
                                        int32_t v31 = g3; // 0x466771
                                        g8 = g8 & -256 | v31;
                                        g6 = (int32_t)v3;
                                        g3 = *v15;
                                        function_46af4c();
                                        g8 = (int32_t)v3;
                                        g6 = -1;
                                        g3 = v4;
                                        function_469f40();
                                        g8 = (int32_t)v3;
                                        g3 = *v15;
                                        function_46a30c();
                                        v3->e0 = v31;
                                        // branch -> 0x4667a9
                                    }
                                    int32_t v32 = *(int32_t *)(v14 + 36); // 0x4667ac
                                    g3 = v32;
                                    function_405ba0();
                                    v16 = *(int32_t *)(v14 + 40);
                                    g6 = v32;
                                    g8 = *v30;
                                    g3 = v4;
                                    function_4676ac();
                                    g8 = v10;
                                    g3 = (int32_t)v3;
                                    g6 = 64;
                                    function_407924();
                                    // branch -> 0x4667f0
                                }
                                int32_t v33 = *(int32_t *)(v14 + 20); // 0x4667f9
                                if (v33 == 0) {
                                    // break -> 0x466809
                                    break;
                                }
                                v14 = v33;
                                // continue -> 0x46642c
                                continue;
                            }
                        }
                      lab_0x46666a_3:
                        // 0x46666a
                        if (*v18 != 0) {
                            goto lab_0x466702_3;
                        }
                        int32_t v34 = *(int32_t *)(*(int32_t *)(v14 + 12) + 72); // 0x46667d
                        v3->e4 += v34;
                        if (v3->e4 == 0) {
                            // 0x46668f
                            if (v3->e2 == -1) {
                                // 0x466698
                                v3->e1 = 1;
                                // branch -> 0x466702
                                goto lab_0x466702_3;
                            }
                        }
                        // 0x4666a1
                        v3->e1 = 0;
                        // branch -> 0x466702
                        goto lab_0x466702_3;
                    }
                }
                // 0x46654e
                g11 = v17;
                g6 = 0;
                unknown_468108();
                if (v26 == 0) {
                    // 0x46658b
                    g6 = -1;
                    g8 = v6;
                    g3 = v4;
                    function_4673b4();
                    v3->e2 = g3;
                    v3->e3 = 2;
                    v19 = v20;
                    // branch -> 0x466658
                    goto lab_0x466658_2;
                } else {
                    // 0x46656a
                    v3->e4 += 4 * v25;
                    v3->e1 = v3->e4 == 0;
                    v19 = v20;
                    // branch -> 0x466658
                    goto lab_0x466658_2;
                }
              lab_0x466658_3:
                // 0x466658
                if (*v19 == 0) {
                    goto lab_0x46666a_3;
                }
                goto lab_0x466661_3;
            } else {
                // 0x466501
                if (v3->e4 == 0) {
                    // 0x46650a
                    if (v3->e2 == -1) {
                        // 0x466513
                        v3->e1 = 1;
                        // branch -> 0x466523
                      lab_0x466523:
                        // 0x466523
                        g8 = (int32_t)v3;
                        g6 = v14;
                        g3 = v4;
                        function_465d74();
                        v19 = v20;
                        // branch -> 0x466658
                        goto lab_0x466658_3;
                    }
                }
                // 0x46651c
                v3->e1 = 0;
                // branch -> 0x466523
                goto lab_0x466523;
            }
        }
        // 0x466658
        if (*v19 == 0) {
            goto lab_0x46666a_3;
        }
        goto lab_0x466661_3;
    }
    // 0x466809
    // branch -> 0x466809
    // 0x466809
    g8 = v13;
    g6 = v11;
    abort();
    // UNREACHABLE
}

// Address range: 0x466874 - 0x4670dd
void function_466874(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    char * v2 = (char *)g6; // 0x466899_1
    System__FinalizeRecord(v2, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    System__FinalizeRecord(v2, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    abort();
    // UNREACHABLE
}

// Address range: 0x4670e4 - 0x4671bb
void function_4670e4(void) {
    int32_t * v1;
    g11 = (int32_t)&v1;
    int32_t v2 = g8; // 0x4670ea
    char v3 = 0;
    if (v2 != 0) {
        // 0x4670ee
        int32_t v4;
        g11 = &v4;
        System__ClassCreate((int32_t *)g6, v2);
        v3 = g8;
        // branch -> 0x4670f6
    }
    int32_t v5 = g6; // 0x4670f6
    v1 = (int32_t *)v5;
    int32_t v6 = g3; // 0x4670fc
    *(int32_t *)(v6 + 8) = v5;
    int32_t * v7 = (int32_t *)(v6 + 16); // 0x46710e_0
    int32_t v8;
    *v7 = v8;
    System__AsClass((int32_t *)g6, (int32_t *)0x4637dc);
    *(int32_t *)(v6 + 12) = *(int32_t *)(*v7 + 20);
    g8 = v6 & -256 | 1;
    function_403c70();
    int32_t * v9 = (int32_t *)(v6 + 4); // 0x46713a_0
    *v9 = 0x46a294;
    *(int32_t *)(*v9 + 4) = (int32_t)v1;
    *(int32_t *)(*v9 + 8) = v6;
    g8 = v6 + 0x18d0;
    g3 = *v9;
    function_46a30c();
    g3 = v6;
    if (v3 == 0) {
        // 0x467181
        g3 = v6;
        return;
    }
    // 0x467172
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4671bc - 0x4671ff
void function_4671bc(void) {
    int32_t v1 = g3 + 0x1814; // 0x4671e2
    // branch -> 0x4671cd
    for (uint32_t i = 0; i < 8; i++) {
        int32_t v2 = 20 * i; // 0x4671d6
        g3 = v2 + g8;
        g8 = v1 + v2;
        g6 = 20;
        function_407924();
        // PHI copies at the loop end
        // loop 0x4671cd end
    }
}

// Address range: 0x467200 - 0x467263
void function_467200(void) {
    // 0x467200
    // branch -> 0x46720e
    for (uint32_t i = 0; i < 8; i++) {
        int32_t v1 = 20 * i; // 0x467217
        *(char *)(g3 + 0x1814 + v1) = 0;
        *(int32_t *)(g3 + 0x181c + v1) = 0;
        *(int32_t *)(g3 + 0x1820 + v1) = 0;
        *(int32_t *)(g3 + 0x1818 + v1) = 0;
        g187 = i == 7;
        // PHI copies at the loop end
        // loop 0x46720e end
    }
    // 0x46725e
    g6 = g3;
    int32_t v2;
    g4 = v2;
}

// Address range: 0x467264 - 0x4672a7
void function_467264(void) {
    // 0x467264
    // branch -> 0x467275
    for (uint32_t i = 0; i < 8; i++) {
        int32_t v1 = 20 * i; // 0x46727e
        g8 += v1;
        g3 = g3 + 0x1814 + v1;
        g6 = 20;
        function_407924();
        // PHI copies at the loop end
        // loop 0x467275 end
    }
}

// Address range: 0x4672a8 - 0x4672cb
void function_4672a8(void) {
    int32_t v1 = g3; // 0x4672b1
    g3 = 5 * g8;
    *(int32_t *)(v1 + 0x1820 + 20 * g8) = 0;
}

// Address range: 0x4672cc - 0x4672f7
void function_4672cc(void) {
    // 0x4672cc
    if (g6 != -4) {
        // 0x4672e1
        *(int32_t *)(g3 + 0x1820 + 20 * g8) = g6;
        // branch -> 0x4672f4
    }
    // 0x4672f4
    int32_t v1;
    g4 = v1;
}

// Address range: 0x4672f8 - 0x467327
void function_4672f8(void) {
    // 0x4672f8
    // branch -> 0x467306
    for (uint32_t i = 0; i < 4; i++) {
        // 0x467306
        *(int32_t *)(g3 + 0x1820 + 20 * i) = 0;
        // PHI copies at the loop end
        // loop 0x467306 end
    }
}

// Address range: 0x467328 - 0x4673b3
void function_467328(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2;
    memcpy((char *)&v2, (char *)g8, 16);
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v3;
    if (v3 == -1) {
        // 0x467365
        int32_t v4;
        if (v4 == 0) {
            // 0x46736b
            char v5;
            if (v5 == 0) {
                // 0x467371
                char v6;
                if (v6 == 0) {
                    // 0x467377
                    char v7;
                    if (v7 == 0) {
                        // 0x46737d
                        // branch -> 0x467387
                    }
                }
            }
        }
    }
    // 0x467387
    g6 = 0x4673a3;
    g3 = &v2;
    System__FinalizeRecord((char *)g4, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
}

// Address range: 0x4673b4 - 0x46746b
void function_4673b4(void) {
    int32_t v1 = g6; // 0x4673c1
    int32_t v2;
    memcpy((char *)&v2, (char *)g8, 16);
    int32_t v3 = g3; // 0x4673cd
    int32_t v4 = &v2; // 0x4673d0_0
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t * v5;
    g11 = (int32_t)&v5;
    g8 = v4;
    function_467328();
    int32_t * v6;
    if (g3 == 0) {
        // 0x4673fb
        g8 = v4;
        g3 = v3;
        function_469c8c();
        v6 = &v2;
        g11 = (int32_t)&v6;
        g8 = g8 & -256 | g3;
        g6 = v1 & -256 | 1;
        g3 = *(int32_t *)(v3 + 4);
        function_46ae10();
        g6 = -1;
        g8 = v4;
        g3 = v3;
        function_469f40();
        // branch -> 0x46743f
    }
    // 0x46743f
    g3 = 0;
    g8 = (int32_t)v6;
    g6 = (int32_t)v5;
    abort();
    // UNREACHABLE
}

// Address range: 0x46746c - 0x467643
void function_46746c(void) {
    int32_t v1 = g8; // 0x467476
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t * v2;
    g11 = (int32_t)&v2;
    int32_t * v3;
    if (*(char *)(v1 + 48) == 3) {
        int32_t * v4 = (int32_t *)(v1 + 52); // 0x4674a8_0
        int32_t v5;
        g8 = &v5;
        int32_t * v6 = (int32_t *)(g3 + 4); // 0x4674b6_0
        g3 = *v6;
        function_46a30c();
        int32_t v7;
        if (*(char *)*v4 == 0) {
            // 0x4674b0
            v5 = 7;
            v3 = &v5;
            g11 = (int32_t)&v3;
            g8 = g8 & -256 | (int32_t)*(char *)(*v4 + 4);
            g6 = g6 & -256 | 1;
            g3 = *v6;
            function_46ae10();
            v7 = v1 + 56;
            // branch -> 0x467525
        } else {
            // 0x4674e1
            v5 = 4;
            int32_t v8 = v1 + 56; // 0x4674f9
            v3 = &v5;
            g11 = (int32_t)&v3;
            g6 = 0;
            g8 = *(int32_t *)(*v4 + 8) - *(int32_t *)v8 & -256 | 7;
            g3 = *v6;
            function_46ae10();
            v7 = v8;
            // branch -> 0x467525
        }
        // 0x467525
        g3 = *v4;
        function_405b98();
        int32_t v9 = g3; // 0x467535
        int32_t v10 = v9 - 1; // 0x467535
        char * v11 = (char *)v7;
        char v12 = 0; // 0x4676053
        if (v10 >= 1) {
            int32_t v13 = v1 & -256; // 0x4675bb
            int32_t v14 = 1; // 0x4675d95
            char v15 = 0; // 0x4676054
            // branch -> 0x467548
            while (true) {
                int32_t v16 = *v4; // 0x467551
                int32_t v17 = 12 * v14; // 0x467554
                if (*(char *)(v16 + v17) == 0) {
                    int32_t v18 = *v4; // 0x467563
                    g8 = (int32_t)*(char *)(v17 + 4 + v18) | v18 & -256;
                    g3 = *v6;
                    function_46b1f0();
                    // branch -> 0x4675d5
                } else {
                    // 0x467577
                    g3 = *(int32_t *)(*v6 + 4);
                    g8 = v16 & -256 | 143;
                    function_462278();
                    g3 = *(int32_t *)(*v6 + 4);
                    g8 = g8 & -256 | 68;
                    function_462278();
                    g3 = *(int32_t *)(*v6 + 4);
                    g8 = g8 & -256 | 36;
                    function_462278();
                    int32_t v19 = g8 & -256; // 0x4675a7
                    unsigned char v20 = *v11; // 0x4675bb
                    char v21 = *(char *)(v17 + 8 + *v4); // 0x4675c1
                    int32_t v22 = (((int32_t)v20 | v13) - 4 & 255 | v13) - (int32_t)v21 & 255 | v13; // 0x4675c1
                    g5 = v22;
                    g8 = ((v19 | 248) - (int32_t)v15 & 252 | v19) - v22 & 255 | v19;
                    g3 = *(int32_t *)(*v6 + 4);
                    function_462278();
                    // branch -> 0x4675d5
                }
                int32_t v23 = v10 - 1; // 0x4675dc
                if (v23 == 0) {
                    // break -> 0x4675e5
                    break;
                }
                v14++;
                v15 += 4;
                v10 = v23;
                // continue -> 0x467548
            }
            // 0x4675e5
            v12 = 4 * (char)(v9 + 254) + 4;
            // branch -> 0x4675e5
        }
        // 0x4675e5
        g3 = *(int32_t *)(*v6 + 4);
        g8 = g8 & -256 | 131;
        function_462278();
        g3 = *(int32_t *)(*v6 + 4);
        g8 = g8 & -256 | 236;
        function_462278();
        int32_t v24 = g8 & -256; // 0x467605
        g8 = (int32_t)*v11 + (v24 | (int32_t)v12) & 255 | v24;
        g3 = *(int32_t *)(*v6 + 4);
        function_462278();
        // branch -> 0x46761c
    }
    // 0x46761c
    g8 = (int32_t)v3;
    abort();
    // UNREACHABLE
}

// Address range: 0x467644 - 0x4676ab
void function_467644(void) {
    int32_t v1 = g8; // 0x46764a
    int32_t v2 = g3; // 0x46764d
    if (*(char *)(v1 + 48) != 3) {
        // 0x4676a6
        return;
    }
    int32_t * v3 = (int32_t *)(v1 + 44); // 0x46765c_0
    g3 = *v3;
    function_405b98();
    if (g3 != 0) {
        int32_t * v4 = (int32_t *)(v2 + 4); // 0x46766b_0
        g3 = *(int32_t *)(*v4 + 4);
        g8 = g8 & -256 | 131;
        function_462278();
        g3 = *(int32_t *)(*v4 + 4);
        g8 = g8 & -256 | 196;
        function_462278();
        g3 = *v3;
        function_405b98();
        g8 = 4 * g3;
        g3 = *(int32_t *)(*v4 + 4);
        function_462278();
        // branch -> 0x4676a6
    }
}

// Address range: 0x4676ac - 0x46816b
void function_4676ac(void) {
    int32_t * v1;
    int32_t v2 = (int32_t)&v1; // ebp
    int32_t v3 = g6; // 0x4676af
    char v4 = g10; // bp-24
    int32_t v5 = &v4; // 0x4676c0_1
    int32_t v6 = v5; // esp
    uint32_t v7;
    g5 = v7;
    int32_t v8 = v5; // 0x4676cf
    int32_t v9; // 0x4676da_0
    char * v10; // 0x4676e3_2
    int32_t v11; // 0x46770a_2
    char * v12; // 0x467721_0
    int32_t * v13; // 0x467750_0
    int32_t * v14; // 0x467775_0
    int32_t v15; // 0x467713
    int32_t v16; // 0x4677cf
    int32_t v17; // 0x46785e
    int32_t v18;
    struct struct_124 * v19;
    int32_t v20;
    int32_t v21;
    int32_t v22;
    int32_t v23; // 0x468054
    int32_t v24; // 0x46770c
    int32_t v25; // 0x4677a0
    int32_t v26; // 0x4677cf
    int32_t v27; // 0x46785e
    int32_t v28; // 0x4676d4
    int32_t v29; // 0x4676d7
    int32_t v30; // 0x4677c6
    int32_t v31; // 0x4677f0
    struct struct_124 * v32; // 0x4677f0_0
    int32_t v33; // 0x4677fd
    int32_t v34; // 0x467855
    char v35; // 0x4678b2
    char v36; // 0x4678c0_0
    int32_t v37; // 0x467758
    struct struct_124 * v38; // 0x467758_0
    int32_t v39; // 0x4678a8
    int32_t v40; // 0x4678b2
    if (v7 >= 0) {
        int32_t v41 = *(int32_t *)(4 * v7 + v3); // 0x4676c850
        g10 = v41;
        int32_t v42 = v7 - 1; // 0x4676cb51
        g5 = v42;
        int32_t v43 = v5 - 4; // 0x4676cc53
        *(int32_t *)v43 = v41;
        v6 = v43;
        if (v42 >= 0) {
            int32_t v44 = g5;
            int32_t v45 = *(int32_t *)(4 * v44 + g6); // 0x4676c8
            g10 = v45;
            int32_t v46 = v44 - 1; // 0x4676cb
            g5 = v46;
            int32_t v47 = v43 - 4; // 0x4676cc
            *(int32_t *)v47 = v45;
            v6 = v47;
            while (v46 >= 0) {
                // 0x4676c8
                v44 = g5;
                v45 = *(int32_t *)(4 * v44 + g6);
                g10 = v45;
                v46 = v44 - 1;
                g5 = v46;
                v47 -= 4;
                *(int32_t *)v47 = v45;
                v6 = v47;
                // continue -> 0x4676c8
            }
            // 0x4676cf
            v8 = v47;
            // branch -> 0x4676cf
            // 0x4676cf
            v28 = g8;
            v29 = g3;
            v9 = &v22;
            *(int32_t *)(v8 - 4) = 0x4676e8;
            v10 = (char *)v8;
            System__FinalizeRecord(v10, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
            *(int32_t *)(v6 - 4) = 0x4676f9;
            System__FinalizeRecord(v10, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
            *(int32_t *)(v6 - 4) = 0x46770a;
            System__FinalizeRecord(v10, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
            v11 = &v18;
            v24 = v6;
            *(int32_t *)(v24 - 4) = v2;
            *(int32_t *)(v24 - 8) = 0x46808c;
            v15 = v24 - 12;
            *(int32_t *)v15 = v18;
            g11 = v15;
            if (v21 != 0) {
                // 0x46771e
                v12 = (char *)(v28 + 104);
                if (*v12 != 0) {
                    // 0x467727
                    if (*v12 != 1) {
                        // 0x467730
                        *(int32_t *)(v24 - 16) = v7;
                        *(int32_t *)(v24 - 20) = v20;
                        g8 = v21;
                        g3 = v29;
                        *(int32_t *)(v24 - 24) = 0x467746;
                        function_4623bc();
                        // branch -> 0x468052
                        // 0x468052
                        v23 = g11;
                        g6 = *(int32_t *)(v23 + 8);
                        g11 = v23 + 12;
                        abort();
                        // UNREACHABLE
                    }
                }
            }
            // 0x46774b
            g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 7;
            v13 = (int32_t *)(v29 + 4);
            g3 = *v13;
            *(int32_t *)(v24 - 16) = 0x467758;
            function_46b214();
            v38 = v19;
            v37 = (int32_t)v38;
            if (v38 != NULL) {
                // 0x467762
                if (v38->e0 >= 0) {
                    // 0x46776a
                    if (v38->e0 < 4) {
                        // 0x46778c
                        g8 = v37;
                        *(int32_t *)(g11 - 4) = 0x467799;
                        function_467328();
                        v32 = v19;
                        v31 = (int32_t)v32;
                        if (g3 == 0) {
                            // 0x4677f0
                            g8 = v31;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x4677fd;
                            function_469c8c();
                            v33 = g3;
                            g8 = (int32_t)v19;
                            *(int32_t *)(g11 - 4) = 0x46780d;
                            function_46a168();
                            if (g3 != 0) {
                                // 0x467811
                                g8 = g8 & -256 | v33;
                                g3 = *v13;
                                *(int32_t *)(g11 - 4) = 0x467824;
                                function_46af4c();
                                // branch -> 0x467824
                            }
                            // 0x467824
                            g8 = (int32_t)v19;
                            g6 = -1;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x467834;
                            function_469f40();
                            g8 = (int32_t)v19;
                            g3 = *v13;
                            *(int32_t *)(g11 - 4) = 0x467844;
                            function_46a30c();
                            v19->e0 = 5;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x467855;
                            function_469fd8();
                            v34 = (int32_t)v19;
                            *(int32_t *)(v34 + 16) = g3;
                            v27 = g11;
                            v17 = v27 - 4;
                            *(int32_t *)v17 = (int32_t)v19;
                            g11 = v17;
                            g8 = v34 & -256 | v33;
                            g3 = *v13;
                            *(int32_t *)(v27 - 8) = 0x46786f;
                            function_46ae10();
                            g8 = v33;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x46787a;
                            function_469e18();
                            // branch -> 0x46787a
                        } else {
                            // 0x46779d
                            v25 = v32->e0;
                            g8 = v31;
                            g3 = *v13;
                            *(int32_t *)(g11 - 4) = 0x4677b5;
                            function_46a30c();
                            v19->e0 = 5;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x4677c6;
                            function_469fd8();
                            v30 = (int32_t)v19;
                            *(int32_t *)(v30 + 16) = g3;
                            v26 = g11;
                            v16 = v26 - 4;
                            *(int32_t *)v16 = (int32_t)v19;
                            g11 = v16;
                            g8 = v30 & -256 | v25;
                            g3 = *v13;
                            *(int32_t *)(v26 - 8) = 0x4677e0;
                            function_46ae10();
                            g8 = v25;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x4677eb;
                            function_469e18();
                            // branch -> 0x46787a
                        }
                        // 0x46787a
                        g8 = v20;
                        g3 = *v13;
                        *(int32_t *)(g11 - 4) = 0x467888;
                        function_46a30c();
                        v4 = 0;
                        v39 = v29 + 0x1814;
                        v40 = v29 & -256;
                        v35 = 0;
                        // branch -> 0x46788d
                        while (true) {
                            // 0x46788d
                            v36 = v35;
                            if (*(char *)(20 * (int32_t)v35 + v39) != 0) {
                              lab_0x4678b2_13:
                                // 0x4678b2
                                g8 = (int32_t)v35 | v40;
                                g3 = *v13;
                                *(int32_t *)(g11 - 4) = 0x4678c0;
                                function_46b214();
                                v36 = v4;
                                // branch -> 0x4678c0
                            }
                          lab_0x4678c0_13:;
                            char v48 = v36 + 1; // 0x4678c0
                            v4 = v48;
                            if (v48 == 4) {
                                // break -> 0x4678c9
                                break;
                            }
                            v35 = v48;
                            // continue -> 0x46788d
                        }
                        int32_t * v49 = (int32_t *)(v29 + 16); // 0x4678cc_0
                        *(int32_t *)(g11 - 4) = 0x4678da;
                        System__AsClass(NULL, (int32_t *)0x4637dc);
                        int32_t v50 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4); // 0x4678dd
                        int32_t * v51 = (int32_t *)(v28 + 68); // 0x4678e3_0
                        int32_t v52 = *v51; // 0x4678e3
                        g8 = v52;
                        int32_t v53 = *(int32_t *)(4 * v52 + v50); // 0x4678e6
                        char * v54 = (char *)(v53 + 48); // 0x4678ef_0
                        if (*v54 == 3) {
                            // 0x4678f5
                            if (*(char *)(v53 + 66) != 0) {
                                // 0x4678fe
                                g8 = v52 & -256 | 6;
                                g3 = *v13;
                                *(int32_t *)(g11 - 4) = 0x46790b;
                                function_46b214();
                                // branch -> 0x46790b
                            }
                            // 0x46790b
                            if (*(char *)(v53 + 65) != 0) {
                                // 0x467914
                                g8 = g8 & -256 | 5;
                                g3 = *v13;
                                *(int32_t *)(g11 - 4) = 0x467921;
                                function_46b214();
                                // branch -> 0x467921
                            }
                        }
                        // 0x467921
                        int32_t v55;
                        int32_t v56 = &v55; // 0x467921_0
                        g8 = v56;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x46792f;
                        function_4671bc();
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x467937;
                        function_467200();
                        *(int32_t *)(g11 - 4) = 0x467947;
                        System__LStrCmp(0);
                        if (g187) {
                            // 0x467949
                            abort();
                            // UNREACHABLE
                        }
                        // 0x46798a
                        int32_t v57;
                        int32_t v58 = *(int32_t *)(0x11a02bf + v57); // 0x4679c0
                        int32_t v59 = g11; // 0x4679c6
                        *(int32_t *)(v59 - 4) = 0;
                        int32_t v60 = v59 - 8; // 0x4679cb
                        *(int32_t *)v60 = v9;
                        g11 = v60;
                        char * v61 = (char *)(v58 + 9); // 0x4679cf_0
                        g6 = (int32_t)*v61;
                        *(int32_t *)(v59 - 12) = 0x4679e3;
                        unknown_468108();
                        char v62 = v4; // 0x4679e6_0
                        char v63;
                        if (((int32_t)*v61 || v58 & -256) != (int32_t)v63) {
                            // 0x4679fd
                            g6 = v9;
                            g8 = (int32_t)*v61 | (int32_t)v62 & -256;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x467a0e;
                            function_463360();
                            // branch -> 0x467a0e
                        }
                        // 0x467a0e
                        g8 = v9;
                        g3 = *v13;
                        *(int32_t *)(g11 - 4) = 0x467a1c;
                        function_46b2e4();
                        g8 = v9;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x467a2a;
                        function_469f40();
                        v4--;
                        unknown_46799a();
                        int32_t v64; // 0x467aa4_0
                        int32_t * v65; // 0x467b5f_0
                        int32_t * v66; // 0x467bdf_0
                        int32_t * v67; // 0x467cf9_11
                        int32_t * v68; // 0x467e55_0
                        int32_t v69; // edx
                        int32_t v70; // 0x467a8f
                        int32_t v71; // 0x467ac0
                        int32_t v72; // 0x467b27
                        int32_t v73; // 0x467b83
                        int32_t v74; // 0x467ba1
                        int32_t v75; // 0x467bbe
                        int32_t v76; // 0x467e02
                        int32_t v77;
                        int32_t v78;
                        int32_t v79; // 0x467a8f
                        int32_t v80; // 0x467ac0
                        int32_t v81; // 0x467b27
                        int32_t v82; // 0x467bbd
                        int32_t v83; // 0x467e02
                        int32_t v84; // 0x467b76
                        int32_t v85; // 0x467b9d
                        int32_t v86; // 0x467a74
                        int32_t v87; // 0x467a7a
                        int32_t v88; // 0x467ae6
                        int32_t v89; // 0x467aec
                        int32_t v90; // 0x467b0c
                        int32_t v91; // 0x467b12
                        int32_t v92; // 0x467bb7
                        int32_t v93; // 0x467e43
                        int32_t v94; // 0x467e8a
                        int32_t v95; // 0x467e8d
                        char v96; // 0x46802e
                        char v97; // 0x46803c_0
                        struct struct_124 * v98; // 0x467a86_0
                        struct struct_124 * v99; // 0x467b1e_0
                        struct struct_124 * v100; // 0x467b39_0
                        struct struct_124 * v101; // 0x467d94_0
                        if (*(char *)(v28 + 8) == 6) {
                            // 0x467a40
                            if (*(char *)(v28 + 92) != 0) {
                                // 0x467a49
                                if (v21 != 0) {
                                    // 0x467a53
                                    if (*(char *)(v21 + 23) != 0) {
                                        // 0x467a60
                                        *(int32_t *)(g11 - 4) = 0x467a71;
                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                        v86 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                        v87 = *v51;
                                        if (*(char *)(*(int32_t *)(4 * v87 + v86) + 48) == 1) {
                                            // 0x467a86
                                            v98 = v19;
                                            if (v98 == NULL) {
                                                // 0x467aa4
                                                v64 = &v77;
                                                g6 = v64;
                                                g8 = 7;
                                                g3 = *v13;
                                                *(int32_t *)(g11 - 4) = 0x467aba;
                                                function_46b3dc();
                                                v80 = g11;
                                                v71 = v80 - 4;
                                                *(int32_t *)v71 = v64;
                                                g11 = v71;
                                                g8 = g8 & -256 | 1;
                                                g3 = *v13;
                                                *(int32_t *)(v80 - 8) = 0x467ad0;
                                                function_46ae10();
                                                v67 = &v78;
                                                // branch -> 0x467b4f
                                            } else {
                                                // 0x467a8c
                                                v79 = g11;
                                                v70 = v79 - 4;
                                                *(int32_t *)v70 = (int32_t)v98;
                                                g11 = v70;
                                                g8 = v87 & -256 | 1;
                                                g3 = *v13;
                                                *(int32_t *)(v79 - 8) = 0x467a9f;
                                                function_46ae10();
                                                v67 = (int32_t *)1;
                                                // branch -> 0x467b4f
                                            }
                                            // 0x467b4f
                                            g8 = v53;
                                            g3 = v29;
                                            *(int32_t *)(g11 - 4) = 0x467b5a;
                                            function_46746c();
                                            g8 = g8 & -256 | 232;
                                            v65 = (int32_t *)(v29 + 8);
                                            g3 = *v65;
                                            *(int32_t *)(g11 - 4) = 0x467b67;
                                            function_462278();
                                            if (v21 != 0) {
                                                // 0x467b6d
                                                if (*(char *)(v21 + 23) != 0) {
                                                    // 0x467b9d
                                                    v85 = g11;
                                                    *(int32_t *)(v85 - 4) = 1;
                                                    *(int32_t *)(v85 - 8) = 0;
                                                    v74 = v85 - 12;
                                                    *(int32_t *)v74 = 0;
                                                    *(int32_t *)(v85 - 16) = 0x467bb4;
                                                    System__AsClass(v67, (int32_t *)0x4637dc);
                                                    v92 = *(int32_t *)(*(int32_t *)(*v49 + 28) + 16);
                                                    v82 = v74;
                                                    *(int32_t *)(v82 - 4) = *(int32_t *)(v92 + 80);
                                                    v75 = v82 - 8;
                                                    *(int32_t *)v75 = 0;
                                                    g11 = v75;
                                                    g8 = *(int32_t *)(*v65 + 8);
                                                    g6 = 28;
                                                    g3 = *(int32_t *)(v29 + 12);
                                                    *(int32_t *)(v82 - 12) = 0x467bd9;
                                                    function_461c30();
                                                    // branch -> 0x467bd9
                                                    // 0x467bd9
                                                    v66 = (int32_t *)(*v65 + 8);
                                                    *v66 = *v66 + 4;
                                                    g8 = v53;
                                                    g3 = v29;
                                                    *(int32_t *)(g11 - 4) = 0x467bee;
                                                    function_467644();
                                                    // branch -> 0x467d94
                                                    // 0x467d94
                                                    v101 = v19;
                                                    if (v101 != NULL) {
                                                        // 0x467d9a
                                                        g8 = (int32_t)v101;
                                                        g6 = -1;
                                                        g3 = v29;
                                                        *(int32_t *)(g11 - 4) = 0x467daa;
                                                        function_469f40();
                                                        // branch -> 0x467daa
                                                    }
                                                    // 0x467daa
                                                    if (*v54 == 3) {
                                                        // 0x467db3
                                                        if (*(char *)(v53 + 65) != 0) {
                                                            // 0x467dbc
                                                            g8 = g8 & -256 | 5;
                                                            g3 = *v13;
                                                            *(int32_t *)(g11 - 4) = 0x467dc9;
                                                            function_46b1f0();
                                                            // branch -> 0x467dc9
                                                        }
                                                        // 0x467dc9
                                                        if (*(char *)(v53 + 66) != 0) {
                                                            // 0x467dd2
                                                            g8 = g8 & -256 | 6;
                                                            g3 = *v13;
                                                            *(int32_t *)(g11 - 4) = 0x467ddf;
                                                            function_46b1f0();
                                                            // branch -> 0x467ddf
                                                        }
                                                    }
                                                    // 0x467ddf
                                                    g8 = v9;
                                                    g3 = *v13;
                                                    *(int32_t *)(g11 - 4) = 0x467ded;
                                                    function_46a30c();
                                                    v22 = 5;
                                                    g3 = v29;
                                                    *(int32_t *)(g11 - 4) = 0x467dfc;
                                                    function_469fd8();
                                                    v83 = g11;
                                                    v76 = v83 - 4;
                                                    *(int32_t *)v76 = v9;
                                                    g11 = v76;
                                                    g6 = 0;
                                                    g8 = v11;
                                                    g3 = *v13;
                                                    *(int32_t *)(v83 - 8) = 0x467e12;
                                                    function_46ae10();
                                                    *(int32_t *)(g11 - 4) = 0x467e23;
                                                    System__CopyRecord(0x46a22c);
                                                    *(char *)(v20 + 32) = *(char *)(v28 + 9);
                                                    *(int32_t *)(g11 - 4) = 0x467e40;
                                                    System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                                    v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                                    v68 = (int32_t *)(v20 + 36);
                                                    *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                                                    if (v21 != 0) {
                                                        // 0x467e5e
                                                        *(char *)(v20 + 40) = *(char *)(v21 + 68);
                                                        *v68 = *(int32_t *)(v21 + 52);
                                                        // branch -> 0x467e76
                                                    }
                                                    // 0x467e76
                                                    *(int32_t *)(g11 - 4) = 0x467e87;
                                                    System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                                    v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                                                    v95 = *(int32_t *)(v94 + 16);
                                                    if (v95 == v28) {
                                                        // 0x467e95
                                                        *(char *)(v20 + 40) = 1;
                                                        // branch -> 0x467e9c
                                                    }
                                                    // 0x467e9c
                                                    *(int32_t *)(g11 - 4) = 0x467eac;
                                                    System__LStrCmp(0x46a22c);
                                                    if (v95 == v28) {
                                                        // 0x467eb2
                                                        // branch -> 0x468006
                                                    }
                                                    // 0x468006
                                                    g8 = v56;
                                                    g3 = v29;
                                                    *(int32_t *)(g11 - 4) = 0x468014;
                                                    function_467264();
                                                    v4 = 3;
                                                    v96 = 3;
                                                    // branch -> 0x46801b
                                                    while (true) {
                                                        // 0x46801b
                                                        g8 = v29;
                                                        v97 = v96;
                                                        if (*(char *)(20 * (int32_t)v96 + v39) != 0) {
                                                          lab_0x46802e_14:
                                                            // 0x46802e
                                                            g8 = (int32_t)v96 | v40;
                                                            g3 = *v13;
                                                            *(int32_t *)(g11 - 4) = 0x46803c;
                                                            function_46b1f0();
                                                            v97 = v4;
                                                            // branch -> 0x46803c
                                                        }
                                                      lab_0x46803c_14:;
                                                        char v102 = v97 - 1; // 0x46803c
                                                        v4 = v102;
                                                        if (v97 == 0) {
                                                            // break -> 0x468045
                                                            break;
                                                        }
                                                        v96 = v102;
                                                        // continue -> 0x46801b
                                                    }
                                                    // 0x468045
                                                    g8 = g8 & -256 | 7;
                                                    g3 = *v13;
                                                    *(int32_t *)(g11 - 4) = 0x468052;
                                                    function_46b1f0();
                                                    // branch -> 0x468052
                                                    // 0x468052
                                                    v23 = g11;
                                                    g6 = *(int32_t *)(v23 + 8);
                                                    g11 = v23 + 12;
                                                    abort();
                                                    // UNREACHABLE
                                                }
                                            }
                                            // 0x467b76
                                            v84 = g11;
                                            *(int32_t *)(v84 - 4) = 1;
                                            *(int32_t *)(v84 - 8) = 0;
                                            *(int32_t *)(v84 - 12) = 0;
                                            *(int32_t *)(v84 - 16) = *v51;
                                            v73 = v84 - 20;
                                            *(int32_t *)v73 = 0;
                                            g11 = v73;
                                            g8 = *(int32_t *)(*v65 + 8);
                                            g6 = 0;
                                            g3 = *(int32_t *)(v29 + 12);
                                            *(int32_t *)(v84 - 24) = 0x467b9b;
                                            function_461c30();
                                            // branch -> 0x467bd9
                                            // 0x467bd9
                                            v66 = (int32_t *)(*v65 + 8);
                                            *v66 = *v66 + 4;
                                            g8 = v53;
                                            g3 = v29;
                                            *(int32_t *)(g11 - 4) = 0x467bee;
                                            function_467644();
                                            // branch -> 0x467d94
                                            // 0x467d94
                                            v101 = v19;
                                            if (v101 != NULL) {
                                                // 0x467d9a
                                                g8 = (int32_t)v101;
                                                g6 = -1;
                                                g3 = v29;
                                                *(int32_t *)(g11 - 4) = 0x467daa;
                                                function_469f40();
                                                // branch -> 0x467daa
                                            }
                                            // 0x467daa
                                            if (*v54 == 3) {
                                                // 0x467db3
                                                if (*(char *)(v53 + 65) != 0) {
                                                    // 0x467dbc
                                                    g8 = g8 & -256 | 5;
                                                    g3 = *v13;
                                                    *(int32_t *)(g11 - 4) = 0x467dc9;
                                                    function_46b1f0();
                                                    // branch -> 0x467dc9
                                                }
                                                // 0x467dc9
                                                if (*(char *)(v53 + 66) != 0) {
                                                    // 0x467dd2
                                                    g8 = g8 & -256 | 6;
                                                    g3 = *v13;
                                                    *(int32_t *)(g11 - 4) = 0x467ddf;
                                                    function_46b1f0();
                                                    // branch -> 0x467ddf
                                                }
                                            }
                                            // 0x467ddf
                                            g8 = v9;
                                            g3 = *v13;
                                            *(int32_t *)(g11 - 4) = 0x467ded;
                                            function_46a30c();
                                            v22 = 5;
                                            g3 = v29;
                                            *(int32_t *)(g11 - 4) = 0x467dfc;
                                            function_469fd8();
                                            v83 = g11;
                                            v76 = v83 - 4;
                                            *(int32_t *)v76 = v9;
                                            g11 = v76;
                                            g6 = 0;
                                            g8 = v11;
                                            g3 = *v13;
                                            *(int32_t *)(v83 - 8) = 0x467e12;
                                            function_46ae10();
                                            *(int32_t *)(g11 - 4) = 0x467e23;
                                            System__CopyRecord(0x46a22c);
                                            *(char *)(v20 + 32) = *(char *)(v28 + 9);
                                            *(int32_t *)(g11 - 4) = 0x467e40;
                                            System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                            v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                            v68 = (int32_t *)(v20 + 36);
                                            *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                                            if (v21 != 0) {
                                                // 0x467e5e
                                                *(char *)(v20 + 40) = *(char *)(v21 + 68);
                                                *v68 = *(int32_t *)(v21 + 52);
                                                // branch -> 0x467e76
                                            }
                                            // 0x467e76
                                            *(int32_t *)(g11 - 4) = 0x467e87;
                                            System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                            v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                                            v95 = *(int32_t *)(v94 + 16);
                                            if (v95 == v28) {
                                                // 0x467e95
                                                *(char *)(v20 + 40) = 1;
                                                // branch -> 0x467e9c
                                            }
                                            // 0x467e9c
                                            *(int32_t *)(g11 - 4) = 0x467eac;
                                            System__LStrCmp(0x46a22c);
                                            if (v95 == v28) {
                                                // 0x467eb2
                                                // branch -> 0x468006
                                            }
                                            // 0x468006
                                            g8 = v56;
                                            g3 = v29;
                                            *(int32_t *)(g11 - 4) = 0x468014;
                                            function_467264();
                                            v4 = 3;
                                            v96 = 3;
                                            // branch -> 0x46801b
                                            while (true) {
                                                // 0x46801b
                                                g8 = v29;
                                                if (*(char *)(20 * (int32_t)v96 + v39) == 0) {
                                                    v97 = v96;
                                                    goto lab_0x46803c_14;
                                                }
                                                goto lab_0x46802e_14;
                                            }
                                        } else {
                                            // 0x467ad2
                                            *(int32_t *)(g11 - 4) = 0x467ae3;
                                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                            v88 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                            v89 = *v51;
                                            v69 = v89;
                                            if (*(char *)(*(int32_t *)(4 * v89 + v88) + 48) != 0) {
                                                // 0x467af8
                                                *(int32_t *)(g11 - 4) = 0x467b09;
                                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                v90 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                                v91 = *v51;
                                                v69 = v91;
                                                if (*(char *)(*(int32_t *)(4 * v91 + v90) + 48) != 3) {
                                                    // 0x467b39
                                                    v100 = v19;
                                                    if (v100 != NULL) {
                                                        // 0x467b3f
                                                        g8 = (int32_t)v100;
                                                        g3 = *v13;
                                                        *(int32_t *)(g11 - 4) = 0x467b4f;
                                                        function_46b2e4();
                                                        // branch -> 0x467b4f
                                                    }
                                                    // 0x467b4f
                                                    g8 = v53;
                                                    g3 = v29;
                                                    *(int32_t *)(g11 - 4) = 0x467b5a;
                                                    function_46746c();
                                                    g8 = g8 & -256 | 232;
                                                    v65 = (int32_t *)(v29 + 8);
                                                    g3 = *v65;
                                                    *(int32_t *)(g11 - 4) = 0x467b67;
                                                    function_462278();
                                                    if (v21 != 0) {
                                                        // 0x467b6d
                                                        if (*(char *)(v21 + 23) != 0) {
                                                            // 0x467b9d
                                                            v85 = g11;
                                                            *(int32_t *)(v85 - 4) = 1;
                                                            *(int32_t *)(v85 - 8) = 0;
                                                            v74 = v85 - 12;
                                                            *(int32_t *)v74 = 0;
                                                            *(int32_t *)(v85 - 16) = 0x467bb4;
                                                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                            v92 = *(int32_t *)(*(int32_t *)(*v49 + 28) + 16);
                                                            v82 = v74;
                                                            *(int32_t *)(v82 - 4) = *(int32_t *)(v92 + 80);
                                                            v75 = v82 - 8;
                                                            *(int32_t *)v75 = 0;
                                                            g11 = v75;
                                                            g8 = *(int32_t *)(*v65 + 8);
                                                            g6 = 28;
                                                            g3 = *(int32_t *)(v29 + 12);
                                                            *(int32_t *)(v82 - 12) = 0x467bd9;
                                                            function_461c30();
                                                            // branch -> 0x467bd9
                                                            // 0x467bd9
                                                            v66 = (int32_t *)(*v65 + 8);
                                                            *v66 = *v66 + 4;
                                                            g8 = v53;
                                                            g3 = v29;
                                                            *(int32_t *)(g11 - 4) = 0x467bee;
                                                            function_467644();
                                                            // branch -> 0x467d94
                                                            // 0x467d94
                                                            v101 = v19;
                                                            if (v101 != NULL) {
                                                                // 0x467d9a
                                                                g8 = (int32_t)v101;
                                                                g6 = -1;
                                                                g3 = v29;
                                                                *(int32_t *)(g11 - 4) = 0x467daa;
                                                                function_469f40();
                                                                // branch -> 0x467daa
                                                            }
                                                            // 0x467daa
                                                            if (*v54 == 3) {
                                                                // 0x467db3
                                                                if (*(char *)(v53 + 65) != 0) {
                                                                    // 0x467dbc
                                                                    g8 = g8 & -256 | 5;
                                                                    g3 = *v13;
                                                                    *(int32_t *)(g11 - 4) = 0x467dc9;
                                                                    function_46b1f0();
                                                                    // branch -> 0x467dc9
                                                                }
                                                                // 0x467dc9
                                                                if (*(char *)(v53 + 66) != 0) {
                                                                    // 0x467dd2
                                                                    g8 = g8 & -256 | 6;
                                                                    g3 = *v13;
                                                                    *(int32_t *)(g11 - 4) = 0x467ddf;
                                                                    function_46b1f0();
                                                                    // branch -> 0x467ddf
                                                                }
                                                            }
                                                            // 0x467ddf
                                                            g8 = v9;
                                                            g3 = *v13;
                                                            *(int32_t *)(g11 - 4) = 0x467ded;
                                                            function_46a30c();
                                                            v22 = 5;
                                                            g3 = v29;
                                                            *(int32_t *)(g11 - 4) = 0x467dfc;
                                                            function_469fd8();
                                                            v83 = g11;
                                                            v76 = v83 - 4;
                                                            *(int32_t *)v76 = v9;
                                                            g11 = v76;
                                                            g6 = 0;
                                                            g8 = v11;
                                                            g3 = *v13;
                                                            *(int32_t *)(v83 - 8) = 0x467e12;
                                                            function_46ae10();
                                                            *(int32_t *)(g11 - 4) = 0x467e23;
                                                            System__CopyRecord(0x46a22c);
                                                            *(char *)(v20 + 32) = *(char *)(v28 + 9);
                                                            *(int32_t *)(g11 - 4) = 0x467e40;
                                                            System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                                            v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                                            v68 = (int32_t *)(v20 + 36);
                                                            *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                                                            if (v21 != 0) {
                                                                // 0x467e5e
                                                                *(char *)(v20 + 40) = *(char *)(v21 + 68);
                                                                *v68 = *(int32_t *)(v21 + 52);
                                                                // branch -> 0x467e76
                                                            }
                                                            // 0x467e76
                                                            *(int32_t *)(g11 - 4) = 0x467e87;
                                                            System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                                            v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                                                            v95 = *(int32_t *)(v94 + 16);
                                                            if (v95 == v28) {
                                                                // 0x467e95
                                                                *(char *)(v20 + 40) = 1;
                                                                // branch -> 0x467e9c
                                                            }
                                                            // 0x467e9c
                                                            *(int32_t *)(g11 - 4) = 0x467eac;
                                                            System__LStrCmp(0x46a22c);
                                                            if (v95 == v28) {
                                                                // 0x467eb2
                                                                // branch -> 0x468006
                                                            }
                                                            // 0x468006
                                                            g8 = v56;
                                                            g3 = v29;
                                                            *(int32_t *)(g11 - 4) = 0x468014;
                                                            function_467264();
                                                            v4 = 3;
                                                            v96 = 3;
                                                            // branch -> 0x46801b
                                                            while (true) {
                                                                // 0x46801b
                                                                g8 = v29;
                                                                if (*(char *)(20 * (int32_t)v96 + v39) == 0) {
                                                                    v97 = v96;
                                                                    goto lab_0x46803c_14;
                                                                }
                                                                goto lab_0x46802e_14;
                                                            }
                                                        }
                                                    }
                                                    // 0x467b76
                                                    v84 = g11;
                                                    *(int32_t *)(v84 - 4) = 1;
                                                    *(int32_t *)(v84 - 8) = 0;
                                                    *(int32_t *)(v84 - 12) = 0;
                                                    *(int32_t *)(v84 - 16) = *v51;
                                                    v73 = v84 - 20;
                                                    *(int32_t *)v73 = 0;
                                                    g11 = v73;
                                                    g8 = *(int32_t *)(*v65 + 8);
                                                    g6 = 0;
                                                    g3 = *(int32_t *)(v29 + 12);
                                                    *(int32_t *)(v84 - 24) = 0x467b9b;
                                                    function_461c30();
                                                    // branch -> 0x467bd9
                                                    // 0x467bd9
                                                    v66 = (int32_t *)(*v65 + 8);
                                                    *v66 = *v66 + 4;
                                                    g8 = v53;
                                                    g3 = v29;
                                                    *(int32_t *)(g11 - 4) = 0x467bee;
                                                    function_467644();
                                                    // branch -> 0x467d94
                                                    // 0x467d94
                                                    v101 = v19;
                                                    if (v101 != NULL) {
                                                        // 0x467d9a
                                                        g8 = (int32_t)v101;
                                                        g6 = -1;
                                                        g3 = v29;
                                                        *(int32_t *)(g11 - 4) = 0x467daa;
                                                        function_469f40();
                                                        // branch -> 0x467daa
                                                    }
                                                    // 0x467daa
                                                    if (*v54 == 3) {
                                                        // 0x467db3
                                                        if (*(char *)(v53 + 65) != 0) {
                                                            // 0x467dbc
                                                            g8 = g8 & -256 | 5;
                                                            g3 = *v13;
                                                            *(int32_t *)(g11 - 4) = 0x467dc9;
                                                            function_46b1f0();
                                                            // branch -> 0x467dc9
                                                        }
                                                        // 0x467dc9
                                                        if (*(char *)(v53 + 66) != 0) {
                                                            // 0x467dd2
                                                            g8 = g8 & -256 | 6;
                                                            g3 = *v13;
                                                            *(int32_t *)(g11 - 4) = 0x467ddf;
                                                            function_46b1f0();
                                                            // branch -> 0x467ddf
                                                        }
                                                    }
                                                    // 0x467ddf
                                                    g8 = v9;
                                                    g3 = *v13;
                                                    *(int32_t *)(g11 - 4) = 0x467ded;
                                                    function_46a30c();
                                                    v22 = 5;
                                                    g3 = v29;
                                                    *(int32_t *)(g11 - 4) = 0x467dfc;
                                                    function_469fd8();
                                                    v83 = g11;
                                                    v76 = v83 - 4;
                                                    *(int32_t *)v76 = v9;
                                                    g11 = v76;
                                                    g6 = 0;
                                                    g8 = v11;
                                                    g3 = *v13;
                                                    *(int32_t *)(v83 - 8) = 0x467e12;
                                                    function_46ae10();
                                                    *(int32_t *)(g11 - 4) = 0x467e23;
                                                    System__CopyRecord(0x46a22c);
                                                    *(char *)(v20 + 32) = *(char *)(v28 + 9);
                                                    *(int32_t *)(g11 - 4) = 0x467e40;
                                                    System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                                    v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                                    v68 = (int32_t *)(v20 + 36);
                                                    *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                                                    if (v21 != 0) {
                                                        // 0x467e5e
                                                        *(char *)(v20 + 40) = *(char *)(v21 + 68);
                                                        *v68 = *(int32_t *)(v21 + 52);
                                                        // branch -> 0x467e76
                                                    }
                                                    // 0x467e76
                                                    *(int32_t *)(g11 - 4) = 0x467e87;
                                                    System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                                    v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                                                    v95 = *(int32_t *)(v94 + 16);
                                                    if (v95 == v28) {
                                                        // 0x467e95
                                                        *(char *)(v20 + 40) = 1;
                                                        // branch -> 0x467e9c
                                                    }
                                                    // 0x467e9c
                                                    *(int32_t *)(g11 - 4) = 0x467eac;
                                                    System__LStrCmp(0x46a22c);
                                                    if (v95 == v28) {
                                                        // 0x467eb2
                                                        // branch -> 0x468006
                                                    }
                                                    // 0x468006
                                                    g8 = v56;
                                                    g3 = v29;
                                                    *(int32_t *)(g11 - 4) = 0x468014;
                                                    function_467264();
                                                    v4 = 3;
                                                    v96 = 3;
                                                    // branch -> 0x46801b
                                                    while (true) {
                                                        // 0x46801b
                                                        g8 = v29;
                                                        if (*(char *)(20 * (int32_t)v96 + v39) == 0) {
                                                            v97 = v96;
                                                            goto lab_0x46803c_14;
                                                        }
                                                        goto lab_0x46802e_14;
                                                    }
                                                }
                                            }
                                            // 0x467b1e
                                            v99 = v19;
                                            if (v99 != NULL) {
                                                // 0x467b24
                                                v81 = g11;
                                                v72 = v81 - 4;
                                                *(int32_t *)v72 = (int32_t)v99;
                                                g11 = v72;
                                                g8 = v69 & -256 | 7;
                                                g3 = *v13;
                                                *(int32_t *)(v81 - 8) = 0x467b37;
                                                function_46ae10();
                                                v67 = (int32_t *)1;
                                                // branch -> 0x467b4f
                                            } else {
                                                v67 = (int32_t *)-1;
                                            }
                                        }
                                        // 0x467b4f
                                        g8 = v53;
                                        g3 = v29;
                                        *(int32_t *)(g11 - 4) = 0x467b5a;
                                        function_46746c();
                                        g8 = g8 & -256 | 232;
                                        v65 = (int32_t *)(v29 + 8);
                                        g3 = *v65;
                                        *(int32_t *)(g11 - 4) = 0x467b67;
                                        function_462278();
                                        if (v21 != 0) {
                                            // 0x467b6d
                                            if (*(char *)(v21 + 23) != 0) {
                                                // 0x467b9d
                                                v85 = g11;
                                                *(int32_t *)(v85 - 4) = 1;
                                                *(int32_t *)(v85 - 8) = 0;
                                                v74 = v85 - 12;
                                                *(int32_t *)v74 = 0;
                                                *(int32_t *)(v85 - 16) = 0x467bb4;
                                                System__AsClass(v67, (int32_t *)0x4637dc);
                                                v92 = *(int32_t *)(*(int32_t *)(*v49 + 28) + 16);
                                                v82 = v74;
                                                *(int32_t *)(v82 - 4) = *(int32_t *)(v92 + 80);
                                                v75 = v82 - 8;
                                                *(int32_t *)v75 = 0;
                                                g11 = v75;
                                                g8 = *(int32_t *)(*v65 + 8);
                                                g6 = 28;
                                                g3 = *(int32_t *)(v29 + 12);
                                                *(int32_t *)(v82 - 12) = 0x467bd9;
                                                function_461c30();
                                                // branch -> 0x467bd9
                                                // 0x467bd9
                                                v66 = (int32_t *)(*v65 + 8);
                                                *v66 = *v66 + 4;
                                                g8 = v53;
                                                g3 = v29;
                                                *(int32_t *)(g11 - 4) = 0x467bee;
                                                function_467644();
                                                // branch -> 0x467d94
                                                // 0x467d94
                                                v101 = v19;
                                                if (v101 != NULL) {
                                                    // 0x467d9a
                                                    g8 = (int32_t)v101;
                                                    g6 = -1;
                                                    g3 = v29;
                                                    *(int32_t *)(g11 - 4) = 0x467daa;
                                                    function_469f40();
                                                    // branch -> 0x467daa
                                                }
                                                // 0x467daa
                                                if (*v54 == 3) {
                                                    // 0x467db3
                                                    if (*(char *)(v53 + 65) != 0) {
                                                        // 0x467dbc
                                                        g8 = g8 & -256 | 5;
                                                        g3 = *v13;
                                                        *(int32_t *)(g11 - 4) = 0x467dc9;
                                                        function_46b1f0();
                                                        // branch -> 0x467dc9
                                                    }
                                                    // 0x467dc9
                                                    if (*(char *)(v53 + 66) != 0) {
                                                        // 0x467dd2
                                                        g8 = g8 & -256 | 6;
                                                        g3 = *v13;
                                                        *(int32_t *)(g11 - 4) = 0x467ddf;
                                                        function_46b1f0();
                                                        // branch -> 0x467ddf
                                                    }
                                                }
                                                // 0x467ddf
                                                g8 = v9;
                                                g3 = *v13;
                                                *(int32_t *)(g11 - 4) = 0x467ded;
                                                function_46a30c();
                                                v22 = 5;
                                                g3 = v29;
                                                *(int32_t *)(g11 - 4) = 0x467dfc;
                                                function_469fd8();
                                                v83 = g11;
                                                v76 = v83 - 4;
                                                *(int32_t *)v76 = v9;
                                                g11 = v76;
                                                g6 = 0;
                                                g8 = v11;
                                                g3 = *v13;
                                                *(int32_t *)(v83 - 8) = 0x467e12;
                                                function_46ae10();
                                                *(int32_t *)(g11 - 4) = 0x467e23;
                                                System__CopyRecord(0x46a22c);
                                                *(char *)(v20 + 32) = *(char *)(v28 + 9);
                                                *(int32_t *)(g11 - 4) = 0x467e40;
                                                System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                                v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                                v68 = (int32_t *)(v20 + 36);
                                                *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                                                if (v21 != 0) {
                                                    // 0x467e5e
                                                    *(char *)(v20 + 40) = *(char *)(v21 + 68);
                                                    *v68 = *(int32_t *)(v21 + 52);
                                                    // branch -> 0x467e76
                                                }
                                                // 0x467e76
                                                *(int32_t *)(g11 - 4) = 0x467e87;
                                                System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                                v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                                                v95 = *(int32_t *)(v94 + 16);
                                                if (v95 == v28) {
                                                    // 0x467e95
                                                    *(char *)(v20 + 40) = 1;
                                                    // branch -> 0x467e9c
                                                }
                                                // 0x467e9c
                                                *(int32_t *)(g11 - 4) = 0x467eac;
                                                System__LStrCmp(0x46a22c);
                                                if (v95 == v28) {
                                                    // 0x467eb2
                                                    // branch -> 0x468006
                                                }
                                                // 0x468006
                                                g8 = v56;
                                                g3 = v29;
                                                *(int32_t *)(g11 - 4) = 0x468014;
                                                function_467264();
                                                v4 = 3;
                                                v96 = 3;
                                                // branch -> 0x46801b
                                                while (true) {
                                                    // 0x46801b
                                                    g8 = v29;
                                                    if (*(char *)(20 * (int32_t)v96 + v39) == 0) {
                                                        v97 = v96;
                                                        goto lab_0x46803c_14;
                                                    }
                                                    goto lab_0x46802e_14;
                                                }
                                            }
                                        }
                                        // 0x467b76
                                        v84 = g11;
                                        *(int32_t *)(v84 - 4) = 1;
                                        *(int32_t *)(v84 - 8) = 0;
                                        *(int32_t *)(v84 - 12) = 0;
                                        *(int32_t *)(v84 - 16) = *v51;
                                        v73 = v84 - 20;
                                        *(int32_t *)v73 = 0;
                                        g11 = v73;
                                        g8 = *(int32_t *)(*v65 + 8);
                                        g6 = 0;
                                        g3 = *(int32_t *)(v29 + 12);
                                        *(int32_t *)(v84 - 24) = 0x467b9b;
                                        function_461c30();
                                        // branch -> 0x467bd9
                                        // 0x467bd9
                                        v66 = (int32_t *)(*v65 + 8);
                                        *v66 = *v66 + 4;
                                        g8 = v53;
                                        g3 = v29;
                                        *(int32_t *)(g11 - 4) = 0x467bee;
                                        function_467644();
                                        // branch -> 0x467d94
                                        // 0x467d94
                                        v101 = v19;
                                        if (v101 != NULL) {
                                            // 0x467d9a
                                            g8 = (int32_t)v101;
                                            g6 = -1;
                                            g3 = v29;
                                            *(int32_t *)(g11 - 4) = 0x467daa;
                                            function_469f40();
                                            // branch -> 0x467daa
                                        }
                                        // 0x467daa
                                        if (*v54 == 3) {
                                            // 0x467db3
                                            if (*(char *)(v53 + 65) != 0) {
                                                // 0x467dbc
                                                g8 = g8 & -256 | 5;
                                                g3 = *v13;
                                                *(int32_t *)(g11 - 4) = 0x467dc9;
                                                function_46b1f0();
                                                // branch -> 0x467dc9
                                            }
                                            // 0x467dc9
                                            if (*(char *)(v53 + 66) != 0) {
                                                // 0x467dd2
                                                g8 = g8 & -256 | 6;
                                                g3 = *v13;
                                                *(int32_t *)(g11 - 4) = 0x467ddf;
                                                function_46b1f0();
                                                // branch -> 0x467ddf
                                            }
                                        }
                                        // 0x467ddf
                                        g8 = v9;
                                        g3 = *v13;
                                        *(int32_t *)(g11 - 4) = 0x467ded;
                                        function_46a30c();
                                        v22 = 5;
                                        g3 = v29;
                                        *(int32_t *)(g11 - 4) = 0x467dfc;
                                        function_469fd8();
                                        v83 = g11;
                                        v76 = v83 - 4;
                                        *(int32_t *)v76 = v9;
                                        g11 = v76;
                                        g6 = 0;
                                        g8 = v11;
                                        g3 = *v13;
                                        *(int32_t *)(v83 - 8) = 0x467e12;
                                        function_46ae10();
                                        *(int32_t *)(g11 - 4) = 0x467e23;
                                        System__CopyRecord(0x46a22c);
                                        *(char *)(v20 + 32) = *(char *)(v28 + 9);
                                        *(int32_t *)(g11 - 4) = 0x467e40;
                                        System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                        v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                        v68 = (int32_t *)(v20 + 36);
                                        *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                                        if (v21 != 0) {
                                            // 0x467e5e
                                            *(char *)(v20 + 40) = *(char *)(v21 + 68);
                                            *v68 = *(int32_t *)(v21 + 52);
                                            // branch -> 0x467e76
                                        }
                                        // 0x467e76
                                        *(int32_t *)(g11 - 4) = 0x467e87;
                                        System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                        v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                                        v95 = *(int32_t *)(v94 + 16);
                                        if (v95 == v28) {
                                            // 0x467e95
                                            *(char *)(v20 + 40) = 1;
                                            // branch -> 0x467e9c
                                        }
                                        // 0x467e9c
                                        *(int32_t *)(g11 - 4) = 0x467eac;
                                        System__LStrCmp(0x46a22c);
                                        if (v95 == v28) {
                                            // 0x467eb2
                                            // branch -> 0x468006
                                        }
                                        // 0x468006
                                        g8 = v56;
                                        g3 = v29;
                                        *(int32_t *)(g11 - 4) = 0x468014;
                                        function_467264();
                                        v4 = 3;
                                        v96 = 3;
                                        // branch -> 0x46801b
                                        while (true) {
                                            // 0x46801b
                                            g8 = v29;
                                            if (*(char *)(20 * (int32_t)v96 + v39) == 0) {
                                                v97 = v96;
                                                goto lab_0x46803c_14;
                                            }
                                            goto lab_0x46802e_14;
                                        }
                                    }
                                }
                                unsigned char v103 = 0; // 0x467d783
                                int32_t v104; // 0x467c69_0
                                int32_t * v105; // 0x467d70_0
                                int32_t v106; // 0x467c57
                                int32_t v107; // 0x467c85
                                int32_t v108; // 0x467cb1
                                int32_t v109; // 0x467cdc
                                int32_t v110; // 0x467cf8
                                int32_t v111; // 0x467d24
                                int32_t v112; // 0x467d4f
                                int32_t v113;
                                int32_t v114;
                                int32_t v115; // 0x467c57
                                int32_t v116; // 0x467c85
                                int32_t v117; // 0x467cb1
                                int32_t v118; // 0x467cdc
                                int32_t v119; // 0x467cf8
                                int32_t v120; // 0x467d24
                                int32_t v121; // 0x467d4f
                                int32_t v122; // 0x467c38
                                int32_t v123; // 0x467c3e
                                int32_t v124; // 0x467c4e
                                struct struct_124 * v125; // 0x467c4e_0
                                int32_t v126; // 0x467d78
                                if (*v54 == 3) {
                                    // 0x467c01
                                    v4 = 0;
                                    // branch -> 0x467c06
                                    for (char i = 0; i < 4; i++) {
                                        // 0x467c06
                                        if (*(char *)(v53 + 60 + (int32_t)i) == 0) {
                                            // 0x467c13
                                            v103 = i;
                                            // branch -> 0x467c24
                                        } else {
                                            // 0x467c1b
                                            v4 = i + 1;
                                            // PHI copies at the loop end
                                            v103 = 0;
                                            // loop 0x467c06 end
                                            continue;
                                        }
                                        // 0x467c24
                                        *(int32_t *)(g11 - 4) = 0x467c35;
                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                        v122 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                        v123 = *v51;
                                        v69 = v123;
                                        v125 = v19;
                                        v124 = (int32_t)v125;
                                        if (*(char *)(*(int32_t *)(4 * v123 + v122) + 48) == 1) {
                                            // 0x467c4e
                                            if (v125 == NULL) {
                                                // 0x467c69
                                                v104 = &v113;
                                                g6 = v104;
                                                g8 = 7;
                                                g3 = *v13;
                                                *(int32_t *)(g11 - 4) = 0x467c7f;
                                                function_46b3dc();
                                                v116 = g11;
                                                v107 = v116 - 4;
                                                *(int32_t *)v107 = v104;
                                                g11 = v107;
                                                g6 = &v114;
                                                g8 = g8 & -256 | 1;
                                                g3 = *v13;
                                                *(int32_t *)(v116 - 8) = 0x467c95;
                                                function_46ae10();
                                                // branch -> 0x467c95
                                            } else {
                                                // 0x467c54
                                                v115 = g11;
                                                v106 = v115 - 4;
                                                *(int32_t *)v106 = v124;
                                                g11 = v106;
                                                g6 = 1;
                                                g8 = v69 & -256 | 1;
                                                g3 = *v13;
                                                *(int32_t *)(v115 - 8) = 0x467c67;
                                                function_46ae10();
                                                // branch -> 0x467c95
                                            }
                                            // 0x467c95
                                            g8 = v9;
                                            g3 = *v13;
                                            *(int32_t *)(g11 - 4) = 0x467ca3;
                                            function_46a30c();
                                            v22 = 1;
                                            v117 = g11;
                                            v108 = v117 - 4;
                                            *(int32_t *)v108 = v9;
                                            g11 = v108;
                                            g6 = g6 & -256 | 1;
                                            g8 = v11;
                                            g3 = *v13;
                                            *(int32_t *)(v117 - 8) = 0x467cc1;
                                            function_46ae10();
                                            v22 = 0;
                                            v118 = g11;
                                            v109 = v118 - 4;
                                            *(int32_t *)v109 = v9;
                                            g11 = v109;
                                            g8 = g8 & -256 | (int32_t)v103;
                                            g6 = g6 & -256 | 1;
                                            g3 = *v13;
                                            *(int32_t *)(v118 - 8) = 0x467ced;
                                            function_46ae10();
                                            // branch -> 0x467d60
                                        } else {
                                            // 0x467cef
                                            if (v125 != NULL) {
                                                // 0x467cf5
                                                v119 = g11;
                                                v110 = v119 - 4;
                                                *(int32_t *)v110 = v124;
                                                g11 = v110;
                                                g8 = v69 & -256 | 7;
                                                g3 = *v13;
                                                *(int32_t *)(v119 - 8) = 0x467d08;
                                                function_46ae10();
                                                // branch -> 0x467d08
                                            }
                                            // 0x467d08
                                            g8 = v9;
                                            g3 = *v13;
                                            *(int32_t *)(g11 - 4) = 0x467d16;
                                            function_46a30c();
                                            v22 = 7;
                                            v120 = g11;
                                            v111 = v120 - 4;
                                            *(int32_t *)v111 = v9;
                                            g11 = v111;
                                            g6 = 1;
                                            g8 = v11;
                                            g3 = *v13;
                                            *(int32_t *)(v120 - 8) = 0x467d34;
                                            function_46ae10();
                                            v22 = 0;
                                            v121 = g11;
                                            v112 = v121 - 4;
                                            *(int32_t *)v112 = v9;
                                            g11 = v112;
                                            g8 = g8 & -256 | (int32_t)v103;
                                            g6 = g6 & -256 | 1;
                                            g3 = *v13;
                                            *(int32_t *)(v121 - 8) = 0x467d60;
                                            function_46ae10();
                                            // branch -> 0x467d60
                                        }
                                        // 0x467d60
                                        g8 = v53;
                                        g3 = v29;
                                        *(int32_t *)(g11 - 4) = 0x467d6b;
                                        function_46746c();
                                        g8 |= 255;
                                        v105 = (int32_t *)(v29 + 8);
                                        g3 = *v105;
                                        *(int32_t *)(g11 - 4) = 0x467d78;
                                        function_462278();
                                        v126 = g8 & -256;
                                        g8 = (v126 | (int32_t)v103) - 48 & 255 | v126;
                                        g3 = *v105;
                                        *(int32_t *)(g11 - 4) = 0x467d89;
                                        function_462278();
                                        g8 = v53;
                                        g3 = v29;
                                        *(int32_t *)(g11 - 4) = 0x467d94;
                                        function_467644();
                                        // branch -> 0x467d94
                                        // 0x467d94
                                        v101 = v19;
                                        if (v101 != NULL) {
                                            // 0x467d9a
                                            g8 = (int32_t)v101;
                                            g6 = -1;
                                            g3 = v29;
                                            *(int32_t *)(g11 - 4) = 0x467daa;
                                            function_469f40();
                                            // branch -> 0x467daa
                                        }
                                        // 0x467daa
                                        if (*v54 == 3) {
                                            // 0x467db3
                                            if (*(char *)(v53 + 65) != 0) {
                                                // 0x467dbc
                                                g8 = g8 & -256 | 5;
                                                g3 = *v13;
                                                *(int32_t *)(g11 - 4) = 0x467dc9;
                                                function_46b1f0();
                                                // branch -> 0x467dc9
                                            }
                                            // 0x467dc9
                                            if (*(char *)(v53 + 66) != 0) {
                                                // 0x467dd2
                                                g8 = g8 & -256 | 6;
                                                g3 = *v13;
                                                *(int32_t *)(g11 - 4) = 0x467ddf;
                                                function_46b1f0();
                                                // branch -> 0x467ddf
                                            }
                                        }
                                        // 0x467ddf
                                        g8 = v9;
                                        g3 = *v13;
                                        *(int32_t *)(g11 - 4) = 0x467ded;
                                        function_46a30c();
                                        v22 = 5;
                                        g3 = v29;
                                        *(int32_t *)(g11 - 4) = 0x467dfc;
                                        function_469fd8();
                                        v83 = g11;
                                        v76 = v83 - 4;
                                        *(int32_t *)v76 = v9;
                                        g11 = v76;
                                        g6 = 0;
                                        g8 = v11;
                                        g3 = *v13;
                                        *(int32_t *)(v83 - 8) = 0x467e12;
                                        function_46ae10();
                                        *(int32_t *)(g11 - 4) = 0x467e23;
                                        System__CopyRecord(0x46a22c);
                                        *(char *)(v20 + 32) = *(char *)(v28 + 9);
                                        *(int32_t *)(g11 - 4) = 0x467e40;
                                        System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                        v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                        v68 = (int32_t *)(v20 + 36);
                                        *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                                        if (v21 != 0) {
                                            // 0x467e5e
                                            *(char *)(v20 + 40) = *(char *)(v21 + 68);
                                            *v68 = *(int32_t *)(v21 + 52);
                                            // branch -> 0x467e76
                                        }
                                        // 0x467e76
                                        *(int32_t *)(g11 - 4) = 0x467e87;
                                        System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                        v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                                        v95 = *(int32_t *)(v94 + 16);
                                        if (v95 == v28) {
                                            // 0x467e95
                                            *(char *)(v20 + 40) = 1;
                                            // branch -> 0x467e9c
                                        }
                                        // 0x467e9c
                                        *(int32_t *)(g11 - 4) = 0x467eac;
                                        System__LStrCmp(0x46a22c);
                                        if (v95 == v28) {
                                            // 0x467eb2
                                            // branch -> 0x468006
                                        }
                                        // 0x468006
                                        g8 = v56;
                                        g3 = v29;
                                        *(int32_t *)(g11 - 4) = 0x468014;
                                        function_467264();
                                        v4 = 3;
                                        v96 = 3;
                                        // branch -> 0x46801b
                                        while (true) {
                                            // 0x46801b
                                            g8 = v29;
                                            if (*(char *)(20 * (int32_t)v96 + v39) == 0) {
                                                v97 = v96;
                                                goto lab_0x46803c_14;
                                            }
                                            goto lab_0x46802e_14;
                                        }
                                    }
                                }
                                // 0x467c24
                                *(int32_t *)(g11 - 4) = 0x467c35;
                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                v122 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                v123 = *v51;
                                v69 = v123;
                                v125 = v19;
                                v124 = (int32_t)v125;
                                if (*(char *)(*(int32_t *)(4 * v123 + v122) + 48) == 1) {
                                    // 0x467c4e
                                    if (v125 == NULL) {
                                        // 0x467c69
                                        v104 = &v113;
                                        g6 = v104;
                                        g8 = 7;
                                        g3 = *v13;
                                        *(int32_t *)(g11 - 4) = 0x467c7f;
                                        function_46b3dc();
                                        v116 = g11;
                                        v107 = v116 - 4;
                                        *(int32_t *)v107 = v104;
                                        g11 = v107;
                                        g6 = &v114;
                                        g8 = g8 & -256 | 1;
                                        g3 = *v13;
                                        *(int32_t *)(v116 - 8) = 0x467c95;
                                        function_46ae10();
                                        // branch -> 0x467c95
                                    } else {
                                        // 0x467c54
                                        v115 = g11;
                                        v106 = v115 - 4;
                                        *(int32_t *)v106 = v124;
                                        g11 = v106;
                                        g6 = 1;
                                        g8 = v69 & -256 | 1;
                                        g3 = *v13;
                                        *(int32_t *)(v115 - 8) = 0x467c67;
                                        function_46ae10();
                                        // branch -> 0x467c95
                                    }
                                    // 0x467c95
                                    g8 = v9;
                                    g3 = *v13;
                                    *(int32_t *)(g11 - 4) = 0x467ca3;
                                    function_46a30c();
                                    v22 = 1;
                                    v117 = g11;
                                    v108 = v117 - 4;
                                    *(int32_t *)v108 = v9;
                                    g11 = v108;
                                    g6 = g6 & -256 | 1;
                                    g8 = v11;
                                    g3 = *v13;
                                    *(int32_t *)(v117 - 8) = 0x467cc1;
                                    function_46ae10();
                                    v22 = 0;
                                    v118 = g11;
                                    v109 = v118 - 4;
                                    *(int32_t *)v109 = v9;
                                    g11 = v109;
                                    g8 = g8 & -256 | (int32_t)v103;
                                    g6 = g6 & -256 | 1;
                                    g3 = *v13;
                                    *(int32_t *)(v118 - 8) = 0x467ced;
                                    function_46ae10();
                                    // branch -> 0x467d60
                                } else {
                                    // 0x467cef
                                    if (v125 != NULL) {
                                        // 0x467cf5
                                        v119 = g11;
                                        v110 = v119 - 4;
                                        *(int32_t *)v110 = v124;
                                        g11 = v110;
                                        g8 = v69 & -256 | 7;
                                        g3 = *v13;
                                        *(int32_t *)(v119 - 8) = 0x467d08;
                                        function_46ae10();
                                        // branch -> 0x467d08
                                    }
                                    // 0x467d08
                                    g8 = v9;
                                    g3 = *v13;
                                    *(int32_t *)(g11 - 4) = 0x467d16;
                                    function_46a30c();
                                    v22 = 7;
                                    v120 = g11;
                                    v111 = v120 - 4;
                                    *(int32_t *)v111 = v9;
                                    g11 = v111;
                                    g6 = 1;
                                    g8 = v11;
                                    g3 = *v13;
                                    *(int32_t *)(v120 - 8) = 0x467d34;
                                    function_46ae10();
                                    v22 = 0;
                                    v121 = g11;
                                    v112 = v121 - 4;
                                    *(int32_t *)v112 = v9;
                                    g11 = v112;
                                    g8 = g8 & -256 | (int32_t)v103;
                                    g6 = g6 & -256 | 1;
                                    g3 = *v13;
                                    *(int32_t *)(v121 - 8) = 0x467d60;
                                    function_46ae10();
                                    // branch -> 0x467d60
                                }
                                // 0x467d60
                                g8 = v53;
                                g3 = v29;
                                *(int32_t *)(g11 - 4) = 0x467d6b;
                                function_46746c();
                                g8 |= 255;
                                v105 = (int32_t *)(v29 + 8);
                                g3 = *v105;
                                *(int32_t *)(g11 - 4) = 0x467d78;
                                function_462278();
                                v126 = g8 & -256;
                                g8 = (v126 | (int32_t)v103) - 48 & 255 | v126;
                                g3 = *v105;
                                *(int32_t *)(g11 - 4) = 0x467d89;
                                function_462278();
                                g8 = v53;
                                g3 = v29;
                                *(int32_t *)(g11 - 4) = 0x467d94;
                                function_467644();
                                // branch -> 0x467d94
                                // 0x467d94
                                v101 = v19;
                                if (v101 != NULL) {
                                    // 0x467d9a
                                    g8 = (int32_t)v101;
                                    g6 = -1;
                                    g3 = v29;
                                    *(int32_t *)(g11 - 4) = 0x467daa;
                                    function_469f40();
                                    // branch -> 0x467daa
                                }
                                // 0x467daa
                                if (*v54 == 3) {
                                    // 0x467db3
                                    if (*(char *)(v53 + 65) != 0) {
                                        // 0x467dbc
                                        g8 = g8 & -256 | 5;
                                        g3 = *v13;
                                        *(int32_t *)(g11 - 4) = 0x467dc9;
                                        function_46b1f0();
                                        // branch -> 0x467dc9
                                    }
                                    // 0x467dc9
                                    if (*(char *)(v53 + 66) != 0) {
                                        // 0x467dd2
                                        g8 = g8 & -256 | 6;
                                        g3 = *v13;
                                        *(int32_t *)(g11 - 4) = 0x467ddf;
                                        function_46b1f0();
                                        // branch -> 0x467ddf
                                    }
                                }
                                // 0x467ddf
                                g8 = v9;
                                g3 = *v13;
                                *(int32_t *)(g11 - 4) = 0x467ded;
                                function_46a30c();
                                v22 = 5;
                                g3 = v29;
                                *(int32_t *)(g11 - 4) = 0x467dfc;
                                function_469fd8();
                                v83 = g11;
                                v76 = v83 - 4;
                                *(int32_t *)v76 = v9;
                                g11 = v76;
                                g6 = 0;
                                g8 = v11;
                                g3 = *v13;
                                *(int32_t *)(v83 - 8) = 0x467e12;
                                function_46ae10();
                                *(int32_t *)(g11 - 4) = 0x467e23;
                                System__CopyRecord(0x46a22c);
                                *(char *)(v20 + 32) = *(char *)(v28 + 9);
                                *(int32_t *)(g11 - 4) = 0x467e40;
                                System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                v68 = (int32_t *)(v20 + 36);
                                *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                                if (v21 != 0) {
                                    // 0x467e5e
                                    *(char *)(v20 + 40) = *(char *)(v21 + 68);
                                    *v68 = *(int32_t *)(v21 + 52);
                                    // branch -> 0x467e76
                                }
                                // 0x467e76
                                *(int32_t *)(g11 - 4) = 0x467e87;
                                System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                                v95 = *(int32_t *)(v94 + 16);
                                if (v95 == v28) {
                                    // 0x467e95
                                    *(char *)(v20 + 40) = 1;
                                    // branch -> 0x467e9c
                                }
                                // 0x467e9c
                                *(int32_t *)(g11 - 4) = 0x467eac;
                                System__LStrCmp(0x46a22c);
                                if (v95 == v28) {
                                    // 0x467eb2
                                    // branch -> 0x468006
                                }
                                // 0x468006
                                g8 = v56;
                                g3 = v29;
                                *(int32_t *)(g11 - 4) = 0x468014;
                                function_467264();
                                v4 = 3;
                                v96 = 3;
                                // branch -> 0x46801b
                                while (true) {
                                    // 0x46801b
                                    g8 = v29;
                                    if (*(char *)(20 * (int32_t)v96 + v39) == 0) {
                                        v97 = v96;
                                        goto lab_0x46803c_14;
                                    }
                                    goto lab_0x46802e_14;
                                }
                            }
                        }
                        // 0x467a60
                        *(int32_t *)(g11 - 4) = 0x467a71;
                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                        v86 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                        v87 = *v51;
                        if (*(char *)(*(int32_t *)(4 * v87 + v86) + 48) == 1) {
                            // 0x467a86
                            v98 = v19;
                            if (v98 == NULL) {
                                // 0x467aa4
                                v64 = &v77;
                                g6 = v64;
                                g8 = 7;
                                g3 = *v13;
                                *(int32_t *)(g11 - 4) = 0x467aba;
                                function_46b3dc();
                                v80 = g11;
                                v71 = v80 - 4;
                                *(int32_t *)v71 = v64;
                                g11 = v71;
                                g8 = g8 & -256 | 1;
                                g3 = *v13;
                                *(int32_t *)(v80 - 8) = 0x467ad0;
                                function_46ae10();
                                v67 = &v78;
                                // branch -> 0x467b4f
                            } else {
                                // 0x467a8c
                                v79 = g11;
                                v70 = v79 - 4;
                                *(int32_t *)v70 = (int32_t)v98;
                                g11 = v70;
                                g8 = v87 & -256 | 1;
                                g3 = *v13;
                                *(int32_t *)(v79 - 8) = 0x467a9f;
                                function_46ae10();
                                v67 = (int32_t *)1;
                                // branch -> 0x467b4f
                            }
                            // 0x467b4f
                            g8 = v53;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x467b5a;
                            function_46746c();
                            g8 = g8 & -256 | 232;
                            v65 = (int32_t *)(v29 + 8);
                            g3 = *v65;
                            *(int32_t *)(g11 - 4) = 0x467b67;
                            function_462278();
                            if (v21 != 0) {
                                // 0x467b6d
                                if (*(char *)(v21 + 23) != 0) {
                                    // 0x467b9d
                                    v85 = g11;
                                    *(int32_t *)(v85 - 4) = 1;
                                    *(int32_t *)(v85 - 8) = 0;
                                    v74 = v85 - 12;
                                    *(int32_t *)v74 = 0;
                                    *(int32_t *)(v85 - 16) = 0x467bb4;
                                    System__AsClass(v67, (int32_t *)0x4637dc);
                                    v92 = *(int32_t *)(*(int32_t *)(*v49 + 28) + 16);
                                    v82 = v74;
                                    *(int32_t *)(v82 - 4) = *(int32_t *)(v92 + 80);
                                    v75 = v82 - 8;
                                    *(int32_t *)v75 = 0;
                                    g11 = v75;
                                    g8 = *(int32_t *)(*v65 + 8);
                                    g6 = 28;
                                    g3 = *(int32_t *)(v29 + 12);
                                    *(int32_t *)(v82 - 12) = 0x467bd9;
                                    function_461c30();
                                    // branch -> 0x467bd9
                                    // 0x467bd9
                                    v66 = (int32_t *)(*v65 + 8);
                                    *v66 = *v66 + 4;
                                    g8 = v53;
                                    g3 = v29;
                                    *(int32_t *)(g11 - 4) = 0x467bee;
                                    function_467644();
                                    // branch -> 0x467d94
                                    // 0x467d94
                                    v101 = v19;
                                    if (v101 != NULL) {
                                        // 0x467d9a
                                        g8 = (int32_t)v101;
                                        g6 = -1;
                                        g3 = v29;
                                        *(int32_t *)(g11 - 4) = 0x467daa;
                                        function_469f40();
                                        // branch -> 0x467daa
                                    }
                                    // 0x467daa
                                    if (*v54 == 3) {
                                        // 0x467db3
                                        if (*(char *)(v53 + 65) != 0) {
                                            // 0x467dbc
                                            g8 = g8 & -256 | 5;
                                            g3 = *v13;
                                            *(int32_t *)(g11 - 4) = 0x467dc9;
                                            function_46b1f0();
                                            // branch -> 0x467dc9
                                        }
                                        // 0x467dc9
                                        if (*(char *)(v53 + 66) != 0) {
                                            // 0x467dd2
                                            g8 = g8 & -256 | 6;
                                            g3 = *v13;
                                            *(int32_t *)(g11 - 4) = 0x467ddf;
                                            function_46b1f0();
                                            // branch -> 0x467ddf
                                        }
                                    }
                                    // 0x467ddf
                                    g8 = v9;
                                    g3 = *v13;
                                    *(int32_t *)(g11 - 4) = 0x467ded;
                                    function_46a30c();
                                    v22 = 5;
                                    g3 = v29;
                                    *(int32_t *)(g11 - 4) = 0x467dfc;
                                    function_469fd8();
                                    v83 = g11;
                                    v76 = v83 - 4;
                                    *(int32_t *)v76 = v9;
                                    g11 = v76;
                                    g6 = 0;
                                    g8 = v11;
                                    g3 = *v13;
                                    *(int32_t *)(v83 - 8) = 0x467e12;
                                    function_46ae10();
                                    *(int32_t *)(g11 - 4) = 0x467e23;
                                    System__CopyRecord(0x46a22c);
                                    *(char *)(v20 + 32) = *(char *)(v28 + 9);
                                    *(int32_t *)(g11 - 4) = 0x467e40;
                                    System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                    v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                    v68 = (int32_t *)(v20 + 36);
                                    *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                                    if (v21 != 0) {
                                        // 0x467e5e
                                        *(char *)(v20 + 40) = *(char *)(v21 + 68);
                                        *v68 = *(int32_t *)(v21 + 52);
                                        // branch -> 0x467e76
                                    }
                                    // 0x467e76
                                    *(int32_t *)(g11 - 4) = 0x467e87;
                                    System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                    v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                                    v95 = *(int32_t *)(v94 + 16);
                                    if (v95 == v28) {
                                        // 0x467e95
                                        *(char *)(v20 + 40) = 1;
                                        // branch -> 0x467e9c
                                    }
                                    // 0x467e9c
                                    *(int32_t *)(g11 - 4) = 0x467eac;
                                    System__LStrCmp(0x46a22c);
                                    if (v95 == v28) {
                                        // 0x467eb2
                                        // branch -> 0x468006
                                    }
                                    // 0x468006
                                    g8 = v56;
                                    g3 = v29;
                                    *(int32_t *)(g11 - 4) = 0x468014;
                                    function_467264();
                                    v4 = 3;
                                    v96 = 3;
                                    // branch -> 0x46801b
                                    while (true) {
                                        // 0x46801b
                                        g8 = v29;
                                        if (*(char *)(20 * (int32_t)v96 + v39) == 0) {
                                            v97 = v96;
                                            goto lab_0x46803c_14;
                                        }
                                        goto lab_0x46802e_14;
                                    }
                                }
                            }
                            // 0x467b76
                            v84 = g11;
                            *(int32_t *)(v84 - 4) = 1;
                            *(int32_t *)(v84 - 8) = 0;
                            *(int32_t *)(v84 - 12) = 0;
                            *(int32_t *)(v84 - 16) = *v51;
                            v73 = v84 - 20;
                            *(int32_t *)v73 = 0;
                            g11 = v73;
                            g8 = *(int32_t *)(*v65 + 8);
                            g6 = 0;
                            g3 = *(int32_t *)(v29 + 12);
                            *(int32_t *)(v84 - 24) = 0x467b9b;
                            function_461c30();
                            // branch -> 0x467bd9
                            // 0x467bd9
                            v66 = (int32_t *)(*v65 + 8);
                            *v66 = *v66 + 4;
                            g8 = v53;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x467bee;
                            function_467644();
                            // branch -> 0x467d94
                            // 0x467d94
                            v101 = v19;
                            if (v101 != NULL) {
                                // 0x467d9a
                                g8 = (int32_t)v101;
                                g6 = -1;
                                g3 = v29;
                                *(int32_t *)(g11 - 4) = 0x467daa;
                                function_469f40();
                                // branch -> 0x467daa
                            }
                            // 0x467daa
                            if (*v54 == 3) {
                                // 0x467db3
                                if (*(char *)(v53 + 65) != 0) {
                                    // 0x467dbc
                                    g8 = g8 & -256 | 5;
                                    g3 = *v13;
                                    *(int32_t *)(g11 - 4) = 0x467dc9;
                                    function_46b1f0();
                                    // branch -> 0x467dc9
                                }
                                // 0x467dc9
                                if (*(char *)(v53 + 66) != 0) {
                                    // 0x467dd2
                                    g8 = g8 & -256 | 6;
                                    g3 = *v13;
                                    *(int32_t *)(g11 - 4) = 0x467ddf;
                                    function_46b1f0();
                                    // branch -> 0x467ddf
                                }
                            }
                            // 0x467ddf
                            g8 = v9;
                            g3 = *v13;
                            *(int32_t *)(g11 - 4) = 0x467ded;
                            function_46a30c();
                            v22 = 5;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x467dfc;
                            function_469fd8();
                            v83 = g11;
                            v76 = v83 - 4;
                            *(int32_t *)v76 = v9;
                            g11 = v76;
                            g6 = 0;
                            g8 = v11;
                            g3 = *v13;
                            *(int32_t *)(v83 - 8) = 0x467e12;
                            function_46ae10();
                            *(int32_t *)(g11 - 4) = 0x467e23;
                            System__CopyRecord(0x46a22c);
                            *(char *)(v20 + 32) = *(char *)(v28 + 9);
                            *(int32_t *)(g11 - 4) = 0x467e40;
                            System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                            v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                            v68 = (int32_t *)(v20 + 36);
                            *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                            if (v21 != 0) {
                                // 0x467e5e
                                *(char *)(v20 + 40) = *(char *)(v21 + 68);
                                *v68 = *(int32_t *)(v21 + 52);
                                // branch -> 0x467e76
                            }
                            // 0x467e76
                            *(int32_t *)(g11 - 4) = 0x467e87;
                            System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                            v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                            v95 = *(int32_t *)(v94 + 16);
                            if (v95 == v28) {
                                // 0x467e95
                                *(char *)(v20 + 40) = 1;
                                // branch -> 0x467e9c
                            }
                            // 0x467e9c
                            *(int32_t *)(g11 - 4) = 0x467eac;
                            System__LStrCmp(0x46a22c);
                            if (v95 == v28) {
                                // 0x467eb2
                                // branch -> 0x468006
                            }
                            // 0x468006
                            g8 = v56;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x468014;
                            function_467264();
                            v4 = 3;
                            v96 = 3;
                            // branch -> 0x46801b
                            while (true) {
                                // 0x46801b
                                g8 = v29;
                                if (*(char *)(20 * (int32_t)v96 + v39) == 0) {
                                    v97 = v96;
                                    goto lab_0x46803c_14;
                                }
                                goto lab_0x46802e_14;
                            }
                        } else {
                            // 0x467ad2
                            *(int32_t *)(g11 - 4) = 0x467ae3;
                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                            v88 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                            v89 = *v51;
                            v69 = v89;
                            if (*(char *)(*(int32_t *)(4 * v89 + v88) + 48) != 0) {
                                // 0x467af8
                                *(int32_t *)(g11 - 4) = 0x467b09;
                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                v90 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                v91 = *v51;
                                v69 = v91;
                                if (*(char *)(*(int32_t *)(4 * v91 + v90) + 48) != 3) {
                                    // 0x467b39
                                    v100 = v19;
                                    if (v100 != NULL) {
                                        // 0x467b3f
                                        g8 = (int32_t)v100;
                                        g3 = *v13;
                                        *(int32_t *)(g11 - 4) = 0x467b4f;
                                        function_46b2e4();
                                        // branch -> 0x467b4f
                                    }
                                    // 0x467b4f
                                    g8 = v53;
                                    g3 = v29;
                                    *(int32_t *)(g11 - 4) = 0x467b5a;
                                    function_46746c();
                                    g8 = g8 & -256 | 232;
                                    v65 = (int32_t *)(v29 + 8);
                                    g3 = *v65;
                                    *(int32_t *)(g11 - 4) = 0x467b67;
                                    function_462278();
                                    if (v21 != 0) {
                                        // 0x467b6d
                                        if (*(char *)(v21 + 23) != 0) {
                                            // 0x467b9d
                                            v85 = g11;
                                            *(int32_t *)(v85 - 4) = 1;
                                            *(int32_t *)(v85 - 8) = 0;
                                            v74 = v85 - 12;
                                            *(int32_t *)v74 = 0;
                                            *(int32_t *)(v85 - 16) = 0x467bb4;
                                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                            v92 = *(int32_t *)(*(int32_t *)(*v49 + 28) + 16);
                                            v82 = v74;
                                            *(int32_t *)(v82 - 4) = *(int32_t *)(v92 + 80);
                                            v75 = v82 - 8;
                                            *(int32_t *)v75 = 0;
                                            g11 = v75;
                                            g8 = *(int32_t *)(*v65 + 8);
                                            g6 = 28;
                                            g3 = *(int32_t *)(v29 + 12);
                                            *(int32_t *)(v82 - 12) = 0x467bd9;
                                            function_461c30();
                                            // branch -> 0x467bd9
                                            // 0x467bd9
                                            v66 = (int32_t *)(*v65 + 8);
                                            *v66 = *v66 + 4;
                                            g8 = v53;
                                            g3 = v29;
                                            *(int32_t *)(g11 - 4) = 0x467bee;
                                            function_467644();
                                            // branch -> 0x467d94
                                            // 0x467d94
                                            v101 = v19;
                                            if (v101 != NULL) {
                                                // 0x467d9a
                                                g8 = (int32_t)v101;
                                                g6 = -1;
                                                g3 = v29;
                                                *(int32_t *)(g11 - 4) = 0x467daa;
                                                function_469f40();
                                                // branch -> 0x467daa
                                            }
                                            // 0x467daa
                                            if (*v54 == 3) {
                                                // 0x467db3
                                                if (*(char *)(v53 + 65) != 0) {
                                                    // 0x467dbc
                                                    g8 = g8 & -256 | 5;
                                                    g3 = *v13;
                                                    *(int32_t *)(g11 - 4) = 0x467dc9;
                                                    function_46b1f0();
                                                    // branch -> 0x467dc9
                                                }
                                                // 0x467dc9
                                                if (*(char *)(v53 + 66) != 0) {
                                                    // 0x467dd2
                                                    g8 = g8 & -256 | 6;
                                                    g3 = *v13;
                                                    *(int32_t *)(g11 - 4) = 0x467ddf;
                                                    function_46b1f0();
                                                    // branch -> 0x467ddf
                                                }
                                            }
                                            // 0x467ddf
                                            g8 = v9;
                                            g3 = *v13;
                                            *(int32_t *)(g11 - 4) = 0x467ded;
                                            function_46a30c();
                                            v22 = 5;
                                            g3 = v29;
                                            *(int32_t *)(g11 - 4) = 0x467dfc;
                                            function_469fd8();
                                            v83 = g11;
                                            v76 = v83 - 4;
                                            *(int32_t *)v76 = v9;
                                            g11 = v76;
                                            g6 = 0;
                                            g8 = v11;
                                            g3 = *v13;
                                            *(int32_t *)(v83 - 8) = 0x467e12;
                                            function_46ae10();
                                            *(int32_t *)(g11 - 4) = 0x467e23;
                                            System__CopyRecord(0x46a22c);
                                            *(char *)(v20 + 32) = *(char *)(v28 + 9);
                                            *(int32_t *)(g11 - 4) = 0x467e40;
                                            System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                            v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                            v68 = (int32_t *)(v20 + 36);
                                            *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                                            if (v21 != 0) {
                                                // 0x467e5e
                                                *(char *)(v20 + 40) = *(char *)(v21 + 68);
                                                *v68 = *(int32_t *)(v21 + 52);
                                                // branch -> 0x467e76
                                            }
                                            // 0x467e76
                                            *(int32_t *)(g11 - 4) = 0x467e87;
                                            System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                            v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                                            v95 = *(int32_t *)(v94 + 16);
                                            if (v95 == v28) {
                                                // 0x467e95
                                                *(char *)(v20 + 40) = 1;
                                                // branch -> 0x467e9c
                                            }
                                            // 0x467e9c
                                            *(int32_t *)(g11 - 4) = 0x467eac;
                                            System__LStrCmp(0x46a22c);
                                            if (v95 == v28) {
                                                // 0x467eb2
                                                // branch -> 0x468006
                                            }
                                            // 0x468006
                                            g8 = v56;
                                            g3 = v29;
                                            *(int32_t *)(g11 - 4) = 0x468014;
                                            function_467264();
                                            v4 = 3;
                                            v96 = 3;
                                            // branch -> 0x46801b
                                            while (true) {
                                                // 0x46801b
                                                g8 = v29;
                                                if (*(char *)(20 * (int32_t)v96 + v39) == 0) {
                                                    v97 = v96;
                                                    goto lab_0x46803c_14;
                                                }
                                                goto lab_0x46802e_14;
                                            }
                                        }
                                    }
                                    // 0x467b76
                                    v84 = g11;
                                    *(int32_t *)(v84 - 4) = 1;
                                    *(int32_t *)(v84 - 8) = 0;
                                    *(int32_t *)(v84 - 12) = 0;
                                    *(int32_t *)(v84 - 16) = *v51;
                                    v73 = v84 - 20;
                                    *(int32_t *)v73 = 0;
                                    g11 = v73;
                                    g8 = *(int32_t *)(*v65 + 8);
                                    g6 = 0;
                                    g3 = *(int32_t *)(v29 + 12);
                                    *(int32_t *)(v84 - 24) = 0x467b9b;
                                    function_461c30();
                                    // branch -> 0x467bd9
                                    // 0x467bd9
                                    v66 = (int32_t *)(*v65 + 8);
                                    *v66 = *v66 + 4;
                                    g8 = v53;
                                    g3 = v29;
                                    *(int32_t *)(g11 - 4) = 0x467bee;
                                    function_467644();
                                    // branch -> 0x467d94
                                    // 0x467d94
                                    v101 = v19;
                                    if (v101 != NULL) {
                                        // 0x467d9a
                                        g8 = (int32_t)v101;
                                        g6 = -1;
                                        g3 = v29;
                                        *(int32_t *)(g11 - 4) = 0x467daa;
                                        function_469f40();
                                        // branch -> 0x467daa
                                    }
                                    // 0x467daa
                                    if (*v54 == 3) {
                                        // 0x467db3
                                        if (*(char *)(v53 + 65) != 0) {
                                            // 0x467dbc
                                            g8 = g8 & -256 | 5;
                                            g3 = *v13;
                                            *(int32_t *)(g11 - 4) = 0x467dc9;
                                            function_46b1f0();
                                            // branch -> 0x467dc9
                                        }
                                        // 0x467dc9
                                        if (*(char *)(v53 + 66) != 0) {
                                            // 0x467dd2
                                            g8 = g8 & -256 | 6;
                                            g3 = *v13;
                                            *(int32_t *)(g11 - 4) = 0x467ddf;
                                            function_46b1f0();
                                            // branch -> 0x467ddf
                                        }
                                    }
                                    // 0x467ddf
                                    g8 = v9;
                                    g3 = *v13;
                                    *(int32_t *)(g11 - 4) = 0x467ded;
                                    function_46a30c();
                                    v22 = 5;
                                    g3 = v29;
                                    *(int32_t *)(g11 - 4) = 0x467dfc;
                                    function_469fd8();
                                    v83 = g11;
                                    v76 = v83 - 4;
                                    *(int32_t *)v76 = v9;
                                    g11 = v76;
                                    g6 = 0;
                                    g8 = v11;
                                    g3 = *v13;
                                    *(int32_t *)(v83 - 8) = 0x467e12;
                                    function_46ae10();
                                    *(int32_t *)(g11 - 4) = 0x467e23;
                                    System__CopyRecord(0x46a22c);
                                    *(char *)(v20 + 32) = *(char *)(v28 + 9);
                                    *(int32_t *)(g11 - 4) = 0x467e40;
                                    System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                    v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                    v68 = (int32_t *)(v20 + 36);
                                    *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                                    if (v21 != 0) {
                                        // 0x467e5e
                                        *(char *)(v20 + 40) = *(char *)(v21 + 68);
                                        *v68 = *(int32_t *)(v21 + 52);
                                        // branch -> 0x467e76
                                    }
                                    // 0x467e76
                                    *(int32_t *)(g11 - 4) = 0x467e87;
                                    System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                    v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                                    v95 = *(int32_t *)(v94 + 16);
                                    if (v95 == v28) {
                                        // 0x467e95
                                        *(char *)(v20 + 40) = 1;
                                        // branch -> 0x467e9c
                                    }
                                    // 0x467e9c
                                    *(int32_t *)(g11 - 4) = 0x467eac;
                                    System__LStrCmp(0x46a22c);
                                    if (v95 == v28) {
                                        // 0x467eb2
                                        // branch -> 0x468006
                                    }
                                    // 0x468006
                                    g8 = v56;
                                    g3 = v29;
                                    *(int32_t *)(g11 - 4) = 0x468014;
                                    function_467264();
                                    v4 = 3;
                                    v96 = 3;
                                    // branch -> 0x46801b
                                    while (true) {
                                        // 0x46801b
                                        g8 = v29;
                                        if (*(char *)(20 * (int32_t)v96 + v39) == 0) {
                                            v97 = v96;
                                            goto lab_0x46803c_14;
                                        }
                                        goto lab_0x46802e_14;
                                    }
                                }
                            }
                            // 0x467b1e
                            v99 = v19;
                            if (v99 != NULL) {
                                // 0x467b24
                                v81 = g11;
                                v72 = v81 - 4;
                                *(int32_t *)v72 = (int32_t)v99;
                                g11 = v72;
                                g8 = v69 & -256 | 7;
                                g3 = *v13;
                                *(int32_t *)(v81 - 8) = 0x467b37;
                                function_46ae10();
                                v67 = (int32_t *)1;
                                // branch -> 0x467b4f
                            } else {
                                v67 = (int32_t *)-1;
                            }
                        }
                        // 0x467b4f
                        g8 = v53;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x467b5a;
                        function_46746c();
                        g8 = g8 & -256 | 232;
                        v65 = (int32_t *)(v29 + 8);
                        g3 = *v65;
                        *(int32_t *)(g11 - 4) = 0x467b67;
                        function_462278();
                        if (v21 != 0) {
                            // 0x467b6d
                            if (*(char *)(v21 + 23) != 0) {
                                // 0x467b9d
                                v85 = g11;
                                *(int32_t *)(v85 - 4) = 1;
                                *(int32_t *)(v85 - 8) = 0;
                                v74 = v85 - 12;
                                *(int32_t *)v74 = 0;
                                *(int32_t *)(v85 - 16) = 0x467bb4;
                                System__AsClass(v67, (int32_t *)0x4637dc);
                                v92 = *(int32_t *)(*(int32_t *)(*v49 + 28) + 16);
                                v82 = v74;
                                *(int32_t *)(v82 - 4) = *(int32_t *)(v92 + 80);
                                v75 = v82 - 8;
                                *(int32_t *)v75 = 0;
                                g11 = v75;
                                g8 = *(int32_t *)(*v65 + 8);
                                g6 = 28;
                                g3 = *(int32_t *)(v29 + 12);
                                *(int32_t *)(v82 - 12) = 0x467bd9;
                                function_461c30();
                                // branch -> 0x467bd9
                                // 0x467bd9
                                v66 = (int32_t *)(*v65 + 8);
                                *v66 = *v66 + 4;
                                g8 = v53;
                                g3 = v29;
                                *(int32_t *)(g11 - 4) = 0x467bee;
                                function_467644();
                                // branch -> 0x467d94
                                // 0x467d94
                                v101 = v19;
                                if (v101 != NULL) {
                                    // 0x467d9a
                                    g8 = (int32_t)v101;
                                    g6 = -1;
                                    g3 = v29;
                                    *(int32_t *)(g11 - 4) = 0x467daa;
                                    function_469f40();
                                    // branch -> 0x467daa
                                }
                                // 0x467daa
                                if (*v54 == 3) {
                                    // 0x467db3
                                    if (*(char *)(v53 + 65) != 0) {
                                        // 0x467dbc
                                        g8 = g8 & -256 | 5;
                                        g3 = *v13;
                                        *(int32_t *)(g11 - 4) = 0x467dc9;
                                        function_46b1f0();
                                        // branch -> 0x467dc9
                                    }
                                    // 0x467dc9
                                    if (*(char *)(v53 + 66) != 0) {
                                        // 0x467dd2
                                        g8 = g8 & -256 | 6;
                                        g3 = *v13;
                                        *(int32_t *)(g11 - 4) = 0x467ddf;
                                        function_46b1f0();
                                        // branch -> 0x467ddf
                                    }
                                }
                                // 0x467ddf
                                g8 = v9;
                                g3 = *v13;
                                *(int32_t *)(g11 - 4) = 0x467ded;
                                function_46a30c();
                                v22 = 5;
                                g3 = v29;
                                *(int32_t *)(g11 - 4) = 0x467dfc;
                                function_469fd8();
                                v83 = g11;
                                v76 = v83 - 4;
                                *(int32_t *)v76 = v9;
                                g11 = v76;
                                g6 = 0;
                                g8 = v11;
                                g3 = *v13;
                                *(int32_t *)(v83 - 8) = 0x467e12;
                                function_46ae10();
                                *(int32_t *)(g11 - 4) = 0x467e23;
                                System__CopyRecord(0x46a22c);
                                *(char *)(v20 + 32) = *(char *)(v28 + 9);
                                *(int32_t *)(g11 - 4) = 0x467e40;
                                System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                                v68 = (int32_t *)(v20 + 36);
                                *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                                if (v21 != 0) {
                                    // 0x467e5e
                                    *(char *)(v20 + 40) = *(char *)(v21 + 68);
                                    *v68 = *(int32_t *)(v21 + 52);
                                    // branch -> 0x467e76
                                }
                                // 0x467e76
                                *(int32_t *)(g11 - 4) = 0x467e87;
                                System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                                v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                                v95 = *(int32_t *)(v94 + 16);
                                if (v95 == v28) {
                                    // 0x467e95
                                    *(char *)(v20 + 40) = 1;
                                    // branch -> 0x467e9c
                                }
                                // 0x467e9c
                                *(int32_t *)(g11 - 4) = 0x467eac;
                                System__LStrCmp(0x46a22c);
                                if (v95 == v28) {
                                    // 0x467eb2
                                    // branch -> 0x468006
                                }
                                // 0x468006
                                g8 = v56;
                                g3 = v29;
                                *(int32_t *)(g11 - 4) = 0x468014;
                                function_467264();
                                v4 = 3;
                                v96 = 3;
                                // branch -> 0x46801b
                                while (true) {
                                    // 0x46801b
                                    g8 = v29;
                                    if (*(char *)(20 * (int32_t)v96 + v39) == 0) {
                                        v97 = v96;
                                        goto lab_0x46803c_14;
                                    }
                                    goto lab_0x46802e_14;
                                }
                            }
                        }
                        // 0x467b76
                        v84 = g11;
                        *(int32_t *)(v84 - 4) = 1;
                        *(int32_t *)(v84 - 8) = 0;
                        *(int32_t *)(v84 - 12) = 0;
                        *(int32_t *)(v84 - 16) = *v51;
                        v73 = v84 - 20;
                        *(int32_t *)v73 = 0;
                        g11 = v73;
                        g8 = *(int32_t *)(*v65 + 8);
                        g6 = 0;
                        g3 = *(int32_t *)(v29 + 12);
                        *(int32_t *)(v84 - 24) = 0x467b9b;
                        function_461c30();
                        // branch -> 0x467bd9
                        // 0x467bd9
                        v66 = (int32_t *)(*v65 + 8);
                        *v66 = *v66 + 4;
                        g8 = v53;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x467bee;
                        function_467644();
                        // branch -> 0x467d94
                        // 0x467d94
                        v101 = v19;
                        if (v101 != NULL) {
                            // 0x467d9a
                            g8 = (int32_t)v101;
                            g6 = -1;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x467daa;
                            function_469f40();
                            // branch -> 0x467daa
                        }
                        // 0x467daa
                        if (*v54 == 3) {
                            // 0x467db3
                            if (*(char *)(v53 + 65) != 0) {
                                // 0x467dbc
                                g8 = g8 & -256 | 5;
                                g3 = *v13;
                                *(int32_t *)(g11 - 4) = 0x467dc9;
                                function_46b1f0();
                                // branch -> 0x467dc9
                            }
                            // 0x467dc9
                            if (*(char *)(v53 + 66) != 0) {
                                // 0x467dd2
                                g8 = g8 & -256 | 6;
                                g3 = *v13;
                                *(int32_t *)(g11 - 4) = 0x467ddf;
                                function_46b1f0();
                                // branch -> 0x467ddf
                            }
                        }
                        // 0x467ddf
                        g8 = v9;
                        g3 = *v13;
                        *(int32_t *)(g11 - 4) = 0x467ded;
                        function_46a30c();
                        v22 = 5;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x467dfc;
                        function_469fd8();
                        v83 = g11;
                        v76 = v83 - 4;
                        *(int32_t *)v76 = v9;
                        g11 = v76;
                        g6 = 0;
                        g8 = v11;
                        g3 = *v13;
                        *(int32_t *)(v83 - 8) = 0x467e12;
                        function_46ae10();
                        *(int32_t *)(g11 - 4) = 0x467e23;
                        System__CopyRecord(0x46a22c);
                        *(char *)(v20 + 32) = *(char *)(v28 + 9);
                        *(int32_t *)(g11 - 4) = 0x467e40;
                        System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                        v93 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 4);
                        v68 = (int32_t *)(v20 + 36);
                        *v68 = *(int32_t *)(*(int32_t *)(4 * *v51 + v93) + 76);
                        if (v21 != 0) {
                            // 0x467e5e
                            *(char *)(v20 + 40) = *(char *)(v21 + 68);
                            *v68 = *(int32_t *)(v21 + 52);
                            // branch -> 0x467e76
                        }
                        // 0x467e76
                        *(int32_t *)(g11 - 4) = 0x467e87;
                        System__AsClass((int32_t *)0x46a22c, (int32_t *)0x4637dc);
                        v94 = *(int32_t *)(*(int32_t *)(*v49 + 8) + 76);
                        v95 = *(int32_t *)(v94 + 16);
                        if (v95 == v28) {
                            // 0x467e95
                            *(char *)(v20 + 40) = 1;
                            // branch -> 0x467e9c
                        }
                        // 0x467e9c
                        *(int32_t *)(g11 - 4) = 0x467eac;
                        System__LStrCmp(0x46a22c);
                        if (v95 == v28) {
                            // 0x467eb2
                            // branch -> 0x468006
                        }
                        // 0x468006
                        g8 = v56;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x468014;
                        function_467264();
                        v4 = 3;
                        v96 = 3;
                        // branch -> 0x46801b
                        while (true) {
                            // 0x46801b
                            g8 = v29;
                            if (*(char *)(20 * (int32_t)v96 + v39) == 0) {
                                v97 = v96;
                                goto lab_0x46803c_14;
                            }
                            goto lab_0x46802e_14;
                        }
                    }
                }
                // 0x467772
                v14 = (int32_t *)(v37 + 8);
                if (*v14 >= 0) {
                    // 0x46777f
                    if (*v14 <= 3) {
                        // 0x46778c
                        g8 = v37;
                        *(int32_t *)(g11 - 4) = 0x467799;
                        function_467328();
                        v32 = v19;
                        v31 = (int32_t)v32;
                        if (g3 == 0) {
                            // 0x4677f0
                            g8 = v31;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x4677fd;
                            function_469c8c();
                            v33 = g3;
                            g8 = (int32_t)v19;
                            *(int32_t *)(g11 - 4) = 0x46780d;
                            function_46a168();
                            if (g3 != 0) {
                                // 0x467811
                                g8 = g8 & -256 | v33;
                                g3 = *v13;
                                *(int32_t *)(g11 - 4) = 0x467824;
                                function_46af4c();
                                // branch -> 0x467824
                            }
                            // 0x467824
                            g8 = (int32_t)v19;
                            g6 = -1;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x467834;
                            function_469f40();
                            g8 = (int32_t)v19;
                            g3 = *v13;
                            *(int32_t *)(g11 - 4) = 0x467844;
                            function_46a30c();
                            v19->e0 = 5;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x467855;
                            function_469fd8();
                            v34 = (int32_t)v19;
                            *(int32_t *)(v34 + 16) = g3;
                            v27 = g11;
                            v17 = v27 - 4;
                            *(int32_t *)v17 = (int32_t)v19;
                            g11 = v17;
                            g8 = v34 & -256 | v33;
                            g3 = *v13;
                            *(int32_t *)(v27 - 8) = 0x46786f;
                            function_46ae10();
                            g8 = v33;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x46787a;
                            function_469e18();
                            // branch -> 0x46787a
                        } else {
                            // 0x46779d
                            v25 = v32->e0;
                            g8 = v31;
                            g3 = *v13;
                            *(int32_t *)(g11 - 4) = 0x4677b5;
                            function_46a30c();
                            v19->e0 = 5;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x4677c6;
                            function_469fd8();
                            v30 = (int32_t)v19;
                            *(int32_t *)(v30 + 16) = g3;
                            v26 = g11;
                            v16 = v26 - 4;
                            *(int32_t *)v16 = (int32_t)v19;
                            g11 = v16;
                            g8 = v30 & -256 | v25;
                            g3 = *v13;
                            *(int32_t *)(v26 - 8) = 0x4677e0;
                            function_46ae10();
                            g8 = v25;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x4677eb;
                            function_469e18();
                            // branch -> 0x46787a
                        }
                        // 0x46787a
                        g8 = v20;
                        g3 = *v13;
                        *(int32_t *)(g11 - 4) = 0x467888;
                        function_46a30c();
                        v4 = 0;
                        v39 = v29 + 0x1814;
                        v40 = v29 & -256;
                        v35 = 0;
                        // branch -> 0x46788d
                        while (true) {
                            // 0x46788d
                            if (*(char *)(20 * (int32_t)v35 + v39) == 0) {
                                v36 = v35;
                                goto lab_0x4678c0_13;
                            }
                            goto lab_0x4678b2_13;
                        }
                    }
                }
            }
            // 0x46787a
            g8 = v20;
            g3 = *v13;
            *(int32_t *)(g11 - 4) = 0x467888;
            function_46a30c();
            v4 = 0;
            v39 = v29 + 0x1814;
            v40 = v29 & -256;
            v35 = 0;
            // branch -> 0x46788d
            while (true) {
                // 0x46788d
                if (*(char *)(20 * (int32_t)v35 + v39) == 0) {
                    v36 = v35;
                    goto lab_0x4678c0_13;
                }
                goto lab_0x4678b2_13;
            }
        }
        // 0x4676cf
        v8 = v43;
        // branch -> 0x4676cf
    }
    // 0x4676cf
    v28 = g8;
    v29 = g3;
    v9 = &v22;
    *(int32_t *)(v8 - 4) = 0x4676e8;
    v10 = (char *)v8;
    System__FinalizeRecord(v10, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    *(int32_t *)(v6 - 4) = 0x4676f9;
    System__FinalizeRecord(v10, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    *(int32_t *)(v6 - 4) = 0x46770a;
    System__FinalizeRecord(v10, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    v11 = &v18;
    v24 = v6;
    *(int32_t *)(v24 - 4) = v2;
    *(int32_t *)(v24 - 8) = 0x46808c;
    v15 = v24 - 12;
    *(int32_t *)v15 = v18;
    g11 = v15;
    if (v21 != 0) {
        // 0x46771e
        v12 = (char *)(v28 + 104);
        if (*v12 != 0) {
            // 0x467727
            if (*v12 != 1) {
                // 0x467730
                *(int32_t *)(v24 - 16) = v7;
                *(int32_t *)(v24 - 20) = v20;
                g8 = v21;
                g3 = v29;
                *(int32_t *)(v24 - 24) = 0x467746;
                function_4623bc();
                // branch -> 0x468052
                // 0x468052
                v23 = g11;
                g6 = *(int32_t *)(v23 + 8);
                g11 = v23 + 12;
                abort();
                // UNREACHABLE
            }
            // 0x46774b
            g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 7;
            v13 = (int32_t *)(v29 + 4);
            g3 = *v13;
            *(int32_t *)(v24 - 16) = 0x467758;
            function_46b214();
            v38 = v19;
            v37 = (int32_t)v38;
            if (v38 != NULL) {
                // 0x467762
                if (v38->e0 >= 0) {
                    // 0x46776a
                    if (v38->e0 < 4) {
                        // 0x46778c
                        g8 = v37;
                        *(int32_t *)(g11 - 4) = 0x467799;
                        function_467328();
                        v32 = v19;
                        v31 = (int32_t)v32;
                        if (g3 == 0) {
                            // 0x4677f0
                            g8 = v31;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x4677fd;
                            function_469c8c();
                            v33 = g3;
                            g8 = (int32_t)v19;
                            *(int32_t *)(g11 - 4) = 0x46780d;
                            function_46a168();
                            if (g3 != 0) {
                                // 0x467811
                                g8 = g8 & -256 | v33;
                                g3 = *v13;
                                *(int32_t *)(g11 - 4) = 0x467824;
                                function_46af4c();
                                // branch -> 0x467824
                            }
                            // 0x467824
                            g8 = (int32_t)v19;
                            g6 = -1;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x467834;
                            function_469f40();
                            g8 = (int32_t)v19;
                            g3 = *v13;
                            *(int32_t *)(g11 - 4) = 0x467844;
                            function_46a30c();
                            v19->e0 = 5;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x467855;
                            function_469fd8();
                            v34 = (int32_t)v19;
                            *(int32_t *)(v34 + 16) = g3;
                            v27 = g11;
                            v17 = v27 - 4;
                            *(int32_t *)v17 = (int32_t)v19;
                            g11 = v17;
                            g8 = v34 & -256 | v33;
                            g3 = *v13;
                            *(int32_t *)(v27 - 8) = 0x46786f;
                            function_46ae10();
                            g8 = v33;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x46787a;
                            function_469e18();
                            // branch -> 0x46787a
                        } else {
                            // 0x46779d
                            v25 = v32->e0;
                            g8 = v31;
                            g3 = *v13;
                            *(int32_t *)(g11 - 4) = 0x4677b5;
                            function_46a30c();
                            v19->e0 = 5;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x4677c6;
                            function_469fd8();
                            v30 = (int32_t)v19;
                            *(int32_t *)(v30 + 16) = g3;
                            v26 = g11;
                            v16 = v26 - 4;
                            *(int32_t *)v16 = (int32_t)v19;
                            g11 = v16;
                            g8 = v30 & -256 | v25;
                            g3 = *v13;
                            *(int32_t *)(v26 - 8) = 0x4677e0;
                            function_46ae10();
                            g8 = v25;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x4677eb;
                            function_469e18();
                            // branch -> 0x46787a
                        }
                        // 0x46787a
                        g8 = v20;
                        g3 = *v13;
                        *(int32_t *)(g11 - 4) = 0x467888;
                        function_46a30c();
                        v4 = 0;
                        v39 = v29 + 0x1814;
                        v40 = v29 & -256;
                        v35 = 0;
                        // branch -> 0x46788d
                        while (true) {
                            // 0x46788d
                            if (*(char *)(20 * (int32_t)v35 + v39) == 0) {
                                v36 = v35;
                                goto lab_0x4678c0_13;
                            }
                            goto lab_0x4678b2_13;
                        }
                    }
                }
                // 0x467772
                v14 = (int32_t *)(v37 + 8);
                if (*v14 >= 0) {
                    // 0x46777f
                    if (*v14 <= 3) {
                        // 0x46778c
                        g8 = v37;
                        *(int32_t *)(g11 - 4) = 0x467799;
                        function_467328();
                        v32 = v19;
                        v31 = (int32_t)v32;
                        if (g3 == 0) {
                            // 0x4677f0
                            g8 = v31;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x4677fd;
                            function_469c8c();
                            v33 = g3;
                            g8 = (int32_t)v19;
                            *(int32_t *)(g11 - 4) = 0x46780d;
                            function_46a168();
                            if (g3 != 0) {
                                // 0x467811
                                g8 = g8 & -256 | v33;
                                g3 = *v13;
                                *(int32_t *)(g11 - 4) = 0x467824;
                                function_46af4c();
                                // branch -> 0x467824
                            }
                            // 0x467824
                            g8 = (int32_t)v19;
                            g6 = -1;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x467834;
                            function_469f40();
                            g8 = (int32_t)v19;
                            g3 = *v13;
                            *(int32_t *)(g11 - 4) = 0x467844;
                            function_46a30c();
                            v19->e0 = 5;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x467855;
                            function_469fd8();
                            v34 = (int32_t)v19;
                            *(int32_t *)(v34 + 16) = g3;
                            v27 = g11;
                            v17 = v27 - 4;
                            *(int32_t *)v17 = (int32_t)v19;
                            g11 = v17;
                            g8 = v34 & -256 | v33;
                            g3 = *v13;
                            *(int32_t *)(v27 - 8) = 0x46786f;
                            function_46ae10();
                            g8 = v33;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x46787a;
                            function_469e18();
                            // branch -> 0x46787a
                        } else {
                            // 0x46779d
                            v25 = v32->e0;
                            g8 = v31;
                            g3 = *v13;
                            *(int32_t *)(g11 - 4) = 0x4677b5;
                            function_46a30c();
                            v19->e0 = 5;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x4677c6;
                            function_469fd8();
                            v30 = (int32_t)v19;
                            *(int32_t *)(v30 + 16) = g3;
                            v26 = g11;
                            v16 = v26 - 4;
                            *(int32_t *)v16 = (int32_t)v19;
                            g11 = v16;
                            g8 = v30 & -256 | v25;
                            g3 = *v13;
                            *(int32_t *)(v26 - 8) = 0x4677e0;
                            function_46ae10();
                            g8 = v25;
                            g3 = v29;
                            *(int32_t *)(g11 - 4) = 0x4677eb;
                            function_469e18();
                            // branch -> 0x46787a
                        }
                        // 0x46787a
                        g8 = v20;
                        g3 = *v13;
                        *(int32_t *)(g11 - 4) = 0x467888;
                        function_46a30c();
                        v4 = 0;
                        v39 = v29 + 0x1814;
                        v40 = v29 & -256;
                        v35 = 0;
                        // branch -> 0x46788d
                        while (true) {
                            // 0x46788d
                            if (*(char *)(20 * (int32_t)v35 + v39) == 0) {
                                v36 = v35;
                                goto lab_0x4678c0_13;
                            }
                            goto lab_0x4678b2_13;
                        }
                    }
                }
            }
            // 0x46787a
            g8 = v20;
            g3 = *v13;
            *(int32_t *)(g11 - 4) = 0x467888;
            function_46a30c();
            v4 = 0;
            v39 = v29 + 0x1814;
            v40 = v29 & -256;
            v35 = 0;
            // branch -> 0x46788d
            while (true) {
                // 0x46788d
                if (*(char *)(20 * (int32_t)v35 + v39) == 0) {
                    v36 = v35;
                    goto lab_0x4678c0_13;
                }
                goto lab_0x4678b2_13;
            }
        }
        // 0x46774b
        g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 7;
        v13 = (int32_t *)(v29 + 4);
        g3 = *v13;
        *(int32_t *)(v24 - 16) = 0x467758;
        function_46b214();
        v38 = v19;
        v37 = (int32_t)v38;
        if (v38 != NULL) {
            // 0x467762
            if (v38->e0 >= 0) {
                // 0x46776a
                if (v38->e0 < 4) {
                    // 0x46778c
                    g8 = v37;
                    *(int32_t *)(g11 - 4) = 0x467799;
                    function_467328();
                    v32 = v19;
                    v31 = (int32_t)v32;
                    if (g3 == 0) {
                        // 0x4677f0
                        g8 = v31;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x4677fd;
                        function_469c8c();
                        v33 = g3;
                        g8 = (int32_t)v19;
                        *(int32_t *)(g11 - 4) = 0x46780d;
                        function_46a168();
                        if (g3 != 0) {
                            // 0x467811
                            g8 = g8 & -256 | v33;
                            g3 = *v13;
                            *(int32_t *)(g11 - 4) = 0x467824;
                            function_46af4c();
                            // branch -> 0x467824
                        }
                        // 0x467824
                        g8 = (int32_t)v19;
                        g6 = -1;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x467834;
                        function_469f40();
                        g8 = (int32_t)v19;
                        g3 = *v13;
                        *(int32_t *)(g11 - 4) = 0x467844;
                        function_46a30c();
                        v19->e0 = 5;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x467855;
                        function_469fd8();
                        v34 = (int32_t)v19;
                        *(int32_t *)(v34 + 16) = g3;
                        v27 = g11;
                        v17 = v27 - 4;
                        *(int32_t *)v17 = (int32_t)v19;
                        g11 = v17;
                        g8 = v34 & -256 | v33;
                        g3 = *v13;
                        *(int32_t *)(v27 - 8) = 0x46786f;
                        function_46ae10();
                        g8 = v33;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x46787a;
                        function_469e18();
                        // branch -> 0x46787a
                    } else {
                        // 0x46779d
                        v25 = v32->e0;
                        g8 = v31;
                        g3 = *v13;
                        *(int32_t *)(g11 - 4) = 0x4677b5;
                        function_46a30c();
                        v19->e0 = 5;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x4677c6;
                        function_469fd8();
                        v30 = (int32_t)v19;
                        *(int32_t *)(v30 + 16) = g3;
                        v26 = g11;
                        v16 = v26 - 4;
                        *(int32_t *)v16 = (int32_t)v19;
                        g11 = v16;
                        g8 = v30 & -256 | v25;
                        g3 = *v13;
                        *(int32_t *)(v26 - 8) = 0x4677e0;
                        function_46ae10();
                        g8 = v25;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x4677eb;
                        function_469e18();
                        // branch -> 0x46787a
                    }
                    // 0x46787a
                    g8 = v20;
                    g3 = *v13;
                    *(int32_t *)(g11 - 4) = 0x467888;
                    function_46a30c();
                    v4 = 0;
                    v39 = v29 + 0x1814;
                    v40 = v29 & -256;
                    v35 = 0;
                    // branch -> 0x46788d
                    while (true) {
                        // 0x46788d
                        if (*(char *)(20 * (int32_t)v35 + v39) == 0) {
                            v36 = v35;
                            goto lab_0x4678c0_13;
                        }
                        goto lab_0x4678b2_13;
                    }
                }
            }
            // 0x467772
            v14 = (int32_t *)(v37 + 8);
            if (*v14 >= 0) {
                // 0x46777f
                if (*v14 <= 3) {
                    // 0x46778c
                    g8 = v37;
                    *(int32_t *)(g11 - 4) = 0x467799;
                    function_467328();
                    v32 = v19;
                    v31 = (int32_t)v32;
                    if (g3 == 0) {
                        // 0x4677f0
                        g8 = v31;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x4677fd;
                        function_469c8c();
                        v33 = g3;
                        g8 = (int32_t)v19;
                        *(int32_t *)(g11 - 4) = 0x46780d;
                        function_46a168();
                        if (g3 != 0) {
                            // 0x467811
                            g8 = g8 & -256 | v33;
                            g3 = *v13;
                            *(int32_t *)(g11 - 4) = 0x467824;
                            function_46af4c();
                            // branch -> 0x467824
                        }
                        // 0x467824
                        g8 = (int32_t)v19;
                        g6 = -1;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x467834;
                        function_469f40();
                        g8 = (int32_t)v19;
                        g3 = *v13;
                        *(int32_t *)(g11 - 4) = 0x467844;
                        function_46a30c();
                        v19->e0 = 5;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x467855;
                        function_469fd8();
                        v34 = (int32_t)v19;
                        *(int32_t *)(v34 + 16) = g3;
                        v27 = g11;
                        v17 = v27 - 4;
                        *(int32_t *)v17 = (int32_t)v19;
                        g11 = v17;
                        g8 = v34 & -256 | v33;
                        g3 = *v13;
                        *(int32_t *)(v27 - 8) = 0x46786f;
                        function_46ae10();
                        g8 = v33;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x46787a;
                        function_469e18();
                        // branch -> 0x46787a
                    } else {
                        // 0x46779d
                        v25 = v32->e0;
                        g8 = v31;
                        g3 = *v13;
                        *(int32_t *)(g11 - 4) = 0x4677b5;
                        function_46a30c();
                        v19->e0 = 5;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x4677c6;
                        function_469fd8();
                        v30 = (int32_t)v19;
                        *(int32_t *)(v30 + 16) = g3;
                        v26 = g11;
                        v16 = v26 - 4;
                        *(int32_t *)v16 = (int32_t)v19;
                        g11 = v16;
                        g8 = v30 & -256 | v25;
                        g3 = *v13;
                        *(int32_t *)(v26 - 8) = 0x4677e0;
                        function_46ae10();
                        g8 = v25;
                        g3 = v29;
                        *(int32_t *)(g11 - 4) = 0x4677eb;
                        function_469e18();
                        // branch -> 0x46787a
                    }
                    // 0x46787a
                    g8 = v20;
                    g3 = *v13;
                    *(int32_t *)(g11 - 4) = 0x467888;
                    function_46a30c();
                    v4 = 0;
                    v39 = v29 + 0x1814;
                    v40 = v29 & -256;
                    v35 = 0;
                    // branch -> 0x46788d
                    while (true) {
                        // 0x46788d
                        if (*(char *)(20 * (int32_t)v35 + v39) == 0) {
                            v36 = v35;
                            goto lab_0x4678c0_13;
                        }
                        goto lab_0x4678b2_13;
                    }
                }
            }
        }
        // 0x46787a
        g8 = v20;
        g3 = *v13;
        *(int32_t *)(g11 - 4) = 0x467888;
        function_46a30c();
        v4 = 0;
        v39 = v29 + 0x1814;
        v40 = v29 & -256;
        v35 = 0;
        // branch -> 0x46788d
        while (true) {
            // 0x46788d
            if (*(char *)(20 * (int32_t)v35 + v39) == 0) {
                v36 = v35;
                goto lab_0x4678c0_13;
            }
            goto lab_0x4678b2_13;
        }
    }
    // 0x46774b
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 7;
    v13 = (int32_t *)(v29 + 4);
    g3 = *v13;
    *(int32_t *)(v24 - 16) = 0x467758;
    function_46b214();
    v38 = v19;
    v37 = (int32_t)v38;
    if (v38 != NULL) {
        // 0x467762
        if (v38->e0 >= 0) {
            // 0x46776a
            if (v38->e0 < 4) {
                // 0x46778c
                g8 = v37;
                *(int32_t *)(g11 - 4) = 0x467799;
                function_467328();
                v32 = v19;
                v31 = (int32_t)v32;
                if (g3 == 0) {
                    // 0x4677f0
                    g8 = v31;
                    g3 = v29;
                    *(int32_t *)(g11 - 4) = 0x4677fd;
                    function_469c8c();
                    v33 = g3;
                    g8 = (int32_t)v19;
                    *(int32_t *)(g11 - 4) = 0x46780d;
                    function_46a168();
                    if (g3 != 0) {
                        // 0x467811
                        g8 = g8 & -256 | v33;
                        g3 = *v13;
                        *(int32_t *)(g11 - 4) = 0x467824;
                        function_46af4c();
                        // branch -> 0x467824
                    }
                    // 0x467824
                    g8 = (int32_t)v19;
                    g6 = -1;
                    g3 = v29;
                    *(int32_t *)(g11 - 4) = 0x467834;
                    function_469f40();
                    g8 = (int32_t)v19;
                    g3 = *v13;
                    *(int32_t *)(g11 - 4) = 0x467844;
                    function_46a30c();
                    v19->e0 = 5;
                    g3 = v29;
                    *(int32_t *)(g11 - 4) = 0x467855;
                    function_469fd8();
                    v34 = (int32_t)v19;
                    *(int32_t *)(v34 + 16) = g3;
                    v27 = g11;
                    v17 = v27 - 4;
                    *(int32_t *)v17 = (int32_t)v19;
                    g11 = v17;
                    g8 = v34 & -256 | v33;
                    g3 = *v13;
                    *(int32_t *)(v27 - 8) = 0x46786f;
                    function_46ae10();
                    g8 = v33;
                    g3 = v29;
                    *(int32_t *)(g11 - 4) = 0x46787a;
                    function_469e18();
                    // branch -> 0x46787a
                } else {
                    // 0x46779d
                    v25 = v32->e0;
                    g8 = v31;
                    g3 = *v13;
                    *(int32_t *)(g11 - 4) = 0x4677b5;
                    function_46a30c();
                    v19->e0 = 5;
                    g3 = v29;
                    *(int32_t *)(g11 - 4) = 0x4677c6;
                    function_469fd8();
                    v30 = (int32_t)v19;
                    *(int32_t *)(v30 + 16) = g3;
                    v26 = g11;
                    v16 = v26 - 4;
                    *(int32_t *)v16 = (int32_t)v19;
                    g11 = v16;
                    g8 = v30 & -256 | v25;
                    g3 = *v13;
                    *(int32_t *)(v26 - 8) = 0x4677e0;
                    function_46ae10();
                    g8 = v25;
                    g3 = v29;
                    *(int32_t *)(g11 - 4) = 0x4677eb;
                    function_469e18();
                    // branch -> 0x46787a
                }
                // 0x46787a
                g8 = v20;
                g3 = *v13;
                *(int32_t *)(g11 - 4) = 0x467888;
                function_46a30c();
                v4 = 0;
                v39 = v29 + 0x1814;
                v40 = v29 & -256;
                v35 = 0;
                // branch -> 0x46788d
                while (true) {
                    // 0x46788d
                    if (*(char *)(20 * (int32_t)v35 + v39) == 0) {
                        v36 = v35;
                        goto lab_0x4678c0_13;
                    }
                    goto lab_0x4678b2_13;
                }
            }
        }
        // 0x467772
        v14 = (int32_t *)(v37 + 8);
        if (*v14 >= 0) {
            // 0x46777f
            if (*v14 <= 3) {
                // 0x46778c
                g8 = v37;
                *(int32_t *)(g11 - 4) = 0x467799;
                function_467328();
                v32 = v19;
                v31 = (int32_t)v32;
                if (g3 == 0) {
                    // 0x4677f0
                    g8 = v31;
                    g3 = v29;
                    *(int32_t *)(g11 - 4) = 0x4677fd;
                    function_469c8c();
                    v33 = g3;
                    g8 = (int32_t)v19;
                    *(int32_t *)(g11 - 4) = 0x46780d;
                    function_46a168();
                    if (g3 != 0) {
                        // 0x467811
                        g8 = g8 & -256 | v33;
                        g3 = *v13;
                        *(int32_t *)(g11 - 4) = 0x467824;
                        function_46af4c();
                        // branch -> 0x467824
                    }
                    // 0x467824
                    g8 = (int32_t)v19;
                    g6 = -1;
                    g3 = v29;
                    *(int32_t *)(g11 - 4) = 0x467834;
                    function_469f40();
                    g8 = (int32_t)v19;
                    g3 = *v13;
                    *(int32_t *)(g11 - 4) = 0x467844;
                    function_46a30c();
                    v19->e0 = 5;
                    g3 = v29;
                    *(int32_t *)(g11 - 4) = 0x467855;
                    function_469fd8();
                    v34 = (int32_t)v19;
                    *(int32_t *)(v34 + 16) = g3;
                    v27 = g11;
                    v17 = v27 - 4;
                    *(int32_t *)v17 = (int32_t)v19;
                    g11 = v17;
                    g8 = v34 & -256 | v33;
                    g3 = *v13;
                    *(int32_t *)(v27 - 8) = 0x46786f;
                    function_46ae10();
                    g8 = v33;
                    g3 = v29;
                    *(int32_t *)(g11 - 4) = 0x46787a;
                    function_469e18();
                    // branch -> 0x46787a
                } else {
                    // 0x46779d
                    v25 = v32->e0;
                    g8 = v31;
                    g3 = *v13;
                    *(int32_t *)(g11 - 4) = 0x4677b5;
                    function_46a30c();
                    v19->e0 = 5;
                    g3 = v29;
                    *(int32_t *)(g11 - 4) = 0x4677c6;
                    function_469fd8();
                    v30 = (int32_t)v19;
                    *(int32_t *)(v30 + 16) = g3;
                    v26 = g11;
                    v16 = v26 - 4;
                    *(int32_t *)v16 = (int32_t)v19;
                    g11 = v16;
                    g8 = v30 & -256 | v25;
                    g3 = *v13;
                    *(int32_t *)(v26 - 8) = 0x4677e0;
                    function_46ae10();
                    g8 = v25;
                    g3 = v29;
                    *(int32_t *)(g11 - 4) = 0x4677eb;
                    function_469e18();
                    // branch -> 0x46787a
                }
                // 0x46787a
                g8 = v20;
                g3 = *v13;
                *(int32_t *)(g11 - 4) = 0x467888;
                function_46a30c();
                v4 = 0;
                v39 = v29 + 0x1814;
                v40 = v29 & -256;
                v35 = 0;
                // branch -> 0x46788d
                while (true) {
                    // 0x46788d
                    if (*(char *)(20 * (int32_t)v35 + v39) == 0) {
                        v36 = v35;
                        goto lab_0x4678c0_13;
                    }
                    goto lab_0x4678b2_13;
                }
            }
            // 0x46787a
            g8 = v20;
            g3 = *v13;
            *(int32_t *)(g11 - 4) = 0x467888;
            function_46a30c();
            v4 = 0;
            v39 = v29 + 0x1814;
            v40 = v29 & -256;
            v35 = 0;
            // branch -> 0x46788d
            while (true) {
                // 0x46788d
                if (*(char *)(20 * (int32_t)v35 + v39) == 0) {
                    v36 = v35;
                    goto lab_0x4678c0_13;
                }
                goto lab_0x4678b2_13;
            }
        }
        // 0x46787a
        g8 = v20;
        g3 = *v13;
        *(int32_t *)(g11 - 4) = 0x467888;
        function_46a30c();
        v4 = 0;
        v39 = v29 + 0x1814;
        v40 = v29 & -256;
        v35 = 0;
        // branch -> 0x46788d
        while (true) {
            // 0x46788d
            if (*(char *)(20 * (int32_t)v35 + v39) == 0) {
                v36 = v35;
                goto lab_0x4678c0_13;
            }
            goto lab_0x4678b2_13;
        }
    }
    // 0x46787a
    g8 = v20;
    g3 = *v13;
    *(int32_t *)(g11 - 4) = 0x467888;
    function_46a30c();
    v4 = 0;
    v39 = v29 + 0x1814;
    v40 = v29 & -256;
    v35 = 0;
    // branch -> 0x46788d
    while (true) {
        // 0x46788d
        if (*(char *)(20 * (int32_t)v35 + v39) == 0) {
            v36 = v35;
            goto lab_0x4678c0_13;
        }
        goto lab_0x4678b2_13;
    }
}

// Address range: 0x46816c - 0x469c8a
void function_46816c(void) {
    int32_t v1 = g6; // 0x46816f
    int32_t * v2 = (int32_t *)v1; // 0x46816f_0
    char * v3; // bp-16
    int32_t v4 = (int32_t)&v3; // 0x468177_1
    v3 = NULL;
    g6 = 0;
    int32_t * v5 = (int32_t *)g5; // bp-20
    int32_t v6 = g8; // 0x468183
    int32_t * v7 = (int32_t *)v6; // bp-12
    int32_t v8 = g3; // 0x468186
    int32_t v9;
    int32_t v10 = &v9; // 0x468189_0
    char * v11 = (char *)v1; // 0x468195_1
    System__FinalizeRecord(v11, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    System__FinalizeRecord(v11, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    System__FinalizeRecord(v11, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    System__FinalizeRecord(v11, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    System__FinalizeRecord(v11, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t * v12 = (int32_t *)0x469a8b; // bp-28
    int32_t * v13;
    int32_t v14 = (int32_t)&v13; // 0x4681e7_2
    g11 = v14;
    int32_t * v15 = (int32_t *)(v8 + 4); // 0x4681f5_0
    g3 = *v15;
    function_46a30c();
    char v16 = *(char *)((int32_t)v3 + 28); // 0x468200
    char * v17 = (char *)(v6 + 12); // 0x468209_0
    int32_t * v18; // 0x4698fe10
    int32_t * v19; // 0x4698fe11
    int32_t * v20; // 0x4698fe12
    int32_t * v21; // 0x4698fe7
    int32_t * v22; // 0x4698fe8
    int32_t * v23; // 0x4698fe9
    int32_t * v24; // 0x4693c9_1
    int32_t * v25; // 0x4693d4_0
    char * v26; // 0x46947f_0
    int32_t * v27; // 0x4694db_0
    int32_t * v28; // 0x46972e_0
    char * v29; // 0x469736_0
    int32_t v30; // 0x469530
    int32_t v31; // 0x4695af
    int32_t v32; // 0x46980f
    int32_t v33; // 0x4693c3
    int32_t v34; // 0x4693f7
    int32_t v35; // 0x469411
    int32_t v36; // 0x46941f
    int32_t v37; // 0x46944a
    int32_t v38; // 0x4694ad
    int32_t v39; // 0x4694bb
    int32_t v40; // 0x469519
    int32_t v41; // 0x469530
    int32_t v42; // 0x469541
    int32_t v43; // 0x469555
    int32_t v44; // 0x469563
    int32_t v45; // 0x469598
    int32_t v46; // 0x4695af
    int32_t v47; // 0x4695c0
    int32_t v48; // 0x4695d4
    int32_t v49; // 0x4695e2
    int32_t v50; // 0x469693
    int32_t v51; // 0x4696a7
    int32_t v52; // 0x469701
    int32_t v53; // 0x469742
    int32_t v54; // 0x469757
    int32_t v55; // 0x46976e
    int32_t v56; // 0x46979e
    int32_t v57; // 0x4697e0
    int32_t v58; // 0x46980f
    int32_t v59; // 0x469812
    int32_t v60; // 0x469826
    int32_t v61; // 0x46984b
    int32_t v62; // 0x4698ad
    int32_t v63; // 0x4698c1
    int32_t v64; // 0x4693d4
    int32_t v65; // 0x469430
    int32_t v66; // 0x46945c
    int32_t v67; // 0x469496
    int32_t v68; // 0x4694cc
    int32_t v69; // 0x4694de
    int32_t v70; // 0x469531
    int32_t v71; // 0x469574
    int32_t v72; // 0x4695b0
    int32_t v73; // 0x4695f3
    int32_t v74; // 0x4696c5
    int32_t v75; // 0x4696e3
    int32_t v76; // 0x469712
    int32_t v77; // 0x469768
    int32_t v78; // 0x46977f
    int32_t v79; // 0x469785
    int32_t v80; // 0x46985c
    int32_t v81; // 0x46987c
    int32_t v82; // 0x46979e
    int32_t v83; // 0x4696c5
    int32_t v84; // 0x4696e3
    if (*v17 == 6) {
        int32_t * v85 = (int32_t *)(v6 + 44); // 0x468216_0
        int32_t v86; // 0x4682f1_0
        int32_t * v87; // 0x468335_0
        int32_t * v88; // 0x4699e1_0
        int32_t * v89; // 0x4699fb_0
        int32_t v90; // 0x469987
        int32_t v91; // 0x4699da
        int32_t v92;
        char v93;
        int32_t v94;
        int32_t v95; // 0x469941
        int32_t v96; // 0x469954
        int32_t v97; // 0x46996d
        int32_t v98; // 0x469987
        int32_t v99; // 0x469a12
        int32_t v100; // 0x469915
        int32_t v101; // 0x46995d
        int32_t v102; // 0x4699a2
        int32_t v103; // 0x4699c7
        int32_t v104; // 0x4699db
        int32_t v105; // 0x469954
        int32_t v106; // 0x468335
        unsigned char v107; // 0x468338
        int32_t v108; // 0x469967
        char v109; // 0x46995d
        if (*(char *)(*v85 + 8) != 3) {
            int32_t v110 = *(int32_t *)(*(int32_t *)*(int32_t *)(v6 + 72) + 56); // 0x468227
            if (*(char *)(v110 + 8) != 3) {
                // 0x4682f1
                v86 = &v94;
                g8 = v86;
                g3 = *v15;
                function_46a2a0();
                g6 = v86;
                g8 = *(int32_t *)*(int32_t *)((int32_t)v7 + 72);
                g3 = v8;
                function_46816c();
                v87 = (int32_t *)((int32_t)v7 + 44);
                v106 = *v87;
                v107 = *(char *)(v106 + 9);
                if (((int32_t)v107 || v106 & -256) != (int32_t)v93) {
                    // 0x468344
                    g6 = v10;
                    g8 = g8 & -256 | (int32_t)*(char *)(*v87 + 9);
                    g3 = v8;
                    function_463360();
                    // branch -> 0x4693c1
                }
                // 0x4693c1
                v7 = NULL;
                g11 = (int32_t)&v7;
                v33 = g4;
                g8 = v33 - 132;
                v24 = (int32_t *)*(int32_t *)(v33 - 8);
                g3 = *(int32_t *)(v33 - 4);
                function_4663c4();
                v64 = g4;
                v25 = (int32_t *)(v64 - 8);
                v37 = v64;
                v20 = v24;
                if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                    // 0x4693dd
                    if (*(int32_t *)(*v25 + 80) == -1) {
                        // 0x4693e6
                        g8 = v64 - 132;
                        g3 = *(int32_t *)(v64 - 4);
                        function_469c8c();
                        *(int32_t *)(g4 - 20) = g3;
                        v34 = g4;
                        g11 = v4;
                        g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                        g6 = 1;
                        g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                        function_46ae10();
                        v35 = g4;
                        g8 = v35 - 132;
                        g3 = *(int32_t *)(v35 - 4);
                        function_469f40();
                        v36 = g4;
                        g8 = v36 - 132;
                        g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                        function_46a30c();
                        v65 = g4;
                        *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                        *(char *)(g4 - 128) = 1;
                        v37 = g4;
                        v20 = (int32_t *)-1;
                        // branch -> 0x46943d
                    } else {
                        v37 = v64;
                        v20 = v24;
                    }
                }
                // 0x46943d
                v40 = v37;
                if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) != 1) {
                    // 0x469507
                    v45 = v40;
                    v23 = v20;
                    if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                        // 0x469510
                        v42 = v40;
                        if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                            // 0x469519
                            g8 = v40 - 132;
                            g3 = *(int32_t *)(v40 - 4);
                            *(int32_t *)(g11 - 4) = 0x469527;
                            function_469c8c();
                            *(int32_t *)(g4 - 20) = g3;
                            v41 = g11;
                            v30 = v41 - 4;
                            *(int32_t *)v30 = g4 - 132;
                            g11 = v30;
                            v70 = g4;
                            g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                            g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                            *(int32_t *)(v41 - 8) = 0x469541;
                            function_46ae10();
                            v42 = g4;
                            // branch -> 0x469541
                        }
                        // 0x469541
                        g8 = v42 - 132;
                        g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                        *(int32_t *)(g11 - 4) = 0x469552;
                        function_46b434();
                        v43 = g4;
                        g8 = v43 - 132;
                        g3 = *(int32_t *)(v43 - 4);
                        *(int32_t *)(g11 - 4) = 0x469563;
                        function_469f40();
                        v44 = g4;
                        g8 = v44 - 132;
                        g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                        *(int32_t *)(g11 - 4) = 0x469574;
                        function_46a30c();
                        v71 = g4;
                        if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                            // 0x46957d
                            *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                            v45 = g4;
                            v23 = (int32_t *)-1;
                            // branch -> 0x469586
                        } else {
                            v45 = v71;
                            v23 = (int32_t *)-1;
                        }
                    }
                    // 0x469586
                    v50 = v45;
                    v22 = v23;
                    if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                        // 0x46958f
                        v47 = v45;
                        if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                            // 0x469598
                            g8 = v45 - 132;
                            g3 = *(int32_t *)(v45 - 4);
                            *(int32_t *)(g11 - 4) = 0x4695a6;
                            function_469c8c();
                            *(int32_t *)(g4 - 20) = g3;
                            v46 = g11;
                            v31 = v46 - 4;
                            *(int32_t *)v31 = g4 - 132;
                            g11 = v31;
                            v72 = g4;
                            g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                            g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                            *(int32_t *)(v46 - 8) = 0x4695c0;
                            function_46ae10();
                            v47 = g4;
                            // branch -> 0x4695c0
                        }
                        // 0x4695c0
                        g8 = v47 - 132;
                        g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                        *(int32_t *)(g11 - 4) = 0x4695d1;
                        function_46b4ac();
                        v48 = g4;
                        g8 = v48 - 132;
                        g3 = *(int32_t *)(v48 - 4);
                        *(int32_t *)(g11 - 4) = 0x4695e2;
                        function_469f40();
                        v49 = g4;
                        g8 = v49 - 132;
                        g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                        *(int32_t *)(g11 - 4) = 0x4695f3;
                        function_46a30c();
                        v73 = g4;
                        if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                            // 0x4695fc
                            *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                            v50 = g4;
                            v22 = (int32_t *)-1;
                            // branch -> 0x469605
                        } else {
                            v50 = v73;
                            v22 = (int32_t *)-1;
                        }
                    }
                    // 0x469605
                    v53 = v50;
                    if (*(char *)(*(int32_t *)(v50 - 8) + 25) == 0) {
                        // 0x46971b
                        if (*(char *)(*(int32_t *)(v53 - 8) + 24) == 0) {
                            // 0x469915
                            v100 = g4;
                            v99 = v100;
                            if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                // 0x469922
                                if (*(char *)(v100 - 111) == 0) {
                                    // 0x46992c
                                    g8 = v100 - 132;
                                    *(int32_t *)(g11 - 4) = 0x46993a;
                                    function_467328();
                                    if (g3 == 0) {
                                        // 0x46993e
                                        g6 = -1;
                                        v95 = g4;
                                        g8 = v95 - 132;
                                        g3 = *(int32_t *)(v95 - 4);
                                        *(int32_t *)(g11 - 4) = 0x46994f;
                                        function_4673b4();
                                        *(int32_t *)(g4 - 20) = g3;
                                        // branch -> 0x46995d
                                    } else {
                                        // 0x469954
                                        v96 = g4;
                                        v105 = *(int32_t *)(v96 - 132);
                                        g3 = v105;
                                        *(int32_t *)(v96 - 20) = v105;
                                        // branch -> 0x46995d
                                    }
                                    // 0x46995d
                                    v101 = g4;
                                    v109 = *(char *)(v101 - 100);
                                    v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                    *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                    v97 = g4;
                                    g6 = v97 - 612;
                                    g8 = *(int32_t *)(v97 - 20);
                                    g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                    *(int32_t *)(g11 - 4) = 0x469981;
                                    function_46b3dc();
                                    v98 = g11;
                                    v90 = v98 - 4;
                                    *(int32_t *)v90 = g4 - 612;
                                    g11 = v90;
                                    g6 = g6 & -256 | 1;
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                    *(int32_t *)(v98 - 8) = 0x469998;
                                    function_46ad90();
                                    *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                    v102 = g4;
                                    g8 = *(int32_t *)(v102 - 20);
                                    g3 = *(int32_t *)(v102 - 4);
                                    *(int32_t *)(g11 - 4) = 0x4699ad;
                                    function_469e18();
                                    g8 = g8 & -256 | 15;
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                    *(int32_t *)(g11 - 4) = 0x4699ba;
                                    function_462278();
                                    g8 = g8 & -256 | 132;
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                    *(int32_t *)(g11 - 4) = 0x4699c7;
                                    function_462278();
                                    v103 = g11;
                                    *(int32_t *)(v103 - 4) = 1;
                                    *(int32_t *)(v103 - 8) = 0;
                                    *(int32_t *)(v103 - 12) = 0;
                                    *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                    v91 = v103 - 20;
                                    *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                    g11 = v91;
                                    v104 = g4;
                                    g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                    v88 = (int32_t *)(v104 - 4);
                                    g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                    g3 = *(int32_t *)(*v88 + 12);
                                    *(int32_t *)(v103 - 24) = 0x4699f5;
                                    function_461c30();
                                    v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                    *v89 = *v89 + 4;
                                    *(char *)(g4 - 111) = 1;
                                    v99 = g4;
                                    // branch -> 0x469a03
                                } else {
                                    v99 = v100;
                                }
                            }
                            // 0x469a03
                            if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                // 0x469a0c
                                if (*(char *)(v99 - 111) == 0) {
                                    // 0x469a12
                                    g6 = v99 - 676;
                                    g8 = v99 - 132;
                                    g3 = *(int32_t *)(v99 - 4);
                                    *(int32_t *)(g11 - 4) = 0x469a26;
                                    function_462a10();
                                    *(int32_t *)(g11 - 4) = 0x469a3d;
                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                    // branch -> 0x469a3d
                                }
                            }
                            // 0x469a3d
                            *(int32_t *)(g11 - 4) = 0x469a51;
                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                            // branch -> 0x469a51
                            // 0x469a51
                            g8 = v8;
                            g6 = v14;
                            g11 = &v92;
                            abort();
                            // UNREACHABLE
                        }
                        // 0x469728
                        if (*(char *)(v53 - 112) == 0) {
                            // 0x469736
                            v29 = (char *)(v53 - 100);
                            if (*v29 != 8) {
                                // 0x46973c
                                if (*v29 != 0) {
                                    // 0x4697ba
                                    if (*v29 == 3) {
                                        // 0x4697c4
                                        v80 = v53;
                                        if (*(char *)(v53 - 99) == 0) {
                                            // 0x4697ce
                                            g8 = v53 - 132;
                                            *(int32_t *)(g11 - 4) = 0x4697dc;
                                            function_46a168();
                                            if (g3 == 0) {
                                                // 0x4697e0
                                                v57 = g4;
                                                g8 = v57 - 260;
                                                g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                *(int32_t *)(g11 - 4) = 0x4697f1;
                                                function_46a30c();
                                                *(int32_t *)(g4 - 260) = 5;
                                                g3 = *(int32_t *)(g4 - 4);
                                                *(int32_t *)(g11 - 4) = 0x469803;
                                                function_469fd8();
                                                *(int32_t *)(g4 - 244) = g3;
                                                v58 = g11;
                                                v32 = v58 - 4;
                                                *(int32_t *)v32 = g4 - 260;
                                                g11 = v32;
                                                g6 = 0;
                                                v59 = g4;
                                                g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                *(int32_t *)(v58 - 8) = 0x469823;
                                                function_46ae10();
                                                g6 = -1;
                                                v60 = g4;
                                                g8 = v60 - 132;
                                                g3 = *(int32_t *)(v60 - 4);
                                                *(int32_t *)(g11 - 4) = 0x469834;
                                                function_469f40();
                                                *(int32_t *)(g11 - 4) = 0x46984b;
                                                System__CopyRecord(0x46a22c);
                                                // branch -> 0x46984b
                                            }
                                            // 0x46984b
                                            v61 = g4;
                                            g8 = v61 - 132;
                                            g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x46985c;
                                            function_46b524();
                                            v80 = g4;
                                            // branch -> 0x46985c
                                        }
                                        // 0x46985c
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                        g8 = g8 & -256 | 217;
                                        *(int32_t *)(g11 - 4) = 0x46986c;
                                        function_462278();
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                        g8 = g8 & -256 | 224;
                                        *(int32_t *)(g11 - 4) = 0x46987c;
                                        function_462278();
                                        v81 = g4;
                                        if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                            // 0x469884
                                            g8 = v81 - 260;
                                            g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x469895;
                                            function_46a30c();
                                            *(int32_t *)(g4 - 260) = 5;
                                            g3 = *(int32_t *)(g4 - 4);
                                            *(int32_t *)(g11 - 4) = 0x4698a7;
                                            function_469fd8();
                                            *(int32_t *)(g4 - 244) = g3;
                                            v62 = g4;
                                            g8 = v62 - 260;
                                            g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x4698be;
                                            function_46b614();
                                            g6 = -1;
                                            v63 = g4;
                                            g8 = v63 - 132;
                                            g3 = *(int32_t *)(v63 - 4);
                                            *(int32_t *)(g11 - 4) = 0x4698cf;
                                            function_469f40();
                                            *(int32_t *)(g11 - 4) = 0x4698e6;
                                            System__CopyRecord(0x46a22c);
                                            // branch -> 0x4698ec
                                        } else {
                                            // 0x4698e8
                                            *(char *)(v81 - 99) = 1;
                                            // branch -> 0x4698ec
                                        }
                                        // 0x4698ec
                                        *(char *)(g4 - 100) = 3;
                                        // branch -> 0x469915
                                        // 0x469915
                                        v100 = g4;
                                        v99 = v100;
                                        if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                            // 0x469922
                                            if (*(char *)(v100 - 111) == 0) {
                                                // 0x46992c
                                                g8 = v100 - 132;
                                                *(int32_t *)(g11 - 4) = 0x46993a;
                                                function_467328();
                                                if (g3 == 0) {
                                                    // 0x46993e
                                                    g6 = -1;
                                                    v95 = g4;
                                                    g8 = v95 - 132;
                                                    g3 = *(int32_t *)(v95 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x46994f;
                                                    function_4673b4();
                                                    *(int32_t *)(g4 - 20) = g3;
                                                    // branch -> 0x46995d
                                                } else {
                                                    // 0x469954
                                                    v96 = g4;
                                                    v105 = *(int32_t *)(v96 - 132);
                                                    g3 = v105;
                                                    *(int32_t *)(v96 - 20) = v105;
                                                    // branch -> 0x46995d
                                                }
                                                // 0x46995d
                                                v101 = g4;
                                                v109 = *(char *)(v101 - 100);
                                                v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                v97 = g4;
                                                g6 = v97 - 612;
                                                g8 = *(int32_t *)(v97 - 20);
                                                g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                *(int32_t *)(g11 - 4) = 0x469981;
                                                function_46b3dc();
                                                v98 = g11;
                                                v90 = v98 - 4;
                                                *(int32_t *)v90 = g4 - 612;
                                                g11 = v90;
                                                g6 = g6 & -256 | 1;
                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                *(int32_t *)(v98 - 8) = 0x469998;
                                                function_46ad90();
                                                *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                v102 = g4;
                                                g8 = *(int32_t *)(v102 - 20);
                                                g3 = *(int32_t *)(v102 - 4);
                                                *(int32_t *)(g11 - 4) = 0x4699ad;
                                                function_469e18();
                                                g8 = g8 & -256 | 15;
                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                *(int32_t *)(g11 - 4) = 0x4699ba;
                                                function_462278();
                                                g8 = g8 & -256 | 132;
                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                *(int32_t *)(g11 - 4) = 0x4699c7;
                                                function_462278();
                                                v103 = g11;
                                                *(int32_t *)(v103 - 4) = 1;
                                                *(int32_t *)(v103 - 8) = 0;
                                                *(int32_t *)(v103 - 12) = 0;
                                                *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                v91 = v103 - 20;
                                                *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                g11 = v91;
                                                v104 = g4;
                                                g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                v88 = (int32_t *)(v104 - 4);
                                                g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                g3 = *(int32_t *)(*v88 + 12);
                                                *(int32_t *)(v103 - 24) = 0x4699f5;
                                                function_461c30();
                                                v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                *v89 = *v89 + 4;
                                                *(char *)(g4 - 111) = 1;
                                                v99 = g4;
                                                // branch -> 0x469a03
                                            } else {
                                                v99 = v100;
                                            }
                                        }
                                        // 0x469a03
                                        if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                            // 0x469a0c
                                            if (*(char *)(v99 - 111) == 0) {
                                                // 0x469a12
                                                g6 = v99 - 676;
                                                g8 = v99 - 132;
                                                g3 = *(int32_t *)(v99 - 4);
                                                *(int32_t *)(g11 - 4) = 0x469a26;
                                                function_462a10();
                                                *(int32_t *)(g11 - 4) = 0x469a3d;
                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                // branch -> 0x469a3d
                                            }
                                        }
                                        // 0x469a3d
                                        *(int32_t *)(g11 - 4) = 0x469a51;
                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                        // branch -> 0x469a51
                                    } else {
                                        // 0x4698f2
                                        *(int32_t *)(g11 - 4) = 0x469903;
                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                        g8 = 0x469c54;
                                        *(int32_t *)(g11 - 4) = 0x469910;
                                        function_45bf7c();
                                        // branch -> 0x469a51
                                    }
                                    // 0x469a51
                                    g8 = v8;
                                    g6 = v14;
                                    g11 = &v92;
                                    abort();
                                    // UNREACHABLE
                                }
                            }
                            // 0x469742
                            g8 = v53 - 132;
                            *(int32_t *)(g11 - 4) = 0x469750;
                            function_46a168();
                            if (g3 != 0) {
                                // 0x469754
                                v54 = g4;
                                g8 = v54 - 132;
                                g3 = *(int32_t *)(v54 - 4);
                                *(int32_t *)(g11 - 4) = 0x469765;
                                function_4673b4();
                                *(int32_t *)(g4 - 20) = g3;
                                v77 = g4;
                                *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                v55 = g4;
                                g8 = v55 - 132;
                                g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                *(int32_t *)(g11 - 4) = 0x46977f;
                                function_46a30c();
                                v78 = g4;
                                *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                v79 = g4;
                                *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                // branch -> 0x46978e
                            }
                            // 0x46978e
                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                            g8 = g8 & -256 | 247;
                            *(int32_t *)(g11 - 4) = 0x46979e;
                            function_462278();
                            v56 = g4;
                            v82 = g8 & -256;
                            g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                            *(int32_t *)(g11 - 4) = 0x4697b5;
                            function_462278();
                            // branch -> 0x469915
                        } else {
                            // 0x46972e
                            v28 = (int32_t *)(v53 - 108);
                            *v28 = -*v28;
                            // branch -> 0x469915
                        }
                        // 0x469915
                        v100 = g4;
                        v99 = v100;
                        if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                            // 0x469922
                            if (*(char *)(v100 - 111) == 0) {
                                // 0x46992c
                                g8 = v100 - 132;
                                *(int32_t *)(g11 - 4) = 0x46993a;
                                function_467328();
                                if (g3 == 0) {
                                    // 0x46993e
                                    g6 = -1;
                                    v95 = g4;
                                    g8 = v95 - 132;
                                    g3 = *(int32_t *)(v95 - 4);
                                    *(int32_t *)(g11 - 4) = 0x46994f;
                                    function_4673b4();
                                    *(int32_t *)(g4 - 20) = g3;
                                    // branch -> 0x46995d
                                } else {
                                    // 0x469954
                                    v96 = g4;
                                    v105 = *(int32_t *)(v96 - 132);
                                    g3 = v105;
                                    *(int32_t *)(v96 - 20) = v105;
                                    // branch -> 0x46995d
                                }
                                // 0x46995d
                                v101 = g4;
                                v109 = *(char *)(v101 - 100);
                                v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                v97 = g4;
                                g6 = v97 - 612;
                                g8 = *(int32_t *)(v97 - 20);
                                g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                *(int32_t *)(g11 - 4) = 0x469981;
                                function_46b3dc();
                                v98 = g11;
                                v90 = v98 - 4;
                                *(int32_t *)v90 = g4 - 612;
                                g11 = v90;
                                g6 = g6 & -256 | 1;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                *(int32_t *)(v98 - 8) = 0x469998;
                                function_46ad90();
                                *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                v102 = g4;
                                g8 = *(int32_t *)(v102 - 20);
                                g3 = *(int32_t *)(v102 - 4);
                                *(int32_t *)(g11 - 4) = 0x4699ad;
                                function_469e18();
                                g8 = g8 & -256 | 15;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                *(int32_t *)(g11 - 4) = 0x4699ba;
                                function_462278();
                                g8 = g8 & -256 | 132;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                *(int32_t *)(g11 - 4) = 0x4699c7;
                                function_462278();
                                v103 = g11;
                                *(int32_t *)(v103 - 4) = 1;
                                *(int32_t *)(v103 - 8) = 0;
                                *(int32_t *)(v103 - 12) = 0;
                                *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                v91 = v103 - 20;
                                *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                g11 = v91;
                                v104 = g4;
                                g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                v88 = (int32_t *)(v104 - 4);
                                g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                g3 = *(int32_t *)(*v88 + 12);
                                *(int32_t *)(v103 - 24) = 0x4699f5;
                                function_461c30();
                                v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                *v89 = *v89 + 4;
                                *(char *)(g4 - 111) = 1;
                                v99 = g4;
                                // branch -> 0x469a03
                            } else {
                                v99 = v100;
                            }
                        }
                        // 0x469a03
                        if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                            // 0x469a0c
                            if (*(char *)(v99 - 111) == 0) {
                                // 0x469a12
                                g6 = v99 - 676;
                                g8 = v99 - 132;
                                g3 = *(int32_t *)(v99 - 4);
                                *(int32_t *)(g11 - 4) = 0x469a26;
                                function_462a10();
                                *(int32_t *)(g11 - 4) = 0x469a3d;
                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                // branch -> 0x469a3d
                            }
                        }
                        // 0x469a3d
                        *(int32_t *)(g11 - 4) = 0x469a51;
                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                        // branch -> 0x469a51
                        // 0x469a51
                        g8 = v8;
                        g6 = v14;
                        g11 = &v92;
                        abort();
                        // UNREACHABLE
                    }
                    // 0x469612
                    if (*(char *)(v50 - 111) == 0) {
                        // 0x469618
                        if (*(char *)(v50 - 112) == 0) {
                            // 0x469641
                            if (*(int32_t *)(v50 - 96) != 0) {
                                // 0x469647
                                *(int32_t *)(g11 - 4) = 0x469658;
                                System__AsClass(v22, (int32_t *)0x4637dc);
                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                g8 = 0x469bc0;
                                *(int32_t *)(g11 - 4) = 0x469665;
                                function_45bf7c();
                                // branch -> 0x469a51
                                // 0x469a51
                                g8 = v8;
                                g6 = v14;
                                g11 = &v92;
                                abort();
                                // UNREACHABLE
                            }
                            // 0x46966a
                            if (*(char *)(v50 - 100) == 1) {
                                // 0x469693
                                g8 = v50 - 196;
                                g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                *(int32_t *)(g11 - 4) = 0x4696a4;
                                function_46a30c();
                                v51 = g4;
                                g8 = v51 - 132;
                                g3 = *(int32_t *)(v51 - 4);
                                *(int32_t *)(g11 - 4) = 0x4696b5;
                                function_4673b4();
                                *(int32_t *)(g4 - 20) = g3;
                                g8 = g8 & -256 | 247;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                *(int32_t *)(g11 - 4) = 0x4696c5;
                                function_462278();
                                v74 = g4;
                                v83 = g8 & -256;
                                g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                *(int32_t *)(g11 - 4) = 0x4696d6;
                                function_462278();
                                g8 = g8 & -256 | 131;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                *(int32_t *)(g11 - 4) = 0x4696e3;
                                function_462278();
                                v75 = g4;
                                v84 = g8 & -256;
                                g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                *(int32_t *)(g11 - 4) = 0x4696f4;
                                function_462278();
                                g8 = g8 & -256 | 1;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                *(int32_t *)(g11 - 4) = 0x469701;
                                function_462278();
                                v52 = g4;
                                g8 = v52 - 132;
                                g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                *(int32_t *)(g11 - 4) = 0x469712;
                                function_46a30c();
                                v76 = g4;
                                *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                v53 = g4;
                                // branch -> 0x46971b
                                // 0x46971b
                                if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                    // 0x469728
                                    if (*(char *)(v53 - 112) == 0) {
                                        // 0x469736
                                        v29 = (char *)(v53 - 100);
                                        if (*v29 != 8) {
                                            // 0x46973c
                                            if (*v29 != 0) {
                                                // 0x4697ba
                                                if (*v29 == 3) {
                                                    // 0x4697c4
                                                    v80 = v53;
                                                    if (*(char *)(v53 - 99) == 0) {
                                                        // 0x4697ce
                                                        g8 = v53 - 132;
                                                        *(int32_t *)(g11 - 4) = 0x4697dc;
                                                        function_46a168();
                                                        if (g3 == 0) {
                                                            // 0x4697e0
                                                            v57 = g4;
                                                            g8 = v57 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                            *(int32_t *)(g11 - 4) = 0x4697f1;
                                                            function_46a30c();
                                                            *(int32_t *)(g4 - 260) = 5;
                                                            g3 = *(int32_t *)(g4 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x469803;
                                                            function_469fd8();
                                                            *(int32_t *)(g4 - 244) = g3;
                                                            v58 = g11;
                                                            v32 = v58 - 4;
                                                            *(int32_t *)v32 = g4 - 260;
                                                            g11 = v32;
                                                            g6 = 0;
                                                            v59 = g4;
                                                            g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                            g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                            *(int32_t *)(v58 - 8) = 0x469823;
                                                            function_46ae10();
                                                            g6 = -1;
                                                            v60 = g4;
                                                            g8 = v60 - 132;
                                                            g3 = *(int32_t *)(v60 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x469834;
                                                            function_469f40();
                                                            *(int32_t *)(g11 - 4) = 0x46984b;
                                                            System__CopyRecord(0x46a22c);
                                                            // branch -> 0x46984b
                                                        }
                                                        // 0x46984b
                                                        v61 = g4;
                                                        g8 = v61 - 132;
                                                        g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                        *(int32_t *)(g11 - 4) = 0x46985c;
                                                        function_46b524();
                                                        v80 = g4;
                                                        // branch -> 0x46985c
                                                    }
                                                    // 0x46985c
                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                    g8 = g8 & -256 | 217;
                                                    *(int32_t *)(g11 - 4) = 0x46986c;
                                                    function_462278();
                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                    g8 = g8 & -256 | 224;
                                                    *(int32_t *)(g11 - 4) = 0x46987c;
                                                    function_462278();
                                                    v81 = g4;
                                                    if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                        // 0x469884
                                                        g8 = v81 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                        *(int32_t *)(g11 - 4) = 0x469895;
                                                        function_46a30c();
                                                        *(int32_t *)(g4 - 260) = 5;
                                                        g3 = *(int32_t *)(g4 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x4698a7;
                                                        function_469fd8();
                                                        *(int32_t *)(g4 - 244) = g3;
                                                        v62 = g4;
                                                        g8 = v62 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                        *(int32_t *)(g11 - 4) = 0x4698be;
                                                        function_46b614();
                                                        g6 = -1;
                                                        v63 = g4;
                                                        g8 = v63 - 132;
                                                        g3 = *(int32_t *)(v63 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x4698cf;
                                                        function_469f40();
                                                        *(int32_t *)(g11 - 4) = 0x4698e6;
                                                        System__CopyRecord(0x46a22c);
                                                        // branch -> 0x4698ec
                                                    } else {
                                                        // 0x4698e8
                                                        *(char *)(v81 - 99) = 1;
                                                        // branch -> 0x4698ec
                                                    }
                                                    // 0x4698ec
                                                    *(char *)(g4 - 100) = 3;
                                                    // branch -> 0x469915
                                                    // 0x469915
                                                    v100 = g4;
                                                    v99 = v100;
                                                    if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                                        // 0x469922
                                                        if (*(char *)(v100 - 111) == 0) {
                                                            // 0x46992c
                                                            g8 = v100 - 132;
                                                            *(int32_t *)(g11 - 4) = 0x46993a;
                                                            function_467328();
                                                            if (g3 == 0) {
                                                                // 0x46993e
                                                                g6 = -1;
                                                                v95 = g4;
                                                                g8 = v95 - 132;
                                                                g3 = *(int32_t *)(v95 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x46994f;
                                                                function_4673b4();
                                                                *(int32_t *)(g4 - 20) = g3;
                                                                // branch -> 0x46995d
                                                            } else {
                                                                // 0x469954
                                                                v96 = g4;
                                                                v105 = *(int32_t *)(v96 - 132);
                                                                g3 = v105;
                                                                *(int32_t *)(v96 - 20) = v105;
                                                                // branch -> 0x46995d
                                                            }
                                                            // 0x46995d
                                                            v101 = g4;
                                                            v109 = *(char *)(v101 - 100);
                                                            v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                            *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                            v97 = g4;
                                                            g6 = v97 - 612;
                                                            g8 = *(int32_t *)(v97 - 20);
                                                            g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                            *(int32_t *)(g11 - 4) = 0x469981;
                                                            function_46b3dc();
                                                            v98 = g11;
                                                            v90 = v98 - 4;
                                                            *(int32_t *)v90 = g4 - 612;
                                                            g11 = v90;
                                                            g6 = g6 & -256 | 1;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                            *(int32_t *)(v98 - 8) = 0x469998;
                                                            function_46ad90();
                                                            *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                            v102 = g4;
                                                            g8 = *(int32_t *)(v102 - 20);
                                                            g3 = *(int32_t *)(v102 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x4699ad;
                                                            function_469e18();
                                                            g8 = g8 & -256 | 15;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x4699ba;
                                                            function_462278();
                                                            g8 = g8 & -256 | 132;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x4699c7;
                                                            function_462278();
                                                            v103 = g11;
                                                            *(int32_t *)(v103 - 4) = 1;
                                                            *(int32_t *)(v103 - 8) = 0;
                                                            *(int32_t *)(v103 - 12) = 0;
                                                            *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                            v91 = v103 - 20;
                                                            *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                            g11 = v91;
                                                            v104 = g4;
                                                            g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                            v88 = (int32_t *)(v104 - 4);
                                                            g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                            g3 = *(int32_t *)(*v88 + 12);
                                                            *(int32_t *)(v103 - 24) = 0x4699f5;
                                                            function_461c30();
                                                            v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                            *v89 = *v89 + 4;
                                                            *(char *)(g4 - 111) = 1;
                                                            v99 = g4;
                                                            // branch -> 0x469a03
                                                        } else {
                                                            v99 = v100;
                                                        }
                                                    }
                                                    // 0x469a03
                                                    if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                                        // 0x469a0c
                                                        if (*(char *)(v99 - 111) == 0) {
                                                            // 0x469a12
                                                            g6 = v99 - 676;
                                                            g8 = v99 - 132;
                                                            g3 = *(int32_t *)(v99 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x469a26;
                                                            function_462a10();
                                                            *(int32_t *)(g11 - 4) = 0x469a3d;
                                                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                            // branch -> 0x469a3d
                                                        }
                                                    }
                                                    // 0x469a3d
                                                    *(int32_t *)(g11 - 4) = 0x469a51;
                                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                    // branch -> 0x469a51
                                                } else {
                                                    // 0x4698f2
                                                    *(int32_t *)(g11 - 4) = 0x469903;
                                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                    g8 = 0x469c54;
                                                    *(int32_t *)(g11 - 4) = 0x469910;
                                                    function_45bf7c();
                                                    // branch -> 0x469a51
                                                }
                                                // 0x469a51
                                                g8 = v8;
                                                g6 = v14;
                                                g11 = &v92;
                                                abort();
                                                // UNREACHABLE
                                            }
                                        }
                                        // 0x469742
                                        g8 = v53 - 132;
                                        *(int32_t *)(g11 - 4) = 0x469750;
                                        function_46a168();
                                        if (g3 != 0) {
                                            // 0x469754
                                            v54 = g4;
                                            g8 = v54 - 132;
                                            g3 = *(int32_t *)(v54 - 4);
                                            *(int32_t *)(g11 - 4) = 0x469765;
                                            function_4673b4();
                                            *(int32_t *)(g4 - 20) = g3;
                                            v77 = g4;
                                            *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                            v55 = g4;
                                            g8 = v55 - 132;
                                            g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x46977f;
                                            function_46a30c();
                                            v78 = g4;
                                            *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                            v79 = g4;
                                            *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                            // branch -> 0x46978e
                                        }
                                        // 0x46978e
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                        g8 = g8 & -256 | 247;
                                        *(int32_t *)(g11 - 4) = 0x46979e;
                                        function_462278();
                                        v56 = g4;
                                        v82 = g8 & -256;
                                        g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                        *(int32_t *)(g11 - 4) = 0x4697b5;
                                        function_462278();
                                        // branch -> 0x469915
                                    } else {
                                        // 0x46972e
                                        v28 = (int32_t *)(v53 - 108);
                                        *v28 = -*v28;
                                        // branch -> 0x469915
                                    }
                                    // 0x469915
                                    v100 = g4;
                                    v99 = v100;
                                    if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                        // 0x469922
                                        if (*(char *)(v100 - 111) == 0) {
                                            // 0x46992c
                                            g8 = v100 - 132;
                                            *(int32_t *)(g11 - 4) = 0x46993a;
                                            function_467328();
                                            if (g3 == 0) {
                                                // 0x46993e
                                                g6 = -1;
                                                v95 = g4;
                                                g8 = v95 - 132;
                                                g3 = *(int32_t *)(v95 - 4);
                                                *(int32_t *)(g11 - 4) = 0x46994f;
                                                function_4673b4();
                                                *(int32_t *)(g4 - 20) = g3;
                                                // branch -> 0x46995d
                                            } else {
                                                // 0x469954
                                                v96 = g4;
                                                v105 = *(int32_t *)(v96 - 132);
                                                g3 = v105;
                                                *(int32_t *)(v96 - 20) = v105;
                                                // branch -> 0x46995d
                                            }
                                            // 0x46995d
                                            v101 = g4;
                                            v109 = *(char *)(v101 - 100);
                                            v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                            *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                            v97 = g4;
                                            g6 = v97 - 612;
                                            g8 = *(int32_t *)(v97 - 20);
                                            g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x469981;
                                            function_46b3dc();
                                            v98 = g11;
                                            v90 = v98 - 4;
                                            *(int32_t *)v90 = g4 - 612;
                                            g11 = v90;
                                            g6 = g6 & -256 | 1;
                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                            *(int32_t *)(v98 - 8) = 0x469998;
                                            function_46ad90();
                                            *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                            v102 = g4;
                                            g8 = *(int32_t *)(v102 - 20);
                                            g3 = *(int32_t *)(v102 - 4);
                                            *(int32_t *)(g11 - 4) = 0x4699ad;
                                            function_469e18();
                                            g8 = g8 & -256 | 15;
                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                            *(int32_t *)(g11 - 4) = 0x4699ba;
                                            function_462278();
                                            g8 = g8 & -256 | 132;
                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                            *(int32_t *)(g11 - 4) = 0x4699c7;
                                            function_462278();
                                            v103 = g11;
                                            *(int32_t *)(v103 - 4) = 1;
                                            *(int32_t *)(v103 - 8) = 0;
                                            *(int32_t *)(v103 - 12) = 0;
                                            *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                            v91 = v103 - 20;
                                            *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                            g11 = v91;
                                            v104 = g4;
                                            g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                            v88 = (int32_t *)(v104 - 4);
                                            g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                            g3 = *(int32_t *)(*v88 + 12);
                                            *(int32_t *)(v103 - 24) = 0x4699f5;
                                            function_461c30();
                                            v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                            *v89 = *v89 + 4;
                                            *(char *)(g4 - 111) = 1;
                                            v99 = g4;
                                            // branch -> 0x469a03
                                        } else {
                                            v99 = v100;
                                        }
                                    }
                                    // 0x469a03
                                    if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                        // 0x469a0c
                                        if (*(char *)(v99 - 111) == 0) {
                                            // 0x469a12
                                            g6 = v99 - 676;
                                            g8 = v99 - 132;
                                            g3 = *(int32_t *)(v99 - 4);
                                            *(int32_t *)(g11 - 4) = 0x469a26;
                                            function_462a10();
                                            *(int32_t *)(g11 - 4) = 0x469a3d;
                                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                            // branch -> 0x469a3d
                                        }
                                    }
                                    // 0x469a3d
                                    *(int32_t *)(g11 - 4) = 0x469a51;
                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                    // branch -> 0x469a51
                                    // 0x469a51
                                    g8 = v8;
                                    g6 = v14;
                                    g11 = &v92;
                                    abort();
                                    // UNREACHABLE
                                }
                                // 0x469915
                                v100 = g4;
                                v99 = v100;
                                if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                    // 0x469922
                                    if (*(char *)(v100 - 111) == 0) {
                                        // 0x46992c
                                        g8 = v100 - 132;
                                        *(int32_t *)(g11 - 4) = 0x46993a;
                                        function_467328();
                                        if (g3 == 0) {
                                            // 0x46993e
                                            g6 = -1;
                                            v95 = g4;
                                            g8 = v95 - 132;
                                            g3 = *(int32_t *)(v95 - 4);
                                            *(int32_t *)(g11 - 4) = 0x46994f;
                                            function_4673b4();
                                            *(int32_t *)(g4 - 20) = g3;
                                            // branch -> 0x46995d
                                        } else {
                                            // 0x469954
                                            v96 = g4;
                                            v105 = *(int32_t *)(v96 - 132);
                                            g3 = v105;
                                            *(int32_t *)(v96 - 20) = v105;
                                            // branch -> 0x46995d
                                        }
                                        // 0x46995d
                                        v101 = g4;
                                        v109 = *(char *)(v101 - 100);
                                        v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                        *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                        v97 = g4;
                                        g6 = v97 - 612;
                                        g8 = *(int32_t *)(v97 - 20);
                                        g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                        *(int32_t *)(g11 - 4) = 0x469981;
                                        function_46b3dc();
                                        v98 = g11;
                                        v90 = v98 - 4;
                                        *(int32_t *)v90 = g4 - 612;
                                        g11 = v90;
                                        g6 = g6 & -256 | 1;
                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                        *(int32_t *)(v98 - 8) = 0x469998;
                                        function_46ad90();
                                        *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                        v102 = g4;
                                        g8 = *(int32_t *)(v102 - 20);
                                        g3 = *(int32_t *)(v102 - 4);
                                        *(int32_t *)(g11 - 4) = 0x4699ad;
                                        function_469e18();
                                        g8 = g8 & -256 | 15;
                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                        *(int32_t *)(g11 - 4) = 0x4699ba;
                                        function_462278();
                                        g8 = g8 & -256 | 132;
                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                        *(int32_t *)(g11 - 4) = 0x4699c7;
                                        function_462278();
                                        v103 = g11;
                                        *(int32_t *)(v103 - 4) = 1;
                                        *(int32_t *)(v103 - 8) = 0;
                                        *(int32_t *)(v103 - 12) = 0;
                                        *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                        v91 = v103 - 20;
                                        *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                        g11 = v91;
                                        v104 = g4;
                                        g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                        v88 = (int32_t *)(v104 - 4);
                                        g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                        g3 = *(int32_t *)(*v88 + 12);
                                        *(int32_t *)(v103 - 24) = 0x4699f5;
                                        function_461c30();
                                        v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                        *v89 = *v89 + 4;
                                        *(char *)(g4 - 111) = 1;
                                        v99 = g4;
                                        // branch -> 0x469a03
                                    } else {
                                        v99 = v100;
                                    }
                                }
                                // 0x469a03
                                if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                    // 0x469a0c
                                    if (*(char *)(v99 - 111) == 0) {
                                        // 0x469a12
                                        g6 = v99 - 676;
                                        g8 = v99 - 132;
                                        g3 = *(int32_t *)(v99 - 4);
                                        *(int32_t *)(g11 - 4) = 0x469a26;
                                        function_462a10();
                                        *(int32_t *)(g11 - 4) = 0x469a3d;
                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                        // branch -> 0x469a3d
                                    }
                                }
                                // 0x469a3d
                                *(int32_t *)(g11 - 4) = 0x469a51;
                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                // branch -> 0x469a51
                            } else {
                                // 0x469670
                                *(int32_t *)(g11 - 4) = 0x469681;
                                System__AsClass(v22, (int32_t *)0x4637dc);
                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                g8 = 0x469c04;
                                *(int32_t *)(g11 - 4) = 0x46968e;
                                function_45bf7c();
                                // branch -> 0x469a51
                            }
                            // 0x469a51
                            g8 = v8;
                            g6 = v14;
                            g11 = &v92;
                            abort();
                            // UNREACHABLE
                        }
                    }
                    // 0x46961e
                    *(int32_t *)(g11 - 4) = 0x46962f;
                    System__AsClass(v22, (int32_t *)0x4637dc);
                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                    g8 = 0x469b88;
                    *(int32_t *)(g11 - 4) = 0x46963c;
                    function_45bf7c();
                    // branch -> 0x469a51
                    // 0x469a51
                    g8 = v8;
                    g6 = v14;
                    g11 = &v92;
                    abort();
                    // UNREACHABLE
                }
                // 0x46944a
                g8 = v37 - 132;
                *(int32_t *)(g11 - 4) = 0x469458;
                function_46a168();
                v66 = g4;
                if (g3 == 0) {
                    // 0x46945c
                    *(int32_t *)(g11 - 4) = 0x46946d;
                    System__AsClass(v20, (int32_t *)0x4637dc);
                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                    g8 = 0x469b04;
                    *(int32_t *)(g11 - 4) = 0x46947a;
                    function_45bf7c();
                    // branch -> 0x469a51
                    // 0x469a51
                    g8 = v8;
                    g6 = v14;
                    g11 = &v92;
                    abort();
                    // UNREACHABLE
                }
                // 0x46947f
                v26 = (char *)(v66 - 128);
                if (*v26 == 0) {
                    // 0x469485
                    g8 = v66 - 132;
                    g3 = *(int32_t *)(v66 - 4);
                    *(int32_t *)(g11 - 4) = 0x469493;
                    function_469c8c();
                    *(int32_t *)(g4 - 20) = g3;
                    v67 = g4;
                    g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                    g6 = v67 - 132;
                    g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                    *(int32_t *)(g11 - 4) = 0x4694aa;
                    function_46af4c();
                    v38 = g4;
                    g8 = v38 - 132;
                    g3 = *(int32_t *)(v38 - 4);
                    *(int32_t *)(g11 - 4) = 0x4694bb;
                    function_469f40();
                    v39 = g4;
                    g8 = v39 - 132;
                    g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                    *(int32_t *)(g11 - 4) = 0x4694cc;
                    function_46a30c();
                    v68 = g4;
                    *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                    v19 = (int32_t *)-1;
                    // branch -> 0x4694db
                } else {
                    // 0x4694d7
                    *v26 = 0;
                    v19 = v20;
                    // branch -> 0x4694db
                }
                // 0x4694db
                v27 = (int32_t *)(g4 - 96);
                *v27 = *v27 + 1;
                v69 = g4;
                if (*(int32_t *)(v69 - 96) < 2) {
                    v40 = v69;
                    // 0x469507
                    v45 = v40;
                    v23 = v19;
                    if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                        // 0x469510
                        v42 = v40;
                        if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                            // 0x469519
                            g8 = v40 - 132;
                            g3 = *(int32_t *)(v40 - 4);
                            *(int32_t *)(g11 - 4) = 0x469527;
                            function_469c8c();
                            *(int32_t *)(g4 - 20) = g3;
                            v41 = g11;
                            v30 = v41 - 4;
                            *(int32_t *)v30 = g4 - 132;
                            g11 = v30;
                            v70 = g4;
                            g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                            g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                            *(int32_t *)(v41 - 8) = 0x469541;
                            function_46ae10();
                            v42 = g4;
                            // branch -> 0x469541
                        }
                        // 0x469541
                        g8 = v42 - 132;
                        g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                        *(int32_t *)(g11 - 4) = 0x469552;
                        function_46b434();
                        v43 = g4;
                        g8 = v43 - 132;
                        g3 = *(int32_t *)(v43 - 4);
                        *(int32_t *)(g11 - 4) = 0x469563;
                        function_469f40();
                        v44 = g4;
                        g8 = v44 - 132;
                        g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                        *(int32_t *)(g11 - 4) = 0x469574;
                        function_46a30c();
                        v71 = g4;
                        if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                            // 0x46957d
                            *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                            v45 = g4;
                            v23 = (int32_t *)-1;
                            // branch -> 0x469586
                        } else {
                            v45 = v71;
                            v23 = (int32_t *)-1;
                        }
                    }
                    // 0x469586
                    v50 = v45;
                    v22 = v23;
                    if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                        // 0x46958f
                        v47 = v45;
                        if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                            // 0x469598
                            g8 = v45 - 132;
                            g3 = *(int32_t *)(v45 - 4);
                            *(int32_t *)(g11 - 4) = 0x4695a6;
                            function_469c8c();
                            *(int32_t *)(g4 - 20) = g3;
                            v46 = g11;
                            v31 = v46 - 4;
                            *(int32_t *)v31 = g4 - 132;
                            g11 = v31;
                            v72 = g4;
                            g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                            g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                            *(int32_t *)(v46 - 8) = 0x4695c0;
                            function_46ae10();
                            v47 = g4;
                            // branch -> 0x4695c0
                        }
                        // 0x4695c0
                        g8 = v47 - 132;
                        g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                        *(int32_t *)(g11 - 4) = 0x4695d1;
                        function_46b4ac();
                        v48 = g4;
                        g8 = v48 - 132;
                        g3 = *(int32_t *)(v48 - 4);
                        *(int32_t *)(g11 - 4) = 0x4695e2;
                        function_469f40();
                        v49 = g4;
                        g8 = v49 - 132;
                        g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                        *(int32_t *)(g11 - 4) = 0x4695f3;
                        function_46a30c();
                        v73 = g4;
                        if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                            // 0x4695fc
                            *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                            v50 = g4;
                            v22 = (int32_t *)-1;
                            // branch -> 0x469605
                        } else {
                            v50 = v73;
                            v22 = (int32_t *)-1;
                        }
                    }
                    // 0x469605
                    v53 = v50;
                    if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                        // 0x469612
                        if (*(char *)(v50 - 111) == 0) {
                            // 0x469618
                            if (*(char *)(v50 - 112) == 0) {
                                // 0x469641
                                if (*(int32_t *)(v50 - 96) != 0) {
                                    // 0x469647
                                    *(int32_t *)(g11 - 4) = 0x469658;
                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                    g8 = 0x469bc0;
                                    *(int32_t *)(g11 - 4) = 0x469665;
                                    function_45bf7c();
                                    // branch -> 0x469a51
                                    // 0x469a51
                                    g8 = v8;
                                    g6 = v14;
                                    g11 = &v92;
                                    abort();
                                    // UNREACHABLE
                                }
                                // 0x46966a
                                if (*(char *)(v50 - 100) == 1) {
                                    // 0x469693
                                    g8 = v50 - 196;
                                    g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                    *(int32_t *)(g11 - 4) = 0x4696a4;
                                    function_46a30c();
                                    v51 = g4;
                                    g8 = v51 - 132;
                                    g3 = *(int32_t *)(v51 - 4);
                                    *(int32_t *)(g11 - 4) = 0x4696b5;
                                    function_4673b4();
                                    *(int32_t *)(g4 - 20) = g3;
                                    g8 = g8 & -256 | 247;
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                    *(int32_t *)(g11 - 4) = 0x4696c5;
                                    function_462278();
                                    v74 = g4;
                                    v83 = g8 & -256;
                                    g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                    g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                    *(int32_t *)(g11 - 4) = 0x4696d6;
                                    function_462278();
                                    g8 = g8 & -256 | 131;
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                    *(int32_t *)(g11 - 4) = 0x4696e3;
                                    function_462278();
                                    v75 = g4;
                                    v84 = g8 & -256;
                                    g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                    g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                    *(int32_t *)(g11 - 4) = 0x4696f4;
                                    function_462278();
                                    g8 = g8 & -256 | 1;
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                    *(int32_t *)(g11 - 4) = 0x469701;
                                    function_462278();
                                    v52 = g4;
                                    g8 = v52 - 132;
                                    g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                    *(int32_t *)(g11 - 4) = 0x469712;
                                    function_46a30c();
                                    v76 = g4;
                                    *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                    v53 = g4;
                                    // branch -> 0x46971b
                                    // 0x46971b
                                    if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                        // 0x469728
                                        if (*(char *)(v53 - 112) == 0) {
                                            // 0x469736
                                            v29 = (char *)(v53 - 100);
                                            if (*v29 != 8) {
                                                // 0x46973c
                                                if (*v29 != 0) {
                                                    // 0x4697ba
                                                    if (*v29 == 3) {
                                                        // 0x4697c4
                                                        v80 = v53;
                                                        if (*(char *)(v53 - 99) == 0) {
                                                            // 0x4697ce
                                                            g8 = v53 - 132;
                                                            *(int32_t *)(g11 - 4) = 0x4697dc;
                                                            function_46a168();
                                                            if (g3 == 0) {
                                                                // 0x4697e0
                                                                v57 = g4;
                                                                g8 = v57 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                function_46a30c();
                                                                *(int32_t *)(g4 - 260) = 5;
                                                                g3 = *(int32_t *)(g4 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x469803;
                                                                function_469fd8();
                                                                *(int32_t *)(g4 - 244) = g3;
                                                                v58 = g11;
                                                                v32 = v58 - 4;
                                                                *(int32_t *)v32 = g4 - 260;
                                                                g11 = v32;
                                                                g6 = 0;
                                                                v59 = g4;
                                                                g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                *(int32_t *)(v58 - 8) = 0x469823;
                                                                function_46ae10();
                                                                g6 = -1;
                                                                v60 = g4;
                                                                g8 = v60 - 132;
                                                                g3 = *(int32_t *)(v60 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x469834;
                                                                function_469f40();
                                                                *(int32_t *)(g11 - 4) = 0x46984b;
                                                                System__CopyRecord(0x46a22c);
                                                                // branch -> 0x46984b
                                                            }
                                                            // 0x46984b
                                                            v61 = g4;
                                                            g8 = v61 - 132;
                                                            g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                            *(int32_t *)(g11 - 4) = 0x46985c;
                                                            function_46b524();
                                                            v80 = g4;
                                                            // branch -> 0x46985c
                                                        }
                                                        // 0x46985c
                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                        g8 = g8 & -256 | 217;
                                                        *(int32_t *)(g11 - 4) = 0x46986c;
                                                        function_462278();
                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                        g8 = g8 & -256 | 224;
                                                        *(int32_t *)(g11 - 4) = 0x46987c;
                                                        function_462278();
                                                        v81 = g4;
                                                        if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                            // 0x469884
                                                            g8 = v81 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                            *(int32_t *)(g11 - 4) = 0x469895;
                                                            function_46a30c();
                                                            *(int32_t *)(g4 - 260) = 5;
                                                            g3 = *(int32_t *)(g4 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x4698a7;
                                                            function_469fd8();
                                                            *(int32_t *)(g4 - 244) = g3;
                                                            v62 = g4;
                                                            g8 = v62 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                            *(int32_t *)(g11 - 4) = 0x4698be;
                                                            function_46b614();
                                                            g6 = -1;
                                                            v63 = g4;
                                                            g8 = v63 - 132;
                                                            g3 = *(int32_t *)(v63 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x4698cf;
                                                            function_469f40();
                                                            *(int32_t *)(g11 - 4) = 0x4698e6;
                                                            System__CopyRecord(0x46a22c);
                                                            // branch -> 0x4698ec
                                                        } else {
                                                            // 0x4698e8
                                                            *(char *)(v81 - 99) = 1;
                                                            // branch -> 0x4698ec
                                                        }
                                                        // 0x4698ec
                                                        *(char *)(g4 - 100) = 3;
                                                        // branch -> 0x469915
                                                        // 0x469915
                                                        v100 = g4;
                                                        v99 = v100;
                                                        if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                                            // 0x469922
                                                            if (*(char *)(v100 - 111) == 0) {
                                                                // 0x46992c
                                                                g8 = v100 - 132;
                                                                *(int32_t *)(g11 - 4) = 0x46993a;
                                                                function_467328();
                                                                if (g3 == 0) {
                                                                    // 0x46993e
                                                                    g6 = -1;
                                                                    v95 = g4;
                                                                    g8 = v95 - 132;
                                                                    g3 = *(int32_t *)(v95 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x46994f;
                                                                    function_4673b4();
                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                    // branch -> 0x46995d
                                                                } else {
                                                                    // 0x469954
                                                                    v96 = g4;
                                                                    v105 = *(int32_t *)(v96 - 132);
                                                                    g3 = v105;
                                                                    *(int32_t *)(v96 - 20) = v105;
                                                                    // branch -> 0x46995d
                                                                }
                                                                // 0x46995d
                                                                v101 = g4;
                                                                v109 = *(char *)(v101 - 100);
                                                                v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                                *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                                v97 = g4;
                                                                g6 = v97 - 612;
                                                                g8 = *(int32_t *)(v97 - 20);
                                                                g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                                *(int32_t *)(g11 - 4) = 0x469981;
                                                                function_46b3dc();
                                                                v98 = g11;
                                                                v90 = v98 - 4;
                                                                *(int32_t *)v90 = g4 - 612;
                                                                g11 = v90;
                                                                g6 = g6 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                *(int32_t *)(v98 - 8) = 0x469998;
                                                                function_46ad90();
                                                                *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                                v102 = g4;
                                                                g8 = *(int32_t *)(v102 - 20);
                                                                g3 = *(int32_t *)(v102 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x4699ad;
                                                                function_469e18();
                                                                g8 = g8 & -256 | 15;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x4699ba;
                                                                function_462278();
                                                                g8 = g8 & -256 | 132;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x4699c7;
                                                                function_462278();
                                                                v103 = g11;
                                                                *(int32_t *)(v103 - 4) = 1;
                                                                *(int32_t *)(v103 - 8) = 0;
                                                                *(int32_t *)(v103 - 12) = 0;
                                                                *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                                v91 = v103 - 20;
                                                                *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                                g11 = v91;
                                                                v104 = g4;
                                                                g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                                v88 = (int32_t *)(v104 - 4);
                                                                g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                                g3 = *(int32_t *)(*v88 + 12);
                                                                *(int32_t *)(v103 - 24) = 0x4699f5;
                                                                function_461c30();
                                                                v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                                *v89 = *v89 + 4;
                                                                *(char *)(g4 - 111) = 1;
                                                                v99 = g4;
                                                                // branch -> 0x469a03
                                                            } else {
                                                                v99 = v100;
                                                            }
                                                        }
                                                        // 0x469a03
                                                        if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                                            // 0x469a0c
                                                            if (*(char *)(v99 - 111) == 0) {
                                                                // 0x469a12
                                                                g6 = v99 - 676;
                                                                g8 = v99 - 132;
                                                                g3 = *(int32_t *)(v99 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x469a26;
                                                                function_462a10();
                                                                *(int32_t *)(g11 - 4) = 0x469a3d;
                                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                // branch -> 0x469a3d
                                                            }
                                                        }
                                                        // 0x469a3d
                                                        *(int32_t *)(g11 - 4) = 0x469a51;
                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                        // branch -> 0x469a51
                                                    } else {
                                                        // 0x4698f2
                                                        *(int32_t *)(g11 - 4) = 0x469903;
                                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                        g8 = 0x469c54;
                                                        *(int32_t *)(g11 - 4) = 0x469910;
                                                        function_45bf7c();
                                                        // branch -> 0x469a51
                                                    }
                                                    // 0x469a51
                                                    g8 = v8;
                                                    g6 = v14;
                                                    g11 = &v92;
                                                    abort();
                                                    // UNREACHABLE
                                                }
                                            }
                                            // 0x469742
                                            g8 = v53 - 132;
                                            *(int32_t *)(g11 - 4) = 0x469750;
                                            function_46a168();
                                            if (g3 != 0) {
                                                // 0x469754
                                                v54 = g4;
                                                g8 = v54 - 132;
                                                g3 = *(int32_t *)(v54 - 4);
                                                *(int32_t *)(g11 - 4) = 0x469765;
                                                function_4673b4();
                                                *(int32_t *)(g4 - 20) = g3;
                                                v77 = g4;
                                                *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                v55 = g4;
                                                g8 = v55 - 132;
                                                g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                *(int32_t *)(g11 - 4) = 0x46977f;
                                                function_46a30c();
                                                v78 = g4;
                                                *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                v79 = g4;
                                                *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                // branch -> 0x46978e
                                            }
                                            // 0x46978e
                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                            g8 = g8 & -256 | 247;
                                            *(int32_t *)(g11 - 4) = 0x46979e;
                                            function_462278();
                                            v56 = g4;
                                            v82 = g8 & -256;
                                            g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x4697b5;
                                            function_462278();
                                            // branch -> 0x469915
                                        } else {
                                            // 0x46972e
                                            v28 = (int32_t *)(v53 - 108);
                                            *v28 = -*v28;
                                            // branch -> 0x469915
                                        }
                                        // 0x469915
                                        v100 = g4;
                                        v99 = v100;
                                        if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                            // 0x469922
                                            if (*(char *)(v100 - 111) == 0) {
                                                // 0x46992c
                                                g8 = v100 - 132;
                                                *(int32_t *)(g11 - 4) = 0x46993a;
                                                function_467328();
                                                if (g3 == 0) {
                                                    // 0x46993e
                                                    g6 = -1;
                                                    v95 = g4;
                                                    g8 = v95 - 132;
                                                    g3 = *(int32_t *)(v95 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x46994f;
                                                    function_4673b4();
                                                    *(int32_t *)(g4 - 20) = g3;
                                                    // branch -> 0x46995d
                                                } else {
                                                    // 0x469954
                                                    v96 = g4;
                                                    v105 = *(int32_t *)(v96 - 132);
                                                    g3 = v105;
                                                    *(int32_t *)(v96 - 20) = v105;
                                                    // branch -> 0x46995d
                                                }
                                                // 0x46995d
                                                v101 = g4;
                                                v109 = *(char *)(v101 - 100);
                                                v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                v97 = g4;
                                                g6 = v97 - 612;
                                                g8 = *(int32_t *)(v97 - 20);
                                                g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                *(int32_t *)(g11 - 4) = 0x469981;
                                                function_46b3dc();
                                                v98 = g11;
                                                v90 = v98 - 4;
                                                *(int32_t *)v90 = g4 - 612;
                                                g11 = v90;
                                                g6 = g6 & -256 | 1;
                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                *(int32_t *)(v98 - 8) = 0x469998;
                                                function_46ad90();
                                                *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                v102 = g4;
                                                g8 = *(int32_t *)(v102 - 20);
                                                g3 = *(int32_t *)(v102 - 4);
                                                *(int32_t *)(g11 - 4) = 0x4699ad;
                                                function_469e18();
                                                g8 = g8 & -256 | 15;
                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                *(int32_t *)(g11 - 4) = 0x4699ba;
                                                function_462278();
                                                g8 = g8 & -256 | 132;
                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                *(int32_t *)(g11 - 4) = 0x4699c7;
                                                function_462278();
                                                v103 = g11;
                                                *(int32_t *)(v103 - 4) = 1;
                                                *(int32_t *)(v103 - 8) = 0;
                                                *(int32_t *)(v103 - 12) = 0;
                                                *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                v91 = v103 - 20;
                                                *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                g11 = v91;
                                                v104 = g4;
                                                g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                v88 = (int32_t *)(v104 - 4);
                                                g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                g3 = *(int32_t *)(*v88 + 12);
                                                *(int32_t *)(v103 - 24) = 0x4699f5;
                                                function_461c30();
                                                v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                *v89 = *v89 + 4;
                                                *(char *)(g4 - 111) = 1;
                                                v99 = g4;
                                                // branch -> 0x469a03
                                            } else {
                                                v99 = v100;
                                            }
                                        }
                                        // 0x469a03
                                        if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                            // 0x469a0c
                                            if (*(char *)(v99 - 111) == 0) {
                                                // 0x469a12
                                                g6 = v99 - 676;
                                                g8 = v99 - 132;
                                                g3 = *(int32_t *)(v99 - 4);
                                                *(int32_t *)(g11 - 4) = 0x469a26;
                                                function_462a10();
                                                *(int32_t *)(g11 - 4) = 0x469a3d;
                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                // branch -> 0x469a3d
                                            }
                                        }
                                        // 0x469a3d
                                        *(int32_t *)(g11 - 4) = 0x469a51;
                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                        // branch -> 0x469a51
                                        // 0x469a51
                                        g8 = v8;
                                        g6 = v14;
                                        g11 = &v92;
                                        abort();
                                        // UNREACHABLE
                                    }
                                    // 0x469915
                                    v100 = g4;
                                    v99 = v100;
                                    if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                        // 0x469922
                                        if (*(char *)(v100 - 111) == 0) {
                                            // 0x46992c
                                            g8 = v100 - 132;
                                            *(int32_t *)(g11 - 4) = 0x46993a;
                                            function_467328();
                                            if (g3 == 0) {
                                                // 0x46993e
                                                g6 = -1;
                                                v95 = g4;
                                                g8 = v95 - 132;
                                                g3 = *(int32_t *)(v95 - 4);
                                                *(int32_t *)(g11 - 4) = 0x46994f;
                                                function_4673b4();
                                                *(int32_t *)(g4 - 20) = g3;
                                                // branch -> 0x46995d
                                            } else {
                                                // 0x469954
                                                v96 = g4;
                                                v105 = *(int32_t *)(v96 - 132);
                                                g3 = v105;
                                                *(int32_t *)(v96 - 20) = v105;
                                                // branch -> 0x46995d
                                            }
                                            // 0x46995d
                                            v101 = g4;
                                            v109 = *(char *)(v101 - 100);
                                            v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                            *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                            v97 = g4;
                                            g6 = v97 - 612;
                                            g8 = *(int32_t *)(v97 - 20);
                                            g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x469981;
                                            function_46b3dc();
                                            v98 = g11;
                                            v90 = v98 - 4;
                                            *(int32_t *)v90 = g4 - 612;
                                            g11 = v90;
                                            g6 = g6 & -256 | 1;
                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                            *(int32_t *)(v98 - 8) = 0x469998;
                                            function_46ad90();
                                            *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                            v102 = g4;
                                            g8 = *(int32_t *)(v102 - 20);
                                            g3 = *(int32_t *)(v102 - 4);
                                            *(int32_t *)(g11 - 4) = 0x4699ad;
                                            function_469e18();
                                            g8 = g8 & -256 | 15;
                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                            *(int32_t *)(g11 - 4) = 0x4699ba;
                                            function_462278();
                                            g8 = g8 & -256 | 132;
                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                            *(int32_t *)(g11 - 4) = 0x4699c7;
                                            function_462278();
                                            v103 = g11;
                                            *(int32_t *)(v103 - 4) = 1;
                                            *(int32_t *)(v103 - 8) = 0;
                                            *(int32_t *)(v103 - 12) = 0;
                                            *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                            v91 = v103 - 20;
                                            *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                            g11 = v91;
                                            v104 = g4;
                                            g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                            v88 = (int32_t *)(v104 - 4);
                                            g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                            g3 = *(int32_t *)(*v88 + 12);
                                            *(int32_t *)(v103 - 24) = 0x4699f5;
                                            function_461c30();
                                            v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                            *v89 = *v89 + 4;
                                            *(char *)(g4 - 111) = 1;
                                            v99 = g4;
                                            // branch -> 0x469a03
                                        } else {
                                            v99 = v100;
                                        }
                                    }
                                    // 0x469a03
                                    if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                        // 0x469a0c
                                        if (*(char *)(v99 - 111) == 0) {
                                            // 0x469a12
                                            g6 = v99 - 676;
                                            g8 = v99 - 132;
                                            g3 = *(int32_t *)(v99 - 4);
                                            *(int32_t *)(g11 - 4) = 0x469a26;
                                            function_462a10();
                                            *(int32_t *)(g11 - 4) = 0x469a3d;
                                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                            // branch -> 0x469a3d
                                        }
                                    }
                                    // 0x469a3d
                                    *(int32_t *)(g11 - 4) = 0x469a51;
                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                    // branch -> 0x469a51
                                } else {
                                    // 0x469670
                                    *(int32_t *)(g11 - 4) = 0x469681;
                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                    g8 = 0x469c04;
                                    *(int32_t *)(g11 - 4) = 0x46968e;
                                    function_45bf7c();
                                    // branch -> 0x469a51
                                }
                                // 0x469a51
                                g8 = v8;
                                g6 = v14;
                                g11 = &v92;
                                abort();
                                // UNREACHABLE
                            }
                        }
                        // 0x46961e
                        *(int32_t *)(g11 - 4) = 0x46962f;
                        System__AsClass(v22, (int32_t *)0x4637dc);
                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                        g8 = 0x469b88;
                        *(int32_t *)(g11 - 4) = 0x46963c;
                        function_45bf7c();
                        // branch -> 0x469a51
                        // 0x469a51
                        g8 = v8;
                        g6 = v14;
                        g11 = &v92;
                        abort();
                        // UNREACHABLE
                    }
                    // 0x46971b
                    if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                        // 0x469728
                        if (*(char *)(v53 - 112) == 0) {
                            // 0x469736
                            v29 = (char *)(v53 - 100);
                            if (*v29 != 8) {
                                // 0x46973c
                                if (*v29 != 0) {
                                    // 0x4697ba
                                    if (*v29 == 3) {
                                        // 0x4697c4
                                        v80 = v53;
                                        if (*(char *)(v53 - 99) == 0) {
                                            // 0x4697ce
                                            g8 = v53 - 132;
                                            *(int32_t *)(g11 - 4) = 0x4697dc;
                                            function_46a168();
                                            if (g3 == 0) {
                                                // 0x4697e0
                                                v57 = g4;
                                                g8 = v57 - 260;
                                                g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                *(int32_t *)(g11 - 4) = 0x4697f1;
                                                function_46a30c();
                                                *(int32_t *)(g4 - 260) = 5;
                                                g3 = *(int32_t *)(g4 - 4);
                                                *(int32_t *)(g11 - 4) = 0x469803;
                                                function_469fd8();
                                                *(int32_t *)(g4 - 244) = g3;
                                                v58 = g11;
                                                v32 = v58 - 4;
                                                *(int32_t *)v32 = g4 - 260;
                                                g11 = v32;
                                                g6 = 0;
                                                v59 = g4;
                                                g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                *(int32_t *)(v58 - 8) = 0x469823;
                                                function_46ae10();
                                                g6 = -1;
                                                v60 = g4;
                                                g8 = v60 - 132;
                                                g3 = *(int32_t *)(v60 - 4);
                                                *(int32_t *)(g11 - 4) = 0x469834;
                                                function_469f40();
                                                *(int32_t *)(g11 - 4) = 0x46984b;
                                                System__CopyRecord(0x46a22c);
                                                // branch -> 0x46984b
                                            }
                                            // 0x46984b
                                            v61 = g4;
                                            g8 = v61 - 132;
                                            g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x46985c;
                                            function_46b524();
                                            v80 = g4;
                                            // branch -> 0x46985c
                                        }
                                        // 0x46985c
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                        g8 = g8 & -256 | 217;
                                        *(int32_t *)(g11 - 4) = 0x46986c;
                                        function_462278();
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                        g8 = g8 & -256 | 224;
                                        *(int32_t *)(g11 - 4) = 0x46987c;
                                        function_462278();
                                        v81 = g4;
                                        if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                            // 0x469884
                                            g8 = v81 - 260;
                                            g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x469895;
                                            function_46a30c();
                                            *(int32_t *)(g4 - 260) = 5;
                                            g3 = *(int32_t *)(g4 - 4);
                                            *(int32_t *)(g11 - 4) = 0x4698a7;
                                            function_469fd8();
                                            *(int32_t *)(g4 - 244) = g3;
                                            v62 = g4;
                                            g8 = v62 - 260;
                                            g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x4698be;
                                            function_46b614();
                                            g6 = -1;
                                            v63 = g4;
                                            g8 = v63 - 132;
                                            g3 = *(int32_t *)(v63 - 4);
                                            *(int32_t *)(g11 - 4) = 0x4698cf;
                                            function_469f40();
                                            *(int32_t *)(g11 - 4) = 0x4698e6;
                                            System__CopyRecord(0x46a22c);
                                            // branch -> 0x4698ec
                                        } else {
                                            // 0x4698e8
                                            *(char *)(v81 - 99) = 1;
                                            // branch -> 0x4698ec
                                        }
                                        // 0x4698ec
                                        *(char *)(g4 - 100) = 3;
                                        // branch -> 0x469915
                                        // 0x469915
                                        v100 = g4;
                                        v99 = v100;
                                        if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                            // 0x469922
                                            if (*(char *)(v100 - 111) == 0) {
                                                // 0x46992c
                                                g8 = v100 - 132;
                                                *(int32_t *)(g11 - 4) = 0x46993a;
                                                function_467328();
                                                if (g3 == 0) {
                                                    // 0x46993e
                                                    g6 = -1;
                                                    v95 = g4;
                                                    g8 = v95 - 132;
                                                    g3 = *(int32_t *)(v95 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x46994f;
                                                    function_4673b4();
                                                    *(int32_t *)(g4 - 20) = g3;
                                                    // branch -> 0x46995d
                                                } else {
                                                    // 0x469954
                                                    v96 = g4;
                                                    v105 = *(int32_t *)(v96 - 132);
                                                    g3 = v105;
                                                    *(int32_t *)(v96 - 20) = v105;
                                                    // branch -> 0x46995d
                                                }
                                                // 0x46995d
                                                v101 = g4;
                                                v109 = *(char *)(v101 - 100);
                                                v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                v97 = g4;
                                                g6 = v97 - 612;
                                                g8 = *(int32_t *)(v97 - 20);
                                                g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                *(int32_t *)(g11 - 4) = 0x469981;
                                                function_46b3dc();
                                                v98 = g11;
                                                v90 = v98 - 4;
                                                *(int32_t *)v90 = g4 - 612;
                                                g11 = v90;
                                                g6 = g6 & -256 | 1;
                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                *(int32_t *)(v98 - 8) = 0x469998;
                                                function_46ad90();
                                                *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                v102 = g4;
                                                g8 = *(int32_t *)(v102 - 20);
                                                g3 = *(int32_t *)(v102 - 4);
                                                *(int32_t *)(g11 - 4) = 0x4699ad;
                                                function_469e18();
                                                g8 = g8 & -256 | 15;
                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                *(int32_t *)(g11 - 4) = 0x4699ba;
                                                function_462278();
                                                g8 = g8 & -256 | 132;
                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                *(int32_t *)(g11 - 4) = 0x4699c7;
                                                function_462278();
                                                v103 = g11;
                                                *(int32_t *)(v103 - 4) = 1;
                                                *(int32_t *)(v103 - 8) = 0;
                                                *(int32_t *)(v103 - 12) = 0;
                                                *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                v91 = v103 - 20;
                                                *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                g11 = v91;
                                                v104 = g4;
                                                g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                v88 = (int32_t *)(v104 - 4);
                                                g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                g3 = *(int32_t *)(*v88 + 12);
                                                *(int32_t *)(v103 - 24) = 0x4699f5;
                                                function_461c30();
                                                v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                *v89 = *v89 + 4;
                                                *(char *)(g4 - 111) = 1;
                                                v99 = g4;
                                                // branch -> 0x469a03
                                            } else {
                                                v99 = v100;
                                            }
                                        }
                                        // 0x469a03
                                        if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                            // 0x469a0c
                                            if (*(char *)(v99 - 111) == 0) {
                                                // 0x469a12
                                                g6 = v99 - 676;
                                                g8 = v99 - 132;
                                                g3 = *(int32_t *)(v99 - 4);
                                                *(int32_t *)(g11 - 4) = 0x469a26;
                                                function_462a10();
                                                *(int32_t *)(g11 - 4) = 0x469a3d;
                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                // branch -> 0x469a3d
                                            }
                                        }
                                        // 0x469a3d
                                        *(int32_t *)(g11 - 4) = 0x469a51;
                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                        // branch -> 0x469a51
                                    } else {
                                        // 0x4698f2
                                        *(int32_t *)(g11 - 4) = 0x469903;
                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                        g8 = 0x469c54;
                                        *(int32_t *)(g11 - 4) = 0x469910;
                                        function_45bf7c();
                                        // branch -> 0x469a51
                                    }
                                    // 0x469a51
                                    g8 = v8;
                                    g6 = v14;
                                    g11 = &v92;
                                    abort();
                                    // UNREACHABLE
                                }
                            }
                            // 0x469742
                            g8 = v53 - 132;
                            *(int32_t *)(g11 - 4) = 0x469750;
                            function_46a168();
                            if (g3 != 0) {
                                // 0x469754
                                v54 = g4;
                                g8 = v54 - 132;
                                g3 = *(int32_t *)(v54 - 4);
                                *(int32_t *)(g11 - 4) = 0x469765;
                                function_4673b4();
                                *(int32_t *)(g4 - 20) = g3;
                                v77 = g4;
                                *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                v55 = g4;
                                g8 = v55 - 132;
                                g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                *(int32_t *)(g11 - 4) = 0x46977f;
                                function_46a30c();
                                v78 = g4;
                                *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                v79 = g4;
                                *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                // branch -> 0x46978e
                            }
                            // 0x46978e
                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                            g8 = g8 & -256 | 247;
                            *(int32_t *)(g11 - 4) = 0x46979e;
                            function_462278();
                            v56 = g4;
                            v82 = g8 & -256;
                            g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                            *(int32_t *)(g11 - 4) = 0x4697b5;
                            function_462278();
                            // branch -> 0x469915
                        } else {
                            // 0x46972e
                            v28 = (int32_t *)(v53 - 108);
                            *v28 = -*v28;
                            // branch -> 0x469915
                        }
                        // 0x469915
                        v100 = g4;
                        v99 = v100;
                        if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                            // 0x469922
                            if (*(char *)(v100 - 111) == 0) {
                                // 0x46992c
                                g8 = v100 - 132;
                                *(int32_t *)(g11 - 4) = 0x46993a;
                                function_467328();
                                if (g3 == 0) {
                                    // 0x46993e
                                    g6 = -1;
                                    v95 = g4;
                                    g8 = v95 - 132;
                                    g3 = *(int32_t *)(v95 - 4);
                                    *(int32_t *)(g11 - 4) = 0x46994f;
                                    function_4673b4();
                                    *(int32_t *)(g4 - 20) = g3;
                                    // branch -> 0x46995d
                                } else {
                                    // 0x469954
                                    v96 = g4;
                                    v105 = *(int32_t *)(v96 - 132);
                                    g3 = v105;
                                    *(int32_t *)(v96 - 20) = v105;
                                    // branch -> 0x46995d
                                }
                                // 0x46995d
                                v101 = g4;
                                v109 = *(char *)(v101 - 100);
                                v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                v97 = g4;
                                g6 = v97 - 612;
                                g8 = *(int32_t *)(v97 - 20);
                                g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                *(int32_t *)(g11 - 4) = 0x469981;
                                function_46b3dc();
                                v98 = g11;
                                v90 = v98 - 4;
                                *(int32_t *)v90 = g4 - 612;
                                g11 = v90;
                                g6 = g6 & -256 | 1;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                *(int32_t *)(v98 - 8) = 0x469998;
                                function_46ad90();
                                *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                v102 = g4;
                                g8 = *(int32_t *)(v102 - 20);
                                g3 = *(int32_t *)(v102 - 4);
                                *(int32_t *)(g11 - 4) = 0x4699ad;
                                function_469e18();
                                g8 = g8 & -256 | 15;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                *(int32_t *)(g11 - 4) = 0x4699ba;
                                function_462278();
                                g8 = g8 & -256 | 132;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                *(int32_t *)(g11 - 4) = 0x4699c7;
                                function_462278();
                                v103 = g11;
                                *(int32_t *)(v103 - 4) = 1;
                                *(int32_t *)(v103 - 8) = 0;
                                *(int32_t *)(v103 - 12) = 0;
                                *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                v91 = v103 - 20;
                                *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                g11 = v91;
                                v104 = g4;
                                g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                v88 = (int32_t *)(v104 - 4);
                                g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                g3 = *(int32_t *)(*v88 + 12);
                                *(int32_t *)(v103 - 24) = 0x4699f5;
                                function_461c30();
                                v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                *v89 = *v89 + 4;
                                *(char *)(g4 - 111) = 1;
                                v99 = g4;
                                // branch -> 0x469a03
                            } else {
                                v99 = v100;
                            }
                        }
                        // 0x469a03
                        if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                            // 0x469a0c
                            if (*(char *)(v99 - 111) == 0) {
                                // 0x469a12
                                g6 = v99 - 676;
                                g8 = v99 - 132;
                                g3 = *(int32_t *)(v99 - 4);
                                *(int32_t *)(g11 - 4) = 0x469a26;
                                function_462a10();
                                *(int32_t *)(g11 - 4) = 0x469a3d;
                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                // branch -> 0x469a3d
                            }
                        }
                        // 0x469a3d
                        *(int32_t *)(g11 - 4) = 0x469a51;
                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                        // branch -> 0x469a51
                        // 0x469a51
                        g8 = v8;
                        g6 = v14;
                        g11 = &v92;
                        abort();
                        // UNREACHABLE
                    }
                    // 0x469915
                    v100 = g4;
                    v99 = v100;
                    if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                        // 0x469922
                        if (*(char *)(v100 - 111) == 0) {
                            // 0x46992c
                            g8 = v100 - 132;
                            *(int32_t *)(g11 - 4) = 0x46993a;
                            function_467328();
                            if (g3 == 0) {
                                // 0x46993e
                                g6 = -1;
                                v95 = g4;
                                g8 = v95 - 132;
                                g3 = *(int32_t *)(v95 - 4);
                                *(int32_t *)(g11 - 4) = 0x46994f;
                                function_4673b4();
                                *(int32_t *)(g4 - 20) = g3;
                                // branch -> 0x46995d
                            } else {
                                // 0x469954
                                v96 = g4;
                                v105 = *(int32_t *)(v96 - 132);
                                g3 = v105;
                                *(int32_t *)(v96 - 20) = v105;
                                // branch -> 0x46995d
                            }
                            // 0x46995d
                            v101 = g4;
                            v109 = *(char *)(v101 - 100);
                            v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                            *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                            v97 = g4;
                            g6 = v97 - 612;
                            g8 = *(int32_t *)(v97 - 20);
                            g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                            *(int32_t *)(g11 - 4) = 0x469981;
                            function_46b3dc();
                            v98 = g11;
                            v90 = v98 - 4;
                            *(int32_t *)v90 = g4 - 612;
                            g11 = v90;
                            g6 = g6 & -256 | 1;
                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                            *(int32_t *)(v98 - 8) = 0x469998;
                            function_46ad90();
                            *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                            v102 = g4;
                            g8 = *(int32_t *)(v102 - 20);
                            g3 = *(int32_t *)(v102 - 4);
                            *(int32_t *)(g11 - 4) = 0x4699ad;
                            function_469e18();
                            g8 = g8 & -256 | 15;
                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                            *(int32_t *)(g11 - 4) = 0x4699ba;
                            function_462278();
                            g8 = g8 & -256 | 132;
                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                            *(int32_t *)(g11 - 4) = 0x4699c7;
                            function_462278();
                            v103 = g11;
                            *(int32_t *)(v103 - 4) = 1;
                            *(int32_t *)(v103 - 8) = 0;
                            *(int32_t *)(v103 - 12) = 0;
                            *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                            v91 = v103 - 20;
                            *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                            g11 = v91;
                            v104 = g4;
                            g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                            v88 = (int32_t *)(v104 - 4);
                            g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                            g3 = *(int32_t *)(*v88 + 12);
                            *(int32_t *)(v103 - 24) = 0x4699f5;
                            function_461c30();
                            v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                            *v89 = *v89 + 4;
                            *(char *)(g4 - 111) = 1;
                            v99 = g4;
                            // branch -> 0x469a03
                        } else {
                            v99 = v100;
                        }
                    }
                    // 0x469a03
                    if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                        // 0x469a0c
                        if (*(char *)(v99 - 111) == 0) {
                            // 0x469a12
                            g6 = v99 - 676;
                            g8 = v99 - 132;
                            g3 = *(int32_t *)(v99 - 4);
                            *(int32_t *)(g11 - 4) = 0x469a26;
                            function_462a10();
                            *(int32_t *)(g11 - 4) = 0x469a3d;
                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                            // branch -> 0x469a3d
                        }
                    }
                    // 0x469a3d
                    *(int32_t *)(g11 - 4) = 0x469a51;
                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                    // branch -> 0x469a51
                } else {
                    // 0x4694e4
                    *(int32_t *)(g11 - 4) = 0x4694f5;
                    System__AsClass(v19, (int32_t *)0x4637dc);
                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                    g8 = 0x469b3c;
                    *(int32_t *)(g11 - 4) = 0x469502;
                    function_45bf7c();
                    // branch -> 0x469a51
                }
                // 0x469a51
                g8 = v8;
                g6 = v14;
                g11 = &v92;
                abort();
                // UNREACHABLE
            }
        }
        // 0x468234
        if (*(char *)(*v85 + 11) != 1) {
            int32_t * v111 = (int32_t *)(v6 + 72); // 0x468247_0
            if (*(char *)(*(int32_t *)(*(int32_t *)*v111 + 56) + 11) != 1) {
                // 0x468259
                if (*(char *)(*v85 + 8) == 3) {
                    // 0x468265
                    if (*(char *)(*(int32_t *)(*(int32_t *)*v111 + 56) + 8) == 3) {
                        int32_t v112 = *v85; // 0x46829c
                        int32_t v113 = *(int32_t *)(*(int32_t *)*v111 + 56); // 0x4682aa
                        g8 = v113;
                        g3 = v112;
                        function_458518();
                        if (g3 == 0) {
                            // 0x4682bf
                            g8 = v112;
                            g3 = v113;
                            function_458518();
                            if (g3 == 0) {
                                // 0x4682ce
                                System__AsClass(v2, (int32_t *)0x4637dc);
                                g3 = *(int32_t *)(*(int32_t *)(v8 + 16) + 12);
                                g8 = 0x469aa4;
                                function_45bf7c();
                                // branch -> 0x469a51
                                // 0x469a51
                                g8 = v8;
                                g6 = v14;
                                g11 = &v92;
                                abort();
                                // UNREACHABLE
                            }
                        }
                        // 0x4682f1
                        v86 = &v94;
                        g8 = v86;
                        g3 = *v15;
                        function_46a2a0();
                        g6 = v86;
                        g8 = *(int32_t *)*(int32_t *)((int32_t)v7 + 72);
                        g3 = v8;
                        function_46816c();
                        v87 = (int32_t *)((int32_t)v7 + 44);
                        v106 = *v87;
                        v107 = *(char *)(v106 + 9);
                        if (((int32_t)v107 || v106 & -256) != (int32_t)v93) {
                            // 0x468344
                            g6 = v10;
                            g8 = g8 & -256 | (int32_t)*(char *)(*v87 + 9);
                            g3 = v8;
                            function_463360();
                            // branch -> 0x4693c1
                        }
                        // 0x4693c1
                        v7 = NULL;
                        g11 = (int32_t)&v7;
                        v33 = g4;
                        g8 = v33 - 132;
                        v24 = (int32_t *)*(int32_t *)(v33 - 8);
                        g3 = *(int32_t *)(v33 - 4);
                        function_4663c4();
                        v64 = g4;
                        v25 = (int32_t *)(v64 - 8);
                        v37 = v64;
                        v20 = v24;
                        if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                            // 0x4693dd
                            if (*(int32_t *)(*v25 + 80) == -1) {
                                // 0x4693e6
                                g8 = v64 - 132;
                                g3 = *(int32_t *)(v64 - 4);
                                function_469c8c();
                                *(int32_t *)(g4 - 20) = g3;
                                v34 = g4;
                                g11 = v4;
                                g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                g6 = 1;
                                g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                function_46ae10();
                                v35 = g4;
                                g8 = v35 - 132;
                                g3 = *(int32_t *)(v35 - 4);
                                function_469f40();
                                v36 = g4;
                                g8 = v36 - 132;
                                g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                function_46a30c();
                                v65 = g4;
                                *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                *(char *)(g4 - 128) = 1;
                                v37 = g4;
                                v20 = (int32_t *)-1;
                                // branch -> 0x46943d
                            } else {
                                v37 = v64;
                                v20 = v24;
                            }
                        }
                        // 0x46943d
                        v40 = v37;
                        v18 = v20;
                        if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                            // 0x46944a
                            g8 = v37 - 132;
                            *(int32_t *)(g11 - 4) = 0x469458;
                            function_46a168();
                            v66 = g4;
                            if (g3 == 0) {
                                // 0x46945c
                                *(int32_t *)(g11 - 4) = 0x46946d;
                                System__AsClass(v20, (int32_t *)0x4637dc);
                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                g8 = 0x469b04;
                                *(int32_t *)(g11 - 4) = 0x46947a;
                                function_45bf7c();
                                // branch -> 0x469a51
                            } else {
                                // 0x46947f
                                v26 = (char *)(v66 - 128);
                                if (*v26 == 0) {
                                    // 0x469485
                                    g8 = v66 - 132;
                                    g3 = *(int32_t *)(v66 - 4);
                                    *(int32_t *)(g11 - 4) = 0x469493;
                                    function_469c8c();
                                    *(int32_t *)(g4 - 20) = g3;
                                    v67 = g4;
                                    g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                    g6 = v67 - 132;
                                    g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                    *(int32_t *)(g11 - 4) = 0x4694aa;
                                    function_46af4c();
                                    v38 = g4;
                                    g8 = v38 - 132;
                                    g3 = *(int32_t *)(v38 - 4);
                                    *(int32_t *)(g11 - 4) = 0x4694bb;
                                    function_469f40();
                                    v39 = g4;
                                    g8 = v39 - 132;
                                    g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                    *(int32_t *)(g11 - 4) = 0x4694cc;
                                    function_46a30c();
                                    v68 = g4;
                                    *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                    v19 = (int32_t *)-1;
                                    // branch -> 0x4694db
                                } else {
                                    // 0x4694d7
                                    *v26 = 0;
                                    v19 = v20;
                                    // branch -> 0x4694db
                                }
                                // 0x4694db
                                v27 = (int32_t *)(g4 - 96);
                                *v27 = *v27 + 1;
                                v69 = g4;
                                if (*(int32_t *)(v69 - 96) < 2) {
                                    v40 = v69;
                                    v18 = v19;
                                    // 0x469507
                                    v45 = v40;
                                    v23 = v18;
                                    if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                        // 0x469510
                                        v42 = v40;
                                        if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                            // 0x469519
                                            g8 = v40 - 132;
                                            g3 = *(int32_t *)(v40 - 4);
                                            *(int32_t *)(g11 - 4) = 0x469527;
                                            function_469c8c();
                                            *(int32_t *)(g4 - 20) = g3;
                                            v41 = g11;
                                            v30 = v41 - 4;
                                            *(int32_t *)v30 = g4 - 132;
                                            g11 = v30;
                                            v70 = g4;
                                            g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                            g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                            *(int32_t *)(v41 - 8) = 0x469541;
                                            function_46ae10();
                                            v42 = g4;
                                            // branch -> 0x469541
                                        }
                                        // 0x469541
                                        g8 = v42 - 132;
                                        g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                        *(int32_t *)(g11 - 4) = 0x469552;
                                        function_46b434();
                                        v43 = g4;
                                        g8 = v43 - 132;
                                        g3 = *(int32_t *)(v43 - 4);
                                        *(int32_t *)(g11 - 4) = 0x469563;
                                        function_469f40();
                                        v44 = g4;
                                        g8 = v44 - 132;
                                        g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                        *(int32_t *)(g11 - 4) = 0x469574;
                                        function_46a30c();
                                        v71 = g4;
                                        if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                            // 0x46957d
                                            *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                            v45 = g4;
                                            v23 = (int32_t *)-1;
                                            // branch -> 0x469586
                                        } else {
                                            v45 = v71;
                                            v23 = (int32_t *)-1;
                                        }
                                    }
                                    // 0x469586
                                    v50 = v45;
                                    v22 = v23;
                                    if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                        // 0x46958f
                                        v47 = v45;
                                        if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                            // 0x469598
                                            g8 = v45 - 132;
                                            g3 = *(int32_t *)(v45 - 4);
                                            *(int32_t *)(g11 - 4) = 0x4695a6;
                                            function_469c8c();
                                            *(int32_t *)(g4 - 20) = g3;
                                            v46 = g11;
                                            v31 = v46 - 4;
                                            *(int32_t *)v31 = g4 - 132;
                                            g11 = v31;
                                            v72 = g4;
                                            g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                            g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                            *(int32_t *)(v46 - 8) = 0x4695c0;
                                            function_46ae10();
                                            v47 = g4;
                                            // branch -> 0x4695c0
                                        }
                                        // 0x4695c0
                                        g8 = v47 - 132;
                                        g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                        *(int32_t *)(g11 - 4) = 0x4695d1;
                                        function_46b4ac();
                                        v48 = g4;
                                        g8 = v48 - 132;
                                        g3 = *(int32_t *)(v48 - 4);
                                        *(int32_t *)(g11 - 4) = 0x4695e2;
                                        function_469f40();
                                        v49 = g4;
                                        g8 = v49 - 132;
                                        g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                        *(int32_t *)(g11 - 4) = 0x4695f3;
                                        function_46a30c();
                                        v73 = g4;
                                        if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                            // 0x4695fc
                                            *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                            v50 = g4;
                                            v22 = (int32_t *)-1;
                                            // branch -> 0x469605
                                        } else {
                                            v50 = v73;
                                            v22 = (int32_t *)-1;
                                        }
                                    }
                                    // 0x469605
                                    v53 = v50;
                                    v21 = v22;
                                    if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                        // 0x469612
                                        if (*(char *)(v50 - 111) == 0) {
                                            // 0x469618
                                            if (*(char *)(v50 - 112) == 0) {
                                                // 0x469641
                                                if (*(int32_t *)(v50 - 96) != 0) {
                                                    // 0x469647
                                                    *(int32_t *)(g11 - 4) = 0x469658;
                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                    g8 = 0x469bc0;
                                                    *(int32_t *)(g11 - 4) = 0x469665;
                                                    function_45bf7c();
                                                    // branch -> 0x469a51
                                                    // 0x469a51
                                                    g8 = v8;
                                                    g6 = v14;
                                                    g11 = &v92;
                                                    abort();
                                                    // UNREACHABLE
                                                }
                                                // 0x46966a
                                                if (*(char *)(v50 - 100) == 1) {
                                                    // 0x469693
                                                    g8 = v50 - 196;
                                                    g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                    *(int32_t *)(g11 - 4) = 0x4696a4;
                                                    function_46a30c();
                                                    v51 = g4;
                                                    g8 = v51 - 132;
                                                    g3 = *(int32_t *)(v51 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x4696b5;
                                                    function_4673b4();
                                                    *(int32_t *)(g4 - 20) = g3;
                                                    g8 = g8 & -256 | 247;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x4696c5;
                                                    function_462278();
                                                    v74 = g4;
                                                    v83 = g8 & -256;
                                                    g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                    g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x4696d6;
                                                    function_462278();
                                                    g8 = g8 & -256 | 131;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x4696e3;
                                                    function_462278();
                                                    v75 = g4;
                                                    v84 = g8 & -256;
                                                    g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                    g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x4696f4;
                                                    function_462278();
                                                    g8 = g8 & -256 | 1;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x469701;
                                                    function_462278();
                                                    v52 = g4;
                                                    g8 = v52 - 132;
                                                    g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                    *(int32_t *)(g11 - 4) = 0x469712;
                                                    function_46a30c();
                                                    v76 = g4;
                                                    *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                    v53 = g4;
                                                    // branch -> 0x46971b
                                                    // 0x46971b
                                                    if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                        // 0x469728
                                                        if (*(char *)(v53 - 112) == 0) {
                                                            // 0x469736
                                                            v29 = (char *)(v53 - 100);
                                                            if (*v29 != 8) {
                                                                // 0x46973c
                                                                if (*v29 != 0) {
                                                                    // 0x4697ba
                                                                    if (*v29 == 3) {
                                                                        // 0x4697c4
                                                                        v80 = v53;
                                                                        if (*(char *)(v53 - 99) == 0) {
                                                                            // 0x4697ce
                                                                            g8 = v53 - 132;
                                                                            *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                            function_46a168();
                                                                            if (g3 == 0) {
                                                                                // 0x4697e0
                                                                                v57 = g4;
                                                                                g8 = v57 - 260;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                function_46a30c();
                                                                                *(int32_t *)(g4 - 260) = 5;
                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469803;
                                                                                function_469fd8();
                                                                                *(int32_t *)(g4 - 244) = g3;
                                                                                v58 = g11;
                                                                                v32 = v58 - 4;
                                                                                *(int32_t *)v32 = g4 - 260;
                                                                                g11 = v32;
                                                                                g6 = 0;
                                                                                v59 = g4;
                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                *(int32_t *)(v58 - 8) = 0x469823;
                                                                                function_46ae10();
                                                                                g6 = -1;
                                                                                v60 = g4;
                                                                                g8 = v60 - 132;
                                                                                g3 = *(int32_t *)(v60 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469834;
                                                                                function_469f40();
                                                                                *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                System__CopyRecord(0x46a22c);
                                                                                // branch -> 0x46984b
                                                                            }
                                                                            // 0x46984b
                                                                            v61 = g4;
                                                                            g8 = v61 - 132;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x46985c;
                                                                            function_46b524();
                                                                            v80 = g4;
                                                                            // branch -> 0x46985c
                                                                        }
                                                                        // 0x46985c
                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                        g8 = g8 & -256 | 217;
                                                                        *(int32_t *)(g11 - 4) = 0x46986c;
                                                                        function_462278();
                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                        g8 = g8 & -256 | 224;
                                                                        *(int32_t *)(g11 - 4) = 0x46987c;
                                                                        function_462278();
                                                                        v81 = g4;
                                                                        if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                            // 0x469884
                                                                            g8 = v81 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x469895;
                                                                            function_46a30c();
                                                                            *(int32_t *)(g4 - 260) = 5;
                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                            function_469fd8();
                                                                            *(int32_t *)(g4 - 244) = g3;
                                                                            v62 = g4;
                                                                            g8 = v62 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x4698be;
                                                                            function_46b614();
                                                                            g6 = -1;
                                                                            v63 = g4;
                                                                            g8 = v63 - 132;
                                                                            g3 = *(int32_t *)(v63 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                            function_469f40();
                                                                            *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                            System__CopyRecord(0x46a22c);
                                                                            // branch -> 0x4698ec
                                                                        } else {
                                                                            // 0x4698e8
                                                                            *(char *)(v81 - 99) = 1;
                                                                            // branch -> 0x4698ec
                                                                        }
                                                                        // 0x4698ec
                                                                        *(char *)(g4 - 100) = 3;
                                                                        // branch -> 0x469915
                                                                        // 0x469915
                                                                        v100 = g4;
                                                                        v99 = v100;
                                                                        if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                                                            // 0x469922
                                                                            if (*(char *)(v100 - 111) == 0) {
                                                                                // 0x46992c
                                                                                g8 = v100 - 132;
                                                                                *(int32_t *)(g11 - 4) = 0x46993a;
                                                                                function_467328();
                                                                                if (g3 == 0) {
                                                                                    // 0x46993e
                                                                                    g6 = -1;
                                                                                    v95 = g4;
                                                                                    g8 = v95 - 132;
                                                                                    g3 = *(int32_t *)(v95 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x46994f;
                                                                                    function_4673b4();
                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                    // branch -> 0x46995d
                                                                                } else {
                                                                                    // 0x469954
                                                                                    v96 = g4;
                                                                                    v105 = *(int32_t *)(v96 - 132);
                                                                                    g3 = v105;
                                                                                    *(int32_t *)(v96 - 20) = v105;
                                                                                    // branch -> 0x46995d
                                                                                }
                                                                                // 0x46995d
                                                                                v101 = g4;
                                                                                v109 = *(char *)(v101 - 100);
                                                                                v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                                                *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                                                v97 = g4;
                                                                                g6 = v97 - 612;
                                                                                g8 = *(int32_t *)(v97 - 20);
                                                                                g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469981;
                                                                                function_46b3dc();
                                                                                v98 = g11;
                                                                                v90 = v98 - 4;
                                                                                *(int32_t *)v90 = g4 - 612;
                                                                                g11 = v90;
                                                                                g6 = g6 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v98 - 8) = 0x469998;
                                                                                function_46ad90();
                                                                                *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                                                v102 = g4;
                                                                                g8 = *(int32_t *)(v102 - 20);
                                                                                g3 = *(int32_t *)(v102 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x4699ad;
                                                                                function_469e18();
                                                                                g8 = g8 & -256 | 15;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x4699ba;
                                                                                function_462278();
                                                                                g8 = g8 & -256 | 132;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x4699c7;
                                                                                function_462278();
                                                                                v103 = g11;
                                                                                *(int32_t *)(v103 - 4) = 1;
                                                                                *(int32_t *)(v103 - 8) = 0;
                                                                                *(int32_t *)(v103 - 12) = 0;
                                                                                *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                                                v91 = v103 - 20;
                                                                                *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                                                g11 = v91;
                                                                                v104 = g4;
                                                                                g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                                                v88 = (int32_t *)(v104 - 4);
                                                                                g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                                                g3 = *(int32_t *)(*v88 + 12);
                                                                                *(int32_t *)(v103 - 24) = 0x4699f5;
                                                                                function_461c30();
                                                                                v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                                                *v89 = *v89 + 4;
                                                                                *(char *)(g4 - 111) = 1;
                                                                                v99 = g4;
                                                                                // branch -> 0x469a03
                                                                            } else {
                                                                                v99 = v100;
                                                                            }
                                                                        }
                                                                        // 0x469a03
                                                                        if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                                                            // 0x469a0c
                                                                            if (*(char *)(v99 - 111) == 0) {
                                                                                // 0x469a12
                                                                                g6 = v99 - 676;
                                                                                g8 = v99 - 132;
                                                                                g3 = *(int32_t *)(v99 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469a26;
                                                                                function_462a10();
                                                                                *(int32_t *)(g11 - 4) = 0x469a3d;
                                                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                                // branch -> 0x469a3d
                                                                            }
                                                                        }
                                                                        // 0x469a3d
                                                                        *(int32_t *)(g11 - 4) = 0x469a51;
                                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                        // branch -> 0x469a51
                                                                    } else {
                                                                        // 0x4698f2
                                                                        *(int32_t *)(g11 - 4) = 0x469903;
                                                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                                        g8 = 0x469c54;
                                                                        *(int32_t *)(g11 - 4) = 0x469910;
                                                                        function_45bf7c();
                                                                        // branch -> 0x469a51
                                                                    }
                                                                    // 0x469a51
                                                                    g8 = v8;
                                                                    g6 = v14;
                                                                    g11 = &v92;
                                                                    abort();
                                                                    // UNREACHABLE
                                                                }
                                                            }
                                                            // 0x469742
                                                            g8 = v53 - 132;
                                                            *(int32_t *)(g11 - 4) = 0x469750;
                                                            function_46a168();
                                                            if (g3 != 0) {
                                                                // 0x469754
                                                                v54 = g4;
                                                                g8 = v54 - 132;
                                                                g3 = *(int32_t *)(v54 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x469765;
                                                                function_4673b4();
                                                                *(int32_t *)(g4 - 20) = g3;
                                                                v77 = g4;
                                                                *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                v55 = g4;
                                                                g8 = v55 - 132;
                                                                g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                *(int32_t *)(g11 - 4) = 0x46977f;
                                                                function_46a30c();
                                                                v78 = g4;
                                                                *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                v79 = g4;
                                                                *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                // branch -> 0x46978e
                                                            }
                                                            // 0x46978e
                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                            g8 = g8 & -256 | 247;
                                                            *(int32_t *)(g11 - 4) = 0x46979e;
                                                            function_462278();
                                                            v56 = g4;
                                                            v82 = g8 & -256;
                                                            g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                            *(int32_t *)(g11 - 4) = 0x4697b5;
                                                            function_462278();
                                                            // branch -> 0x469915
                                                        } else {
                                                            // 0x46972e
                                                            v28 = (int32_t *)(v53 - 108);
                                                            *v28 = -*v28;
                                                            // branch -> 0x469915
                                                        }
                                                        // 0x469915
                                                        v100 = g4;
                                                        v99 = v100;
                                                        if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                                            // 0x469922
                                                            if (*(char *)(v100 - 111) == 0) {
                                                                // 0x46992c
                                                                g8 = v100 - 132;
                                                                *(int32_t *)(g11 - 4) = 0x46993a;
                                                                function_467328();
                                                                if (g3 == 0) {
                                                                    // 0x46993e
                                                                    g6 = -1;
                                                                    v95 = g4;
                                                                    g8 = v95 - 132;
                                                                    g3 = *(int32_t *)(v95 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x46994f;
                                                                    function_4673b4();
                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                    // branch -> 0x46995d
                                                                } else {
                                                                    // 0x469954
                                                                    v96 = g4;
                                                                    v105 = *(int32_t *)(v96 - 132);
                                                                    g3 = v105;
                                                                    *(int32_t *)(v96 - 20) = v105;
                                                                    // branch -> 0x46995d
                                                                }
                                                                // 0x46995d
                                                                v101 = g4;
                                                                v109 = *(char *)(v101 - 100);
                                                                v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                                *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                                v97 = g4;
                                                                g6 = v97 - 612;
                                                                g8 = *(int32_t *)(v97 - 20);
                                                                g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                                *(int32_t *)(g11 - 4) = 0x469981;
                                                                function_46b3dc();
                                                                v98 = g11;
                                                                v90 = v98 - 4;
                                                                *(int32_t *)v90 = g4 - 612;
                                                                g11 = v90;
                                                                g6 = g6 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                *(int32_t *)(v98 - 8) = 0x469998;
                                                                function_46ad90();
                                                                *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                                v102 = g4;
                                                                g8 = *(int32_t *)(v102 - 20);
                                                                g3 = *(int32_t *)(v102 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x4699ad;
                                                                function_469e18();
                                                                g8 = g8 & -256 | 15;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x4699ba;
                                                                function_462278();
                                                                g8 = g8 & -256 | 132;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x4699c7;
                                                                function_462278();
                                                                v103 = g11;
                                                                *(int32_t *)(v103 - 4) = 1;
                                                                *(int32_t *)(v103 - 8) = 0;
                                                                *(int32_t *)(v103 - 12) = 0;
                                                                *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                                v91 = v103 - 20;
                                                                *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                                g11 = v91;
                                                                v104 = g4;
                                                                g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                                v88 = (int32_t *)(v104 - 4);
                                                                g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                                g3 = *(int32_t *)(*v88 + 12);
                                                                *(int32_t *)(v103 - 24) = 0x4699f5;
                                                                function_461c30();
                                                                v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                                *v89 = *v89 + 4;
                                                                *(char *)(g4 - 111) = 1;
                                                                v99 = g4;
                                                                // branch -> 0x469a03
                                                            } else {
                                                                v99 = v100;
                                                            }
                                                        }
                                                        // 0x469a03
                                                        if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                                            // 0x469a0c
                                                            if (*(char *)(v99 - 111) == 0) {
                                                                // 0x469a12
                                                                g6 = v99 - 676;
                                                                g8 = v99 - 132;
                                                                g3 = *(int32_t *)(v99 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x469a26;
                                                                function_462a10();
                                                                *(int32_t *)(g11 - 4) = 0x469a3d;
                                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                // branch -> 0x469a3d
                                                            }
                                                        }
                                                        // 0x469a3d
                                                        *(int32_t *)(g11 - 4) = 0x469a51;
                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                        // branch -> 0x469a51
                                                        // 0x469a51
                                                        g8 = v8;
                                                        g6 = v14;
                                                        g11 = &v92;
                                                        abort();
                                                        // UNREACHABLE
                                                    }
                                                    // 0x469915
                                                    v100 = g4;
                                                    v99 = v100;
                                                    if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                                        // 0x469922
                                                        if (*(char *)(v100 - 111) == 0) {
                                                            // 0x46992c
                                                            g8 = v100 - 132;
                                                            *(int32_t *)(g11 - 4) = 0x46993a;
                                                            function_467328();
                                                            if (g3 == 0) {
                                                                // 0x46993e
                                                                g6 = -1;
                                                                v95 = g4;
                                                                g8 = v95 - 132;
                                                                g3 = *(int32_t *)(v95 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x46994f;
                                                                function_4673b4();
                                                                *(int32_t *)(g4 - 20) = g3;
                                                                // branch -> 0x46995d
                                                            } else {
                                                                // 0x469954
                                                                v96 = g4;
                                                                v105 = *(int32_t *)(v96 - 132);
                                                                g3 = v105;
                                                                *(int32_t *)(v96 - 20) = v105;
                                                                // branch -> 0x46995d
                                                            }
                                                            // 0x46995d
                                                            v101 = g4;
                                                            v109 = *(char *)(v101 - 100);
                                                            v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                            *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                            v97 = g4;
                                                            g6 = v97 - 612;
                                                            g8 = *(int32_t *)(v97 - 20);
                                                            g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                            *(int32_t *)(g11 - 4) = 0x469981;
                                                            function_46b3dc();
                                                            v98 = g11;
                                                            v90 = v98 - 4;
                                                            *(int32_t *)v90 = g4 - 612;
                                                            g11 = v90;
                                                            g6 = g6 & -256 | 1;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                            *(int32_t *)(v98 - 8) = 0x469998;
                                                            function_46ad90();
                                                            *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                            v102 = g4;
                                                            g8 = *(int32_t *)(v102 - 20);
                                                            g3 = *(int32_t *)(v102 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x4699ad;
                                                            function_469e18();
                                                            g8 = g8 & -256 | 15;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x4699ba;
                                                            function_462278();
                                                            g8 = g8 & -256 | 132;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x4699c7;
                                                            function_462278();
                                                            v103 = g11;
                                                            *(int32_t *)(v103 - 4) = 1;
                                                            *(int32_t *)(v103 - 8) = 0;
                                                            *(int32_t *)(v103 - 12) = 0;
                                                            *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                            v91 = v103 - 20;
                                                            *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                            g11 = v91;
                                                            v104 = g4;
                                                            g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                            v88 = (int32_t *)(v104 - 4);
                                                            g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                            g3 = *(int32_t *)(*v88 + 12);
                                                            *(int32_t *)(v103 - 24) = 0x4699f5;
                                                            function_461c30();
                                                            v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                            *v89 = *v89 + 4;
                                                            *(char *)(g4 - 111) = 1;
                                                            v99 = g4;
                                                            // branch -> 0x469a03
                                                        } else {
                                                            v99 = v100;
                                                        }
                                                    }
                                                    // 0x469a03
                                                    if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                                        // 0x469a0c
                                                        if (*(char *)(v99 - 111) == 0) {
                                                            // 0x469a12
                                                            g6 = v99 - 676;
                                                            g8 = v99 - 132;
                                                            g3 = *(int32_t *)(v99 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x469a26;
                                                            function_462a10();
                                                            *(int32_t *)(g11 - 4) = 0x469a3d;
                                                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                            // branch -> 0x469a3d
                                                        }
                                                    }
                                                    // 0x469a3d
                                                    *(int32_t *)(g11 - 4) = 0x469a51;
                                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                    // branch -> 0x469a51
                                                } else {
                                                    // 0x469670
                                                    *(int32_t *)(g11 - 4) = 0x469681;
                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                    g8 = 0x469c04;
                                                    *(int32_t *)(g11 - 4) = 0x46968e;
                                                    function_45bf7c();
                                                    // branch -> 0x469a51
                                                }
                                                // 0x469a51
                                                g8 = v8;
                                                g6 = v14;
                                                g11 = &v92;
                                                abort();
                                                // UNREACHABLE
                                            }
                                        }
                                        // 0x46961e
                                        *(int32_t *)(g11 - 4) = 0x46962f;
                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                        g8 = 0x469b88;
                                        *(int32_t *)(g11 - 4) = 0x46963c;
                                        function_45bf7c();
                                        // branch -> 0x469a51
                                        // 0x469a51
                                        g8 = v8;
                                        g6 = v14;
                                        g11 = &v92;
                                        abort();
                                        // UNREACHABLE
                                    }
                                    // 0x46971b
                                    if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                        // 0x469728
                                        if (*(char *)(v53 - 112) == 0) {
                                            // 0x469736
                                            v29 = (char *)(v53 - 100);
                                            if (*v29 != 8) {
                                                // 0x46973c
                                                if (*v29 != 0) {
                                                    // 0x4697ba
                                                    if (*v29 == 3) {
                                                        // 0x4697c4
                                                        v80 = v53;
                                                        if (*(char *)(v53 - 99) == 0) {
                                                            // 0x4697ce
                                                            g8 = v53 - 132;
                                                            *(int32_t *)(g11 - 4) = 0x4697dc;
                                                            function_46a168();
                                                            if (g3 == 0) {
                                                                // 0x4697e0
                                                                v57 = g4;
                                                                g8 = v57 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                function_46a30c();
                                                                *(int32_t *)(g4 - 260) = 5;
                                                                g3 = *(int32_t *)(g4 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x469803;
                                                                function_469fd8();
                                                                *(int32_t *)(g4 - 244) = g3;
                                                                v58 = g11;
                                                                v32 = v58 - 4;
                                                                *(int32_t *)v32 = g4 - 260;
                                                                g11 = v32;
                                                                g6 = 0;
                                                                v59 = g4;
                                                                g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                *(int32_t *)(v58 - 8) = 0x469823;
                                                                function_46ae10();
                                                                g6 = -1;
                                                                v60 = g4;
                                                                g8 = v60 - 132;
                                                                g3 = *(int32_t *)(v60 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x469834;
                                                                function_469f40();
                                                                *(int32_t *)(g11 - 4) = 0x46984b;
                                                                System__CopyRecord(0x46a22c);
                                                                // branch -> 0x46984b
                                                            }
                                                            // 0x46984b
                                                            v61 = g4;
                                                            g8 = v61 - 132;
                                                            g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                            *(int32_t *)(g11 - 4) = 0x46985c;
                                                            function_46b524();
                                                            v80 = g4;
                                                            // branch -> 0x46985c
                                                        }
                                                        // 0x46985c
                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                        g8 = g8 & -256 | 217;
                                                        *(int32_t *)(g11 - 4) = 0x46986c;
                                                        function_462278();
                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                        g8 = g8 & -256 | 224;
                                                        *(int32_t *)(g11 - 4) = 0x46987c;
                                                        function_462278();
                                                        v81 = g4;
                                                        if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                            // 0x469884
                                                            g8 = v81 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                            *(int32_t *)(g11 - 4) = 0x469895;
                                                            function_46a30c();
                                                            *(int32_t *)(g4 - 260) = 5;
                                                            g3 = *(int32_t *)(g4 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x4698a7;
                                                            function_469fd8();
                                                            *(int32_t *)(g4 - 244) = g3;
                                                            v62 = g4;
                                                            g8 = v62 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                            *(int32_t *)(g11 - 4) = 0x4698be;
                                                            function_46b614();
                                                            g6 = -1;
                                                            v63 = g4;
                                                            g8 = v63 - 132;
                                                            g3 = *(int32_t *)(v63 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x4698cf;
                                                            function_469f40();
                                                            *(int32_t *)(g11 - 4) = 0x4698e6;
                                                            System__CopyRecord(0x46a22c);
                                                            // branch -> 0x4698ec
                                                        } else {
                                                            // 0x4698e8
                                                            *(char *)(v81 - 99) = 1;
                                                            // branch -> 0x4698ec
                                                        }
                                                        // 0x4698ec
                                                        *(char *)(g4 - 100) = 3;
                                                        // branch -> 0x469915
                                                        // 0x469915
                                                        v100 = g4;
                                                        v99 = v100;
                                                        if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                                            // 0x469922
                                                            if (*(char *)(v100 - 111) == 0) {
                                                                // 0x46992c
                                                                g8 = v100 - 132;
                                                                *(int32_t *)(g11 - 4) = 0x46993a;
                                                                function_467328();
                                                                if (g3 == 0) {
                                                                    // 0x46993e
                                                                    g6 = -1;
                                                                    v95 = g4;
                                                                    g8 = v95 - 132;
                                                                    g3 = *(int32_t *)(v95 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x46994f;
                                                                    function_4673b4();
                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                    // branch -> 0x46995d
                                                                } else {
                                                                    // 0x469954
                                                                    v96 = g4;
                                                                    v105 = *(int32_t *)(v96 - 132);
                                                                    g3 = v105;
                                                                    *(int32_t *)(v96 - 20) = v105;
                                                                    // branch -> 0x46995d
                                                                }
                                                                // 0x46995d
                                                                v101 = g4;
                                                                v109 = *(char *)(v101 - 100);
                                                                v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                                *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                                v97 = g4;
                                                                g6 = v97 - 612;
                                                                g8 = *(int32_t *)(v97 - 20);
                                                                g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                                *(int32_t *)(g11 - 4) = 0x469981;
                                                                function_46b3dc();
                                                                v98 = g11;
                                                                v90 = v98 - 4;
                                                                *(int32_t *)v90 = g4 - 612;
                                                                g11 = v90;
                                                                g6 = g6 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                *(int32_t *)(v98 - 8) = 0x469998;
                                                                function_46ad90();
                                                                *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                                v102 = g4;
                                                                g8 = *(int32_t *)(v102 - 20);
                                                                g3 = *(int32_t *)(v102 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x4699ad;
                                                                function_469e18();
                                                                g8 = g8 & -256 | 15;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x4699ba;
                                                                function_462278();
                                                                g8 = g8 & -256 | 132;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x4699c7;
                                                                function_462278();
                                                                v103 = g11;
                                                                *(int32_t *)(v103 - 4) = 1;
                                                                *(int32_t *)(v103 - 8) = 0;
                                                                *(int32_t *)(v103 - 12) = 0;
                                                                *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                                v91 = v103 - 20;
                                                                *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                                g11 = v91;
                                                                v104 = g4;
                                                                g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                                v88 = (int32_t *)(v104 - 4);
                                                                g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                                g3 = *(int32_t *)(*v88 + 12);
                                                                *(int32_t *)(v103 - 24) = 0x4699f5;
                                                                function_461c30();
                                                                v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                                *v89 = *v89 + 4;
                                                                *(char *)(g4 - 111) = 1;
                                                                v99 = g4;
                                                                // branch -> 0x469a03
                                                            } else {
                                                                v99 = v100;
                                                            }
                                                        }
                                                        // 0x469a03
                                                        if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                                            // 0x469a0c
                                                            if (*(char *)(v99 - 111) == 0) {
                                                                // 0x469a12
                                                                g6 = v99 - 676;
                                                                g8 = v99 - 132;
                                                                g3 = *(int32_t *)(v99 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x469a26;
                                                                function_462a10();
                                                                *(int32_t *)(g11 - 4) = 0x469a3d;
                                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                // branch -> 0x469a3d
                                                            }
                                                        }
                                                        // 0x469a3d
                                                        *(int32_t *)(g11 - 4) = 0x469a51;
                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                        // branch -> 0x469a51
                                                    } else {
                                                        // 0x4698f2
                                                        *(int32_t *)(g11 - 4) = 0x469903;
                                                        System__AsClass(v21, (int32_t *)0x4637dc);
                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                        g8 = 0x469c54;
                                                        *(int32_t *)(g11 - 4) = 0x469910;
                                                        function_45bf7c();
                                                        // branch -> 0x469a51
                                                    }
                                                    // 0x469a51
                                                    g8 = v8;
                                                    g6 = v14;
                                                    g11 = &v92;
                                                    abort();
                                                    // UNREACHABLE
                                                }
                                            }
                                            // 0x469742
                                            g8 = v53 - 132;
                                            *(int32_t *)(g11 - 4) = 0x469750;
                                            function_46a168();
                                            if (g3 != 0) {
                                                // 0x469754
                                                v54 = g4;
                                                g8 = v54 - 132;
                                                g3 = *(int32_t *)(v54 - 4);
                                                *(int32_t *)(g11 - 4) = 0x469765;
                                                function_4673b4();
                                                *(int32_t *)(g4 - 20) = g3;
                                                v77 = g4;
                                                *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                v55 = g4;
                                                g8 = v55 - 132;
                                                g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                *(int32_t *)(g11 - 4) = 0x46977f;
                                                function_46a30c();
                                                v78 = g4;
                                                *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                v79 = g4;
                                                *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                // branch -> 0x46978e
                                            }
                                            // 0x46978e
                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                            g8 = g8 & -256 | 247;
                                            *(int32_t *)(g11 - 4) = 0x46979e;
                                            function_462278();
                                            v56 = g4;
                                            v82 = g8 & -256;
                                            g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x4697b5;
                                            function_462278();
                                            // branch -> 0x469915
                                        } else {
                                            // 0x46972e
                                            v28 = (int32_t *)(v53 - 108);
                                            *v28 = -*v28;
                                            // branch -> 0x469915
                                        }
                                        // 0x469915
                                        v100 = g4;
                                        v99 = v100;
                                        if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                            // 0x469922
                                            if (*(char *)(v100 - 111) == 0) {
                                                // 0x46992c
                                                g8 = v100 - 132;
                                                *(int32_t *)(g11 - 4) = 0x46993a;
                                                function_467328();
                                                if (g3 == 0) {
                                                    // 0x46993e
                                                    g6 = -1;
                                                    v95 = g4;
                                                    g8 = v95 - 132;
                                                    g3 = *(int32_t *)(v95 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x46994f;
                                                    function_4673b4();
                                                    *(int32_t *)(g4 - 20) = g3;
                                                    // branch -> 0x46995d
                                                } else {
                                                    // 0x469954
                                                    v96 = g4;
                                                    v105 = *(int32_t *)(v96 - 132);
                                                    g3 = v105;
                                                    *(int32_t *)(v96 - 20) = v105;
                                                    // branch -> 0x46995d
                                                }
                                                // 0x46995d
                                                v101 = g4;
                                                v109 = *(char *)(v101 - 100);
                                                v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                v97 = g4;
                                                g6 = v97 - 612;
                                                g8 = *(int32_t *)(v97 - 20);
                                                g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                *(int32_t *)(g11 - 4) = 0x469981;
                                                function_46b3dc();
                                                v98 = g11;
                                                v90 = v98 - 4;
                                                *(int32_t *)v90 = g4 - 612;
                                                g11 = v90;
                                                g6 = g6 & -256 | 1;
                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                *(int32_t *)(v98 - 8) = 0x469998;
                                                function_46ad90();
                                                *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                v102 = g4;
                                                g8 = *(int32_t *)(v102 - 20);
                                                g3 = *(int32_t *)(v102 - 4);
                                                *(int32_t *)(g11 - 4) = 0x4699ad;
                                                function_469e18();
                                                g8 = g8 & -256 | 15;
                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                *(int32_t *)(g11 - 4) = 0x4699ba;
                                                function_462278();
                                                g8 = g8 & -256 | 132;
                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                *(int32_t *)(g11 - 4) = 0x4699c7;
                                                function_462278();
                                                v103 = g11;
                                                *(int32_t *)(v103 - 4) = 1;
                                                *(int32_t *)(v103 - 8) = 0;
                                                *(int32_t *)(v103 - 12) = 0;
                                                *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                v91 = v103 - 20;
                                                *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                g11 = v91;
                                                v104 = g4;
                                                g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                v88 = (int32_t *)(v104 - 4);
                                                g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                g3 = *(int32_t *)(*v88 + 12);
                                                *(int32_t *)(v103 - 24) = 0x4699f5;
                                                function_461c30();
                                                v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                *v89 = *v89 + 4;
                                                *(char *)(g4 - 111) = 1;
                                                v99 = g4;
                                                // branch -> 0x469a03
                                            } else {
                                                v99 = v100;
                                            }
                                        }
                                        // 0x469a03
                                        if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                            // 0x469a0c
                                            if (*(char *)(v99 - 111) == 0) {
                                                // 0x469a12
                                                g6 = v99 - 676;
                                                g8 = v99 - 132;
                                                g3 = *(int32_t *)(v99 - 4);
                                                *(int32_t *)(g11 - 4) = 0x469a26;
                                                function_462a10();
                                                *(int32_t *)(g11 - 4) = 0x469a3d;
                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                // branch -> 0x469a3d
                                            }
                                        }
                                        // 0x469a3d
                                        *(int32_t *)(g11 - 4) = 0x469a51;
                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                        // branch -> 0x469a51
                                        // 0x469a51
                                        g8 = v8;
                                        g6 = v14;
                                        g11 = &v92;
                                        abort();
                                        // UNREACHABLE
                                    }
                                    // 0x469915
                                    v100 = g4;
                                    v99 = v100;
                                    if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                        // 0x469922
                                        if (*(char *)(v100 - 111) == 0) {
                                            // 0x46992c
                                            g8 = v100 - 132;
                                            *(int32_t *)(g11 - 4) = 0x46993a;
                                            function_467328();
                                            if (g3 == 0) {
                                                // 0x46993e
                                                g6 = -1;
                                                v95 = g4;
                                                g8 = v95 - 132;
                                                g3 = *(int32_t *)(v95 - 4);
                                                *(int32_t *)(g11 - 4) = 0x46994f;
                                                function_4673b4();
                                                *(int32_t *)(g4 - 20) = g3;
                                                // branch -> 0x46995d
                                            } else {
                                                // 0x469954
                                                v96 = g4;
                                                v105 = *(int32_t *)(v96 - 132);
                                                g3 = v105;
                                                *(int32_t *)(v96 - 20) = v105;
                                                // branch -> 0x46995d
                                            }
                                            // 0x46995d
                                            v101 = g4;
                                            v109 = *(char *)(v101 - 100);
                                            v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                            *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                            v97 = g4;
                                            g6 = v97 - 612;
                                            g8 = *(int32_t *)(v97 - 20);
                                            g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x469981;
                                            function_46b3dc();
                                            v98 = g11;
                                            v90 = v98 - 4;
                                            *(int32_t *)v90 = g4 - 612;
                                            g11 = v90;
                                            g6 = g6 & -256 | 1;
                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                            *(int32_t *)(v98 - 8) = 0x469998;
                                            function_46ad90();
                                            *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                            v102 = g4;
                                            g8 = *(int32_t *)(v102 - 20);
                                            g3 = *(int32_t *)(v102 - 4);
                                            *(int32_t *)(g11 - 4) = 0x4699ad;
                                            function_469e18();
                                            g8 = g8 & -256 | 15;
                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                            *(int32_t *)(g11 - 4) = 0x4699ba;
                                            function_462278();
                                            g8 = g8 & -256 | 132;
                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                            *(int32_t *)(g11 - 4) = 0x4699c7;
                                            function_462278();
                                            v103 = g11;
                                            *(int32_t *)(v103 - 4) = 1;
                                            *(int32_t *)(v103 - 8) = 0;
                                            *(int32_t *)(v103 - 12) = 0;
                                            *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                            v91 = v103 - 20;
                                            *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                            g11 = v91;
                                            v104 = g4;
                                            g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                            v88 = (int32_t *)(v104 - 4);
                                            g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                            g3 = *(int32_t *)(*v88 + 12);
                                            *(int32_t *)(v103 - 24) = 0x4699f5;
                                            function_461c30();
                                            v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                            *v89 = *v89 + 4;
                                            *(char *)(g4 - 111) = 1;
                                            v99 = g4;
                                            // branch -> 0x469a03
                                        } else {
                                            v99 = v100;
                                        }
                                    }
                                    // 0x469a03
                                    if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                        // 0x469a0c
                                        if (*(char *)(v99 - 111) == 0) {
                                            // 0x469a12
                                            g6 = v99 - 676;
                                            g8 = v99 - 132;
                                            g3 = *(int32_t *)(v99 - 4);
                                            *(int32_t *)(g11 - 4) = 0x469a26;
                                            function_462a10();
                                            *(int32_t *)(g11 - 4) = 0x469a3d;
                                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                            // branch -> 0x469a3d
                                        }
                                    }
                                    // 0x469a3d
                                    *(int32_t *)(g11 - 4) = 0x469a51;
                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                    // branch -> 0x469a51
                                } else {
                                    // 0x4694e4
                                    *(int32_t *)(g11 - 4) = 0x4694f5;
                                    System__AsClass(v19, (int32_t *)0x4637dc);
                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                    g8 = 0x469b3c;
                                    *(int32_t *)(g11 - 4) = 0x469502;
                                    function_45bf7c();
                                    // branch -> 0x469a51
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // 0x469507
                        v45 = v40;
                        v23 = v18;
                        if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                            // 0x469510
                            v42 = v40;
                            if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                // 0x469519
                                g8 = v40 - 132;
                                g3 = *(int32_t *)(v40 - 4);
                                *(int32_t *)(g11 - 4) = 0x469527;
                                function_469c8c();
                                *(int32_t *)(g4 - 20) = g3;
                                v41 = g11;
                                v30 = v41 - 4;
                                *(int32_t *)v30 = g4 - 132;
                                g11 = v30;
                                v70 = g4;
                                g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                *(int32_t *)(v41 - 8) = 0x469541;
                                function_46ae10();
                                v42 = g4;
                                // branch -> 0x469541
                            }
                            // 0x469541
                            g8 = v42 - 132;
                            g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                            *(int32_t *)(g11 - 4) = 0x469552;
                            function_46b434();
                            v43 = g4;
                            g8 = v43 - 132;
                            g3 = *(int32_t *)(v43 - 4);
                            *(int32_t *)(g11 - 4) = 0x469563;
                            function_469f40();
                            v44 = g4;
                            g8 = v44 - 132;
                            g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                            *(int32_t *)(g11 - 4) = 0x469574;
                            function_46a30c();
                            v71 = g4;
                            if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                // 0x46957d
                                *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                v45 = g4;
                                v23 = (int32_t *)-1;
                                // branch -> 0x469586
                            } else {
                                v45 = v71;
                                v23 = (int32_t *)-1;
                            }
                        }
                        // 0x469586
                        v50 = v45;
                        v22 = v23;
                        if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                            // 0x46958f
                            v47 = v45;
                            if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                // 0x469598
                                g8 = v45 - 132;
                                g3 = *(int32_t *)(v45 - 4);
                                *(int32_t *)(g11 - 4) = 0x4695a6;
                                function_469c8c();
                                *(int32_t *)(g4 - 20) = g3;
                                v46 = g11;
                                v31 = v46 - 4;
                                *(int32_t *)v31 = g4 - 132;
                                g11 = v31;
                                v72 = g4;
                                g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                *(int32_t *)(v46 - 8) = 0x4695c0;
                                function_46ae10();
                                v47 = g4;
                                // branch -> 0x4695c0
                            }
                            // 0x4695c0
                            g8 = v47 - 132;
                            g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                            *(int32_t *)(g11 - 4) = 0x4695d1;
                            function_46b4ac();
                            v48 = g4;
                            g8 = v48 - 132;
                            g3 = *(int32_t *)(v48 - 4);
                            *(int32_t *)(g11 - 4) = 0x4695e2;
                            function_469f40();
                            v49 = g4;
                            g8 = v49 - 132;
                            g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                            *(int32_t *)(g11 - 4) = 0x4695f3;
                            function_46a30c();
                            v73 = g4;
                            if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                // 0x4695fc
                                *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                v50 = g4;
                                v22 = (int32_t *)-1;
                                // branch -> 0x469605
                            } else {
                                v50 = v73;
                                v22 = (int32_t *)-1;
                            }
                        }
                        // 0x469605
                        v53 = v50;
                        v21 = v22;
                        if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                            // 0x469612
                            if (*(char *)(v50 - 111) == 0) {
                                // 0x469618
                                if (*(char *)(v50 - 112) == 0) {
                                    // 0x469641
                                    if (*(int32_t *)(v50 - 96) == 0) {
                                        // 0x46966a
                                        if (*(char *)(v50 - 100) == 1) {
                                            // 0x469693
                                            g8 = v50 - 196;
                                            g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x4696a4;
                                            function_46a30c();
                                            v51 = g4;
                                            g8 = v51 - 132;
                                            g3 = *(int32_t *)(v51 - 4);
                                            *(int32_t *)(g11 - 4) = 0x4696b5;
                                            function_4673b4();
                                            *(int32_t *)(g4 - 20) = g3;
                                            g8 = g8 & -256 | 247;
                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                            *(int32_t *)(g11 - 4) = 0x4696c5;
                                            function_462278();
                                            v74 = g4;
                                            v83 = g8 & -256;
                                            g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                            g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                            *(int32_t *)(g11 - 4) = 0x4696d6;
                                            function_462278();
                                            g8 = g8 & -256 | 131;
                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                            *(int32_t *)(g11 - 4) = 0x4696e3;
                                            function_462278();
                                            v75 = g4;
                                            v84 = g8 & -256;
                                            g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                            g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                            *(int32_t *)(g11 - 4) = 0x4696f4;
                                            function_462278();
                                            g8 = g8 & -256 | 1;
                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                            *(int32_t *)(g11 - 4) = 0x469701;
                                            function_462278();
                                            v52 = g4;
                                            g8 = v52 - 132;
                                            g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x469712;
                                            function_46a30c();
                                            v76 = g4;
                                            *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                            v53 = g4;
                                            v21 = (int32_t *)-1;
                                            // branch -> 0x46971b
                                            // 0x46971b
                                            if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                // 0x469728
                                                if (*(char *)(v53 - 112) == 0) {
                                                    // 0x469736
                                                    v29 = (char *)(v53 - 100);
                                                    if (*v29 != 8) {
                                                        // 0x46973c
                                                        if (*v29 != 0) {
                                                            // 0x4697ba
                                                            if (*v29 == 3) {
                                                                // 0x4697c4
                                                                v80 = v53;
                                                                if (*(char *)(v53 - 99) == 0) {
                                                                    // 0x4697ce
                                                                    g8 = v53 - 132;
                                                                    *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                    function_46a168();
                                                                    if (g3 == 0) {
                                                                        // 0x4697e0
                                                                        v57 = g4;
                                                                        g8 = v57 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                        *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                        function_46a30c();
                                                                        *(int32_t *)(g4 - 260) = 5;
                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x469803;
                                                                        function_469fd8();
                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                        v58 = g11;
                                                                        v32 = v58 - 4;
                                                                        *(int32_t *)v32 = g4 - 260;
                                                                        g11 = v32;
                                                                        g6 = 0;
                                                                        v59 = g4;
                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                        g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                        *(int32_t *)(v58 - 8) = 0x469823;
                                                                        function_46ae10();
                                                                        g6 = -1;
                                                                        v60 = g4;
                                                                        g8 = v60 - 132;
                                                                        g3 = *(int32_t *)(v60 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x469834;
                                                                        function_469f40();
                                                                        *(int32_t *)(g11 - 4) = 0x46984b;
                                                                        System__CopyRecord(0x46a22c);
                                                                        // branch -> 0x46984b
                                                                    }
                                                                    // 0x46984b
                                                                    v61 = g4;
                                                                    g8 = v61 - 132;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                    *(int32_t *)(g11 - 4) = 0x46985c;
                                                                    function_46b524();
                                                                    v80 = g4;
                                                                    // branch -> 0x46985c
                                                                }
                                                                // 0x46985c
                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                g8 = g8 & -256 | 217;
                                                                *(int32_t *)(g11 - 4) = 0x46986c;
                                                                function_462278();
                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                g8 = g8 & -256 | 224;
                                                                *(int32_t *)(g11 - 4) = 0x46987c;
                                                                function_462278();
                                                                v81 = g4;
                                                                if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                    // 0x469884
                                                                    g8 = v81 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                    *(int32_t *)(g11 - 4) = 0x469895;
                                                                    function_46a30c();
                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                    function_469fd8();
                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                    v62 = g4;
                                                                    g8 = v62 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                    *(int32_t *)(g11 - 4) = 0x4698be;
                                                                    function_46b614();
                                                                    g6 = -1;
                                                                    v63 = g4;
                                                                    g8 = v63 - 132;
                                                                    g3 = *(int32_t *)(v63 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                    function_469f40();
                                                                    *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                    System__CopyRecord(0x46a22c);
                                                                    // branch -> 0x4698ec
                                                                } else {
                                                                    // 0x4698e8
                                                                    *(char *)(v81 - 99) = 1;
                                                                    // branch -> 0x4698ec
                                                                }
                                                                // 0x4698ec
                                                                *(char *)(g4 - 100) = 3;
                                                                // branch -> 0x469915
                                                                // 0x469915
                                                                v100 = g4;
                                                                v99 = v100;
                                                                if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                                                    // 0x469922
                                                                    if (*(char *)(v100 - 111) == 0) {
                                                                        // 0x46992c
                                                                        g8 = v100 - 132;
                                                                        *(int32_t *)(g11 - 4) = 0x46993a;
                                                                        function_467328();
                                                                        if (g3 == 0) {
                                                                            // 0x46993e
                                                                            g6 = -1;
                                                                            v95 = g4;
                                                                            g8 = v95 - 132;
                                                                            g3 = *(int32_t *)(v95 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x46994f;
                                                                            function_4673b4();
                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                            // branch -> 0x46995d
                                                                        } else {
                                                                            // 0x469954
                                                                            v96 = g4;
                                                                            v105 = *(int32_t *)(v96 - 132);
                                                                            g3 = v105;
                                                                            *(int32_t *)(v96 - 20) = v105;
                                                                            // branch -> 0x46995d
                                                                        }
                                                                        // 0x46995d
                                                                        v101 = g4;
                                                                        v109 = *(char *)(v101 - 100);
                                                                        v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                                        *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                                        v97 = g4;
                                                                        g6 = v97 - 612;
                                                                        g8 = *(int32_t *)(v97 - 20);
                                                                        g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                                        *(int32_t *)(g11 - 4) = 0x469981;
                                                                        function_46b3dc();
                                                                        v98 = g11;
                                                                        v90 = v98 - 4;
                                                                        *(int32_t *)v90 = g4 - 612;
                                                                        g11 = v90;
                                                                        g6 = g6 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                        *(int32_t *)(v98 - 8) = 0x469998;
                                                                        function_46ad90();
                                                                        *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                                        v102 = g4;
                                                                        g8 = *(int32_t *)(v102 - 20);
                                                                        g3 = *(int32_t *)(v102 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x4699ad;
                                                                        function_469e18();
                                                                        g8 = g8 & -256 | 15;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                        *(int32_t *)(g11 - 4) = 0x4699ba;
                                                                        function_462278();
                                                                        g8 = g8 & -256 | 132;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                        *(int32_t *)(g11 - 4) = 0x4699c7;
                                                                        function_462278();
                                                                        v103 = g11;
                                                                        *(int32_t *)(v103 - 4) = 1;
                                                                        *(int32_t *)(v103 - 8) = 0;
                                                                        *(int32_t *)(v103 - 12) = 0;
                                                                        *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                                        v91 = v103 - 20;
                                                                        *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                                        g11 = v91;
                                                                        v104 = g4;
                                                                        g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                                        v88 = (int32_t *)(v104 - 4);
                                                                        g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                                        g3 = *(int32_t *)(*v88 + 12);
                                                                        *(int32_t *)(v103 - 24) = 0x4699f5;
                                                                        function_461c30();
                                                                        v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                                        *v89 = *v89 + 4;
                                                                        *(char *)(g4 - 111) = 1;
                                                                        v99 = g4;
                                                                        // branch -> 0x469a03
                                                                    } else {
                                                                        v99 = v100;
                                                                    }
                                                                }
                                                                // 0x469a03
                                                                if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                                                    // 0x469a0c
                                                                    if (*(char *)(v99 - 111) == 0) {
                                                                        // 0x469a12
                                                                        g6 = v99 - 676;
                                                                        g8 = v99 - 132;
                                                                        g3 = *(int32_t *)(v99 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x469a26;
                                                                        function_462a10();
                                                                        *(int32_t *)(g11 - 4) = 0x469a3d;
                                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                        // branch -> 0x469a3d
                                                                    }
                                                                }
                                                                // 0x469a3d
                                                                *(int32_t *)(g11 - 4) = 0x469a51;
                                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                // branch -> 0x469a51
                                                            } else {
                                                                // 0x4698f2
                                                                *(int32_t *)(g11 - 4) = 0x469903;
                                                                System__AsClass(v21, (int32_t *)0x4637dc);
                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                                g8 = 0x469c54;
                                                                *(int32_t *)(g11 - 4) = 0x469910;
                                                                function_45bf7c();
                                                                // branch -> 0x469a51
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // 0x469742
                                                    g8 = v53 - 132;
                                                    *(int32_t *)(g11 - 4) = 0x469750;
                                                    function_46a168();
                                                    if (g3 != 0) {
                                                        // 0x469754
                                                        v54 = g4;
                                                        g8 = v54 - 132;
                                                        g3 = *(int32_t *)(v54 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x469765;
                                                        function_4673b4();
                                                        *(int32_t *)(g4 - 20) = g3;
                                                        v77 = g4;
                                                        *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                        v55 = g4;
                                                        g8 = v55 - 132;
                                                        g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                        *(int32_t *)(g11 - 4) = 0x46977f;
                                                        function_46a30c();
                                                        v78 = g4;
                                                        *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                        v79 = g4;
                                                        *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                        // branch -> 0x46978e
                                                    }
                                                    // 0x46978e
                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                    g8 = g8 & -256 | 247;
                                                    *(int32_t *)(g11 - 4) = 0x46979e;
                                                    function_462278();
                                                    v56 = g4;
                                                    v82 = g8 & -256;
                                                    g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                    *(int32_t *)(g11 - 4) = 0x4697b5;
                                                    function_462278();
                                                    // branch -> 0x469915
                                                } else {
                                                    // 0x46972e
                                                    v28 = (int32_t *)(v53 - 108);
                                                    *v28 = -*v28;
                                                    // branch -> 0x469915
                                                }
                                                // 0x469915
                                                v100 = g4;
                                                v99 = v100;
                                                if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                                    // 0x469922
                                                    if (*(char *)(v100 - 111) == 0) {
                                                        // 0x46992c
                                                        g8 = v100 - 132;
                                                        *(int32_t *)(g11 - 4) = 0x46993a;
                                                        function_467328();
                                                        if (g3 == 0) {
                                                            // 0x46993e
                                                            g6 = -1;
                                                            v95 = g4;
                                                            g8 = v95 - 132;
                                                            g3 = *(int32_t *)(v95 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x46994f;
                                                            function_4673b4();
                                                            *(int32_t *)(g4 - 20) = g3;
                                                            // branch -> 0x46995d
                                                        } else {
                                                            // 0x469954
                                                            v96 = g4;
                                                            v105 = *(int32_t *)(v96 - 132);
                                                            g3 = v105;
                                                            *(int32_t *)(v96 - 20) = v105;
                                                            // branch -> 0x46995d
                                                        }
                                                        // 0x46995d
                                                        v101 = g4;
                                                        v109 = *(char *)(v101 - 100);
                                                        v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                        *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                        v97 = g4;
                                                        g6 = v97 - 612;
                                                        g8 = *(int32_t *)(v97 - 20);
                                                        g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                        *(int32_t *)(g11 - 4) = 0x469981;
                                                        function_46b3dc();
                                                        v98 = g11;
                                                        v90 = v98 - 4;
                                                        *(int32_t *)v90 = g4 - 612;
                                                        g11 = v90;
                                                        g6 = g6 & -256 | 1;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                        *(int32_t *)(v98 - 8) = 0x469998;
                                                        function_46ad90();
                                                        *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                        v102 = g4;
                                                        g8 = *(int32_t *)(v102 - 20);
                                                        g3 = *(int32_t *)(v102 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x4699ad;
                                                        function_469e18();
                                                        g8 = g8 & -256 | 15;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x4699ba;
                                                        function_462278();
                                                        g8 = g8 & -256 | 132;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x4699c7;
                                                        function_462278();
                                                        v103 = g11;
                                                        *(int32_t *)(v103 - 4) = 1;
                                                        *(int32_t *)(v103 - 8) = 0;
                                                        *(int32_t *)(v103 - 12) = 0;
                                                        *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                        v91 = v103 - 20;
                                                        *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                        g11 = v91;
                                                        v104 = g4;
                                                        g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                        v88 = (int32_t *)(v104 - 4);
                                                        g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                        g3 = *(int32_t *)(*v88 + 12);
                                                        *(int32_t *)(v103 - 24) = 0x4699f5;
                                                        function_461c30();
                                                        v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                        *v89 = *v89 + 4;
                                                        *(char *)(g4 - 111) = 1;
                                                        v99 = g4;
                                                        // branch -> 0x469a03
                                                    } else {
                                                        v99 = v100;
                                                    }
                                                }
                                                // 0x469a03
                                                if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                                    // 0x469a0c
                                                    if (*(char *)(v99 - 111) == 0) {
                                                        // 0x469a12
                                                        g6 = v99 - 676;
                                                        g8 = v99 - 132;
                                                        g3 = *(int32_t *)(v99 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x469a26;
                                                        function_462a10();
                                                        *(int32_t *)(g11 - 4) = 0x469a3d;
                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                        // branch -> 0x469a3d
                                                    }
                                                }
                                                // 0x469a3d
                                                *(int32_t *)(g11 - 4) = 0x469a51;
                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                // branch -> 0x469a51
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                            // 0x469915
                                            v100 = g4;
                                            v99 = v100;
                                            if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                                // 0x469922
                                                if (*(char *)(v100 - 111) == 0) {
                                                    // 0x46992c
                                                    g8 = v100 - 132;
                                                    *(int32_t *)(g11 - 4) = 0x46993a;
                                                    function_467328();
                                                    if (g3 == 0) {
                                                        // 0x46993e
                                                        g6 = -1;
                                                        v95 = g4;
                                                        g8 = v95 - 132;
                                                        g3 = *(int32_t *)(v95 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x46994f;
                                                        function_4673b4();
                                                        *(int32_t *)(g4 - 20) = g3;
                                                        // branch -> 0x46995d
                                                    } else {
                                                        // 0x469954
                                                        v96 = g4;
                                                        v105 = *(int32_t *)(v96 - 132);
                                                        g3 = v105;
                                                        *(int32_t *)(v96 - 20) = v105;
                                                        // branch -> 0x46995d
                                                    }
                                                    // 0x46995d
                                                    v101 = g4;
                                                    v109 = *(char *)(v101 - 100);
                                                    v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                    *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                    v97 = g4;
                                                    g6 = v97 - 612;
                                                    g8 = *(int32_t *)(v97 - 20);
                                                    g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                    *(int32_t *)(g11 - 4) = 0x469981;
                                                    function_46b3dc();
                                                    v98 = g11;
                                                    v90 = v98 - 4;
                                                    *(int32_t *)v90 = g4 - 612;
                                                    g11 = v90;
                                                    g6 = g6 & -256 | 1;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                    *(int32_t *)(v98 - 8) = 0x469998;
                                                    function_46ad90();
                                                    *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                    v102 = g4;
                                                    g8 = *(int32_t *)(v102 - 20);
                                                    g3 = *(int32_t *)(v102 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x4699ad;
                                                    function_469e18();
                                                    g8 = g8 & -256 | 15;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x4699ba;
                                                    function_462278();
                                                    g8 = g8 & -256 | 132;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x4699c7;
                                                    function_462278();
                                                    v103 = g11;
                                                    *(int32_t *)(v103 - 4) = 1;
                                                    *(int32_t *)(v103 - 8) = 0;
                                                    *(int32_t *)(v103 - 12) = 0;
                                                    *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                    v91 = v103 - 20;
                                                    *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                    g11 = v91;
                                                    v104 = g4;
                                                    g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                    v88 = (int32_t *)(v104 - 4);
                                                    g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                    g3 = *(int32_t *)(*v88 + 12);
                                                    *(int32_t *)(v103 - 24) = 0x4699f5;
                                                    function_461c30();
                                                    v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                    *v89 = *v89 + 4;
                                                    *(char *)(g4 - 111) = 1;
                                                    v99 = g4;
                                                    // branch -> 0x469a03
                                                } else {
                                                    v99 = v100;
                                                }
                                            }
                                            // 0x469a03
                                            if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                                // 0x469a0c
                                                if (*(char *)(v99 - 111) == 0) {
                                                    // 0x469a12
                                                    g6 = v99 - 676;
                                                    g8 = v99 - 132;
                                                    g3 = *(int32_t *)(v99 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x469a26;
                                                    function_462a10();
                                                    *(int32_t *)(g11 - 4) = 0x469a3d;
                                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                    // branch -> 0x469a3d
                                                }
                                            }
                                            // 0x469a3d
                                            *(int32_t *)(g11 - 4) = 0x469a51;
                                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                            // branch -> 0x469a51
                                        } else {
                                            // 0x469670
                                            *(int32_t *)(g11 - 4) = 0x469681;
                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                            g8 = 0x469c04;
                                            *(int32_t *)(g11 - 4) = 0x46968e;
                                            function_45bf7c();
                                            // branch -> 0x469a51
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    } else {
                                        // 0x469647
                                        *(int32_t *)(g11 - 4) = 0x469658;
                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                        g8 = 0x469bc0;
                                        *(int32_t *)(g11 - 4) = 0x469665;
                                        function_45bf7c();
                                        // branch -> 0x469a51
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                            }
                            // 0x46961e
                            *(int32_t *)(g11 - 4) = 0x46962f;
                            System__AsClass(v22, (int32_t *)0x4637dc);
                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                            g8 = 0x469b88;
                            *(int32_t *)(g11 - 4) = 0x46963c;
                            function_45bf7c();
                            // branch -> 0x469a51
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // 0x46971b
                        if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                            // 0x469728
                            if (*(char *)(v53 - 112) == 0) {
                                // 0x469736
                                v29 = (char *)(v53 - 100);
                                if (*v29 != 8) {
                                    // 0x46973c
                                    if (*v29 != 0) {
                                        // 0x4697ba
                                        if (*v29 == 3) {
                                            // 0x4697c4
                                            v80 = v53;
                                            if (*(char *)(v53 - 99) == 0) {
                                                // 0x4697ce
                                                g8 = v53 - 132;
                                                *(int32_t *)(g11 - 4) = 0x4697dc;
                                                function_46a168();
                                                if (g3 == 0) {
                                                    // 0x4697e0
                                                    v57 = g4;
                                                    g8 = v57 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                    *(int32_t *)(g11 - 4) = 0x4697f1;
                                                    function_46a30c();
                                                    *(int32_t *)(g4 - 260) = 5;
                                                    g3 = *(int32_t *)(g4 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x469803;
                                                    function_469fd8();
                                                    *(int32_t *)(g4 - 244) = g3;
                                                    v58 = g11;
                                                    v32 = v58 - 4;
                                                    *(int32_t *)v32 = g4 - 260;
                                                    g11 = v32;
                                                    g6 = 0;
                                                    v59 = g4;
                                                    g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                    g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                    *(int32_t *)(v58 - 8) = 0x469823;
                                                    function_46ae10();
                                                    g6 = -1;
                                                    v60 = g4;
                                                    g8 = v60 - 132;
                                                    g3 = *(int32_t *)(v60 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x469834;
                                                    function_469f40();
                                                    *(int32_t *)(g11 - 4) = 0x46984b;
                                                    System__CopyRecord(0x46a22c);
                                                    // branch -> 0x46984b
                                                }
                                                // 0x46984b
                                                v61 = g4;
                                                g8 = v61 - 132;
                                                g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                *(int32_t *)(g11 - 4) = 0x46985c;
                                                function_46b524();
                                                v80 = g4;
                                                // branch -> 0x46985c
                                            }
                                            // 0x46985c
                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                            g8 = g8 & -256 | 217;
                                            *(int32_t *)(g11 - 4) = 0x46986c;
                                            function_462278();
                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                            g8 = g8 & -256 | 224;
                                            *(int32_t *)(g11 - 4) = 0x46987c;
                                            function_462278();
                                            v81 = g4;
                                            if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                // 0x469884
                                                g8 = v81 - 260;
                                                g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                *(int32_t *)(g11 - 4) = 0x469895;
                                                function_46a30c();
                                                *(int32_t *)(g4 - 260) = 5;
                                                g3 = *(int32_t *)(g4 - 4);
                                                *(int32_t *)(g11 - 4) = 0x4698a7;
                                                function_469fd8();
                                                *(int32_t *)(g4 - 244) = g3;
                                                v62 = g4;
                                                g8 = v62 - 260;
                                                g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                *(int32_t *)(g11 - 4) = 0x4698be;
                                                function_46b614();
                                                g6 = -1;
                                                v63 = g4;
                                                g8 = v63 - 132;
                                                g3 = *(int32_t *)(v63 - 4);
                                                *(int32_t *)(g11 - 4) = 0x4698cf;
                                                function_469f40();
                                                *(int32_t *)(g11 - 4) = 0x4698e6;
                                                System__CopyRecord(0x46a22c);
                                                // branch -> 0x4698ec
                                            } else {
                                                // 0x4698e8
                                                *(char *)(v81 - 99) = 1;
                                                // branch -> 0x4698ec
                                            }
                                            // 0x4698ec
                                            *(char *)(g4 - 100) = 3;
                                            // branch -> 0x469915
                                            // 0x469915
                                            v100 = g4;
                                            v99 = v100;
                                            if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                                // 0x469922
                                                if (*(char *)(v100 - 111) == 0) {
                                                    // 0x46992c
                                                    g8 = v100 - 132;
                                                    *(int32_t *)(g11 - 4) = 0x46993a;
                                                    function_467328();
                                                    if (g3 == 0) {
                                                        // 0x46993e
                                                        g6 = -1;
                                                        v95 = g4;
                                                        g8 = v95 - 132;
                                                        g3 = *(int32_t *)(v95 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x46994f;
                                                        function_4673b4();
                                                        *(int32_t *)(g4 - 20) = g3;
                                                        // branch -> 0x46995d
                                                    } else {
                                                        // 0x469954
                                                        v96 = g4;
                                                        v105 = *(int32_t *)(v96 - 132);
                                                        g3 = v105;
                                                        *(int32_t *)(v96 - 20) = v105;
                                                        // branch -> 0x46995d
                                                    }
                                                    // 0x46995d
                                                    v101 = g4;
                                                    v109 = *(char *)(v101 - 100);
                                                    v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                    *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                    v97 = g4;
                                                    g6 = v97 - 612;
                                                    g8 = *(int32_t *)(v97 - 20);
                                                    g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                    *(int32_t *)(g11 - 4) = 0x469981;
                                                    function_46b3dc();
                                                    v98 = g11;
                                                    v90 = v98 - 4;
                                                    *(int32_t *)v90 = g4 - 612;
                                                    g11 = v90;
                                                    g6 = g6 & -256 | 1;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                    *(int32_t *)(v98 - 8) = 0x469998;
                                                    function_46ad90();
                                                    *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                    v102 = g4;
                                                    g8 = *(int32_t *)(v102 - 20);
                                                    g3 = *(int32_t *)(v102 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x4699ad;
                                                    function_469e18();
                                                    g8 = g8 & -256 | 15;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x4699ba;
                                                    function_462278();
                                                    g8 = g8 & -256 | 132;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x4699c7;
                                                    function_462278();
                                                    v103 = g11;
                                                    *(int32_t *)(v103 - 4) = 1;
                                                    *(int32_t *)(v103 - 8) = 0;
                                                    *(int32_t *)(v103 - 12) = 0;
                                                    *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                    v91 = v103 - 20;
                                                    *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                    g11 = v91;
                                                    v104 = g4;
                                                    g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                    v88 = (int32_t *)(v104 - 4);
                                                    g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                    g3 = *(int32_t *)(*v88 + 12);
                                                    *(int32_t *)(v103 - 24) = 0x4699f5;
                                                    function_461c30();
                                                    v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                    *v89 = *v89 + 4;
                                                    *(char *)(g4 - 111) = 1;
                                                    v99 = g4;
                                                    // branch -> 0x469a03
                                                } else {
                                                    v99 = v100;
                                                }
                                            }
                                            // 0x469a03
                                            if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                                // 0x469a0c
                                                if (*(char *)(v99 - 111) == 0) {
                                                    // 0x469a12
                                                    g6 = v99 - 676;
                                                    g8 = v99 - 132;
                                                    g3 = *(int32_t *)(v99 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x469a26;
                                                    function_462a10();
                                                    *(int32_t *)(g11 - 4) = 0x469a3d;
                                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                    // branch -> 0x469a3d
                                                }
                                            }
                                            // 0x469a3d
                                            *(int32_t *)(g11 - 4) = 0x469a51;
                                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                            // branch -> 0x469a51
                                        } else {
                                            // 0x4698f2
                                            *(int32_t *)(g11 - 4) = 0x469903;
                                            System__AsClass(v21, (int32_t *)0x4637dc);
                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                            g8 = 0x469c54;
                                            *(int32_t *)(g11 - 4) = 0x469910;
                                            function_45bf7c();
                                            // branch -> 0x469a51
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                }
                                // 0x469742
                                g8 = v53 - 132;
                                *(int32_t *)(g11 - 4) = 0x469750;
                                function_46a168();
                                if (g3 != 0) {
                                    // 0x469754
                                    v54 = g4;
                                    g8 = v54 - 132;
                                    g3 = *(int32_t *)(v54 - 4);
                                    *(int32_t *)(g11 - 4) = 0x469765;
                                    function_4673b4();
                                    *(int32_t *)(g4 - 20) = g3;
                                    v77 = g4;
                                    *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                    v55 = g4;
                                    g8 = v55 - 132;
                                    g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                    *(int32_t *)(g11 - 4) = 0x46977f;
                                    function_46a30c();
                                    v78 = g4;
                                    *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                    v79 = g4;
                                    *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                    // branch -> 0x46978e
                                }
                                // 0x46978e
                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                g8 = g8 & -256 | 247;
                                *(int32_t *)(g11 - 4) = 0x46979e;
                                function_462278();
                                v56 = g4;
                                v82 = g8 & -256;
                                g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                *(int32_t *)(g11 - 4) = 0x4697b5;
                                function_462278();
                                // branch -> 0x469915
                            } else {
                                // 0x46972e
                                v28 = (int32_t *)(v53 - 108);
                                *v28 = -*v28;
                                // branch -> 0x469915
                            }
                            // 0x469915
                            v100 = g4;
                            v99 = v100;
                            if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                // 0x469922
                                if (*(char *)(v100 - 111) == 0) {
                                    // 0x46992c
                                    g8 = v100 - 132;
                                    *(int32_t *)(g11 - 4) = 0x46993a;
                                    function_467328();
                                    if (g3 == 0) {
                                        // 0x46993e
                                        g6 = -1;
                                        v95 = g4;
                                        g8 = v95 - 132;
                                        g3 = *(int32_t *)(v95 - 4);
                                        *(int32_t *)(g11 - 4) = 0x46994f;
                                        function_4673b4();
                                        *(int32_t *)(g4 - 20) = g3;
                                        // branch -> 0x46995d
                                    } else {
                                        // 0x469954
                                        v96 = g4;
                                        v105 = *(int32_t *)(v96 - 132);
                                        g3 = v105;
                                        *(int32_t *)(v96 - 20) = v105;
                                        // branch -> 0x46995d
                                    }
                                    // 0x46995d
                                    v101 = g4;
                                    v109 = *(char *)(v101 - 100);
                                    v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                    *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                    v97 = g4;
                                    g6 = v97 - 612;
                                    g8 = *(int32_t *)(v97 - 20);
                                    g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                    *(int32_t *)(g11 - 4) = 0x469981;
                                    function_46b3dc();
                                    v98 = g11;
                                    v90 = v98 - 4;
                                    *(int32_t *)v90 = g4 - 612;
                                    g11 = v90;
                                    g6 = g6 & -256 | 1;
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                    *(int32_t *)(v98 - 8) = 0x469998;
                                    function_46ad90();
                                    *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                    v102 = g4;
                                    g8 = *(int32_t *)(v102 - 20);
                                    g3 = *(int32_t *)(v102 - 4);
                                    *(int32_t *)(g11 - 4) = 0x4699ad;
                                    function_469e18();
                                    g8 = g8 & -256 | 15;
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                    *(int32_t *)(g11 - 4) = 0x4699ba;
                                    function_462278();
                                    g8 = g8 & -256 | 132;
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                    *(int32_t *)(g11 - 4) = 0x4699c7;
                                    function_462278();
                                    v103 = g11;
                                    *(int32_t *)(v103 - 4) = 1;
                                    *(int32_t *)(v103 - 8) = 0;
                                    *(int32_t *)(v103 - 12) = 0;
                                    *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                    v91 = v103 - 20;
                                    *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                    g11 = v91;
                                    v104 = g4;
                                    g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                    v88 = (int32_t *)(v104 - 4);
                                    g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                    g3 = *(int32_t *)(*v88 + 12);
                                    *(int32_t *)(v103 - 24) = 0x4699f5;
                                    function_461c30();
                                    v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                    *v89 = *v89 + 4;
                                    *(char *)(g4 - 111) = 1;
                                    v99 = g4;
                                    // branch -> 0x469a03
                                } else {
                                    v99 = v100;
                                }
                            }
                            // 0x469a03
                            if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                // 0x469a0c
                                if (*(char *)(v99 - 111) == 0) {
                                    // 0x469a12
                                    g6 = v99 - 676;
                                    g8 = v99 - 132;
                                    g3 = *(int32_t *)(v99 - 4);
                                    *(int32_t *)(g11 - 4) = 0x469a26;
                                    function_462a10();
                                    *(int32_t *)(g11 - 4) = 0x469a3d;
                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                    // branch -> 0x469a3d
                                }
                            }
                            // 0x469a3d
                            *(int32_t *)(g11 - 4) = 0x469a51;
                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                            // branch -> 0x469a51
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // 0x469915
                        v100 = g4;
                        v99 = v100;
                        if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                            // 0x469922
                            if (*(char *)(v100 - 111) == 0) {
                                // 0x46992c
                                g8 = v100 - 132;
                                *(int32_t *)(g11 - 4) = 0x46993a;
                                function_467328();
                                if (g3 == 0) {
                                    // 0x46993e
                                    g6 = -1;
                                    v95 = g4;
                                    g8 = v95 - 132;
                                    g3 = *(int32_t *)(v95 - 4);
                                    *(int32_t *)(g11 - 4) = 0x46994f;
                                    function_4673b4();
                                    *(int32_t *)(g4 - 20) = g3;
                                    // branch -> 0x46995d
                                } else {
                                    // 0x469954
                                    v96 = g4;
                                    v105 = *(int32_t *)(v96 - 132);
                                    g3 = v105;
                                    *(int32_t *)(v96 - 20) = v105;
                                    // branch -> 0x46995d
                                }
                                // 0x46995d
                                v101 = g4;
                                v109 = *(char *)(v101 - 100);
                                v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                v97 = g4;
                                g6 = v97 - 612;
                                g8 = *(int32_t *)(v97 - 20);
                                g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                *(int32_t *)(g11 - 4) = 0x469981;
                                function_46b3dc();
                                v98 = g11;
                                v90 = v98 - 4;
                                *(int32_t *)v90 = g4 - 612;
                                g11 = v90;
                                g6 = g6 & -256 | 1;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                *(int32_t *)(v98 - 8) = 0x469998;
                                function_46ad90();
                                *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                v102 = g4;
                                g8 = *(int32_t *)(v102 - 20);
                                g3 = *(int32_t *)(v102 - 4);
                                *(int32_t *)(g11 - 4) = 0x4699ad;
                                function_469e18();
                                g8 = g8 & -256 | 15;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                *(int32_t *)(g11 - 4) = 0x4699ba;
                                function_462278();
                                g8 = g8 & -256 | 132;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                *(int32_t *)(g11 - 4) = 0x4699c7;
                                function_462278();
                                v103 = g11;
                                *(int32_t *)(v103 - 4) = 1;
                                *(int32_t *)(v103 - 8) = 0;
                                *(int32_t *)(v103 - 12) = 0;
                                *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                v91 = v103 - 20;
                                *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                g11 = v91;
                                v104 = g4;
                                g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                v88 = (int32_t *)(v104 - 4);
                                g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                g3 = *(int32_t *)(*v88 + 12);
                                *(int32_t *)(v103 - 24) = 0x4699f5;
                                function_461c30();
                                v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                *v89 = *v89 + 4;
                                *(char *)(g4 - 111) = 1;
                                v99 = g4;
                                // branch -> 0x469a03
                            } else {
                                v99 = v100;
                            }
                        }
                        // 0x469a03
                        if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                            // 0x469a0c
                            if (*(char *)(v99 - 111) == 0) {
                                // 0x469a12
                                g6 = v99 - 676;
                                g8 = v99 - 132;
                                g3 = *(int32_t *)(v99 - 4);
                                *(int32_t *)(g11 - 4) = 0x469a26;
                                function_462a10();
                                *(int32_t *)(g11 - 4) = 0x469a3d;
                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                // branch -> 0x469a3d
                            }
                        }
                        // 0x469a3d
                        *(int32_t *)(g11 - 4) = 0x469a51;
                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                        // branch -> 0x469a51
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                }
                // 0x468276
                System__AsClass(v2, (int32_t *)0x4637dc);
                g3 = *(int32_t *)(*(int32_t *)(v8 + 16) + 12);
                g8 = 0x469aa4;
                function_45bf7c();
                // branch -> 0x469a51
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
        }
        // 0x4682f1
        v86 = &v94;
        g8 = v86;
        g3 = *v15;
        function_46a2a0();
        g6 = v86;
        g8 = *(int32_t *)*(int32_t *)((int32_t)v7 + 72);
        g3 = v8;
        function_46816c();
        v87 = (int32_t *)((int32_t)v7 + 44);
        v106 = *v87;
        v107 = *(char *)(v106 + 9);
        if (((int32_t)v107 || v106 & -256) != (int32_t)v93) {
            // 0x468344
            g6 = v10;
            g8 = g8 & -256 | (int32_t)*(char *)(*v87 + 9);
            g3 = v8;
            function_463360();
            // branch -> 0x4693c1
        }
        // 0x4693c1
        v7 = NULL;
        g11 = (int32_t)&v7;
        v33 = g4;
        g8 = v33 - 132;
        v24 = (int32_t *)*(int32_t *)(v33 - 8);
        g3 = *(int32_t *)(v33 - 4);
        function_4663c4();
        v64 = g4;
        v25 = (int32_t *)(v64 - 8);
        v37 = v64;
        v20 = v24;
        if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
            // 0x4693dd
            if (*(int32_t *)(*v25 + 80) == -1) {
                // 0x4693e6
                g8 = v64 - 132;
                g3 = *(int32_t *)(v64 - 4);
                function_469c8c();
                *(int32_t *)(g4 - 20) = g3;
                v34 = g4;
                g11 = v4;
                g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                g6 = 1;
                g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                function_46ae10();
                v35 = g4;
                g8 = v35 - 132;
                g3 = *(int32_t *)(v35 - 4);
                function_469f40();
                v36 = g4;
                g8 = v36 - 132;
                g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                function_46a30c();
                v65 = g4;
                *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                *(char *)(g4 - 128) = 1;
                v37 = g4;
                v20 = (int32_t *)-1;
                // branch -> 0x46943d
            } else {
                v37 = v64;
                v20 = v24;
            }
        }
        // 0x46943d
        v40 = v37;
        v18 = v20;
        if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
            // 0x46944a
            g8 = v37 - 132;
            *(int32_t *)(g11 - 4) = 0x469458;
            function_46a168();
            v66 = g4;
            if (g3 == 0) {
                // 0x46945c
                *(int32_t *)(g11 - 4) = 0x46946d;
                System__AsClass(v20, (int32_t *)0x4637dc);
                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                g8 = 0x469b04;
                *(int32_t *)(g11 - 4) = 0x46947a;
                function_45bf7c();
                // branch -> 0x469a51
            } else {
                // 0x46947f
                v26 = (char *)(v66 - 128);
                if (*v26 == 0) {
                    // 0x469485
                    g8 = v66 - 132;
                    g3 = *(int32_t *)(v66 - 4);
                    *(int32_t *)(g11 - 4) = 0x469493;
                    function_469c8c();
                    *(int32_t *)(g4 - 20) = g3;
                    v67 = g4;
                    g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                    g6 = v67 - 132;
                    g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                    *(int32_t *)(g11 - 4) = 0x4694aa;
                    function_46af4c();
                    v38 = g4;
                    g8 = v38 - 132;
                    g3 = *(int32_t *)(v38 - 4);
                    *(int32_t *)(g11 - 4) = 0x4694bb;
                    function_469f40();
                    v39 = g4;
                    g8 = v39 - 132;
                    g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                    *(int32_t *)(g11 - 4) = 0x4694cc;
                    function_46a30c();
                    v68 = g4;
                    *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                    v19 = (int32_t *)-1;
                    // branch -> 0x4694db
                } else {
                    // 0x4694d7
                    *v26 = 0;
                    v19 = v20;
                    // branch -> 0x4694db
                }
                // 0x4694db
                v27 = (int32_t *)(g4 - 96);
                *v27 = *v27 + 1;
                v69 = g4;
                if (*(int32_t *)(v69 - 96) < 2) {
                    v40 = v69;
                    v18 = v19;
                    // 0x469507
                    v45 = v40;
                    v23 = v18;
                    if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                        // 0x469510
                        v42 = v40;
                        if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                            // 0x469519
                            g8 = v40 - 132;
                            g3 = *(int32_t *)(v40 - 4);
                            *(int32_t *)(g11 - 4) = 0x469527;
                            function_469c8c();
                            *(int32_t *)(g4 - 20) = g3;
                            v41 = g11;
                            v30 = v41 - 4;
                            *(int32_t *)v30 = g4 - 132;
                            g11 = v30;
                            v70 = g4;
                            g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                            g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                            *(int32_t *)(v41 - 8) = 0x469541;
                            function_46ae10();
                            v42 = g4;
                            // branch -> 0x469541
                        }
                        // 0x469541
                        g8 = v42 - 132;
                        g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                        *(int32_t *)(g11 - 4) = 0x469552;
                        function_46b434();
                        v43 = g4;
                        g8 = v43 - 132;
                        g3 = *(int32_t *)(v43 - 4);
                        *(int32_t *)(g11 - 4) = 0x469563;
                        function_469f40();
                        v44 = g4;
                        g8 = v44 - 132;
                        g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                        *(int32_t *)(g11 - 4) = 0x469574;
                        function_46a30c();
                        v71 = g4;
                        if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                            // 0x46957d
                            *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                            v45 = g4;
                            v23 = (int32_t *)-1;
                            // branch -> 0x469586
                        } else {
                            v45 = v71;
                            v23 = (int32_t *)-1;
                        }
                    }
                    // 0x469586
                    v50 = v45;
                    v22 = v23;
                    if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                        // 0x46958f
                        v47 = v45;
                        if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                            // 0x469598
                            g8 = v45 - 132;
                            g3 = *(int32_t *)(v45 - 4);
                            *(int32_t *)(g11 - 4) = 0x4695a6;
                            function_469c8c();
                            *(int32_t *)(g4 - 20) = g3;
                            v46 = g11;
                            v31 = v46 - 4;
                            *(int32_t *)v31 = g4 - 132;
                            g11 = v31;
                            v72 = g4;
                            g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                            g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                            *(int32_t *)(v46 - 8) = 0x4695c0;
                            function_46ae10();
                            v47 = g4;
                            // branch -> 0x4695c0
                        }
                        // 0x4695c0
                        g8 = v47 - 132;
                        g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                        *(int32_t *)(g11 - 4) = 0x4695d1;
                        function_46b4ac();
                        v48 = g4;
                        g8 = v48 - 132;
                        g3 = *(int32_t *)(v48 - 4);
                        *(int32_t *)(g11 - 4) = 0x4695e2;
                        function_469f40();
                        v49 = g4;
                        g8 = v49 - 132;
                        g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                        *(int32_t *)(g11 - 4) = 0x4695f3;
                        function_46a30c();
                        v73 = g4;
                        if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                            // 0x4695fc
                            *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                            v50 = g4;
                            v22 = (int32_t *)-1;
                            // branch -> 0x469605
                        } else {
                            v50 = v73;
                            v22 = (int32_t *)-1;
                        }
                    }
                    // 0x469605
                    v53 = v50;
                    v21 = v22;
                    if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                        // 0x469612
                        if (*(char *)(v50 - 111) == 0) {
                            // 0x469618
                            if (*(char *)(v50 - 112) == 0) {
                                // 0x469641
                                if (*(int32_t *)(v50 - 96) == 0) {
                                    // 0x46966a
                                    if (*(char *)(v50 - 100) == 1) {
                                        // 0x469693
                                        g8 = v50 - 196;
                                        g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                        *(int32_t *)(g11 - 4) = 0x4696a4;
                                        function_46a30c();
                                        v51 = g4;
                                        g8 = v51 - 132;
                                        g3 = *(int32_t *)(v51 - 4);
                                        *(int32_t *)(g11 - 4) = 0x4696b5;
                                        function_4673b4();
                                        *(int32_t *)(g4 - 20) = g3;
                                        g8 = g8 & -256 | 247;
                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                        *(int32_t *)(g11 - 4) = 0x4696c5;
                                        function_462278();
                                        v74 = g4;
                                        v83 = g8 & -256;
                                        g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                        g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                        *(int32_t *)(g11 - 4) = 0x4696d6;
                                        function_462278();
                                        g8 = g8 & -256 | 131;
                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                        *(int32_t *)(g11 - 4) = 0x4696e3;
                                        function_462278();
                                        v75 = g4;
                                        v84 = g8 & -256;
                                        g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                        g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                        *(int32_t *)(g11 - 4) = 0x4696f4;
                                        function_462278();
                                        g8 = g8 & -256 | 1;
                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                        *(int32_t *)(g11 - 4) = 0x469701;
                                        function_462278();
                                        v52 = g4;
                                        g8 = v52 - 132;
                                        g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                        *(int32_t *)(g11 - 4) = 0x469712;
                                        function_46a30c();
                                        v76 = g4;
                                        *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                        v53 = g4;
                                        v21 = (int32_t *)-1;
                                        // branch -> 0x46971b
                                        // 0x46971b
                                        if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                            // 0x469728
                                            if (*(char *)(v53 - 112) == 0) {
                                                // 0x469736
                                                v29 = (char *)(v53 - 100);
                                                if (*v29 != 8) {
                                                    // 0x46973c
                                                    if (*v29 != 0) {
                                                        // 0x4697ba
                                                        if (*v29 == 3) {
                                                            // 0x4697c4
                                                            v80 = v53;
                                                            if (*(char *)(v53 - 99) == 0) {
                                                                // 0x4697ce
                                                                g8 = v53 - 132;
                                                                *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                function_46a168();
                                                                if (g3 == 0) {
                                                                    // 0x4697e0
                                                                    v57 = g4;
                                                                    g8 = v57 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                    *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                    function_46a30c();
                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x469803;
                                                                    function_469fd8();
                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                    v58 = g11;
                                                                    v32 = v58 - 4;
                                                                    *(int32_t *)v32 = g4 - 260;
                                                                    g11 = v32;
                                                                    g6 = 0;
                                                                    v59 = g4;
                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                    g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                    *(int32_t *)(v58 - 8) = 0x469823;
                                                                    function_46ae10();
                                                                    g6 = -1;
                                                                    v60 = g4;
                                                                    g8 = v60 - 132;
                                                                    g3 = *(int32_t *)(v60 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x469834;
                                                                    function_469f40();
                                                                    *(int32_t *)(g11 - 4) = 0x46984b;
                                                                    System__CopyRecord(0x46a22c);
                                                                    // branch -> 0x46984b
                                                                }
                                                                // 0x46984b
                                                                v61 = g4;
                                                                g8 = v61 - 132;
                                                                g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                *(int32_t *)(g11 - 4) = 0x46985c;
                                                                function_46b524();
                                                                v80 = g4;
                                                                // branch -> 0x46985c
                                                            }
                                                            // 0x46985c
                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                            g8 = g8 & -256 | 217;
                                                            *(int32_t *)(g11 - 4) = 0x46986c;
                                                            function_462278();
                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                            g8 = g8 & -256 | 224;
                                                            *(int32_t *)(g11 - 4) = 0x46987c;
                                                            function_462278();
                                                            v81 = g4;
                                                            if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                // 0x469884
                                                                g8 = v81 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                *(int32_t *)(g11 - 4) = 0x469895;
                                                                function_46a30c();
                                                                *(int32_t *)(g4 - 260) = 5;
                                                                g3 = *(int32_t *)(g4 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                function_469fd8();
                                                                *(int32_t *)(g4 - 244) = g3;
                                                                v62 = g4;
                                                                g8 = v62 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                *(int32_t *)(g11 - 4) = 0x4698be;
                                                                function_46b614();
                                                                g6 = -1;
                                                                v63 = g4;
                                                                g8 = v63 - 132;
                                                                g3 = *(int32_t *)(v63 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                function_469f40();
                                                                *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                System__CopyRecord(0x46a22c);
                                                                // branch -> 0x4698ec
                                                            } else {
                                                                // 0x4698e8
                                                                *(char *)(v81 - 99) = 1;
                                                                // branch -> 0x4698ec
                                                            }
                                                            // 0x4698ec
                                                            *(char *)(g4 - 100) = 3;
                                                            // branch -> 0x469915
                                                            // 0x469915
                                                            v100 = g4;
                                                            v99 = v100;
                                                            if (*(char *)(*(int32_t *)(v100 - 12) + 1) != 0) {
                                                                // 0x469922
                                                                if (*(char *)(v100 - 111) == 0) {
                                                                    // 0x46992c
                                                                    g8 = v100 - 132;
                                                                    *(int32_t *)(g11 - 4) = 0x46993a;
                                                                    function_467328();
                                                                    if (g3 == 0) {
                                                                        // 0x46993e
                                                                        g6 = -1;
                                                                        v95 = g4;
                                                                        g8 = v95 - 132;
                                                                        g3 = *(int32_t *)(v95 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x46994f;
                                                                        function_4673b4();
                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                        // branch -> 0x46995d
                                                                    } else {
                                                                        // 0x469954
                                                                        v96 = g4;
                                                                        v105 = *(int32_t *)(v96 - 132);
                                                                        g3 = v105;
                                                                        *(int32_t *)(v96 - 20) = v105;
                                                                        // branch -> 0x46995d
                                                                    }
                                                                    // 0x46995d
                                                                    v101 = g4;
                                                                    v109 = *(char *)(v101 - 100);
                                                                    v108 = *(int32_t *)(*(int32_t *)(v101 - 4) + 4);
                                                                    *(char *)(v108 + 12) = (char)((0x1000000 * (int32_t)v109 - 0x1000000 | 0xffffff) < 0x1ffffff);
                                                                    v97 = g4;
                                                                    g6 = v97 - 612;
                                                                    g8 = *(int32_t *)(v97 - 20);
                                                                    g3 = *(int32_t *)(*(int32_t *)(v97 - 4) + 4);
                                                                    *(int32_t *)(g11 - 4) = 0x469981;
                                                                    function_46b3dc();
                                                                    v98 = g11;
                                                                    v90 = v98 - 4;
                                                                    *(int32_t *)v90 = g4 - 612;
                                                                    g11 = v90;
                                                                    g6 = g6 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                    *(int32_t *)(v98 - 8) = 0x469998;
                                                                    function_46ad90();
                                                                    *(char *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 12) = 0;
                                                                    v102 = g4;
                                                                    g8 = *(int32_t *)(v102 - 20);
                                                                    g3 = *(int32_t *)(v102 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x4699ad;
                                                                    function_469e18();
                                                                    g8 = g8 & -256 | 15;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                    *(int32_t *)(g11 - 4) = 0x4699ba;
                                                                    function_462278();
                                                                    g8 = g8 & -256 | 132;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                    *(int32_t *)(g11 - 4) = 0x4699c7;
                                                                    function_462278();
                                                                    v103 = g11;
                                                                    *(int32_t *)(v103 - 4) = 1;
                                                                    *(int32_t *)(v103 - 8) = 0;
                                                                    *(int32_t *)(v103 - 12) = 0;
                                                                    *(int32_t *)(v103 - 16) = *(int32_t *)(*(int32_t *)(g4 - 12) + 8);
                                                                    v91 = v103 - 20;
                                                                    *(int32_t *)v91 = *(int32_t *)(*(int32_t *)(g4 - 12) + 12);
                                                                    g11 = v91;
                                                                    v104 = g4;
                                                                    g6 = *(int32_t *)(*(int32_t *)(v104 - 12) + 4);
                                                                    v88 = (int32_t *)(v104 - 4);
                                                                    g8 = *(int32_t *)(*(int32_t *)(*v88 + 8) + 8);
                                                                    g3 = *(int32_t *)(*v88 + 12);
                                                                    *(int32_t *)(v103 - 24) = 0x4699f5;
                                                                    function_461c30();
                                                                    v89 = (int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 8) + 8);
                                                                    *v89 = *v89 + 4;
                                                                    *(char *)(g4 - 111) = 1;
                                                                    v99 = g4;
                                                                    // branch -> 0x469a03
                                                                } else {
                                                                    v99 = v100;
                                                                }
                                                            }
                                                            // 0x469a03
                                                            if (*(char *)(*(int32_t *)(v99 - 12) + 29) != 0) {
                                                                // 0x469a0c
                                                                if (*(char *)(v99 - 111) == 0) {
                                                                    // 0x469a12
                                                                    g6 = v99 - 676;
                                                                    g8 = v99 - 132;
                                                                    g3 = *(int32_t *)(v99 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x469a26;
                                                                    function_462a10();
                                                                    *(int32_t *)(g11 - 4) = 0x469a3d;
                                                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                    // branch -> 0x469a3d
                                                                }
                                                            }
                                                            // 0x469a3d
                                                            *(int32_t *)(g11 - 4) = 0x469a51;
                                                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                            // branch -> 0x469a51
                                                        } else {
                                                            // 0x4698f2
                                                            *(int32_t *)(g11 - 4) = 0x469903;
                                                            System__AsClass(v21, (int32_t *)0x4637dc);
                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                            g8 = 0x469c54;
                                                            *(int32_t *)(g11 - 4) = 0x469910;
                                                            function_45bf7c();
                                                            // branch -> 0x469a51
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                }
                                                // 0x469742
                                                g8 = v53 - 132;
                                                *(int32_t *)(g11 - 4) = 0x469750;
                                                function_46a168();
                                                if (g3 != 0) {
                                                    // 0x469754
                                                    v54 = g4;
                                                    g8 = v54 - 132;
                                                    g3 = *(int32_t *)(v54 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x469765;
                                                    function_4673b4();
                                                    *(int32_t *)(g4 - 20) = g3;
                                                    v77 = g4;
                                                    *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                    v55 = g4;
                                                    g8 = v55 - 132;
                                                    g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                    *(int32_t *)(g11 - 4) = 0x46977f;
                                                    function_46a30c();
                                                    v78 = g4;
                                                    *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                    v79 = g4;
                                                    *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                    // branch -> 0x46978e
                                                }
                                                // 0x46978e
                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                g8 = g8 & -256 | 247;
                                                *(int32_t *)(g11 - 4) = 0x46979e;
                                                function_462278();
                                                v56 = g4;
                                                v82 = g8 & -256;
                                                g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                *(int32_t *)(g11 - 4) = 0x4697b5;
                                                function_462278();
                                                // branch -> 0x469915
                                            } else {
                                                // 0x46972e
                                                v28 = (int32_t *)(v53 - 108);
                                                *v28 = -*v28;
                                                // branch -> 0x469915
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    } else {
                                        // 0x469670
                                        *(int32_t *)(g11 - 4) = 0x469681;
                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                        g8 = 0x469c04;
                                        *(int32_t *)(g11 - 4) = 0x46968e;
                                        function_45bf7c();
                                        // branch -> 0x469a51
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                } else {
                                    // 0x469647
                                    *(int32_t *)(g11 - 4) = 0x469658;
                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                    g8 = 0x469bc0;
                                    *(int32_t *)(g11 - 4) = 0x469665;
                                    function_45bf7c();
                                    // branch -> 0x469a51
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                        }
                        // 0x46961e
                        *(int32_t *)(g11 - 4) = 0x46962f;
                        System__AsClass(v22, (int32_t *)0x4637dc);
                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                        g8 = 0x469b88;
                        *(int32_t *)(g11 - 4) = 0x46963c;
                        function_45bf7c();
                        // branch -> 0x469a51
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // 0x46971b
                    if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                        // 0x469728
                        if (*(char *)(v53 - 112) == 0) {
                            // 0x469736
                            v29 = (char *)(v53 - 100);
                            if (*v29 != 8) {
                                // 0x46973c
                                if (*v29 != 0) {
                                    // 0x4697ba
                                    if (*v29 == 3) {
                                        // 0x4697c4
                                        v80 = v53;
                                        if (*(char *)(v53 - 99) == 0) {
                                            // 0x4697ce
                                            g8 = v53 - 132;
                                            *(int32_t *)(g11 - 4) = 0x4697dc;
                                            function_46a168();
                                            if (g3 == 0) {
                                                // 0x4697e0
                                                v57 = g4;
                                                g8 = v57 - 260;
                                                g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                *(int32_t *)(g11 - 4) = 0x4697f1;
                                                function_46a30c();
                                                *(int32_t *)(g4 - 260) = 5;
                                                g3 = *(int32_t *)(g4 - 4);
                                                *(int32_t *)(g11 - 4) = 0x469803;
                                                function_469fd8();
                                                *(int32_t *)(g4 - 244) = g3;
                                                v58 = g11;
                                                v32 = v58 - 4;
                                                *(int32_t *)v32 = g4 - 260;
                                                g11 = v32;
                                                g6 = 0;
                                                v59 = g4;
                                                g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                *(int32_t *)(v58 - 8) = 0x469823;
                                                function_46ae10();
                                                g6 = -1;
                                                v60 = g4;
                                                g8 = v60 - 132;
                                                g3 = *(int32_t *)(v60 - 4);
                                                *(int32_t *)(g11 - 4) = 0x469834;
                                                function_469f40();
                                                *(int32_t *)(g11 - 4) = 0x46984b;
                                                System__CopyRecord(0x46a22c);
                                                // branch -> 0x46984b
                                            }
                                            // 0x46984b
                                            v61 = g4;
                                            g8 = v61 - 132;
                                            g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x46985c;
                                            function_46b524();
                                            v80 = g4;
                                            // branch -> 0x46985c
                                        }
                                        // 0x46985c
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                        g8 = g8 & -256 | 217;
                                        *(int32_t *)(g11 - 4) = 0x46986c;
                                        function_462278();
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                        g8 = g8 & -256 | 224;
                                        *(int32_t *)(g11 - 4) = 0x46987c;
                                        function_462278();
                                        v81 = g4;
                                        if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                            // 0x469884
                                            g8 = v81 - 260;
                                            g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x469895;
                                            function_46a30c();
                                            *(int32_t *)(g4 - 260) = 5;
                                            g3 = *(int32_t *)(g4 - 4);
                                            *(int32_t *)(g11 - 4) = 0x4698a7;
                                            function_469fd8();
                                            *(int32_t *)(g4 - 244) = g3;
                                            v62 = g4;
                                            g8 = v62 - 260;
                                            g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                            *(int32_t *)(g11 - 4) = 0x4698be;
                                            function_46b614();
                                            g6 = -1;
                                            v63 = g4;
                                            g8 = v63 - 132;
                                            g3 = *(int32_t *)(v63 - 4);
                                            *(int32_t *)(g11 - 4) = 0x4698cf;
                                            function_469f40();
                                            *(int32_t *)(g11 - 4) = 0x4698e6;
                                            System__CopyRecord(0x46a22c);
                                            // branch -> 0x4698ec
                                        } else {
                                            // 0x4698e8
                                            *(char *)(v81 - 99) = 1;
                                            // branch -> 0x4698ec
                                        }
                                        // 0x4698ec
                                        *(char *)(g4 - 100) = 3;
                                        // branch -> 0x469915
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    } else {
                                        // 0x4698f2
                                        *(int32_t *)(g11 - 4) = 0x469903;
                                        System__AsClass(v21, (int32_t *)0x4637dc);
                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                        g8 = 0x469c54;
                                        *(int32_t *)(g11 - 4) = 0x469910;
                                        function_45bf7c();
                                        // branch -> 0x469a51
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                            }
                            // 0x469742
                            g8 = v53 - 132;
                            *(int32_t *)(g11 - 4) = 0x469750;
                            function_46a168();
                            if (g3 != 0) {
                                // 0x469754
                                v54 = g4;
                                g8 = v54 - 132;
                                g3 = *(int32_t *)(v54 - 4);
                                *(int32_t *)(g11 - 4) = 0x469765;
                                function_4673b4();
                                *(int32_t *)(g4 - 20) = g3;
                                v77 = g4;
                                *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                v55 = g4;
                                g8 = v55 - 132;
                                g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                *(int32_t *)(g11 - 4) = 0x46977f;
                                function_46a30c();
                                v78 = g4;
                                *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                v79 = g4;
                                *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                // branch -> 0x46978e
                            }
                            // 0x46978e
                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                            g8 = g8 & -256 | 247;
                            *(int32_t *)(g11 - 4) = 0x46979e;
                            function_462278();
                            v56 = g4;
                            v82 = g8 & -256;
                            g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                            *(int32_t *)(g11 - 4) = 0x4697b5;
                            function_462278();
                            // branch -> 0x469915
                        } else {
                            // 0x46972e
                            v28 = (int32_t *)(v53 - 108);
                            *v28 = -*v28;
                            // branch -> 0x469915
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                } else {
                    // 0x4694e4
                    *(int32_t *)(g11 - 4) = 0x4694f5;
                    System__AsClass(v19, (int32_t *)0x4637dc);
                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                    g8 = 0x469b3c;
                    *(int32_t *)(g11 - 4) = 0x469502;
                    function_45bf7c();
                    // branch -> 0x469a51
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // 0x469507
        v45 = v40;
        v23 = v18;
        if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
            // 0x469510
            v42 = v40;
            if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                // 0x469519
                g8 = v40 - 132;
                g3 = *(int32_t *)(v40 - 4);
                *(int32_t *)(g11 - 4) = 0x469527;
                function_469c8c();
                *(int32_t *)(g4 - 20) = g3;
                v41 = g11;
                v30 = v41 - 4;
                *(int32_t *)v30 = g4 - 132;
                g11 = v30;
                v70 = g4;
                g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                *(int32_t *)(v41 - 8) = 0x469541;
                function_46ae10();
                v42 = g4;
                // branch -> 0x469541
            }
            // 0x469541
            g8 = v42 - 132;
            g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
            *(int32_t *)(g11 - 4) = 0x469552;
            function_46b434();
            v43 = g4;
            g8 = v43 - 132;
            g3 = *(int32_t *)(v43 - 4);
            *(int32_t *)(g11 - 4) = 0x469563;
            function_469f40();
            v44 = g4;
            g8 = v44 - 132;
            g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
            *(int32_t *)(g11 - 4) = 0x469574;
            function_46a30c();
            v71 = g4;
            if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                // 0x46957d
                *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                v45 = g4;
                v23 = (int32_t *)-1;
                // branch -> 0x469586
            } else {
                v45 = v71;
                v23 = (int32_t *)-1;
            }
        }
        // 0x469586
        v50 = v45;
        v22 = v23;
        if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
            // 0x46958f
            v47 = v45;
            if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                // 0x469598
                g8 = v45 - 132;
                g3 = *(int32_t *)(v45 - 4);
                *(int32_t *)(g11 - 4) = 0x4695a6;
                function_469c8c();
                *(int32_t *)(g4 - 20) = g3;
                v46 = g11;
                v31 = v46 - 4;
                *(int32_t *)v31 = g4 - 132;
                g11 = v31;
                v72 = g4;
                g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                *(int32_t *)(v46 - 8) = 0x4695c0;
                function_46ae10();
                v47 = g4;
                // branch -> 0x4695c0
            }
            // 0x4695c0
            g8 = v47 - 132;
            g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
            *(int32_t *)(g11 - 4) = 0x4695d1;
            function_46b4ac();
            v48 = g4;
            g8 = v48 - 132;
            g3 = *(int32_t *)(v48 - 4);
            *(int32_t *)(g11 - 4) = 0x4695e2;
            function_469f40();
            v49 = g4;
            g8 = v49 - 132;
            g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
            *(int32_t *)(g11 - 4) = 0x4695f3;
            function_46a30c();
            v73 = g4;
            if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                // 0x4695fc
                *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                v50 = g4;
                v22 = (int32_t *)-1;
                // branch -> 0x469605
            } else {
                v50 = v73;
                v22 = (int32_t *)-1;
            }
        }
        // 0x469605
        v53 = v50;
        v21 = v22;
        if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
            // 0x469612
            if (*(char *)(v50 - 111) == 0) {
                // 0x469618
                if (*(char *)(v50 - 112) == 0) {
                    // 0x469641
                    if (*(int32_t *)(v50 - 96) == 0) {
                        // 0x46966a
                        if (*(char *)(v50 - 100) == 1) {
                            // 0x469693
                            g8 = v50 - 196;
                            g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                            *(int32_t *)(g11 - 4) = 0x4696a4;
                            function_46a30c();
                            v51 = g4;
                            g8 = v51 - 132;
                            g3 = *(int32_t *)(v51 - 4);
                            *(int32_t *)(g11 - 4) = 0x4696b5;
                            function_4673b4();
                            *(int32_t *)(g4 - 20) = g3;
                            g8 = g8 & -256 | 247;
                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                            *(int32_t *)(g11 - 4) = 0x4696c5;
                            function_462278();
                            v74 = g4;
                            v83 = g8 & -256;
                            g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                            g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                            *(int32_t *)(g11 - 4) = 0x4696d6;
                            function_462278();
                            g8 = g8 & -256 | 131;
                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                            *(int32_t *)(g11 - 4) = 0x4696e3;
                            function_462278();
                            v75 = g4;
                            v84 = g8 & -256;
                            g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                            g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                            *(int32_t *)(g11 - 4) = 0x4696f4;
                            function_462278();
                            g8 = g8 & -256 | 1;
                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                            *(int32_t *)(g11 - 4) = 0x469701;
                            function_462278();
                            v52 = g4;
                            g8 = v52 - 132;
                            g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                            *(int32_t *)(g11 - 4) = 0x469712;
                            function_46a30c();
                            v76 = g4;
                            *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                            v53 = g4;
                            v21 = (int32_t *)-1;
                            // branch -> 0x46971b
                            // 0x46971b
                            if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                // 0x469728
                                if (*(char *)(v53 - 112) == 0) {
                                    // 0x469736
                                    v29 = (char *)(v53 - 100);
                                    if (*v29 != 8) {
                                        // 0x46973c
                                        if (*v29 != 0) {
                                            // 0x4697ba
                                            if (*v29 == 3) {
                                                // 0x4697c4
                                                v80 = v53;
                                                if (*(char *)(v53 - 99) == 0) {
                                                    // 0x4697ce
                                                    g8 = v53 - 132;
                                                    *(int32_t *)(g11 - 4) = 0x4697dc;
                                                    function_46a168();
                                                    if (g3 == 0) {
                                                        // 0x4697e0
                                                        v57 = g4;
                                                        g8 = v57 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                        *(int32_t *)(g11 - 4) = 0x4697f1;
                                                        function_46a30c();
                                                        *(int32_t *)(g4 - 260) = 5;
                                                        g3 = *(int32_t *)(g4 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x469803;
                                                        function_469fd8();
                                                        *(int32_t *)(g4 - 244) = g3;
                                                        v58 = g11;
                                                        v32 = v58 - 4;
                                                        *(int32_t *)v32 = g4 - 260;
                                                        g11 = v32;
                                                        g6 = 0;
                                                        v59 = g4;
                                                        g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                        g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                        *(int32_t *)(v58 - 8) = 0x469823;
                                                        function_46ae10();
                                                        g6 = -1;
                                                        v60 = g4;
                                                        g8 = v60 - 132;
                                                        g3 = *(int32_t *)(v60 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x469834;
                                                        function_469f40();
                                                        *(int32_t *)(g11 - 4) = 0x46984b;
                                                        System__CopyRecord(0x46a22c);
                                                        // branch -> 0x46984b
                                                    }
                                                    // 0x46984b
                                                    v61 = g4;
                                                    g8 = v61 - 132;
                                                    g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                    *(int32_t *)(g11 - 4) = 0x46985c;
                                                    function_46b524();
                                                    v80 = g4;
                                                    // branch -> 0x46985c
                                                }
                                                // 0x46985c
                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                g8 = g8 & -256 | 217;
                                                *(int32_t *)(g11 - 4) = 0x46986c;
                                                function_462278();
                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                g8 = g8 & -256 | 224;
                                                *(int32_t *)(g11 - 4) = 0x46987c;
                                                function_462278();
                                                v81 = g4;
                                                if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                    // 0x469884
                                                    g8 = v81 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                    *(int32_t *)(g11 - 4) = 0x469895;
                                                    function_46a30c();
                                                    *(int32_t *)(g4 - 260) = 5;
                                                    g3 = *(int32_t *)(g4 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x4698a7;
                                                    function_469fd8();
                                                    *(int32_t *)(g4 - 244) = g3;
                                                    v62 = g4;
                                                    g8 = v62 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                    *(int32_t *)(g11 - 4) = 0x4698be;
                                                    function_46b614();
                                                    g6 = -1;
                                                    v63 = g4;
                                                    g8 = v63 - 132;
                                                    g3 = *(int32_t *)(v63 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x4698cf;
                                                    function_469f40();
                                                    *(int32_t *)(g11 - 4) = 0x4698e6;
                                                    System__CopyRecord(0x46a22c);
                                                    // branch -> 0x4698ec
                                                } else {
                                                    // 0x4698e8
                                                    *(char *)(v81 - 99) = 1;
                                                    // branch -> 0x4698ec
                                                }
                                                // 0x4698ec
                                                *(char *)(g4 - 100) = 3;
                                                // branch -> 0x469915
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            } else {
                                                // 0x4698f2
                                                *(int32_t *)(g11 - 4) = 0x469903;
                                                System__AsClass(v21, (int32_t *)0x4637dc);
                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                g8 = 0x469c54;
                                                *(int32_t *)(g11 - 4) = 0x469910;
                                                function_45bf7c();
                                                // branch -> 0x469a51
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                    }
                                    // 0x469742
                                    g8 = v53 - 132;
                                    *(int32_t *)(g11 - 4) = 0x469750;
                                    function_46a168();
                                    if (g3 != 0) {
                                        // 0x469754
                                        v54 = g4;
                                        g8 = v54 - 132;
                                        g3 = *(int32_t *)(v54 - 4);
                                        *(int32_t *)(g11 - 4) = 0x469765;
                                        function_4673b4();
                                        *(int32_t *)(g4 - 20) = g3;
                                        v77 = g4;
                                        *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                        v55 = g4;
                                        g8 = v55 - 132;
                                        g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                        *(int32_t *)(g11 - 4) = 0x46977f;
                                        function_46a30c();
                                        v78 = g4;
                                        *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                        v79 = g4;
                                        *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                        // branch -> 0x46978e
                                    }
                                    // 0x46978e
                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                    g8 = g8 & -256 | 247;
                                    *(int32_t *)(g11 - 4) = 0x46979e;
                                    function_462278();
                                    v56 = g4;
                                    v82 = g8 & -256;
                                    g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                    *(int32_t *)(g11 - 4) = 0x4697b5;
                                    function_462278();
                                    // branch -> 0x469915
                                } else {
                                    // 0x46972e
                                    v28 = (int32_t *)(v53 - 108);
                                    *v28 = -*v28;
                                    // branch -> 0x469915
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x469670
                            *(int32_t *)(g11 - 4) = 0x469681;
                            System__AsClass(v22, (int32_t *)0x4637dc);
                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                            g8 = 0x469c04;
                            *(int32_t *)(g11 - 4) = 0x46968e;
                            function_45bf7c();
                            // branch -> 0x469a51
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x469647
                        *(int32_t *)(g11 - 4) = 0x469658;
                        System__AsClass(v22, (int32_t *)0x4637dc);
                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                        g8 = 0x469bc0;
                        *(int32_t *)(g11 - 4) = 0x469665;
                        function_45bf7c();
                        // branch -> 0x469a51
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
            }
            // 0x46961e
            *(int32_t *)(g11 - 4) = 0x46962f;
            System__AsClass(v22, (int32_t *)0x4637dc);
            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
            g8 = 0x469b88;
            *(int32_t *)(g11 - 4) = 0x46963c;
            function_45bf7c();
            // branch -> 0x469a51
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // 0x46971b
        if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
            // 0x469728
            if (*(char *)(v53 - 112) == 0) {
                // 0x469736
                v29 = (char *)(v53 - 100);
                if (*v29 != 8) {
                    // 0x46973c
                    if (*v29 != 0) {
                        // 0x4697ba
                        if (*v29 == 3) {
                            // 0x4697c4
                            v80 = v53;
                            if (*(char *)(v53 - 99) == 0) {
                                // 0x4697ce
                                g8 = v53 - 132;
                                *(int32_t *)(g11 - 4) = 0x4697dc;
                                function_46a168();
                                if (g3 == 0) {
                                    // 0x4697e0
                                    v57 = g4;
                                    g8 = v57 - 260;
                                    g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                    *(int32_t *)(g11 - 4) = 0x4697f1;
                                    function_46a30c();
                                    *(int32_t *)(g4 - 260) = 5;
                                    g3 = *(int32_t *)(g4 - 4);
                                    *(int32_t *)(g11 - 4) = 0x469803;
                                    function_469fd8();
                                    *(int32_t *)(g4 - 244) = g3;
                                    v58 = g11;
                                    v32 = v58 - 4;
                                    *(int32_t *)v32 = g4 - 260;
                                    g11 = v32;
                                    g6 = 0;
                                    v59 = g4;
                                    g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                    g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                    *(int32_t *)(v58 - 8) = 0x469823;
                                    function_46ae10();
                                    g6 = -1;
                                    v60 = g4;
                                    g8 = v60 - 132;
                                    g3 = *(int32_t *)(v60 - 4);
                                    *(int32_t *)(g11 - 4) = 0x469834;
                                    function_469f40();
                                    *(int32_t *)(g11 - 4) = 0x46984b;
                                    System__CopyRecord(0x46a22c);
                                    // branch -> 0x46984b
                                }
                                // 0x46984b
                                v61 = g4;
                                g8 = v61 - 132;
                                g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                *(int32_t *)(g11 - 4) = 0x46985c;
                                function_46b524();
                                v80 = g4;
                                // branch -> 0x46985c
                            }
                            // 0x46985c
                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                            g8 = g8 & -256 | 217;
                            *(int32_t *)(g11 - 4) = 0x46986c;
                            function_462278();
                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                            g8 = g8 & -256 | 224;
                            *(int32_t *)(g11 - 4) = 0x46987c;
                            function_462278();
                            v81 = g4;
                            if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                // 0x469884
                                g8 = v81 - 260;
                                g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                *(int32_t *)(g11 - 4) = 0x469895;
                                function_46a30c();
                                *(int32_t *)(g4 - 260) = 5;
                                g3 = *(int32_t *)(g4 - 4);
                                *(int32_t *)(g11 - 4) = 0x4698a7;
                                function_469fd8();
                                *(int32_t *)(g4 - 244) = g3;
                                v62 = g4;
                                g8 = v62 - 260;
                                g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                *(int32_t *)(g11 - 4) = 0x4698be;
                                function_46b614();
                                g6 = -1;
                                v63 = g4;
                                g8 = v63 - 132;
                                g3 = *(int32_t *)(v63 - 4);
                                *(int32_t *)(g11 - 4) = 0x4698cf;
                                function_469f40();
                                *(int32_t *)(g11 - 4) = 0x4698e6;
                                System__CopyRecord(0x46a22c);
                                // branch -> 0x4698ec
                            } else {
                                // 0x4698e8
                                *(char *)(v81 - 99) = 1;
                                // branch -> 0x4698ec
                            }
                            // 0x4698ec
                            *(char *)(g4 - 100) = 3;
                            // branch -> 0x469915
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x4698f2
                            *(int32_t *)(g11 - 4) = 0x469903;
                            System__AsClass(v21, (int32_t *)0x4637dc);
                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                            g8 = 0x469c54;
                            *(int32_t *)(g11 - 4) = 0x469910;
                            function_45bf7c();
                            // branch -> 0x469a51
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                }
                // 0x469742
                g8 = v53 - 132;
                *(int32_t *)(g11 - 4) = 0x469750;
                function_46a168();
                if (g3 != 0) {
                    // 0x469754
                    v54 = g4;
                    g8 = v54 - 132;
                    g3 = *(int32_t *)(v54 - 4);
                    *(int32_t *)(g11 - 4) = 0x469765;
                    function_4673b4();
                    *(int32_t *)(g4 - 20) = g3;
                    v77 = g4;
                    *(char *)(v77 - 37) = *(char *)(v77 - 100);
                    v55 = g4;
                    g8 = v55 - 132;
                    g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                    *(int32_t *)(g11 - 4) = 0x46977f;
                    function_46a30c();
                    v78 = g4;
                    *(char *)(v78 - 100) = *(char *)(v78 - 37);
                    v79 = g4;
                    *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                    // branch -> 0x46978e
                }
                // 0x46978e
                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                g8 = g8 & -256 | 247;
                *(int32_t *)(g11 - 4) = 0x46979e;
                function_462278();
                v56 = g4;
                v82 = g8 & -256;
                g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                *(int32_t *)(g11 - 4) = 0x4697b5;
                function_462278();
                // branch -> 0x469915
            } else {
                // 0x46972e
                v28 = (int32_t *)(v53 - 108);
                *v28 = -*v28;
                // branch -> 0x469915
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // Detected a possible infinite recursion (goto support failed); quitting...
    } else {
        // 0x468360
        if (*v17 == 5) {
            // 0x468369
            g3 = *(int32_t *)(v8 + 16);
            System__AsClass(v2, (int32_t *)0x4637dc);
            g8 = *(int32_t *)((int32_t)v7 + 36);
            function_463850();
            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
            // branch -> 0x469a51
        } else {
            // 0x4683a9
            if (*v17 == 1) {
                // 0x4683b6
                unknown_468430();
                if (v16 == 0) {
                    // 0x4683b6
                    // branch -> 0x4683d4
                } else {
                    // 0x4683c8
                    if (v16 != 6) {
                        // 0x4683ce
                        unknown_468401();
                        // branch -> 0x4683d4
                    }
                }
                // 0x4683d4
                if (v16 == 8) {
                    // 0x4683ef
                    // branch -> 0x4684c1
                }
            }
            int32_t v114 = g4; // 0x4684c1
            int32_t * v115 = (int32_t *)(v114 - 8); // 0x4684c1_0
            int32_t v116 = v114; // 0x468531
            if (*(char *)(*v115 + 12) == 2) {
                int32_t v117 = *(int32_t *)(*v115 + 72); // 0x4684cd
                g3 = v117;
                *(int32_t *)(v114 - 48) = v117;
                function_405ba0();
                v7 = (int32_t *)g3;
                int32_t v118 = g4; // 0x4684d9
                v3 = (char *)*(int32_t *)(*(int32_t *)(v118 - 8) + 40);
                v5 = NULL;
                g3 = *(int32_t *)(v118 - 4);
                function_4676ac();
                v116 = g4;
                v2 = (int32_t *)*(int32_t *)(v118 - 48);
                // branch -> 0x4684fe
            }
            int32_t * v119 = (int32_t *)(v116 - 8); // 0x4684fe_0
            int32_t * v120; // 0x468808_0
            int32_t * v121; // 0x46883e_0
            int32_t * v122; // 0x468854_0
            int32_t * v123; // 0x468ce2_0
            int32_t * v124; // 0x468e9d_0
            int32_t * v125; // 0x468f16_0
            int32_t * v126; // 0x468f7e_0
            int32_t * v127; // 0x4690a5_0
            char * v128; // 0x4690af_0
            int32_t * v129; // 0x469190_0
            int32_t * v130; // 0x4691ee_0
            int32_t * v131; // 0x4692d1_0
            int32_t v132; // eax
            int32_t v133; // 0x468c63
            int32_t v134; // 0x468cf1
            int32_t v135; // 0x468d27
            int32_t v136; // 0x468d5d
            int32_t v137; // 0x468d93
            int32_t v138; // 0x468dc9
            int32_t v139; // 0x468ee2
            int32_t v140; // 0x468f35
            int32_t v141; // 0x4690e0
            int32_t v142; // 0x4691a4
            int32_t v143; // 0x46922e
            int32_t v144; // 0x4692a5
            int32_t v145; // 0x4690ab
            int32_t v146; // 0x4688e7
            int32_t v147; // 0x4688f7
            int32_t v148; // 0x46890b
            int32_t v149; // 0x468932
            int32_t v150; // 0x468946
            int32_t v151; // 0x468954
            int32_t v152; // 0x468986
            int32_t v153; // 0x468997
            int32_t v154; // 0x468a3a
            int32_t v155; // 0x468a4e
            int32_t v156; // 0x468a5c
            int32_t v157; // 0x468a8e
            int32_t v158; // 0x468ab8
            int32_t v159; // 0x468acc
            int32_t v160; // 0x468ada
            int32_t v161; // 0x468aeb
            int32_t v162; // 0x468ba4
            int32_t v163; // 0x468bbe
            int32_t v164; // 0x468bce
            int32_t v165; // 0x468bf3
            int32_t v166; // 0x468c0d
            int32_t v167; // 0x468c1b
            int32_t v168; // 0x468c74
            int32_t v169; // 0x468cc8
            int32_t v170; // 0x468cf1
            int32_t v171; // 0x468d05
            int32_t v172; // 0x468d27
            int32_t v173; // 0x468d3b
            int32_t v174; // 0x468d5d
            int32_t v175; // 0x468d71
            int32_t v176; // 0x468d93
            int32_t v177; // 0x468da7
            int32_t v178; // 0x468dc9
            int32_t v179; // 0x468ddd
            int32_t v180; // 0x468e1f
            int32_t v181; // 0x468eb7
            int32_t v182; // 0x468ec8
            int32_t v183; // 0x468ee2
            int32_t v184; // 0x468f2f
            int32_t v185; // 0x468f35
            int32_t v186; // 0x468f6c
            int32_t v187; // 0x468f9a
            int32_t v188; // 0x468fed
            int32_t v189; // 0x469014
            int32_t v190; // 0x469045
            int32_t v191; // 0x4690b1
            int32_t v192; // 0x4690e0
            int32_t v193; // 0x4690e3
            int32_t v194; // 0x4690f4
            int32_t v195; // 0x469184
            int32_t v196; // 0x4691a4
            int32_t v197; // 0x46922e
            int32_t v198; // 0x469263
            int32_t v199; // 0x469293
            int32_t v200; // 0x4692a5
            int32_t v201; // 0x4692ec
            int32_t v202; // 0x468833
            int32_t v203; // 0x468854
            int32_t v204; // 0x4689d4
            int32_t v205; // 0x468b28
            int32_t v206; // 0x468bd7
            int32_t v207; // 0x468c3d
            int32_t v208; // 0x468c5b
            int32_t v209; // 0x468caa
            int32_t v210; // 0x468cd9
            int32_t v211; // 0x468e0f
            int32_t v212; // 0x468e41
            int32_t v213; // 0x468e6d
            int32_t v214; // 0x468e84
            int32_t v215; // 0x468ee3
            int32_t v216; // 0x468ef3
            int32_t v217; // 0x468efe
            int32_t v218; // 0x468f24
            int32_t v219; // 0x468f55
            int32_t v220; // 0x468fcc
            int32_t v221; // 0x469025
            int32_t v222; // 0x46902e
            int32_t v223; // 0x4690ab
            int32_t v224; // 0x46911b
            int32_t v225; // 0x469136
            int32_t v226; // 0x469151
            int32_t v227; // 0x46916c
            int32_t v228; // 0x469195
            int32_t v229; // 0x4691b4
            int32_t v230; // 0x4691d9
            int32_t v231; // 0x46921f
            int32_t v232; // 0x46922f5
            int32_t v233; // 0x46922f6
            int32_t v234; // 0x46923e
            int32_t v235; // 0x4692bc
            int32_t v236; // 0x468e3a
            int32_t v237; // 0x468815
            int32_t v238; // 0x468824
            int32_t v239; // 0x468857
            int32_t v240; // 0x468866
            int32_t v241; // 0x468895
            int32_t v242; // 0x4688a8
            int32_t v243; // 0x468c80
            unsigned char v244; // 0x468e41
            unsigned char v245; // 0x468e6d
            unsigned char v246; // 0x468f55
            int32_t v247; // 0x469058
            int32_t v248; // 0x469061
            int32_t v249; // 0x46911b
            int32_t v250; // 0x469136
            char v251; // 0x468e47
            char v252; // 0x468e73
            char v253; // 0x468f5b
            int32_t v254; // 0x468c3d
            int32_t v255; // 0x468caa
            int32_t v256; // 0x468e41
            int32_t v257; // 0x468e6d
            int32_t v258; // 0x468f55
            if (*(char *)(*v119 + 12) != 0) {
                // 0x468507
                if (*(char *)(*v119 + 12) != 4) {
                    // 0x468808
                    v120 = (int32_t *)(g4 - 8);
                    if (*(char *)(*v120 + 12) == 3) {
                        // 0x468815
                        v237 = *v120;
                        g3 = (int32_t)*(char *)(v237 + 13) | v237 & -256;
                        function_459cb0();
                        if (g3 == 0) {
                            // 0x468824
                            v238 = *(int32_t *)(g4 - 8);
                            g3 = (int32_t)*(char *)(v238 + 13) | v238 & -256;
                            function_459d30();
                            if (g3 == 0) {
                                // 0x468854
                                v203 = g4;
                                v122 = (int32_t *)(v203 - 8);
                                v239 = *(int32_t *)(*v122 + 4);
                                if (*(char *)(*(int32_t *)(v239 + 56) + 9) != 3) {
                                    // 0x468863
                                    v240 = *(int32_t *)(*v122 + 8);
                                    if (*(char *)(*(int32_t *)(v240 + 56) + 9) != 3) {
                                        // 0x468872
                                        if (*(char *)(v203 - 37) != 3) {
                                            // 0x468892
                                            v241 = *(int32_t *)(*v122 + 4);
                                            int32_t v259; // 0x46932e
                                            int32_t v260; // 0x4692fa
                                            int32_t v261; // 0x46932e
                                            int32_t v262; // 0x469371
                                            int32_t v263; // 0x46930b
                                            int32_t v264; // 0x46932f
                                            int32_t v265; // 0x46933f
                                            int32_t v266; // 0x46935a
                                            if (*(char *)(*(int32_t *)(v241 + 56) + 9) == 8) {
                                                // 0x4688a5
                                                v242 = *(int32_t *)(*v122 + 8);
                                                if (*(char *)(*(int32_t *)(v242 + 56) + 9) == 8) {
                                                    // 0x4688b8
                                                    if (*(char *)(*v122 + 13) != 4) {
                                                        // 0x4688c1
                                                        if (*(char *)(*v122 + 13) != 5) {
                                                            // 0x468a14
                                                            if (*(char *)(*v122 + 13) == 3) {
                                                                // 0x468a21
                                                                v7 = NULL;
                                                                g6 = 0;
                                                                unknown_468108();
                                                                v154 = g4;
                                                                g8 = v154 - 196;
                                                                g3 = *(int32_t *)(*(int32_t *)(v154 - 4) + 4);
                                                                function_46b59c();
                                                                v155 = g4;
                                                                g8 = v155 - 196;
                                                                g3 = *(int32_t *)(v155 - 4);
                                                                function_469f40();
                                                                v156 = g4;
                                                                g8 = v156 - 324;
                                                                g3 = *(int32_t *)(*(int32_t *)(v156 - 4) + 4);
                                                                function_46a30c();
                                                                v5 = (int32_t *)0x47800000;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                function_463ffc();
                                                                *(int32_t *)(g4 - 308) = g3;
                                                                v157 = g4;
                                                                g8 = v157 - 324;
                                                                g3 = *(int32_t *)(*(int32_t *)(v157 - 4) + 4);
                                                                function_46b9d4();
                                                                g11 = (int32_t)&v12;
                                                                g6 = 0;
                                                                unknown_468108();
                                                                v158 = g4;
                                                                g8 = v158 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v158 - 4) + 4);
                                                                function_46b95c();
                                                                g6 = -1;
                                                                v159 = g4;
                                                                g8 = v159 - 260;
                                                                g3 = *(int32_t *)(v159 - 4);
                                                                function_469f40();
                                                                v160 = g4;
                                                                g8 = v160 - 324;
                                                                g3 = *(int32_t *)(*(int32_t *)(v160 - 4) + 4);
                                                                function_46b9d4();
                                                                v161 = g4;
                                                                g8 = v161 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v161 - 4) + 4);
                                                                function_46a30c();
                                                                *(int32_t *)(g4 - 260) = 5;
                                                                g3 = *(int32_t *)(g4 - 4);
                                                                function_469fd8();
                                                                *(int32_t *)(g4 - 244) = g3;
                                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                v205 = g4;
                                                                g8 = v205 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v205 - 4) + 4);
                                                                if (*(char *)(v205 - 37) == 3) {
                                                                    // 0x468b2e
                                                                    function_46b614();
                                                                    *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                    // branch -> 0x469a51
                                                                } else {
                                                                    // 0x468b4b
                                                                    function_46b68c();
                                                                    *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                    // branch -> 0x469a51
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                // 0x468b68
                                                                v7 = NULL;
                                                                g11 = v4;
                                                                g6 = 0;
                                                                unknown_468108();
                                                                g8 = g4 - 196;
                                                                function_46a168();
                                                                v164 = g4;
                                                                int32_t * v267; // 0x469399_0
                                                                int32_t v268; // 0x46937f
                                                                int32_t v269; // 0x469390
                                                                int32_t v270; // 0x469399
                                                                int32_t v271; // 0x46939c
                                                                int32_t v272; // 0x4693ab
                                                                if (g3 == 0) {
                                                                    // 0x468bce
                                                                    v206 = v164 - 196;
                                                                    if (*(char *)(v164 - 176) == 0) {
                                                                        // 0x468bd7
                                                                        *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                        // branch -> 0x468c1b
                                                                    } else {
                                                                        // 0x468be2
                                                                        g8 = v206;
                                                                        g3 = *(int32_t *)(v164 - 4);
                                                                        function_469c8c();
                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                        v165 = g4;
                                                                        g11 = (int32_t)&v5;
                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                        g6 = g6 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                        function_46ae10();
                                                                        g6 = -1;
                                                                        v166 = g4;
                                                                        g8 = v166 - 196;
                                                                        g3 = *(int32_t *)(v166 - 4);
                                                                        function_469f40();
                                                                        // branch -> 0x468c1b
                                                                    }
                                                                    // 0x468c1b
                                                                    v167 = g4;
                                                                    if (*(char *)(v167 - 164) != 8) {
                                                                        // 0x468c24
                                                                        if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                            // 0x468c30
                                                                            g8 = g8 & -256 | 193;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                            function_462278();
                                                                            v207 = g4;
                                                                            v254 = g8 & -256;
                                                                            g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                            function_462278();
                                                                            g8 = g8 & -256 | 16;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                            function_462278();
                                                                            // branch -> 0x468c5b
                                                                        }
                                                                    }
                                                                    // 0x468c5b
                                                                    v208 = g11;
                                                                    *(int32_t *)(v208 - 4) = 0;
                                                                    v133 = v208 - 8;
                                                                    *(int32_t *)v133 = g4 - 260;
                                                                    g11 = v133;
                                                                    g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                    *(int32_t *)(v208 - 12) = 0x468c74;
                                                                    unknown_468108();
                                                                    v168 = g4;
                                                                    v211 = v168;
                                                                    v233 = 0;
                                                                    if (*(char *)(v168 - 228) != 8) {
                                                                        // 0x468c7d
                                                                        v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                        if (*(char *)(v243 + 9) == 8) {
                                                                            // 0x468c89
                                                                            g8 = v168 - 260;
                                                                            g3 = *(int32_t *)(v168 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                            function_4673b4();
                                                                            *(int32_t *)(g4 - 28) = g3;
                                                                            g8 = g8 & -256 | 193;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468caa;
                                                                            function_462278();
                                                                            v209 = g4;
                                                                            v255 = g8 & -256;
                                                                            g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                            function_462278();
                                                                            g8 = g8 & -256 | 16;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                            function_462278();
                                                                            v169 = g4;
                                                                            g8 = v169 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                            function_46a30c();
                                                                            v210 = g4;
                                                                            *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                            v211 = g4;
                                                                            v233 = -1;
                                                                            // branch -> 0x468ce2
                                                                        } else {
                                                                            v211 = v168;
                                                                            v233 = 0;
                                                                        }
                                                                    }
                                                                    // 0x468ce2
                                                                    v123 = (int32_t *)(v211 - 8);
                                                                    if (*(char *)(*v123 + 13) == 0) {
                                                                        // 0x468ceb
                                                                        v170 = g11;
                                                                        v134 = v170 - 4;
                                                                        *(int32_t *)v134 = v211 - 260;
                                                                        g11 = v134;
                                                                        g6 = v233 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                        *(int32_t *)(v170 - 8) = 0x468d02;
                                                                        function_46aa40();
                                                                        g6 = -1;
                                                                        v171 = g4;
                                                                        g8 = v171 - 260;
                                                                        g3 = *(int32_t *)(v171 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468d13;
                                                                        function_469f40();
                                                                        // branch -> 0x46937f
                                                                    } else {
                                                                        // 0x468d18
                                                                        if (*(char *)(*v123 + 13) == 1) {
                                                                            // 0x468d21
                                                                            v172 = g11;
                                                                            v135 = v172 - 4;
                                                                            *(int32_t *)v135 = v211 - 260;
                                                                            g11 = v135;
                                                                            g6 = v233 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v172 - 8) = 0x468d38;
                                                                            function_46aac4();
                                                                            g6 = -1;
                                                                            v173 = g4;
                                                                            g8 = v173 - 260;
                                                                            g3 = *(int32_t *)(v173 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468d49;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468d4e
                                                                            if (*(char *)(*v123 + 13) == 18) {
                                                                                // 0x468d57
                                                                                v174 = g11;
                                                                                v136 = v174 - 4;
                                                                                *(int32_t *)v136 = v211 - 260;
                                                                                g11 = v136;
                                                                                g6 = v233 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                function_46ab48();
                                                                                g6 = -1;
                                                                                v175 = g4;
                                                                                g8 = v175 - 260;
                                                                                g3 = *(int32_t *)(v175 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468d84
                                                                                if (*(char *)(*v123 + 13) == 19) {
                                                                                    // 0x468d8d
                                                                                    v176 = g11;
                                                                                    v137 = v176 - 4;
                                                                                    *(int32_t *)v137 = v211 - 260;
                                                                                    g11 = v137;
                                                                                    g6 = v233 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                    function_46abcc();
                                                                                    g6 = -1;
                                                                                    v177 = g4;
                                                                                    g8 = v177 - 260;
                                                                                    g3 = *(int32_t *)(v177 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468dba
                                                                                    if (*(char *)(*v123 + 13) == 20) {
                                                                                        // 0x468dc3
                                                                                        v178 = g11;
                                                                                        v138 = v178 - 4;
                                                                                        *(int32_t *)v138 = v211 - 260;
                                                                                        g11 = v138;
                                                                                        g6 = v233 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                        function_46ac50();
                                                                                        g6 = -1;
                                                                                        v179 = g4;
                                                                                        g8 = v179 - 260;
                                                                                        g3 = *(int32_t *)(v179 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468df0
                                                                                        if (*(char *)(*v123 + 13) != 22) {
                                                                                            // 0x468df9
                                                                                            if (*(char *)(*v123 + 13) != 21) {
                                                                                                // 0x468fad
                                                                                                if (*(char *)(*v123 + 13) == 3) {
                                                                                                    // 0x468fba
                                                                                                    if (*(char *)(v211 - 240) == 0) {
                                                                                                        // 0x469000
                                                                                                        g6 = -1;
                                                                                                        g8 = v211 - 260;
                                                                                                        g3 = *(int32_t *)(v211 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                        function_4673b4();
                                                                                                        *(int32_t *)(g4 - 28) = g3;
                                                                                                        v189 = g4;
                                                                                                        g8 = v189 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                        function_46a30c();
                                                                                                        v221 = g4;
                                                                                                        *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                        v222 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                        g6 = v222 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                        function_46b0d8();
                                                                                                        g6 = -1;
                                                                                                        v190 = g4;
                                                                                                        g8 = v190 - 324;
                                                                                                        g3 = *(int32_t *)(v190 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    } else {
                                                                                                        // 0x468fc3
                                                                                                        *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                        v220 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                        g6 = v220 - 260;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                        function_46b0d8();
                                                                                                        *(int32_t *)(g4 - 260) = -1;
                                                                                                        g6 = -1;
                                                                                                        v188 = g4;
                                                                                                        g8 = v188 - 260;
                                                                                                        g3 = *(int32_t *)(v188 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    }
                                                                                                    // 0x46937f
                                                                                                    v268 = g4;
                                                                                                    g8 = v268 - 132;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                    function_46a30c();
                                                                                                    v269 = g4;
                                                                                                    *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                    v270 = g4;
                                                                                                    v267 = (int32_t *)(v270 - 8);
                                                                                                    v271 = *(int32_t *)(*v267 + 4);
                                                                                                    if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                        // 0x4693a8
                                                                                                        v272 = *(int32_t *)(*v267 + 8);
                                                                                                        if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                            // 0x4693bd
                                                                                                            *(char *)(v270 - 100) = 0;
                                                                                                            // branch -> 0x4693c1
                                                                                                            // 0x4693c1
                                                                                                            v7 = NULL;
                                                                                                            g11 = (int32_t)&v7;
                                                                                                            v33 = g4;
                                                                                                            g8 = v33 - 132;
                                                                                                            v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                            g3 = *(int32_t *)(v33 - 4);
                                                                                                            function_4663c4();
                                                                                                            v64 = g4;
                                                                                                            v25 = (int32_t *)(v64 - 8);
                                                                                                            v37 = v64;
                                                                                                            v20 = v24;
                                                                                                            if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                // 0x4693dd
                                                                                                                if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                    // 0x4693e6
                                                                                                                    g8 = v64 - 132;
                                                                                                                    g3 = *(int32_t *)(v64 - 4);
                                                                                                                    function_469c8c();
                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                    v34 = g4;
                                                                                                                    g11 = v4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                    g6 = 1;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                    function_46ae10();
                                                                                                                    v35 = g4;
                                                                                                                    g8 = v35 - 132;
                                                                                                                    g3 = *(int32_t *)(v35 - 4);
                                                                                                                    function_469f40();
                                                                                                                    v36 = g4;
                                                                                                                    g8 = v36 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                    function_46a30c();
                                                                                                                    v65 = g4;
                                                                                                                    *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                    *(char *)(g4 - 128) = 1;
                                                                                                                    v37 = g4;
                                                                                                                    v20 = (int32_t *)-1;
                                                                                                                    // branch -> 0x46943d
                                                                                                                } else {
                                                                                                                    v37 = v64;
                                                                                                                    v20 = v24;
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x46943d
                                                                                                            v40 = v37;
                                                                                                            v18 = v20;
                                                                                                            if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                // 0x46944a
                                                                                                                g8 = v37 - 132;
                                                                                                                *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                function_46a168();
                                                                                                                v66 = g4;
                                                                                                                if (g3 == 0) {
                                                                                                                    // 0x46945c
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                    System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                    g8 = 0x469b04;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                    function_45bf7c();
                                                                                                                    // branch -> 0x469a51
                                                                                                                } else {
                                                                                                                    // 0x46947f
                                                                                                                    v26 = (char *)(v66 - 128);
                                                                                                                    if (*v26 == 0) {
                                                                                                                        // 0x469485
                                                                                                                        g8 = v66 - 132;
                                                                                                                        g3 = *(int32_t *)(v66 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                        function_469c8c();
                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                        v67 = g4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                        g6 = v67 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                        function_46af4c();
                                                                                                                        v38 = g4;
                                                                                                                        g8 = v38 - 132;
                                                                                                                        g3 = *(int32_t *)(v38 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                        function_469f40();
                                                                                                                        v39 = g4;
                                                                                                                        g8 = v39 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                        function_46a30c();
                                                                                                                        v68 = g4;
                                                                                                                        *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                        v19 = (int32_t *)-1;
                                                                                                                        // branch -> 0x4694db
                                                                                                                    } else {
                                                                                                                        // 0x4694d7
                                                                                                                        *v26 = 0;
                                                                                                                        v19 = v20;
                                                                                                                        // branch -> 0x4694db
                                                                                                                    }
                                                                                                                    // 0x4694db
                                                                                                                    v27 = (int32_t *)(g4 - 96);
                                                                                                                    *v27 = *v27 + 1;
                                                                                                                    v69 = g4;
                                                                                                                    if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                        v40 = v69;
                                                                                                                        v18 = v19;
                                                                                                                        // 0x469507
                                                                                                                        v45 = v40;
                                                                                                                        v23 = v18;
                                                                                                                        if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                            // 0x469510
                                                                                                                            v42 = v40;
                                                                                                                            if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                                // 0x469519
                                                                                                                                g8 = v40 - 132;
                                                                                                                                g3 = *(int32_t *)(v40 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v41 = g11;
                                                                                                                                v30 = v41 - 4;
                                                                                                                                *(int32_t *)v30 = g4 - 132;
                                                                                                                                g11 = v30;
                                                                                                                                v70 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                                *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                                function_46ae10();
                                                                                                                                v42 = g4;
                                                                                                                                // branch -> 0x469541
                                                                                                                            }
                                                                                                                            // 0x469541
                                                                                                                            g8 = v42 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                            function_46b434();
                                                                                                                            v43 = g4;
                                                                                                                            g8 = v43 - 132;
                                                                                                                            g3 = *(int32_t *)(v43 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                            function_469f40();
                                                                                                                            v44 = g4;
                                                                                                                            g8 = v44 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                            function_46a30c();
                                                                                                                            v71 = g4;
                                                                                                                            if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                                // 0x46957d
                                                                                                                                *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                                v45 = g4;
                                                                                                                                v23 = (int32_t *)-1;
                                                                                                                                // branch -> 0x469586
                                                                                                                            } else {
                                                                                                                                v45 = v71;
                                                                                                                                v23 = (int32_t *)-1;
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x469586
                                                                                                                        v50 = v45;
                                                                                                                        v22 = v23;
                                                                                                                        if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                            // 0x46958f
                                                                                                                            v47 = v45;
                                                                                                                            if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                                // 0x469598
                                                                                                                                g8 = v45 - 132;
                                                                                                                                g3 = *(int32_t *)(v45 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v46 = g11;
                                                                                                                                v31 = v46 - 4;
                                                                                                                                *(int32_t *)v31 = g4 - 132;
                                                                                                                                g11 = v31;
                                                                                                                                v72 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                                *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                                function_46ae10();
                                                                                                                                v47 = g4;
                                                                                                                                // branch -> 0x4695c0
                                                                                                                            }
                                                                                                                            // 0x4695c0
                                                                                                                            g8 = v47 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                            function_46b4ac();
                                                                                                                            v48 = g4;
                                                                                                                            g8 = v48 - 132;
                                                                                                                            g3 = *(int32_t *)(v48 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                            function_469f40();
                                                                                                                            v49 = g4;
                                                                                                                            g8 = v49 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                            function_46a30c();
                                                                                                                            v73 = g4;
                                                                                                                            if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                                // 0x4695fc
                                                                                                                                *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                                v50 = g4;
                                                                                                                                v22 = (int32_t *)-1;
                                                                                                                                // branch -> 0x469605
                                                                                                                            } else {
                                                                                                                                v50 = v73;
                                                                                                                                v22 = (int32_t *)-1;
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x469605
                                                                                                                        v53 = v50;
                                                                                                                        v21 = v22;
                                                                                                                        if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                            // 0x469612
                                                                                                                            if (*(char *)(v50 - 111) == 0) {
                                                                                                                                // 0x469618
                                                                                                                                if (*(char *)(v50 - 112) == 0) {
                                                                                                                                    // 0x469641
                                                                                                                                    if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                        // 0x46966a
                                                                                                                                        if (*(char *)(v50 - 100) == 1) {
                                                                                                                                            // 0x469693
                                                                                                                                            g8 = v50 - 196;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                            function_46a30c();
                                                                                                                                            v51 = g4;
                                                                                                                                            g8 = v51 - 132;
                                                                                                                                            g3 = *(int32_t *)(v51 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                            function_4673b4();
                                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                                            g8 = g8 & -256 | 247;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                            function_462278();
                                                                                                                                            v74 = g4;
                                                                                                                                            v83 = g8 & -256;
                                                                                                                                            g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                            function_462278();
                                                                                                                                            g8 = g8 & -256 | 131;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                            function_462278();
                                                                                                                                            v75 = g4;
                                                                                                                                            v84 = g8 & -256;
                                                                                                                                            g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                            function_462278();
                                                                                                                                            g8 = g8 & -256 | 1;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                            function_462278();
                                                                                                                                            v52 = g4;
                                                                                                                                            g8 = v52 - 132;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                            function_46a30c();
                                                                                                                                            v76 = g4;
                                                                                                                                            *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                            v53 = g4;
                                                                                                                                            v21 = (int32_t *)-1;
                                                                                                                                            // branch -> 0x46971b
                                                                                                                                            // 0x46971b
                                                                                                                                            if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                                                                                                                // 0x469728
                                                                                                                                                if (*(char *)(v53 - 112) == 0) {
                                                                                                                                                    // 0x469736
                                                                                                                                                    v29 = (char *)(v53 - 100);
                                                                                                                                                    if (*v29 != 8) {
                                                                                                                                                        // 0x46973c
                                                                                                                                                        if (*v29 != 0) {
                                                                                                                                                            // 0x4697ba
                                                                                                                                                            if (*v29 == 3) {
                                                                                                                                                                // 0x4697c4
                                                                                                                                                                v80 = v53;
                                                                                                                                                                if (*(char *)(v53 - 99) == 0) {
                                                                                                                                                                    // 0x4697ce
                                                                                                                                                                    g8 = v53 - 132;
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                                                                                                                    function_46a168();
                                                                                                                                                                    if (g3 == 0) {
                                                                                                                                                                        // 0x4697e0
                                                                                                                                                                        v57 = g4;
                                                                                                                                                                        g8 = v57 - 260;
                                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                                                                                                        function_46a30c();
                                                                                                                                                                        *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469803;
                                                                                                                                                                        function_469fd8();
                                                                                                                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                                        v58 = g11;
                                                                                                                                                                        v32 = v58 - 4;
                                                                                                                                                                        *(int32_t *)v32 = g4 - 260;
                                                                                                                                                                        g11 = v32;
                                                                                                                                                                        g6 = 0;
                                                                                                                                                                        v59 = g4;
                                                                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                                                                                                        *(int32_t *)(v58 - 8) = 0x469823;
                                                                                                                                                                        function_46ae10();
                                                                                                                                                                        g6 = -1;
                                                                                                                                                                        v60 = g4;
                                                                                                                                                                        g8 = v60 - 132;
                                                                                                                                                                        g3 = *(int32_t *)(v60 - 4);
                                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469834;
                                                                                                                                                                        function_469f40();
                                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                                                                                                        System__CopyRecord(0x46a22c);
                                                                                                                                                                        // branch -> 0x46984b
                                                                                                                                                                    }
                                                                                                                                                                    // 0x46984b
                                                                                                                                                                    v61 = g4;
                                                                                                                                                                    g8 = v61 - 132;
                                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46985c;
                                                                                                                                                                    function_46b524();
                                                                                                                                                                    v80 = g4;
                                                                                                                                                                    // branch -> 0x46985c
                                                                                                                                                                }
                                                                                                                                                                // 0x46985c
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                                                                                                                g8 = g8 & -256 | 217;
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46986c;
                                                                                                                                                                function_462278();
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                                                g8 = g8 & -256 | 224;
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46987c;
                                                                                                                                                                function_462278();
                                                                                                                                                                v81 = g4;
                                                                                                                                                                if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                                                                                                                    // 0x469884
                                                                                                                                                                    g8 = v81 - 260;
                                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469895;
                                                                                                                                                                    function_46a30c();
                                                                                                                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                                                                                                                    function_469fd8();
                                                                                                                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                                    v62 = g4;
                                                                                                                                                                    g8 = v62 - 260;
                                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4698be;
                                                                                                                                                                    function_46b614();
                                                                                                                                                                    g6 = -1;
                                                                                                                                                                    v63 = g4;
                                                                                                                                                                    g8 = v63 - 132;
                                                                                                                                                                    g3 = *(int32_t *)(v63 - 4);
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                                                                                                                    function_469f40();
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                                                                                                                    System__CopyRecord(0x46a22c);
                                                                                                                                                                    // branch -> 0x4698ec
                                                                                                                                                                } else {
                                                                                                                                                                    // 0x4698e8
                                                                                                                                                                    *(char *)(v81 - 99) = 1;
                                                                                                                                                                    // branch -> 0x4698ec
                                                                                                                                                                }
                                                                                                                                                                // 0x4698ec
                                                                                                                                                                *(char *)(g4 - 100) = 3;
                                                                                                                                                                // branch -> 0x469915
                                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                            } else {
                                                                                                                                                                // 0x4698f2
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469903;
                                                                                                                                                                System__AsClass(v21, (int32_t *)0x4637dc);
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                                                                                                                                g8 = 0x469c54;
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469910;
                                                                                                                                                                function_45bf7c();
                                                                                                                                                                // branch -> 0x469a51
                                                                                                                                                            }
                                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                        }
                                                                                                                                                    }
                                                                                                                                                    // 0x469742
                                                                                                                                                    g8 = v53 - 132;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469750;
                                                                                                                                                    function_46a168();
                                                                                                                                                    if (g3 != 0) {
                                                                                                                                                        // 0x469754
                                                                                                                                                        v54 = g4;
                                                                                                                                                        g8 = v54 - 132;
                                                                                                                                                        g3 = *(int32_t *)(v54 - 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469765;
                                                                                                                                                        function_4673b4();
                                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                        v77 = g4;
                                                                                                                                                        *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                                                                                                        v55 = g4;
                                                                                                                                                        g8 = v55 - 132;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46977f;
                                                                                                                                                        function_46a30c();
                                                                                                                                                        v78 = g4;
                                                                                                                                                        *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                                                                                                        v79 = g4;
                                                                                                                                                        *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                                                                                                        // branch -> 0x46978e
                                                                                                                                                    }
                                                                                                                                                    // 0x46978e
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                                    g8 = g8 & -256 | 247;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46979e;
                                                                                                                                                    function_462278();
                                                                                                                                                    v56 = g4;
                                                                                                                                                    v82 = g8 & -256;
                                                                                                                                                    g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4697b5;
                                                                                                                                                    function_462278();
                                                                                                                                                    // branch -> 0x469915
                                                                                                                                                } else {
                                                                                                                                                    // 0x46972e
                                                                                                                                                    v28 = (int32_t *)(v53 - 108);
                                                                                                                                                    *v28 = -*v28;
                                                                                                                                                    // branch -> 0x469915
                                                                                                                                                }
                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                            }
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        } else {
                                                                                                                                            // 0x469670
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                            g8 = 0x469c04;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                            function_45bf7c();
                                                                                                                                            // branch -> 0x469a51
                                                                                                                                        }
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    } else {
                                                                                                                                        // 0x469647
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                        g8 = 0x469bc0;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                        function_45bf7c();
                                                                                                                                        // branch -> 0x469a51
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x46961e
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                            g8 = 0x469b88;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                            function_45bf7c();
                                                                                                                            // branch -> 0x469a51
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // 0x46971b
                                                                                                                        if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                                                                                            // 0x469728
                                                                                                                            if (*(char *)(v53 - 112) == 0) {
                                                                                                                                // 0x469736
                                                                                                                                v29 = (char *)(v53 - 100);
                                                                                                                                if (*v29 != 8) {
                                                                                                                                    // 0x46973c
                                                                                                                                    if (*v29 != 0) {
                                                                                                                                        // 0x4697ba
                                                                                                                                        if (*v29 == 3) {
                                                                                                                                            // 0x4697c4
                                                                                                                                            v80 = v53;
                                                                                                                                            if (*(char *)(v53 - 99) == 0) {
                                                                                                                                                // 0x4697ce
                                                                                                                                                g8 = v53 - 132;
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                                                                                                function_46a168();
                                                                                                                                                if (g3 == 0) {
                                                                                                                                                    // 0x4697e0
                                                                                                                                                    v57 = g4;
                                                                                                                                                    g8 = v57 - 260;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                                                                                    function_46a30c();
                                                                                                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469803;
                                                                                                                                                    function_469fd8();
                                                                                                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                    v58 = g11;
                                                                                                                                                    v32 = v58 - 4;
                                                                                                                                                    *(int32_t *)v32 = g4 - 260;
                                                                                                                                                    g11 = v32;
                                                                                                                                                    g6 = 0;
                                                                                                                                                    v59 = g4;
                                                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                                                                                    *(int32_t *)(v58 - 8) = 0x469823;
                                                                                                                                                    function_46ae10();
                                                                                                                                                    g6 = -1;
                                                                                                                                                    v60 = g4;
                                                                                                                                                    g8 = v60 - 132;
                                                                                                                                                    g3 = *(int32_t *)(v60 - 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469834;
                                                                                                                                                    function_469f40();
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                                                                                    System__CopyRecord(0x46a22c);
                                                                                                                                                    // branch -> 0x46984b
                                                                                                                                                }
                                                                                                                                                // 0x46984b
                                                                                                                                                v61 = g4;
                                                                                                                                                g8 = v61 - 132;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46985c;
                                                                                                                                                function_46b524();
                                                                                                                                                v80 = g4;
                                                                                                                                                // branch -> 0x46985c
                                                                                                                                            }
                                                                                                                                            // 0x46985c
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                                                                                            g8 = g8 & -256 | 217;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46986c;
                                                                                                                                            function_462278();
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                            g8 = g8 & -256 | 224;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46987c;
                                                                                                                                            function_462278();
                                                                                                                                            v81 = g4;
                                                                                                                                            if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                                                                                                // 0x469884
                                                                                                                                                g8 = v81 - 260;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469895;
                                                                                                                                                function_46a30c();
                                                                                                                                                *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                                                                                                function_469fd8();
                                                                                                                                                *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                v62 = g4;
                                                                                                                                                g8 = v62 - 260;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4698be;
                                                                                                                                                function_46b614();
                                                                                                                                                g6 = -1;
                                                                                                                                                v63 = g4;
                                                                                                                                                g8 = v63 - 132;
                                                                                                                                                g3 = *(int32_t *)(v63 - 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                                                                                                function_469f40();
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                                                                                                System__CopyRecord(0x46a22c);
                                                                                                                                                // branch -> 0x4698ec
                                                                                                                                            } else {
                                                                                                                                                // 0x4698e8
                                                                                                                                                *(char *)(v81 - 99) = 1;
                                                                                                                                                // branch -> 0x4698ec
                                                                                                                                            }
                                                                                                                                            // 0x4698ec
                                                                                                                                            *(char *)(g4 - 100) = 3;
                                                                                                                                            // branch -> 0x469915
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        } else {
                                                                                                                                            // 0x4698f2
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469903;
                                                                                                                                            System__AsClass(v21, (int32_t *)0x4637dc);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                                                                                                            g8 = 0x469c54;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469910;
                                                                                                                                            function_45bf7c();
                                                                                                                                            // branch -> 0x469a51
                                                                                                                                        }
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    }
                                                                                                                                }
                                                                                                                                // 0x469742
                                                                                                                                g8 = v53 - 132;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469750;
                                                                                                                                function_46a168();
                                                                                                                                if (g3 != 0) {
                                                                                                                                    // 0x469754
                                                                                                                                    v54 = g4;
                                                                                                                                    g8 = v54 - 132;
                                                                                                                                    g3 = *(int32_t *)(v54 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469765;
                                                                                                                                    function_4673b4();
                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                    v77 = g4;
                                                                                                                                    *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                                                                                    v55 = g4;
                                                                                                                                    g8 = v55 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46977f;
                                                                                                                                    function_46a30c();
                                                                                                                                    v78 = g4;
                                                                                                                                    *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                                                                                    v79 = g4;
                                                                                                                                    *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                                                                                    // branch -> 0x46978e
                                                                                                                                }
                                                                                                                                // 0x46978e
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                g8 = g8 & -256 | 247;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46979e;
                                                                                                                                function_462278();
                                                                                                                                v56 = g4;
                                                                                                                                v82 = g8 & -256;
                                                                                                                                g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4697b5;
                                                                                                                                function_462278();
                                                                                                                                // branch -> 0x469915
                                                                                                                            } else {
                                                                                                                                // 0x46972e
                                                                                                                                v28 = (int32_t *)(v53 - 108);
                                                                                                                                *v28 = -*v28;
                                                                                                                                // branch -> 0x469915
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x4694e4
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                        System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                        g8 = 0x469b3c;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                        function_45bf7c();
                                                                                                                        // branch -> 0x469a51
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // 0x469507
                                                                                                            v45 = v40;
                                                                                                            v23 = v18;
                                                                                                            if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                // 0x469510
                                                                                                                v42 = v40;
                                                                                                                if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                    // 0x469519
                                                                                                                    g8 = v40 - 132;
                                                                                                                    g3 = *(int32_t *)(v40 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                    function_469c8c();
                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                    v41 = g11;
                                                                                                                    v30 = v41 - 4;
                                                                                                                    *(int32_t *)v30 = g4 - 132;
                                                                                                                    g11 = v30;
                                                                                                                    v70 = g4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                    *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                    function_46ae10();
                                                                                                                    v42 = g4;
                                                                                                                    // branch -> 0x469541
                                                                                                                }
                                                                                                                // 0x469541
                                                                                                                g8 = v42 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                function_46b434();
                                                                                                                v43 = g4;
                                                                                                                g8 = v43 - 132;
                                                                                                                g3 = *(int32_t *)(v43 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                function_469f40();
                                                                                                                v44 = g4;
                                                                                                                g8 = v44 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                function_46a30c();
                                                                                                                v71 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                    // 0x46957d
                                                                                                                    *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                    v45 = g4;
                                                                                                                    v23 = (int32_t *)-1;
                                                                                                                    // branch -> 0x469586
                                                                                                                } else {
                                                                                                                    v45 = v71;
                                                                                                                    v23 = (int32_t *)-1;
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x469586
                                                                                                            v50 = v45;
                                                                                                            v22 = v23;
                                                                                                            if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                // 0x46958f
                                                                                                                v47 = v45;
                                                                                                                if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                    // 0x469598
                                                                                                                    g8 = v45 - 132;
                                                                                                                    g3 = *(int32_t *)(v45 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                    function_469c8c();
                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                    v46 = g11;
                                                                                                                    v31 = v46 - 4;
                                                                                                                    *(int32_t *)v31 = g4 - 132;
                                                                                                                    g11 = v31;
                                                                                                                    v72 = g4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                    *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                    function_46ae10();
                                                                                                                    v47 = g4;
                                                                                                                    // branch -> 0x4695c0
                                                                                                                }
                                                                                                                // 0x4695c0
                                                                                                                g8 = v47 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                function_46b4ac();
                                                                                                                v48 = g4;
                                                                                                                g8 = v48 - 132;
                                                                                                                g3 = *(int32_t *)(v48 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                function_469f40();
                                                                                                                v49 = g4;
                                                                                                                g8 = v49 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                function_46a30c();
                                                                                                                v73 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                    // 0x4695fc
                                                                                                                    *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                    v50 = g4;
                                                                                                                    v22 = (int32_t *)-1;
                                                                                                                    // branch -> 0x469605
                                                                                                                } else {
                                                                                                                    v50 = v73;
                                                                                                                    v22 = (int32_t *)-1;
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x469605
                                                                                                            v53 = v50;
                                                                                                            v21 = v22;
                                                                                                            if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                // 0x469612
                                                                                                                if (*(char *)(v50 - 111) == 0) {
                                                                                                                    // 0x469618
                                                                                                                    if (*(char *)(v50 - 112) == 0) {
                                                                                                                        // 0x469641
                                                                                                                        if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                            // 0x46966a
                                                                                                                            if (*(char *)(v50 - 100) == 1) {
                                                                                                                                // 0x469693
                                                                                                                                g8 = v50 - 196;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                function_46a30c();
                                                                                                                                v51 = g4;
                                                                                                                                g8 = v51 - 132;
                                                                                                                                g3 = *(int32_t *)(v51 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                function_4673b4();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                g8 = g8 & -256 | 247;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                function_462278();
                                                                                                                                v74 = g4;
                                                                                                                                v83 = g8 & -256;
                                                                                                                                g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                function_462278();
                                                                                                                                g8 = g8 & -256 | 131;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                function_462278();
                                                                                                                                v75 = g4;
                                                                                                                                v84 = g8 & -256;
                                                                                                                                g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                function_462278();
                                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                function_462278();
                                                                                                                                v52 = g4;
                                                                                                                                g8 = v52 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                function_46a30c();
                                                                                                                                v76 = g4;
                                                                                                                                *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                v53 = g4;
                                                                                                                                v21 = (int32_t *)-1;
                                                                                                                                // branch -> 0x46971b
                                                                                                                                // 0x46971b
                                                                                                                                if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                                                                                                    // 0x469728
                                                                                                                                    if (*(char *)(v53 - 112) == 0) {
                                                                                                                                        // 0x469736
                                                                                                                                        v29 = (char *)(v53 - 100);
                                                                                                                                        if (*v29 != 8) {
                                                                                                                                            // 0x46973c
                                                                                                                                            if (*v29 != 0) {
                                                                                                                                                // 0x4697ba
                                                                                                                                                if (*v29 == 3) {
                                                                                                                                                    // 0x4697c4
                                                                                                                                                    v80 = v53;
                                                                                                                                                    if (*(char *)(v53 - 99) == 0) {
                                                                                                                                                        // 0x4697ce
                                                                                                                                                        g8 = v53 - 132;
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                                                                                                        function_46a168();
                                                                                                                                                        if (g3 == 0) {
                                                                                                                                                            // 0x4697e0
                                                                                                                                                            v57 = g4;
                                                                                                                                                            g8 = v57 - 260;
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                                                                                            function_46a30c();
                                                                                                                                                            *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469803;
                                                                                                                                                            function_469fd8();
                                                                                                                                                            *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                            v58 = g11;
                                                                                                                                                            v32 = v58 - 4;
                                                                                                                                                            *(int32_t *)v32 = g4 - 260;
                                                                                                                                                            g11 = v32;
                                                                                                                                                            g6 = 0;
                                                                                                                                                            v59 = g4;
                                                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                                                                                            *(int32_t *)(v58 - 8) = 0x469823;
                                                                                                                                                            function_46ae10();
                                                                                                                                                            g6 = -1;
                                                                                                                                                            v60 = g4;
                                                                                                                                                            g8 = v60 - 132;
                                                                                                                                                            g3 = *(int32_t *)(v60 - 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469834;
                                                                                                                                                            function_469f40();
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                                                                                            System__CopyRecord(0x46a22c);
                                                                                                                                                            // branch -> 0x46984b
                                                                                                                                                        }
                                                                                                                                                        // 0x46984b
                                                                                                                                                        v61 = g4;
                                                                                                                                                        g8 = v61 - 132;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46985c;
                                                                                                                                                        function_46b524();
                                                                                                                                                        v80 = g4;
                                                                                                                                                        // branch -> 0x46985c
                                                                                                                                                    }
                                                                                                                                                    // 0x46985c
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                                                                                                    g8 = g8 & -256 | 217;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46986c;
                                                                                                                                                    function_462278();
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                                    g8 = g8 & -256 | 224;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46987c;
                                                                                                                                                    function_462278();
                                                                                                                                                    v81 = g4;
                                                                                                                                                    if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                                                                                                        // 0x469884
                                                                                                                                                        g8 = v81 - 260;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469895;
                                                                                                                                                        function_46a30c();
                                                                                                                                                        *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                                                                                                        function_469fd8();
                                                                                                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                        v62 = g4;
                                                                                                                                                        g8 = v62 - 260;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4698be;
                                                                                                                                                        function_46b614();
                                                                                                                                                        g6 = -1;
                                                                                                                                                        v63 = g4;
                                                                                                                                                        g8 = v63 - 132;
                                                                                                                                                        g3 = *(int32_t *)(v63 - 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                                                                                                        function_469f40();
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                                                                                                        System__CopyRecord(0x46a22c);
                                                                                                                                                        // branch -> 0x4698ec
                                                                                                                                                    } else {
                                                                                                                                                        // 0x4698e8
                                                                                                                                                        *(char *)(v81 - 99) = 1;
                                                                                                                                                        // branch -> 0x4698ec
                                                                                                                                                    }
                                                                                                                                                    // 0x4698ec
                                                                                                                                                    *(char *)(g4 - 100) = 3;
                                                                                                                                                    // branch -> 0x469915
                                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                } else {
                                                                                                                                                    // 0x4698f2
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469903;
                                                                                                                                                    System__AsClass(v21, (int32_t *)0x4637dc);
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                                                                                                                    g8 = 0x469c54;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469910;
                                                                                                                                                    function_45bf7c();
                                                                                                                                                    // branch -> 0x469a51
                                                                                                                                                }
                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                            }
                                                                                                                                        }
                                                                                                                                        // 0x469742
                                                                                                                                        g8 = v53 - 132;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469750;
                                                                                                                                        function_46a168();
                                                                                                                                        if (g3 != 0) {
                                                                                                                                            // 0x469754
                                                                                                                                            v54 = g4;
                                                                                                                                            g8 = v54 - 132;
                                                                                                                                            g3 = *(int32_t *)(v54 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469765;
                                                                                                                                            function_4673b4();
                                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                                            v77 = g4;
                                                                                                                                            *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                                                                                            v55 = g4;
                                                                                                                                            g8 = v55 - 132;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46977f;
                                                                                                                                            function_46a30c();
                                                                                                                                            v78 = g4;
                                                                                                                                            *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                                                                                            v79 = g4;
                                                                                                                                            *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                                                                                            // branch -> 0x46978e
                                                                                                                                        }
                                                                                                                                        // 0x46978e
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                        g8 = g8 & -256 | 247;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46979e;
                                                                                                                                        function_462278();
                                                                                                                                        v56 = g4;
                                                                                                                                        v82 = g8 & -256;
                                                                                                                                        g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4697b5;
                                                                                                                                        function_462278();
                                                                                                                                        // branch -> 0x469915
                                                                                                                                    } else {
                                                                                                                                        // 0x46972e
                                                                                                                                        v28 = (int32_t *)(v53 - 108);
                                                                                                                                        *v28 = -*v28;
                                                                                                                                        // branch -> 0x469915
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            } else {
                                                                                                                                // 0x469670
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                g8 = 0x469c04;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                function_45bf7c();
                                                                                                                                // branch -> 0x469a51
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        } else {
                                                                                                                            // 0x469647
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                            g8 = 0x469bc0;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                            function_45bf7c();
                                                                                                                            // branch -> 0x469a51
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x46961e
                                                                                                                *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                g8 = 0x469b88;
                                                                                                                *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                function_45bf7c();
                                                                                                                // branch -> 0x469a51
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // 0x46971b
                                                                                                            if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                                                                                // 0x469728
                                                                                                                if (*(char *)(v53 - 112) == 0) {
                                                                                                                    // 0x469736
                                                                                                                    v29 = (char *)(v53 - 100);
                                                                                                                    if (*v29 != 8) {
                                                                                                                        // 0x46973c
                                                                                                                        if (*v29 != 0) {
                                                                                                                            // 0x4697ba
                                                                                                                            if (*v29 == 3) {
                                                                                                                                // 0x4697c4
                                                                                                                                v80 = v53;
                                                                                                                                if (*(char *)(v53 - 99) == 0) {
                                                                                                                                    // 0x4697ce
                                                                                                                                    g8 = v53 - 132;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                                                                                    function_46a168();
                                                                                                                                    if (g3 == 0) {
                                                                                                                                        // 0x4697e0
                                                                                                                                        v57 = g4;
                                                                                                                                        g8 = v57 - 260;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                                                                        function_46a30c();
                                                                                                                                        *(int32_t *)(g4 - 260) = 5;
                                                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469803;
                                                                                                                                        function_469fd8();
                                                                                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                                                                                        v58 = g11;
                                                                                                                                        v32 = v58 - 4;
                                                                                                                                        *(int32_t *)v32 = g4 - 260;
                                                                                                                                        g11 = v32;
                                                                                                                                        g6 = 0;
                                                                                                                                        v59 = g4;
                                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                                                                        *(int32_t *)(v58 - 8) = 0x469823;
                                                                                                                                        function_46ae10();
                                                                                                                                        g6 = -1;
                                                                                                                                        v60 = g4;
                                                                                                                                        g8 = v60 - 132;
                                                                                                                                        g3 = *(int32_t *)(v60 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469834;
                                                                                                                                        function_469f40();
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                                                                        System__CopyRecord(0x46a22c);
                                                                                                                                        // branch -> 0x46984b
                                                                                                                                    }
                                                                                                                                    // 0x46984b
                                                                                                                                    v61 = g4;
                                                                                                                                    g8 = v61 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46985c;
                                                                                                                                    function_46b524();
                                                                                                                                    v80 = g4;
                                                                                                                                    // branch -> 0x46985c
                                                                                                                                }
                                                                                                                                // 0x46985c
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                                                                                g8 = g8 & -256 | 217;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46986c;
                                                                                                                                function_462278();
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                g8 = g8 & -256 | 224;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46987c;
                                                                                                                                function_462278();
                                                                                                                                v81 = g4;
                                                                                                                                if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                                                                                    // 0x469884
                                                                                                                                    g8 = v81 - 260;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469895;
                                                                                                                                    function_46a30c();
                                                                                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                                                                                    function_469fd8();
                                                                                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                                                                                    v62 = g4;
                                                                                                                                    g8 = v62 - 260;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4698be;
                                                                                                                                    function_46b614();
                                                                                                                                    g6 = -1;
                                                                                                                                    v63 = g4;
                                                                                                                                    g8 = v63 - 132;
                                                                                                                                    g3 = *(int32_t *)(v63 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                                                                                    function_469f40();
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                                                                                    System__CopyRecord(0x46a22c);
                                                                                                                                    // branch -> 0x4698ec
                                                                                                                                } else {
                                                                                                                                    // 0x4698e8
                                                                                                                                    *(char *)(v81 - 99) = 1;
                                                                                                                                    // branch -> 0x4698ec
                                                                                                                                }
                                                                                                                                // 0x4698ec
                                                                                                                                *(char *)(g4 - 100) = 3;
                                                                                                                                // branch -> 0x469915
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            } else {
                                                                                                                                // 0x4698f2
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469903;
                                                                                                                                System__AsClass(v21, (int32_t *)0x4637dc);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                                                                                                g8 = 0x469c54;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469910;
                                                                                                                                function_45bf7c();
                                                                                                                                // branch -> 0x469a51
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x469742
                                                                                                                    g8 = v53 - 132;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469750;
                                                                                                                    function_46a168();
                                                                                                                    if (g3 != 0) {
                                                                                                                        // 0x469754
                                                                                                                        v54 = g4;
                                                                                                                        g8 = v54 - 132;
                                                                                                                        g3 = *(int32_t *)(v54 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469765;
                                                                                                                        function_4673b4();
                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                        v77 = g4;
                                                                                                                        *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                                                                        v55 = g4;
                                                                                                                        g8 = v55 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46977f;
                                                                                                                        function_46a30c();
                                                                                                                        v78 = g4;
                                                                                                                        *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                                                                        v79 = g4;
                                                                                                                        *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                                                                        // branch -> 0x46978e
                                                                                                                    }
                                                                                                                    // 0x46978e
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                    g8 = g8 & -256 | 247;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46979e;
                                                                                                                    function_462278();
                                                                                                                    v56 = g4;
                                                                                                                    v82 = g8 & -256;
                                                                                                                    g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4697b5;
                                                                                                                    function_462278();
                                                                                                                    // branch -> 0x469915
                                                                                                                } else {
                                                                                                                    // 0x46972e
                                                                                                                    v28 = (int32_t *)(v53 - 108);
                                                                                                                    *v28 = -*v28;
                                                                                                                    // branch -> 0x469915
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x4693b7
                                                                                                    *(char *)(v270 - 100) = 8;
                                                                                                    // branch -> 0x4693c1
                                                                                                    // 0x4693c1
                                                                                                    v7 = NULL;
                                                                                                    g11 = (int32_t)&v7;
                                                                                                    v33 = g4;
                                                                                                    g8 = v33 - 132;
                                                                                                    v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                    g3 = *(int32_t *)(v33 - 4);
                                                                                                    function_4663c4();
                                                                                                    v64 = g4;
                                                                                                    v25 = (int32_t *)(v64 - 8);
                                                                                                    v37 = v64;
                                                                                                    v20 = v24;
                                                                                                    if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                        // 0x4693dd
                                                                                                        if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                            // 0x4693e6
                                                                                                            g8 = v64 - 132;
                                                                                                            g3 = *(int32_t *)(v64 - 4);
                                                                                                            function_469c8c();
                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                            v34 = g4;
                                                                                                            g11 = v4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                            g6 = 1;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                            function_46ae10();
                                                                                                            v35 = g4;
                                                                                                            g8 = v35 - 132;
                                                                                                            g3 = *(int32_t *)(v35 - 4);
                                                                                                            function_469f40();
                                                                                                            v36 = g4;
                                                                                                            g8 = v36 - 132;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                            function_46a30c();
                                                                                                            v65 = g4;
                                                                                                            *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                            *(char *)(g4 - 128) = 1;
                                                                                                            v37 = g4;
                                                                                                            v20 = (int32_t *)-1;
                                                                                                            // branch -> 0x46943d
                                                                                                        } else {
                                                                                                            v37 = v64;
                                                                                                            v20 = v24;
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x46943d
                                                                                                    v40 = v37;
                                                                                                    v18 = v20;
                                                                                                    if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                        // 0x46944a
                                                                                                        g8 = v37 - 132;
                                                                                                        *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                        function_46a168();
                                                                                                        v66 = g4;
                                                                                                        if (g3 == 0) {
                                                                                                            // 0x46945c
                                                                                                            *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                            System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                            g8 = 0x469b04;
                                                                                                            *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                            function_45bf7c();
                                                                                                            // branch -> 0x469a51
                                                                                                        } else {
                                                                                                            // 0x46947f
                                                                                                            v26 = (char *)(v66 - 128);
                                                                                                            if (*v26 == 0) {
                                                                                                                // 0x469485
                                                                                                                g8 = v66 - 132;
                                                                                                                g3 = *(int32_t *)(v66 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                function_469c8c();
                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                v67 = g4;
                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                g6 = v67 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                function_46af4c();
                                                                                                                v38 = g4;
                                                                                                                g8 = v38 - 132;
                                                                                                                g3 = *(int32_t *)(v38 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                function_469f40();
                                                                                                                v39 = g4;
                                                                                                                g8 = v39 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                function_46a30c();
                                                                                                                v68 = g4;
                                                                                                                *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                v19 = (int32_t *)-1;
                                                                                                                // branch -> 0x4694db
                                                                                                            } else {
                                                                                                                // 0x4694d7
                                                                                                                *v26 = 0;
                                                                                                                v19 = v20;
                                                                                                                // branch -> 0x4694db
                                                                                                            }
                                                                                                            // 0x4694db
                                                                                                            v27 = (int32_t *)(g4 - 96);
                                                                                                            *v27 = *v27 + 1;
                                                                                                            v69 = g4;
                                                                                                            if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                v40 = v69;
                                                                                                                v18 = v19;
                                                                                                                // 0x469507
                                                                                                                v45 = v40;
                                                                                                                v23 = v18;
                                                                                                                if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                    // 0x469510
                                                                                                                    v42 = v40;
                                                                                                                    if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                        // 0x469519
                                                                                                                        g8 = v40 - 132;
                                                                                                                        g3 = *(int32_t *)(v40 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                        function_469c8c();
                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                        v41 = g11;
                                                                                                                        v30 = v41 - 4;
                                                                                                                        *(int32_t *)v30 = g4 - 132;
                                                                                                                        g11 = v30;
                                                                                                                        v70 = g4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                        *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                        function_46ae10();
                                                                                                                        v42 = g4;
                                                                                                                        // branch -> 0x469541
                                                                                                                    }
                                                                                                                    // 0x469541
                                                                                                                    g8 = v42 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                    function_46b434();
                                                                                                                    v43 = g4;
                                                                                                                    g8 = v43 - 132;
                                                                                                                    g3 = *(int32_t *)(v43 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                    function_469f40();
                                                                                                                    v44 = g4;
                                                                                                                    g8 = v44 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                    function_46a30c();
                                                                                                                    v71 = g4;
                                                                                                                    if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                        // 0x46957d
                                                                                                                        *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                        v45 = g4;
                                                                                                                        v23 = (int32_t *)-1;
                                                                                                                        // branch -> 0x469586
                                                                                                                    } else {
                                                                                                                        v45 = v71;
                                                                                                                        v23 = (int32_t *)-1;
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x469586
                                                                                                                v50 = v45;
                                                                                                                v22 = v23;
                                                                                                                if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                    // 0x46958f
                                                                                                                    v47 = v45;
                                                                                                                    if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                        // 0x469598
                                                                                                                        g8 = v45 - 132;
                                                                                                                        g3 = *(int32_t *)(v45 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                        function_469c8c();
                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                        v46 = g11;
                                                                                                                        v31 = v46 - 4;
                                                                                                                        *(int32_t *)v31 = g4 - 132;
                                                                                                                        g11 = v31;
                                                                                                                        v72 = g4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                        *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                        function_46ae10();
                                                                                                                        v47 = g4;
                                                                                                                        // branch -> 0x4695c0
                                                                                                                    }
                                                                                                                    // 0x4695c0
                                                                                                                    g8 = v47 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                    function_46b4ac();
                                                                                                                    v48 = g4;
                                                                                                                    g8 = v48 - 132;
                                                                                                                    g3 = *(int32_t *)(v48 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                    function_469f40();
                                                                                                                    v49 = g4;
                                                                                                                    g8 = v49 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                    function_46a30c();
                                                                                                                    v73 = g4;
                                                                                                                    if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                        // 0x4695fc
                                                                                                                        *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                        v50 = g4;
                                                                                                                        v22 = (int32_t *)-1;
                                                                                                                        // branch -> 0x469605
                                                                                                                    } else {
                                                                                                                        v50 = v73;
                                                                                                                        v22 = (int32_t *)-1;
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x469605
                                                                                                                v53 = v50;
                                                                                                                v21 = v22;
                                                                                                                if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                    // 0x469612
                                                                                                                    if (*(char *)(v50 - 111) == 0) {
                                                                                                                        // 0x469618
                                                                                                                        if (*(char *)(v50 - 112) == 0) {
                                                                                                                            // 0x469641
                                                                                                                            if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                // 0x46966a
                                                                                                                                if (*(char *)(v50 - 100) == 1) {
                                                                                                                                    // 0x469693
                                                                                                                                    g8 = v50 - 196;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                    function_46a30c();
                                                                                                                                    v51 = g4;
                                                                                                                                    g8 = v51 - 132;
                                                                                                                                    g3 = *(int32_t *)(v51 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                    function_4673b4();
                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                    g8 = g8 & -256 | 247;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                    function_462278();
                                                                                                                                    v74 = g4;
                                                                                                                                    v83 = g8 & -256;
                                                                                                                                    g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                    function_462278();
                                                                                                                                    g8 = g8 & -256 | 131;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                    function_462278();
                                                                                                                                    v75 = g4;
                                                                                                                                    v84 = g8 & -256;
                                                                                                                                    g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                    function_462278();
                                                                                                                                    g8 = g8 & -256 | 1;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                    function_462278();
                                                                                                                                    v52 = g4;
                                                                                                                                    g8 = v52 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                    function_46a30c();
                                                                                                                                    v76 = g4;
                                                                                                                                    *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                    v53 = g4;
                                                                                                                                    v21 = (int32_t *)-1;
                                                                                                                                    // branch -> 0x46971b
                                                                                                                                    // 0x46971b
                                                                                                                                    if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                                                                                                        // 0x469728
                                                                                                                                        if (*(char *)(v53 - 112) == 0) {
                                                                                                                                            // 0x469736
                                                                                                                                            v29 = (char *)(v53 - 100);
                                                                                                                                            if (*v29 != 8) {
                                                                                                                                                // 0x46973c
                                                                                                                                                if (*v29 != 0) {
                                                                                                                                                    // 0x4697ba
                                                                                                                                                    if (*v29 == 3) {
                                                                                                                                                        // 0x4697c4
                                                                                                                                                        v80 = v53;
                                                                                                                                                        if (*(char *)(v53 - 99) == 0) {
                                                                                                                                                            // 0x4697ce
                                                                                                                                                            g8 = v53 - 132;
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                                                                                                            function_46a168();
                                                                                                                                                            if (g3 == 0) {
                                                                                                                                                                // 0x4697e0
                                                                                                                                                                v57 = g4;
                                                                                                                                                                g8 = v57 - 260;
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                                                                                                function_46a30c();
                                                                                                                                                                *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469803;
                                                                                                                                                                function_469fd8();
                                                                                                                                                                *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                                v58 = g11;
                                                                                                                                                                v32 = v58 - 4;
                                                                                                                                                                *(int32_t *)v32 = g4 - 260;
                                                                                                                                                                g11 = v32;
                                                                                                                                                                g6 = 0;
                                                                                                                                                                v59 = g4;
                                                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                                                                                                *(int32_t *)(v58 - 8) = 0x469823;
                                                                                                                                                                function_46ae10();
                                                                                                                                                                g6 = -1;
                                                                                                                                                                v60 = g4;
                                                                                                                                                                g8 = v60 - 132;
                                                                                                                                                                g3 = *(int32_t *)(v60 - 4);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469834;
                                                                                                                                                                function_469f40();
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                                                                                                System__CopyRecord(0x46a22c);
                                                                                                                                                                // branch -> 0x46984b
                                                                                                                                                            }
                                                                                                                                                            // 0x46984b
                                                                                                                                                            v61 = g4;
                                                                                                                                                            g8 = v61 - 132;
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46985c;
                                                                                                                                                            function_46b524();
                                                                                                                                                            v80 = g4;
                                                                                                                                                            // branch -> 0x46985c
                                                                                                                                                        }
                                                                                                                                                        // 0x46985c
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                                                                                                        g8 = g8 & -256 | 217;
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46986c;
                                                                                                                                                        function_462278();
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                                        g8 = g8 & -256 | 224;
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46987c;
                                                                                                                                                        function_462278();
                                                                                                                                                        v81 = g4;
                                                                                                                                                        if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                                                                                                            // 0x469884
                                                                                                                                                            g8 = v81 - 260;
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469895;
                                                                                                                                                            function_46a30c();
                                                                                                                                                            *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                                                                                                            function_469fd8();
                                                                                                                                                            *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                            v62 = g4;
                                                                                                                                                            g8 = v62 - 260;
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698be;
                                                                                                                                                            function_46b614();
                                                                                                                                                            g6 = -1;
                                                                                                                                                            v63 = g4;
                                                                                                                                                            g8 = v63 - 132;
                                                                                                                                                            g3 = *(int32_t *)(v63 - 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                                                                                                            function_469f40();
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                                                                                                            System__CopyRecord(0x46a22c);
                                                                                                                                                            // branch -> 0x4698ec
                                                                                                                                                        } else {
                                                                                                                                                            // 0x4698e8
                                                                                                                                                            *(char *)(v81 - 99) = 1;
                                                                                                                                                            // branch -> 0x4698ec
                                                                                                                                                        }
                                                                                                                                                        // 0x4698ec
                                                                                                                                                        *(char *)(g4 - 100) = 3;
                                                                                                                                                        // branch -> 0x469915
                                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                    } else {
                                                                                                                                                        // 0x4698f2
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469903;
                                                                                                                                                        System__AsClass(v21, (int32_t *)0x4637dc);
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                                                                                                                        g8 = 0x469c54;
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469910;
                                                                                                                                                        function_45bf7c();
                                                                                                                                                        // branch -> 0x469a51
                                                                                                                                                    }
                                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                }
                                                                                                                                            }
                                                                                                                                            // 0x469742
                                                                                                                                            g8 = v53 - 132;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469750;
                                                                                                                                            function_46a168();
                                                                                                                                            if (g3 != 0) {
                                                                                                                                                // 0x469754
                                                                                                                                                v54 = g4;
                                                                                                                                                g8 = v54 - 132;
                                                                                                                                                g3 = *(int32_t *)(v54 - 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469765;
                                                                                                                                                function_4673b4();
                                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                v77 = g4;
                                                                                                                                                *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                                                                                                v55 = g4;
                                                                                                                                                g8 = v55 - 132;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46977f;
                                                                                                                                                function_46a30c();
                                                                                                                                                v78 = g4;
                                                                                                                                                *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                                                                                                v79 = g4;
                                                                                                                                                *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                                                                                                // branch -> 0x46978e
                                                                                                                                            }
                                                                                                                                            // 0x46978e
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                            g8 = g8 & -256 | 247;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46979e;
                                                                                                                                            function_462278();
                                                                                                                                            v56 = g4;
                                                                                                                                            v82 = g8 & -256;
                                                                                                                                            g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4697b5;
                                                                                                                                            function_462278();
                                                                                                                                            // branch -> 0x469915
                                                                                                                                        } else {
                                                                                                                                            // 0x46972e
                                                                                                                                            v28 = (int32_t *)(v53 - 108);
                                                                                                                                            *v28 = -*v28;
                                                                                                                                            // branch -> 0x469915
                                                                                                                                        }
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                } else {
                                                                                                                                    // 0x469670
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                    g8 = 0x469c04;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                    function_45bf7c();
                                                                                                                                    // branch -> 0x469a51
                                                                                                                                }
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            } else {
                                                                                                                                // 0x469647
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                g8 = 0x469bc0;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                function_45bf7c();
                                                                                                                                // branch -> 0x469a51
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x46961e
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                    g8 = 0x469b88;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                    function_45bf7c();
                                                                                                                    // branch -> 0x469a51
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // 0x46971b
                                                                                                                if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                                                                                    // 0x469728
                                                                                                                    if (*(char *)(v53 - 112) == 0) {
                                                                                                                        // 0x469736
                                                                                                                        v29 = (char *)(v53 - 100);
                                                                                                                        if (*v29 != 8) {
                                                                                                                            // 0x46973c
                                                                                                                            if (*v29 != 0) {
                                                                                                                                // 0x4697ba
                                                                                                                                if (*v29 == 3) {
                                                                                                                                    // 0x4697c4
                                                                                                                                    v80 = v53;
                                                                                                                                    if (*(char *)(v53 - 99) == 0) {
                                                                                                                                        // 0x4697ce
                                                                                                                                        g8 = v53 - 132;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                                                                                        function_46a168();
                                                                                                                                        if (g3 == 0) {
                                                                                                                                            // 0x4697e0
                                                                                                                                            v57 = g4;
                                                                                                                                            g8 = v57 - 260;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                                                                            function_46a30c();
                                                                                                                                            *(int32_t *)(g4 - 260) = 5;
                                                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469803;
                                                                                                                                            function_469fd8();
                                                                                                                                            *(int32_t *)(g4 - 244) = g3;
                                                                                                                                            v58 = g11;
                                                                                                                                            v32 = v58 - 4;
                                                                                                                                            *(int32_t *)v32 = g4 - 260;
                                                                                                                                            g11 = v32;
                                                                                                                                            g6 = 0;
                                                                                                                                            v59 = g4;
                                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                                                                            *(int32_t *)(v58 - 8) = 0x469823;
                                                                                                                                            function_46ae10();
                                                                                                                                            g6 = -1;
                                                                                                                                            v60 = g4;
                                                                                                                                            g8 = v60 - 132;
                                                                                                                                            g3 = *(int32_t *)(v60 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469834;
                                                                                                                                            function_469f40();
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                                                                            System__CopyRecord(0x46a22c);
                                                                                                                                            // branch -> 0x46984b
                                                                                                                                        }
                                                                                                                                        // 0x46984b
                                                                                                                                        v61 = g4;
                                                                                                                                        g8 = v61 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46985c;
                                                                                                                                        function_46b524();
                                                                                                                                        v80 = g4;
                                                                                                                                        // branch -> 0x46985c
                                                                                                                                    }
                                                                                                                                    // 0x46985c
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                                                                                    g8 = g8 & -256 | 217;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46986c;
                                                                                                                                    function_462278();
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                    g8 = g8 & -256 | 224;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46987c;
                                                                                                                                    function_462278();
                                                                                                                                    v81 = g4;
                                                                                                                                    if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                                                                                        // 0x469884
                                                                                                                                        g8 = v81 - 260;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469895;
                                                                                                                                        function_46a30c();
                                                                                                                                        *(int32_t *)(g4 - 260) = 5;
                                                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                                                                                        function_469fd8();
                                                                                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                                                                                        v62 = g4;
                                                                                                                                        g8 = v62 - 260;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4698be;
                                                                                                                                        function_46b614();
                                                                                                                                        g6 = -1;
                                                                                                                                        v63 = g4;
                                                                                                                                        g8 = v63 - 132;
                                                                                                                                        g3 = *(int32_t *)(v63 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                                                                                        function_469f40();
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                                                                                        System__CopyRecord(0x46a22c);
                                                                                                                                        // branch -> 0x4698ec
                                                                                                                                    } else {
                                                                                                                                        // 0x4698e8
                                                                                                                                        *(char *)(v81 - 99) = 1;
                                                                                                                                        // branch -> 0x4698ec
                                                                                                                                    }
                                                                                                                                    // 0x4698ec
                                                                                                                                    *(char *)(g4 - 100) = 3;
                                                                                                                                    // branch -> 0x469915
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                } else {
                                                                                                                                    // 0x4698f2
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469903;
                                                                                                                                    System__AsClass(v21, (int32_t *)0x4637dc);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                                                                                                    g8 = 0x469c54;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469910;
                                                                                                                                    function_45bf7c();
                                                                                                                                    // branch -> 0x469a51
                                                                                                                                }
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x469742
                                                                                                                        g8 = v53 - 132;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469750;
                                                                                                                        function_46a168();
                                                                                                                        if (g3 != 0) {
                                                                                                                            // 0x469754
                                                                                                                            v54 = g4;
                                                                                                                            g8 = v54 - 132;
                                                                                                                            g3 = *(int32_t *)(v54 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469765;
                                                                                                                            function_4673b4();
                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                            v77 = g4;
                                                                                                                            *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                                                                            v55 = g4;
                                                                                                                            g8 = v55 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46977f;
                                                                                                                            function_46a30c();
                                                                                                                            v78 = g4;
                                                                                                                            *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                                                                            v79 = g4;
                                                                                                                            *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                                                                            // branch -> 0x46978e
                                                                                                                        }
                                                                                                                        // 0x46978e
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                        g8 = g8 & -256 | 247;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46979e;
                                                                                                                        function_462278();
                                                                                                                        v56 = g4;
                                                                                                                        v82 = g8 & -256;
                                                                                                                        g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4697b5;
                                                                                                                        function_462278();
                                                                                                                        // branch -> 0x469915
                                                                                                                    } else {
                                                                                                                        // 0x46972e
                                                                                                                        v28 = (int32_t *)(v53 - 108);
                                                                                                                        *v28 = -*v28;
                                                                                                                        // branch -> 0x469915
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            } else {
                                                                                                                // 0x4694e4
                                                                                                                *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                g8 = 0x469b3c;
                                                                                                                *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                function_45bf7c();
                                                                                                                // branch -> 0x469a51
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // 0x469507
                                                                                                    v45 = v40;
                                                                                                    v23 = v18;
                                                                                                    if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                        // 0x469510
                                                                                                        v42 = v40;
                                                                                                        if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                            // 0x469519
                                                                                                            g8 = v40 - 132;
                                                                                                            g3 = *(int32_t *)(v40 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                            function_469c8c();
                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                            v41 = g11;
                                                                                                            v30 = v41 - 4;
                                                                                                            *(int32_t *)v30 = g4 - 132;
                                                                                                            g11 = v30;
                                                                                                            v70 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                            *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                            function_46ae10();
                                                                                                            v42 = g4;
                                                                                                            // branch -> 0x469541
                                                                                                        }
                                                                                                        // 0x469541
                                                                                                        g8 = v42 - 132;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                        function_46b434();
                                                                                                        v43 = g4;
                                                                                                        g8 = v43 - 132;
                                                                                                        g3 = *(int32_t *)(v43 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                        function_469f40();
                                                                                                        v44 = g4;
                                                                                                        g8 = v44 - 132;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                        function_46a30c();
                                                                                                        v71 = g4;
                                                                                                        if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                            // 0x46957d
                                                                                                            *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                            v45 = g4;
                                                                                                            v23 = (int32_t *)-1;
                                                                                                            // branch -> 0x469586
                                                                                                        } else {
                                                                                                            v45 = v71;
                                                                                                            v23 = (int32_t *)-1;
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x469586
                                                                                                    v50 = v45;
                                                                                                    v22 = v23;
                                                                                                    if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                        // 0x46958f
                                                                                                        v47 = v45;
                                                                                                        if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                            // 0x469598
                                                                                                            g8 = v45 - 132;
                                                                                                            g3 = *(int32_t *)(v45 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                            function_469c8c();
                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                            v46 = g11;
                                                                                                            v31 = v46 - 4;
                                                                                                            *(int32_t *)v31 = g4 - 132;
                                                                                                            g11 = v31;
                                                                                                            v72 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                            *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                            function_46ae10();
                                                                                                            v47 = g4;
                                                                                                            // branch -> 0x4695c0
                                                                                                        }
                                                                                                        // 0x4695c0
                                                                                                        g8 = v47 - 132;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                        function_46b4ac();
                                                                                                        v48 = g4;
                                                                                                        g8 = v48 - 132;
                                                                                                        g3 = *(int32_t *)(v48 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                        function_469f40();
                                                                                                        v49 = g4;
                                                                                                        g8 = v49 - 132;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                        function_46a30c();
                                                                                                        v73 = g4;
                                                                                                        if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                            // 0x4695fc
                                                                                                            *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                            v50 = g4;
                                                                                                            v22 = (int32_t *)-1;
                                                                                                            // branch -> 0x469605
                                                                                                        } else {
                                                                                                            v50 = v73;
                                                                                                            v22 = (int32_t *)-1;
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x469605
                                                                                                    v53 = v50;
                                                                                                    v21 = v22;
                                                                                                    if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                        // 0x469612
                                                                                                        if (*(char *)(v50 - 111) == 0) {
                                                                                                            // 0x469618
                                                                                                            if (*(char *)(v50 - 112) == 0) {
                                                                                                                // 0x469641
                                                                                                                if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                    // 0x46966a
                                                                                                                    if (*(char *)(v50 - 100) == 1) {
                                                                                                                        // 0x469693
                                                                                                                        g8 = v50 - 196;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                        function_46a30c();
                                                                                                                        v51 = g4;
                                                                                                                        g8 = v51 - 132;
                                                                                                                        g3 = *(int32_t *)(v51 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                        function_4673b4();
                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                        g8 = g8 & -256 | 247;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                        function_462278();
                                                                                                                        v74 = g4;
                                                                                                                        v83 = g8 & -256;
                                                                                                                        g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                        function_462278();
                                                                                                                        g8 = g8 & -256 | 131;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                        function_462278();
                                                                                                                        v75 = g4;
                                                                                                                        v84 = g8 & -256;
                                                                                                                        g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                        function_462278();
                                                                                                                        g8 = g8 & -256 | 1;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                        function_462278();
                                                                                                                        v52 = g4;
                                                                                                                        g8 = v52 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                        function_46a30c();
                                                                                                                        v76 = g4;
                                                                                                                        *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                        v53 = g4;
                                                                                                                        v21 = (int32_t *)-1;
                                                                                                                        // branch -> 0x46971b
                                                                                                                        // 0x46971b
                                                                                                                        if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                                                                                            // 0x469728
                                                                                                                            if (*(char *)(v53 - 112) == 0) {
                                                                                                                                // 0x469736
                                                                                                                                v29 = (char *)(v53 - 100);
                                                                                                                                if (*v29 != 8) {
                                                                                                                                    // 0x46973c
                                                                                                                                    if (*v29 != 0) {
                                                                                                                                        // 0x4697ba
                                                                                                                                        if (*v29 == 3) {
                                                                                                                                            // 0x4697c4
                                                                                                                                            v80 = v53;
                                                                                                                                            if (*(char *)(v53 - 99) == 0) {
                                                                                                                                                // 0x4697ce
                                                                                                                                                g8 = v53 - 132;
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                                                                                                function_46a168();
                                                                                                                                                if (g3 == 0) {
                                                                                                                                                    // 0x4697e0
                                                                                                                                                    v57 = g4;
                                                                                                                                                    g8 = v57 - 260;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                                                                                    function_46a30c();
                                                                                                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469803;
                                                                                                                                                    function_469fd8();
                                                                                                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                    v58 = g11;
                                                                                                                                                    v32 = v58 - 4;
                                                                                                                                                    *(int32_t *)v32 = g4 - 260;
                                                                                                                                                    g11 = v32;
                                                                                                                                                    g6 = 0;
                                                                                                                                                    v59 = g4;
                                                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                                                                                    *(int32_t *)(v58 - 8) = 0x469823;
                                                                                                                                                    function_46ae10();
                                                                                                                                                    g6 = -1;
                                                                                                                                                    v60 = g4;
                                                                                                                                                    g8 = v60 - 132;
                                                                                                                                                    g3 = *(int32_t *)(v60 - 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469834;
                                                                                                                                                    function_469f40();
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                                                                                    System__CopyRecord(0x46a22c);
                                                                                                                                                    // branch -> 0x46984b
                                                                                                                                                }
                                                                                                                                                // 0x46984b
                                                                                                                                                v61 = g4;
                                                                                                                                                g8 = v61 - 132;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46985c;
                                                                                                                                                function_46b524();
                                                                                                                                                v80 = g4;
                                                                                                                                                // branch -> 0x46985c
                                                                                                                                            }
                                                                                                                                            // 0x46985c
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                                                                                            g8 = g8 & -256 | 217;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46986c;
                                                                                                                                            function_462278();
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                            g8 = g8 & -256 | 224;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46987c;
                                                                                                                                            function_462278();
                                                                                                                                            v81 = g4;
                                                                                                                                            if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                                                                                                // 0x469884
                                                                                                                                                g8 = v81 - 260;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469895;
                                                                                                                                                function_46a30c();
                                                                                                                                                *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                                                                                                function_469fd8();
                                                                                                                                                *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                v62 = g4;
                                                                                                                                                g8 = v62 - 260;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4698be;
                                                                                                                                                function_46b614();
                                                                                                                                                g6 = -1;
                                                                                                                                                v63 = g4;
                                                                                                                                                g8 = v63 - 132;
                                                                                                                                                g3 = *(int32_t *)(v63 - 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                                                                                                function_469f40();
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                                                                                                System__CopyRecord(0x46a22c);
                                                                                                                                                // branch -> 0x4698ec
                                                                                                                                            } else {
                                                                                                                                                // 0x4698e8
                                                                                                                                                *(char *)(v81 - 99) = 1;
                                                                                                                                                // branch -> 0x4698ec
                                                                                                                                            }
                                                                                                                                            // 0x4698ec
                                                                                                                                            *(char *)(g4 - 100) = 3;
                                                                                                                                            // branch -> 0x469915
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        } else {
                                                                                                                                            // 0x4698f2
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469903;
                                                                                                                                            System__AsClass(v21, (int32_t *)0x4637dc);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                                                                                                            g8 = 0x469c54;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469910;
                                                                                                                                            function_45bf7c();
                                                                                                                                            // branch -> 0x469a51
                                                                                                                                        }
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    }
                                                                                                                                }
                                                                                                                                // 0x469742
                                                                                                                                g8 = v53 - 132;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469750;
                                                                                                                                function_46a168();
                                                                                                                                if (g3 != 0) {
                                                                                                                                    // 0x469754
                                                                                                                                    v54 = g4;
                                                                                                                                    g8 = v54 - 132;
                                                                                                                                    g3 = *(int32_t *)(v54 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469765;
                                                                                                                                    function_4673b4();
                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                    v77 = g4;
                                                                                                                                    *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                                                                                    v55 = g4;
                                                                                                                                    g8 = v55 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46977f;
                                                                                                                                    function_46a30c();
                                                                                                                                    v78 = g4;
                                                                                                                                    *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                                                                                    v79 = g4;
                                                                                                                                    *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                                                                                    // branch -> 0x46978e
                                                                                                                                }
                                                                                                                                // 0x46978e
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                g8 = g8 & -256 | 247;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46979e;
                                                                                                                                function_462278();
                                                                                                                                v56 = g4;
                                                                                                                                v82 = g8 & -256;
                                                                                                                                g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4697b5;
                                                                                                                                function_462278();
                                                                                                                                // branch -> 0x469915
                                                                                                                            } else {
                                                                                                                                // 0x46972e
                                                                                                                                v28 = (int32_t *)(v53 - 108);
                                                                                                                                *v28 = -*v28;
                                                                                                                                // branch -> 0x469915
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x469670
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                        g8 = 0x469c04;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                        function_45bf7c();
                                                                                                                        // branch -> 0x469a51
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                } else {
                                                                                                                    // 0x469647
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                    g8 = 0x469bc0;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                    function_45bf7c();
                                                                                                                    // branch -> 0x469a51
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x46961e
                                                                                                        *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                        g8 = 0x469b88;
                                                                                                        *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                        function_45bf7c();
                                                                                                        // branch -> 0x469a51
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // 0x46971b
                                                                                                    if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                                                                        // 0x469728
                                                                                                        if (*(char *)(v53 - 112) == 0) {
                                                                                                            // 0x469736
                                                                                                            v29 = (char *)(v53 - 100);
                                                                                                            if (*v29 != 8) {
                                                                                                                // 0x46973c
                                                                                                                if (*v29 != 0) {
                                                                                                                    // 0x4697ba
                                                                                                                    if (*v29 == 3) {
                                                                                                                        // 0x4697c4
                                                                                                                        v80 = v53;
                                                                                                                        if (*(char *)(v53 - 99) == 0) {
                                                                                                                            // 0x4697ce
                                                                                                                            g8 = v53 - 132;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                                                                            function_46a168();
                                                                                                                            if (g3 == 0) {
                                                                                                                                // 0x4697e0
                                                                                                                                v57 = g4;
                                                                                                                                g8 = v57 - 260;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                                                                function_46a30c();
                                                                                                                                *(int32_t *)(g4 - 260) = 5;
                                                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469803;
                                                                                                                                function_469fd8();
                                                                                                                                *(int32_t *)(g4 - 244) = g3;
                                                                                                                                v58 = g11;
                                                                                                                                v32 = v58 - 4;
                                                                                                                                *(int32_t *)v32 = g4 - 260;
                                                                                                                                g11 = v32;
                                                                                                                                g6 = 0;
                                                                                                                                v59 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                                                                *(int32_t *)(v58 - 8) = 0x469823;
                                                                                                                                function_46ae10();
                                                                                                                                g6 = -1;
                                                                                                                                v60 = g4;
                                                                                                                                g8 = v60 - 132;
                                                                                                                                g3 = *(int32_t *)(v60 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469834;
                                                                                                                                function_469f40();
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                                                                System__CopyRecord(0x46a22c);
                                                                                                                                // branch -> 0x46984b
                                                                                                                            }
                                                                                                                            // 0x46984b
                                                                                                                            v61 = g4;
                                                                                                                            g8 = v61 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46985c;
                                                                                                                            function_46b524();
                                                                                                                            v80 = g4;
                                                                                                                            // branch -> 0x46985c
                                                                                                                        }
                                                                                                                        // 0x46985c
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                                                                        g8 = g8 & -256 | 217;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46986c;
                                                                                                                        function_462278();
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                        g8 = g8 & -256 | 224;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46987c;
                                                                                                                        function_462278();
                                                                                                                        v81 = g4;
                                                                                                                        if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                                                                            // 0x469884
                                                                                                                            g8 = v81 - 260;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469895;
                                                                                                                            function_46a30c();
                                                                                                                            *(int32_t *)(g4 - 260) = 5;
                                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                                                                            function_469fd8();
                                                                                                                            *(int32_t *)(g4 - 244) = g3;
                                                                                                                            v62 = g4;
                                                                                                                            g8 = v62 - 260;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698be;
                                                                                                                            function_46b614();
                                                                                                                            g6 = -1;
                                                                                                                            v63 = g4;
                                                                                                                            g8 = v63 - 132;
                                                                                                                            g3 = *(int32_t *)(v63 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                                                                            function_469f40();
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                                                                            System__CopyRecord(0x46a22c);
                                                                                                                            // branch -> 0x4698ec
                                                                                                                        } else {
                                                                                                                            // 0x4698e8
                                                                                                                            *(char *)(v81 - 99) = 1;
                                                                                                                            // branch -> 0x4698ec
                                                                                                                        }
                                                                                                                        // 0x4698ec
                                                                                                                        *(char *)(g4 - 100) = 3;
                                                                                                                        // branch -> 0x469915
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x4698f2
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469903;
                                                                                                                        System__AsClass(v21, (int32_t *)0x4637dc);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                                                                                        g8 = 0x469c54;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469910;
                                                                                                                        function_45bf7c();
                                                                                                                        // branch -> 0x469a51
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x469742
                                                                                                            g8 = v53 - 132;
                                                                                                            *(int32_t *)(g11 - 4) = 0x469750;
                                                                                                            function_46a168();
                                                                                                            if (g3 != 0) {
                                                                                                                // 0x469754
                                                                                                                v54 = g4;
                                                                                                                g8 = v54 - 132;
                                                                                                                g3 = *(int32_t *)(v54 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469765;
                                                                                                                function_4673b4();
                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                v77 = g4;
                                                                                                                *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                                                                v55 = g4;
                                                                                                                g8 = v55 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x46977f;
                                                                                                                function_46a30c();
                                                                                                                v78 = g4;
                                                                                                                *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                                                                v79 = g4;
                                                                                                                *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                                                                // branch -> 0x46978e
                                                                                                            }
                                                                                                            // 0x46978e
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                            g8 = g8 & -256 | 247;
                                                                                                            *(int32_t *)(g11 - 4) = 0x46979e;
                                                                                                            function_462278();
                                                                                                            v56 = g4;
                                                                                                            v82 = g8 & -256;
                                                                                                            g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4697b5;
                                                                                                            function_462278();
                                                                                                            // branch -> 0x469915
                                                                                                        } else {
                                                                                                            // 0x46972e
                                                                                                            v28 = (int32_t *)(v53 - 108);
                                                                                                            *v28 = -*v28;
                                                                                                            // branch -> 0x469915
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x469058
                                                                                                    v247 = *v123;
                                                                                                    v132 = v247;
                                                                                                    if (*(char *)(v247 + 13) != 4) {
                                                                                                        // 0x469061
                                                                                                        v248 = *v123;
                                                                                                        v132 = v248;
                                                                                                        if (*(char *)(v248 + 13) != 5) {
                                                                                                            // 0x46937f
                                                                                                            v268 = g4;
                                                                                                            g8 = v268 - 132;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                            function_46a30c();
                                                                                                            v269 = g4;
                                                                                                            *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                            v270 = g4;
                                                                                                            v267 = (int32_t *)(v270 - 8);
                                                                                                            v271 = *(int32_t *)(*v267 + 4);
                                                                                                            if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                                // 0x4693a8
                                                                                                                v272 = *(int32_t *)(*v267 + 8);
                                                                                                                if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                    // 0x4693bd
                                                                                                                    *(char *)(v270 - 100) = 0;
                                                                                                                    // branch -> 0x4693c1
                                                                                                                    // 0x4693c1
                                                                                                                    v7 = NULL;
                                                                                                                    g11 = (int32_t)&v7;
                                                                                                                    v33 = g4;
                                                                                                                    g8 = v33 - 132;
                                                                                                                    v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                                    g3 = *(int32_t *)(v33 - 4);
                                                                                                                    function_4663c4();
                                                                                                                    v64 = g4;
                                                                                                                    v25 = (int32_t *)(v64 - 8);
                                                                                                                    v37 = v64;
                                                                                                                    v20 = v24;
                                                                                                                    if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                        // 0x4693dd
                                                                                                                        if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                            // 0x4693e6
                                                                                                                            g8 = v64 - 132;
                                                                                                                            g3 = *(int32_t *)(v64 - 4);
                                                                                                                            function_469c8c();
                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                            v34 = g4;
                                                                                                                            g11 = v4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                            g6 = 1;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                            function_46ae10();
                                                                                                                            v35 = g4;
                                                                                                                            g8 = v35 - 132;
                                                                                                                            g3 = *(int32_t *)(v35 - 4);
                                                                                                                            function_469f40();
                                                                                                                            v36 = g4;
                                                                                                                            g8 = v36 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                            function_46a30c();
                                                                                                                            v65 = g4;
                                                                                                                            *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                            *(char *)(g4 - 128) = 1;
                                                                                                                            v37 = g4;
                                                                                                                            v20 = (int32_t *)-1;
                                                                                                                            // branch -> 0x46943d
                                                                                                                        } else {
                                                                                                                            v37 = v64;
                                                                                                                            v20 = v24;
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x46943d
                                                                                                                    v40 = v37;
                                                                                                                    v18 = v20;
                                                                                                                    if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                        // 0x46944a
                                                                                                                        g8 = v37 - 132;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                        function_46a168();
                                                                                                                        v66 = g4;
                                                                                                                        if (g3 == 0) {
                                                                                                                            // 0x46945c
                                                                                                                            v132 = *(int32_t *)(*(int32_t *)(v66 - 4) + 16);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                            System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                            g3 = *(int32_t *)(v132 + 12);
                                                                                                                            g8 = 0x469b04;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                            function_45bf7c();
                                                                                                                            // branch -> 0x469a51
                                                                                                                        } else {
                                                                                                                            // 0x46947f
                                                                                                                            v26 = (char *)(v66 - 128);
                                                                                                                            if (*v26 == 0) {
                                                                                                                                // 0x469485
                                                                                                                                g8 = v66 - 132;
                                                                                                                                g3 = *(int32_t *)(v66 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v67 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                                g6 = v67 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                                function_46af4c();
                                                                                                                                v38 = g4;
                                                                                                                                g8 = v38 - 132;
                                                                                                                                g3 = *(int32_t *)(v38 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                                function_469f40();
                                                                                                                                v39 = g4;
                                                                                                                                g8 = v39 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                                function_46a30c();
                                                                                                                                v68 = g4;
                                                                                                                                *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                                v19 = (int32_t *)-1;
                                                                                                                                // branch -> 0x4694db
                                                                                                                            } else {
                                                                                                                                // 0x4694d7
                                                                                                                                *v26 = 0;
                                                                                                                                v19 = v20;
                                                                                                                                // branch -> 0x4694db
                                                                                                                            }
                                                                                                                            // 0x4694db
                                                                                                                            v27 = (int32_t *)(g4 - 96);
                                                                                                                            *v27 = *v27 + 1;
                                                                                                                            v69 = g4;
                                                                                                                            if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                                v40 = v69;
                                                                                                                                v18 = v19;
                                                                                                                                // 0x469507
                                                                                                                                v45 = v40;
                                                                                                                                v23 = v18;
                                                                                                                                if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                                    // 0x469510
                                                                                                                                    v42 = v40;
                                                                                                                                    if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                                        // 0x469519
                                                                                                                                        g8 = v40 - 132;
                                                                                                                                        g3 = *(int32_t *)(v40 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                                        function_469c8c();
                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                        v41 = g11;
                                                                                                                                        v30 = v41 - 4;
                                                                                                                                        *(int32_t *)v30 = g4 - 132;
                                                                                                                                        g11 = v30;
                                                                                                                                        v70 = g4;
                                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                                        *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                                        function_46ae10();
                                                                                                                                        v42 = g4;
                                                                                                                                        // branch -> 0x469541
                                                                                                                                    }
                                                                                                                                    // 0x469541
                                                                                                                                    g8 = v42 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                                    function_46b434();
                                                                                                                                    v43 = g4;
                                                                                                                                    g8 = v43 - 132;
                                                                                                                                    g3 = *(int32_t *)(v43 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                                    function_469f40();
                                                                                                                                    v44 = g4;
                                                                                                                                    g8 = v44 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                                    function_46a30c();
                                                                                                                                    v71 = g4;
                                                                                                                                    if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                                        // 0x46957d
                                                                                                                                        *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                                        v45 = g4;
                                                                                                                                        v23 = (int32_t *)-1;
                                                                                                                                        // branch -> 0x469586
                                                                                                                                    } else {
                                                                                                                                        v45 = v71;
                                                                                                                                        v23 = (int32_t *)-1;
                                                                                                                                    }
                                                                                                                                }
                                                                                                                                // 0x469586
                                                                                                                                v50 = v45;
                                                                                                                                v22 = v23;
                                                                                                                                if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                                    // 0x46958f
                                                                                                                                    v47 = v45;
                                                                                                                                    if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                                        // 0x469598
                                                                                                                                        g8 = v45 - 132;
                                                                                                                                        g3 = *(int32_t *)(v45 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                                        function_469c8c();
                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                        v46 = g11;
                                                                                                                                        v31 = v46 - 4;
                                                                                                                                        *(int32_t *)v31 = g4 - 132;
                                                                                                                                        g11 = v31;
                                                                                                                                        v72 = g4;
                                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                                        *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                                        function_46ae10();
                                                                                                                                        v47 = g4;
                                                                                                                                        // branch -> 0x4695c0
                                                                                                                                    }
                                                                                                                                    // 0x4695c0
                                                                                                                                    g8 = v47 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                                    function_46b4ac();
                                                                                                                                    v48 = g4;
                                                                                                                                    g8 = v48 - 132;
                                                                                                                                    g3 = *(int32_t *)(v48 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                                    function_469f40();
                                                                                                                                    v49 = g4;
                                                                                                                                    g8 = v49 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                                    function_46a30c();
                                                                                                                                    v73 = g4;
                                                                                                                                    if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                                        // 0x4695fc
                                                                                                                                        *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                                        v50 = g4;
                                                                                                                                        v22 = (int32_t *)-1;
                                                                                                                                        // branch -> 0x469605
                                                                                                                                    } else {
                                                                                                                                        v50 = v73;
                                                                                                                                        v22 = (int32_t *)-1;
                                                                                                                                    }
                                                                                                                                }
                                                                                                                                // 0x469605
                                                                                                                                v53 = v50;
                                                                                                                                v21 = v22;
                                                                                                                                if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                                    // 0x469612
                                                                                                                                    if (*(char *)(v50 - 111) == 0) {
                                                                                                                                        // 0x469618
                                                                                                                                        if (*(char *)(v50 - 112) == 0) {
                                                                                                                                            // 0x469641
                                                                                                                                            if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                                // 0x46966a
                                                                                                                                                if (*(char *)(v50 - 100) == 1) {
                                                                                                                                                    // 0x469693
                                                                                                                                                    g8 = v50 - 196;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                                    function_46a30c();
                                                                                                                                                    v51 = g4;
                                                                                                                                                    g8 = v51 - 132;
                                                                                                                                                    g3 = *(int32_t *)(v51 - 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                                    function_4673b4();
                                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                    g8 = g8 & -256 | 247;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                                    function_462278();
                                                                                                                                                    v74 = g4;
                                                                                                                                                    v83 = g8 & -256;
                                                                                                                                                    g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                                    function_462278();
                                                                                                                                                    g8 = g8 & -256 | 131;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                                    function_462278();
                                                                                                                                                    v75 = g4;
                                                                                                                                                    v84 = g8 & -256;
                                                                                                                                                    g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                                    function_462278();
                                                                                                                                                    g8 = g8 & -256 | 1;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                                    function_462278();
                                                                                                                                                    v52 = g4;
                                                                                                                                                    g8 = v52 - 132;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                                    function_46a30c();
                                                                                                                                                    v76 = g4;
                                                                                                                                                    *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                                    v53 = g4;
                                                                                                                                                    v21 = (int32_t *)-1;
                                                                                                                                                    // branch -> 0x46971b
                                                                                                                                                    // 0x46971b
                                                                                                                                                    if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                                                                                                                        // 0x469728
                                                                                                                                                        if (*(char *)(v53 - 112) == 0) {
                                                                                                                                                            // 0x469736
                                                                                                                                                            v29 = (char *)(v53 - 100);
                                                                                                                                                            if (*v29 != 8) {
                                                                                                                                                                // 0x46973c
                                                                                                                                                                if (*v29 != 0) {
                                                                                                                                                                    // 0x4697ba
                                                                                                                                                                    if (*v29 == 3) {
                                                                                                                                                                        // 0x4697c4
                                                                                                                                                                        v80 = v53;
                                                                                                                                                                        if (*(char *)(v53 - 99) == 0) {
                                                                                                                                                                            // 0x4697ce
                                                                                                                                                                            g8 = v53 - 132;
                                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                                                                                                                            function_46a168();
                                                                                                                                                                            if (g3 == 0) {
                                                                                                                                                                                // 0x4697e0
                                                                                                                                                                                v57 = g4;
                                                                                                                                                                                g8 = v57 - 260;
                                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                                                                                                                function_46a30c();
                                                                                                                                                                                *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469803;
                                                                                                                                                                                function_469fd8();
                                                                                                                                                                                *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                                                v58 = g11;
                                                                                                                                                                                v32 = v58 - 4;
                                                                                                                                                                                *(int32_t *)v32 = g4 - 260;
                                                                                                                                                                                g11 = v32;
                                                                                                                                                                                g6 = 0;
                                                                                                                                                                                v59 = g4;
                                                                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                                                                                                                *(int32_t *)(v58 - 8) = 0x469823;
                                                                                                                                                                                function_46ae10();
                                                                                                                                                                                g6 = -1;
                                                                                                                                                                                v60 = g4;
                                                                                                                                                                                g8 = v60 - 132;
                                                                                                                                                                                g3 = *(int32_t *)(v60 - 4);
                                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469834;
                                                                                                                                                                                function_469f40();
                                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                                                                                                                System__CopyRecord(0x46a22c);
                                                                                                                                                                                // branch -> 0x46984b
                                                                                                                                                                            }
                                                                                                                                                                            // 0x46984b
                                                                                                                                                                            v61 = g4;
                                                                                                                                                                            g8 = v61 - 132;
                                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46985c;
                                                                                                                                                                            function_46b524();
                                                                                                                                                                            v80 = g4;
                                                                                                                                                                            // branch -> 0x46985c
                                                                                                                                                                        }
                                                                                                                                                                        // 0x46985c
                                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                                                                                                                        g8 = g8 & -256 | 217;
                                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46986c;
                                                                                                                                                                        function_462278();
                                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                                                        g8 = g8 & -256 | 224;
                                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46987c;
                                                                                                                                                                        function_462278();
                                                                                                                                                                        v81 = g4;
                                                                                                                                                                        if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                                                                                                                            // 0x469884
                                                                                                                                                                            g8 = v81 - 260;
                                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469895;
                                                                                                                                                                            function_46a30c();
                                                                                                                                                                            *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                                                                                                                            function_469fd8();
                                                                                                                                                                            *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                                            v62 = g4;
                                                                                                                                                                            g8 = v62 - 260;
                                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698be;
                                                                                                                                                                            function_46b614();
                                                                                                                                                                            g6 = -1;
                                                                                                                                                                            v63 = g4;
                                                                                                                                                                            g8 = v63 - 132;
                                                                                                                                                                            g3 = *(int32_t *)(v63 - 4);
                                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                                                                                                                            function_469f40();
                                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                                                                                                                            System__CopyRecord(0x46a22c);
                                                                                                                                                                            // branch -> 0x4698ec
                                                                                                                                                                        } else {
                                                                                                                                                                            // 0x4698e8
                                                                                                                                                                            *(char *)(v81 - 99) = 1;
                                                                                                                                                                            // branch -> 0x4698ec
                                                                                                                                                                        }
                                                                                                                                                                        // 0x4698ec
                                                                                                                                                                        *(char *)(g4 - 100) = 3;
                                                                                                                                                                        // branch -> 0x469915
                                                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                                    } else {
                                                                                                                                                                        // 0x4698f2
                                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469903;
                                                                                                                                                                        System__AsClass(v21, (int32_t *)0x4637dc);
                                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                                                                                                                                        g8 = 0x469c54;
                                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469910;
                                                                                                                                                                        function_45bf7c();
                                                                                                                                                                        // branch -> 0x469a51
                                                                                                                                                                    }
                                                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                                }
                                                                                                                                                            }
                                                                                                                                                            // 0x469742
                                                                                                                                                            g8 = v53 - 132;
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469750;
                                                                                                                                                            function_46a168();
                                                                                                                                                            if (g3 != 0) {
                                                                                                                                                                // 0x469754
                                                                                                                                                                v54 = g4;
                                                                                                                                                                g8 = v54 - 132;
                                                                                                                                                                g3 = *(int32_t *)(v54 - 4);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469765;
                                                                                                                                                                function_4673b4();
                                                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                                v77 = g4;
                                                                                                                                                                *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                                                                                                                v55 = g4;
                                                                                                                                                                g8 = v55 - 132;
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46977f;
                                                                                                                                                                function_46a30c();
                                                                                                                                                                v78 = g4;
                                                                                                                                                                *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                                                                                                                v79 = g4;
                                                                                                                                                                *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                                                                                                                // branch -> 0x46978e
                                                                                                                                                            }
                                                                                                                                                            // 0x46978e
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                                            g8 = g8 & -256 | 247;
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46979e;
                                                                                                                                                            function_462278();
                                                                                                                                                            v56 = g4;
                                                                                                                                                            v82 = g8 & -256;
                                                                                                                                                            g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4697b5;
                                                                                                                                                            function_462278();
                                                                                                                                                            // branch -> 0x469915
                                                                                                                                                        } else {
                                                                                                                                                            // 0x46972e
                                                                                                                                                            v28 = (int32_t *)(v53 - 108);
                                                                                                                                                            *v28 = -*v28;
                                                                                                                                                            // branch -> 0x469915
                                                                                                                                                        }
                                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                    }
                                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                } else {
                                                                                                                                                    // 0x469670
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                    g8 = 0x469c04;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                                    function_45bf7c();
                                                                                                                                                    // branch -> 0x469a51
                                                                                                                                                }
                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                            } else {
                                                                                                                                                // 0x469647
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                g8 = 0x469bc0;
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                                function_45bf7c();
                                                                                                                                                // branch -> 0x469a51
                                                                                                                                            }
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                    // 0x46961e
                                                                                                                                    v132 = *(int32_t *)(*(int32_t *)(v50 - 4) + 16);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                    g3 = *(int32_t *)(v132 + 12);
                                                                                                                                    g8 = 0x469b88;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                                    function_45bf7c();
                                                                                                                                    // branch -> 0x469a51
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                                // 0x46971b
                                                                                                                                if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                                                                                                    // 0x469728
                                                                                                                                    if (*(char *)(v53 - 112) == 0) {
                                                                                                                                        // 0x469736
                                                                                                                                        v29 = (char *)(v53 - 100);
                                                                                                                                        if (*v29 != 8) {
                                                                                                                                            // 0x46973c
                                                                                                                                            if (*v29 != 0) {
                                                                                                                                                // 0x4697ba
                                                                                                                                                if (*v29 == 3) {
                                                                                                                                                    // 0x4697c4
                                                                                                                                                    v80 = v53;
                                                                                                                                                    if (*(char *)(v53 - 99) == 0) {
                                                                                                                                                        // 0x4697ce
                                                                                                                                                        g8 = v53 - 132;
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                                                                                                        function_46a168();
                                                                                                                                                        if (g3 == 0) {
                                                                                                                                                            // 0x4697e0
                                                                                                                                                            v57 = g4;
                                                                                                                                                            g8 = v57 - 260;
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                                                                                            function_46a30c();
                                                                                                                                                            *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469803;
                                                                                                                                                            function_469fd8();
                                                                                                                                                            *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                            v58 = g11;
                                                                                                                                                            v32 = v58 - 4;
                                                                                                                                                            *(int32_t *)v32 = g4 - 260;
                                                                                                                                                            g11 = v32;
                                                                                                                                                            g6 = 0;
                                                                                                                                                            v59 = g4;
                                                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                                                                                            *(int32_t *)(v58 - 8) = 0x469823;
                                                                                                                                                            function_46ae10();
                                                                                                                                                            g6 = -1;
                                                                                                                                                            v60 = g4;
                                                                                                                                                            g8 = v60 - 132;
                                                                                                                                                            g3 = *(int32_t *)(v60 - 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469834;
                                                                                                                                                            function_469f40();
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                                                                                            System__CopyRecord(0x46a22c);
                                                                                                                                                            // branch -> 0x46984b
                                                                                                                                                        }
                                                                                                                                                        // 0x46984b
                                                                                                                                                        v61 = g4;
                                                                                                                                                        g8 = v61 - 132;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46985c;
                                                                                                                                                        function_46b524();
                                                                                                                                                        v80 = g4;
                                                                                                                                                        // branch -> 0x46985c
                                                                                                                                                    }
                                                                                                                                                    // 0x46985c
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                                                                                                    g8 = g8 & -256 | 217;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46986c;
                                                                                                                                                    function_462278();
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                                    g8 = g8 & -256 | 224;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46987c;
                                                                                                                                                    function_462278();
                                                                                                                                                    v81 = g4;
                                                                                                                                                    if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                                                                                                        // 0x469884
                                                                                                                                                        g8 = v81 - 260;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469895;
                                                                                                                                                        function_46a30c();
                                                                                                                                                        *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                                                                                                        function_469fd8();
                                                                                                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                        v62 = g4;
                                                                                                                                                        g8 = v62 - 260;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4698be;
                                                                                                                                                        function_46b614();
                                                                                                                                                        g6 = -1;
                                                                                                                                                        v63 = g4;
                                                                                                                                                        g8 = v63 - 132;
                                                                                                                                                        g3 = *(int32_t *)(v63 - 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                                                                                                        function_469f40();
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                                                                                                        System__CopyRecord(0x46a22c);
                                                                                                                                                        // branch -> 0x4698ec
                                                                                                                                                    } else {
                                                                                                                                                        // 0x4698e8
                                                                                                                                                        *(char *)(v81 - 99) = 1;
                                                                                                                                                        // branch -> 0x4698ec
                                                                                                                                                    }
                                                                                                                                                    // 0x4698ec
                                                                                                                                                    *(char *)(g4 - 100) = 3;
                                                                                                                                                    // branch -> 0x469915
                                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                } else {
                                                                                                                                                    // 0x4698f2
                                                                                                                                                    v132 = *(int32_t *)(*(int32_t *)(v53 - 4) + 16);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469903;
                                                                                                                                                    System__AsClass(v21, (int32_t *)0x4637dc);
                                                                                                                                                    g3 = *(int32_t *)(v132 + 12);
                                                                                                                                                    g8 = 0x469c54;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469910;
                                                                                                                                                    function_45bf7c();
                                                                                                                                                    // branch -> 0x469a51
                                                                                                                                                }
                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                            }
                                                                                                                                        }
                                                                                                                                        // 0x469742
                                                                                                                                        g8 = v53 - 132;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469750;
                                                                                                                                        function_46a168();
                                                                                                                                        if (g3 != 0) {
                                                                                                                                            // 0x469754
                                                                                                                                            v54 = g4;
                                                                                                                                            g8 = v54 - 132;
                                                                                                                                            g3 = *(int32_t *)(v54 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469765;
                                                                                                                                            function_4673b4();
                                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                                            v77 = g4;
                                                                                                                                            *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                                                                                            v55 = g4;
                                                                                                                                            g8 = v55 - 132;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46977f;
                                                                                                                                            function_46a30c();
                                                                                                                                            v78 = g4;
                                                                                                                                            *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                                                                                            v79 = g4;
                                                                                                                                            *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                                                                                            // branch -> 0x46978e
                                                                                                                                        }
                                                                                                                                        // 0x46978e
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                        g8 = g8 & -256 | 247;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46979e;
                                                                                                                                        function_462278();
                                                                                                                                        v56 = g4;
                                                                                                                                        v82 = g8 & -256;
                                                                                                                                        g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4697b5;
                                                                                                                                        function_462278();
                                                                                                                                        // branch -> 0x469915
                                                                                                                                    } else {
                                                                                                                                        // 0x46972e
                                                                                                                                        v28 = (int32_t *)(v53 - 108);
                                                                                                                                        *v28 = -*v28;
                                                                                                                                        // branch -> 0x469915
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            } else {
                                                                                                                                // 0x4694e4
                                                                                                                                v132 = *(int32_t *)(*(int32_t *)(v69 - 4) + 16);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                                System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                                g3 = *(int32_t *)(v132 + 12);
                                                                                                                                g8 = 0x469b3c;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                                function_45bf7c();
                                                                                                                                // branch -> 0x469a51
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // 0x469507
                                                                                                                    v45 = v40;
                                                                                                                    v23 = v18;
                                                                                                                    if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                        // 0x469510
                                                                                                                        v42 = v40;
                                                                                                                        if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                            // 0x469519
                                                                                                                            g8 = v40 - 132;
                                                                                                                            g3 = *(int32_t *)(v40 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                            function_469c8c();
                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                            v41 = g11;
                                                                                                                            v30 = v41 - 4;
                                                                                                                            *(int32_t *)v30 = g4 - 132;
                                                                                                                            g11 = v30;
                                                                                                                            v70 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                            *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                            function_46ae10();
                                                                                                                            v42 = g4;
                                                                                                                            // branch -> 0x469541
                                                                                                                        }
                                                                                                                        // 0x469541
                                                                                                                        g8 = v42 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                        function_46b434();
                                                                                                                        v43 = g4;
                                                                                                                        g8 = v43 - 132;
                                                                                                                        g3 = *(int32_t *)(v43 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                        function_469f40();
                                                                                                                        v44 = g4;
                                                                                                                        g8 = v44 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                        function_46a30c();
                                                                                                                        v71 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                            // 0x46957d
                                                                                                                            *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                            v45 = g4;
                                                                                                                            v23 = (int32_t *)-1;
                                                                                                                            // branch -> 0x469586
                                                                                                                        } else {
                                                                                                                            v45 = v71;
                                                                                                                            v23 = (int32_t *)-1;
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x469586
                                                                                                                    v50 = v45;
                                                                                                                    v22 = v23;
                                                                                                                    if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                        // 0x46958f
                                                                                                                        v47 = v45;
                                                                                                                        if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                            // 0x469598
                                                                                                                            g8 = v45 - 132;
                                                                                                                            g3 = *(int32_t *)(v45 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                            function_469c8c();
                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                            v46 = g11;
                                                                                                                            v31 = v46 - 4;
                                                                                                                            *(int32_t *)v31 = g4 - 132;
                                                                                                                            g11 = v31;
                                                                                                                            v72 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                            *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                            function_46ae10();
                                                                                                                            v47 = g4;
                                                                                                                            // branch -> 0x4695c0
                                                                                                                        }
                                                                                                                        // 0x4695c0
                                                                                                                        g8 = v47 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                        function_46b4ac();
                                                                                                                        v48 = g4;
                                                                                                                        g8 = v48 - 132;
                                                                                                                        g3 = *(int32_t *)(v48 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                        function_469f40();
                                                                                                                        v49 = g4;
                                                                                                                        g8 = v49 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                        function_46a30c();
                                                                                                                        v73 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                            // 0x4695fc
                                                                                                                            *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                            v50 = g4;
                                                                                                                            v22 = (int32_t *)-1;
                                                                                                                            // branch -> 0x469605
                                                                                                                        } else {
                                                                                                                            v50 = v73;
                                                                                                                            v22 = (int32_t *)-1;
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x469605
                                                                                                                    v53 = v50;
                                                                                                                    v21 = v22;
                                                                                                                    if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                        // 0x469612
                                                                                                                        if (*(char *)(v50 - 111) == 0) {
                                                                                                                            // 0x469618
                                                                                                                            if (*(char *)(v50 - 112) == 0) {
                                                                                                                                // 0x469641
                                                                                                                                if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                    // 0x46966a
                                                                                                                                    if (*(char *)(v50 - 100) == 1) {
                                                                                                                                        // 0x469693
                                                                                                                                        g8 = v50 - 196;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                        function_46a30c();
                                                                                                                                        v51 = g4;
                                                                                                                                        g8 = v51 - 132;
                                                                                                                                        g3 = *(int32_t *)(v51 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                        function_4673b4();
                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                        g8 = g8 & -256 | 247;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                        function_462278();
                                                                                                                                        v74 = g4;
                                                                                                                                        v83 = g8 & -256;
                                                                                                                                        g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                        function_462278();
                                                                                                                                        g8 = g8 & -256 | 131;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                        function_462278();
                                                                                                                                        v75 = g4;
                                                                                                                                        v84 = g8 & -256;
                                                                                                                                        g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                        function_462278();
                                                                                                                                        g8 = g8 & -256 | 1;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                        function_462278();
                                                                                                                                        v52 = g4;
                                                                                                                                        g8 = v52 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                        function_46a30c();
                                                                                                                                        v76 = g4;
                                                                                                                                        *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                        v53 = g4;
                                                                                                                                        v21 = (int32_t *)-1;
                                                                                                                                        // branch -> 0x46971b
                                                                                                                                        // 0x46971b
                                                                                                                                        if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                                                                                                            // 0x469728
                                                                                                                                            if (*(char *)(v53 - 112) == 0) {
                                                                                                                                                // 0x469736
                                                                                                                                                v29 = (char *)(v53 - 100);
                                                                                                                                                if (*v29 != 8) {
                                                                                                                                                    // 0x46973c
                                                                                                                                                    if (*v29 != 0) {
                                                                                                                                                        // 0x4697ba
                                                                                                                                                        if (*v29 == 3) {
                                                                                                                                                            // 0x4697c4
                                                                                                                                                            v80 = v53;
                                                                                                                                                            if (*(char *)(v53 - 99) == 0) {
                                                                                                                                                                // 0x4697ce
                                                                                                                                                                g8 = v53 - 132;
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                                                                                                                function_46a168();
                                                                                                                                                                if (g3 == 0) {
                                                                                                                                                                    // 0x4697e0
                                                                                                                                                                    v57 = g4;
                                                                                                                                                                    g8 = v57 - 260;
                                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                                                                                                    function_46a30c();
                                                                                                                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469803;
                                                                                                                                                                    function_469fd8();
                                                                                                                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                                    v58 = g11;
                                                                                                                                                                    v32 = v58 - 4;
                                                                                                                                                                    *(int32_t *)v32 = g4 - 260;
                                                                                                                                                                    g11 = v32;
                                                                                                                                                                    g6 = 0;
                                                                                                                                                                    v59 = g4;
                                                                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                                                                                                    *(int32_t *)(v58 - 8) = 0x469823;
                                                                                                                                                                    function_46ae10();
                                                                                                                                                                    g6 = -1;
                                                                                                                                                                    v60 = g4;
                                                                                                                                                                    g8 = v60 - 132;
                                                                                                                                                                    g3 = *(int32_t *)(v60 - 4);
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469834;
                                                                                                                                                                    function_469f40();
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                                                                                                    System__CopyRecord(0x46a22c);
                                                                                                                                                                    // branch -> 0x46984b
                                                                                                                                                                }
                                                                                                                                                                // 0x46984b
                                                                                                                                                                v61 = g4;
                                                                                                                                                                g8 = v61 - 132;
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46985c;
                                                                                                                                                                function_46b524();
                                                                                                                                                                v80 = g4;
                                                                                                                                                                // branch -> 0x46985c
                                                                                                                                                            }
                                                                                                                                                            // 0x46985c
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                                                                                                            g8 = g8 & -256 | 217;
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46986c;
                                                                                                                                                            function_462278();
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                                            g8 = g8 & -256 | 224;
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46987c;
                                                                                                                                                            function_462278();
                                                                                                                                                            v81 = g4;
                                                                                                                                                            if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                                                                                                                // 0x469884
                                                                                                                                                                g8 = v81 - 260;
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469895;
                                                                                                                                                                function_46a30c();
                                                                                                                                                                *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                                                                                                                function_469fd8();
                                                                                                                                                                *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                                v62 = g4;
                                                                                                                                                                g8 = v62 - 260;
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4698be;
                                                                                                                                                                function_46b614();
                                                                                                                                                                g6 = -1;
                                                                                                                                                                v63 = g4;
                                                                                                                                                                g8 = v63 - 132;
                                                                                                                                                                g3 = *(int32_t *)(v63 - 4);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                                                                                                                function_469f40();
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                                                                                                                System__CopyRecord(0x46a22c);
                                                                                                                                                                // branch -> 0x4698ec
                                                                                                                                                            } else {
                                                                                                                                                                // 0x4698e8
                                                                                                                                                                *(char *)(v81 - 99) = 1;
                                                                                                                                                                // branch -> 0x4698ec
                                                                                                                                                            }
                                                                                                                                                            // 0x4698ec
                                                                                                                                                            *(char *)(g4 - 100) = 3;
                                                                                                                                                            // branch -> 0x469915
                                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                        } else {
                                                                                                                                                            // 0x4698f2
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469903;
                                                                                                                                                            System__AsClass(v21, (int32_t *)0x4637dc);
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                                                                                                                            g8 = 0x469c54;
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469910;
                                                                                                                                                            function_45bf7c();
                                                                                                                                                            // branch -> 0x469a51
                                                                                                                                                        }
                                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                    }
                                                                                                                                                }
                                                                                                                                                // 0x469742
                                                                                                                                                g8 = v53 - 132;
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469750;
                                                                                                                                                function_46a168();
                                                                                                                                                if (g3 != 0) {
                                                                                                                                                    // 0x469754
                                                                                                                                                    v54 = g4;
                                                                                                                                                    g8 = v54 - 132;
                                                                                                                                                    g3 = *(int32_t *)(v54 - 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469765;
                                                                                                                                                    function_4673b4();
                                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                    v77 = g4;
                                                                                                                                                    *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                                                                                                    v55 = g4;
                                                                                                                                                    g8 = v55 - 132;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46977f;
                                                                                                                                                    function_46a30c();
                                                                                                                                                    v78 = g4;
                                                                                                                                                    *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                                                                                                    v79 = g4;
                                                                                                                                                    *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                                                                                                    // branch -> 0x46978e
                                                                                                                                                }
                                                                                                                                                // 0x46978e
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                                g8 = g8 & -256 | 247;
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46979e;
                                                                                                                                                function_462278();
                                                                                                                                                v56 = g4;
                                                                                                                                                v82 = g8 & -256;
                                                                                                                                                g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4697b5;
                                                                                                                                                function_462278();
                                                                                                                                                // branch -> 0x469915
                                                                                                                                            } else {
                                                                                                                                                // 0x46972e
                                                                                                                                                v28 = (int32_t *)(v53 - 108);
                                                                                                                                                *v28 = -*v28;
                                                                                                                                                // branch -> 0x469915
                                                                                                                                            }
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        }
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    } else {
                                                                                                                                        // 0x469670
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                        g8 = 0x469c04;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                        function_45bf7c();
                                                                                                                                        // branch -> 0x469a51
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                } else {
                                                                                                                                    // 0x469647
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                    g8 = 0x469bc0;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                    function_45bf7c();
                                                                                                                                    // branch -> 0x469a51
                                                                                                                                }
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x46961e
                                                                                                                        v132 = *(int32_t *)(*(int32_t *)(v50 - 4) + 16);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                        g3 = *(int32_t *)(v132 + 12);
                                                                                                                        g8 = 0x469b88;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                        function_45bf7c();
                                                                                                                        // branch -> 0x469a51
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // 0x46971b
                                                                                                                    if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                                                                                        // 0x469728
                                                                                                                        if (*(char *)(v53 - 112) == 0) {
                                                                                                                            // 0x469736
                                                                                                                            v29 = (char *)(v53 - 100);
                                                                                                                            if (*v29 != 8) {
                                                                                                                                // 0x46973c
                                                                                                                                if (*v29 != 0) {
                                                                                                                                    // 0x4697ba
                                                                                                                                    if (*v29 == 3) {
                                                                                                                                        // 0x4697c4
                                                                                                                                        v80 = v53;
                                                                                                                                        if (*(char *)(v53 - 99) == 0) {
                                                                                                                                            // 0x4697ce
                                                                                                                                            g8 = v53 - 132;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                                                                                            function_46a168();
                                                                                                                                            if (g3 == 0) {
                                                                                                                                                // 0x4697e0
                                                                                                                                                v57 = g4;
                                                                                                                                                g8 = v57 - 260;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                                                                                function_46a30c();
                                                                                                                                                *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469803;
                                                                                                                                                function_469fd8();
                                                                                                                                                *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                v58 = g11;
                                                                                                                                                v32 = v58 - 4;
                                                                                                                                                *(int32_t *)v32 = g4 - 260;
                                                                                                                                                g11 = v32;
                                                                                                                                                g6 = 0;
                                                                                                                                                v59 = g4;
                                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                                                                                *(int32_t *)(v58 - 8) = 0x469823;
                                                                                                                                                function_46ae10();
                                                                                                                                                g6 = -1;
                                                                                                                                                v60 = g4;
                                                                                                                                                g8 = v60 - 132;
                                                                                                                                                g3 = *(int32_t *)(v60 - 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469834;
                                                                                                                                                function_469f40();
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                                                                                System__CopyRecord(0x46a22c);
                                                                                                                                                // branch -> 0x46984b
                                                                                                                                            }
                                                                                                                                            // 0x46984b
                                                                                                                                            v61 = g4;
                                                                                                                                            g8 = v61 - 132;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46985c;
                                                                                                                                            function_46b524();
                                                                                                                                            v80 = g4;
                                                                                                                                            // branch -> 0x46985c
                                                                                                                                        }
                                                                                                                                        // 0x46985c
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                                                                                        g8 = g8 & -256 | 217;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46986c;
                                                                                                                                        function_462278();
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                        g8 = g8 & -256 | 224;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46987c;
                                                                                                                                        function_462278();
                                                                                                                                        v81 = g4;
                                                                                                                                        if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                                                                                            // 0x469884
                                                                                                                                            g8 = v81 - 260;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469895;
                                                                                                                                            function_46a30c();
                                                                                                                                            *(int32_t *)(g4 - 260) = 5;
                                                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                                                                                            function_469fd8();
                                                                                                                                            *(int32_t *)(g4 - 244) = g3;
                                                                                                                                            v62 = g4;
                                                                                                                                            g8 = v62 - 260;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698be;
                                                                                                                                            function_46b614();
                                                                                                                                            g6 = -1;
                                                                                                                                            v63 = g4;
                                                                                                                                            g8 = v63 - 132;
                                                                                                                                            g3 = *(int32_t *)(v63 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                                                                                            function_469f40();
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                                                                                            System__CopyRecord(0x46a22c);
                                                                                                                                            // branch -> 0x4698ec
                                                                                                                                        } else {
                                                                                                                                            // 0x4698e8
                                                                                                                                            *(char *)(v81 - 99) = 1;
                                                                                                                                            // branch -> 0x4698ec
                                                                                                                                        }
                                                                                                                                        // 0x4698ec
                                                                                                                                        *(char *)(g4 - 100) = 3;
                                                                                                                                        // branch -> 0x469915
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    } else {
                                                                                                                                        // 0x4698f2
                                                                                                                                        v132 = *(int32_t *)(*(int32_t *)(v53 - 4) + 16);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469903;
                                                                                                                                        System__AsClass(v21, (int32_t *)0x4637dc);
                                                                                                                                        g3 = *(int32_t *)(v132 + 12);
                                                                                                                                        g8 = 0x469c54;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469910;
                                                                                                                                        function_45bf7c();
                                                                                                                                        // branch -> 0x469a51
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x469742
                                                                                                                            g8 = v53 - 132;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469750;
                                                                                                                            function_46a168();
                                                                                                                            if (g3 != 0) {
                                                                                                                                // 0x469754
                                                                                                                                v54 = g4;
                                                                                                                                g8 = v54 - 132;
                                                                                                                                g3 = *(int32_t *)(v54 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469765;
                                                                                                                                function_4673b4();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v77 = g4;
                                                                                                                                *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                                                                                v55 = g4;
                                                                                                                                g8 = v55 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46977f;
                                                                                                                                function_46a30c();
                                                                                                                                v78 = g4;
                                                                                                                                *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                                                                                v79 = g4;
                                                                                                                                *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                                                                                // branch -> 0x46978e
                                                                                                                            }
                                                                                                                            // 0x46978e
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                            g8 = g8 & -256 | 247;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46979e;
                                                                                                                            function_462278();
                                                                                                                            v56 = g4;
                                                                                                                            v82 = g8 & -256;
                                                                                                                            g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4697b5;
                                                                                                                            function_462278();
                                                                                                                            // branch -> 0x469915
                                                                                                                        } else {
                                                                                                                            // 0x46972e
                                                                                                                            v28 = (int32_t *)(v53 - 108);
                                                                                                                            *v28 = -*v28;
                                                                                                                            // branch -> 0x469915
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x4693b7
                                                                                                            *(char *)(v270 - 100) = 8;
                                                                                                            // branch -> 0x4693c1
                                                                                                            // 0x4693c1
                                                                                                            v7 = NULL;
                                                                                                            g11 = (int32_t)&v7;
                                                                                                            v33 = g4;
                                                                                                            g8 = v33 - 132;
                                                                                                            v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                            g3 = *(int32_t *)(v33 - 4);
                                                                                                            function_4663c4();
                                                                                                            v64 = g4;
                                                                                                            v25 = (int32_t *)(v64 - 8);
                                                                                                            v37 = v64;
                                                                                                            v20 = v24;
                                                                                                            if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                // 0x4693dd
                                                                                                                if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                    // 0x4693e6
                                                                                                                    g8 = v64 - 132;
                                                                                                                    g3 = *(int32_t *)(v64 - 4);
                                                                                                                    function_469c8c();
                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                    v34 = g4;
                                                                                                                    g11 = v4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                    g6 = 1;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                    function_46ae10();
                                                                                                                    v35 = g4;
                                                                                                                    g8 = v35 - 132;
                                                                                                                    g3 = *(int32_t *)(v35 - 4);
                                                                                                                    function_469f40();
                                                                                                                    v36 = g4;
                                                                                                                    g8 = v36 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                    function_46a30c();
                                                                                                                    v65 = g4;
                                                                                                                    *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                    *(char *)(g4 - 128) = 1;
                                                                                                                    v37 = g4;
                                                                                                                    v20 = (int32_t *)-1;
                                                                                                                    // branch -> 0x46943d
                                                                                                                } else {
                                                                                                                    v37 = v64;
                                                                                                                    v20 = v24;
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x46943d
                                                                                                            v40 = v37;
                                                                                                            v18 = v20;
                                                                                                            if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                // 0x46944a
                                                                                                                g8 = v37 - 132;
                                                                                                                *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                function_46a168();
                                                                                                                v66 = g4;
                                                                                                                if (g3 == 0) {
                                                                                                                    // 0x46945c
                                                                                                                    v132 = *(int32_t *)(*(int32_t *)(v66 - 4) + 16);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                    System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                    g3 = *(int32_t *)(v132 + 12);
                                                                                                                    g8 = 0x469b04;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                    function_45bf7c();
                                                                                                                    // branch -> 0x469a51
                                                                                                                } else {
                                                                                                                    // 0x46947f
                                                                                                                    v26 = (char *)(v66 - 128);
                                                                                                                    if (*v26 == 0) {
                                                                                                                        // 0x469485
                                                                                                                        g8 = v66 - 132;
                                                                                                                        g3 = *(int32_t *)(v66 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                        function_469c8c();
                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                        v67 = g4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                        g6 = v67 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                        function_46af4c();
                                                                                                                        v38 = g4;
                                                                                                                        g8 = v38 - 132;
                                                                                                                        g3 = *(int32_t *)(v38 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                        function_469f40();
                                                                                                                        v39 = g4;
                                                                                                                        g8 = v39 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                        function_46a30c();
                                                                                                                        v68 = g4;
                                                                                                                        *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                        v19 = (int32_t *)-1;
                                                                                                                        // branch -> 0x4694db
                                                                                                                    } else {
                                                                                                                        // 0x4694d7
                                                                                                                        *v26 = 0;
                                                                                                                        v19 = v20;
                                                                                                                        // branch -> 0x4694db
                                                                                                                    }
                                                                                                                    // 0x4694db
                                                                                                                    v27 = (int32_t *)(g4 - 96);
                                                                                                                    *v27 = *v27 + 1;
                                                                                                                    v69 = g4;
                                                                                                                    if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                        v40 = v69;
                                                                                                                        v18 = v19;
                                                                                                                        // 0x469507
                                                                                                                        v45 = v40;
                                                                                                                        v23 = v18;
                                                                                                                        if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                            // 0x469510
                                                                                                                            v42 = v40;
                                                                                                                            if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                                // 0x469519
                                                                                                                                g8 = v40 - 132;
                                                                                                                                g3 = *(int32_t *)(v40 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v41 = g11;
                                                                                                                                v30 = v41 - 4;
                                                                                                                                *(int32_t *)v30 = g4 - 132;
                                                                                                                                g11 = v30;
                                                                                                                                v70 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                                *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                                function_46ae10();
                                                                                                                                v42 = g4;
                                                                                                                                // branch -> 0x469541
                                                                                                                            }
                                                                                                                            // 0x469541
                                                                                                                            g8 = v42 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                            function_46b434();
                                                                                                                            v43 = g4;
                                                                                                                            g8 = v43 - 132;
                                                                                                                            g3 = *(int32_t *)(v43 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                            function_469f40();
                                                                                                                            v44 = g4;
                                                                                                                            g8 = v44 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                            function_46a30c();
                                                                                                                            v71 = g4;
                                                                                                                            if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                                // 0x46957d
                                                                                                                                *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                                v45 = g4;
                                                                                                                                v23 = (int32_t *)-1;
                                                                                                                                // branch -> 0x469586
                                                                                                                            } else {
                                                                                                                                v45 = v71;
                                                                                                                                v23 = (int32_t *)-1;
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x469586
                                                                                                                        v50 = v45;
                                                                                                                        v22 = v23;
                                                                                                                        if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                            // 0x46958f
                                                                                                                            v47 = v45;
                                                                                                                            if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                                // 0x469598
                                                                                                                                g8 = v45 - 132;
                                                                                                                                g3 = *(int32_t *)(v45 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v46 = g11;
                                                                                                                                v31 = v46 - 4;
                                                                                                                                *(int32_t *)v31 = g4 - 132;
                                                                                                                                g11 = v31;
                                                                                                                                v72 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                                *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                                function_46ae10();
                                                                                                                                v47 = g4;
                                                                                                                                // branch -> 0x4695c0
                                                                                                                            }
                                                                                                                            // 0x4695c0
                                                                                                                            g8 = v47 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                            function_46b4ac();
                                                                                                                            v48 = g4;
                                                                                                                            g8 = v48 - 132;
                                                                                                                            g3 = *(int32_t *)(v48 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                            function_469f40();
                                                                                                                            v49 = g4;
                                                                                                                            g8 = v49 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                            function_46a30c();
                                                                                                                            v73 = g4;
                                                                                                                            if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                                // 0x4695fc
                                                                                                                                *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                                v50 = g4;
                                                                                                                                v22 = (int32_t *)-1;
                                                                                                                                // branch -> 0x469605
                                                                                                                            } else {
                                                                                                                                v50 = v73;
                                                                                                                                v22 = (int32_t *)-1;
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x469605
                                                                                                                        if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                            // 0x469612
                                                                                                                            if (*(char *)(v50 - 111) == 0) {
                                                                                                                                // 0x469618
                                                                                                                                if (*(char *)(v50 - 112) == 0) {
                                                                                                                                    // 0x469641
                                                                                                                                    if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                        // 0x46966a
                                                                                                                                        if (*(char *)(v50 - 100) == 1) {
                                                                                                                                            // 0x469693
                                                                                                                                            g8 = v50 - 196;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                            function_46a30c();
                                                                                                                                            v51 = g4;
                                                                                                                                            g8 = v51 - 132;
                                                                                                                                            g3 = *(int32_t *)(v51 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                            function_4673b4();
                                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                                            g8 = g8 & -256 | 247;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                            function_462278();
                                                                                                                                            v74 = g4;
                                                                                                                                            v83 = g8 & -256;
                                                                                                                                            g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                            function_462278();
                                                                                                                                            g8 = g8 & -256 | 131;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                            function_462278();
                                                                                                                                            v75 = g4;
                                                                                                                                            v84 = g8 & -256;
                                                                                                                                            g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                            function_462278();
                                                                                                                                            g8 = g8 & -256 | 1;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                            function_462278();
                                                                                                                                            v52 = g4;
                                                                                                                                            g8 = v52 - 132;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                            function_46a30c();
                                                                                                                                            v76 = g4;
                                                                                                                                            *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                            v53 = g4;
                                                                                                                                            // branch -> 0x46971b
                                                                                                                                            // 0x46971b
                                                                                                                                            if (*(char *)(*(int32_t *)(v53 - 8) + 24) != 0) {
                                                                                                                                                // 0x469728
                                                                                                                                                if (*(char *)(v53 - 112) == 0) {
                                                                                                                                                    // 0x469736
                                                                                                                                                    v29 = (char *)(v53 - 100);
                                                                                                                                                    if (*v29 != 8) {
                                                                                                                                                        // 0x46973c
                                                                                                                                                        if (*v29 != 0) {
                                                                                                                                                            // 0x4697ba
                                                                                                                                                            if (*v29 == 3) {
                                                                                                                                                                // 0x4697c4
                                                                                                                                                                v80 = v53;
                                                                                                                                                                if (*(char *)(v53 - 99) == 0) {
                                                                                                                                                                    // 0x4697ce
                                                                                                                                                                    g8 = v53 - 132;
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4697dc;
                                                                                                                                                                    function_46a168();
                                                                                                                                                                    if (g3 == 0) {
                                                                                                                                                                        // 0x4697e0
                                                                                                                                                                        v57 = g4;
                                                                                                                                                                        g8 = v57 - 260;
                                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v57 - 4) + 4);
                                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4697f1;
                                                                                                                                                                        function_46a30c();
                                                                                                                                                                        *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469803;
                                                                                                                                                                        function_469fd8();
                                                                                                                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                                        v58 = g11;
                                                                                                                                                                        v32 = v58 - 4;
                                                                                                                                                                        *(int32_t *)v32 = g4 - 260;
                                                                                                                                                                        g11 = v32;
                                                                                                                                                                        g6 = 0;
                                                                                                                                                                        v59 = g4;
                                                                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v59 - 132);
                                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v59 - 4) + 4);
                                                                                                                                                                        *(int32_t *)(v58 - 8) = 0x469823;
                                                                                                                                                                        function_46ae10();
                                                                                                                                                                        g6 = -1;
                                                                                                                                                                        v60 = g4;
                                                                                                                                                                        g8 = v60 - 132;
                                                                                                                                                                        g3 = *(int32_t *)(v60 - 4);
                                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469834;
                                                                                                                                                                        function_469f40();
                                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46984b;
                                                                                                                                                                        System__CopyRecord(0x46a22c);
                                                                                                                                                                        // branch -> 0x46984b
                                                                                                                                                                    }
                                                                                                                                                                    // 0x46984b
                                                                                                                                                                    v61 = g4;
                                                                                                                                                                    g8 = v61 - 132;
                                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v61 - 4) + 4);
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46985c;
                                                                                                                                                                    function_46b524();
                                                                                                                                                                    v80 = g4;
                                                                                                                                                                    // branch -> 0x46985c
                                                                                                                                                                }
                                                                                                                                                                // 0x46985c
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v80 - 4) + 4) + 4);
                                                                                                                                                                g8 = g8 & -256 | 217;
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46986c;
                                                                                                                                                                function_462278();
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                                                g8 = g8 & -256 | 224;
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46987c;
                                                                                                                                                                function_462278();
                                                                                                                                                                v81 = g4;
                                                                                                                                                                if (*(char *)*(int32_t *)(v81 - 12) == 0) {
                                                                                                                                                                    // 0x469884
                                                                                                                                                                    g8 = v81 - 260;
                                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v81 - 4) + 4);
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469895;
                                                                                                                                                                    function_46a30c();
                                                                                                                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4698a7;
                                                                                                                                                                    function_469fd8();
                                                                                                                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                                                                                                                    v62 = g4;
                                                                                                                                                                    g8 = v62 - 260;
                                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v62 - 4) + 4);
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4698be;
                                                                                                                                                                    function_46b614();
                                                                                                                                                                    g6 = -1;
                                                                                                                                                                    v63 = g4;
                                                                                                                                                                    g8 = v63 - 132;
                                                                                                                                                                    g3 = *(int32_t *)(v63 - 4);
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4698cf;
                                                                                                                                                                    function_469f40();
                                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4698e6;
                                                                                                                                                                    System__CopyRecord(0x46a22c);
                                                                                                                                                                    // branch -> 0x4698ec
                                                                                                                                                                } else {
                                                                                                                                                                    // 0x4698e8
                                                                                                                                                                    *(char *)(v81 - 99) = 1;
                                                                                                                                                                    // branch -> 0x4698ec
                                                                                                                                                                }
                                                                                                                                                                // 0x4698ec
                                                                                                                                                                *(char *)(g4 - 100) = 3;
                                                                                                                                                                // branch -> 0x469915
                                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                            } else {
                                                                                                                                                                // 0x4698f2
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469903;
                                                                                                                                                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v53 - 4) + 16) + 12);
                                                                                                                                                                g8 = 0x469c54;
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469910;
                                                                                                                                                                function_45bf7c();
                                                                                                                                                                // branch -> 0x469a51
                                                                                                                                                            }
                                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                        }
                                                                                                                                                    }
                                                                                                                                                    // 0x469742
                                                                                                                                                    g8 = v53 - 132;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469750;
                                                                                                                                                    function_46a168();
                                                                                                                                                    if (g3 != 0) {
                                                                                                                                                        // 0x469754
                                                                                                                                                        v54 = g4;
                                                                                                                                                        g8 = v54 - 132;
                                                                                                                                                        g3 = *(int32_t *)(v54 - 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469765;
                                                                                                                                                        function_4673b4();
                                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                        v77 = g4;
                                                                                                                                                        *(char *)(v77 - 37) = *(char *)(v77 - 100);
                                                                                                                                                        v55 = g4;
                                                                                                                                                        g8 = v55 - 132;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v55 - 4) + 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46977f;
                                                                                                                                                        function_46a30c();
                                                                                                                                                        v78 = g4;
                                                                                                                                                        *(char *)(v78 - 100) = *(char *)(v78 - 37);
                                                                                                                                                        v79 = g4;
                                                                                                                                                        *(int32_t *)(v79 - 132) = *(int32_t *)(v79 - 20);
                                                                                                                                                        // branch -> 0x46978e
                                                                                                                                                    }
                                                                                                                                                    // 0x46978e
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                                                    g8 = g8 & -256 | 247;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46979e;
                                                                                                                                                    function_462278();
                                                                                                                                                    v56 = g4;
                                                                                                                                                    v82 = g8 & -256;
                                                                                                                                                    g8 = (v82 | (int32_t)*(char *)(v56 - 132)) - 40 & 255 | v82;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v56 - 4) + 4) + 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4697b5;
                                                                                                                                                    function_462278();
                                                                                                                                                    // branch -> 0x469915
                                                                                                                                                } else {
                                                                                                                                                    // 0x46972e
                                                                                                                                                    v28 = (int32_t *)(v53 - 108);
                                                                                                                                                    *v28 = -*v28;
                                                                                                                                                    // branch -> 0x469915
                                                                                                                                                }
                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                            }
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        } else {
                                                                                                                                            // 0x469670
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                            g8 = 0x469c04;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                            function_45bf7c();
                                                                                                                                            // branch -> 0x469a51
                                                                                                                                        }
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    } else {
                                                                                                                                        // 0x469647
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                        g8 = 0x469bc0;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                        function_45bf7c();
                                                                                                                                        // branch -> 0x469a51
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x46961e
                                                                                                                            v132 = *(int32_t *)(*(int32_t *)(v50 - 4) + 16);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                            g3 = *(int32_t *)(v132 + 12);
                                                                                                                            g8 = 0x469b88;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                            function_45bf7c();
                                                                                                                            // branch -> 0x469a51
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x4694e4
                                                                                                                        v132 = *(int32_t *)(*(int32_t *)(v69 - 4) + 16);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                        System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                        g3 = *(int32_t *)(v132 + 12);
                                                                                                                        g8 = 0x469b3c;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                        function_45bf7c();
                                                                                                                        // branch -> 0x469a51
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // 0x469507
                                                                                                            v45 = v40;
                                                                                                            v23 = v18;
                                                                                                            if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                // 0x469510
                                                                                                                v42 = v40;
                                                                                                                if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                    // 0x469519
                                                                                                                    g8 = v40 - 132;
                                                                                                                    g3 = *(int32_t *)(v40 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                    function_469c8c();
                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                    v41 = g11;
                                                                                                                    v30 = v41 - 4;
                                                                                                                    *(int32_t *)v30 = g4 - 132;
                                                                                                                    g11 = v30;
                                                                                                                    v70 = g4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                    *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                    function_46ae10();
                                                                                                                    v42 = g4;
                                                                                                                    // branch -> 0x469541
                                                                                                                }
                                                                                                                // 0x469541
                                                                                                                g8 = v42 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                function_46b434();
                                                                                                                v43 = g4;
                                                                                                                g8 = v43 - 132;
                                                                                                                g3 = *(int32_t *)(v43 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                function_469f40();
                                                                                                                v44 = g4;
                                                                                                                g8 = v44 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                function_46a30c();
                                                                                                                v71 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                    // 0x46957d
                                                                                                                    *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                    v45 = g4;
                                                                                                                    v23 = (int32_t *)-1;
                                                                                                                    // branch -> 0x469586
                                                                                                                } else {
                                                                                                                    v45 = v71;
                                                                                                                    v23 = (int32_t *)-1;
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x469586
                                                                                                            v50 = v45;
                                                                                                            v22 = v23;
                                                                                                            if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                // 0x46958f
                                                                                                                v47 = v45;
                                                                                                                if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                    // 0x469598
                                                                                                                    g8 = v45 - 132;
                                                                                                                    g3 = *(int32_t *)(v45 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                    function_469c8c();
                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                    v46 = g11;
                                                                                                                    v31 = v46 - 4;
                                                                                                                    *(int32_t *)v31 = g4 - 132;
                                                                                                                    g11 = v31;
                                                                                                                    v72 = g4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                    *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                    function_46ae10();
                                                                                                                    v47 = g4;
                                                                                                                    // branch -> 0x4695c0
                                                                                                                }
                                                                                                                // 0x4695c0
                                                                                                                g8 = v47 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                function_46b4ac();
                                                                                                                v48 = g4;
                                                                                                                g8 = v48 - 132;
                                                                                                                g3 = *(int32_t *)(v48 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                function_469f40();
                                                                                                                v49 = g4;
                                                                                                                g8 = v49 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                function_46a30c();
                                                                                                                v73 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                    // 0x4695fc
                                                                                                                    *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                    v50 = g4;
                                                                                                                    v22 = (int32_t *)-1;
                                                                                                                    // branch -> 0x469605
                                                                                                                } else {
                                                                                                                    v50 = v73;
                                                                                                                    v22 = (int32_t *)-1;
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x469605
                                                                                                            if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                // 0x469612
                                                                                                                if (*(char *)(v50 - 111) == 0) {
                                                                                                                    // 0x469618
                                                                                                                    if (*(char *)(v50 - 112) == 0) {
                                                                                                                        // 0x469641
                                                                                                                        if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                            // 0x46966a
                                                                                                                            if (*(char *)(v50 - 100) == 1) {
                                                                                                                                // 0x469693
                                                                                                                                g8 = v50 - 196;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                function_46a30c();
                                                                                                                                v51 = g4;
                                                                                                                                g8 = v51 - 132;
                                                                                                                                g3 = *(int32_t *)(v51 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                function_4673b4();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                g8 = g8 & -256 | 247;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                function_462278();
                                                                                                                                v74 = g4;
                                                                                                                                v83 = g8 & -256;
                                                                                                                                g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                function_462278();
                                                                                                                                g8 = g8 & -256 | 131;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                function_462278();
                                                                                                                                v75 = g4;
                                                                                                                                v84 = g8 & -256;
                                                                                                                                g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                function_462278();
                                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                function_462278();
                                                                                                                                v52 = g4;
                                                                                                                                g8 = v52 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                function_46a30c();
                                                                                                                                v76 = g4;
                                                                                                                                *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                // branch -> 0x46971b
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            } else {
                                                                                                                                // 0x469670
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                g8 = 0x469c04;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                function_45bf7c();
                                                                                                                                // branch -> 0x469a51
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        } else {
                                                                                                                            // 0x469647
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                            g8 = 0x469bc0;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                            function_45bf7c();
                                                                                                                            // branch -> 0x469a51
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x46961e
                                                                                                                v132 = *(int32_t *)(*(int32_t *)(v50 - 4) + 16);
                                                                                                                *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                g3 = *(int32_t *)(v132 + 12);
                                                                                                                g8 = 0x469b88;
                                                                                                                *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                function_45bf7c();
                                                                                                                // branch -> 0x469a51
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x46906e
                                                                                                    v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                    *v127 = *v127 - 1;
                                                                                                    v223 = v132;
                                                                                                    v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                    g11 -= *(int32_t *)g5;
                                                                                                    v128 = (char *)v145;
                                                                                                    *v128 = (char)((int32_t)*v128 + v145);
                                                                                                    v191 = g4;
                                                                                                    g8 = v191 - 388;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                    function_46a30c();
                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                    function_469fd8();
                                                                                                    *(int32_t *)(g4 - 372) = g3;
                                                                                                    *(int32_t *)(g4 - 388) = 5;
                                                                                                    v192 = g11;
                                                                                                    v141 = v192 - 4;
                                                                                                    *(int32_t *)v141 = g4 - 388;
                                                                                                    g11 = v141;
                                                                                                    v193 = g4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                    *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                    function_46ae10();
                                                                                                    v194 = g4;
                                                                                                    g8 = *(int32_t *)(v194 - 324);
                                                                                                    g3 = *(int32_t *)(v194 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                    function_469e18();
                                                                                                    v224 = g4;
                                                                                                    v249 = *(int32_t *)(v224 - 4);
                                                                                                    if (*(char *)(v249 + 0x1814) != 0) {
                                                                                                        // 0x469127
                                                                                                        if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                            // 0x469131
                                                                                                            // branch -> 0x469133
                                                                                                            // 0x469133
                                                                                                            *(char *)(v224 - 42) = (char)(v249 & -256 | 1);
                                                                                                            v225 = g4;
                                                                                                            v250 = *(int32_t *)(v225 - 4);
                                                                                                            if (*(char *)(v250 + 0x183c) != 0) {
                                                                                                                // 0x469142
                                                                                                                if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                    // 0x46914c
                                                                                                                    // branch -> 0x46914e
                                                                                                                    // 0x46914e
                                                                                                                    *(char *)(v225 - 40) = (char)(v250 & -256 | 1);
                                                                                                                    v226 = g4;
                                                                                                                    v227 = v226;
                                                                                                                    if (*(char *)(v226 - 42) != 0) {
                                                                                                                        // 0x469157
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                                        function_46b214();
                                                                                                                        v227 = g4;
                                                                                                                        // branch -> 0x469164
                                                                                                                    }
                                                                                                                    // 0x469164
                                                                                                                    v195 = v227;
                                                                                                                    if (*(char *)(v227 - 40) != 0) {
                                                                                                                        // 0x46916a
                                                                                                                        g8 = g8 & -256 | 2;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                                        function_46b214();
                                                                                                                        v195 = g4;
                                                                                                                        // branch -> 0x469177
                                                                                                                    }
                                                                                                                    // 0x469177
                                                                                                                    g8 = v195 - 324;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                                    v129 = (int32_t *)(g11 - 4);
                                                                                                                    if (*(char *)(v195 - 240) == 0) {
                                                                                                                        // 0x469184
                                                                                                                        *v129 = 0x469195;
                                                                                                                        function_46a30c();
                                                                                                                        v228 = g4;
                                                                                                                        *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                                        v196 = g11;
                                                                                                                        v142 = v196 - 4;
                                                                                                                        *(int32_t *)v142 = g4 - 324;
                                                                                                                        g11 = v142;
                                                                                                                        g6 = 1;
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                        *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                                        function_46ae10();
                                                                                                                        v229 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                            // 0x4691bd
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                            function_46b238();
                                                                                                                            // branch -> 0x4691d9
                                                                                                                        } else {
                                                                                                                            // 0x4691ca
                                                                                                                            g6 = g6 & -256 | 2;
                                                                                                                            g8 = g8 & -256 | 2;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                            function_46ad58();
                                                                                                                            // branch -> 0x4691d9
                                                                                                                        }
                                                                                                                        // 0x4691d9
                                                                                                                        v230 = g4;
                                                                                                                        g8 = v230 - 388;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                                        v130 = (int32_t *)(g11 - 4);
                                                                                                                        if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                            // 0x4691e2
                                                                                                                            *v130 = 0x4691f3;
                                                                                                                            function_46afe8();
                                                                                                                            // branch -> 0x4692fa
                                                                                                                        } else {
                                                                                                                            // 0x4691f8
                                                                                                                            *v130 = 0x469209;
                                                                                                                            function_46b060();
                                                                                                                            // branch -> 0x4692fa
                                                                                                                        }
                                                                                                                        // 0x4692fa
                                                                                                                        v260 = g4;
                                                                                                                        g8 = v260 - 324;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                                        function_46a30c();
                                                                                                                        v263 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                                            // 0x469314
                                                                                                                            *(int32_t *)(v263 - 324) = 0;
                                                                                                                            // branch -> 0x469328
                                                                                                                        } else {
                                                                                                                            // 0x46931e
                                                                                                                            *(int32_t *)(v263 - 324) = 2;
                                                                                                                            // branch -> 0x469328
                                                                                                                        }
                                                                                                                        // 0x469328
                                                                                                                        v261 = g11;
                                                                                                                        v259 = v261 - 4;
                                                                                                                        *(int32_t *)v259 = g4 - 324;
                                                                                                                        g11 = v259;
                                                                                                                        v264 = g4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                                        g6 = g6 & -256 | 1;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                                        *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                                        function_46ae10();
                                                                                                                        v265 = g4;
                                                                                                                        v266 = v265;
                                                                                                                        if (*(char *)(v265 - 40) != 0) {
                                                                                                                            // 0x469345
                                                                                                                            g8 = g8 & -256 | 2;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                                            function_46b1f0();
                                                                                                                            v266 = g4;
                                                                                                                            // branch -> 0x469352
                                                                                                                        }
                                                                                                                        // 0x469352
                                                                                                                        v262 = v266;
                                                                                                                        if (*(char *)(v266 - 42) != 0) {
                                                                                                                            // 0x469358
                                                                                                                            g8 = 0;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                                            function_46b1f0();
                                                                                                                            v262 = g4;
                                                                                                                            // branch -> 0x469365
                                                                                                                        }
                                                                                                                        // 0x469365
                                                                                                                        if (*(char *)(v262 - 240) == 0) {
                                                                                                                            // 0x46936e
                                                                                                                            g6 = -1;
                                                                                                                            g8 = v262 - 388;
                                                                                                                            g3 = *(int32_t *)(v262 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                                            function_469f40();
                                                                                                                            // branch -> 0x46937f
                                                                                                                        }
                                                                                                                        // 0x46937f
                                                                                                                        v268 = g4;
                                                                                                                        g8 = v268 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                                        function_46a30c();
                                                                                                                        v269 = g4;
                                                                                                                        *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                                        v270 = g4;
                                                                                                                        v267 = (int32_t *)(v270 - 8);
                                                                                                                        v271 = *(int32_t *)(*v267 + 4);
                                                                                                                        if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                                            // 0x4693a8
                                                                                                                            v272 = *(int32_t *)(*v267 + 8);
                                                                                                                            if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                                // 0x4693bd
                                                                                                                                *(char *)(v270 - 100) = 0;
                                                                                                                                // branch -> 0x4693c1
                                                                                                                                // 0x4693c1
                                                                                                                                v7 = NULL;
                                                                                                                                g11 = (int32_t)&v7;
                                                                                                                                v33 = g4;
                                                                                                                                g8 = v33 - 132;
                                                                                                                                v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                                                g3 = *(int32_t *)(v33 - 4);
                                                                                                                                function_4663c4();
                                                                                                                                v64 = g4;
                                                                                                                                v25 = (int32_t *)(v64 - 8);
                                                                                                                                v37 = v64;
                                                                                                                                v20 = v24;
                                                                                                                                if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                                    // 0x4693dd
                                                                                                                                    if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                                        // 0x4693e6
                                                                                                                                        g8 = v64 - 132;
                                                                                                                                        g3 = *(int32_t *)(v64 - 4);
                                                                                                                                        function_469c8c();
                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                        v34 = g4;
                                                                                                                                        g11 = v4;
                                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                                        g6 = 1;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                                        function_46ae10();
                                                                                                                                        v35 = g4;
                                                                                                                                        g8 = v35 - 132;
                                                                                                                                        g3 = *(int32_t *)(v35 - 4);
                                                                                                                                        function_469f40();
                                                                                                                                        v36 = g4;
                                                                                                                                        g8 = v36 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                                        function_46a30c();
                                                                                                                                        v65 = g4;
                                                                                                                                        *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                                        *(char *)(g4 - 128) = 1;
                                                                                                                                        v37 = g4;
                                                                                                                                        v20 = (int32_t *)-1;
                                                                                                                                        // branch -> 0x46943d
                                                                                                                                    } else {
                                                                                                                                        v37 = v64;
                                                                                                                                        v20 = v24;
                                                                                                                                    }
                                                                                                                                }
                                                                                                                                // 0x46943d
                                                                                                                                v40 = v37;
                                                                                                                                v18 = v20;
                                                                                                                                if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                                    // 0x46944a
                                                                                                                                    g8 = v37 - 132;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                                    function_46a168();
                                                                                                                                    v66 = g4;
                                                                                                                                    if (g3 == 0) {
                                                                                                                                        // 0x46945c
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                                        System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                                        g8 = 0x469b04;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                                        function_45bf7c();
                                                                                                                                        // branch -> 0x469a51
                                                                                                                                    } else {
                                                                                                                                        // 0x46947f
                                                                                                                                        v26 = (char *)(v66 - 128);
                                                                                                                                        if (*v26 == 0) {
                                                                                                                                            // 0x469485
                                                                                                                                            g8 = v66 - 132;
                                                                                                                                            g3 = *(int32_t *)(v66 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                                            function_469c8c();
                                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                                            v67 = g4;
                                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                                            g6 = v67 - 132;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                                            function_46af4c();
                                                                                                                                            v38 = g4;
                                                                                                                                            g8 = v38 - 132;
                                                                                                                                            g3 = *(int32_t *)(v38 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                                            function_469f40();
                                                                                                                                            v39 = g4;
                                                                                                                                            g8 = v39 - 132;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                                            function_46a30c();
                                                                                                                                            v68 = g4;
                                                                                                                                            *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                                            v19 = (int32_t *)-1;
                                                                                                                                            // branch -> 0x4694db
                                                                                                                                        } else {
                                                                                                                                            // 0x4694d7
                                                                                                                                            *v26 = 0;
                                                                                                                                            v19 = v20;
                                                                                                                                            // branch -> 0x4694db
                                                                                                                                        }
                                                                                                                                        // 0x4694db
                                                                                                                                        v27 = (int32_t *)(g4 - 96);
                                                                                                                                        *v27 = *v27 + 1;
                                                                                                                                        v69 = g4;
                                                                                                                                        if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                                            v40 = v69;
                                                                                                                                            v18 = v19;
                                                                                                                                            // 0x469507
                                                                                                                                            v45 = v40;
                                                                                                                                            v23 = v18;
                                                                                                                                            if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                                                // 0x469510
                                                                                                                                                v42 = v40;
                                                                                                                                                if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                                                    // 0x469519
                                                                                                                                                    g8 = v40 - 132;
                                                                                                                                                    g3 = *(int32_t *)(v40 - 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                                                    function_469c8c();
                                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                    v41 = g11;
                                                                                                                                                    v30 = v41 - 4;
                                                                                                                                                    *(int32_t *)v30 = g4 - 132;
                                                                                                                                                    g11 = v30;
                                                                                                                                                    v70 = g4;
                                                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                                                    *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                                                    function_46ae10();
                                                                                                                                                    v42 = g4;
                                                                                                                                                    // branch -> 0x469541
                                                                                                                                                }
                                                                                                                                                // 0x469541
                                                                                                                                                g8 = v42 - 132;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                                                function_46b434();
                                                                                                                                                v43 = g4;
                                                                                                                                                g8 = v43 - 132;
                                                                                                                                                g3 = *(int32_t *)(v43 - 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                                                function_469f40();
                                                                                                                                                v44 = g4;
                                                                                                                                                g8 = v44 - 132;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                                                function_46a30c();
                                                                                                                                                v71 = g4;
                                                                                                                                                if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                                                    // 0x46957d
                                                                                                                                                    *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                                                    v45 = g4;
                                                                                                                                                    v23 = (int32_t *)-1;
                                                                                                                                                    // branch -> 0x469586
                                                                                                                                                } else {
                                                                                                                                                    v45 = v71;
                                                                                                                                                    v23 = (int32_t *)-1;
                                                                                                                                                }
                                                                                                                                            }
                                                                                                                                            // 0x469586
                                                                                                                                            v50 = v45;
                                                                                                                                            v22 = v23;
                                                                                                                                            if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                                                // 0x46958f
                                                                                                                                                v47 = v45;
                                                                                                                                                if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                                                    // 0x469598
                                                                                                                                                    g8 = v45 - 132;
                                                                                                                                                    g3 = *(int32_t *)(v45 - 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                                                    function_469c8c();
                                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                    v46 = g11;
                                                                                                                                                    v31 = v46 - 4;
                                                                                                                                                    *(int32_t *)v31 = g4 - 132;
                                                                                                                                                    g11 = v31;
                                                                                                                                                    v72 = g4;
                                                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                                                    *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                                                    function_46ae10();
                                                                                                                                                    v47 = g4;
                                                                                                                                                    // branch -> 0x4695c0
                                                                                                                                                }
                                                                                                                                                // 0x4695c0
                                                                                                                                                g8 = v47 - 132;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                                                function_46b4ac();
                                                                                                                                                v48 = g4;
                                                                                                                                                g8 = v48 - 132;
                                                                                                                                                g3 = *(int32_t *)(v48 - 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                                                function_469f40();
                                                                                                                                                v49 = g4;
                                                                                                                                                g8 = v49 - 132;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                                                function_46a30c();
                                                                                                                                                v73 = g4;
                                                                                                                                                if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                                                    // 0x4695fc
                                                                                                                                                    *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                                                    v50 = g4;
                                                                                                                                                    v22 = (int32_t *)-1;
                                                                                                                                                    // branch -> 0x469605
                                                                                                                                                } else {
                                                                                                                                                    v50 = v73;
                                                                                                                                                    v22 = (int32_t *)-1;
                                                                                                                                                }
                                                                                                                                            }
                                                                                                                                            // 0x469605
                                                                                                                                            if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                                                // 0x469612
                                                                                                                                                if (*(char *)(v50 - 111) == 0) {
                                                                                                                                                    // 0x469618
                                                                                                                                                    if (*(char *)(v50 - 112) == 0) {
                                                                                                                                                        // 0x469641
                                                                                                                                                        if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                                            // 0x46966a
                                                                                                                                                            if (*(char *)(v50 - 100) == 1) {
                                                                                                                                                                // 0x469693
                                                                                                                                                                g8 = v50 - 196;
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                                                function_46a30c();
                                                                                                                                                                v51 = g4;
                                                                                                                                                                g8 = v51 - 132;
                                                                                                                                                                g3 = *(int32_t *)(v51 - 4);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                                                function_4673b4();
                                                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                                g8 = g8 & -256 | 247;
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                                                function_462278();
                                                                                                                                                                v74 = g4;
                                                                                                                                                                v83 = g8 & -256;
                                                                                                                                                                g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                                                function_462278();
                                                                                                                                                                g8 = g8 & -256 | 131;
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                                                function_462278();
                                                                                                                                                                v75 = g4;
                                                                                                                                                                v84 = g8 & -256;
                                                                                                                                                                g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                                                function_462278();
                                                                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                                                function_462278();
                                                                                                                                                                v52 = g4;
                                                                                                                                                                g8 = v52 - 132;
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                                                function_46a30c();
                                                                                                                                                                v76 = g4;
                                                                                                                                                                *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                                                // branch -> 0x46971b
                                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                            } else {
                                                                                                                                                                // 0x469670
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                                g8 = 0x469c04;
                                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                                                function_45bf7c();
                                                                                                                                                                // branch -> 0x469a51
                                                                                                                                                            }
                                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                        } else {
                                                                                                                                                            // 0x469647
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                            g8 = 0x469bc0;
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                                            function_45bf7c();
                                                                                                                                                            // branch -> 0x469a51
                                                                                                                                                        }
                                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                    }
                                                                                                                                                }
                                                                                                                                                // 0x46961e
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                g8 = 0x469b88;
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                                                function_45bf7c();
                                                                                                                                                // branch -> 0x469a51
                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                            }
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        } else {
                                                                                                                                            // 0x4694e4
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                                            System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                                            g8 = 0x469b3c;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                                            function_45bf7c();
                                                                                                                                            // branch -> 0x469a51
                                                                                                                                        }
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                                // 0x469507
                                                                                                                                v45 = v40;
                                                                                                                                v23 = v18;
                                                                                                                                if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                                    // 0x469510
                                                                                                                                    v42 = v40;
                                                                                                                                    if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                                        // 0x469519
                                                                                                                                        g8 = v40 - 132;
                                                                                                                                        g3 = *(int32_t *)(v40 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                                        function_469c8c();
                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                        v41 = g11;
                                                                                                                                        v30 = v41 - 4;
                                                                                                                                        *(int32_t *)v30 = g4 - 132;
                                                                                                                                        g11 = v30;
                                                                                                                                        v70 = g4;
                                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                                        *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                                        function_46ae10();
                                                                                                                                        v42 = g4;
                                                                                                                                        // branch -> 0x469541
                                                                                                                                    }
                                                                                                                                    // 0x469541
                                                                                                                                    g8 = v42 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                                    function_46b434();
                                                                                                                                    v43 = g4;
                                                                                                                                    g8 = v43 - 132;
                                                                                                                                    g3 = *(int32_t *)(v43 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                                    function_469f40();
                                                                                                                                    v44 = g4;
                                                                                                                                    g8 = v44 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                                    function_46a30c();
                                                                                                                                    v71 = g4;
                                                                                                                                    if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                                        // 0x46957d
                                                                                                                                        *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                                        v45 = g4;
                                                                                                                                        v23 = (int32_t *)-1;
                                                                                                                                        // branch -> 0x469586
                                                                                                                                    } else {
                                                                                                                                        v45 = v71;
                                                                                                                                        v23 = (int32_t *)-1;
                                                                                                                                    }
                                                                                                                                }
                                                                                                                                // 0x469586
                                                                                                                                v50 = v45;
                                                                                                                                v22 = v23;
                                                                                                                                if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                                    // 0x46958f
                                                                                                                                    v47 = v45;
                                                                                                                                    if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                                        // 0x469598
                                                                                                                                        g8 = v45 - 132;
                                                                                                                                        g3 = *(int32_t *)(v45 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                                        function_469c8c();
                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                        v46 = g11;
                                                                                                                                        v31 = v46 - 4;
                                                                                                                                        *(int32_t *)v31 = g4 - 132;
                                                                                                                                        g11 = v31;
                                                                                                                                        v72 = g4;
                                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                                        *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                                        function_46ae10();
                                                                                                                                        v47 = g4;
                                                                                                                                        // branch -> 0x4695c0
                                                                                                                                    }
                                                                                                                                    // 0x4695c0
                                                                                                                                    g8 = v47 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                                    function_46b4ac();
                                                                                                                                    v48 = g4;
                                                                                                                                    g8 = v48 - 132;
                                                                                                                                    g3 = *(int32_t *)(v48 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                                    function_469f40();
                                                                                                                                    v49 = g4;
                                                                                                                                    g8 = v49 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                                    function_46a30c();
                                                                                                                                    v73 = g4;
                                                                                                                                    if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                                        // 0x4695fc
                                                                                                                                        *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                                        v50 = g4;
                                                                                                                                        v22 = (int32_t *)-1;
                                                                                                                                        // branch -> 0x469605
                                                                                                                                    } else {
                                                                                                                                        v50 = v73;
                                                                                                                                        v22 = (int32_t *)-1;
                                                                                                                                    }
                                                                                                                                }
                                                                                                                                // 0x469605
                                                                                                                                if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                                    // 0x469612
                                                                                                                                    if (*(char *)(v50 - 111) == 0) {
                                                                                                                                        // 0x469618
                                                                                                                                        if (*(char *)(v50 - 112) == 0) {
                                                                                                                                            // 0x469641
                                                                                                                                            if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                                // 0x46966a
                                                                                                                                                if (*(char *)(v50 - 100) == 1) {
                                                                                                                                                    // 0x469693
                                                                                                                                                    g8 = v50 - 196;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                                    function_46a30c();
                                                                                                                                                    v51 = g4;
                                                                                                                                                    g8 = v51 - 132;
                                                                                                                                                    g3 = *(int32_t *)(v51 - 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                                    function_4673b4();
                                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                    g8 = g8 & -256 | 247;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                                    function_462278();
                                                                                                                                                    v74 = g4;
                                                                                                                                                    v83 = g8 & -256;
                                                                                                                                                    g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                                    function_462278();
                                                                                                                                                    g8 = g8 & -256 | 131;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                                    function_462278();
                                                                                                                                                    v75 = g4;
                                                                                                                                                    v84 = g8 & -256;
                                                                                                                                                    g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                                    function_462278();
                                                                                                                                                    g8 = g8 & -256 | 1;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                                    function_462278();
                                                                                                                                                    v52 = g4;
                                                                                                                                                    g8 = v52 - 132;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                                    function_46a30c();
                                                                                                                                                    v76 = g4;
                                                                                                                                                    *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                                    // branch -> 0x46971b
                                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                } else {
                                                                                                                                                    // 0x469670
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                    g8 = 0x469c04;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                                    function_45bf7c();
                                                                                                                                                    // branch -> 0x469a51
                                                                                                                                                }
                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                            } else {
                                                                                                                                                // 0x469647
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                g8 = 0x469bc0;
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                                function_45bf7c();
                                                                                                                                                // branch -> 0x469a51
                                                                                                                                            }
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                    // 0x46961e
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                    g8 = 0x469b88;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                                    function_45bf7c();
                                                                                                                                    // branch -> 0x469a51
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x4693b7
                                                                                                                        *(char *)(v270 - 100) = 8;
                                                                                                                        // branch -> 0x4693c1
                                                                                                                        // 0x4693c1
                                                                                                                        v7 = NULL;
                                                                                                                        g11 = (int32_t)&v7;
                                                                                                                        v33 = g4;
                                                                                                                        g8 = v33 - 132;
                                                                                                                        v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                                        g3 = *(int32_t *)(v33 - 4);
                                                                                                                        function_4663c4();
                                                                                                                        v64 = g4;
                                                                                                                        v25 = (int32_t *)(v64 - 8);
                                                                                                                        v37 = v64;
                                                                                                                        v20 = v24;
                                                                                                                        if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                            // 0x4693dd
                                                                                                                            if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                                // 0x4693e6
                                                                                                                                g8 = v64 - 132;
                                                                                                                                g3 = *(int32_t *)(v64 - 4);
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v34 = g4;
                                                                                                                                g11 = v4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                                g6 = 1;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                                function_46ae10();
                                                                                                                                v35 = g4;
                                                                                                                                g8 = v35 - 132;
                                                                                                                                g3 = *(int32_t *)(v35 - 4);
                                                                                                                                function_469f40();
                                                                                                                                v36 = g4;
                                                                                                                                g8 = v36 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                                function_46a30c();
                                                                                                                                v65 = g4;
                                                                                                                                *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                                *(char *)(g4 - 128) = 1;
                                                                                                                                v37 = g4;
                                                                                                                                v20 = (int32_t *)-1;
                                                                                                                                // branch -> 0x46943d
                                                                                                                            } else {
                                                                                                                                v37 = v64;
                                                                                                                                v20 = v24;
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x46943d
                                                                                                                        v40 = v37;
                                                                                                                        v18 = v20;
                                                                                                                        if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                            // 0x46944a
                                                                                                                            g8 = v37 - 132;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                            function_46a168();
                                                                                                                            v66 = g4;
                                                                                                                            if (g3 == 0) {
                                                                                                                                // 0x46945c
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                                System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                                g8 = 0x469b04;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                                function_45bf7c();
                                                                                                                                // branch -> 0x469a51
                                                                                                                            } else {
                                                                                                                                // 0x46947f
                                                                                                                                v26 = (char *)(v66 - 128);
                                                                                                                                if (*v26 == 0) {
                                                                                                                                    // 0x469485
                                                                                                                                    g8 = v66 - 132;
                                                                                                                                    g3 = *(int32_t *)(v66 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                                    function_469c8c();
                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                    v67 = g4;
                                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                                    g6 = v67 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                                    function_46af4c();
                                                                                                                                    v38 = g4;
                                                                                                                                    g8 = v38 - 132;
                                                                                                                                    g3 = *(int32_t *)(v38 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                                    function_469f40();
                                                                                                                                    v39 = g4;
                                                                                                                                    g8 = v39 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                                    function_46a30c();
                                                                                                                                    v68 = g4;
                                                                                                                                    *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                                    v19 = (int32_t *)-1;
                                                                                                                                    // branch -> 0x4694db
                                                                                                                                } else {
                                                                                                                                    // 0x4694d7
                                                                                                                                    *v26 = 0;
                                                                                                                                    v19 = v20;
                                                                                                                                    // branch -> 0x4694db
                                                                                                                                }
                                                                                                                                // 0x4694db
                                                                                                                                v27 = (int32_t *)(g4 - 96);
                                                                                                                                *v27 = *v27 + 1;
                                                                                                                                v69 = g4;
                                                                                                                                if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                                    v40 = v69;
                                                                                                                                    v18 = v19;
                                                                                                                                    // 0x469507
                                                                                                                                    v45 = v40;
                                                                                                                                    v23 = v18;
                                                                                                                                    if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                                        // 0x469510
                                                                                                                                        v42 = v40;
                                                                                                                                        if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                                            // 0x469519
                                                                                                                                            g8 = v40 - 132;
                                                                                                                                            g3 = *(int32_t *)(v40 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                                            function_469c8c();
                                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                                            v41 = g11;
                                                                                                                                            v30 = v41 - 4;
                                                                                                                                            *(int32_t *)v30 = g4 - 132;
                                                                                                                                            g11 = v30;
                                                                                                                                            v70 = g4;
                                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                                            *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                                            function_46ae10();
                                                                                                                                            v42 = g4;
                                                                                                                                            // branch -> 0x469541
                                                                                                                                        }
                                                                                                                                        // 0x469541
                                                                                                                                        g8 = v42 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                                        function_46b434();
                                                                                                                                        v43 = g4;
                                                                                                                                        g8 = v43 - 132;
                                                                                                                                        g3 = *(int32_t *)(v43 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                                        function_469f40();
                                                                                                                                        v44 = g4;
                                                                                                                                        g8 = v44 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                                        function_46a30c();
                                                                                                                                        v71 = g4;
                                                                                                                                        if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                                            // 0x46957d
                                                                                                                                            *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                                            v45 = g4;
                                                                                                                                            v23 = (int32_t *)-1;
                                                                                                                                            // branch -> 0x469586
                                                                                                                                        } else {
                                                                                                                                            v45 = v71;
                                                                                                                                            v23 = (int32_t *)-1;
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                    // 0x469586
                                                                                                                                    v50 = v45;
                                                                                                                                    v22 = v23;
                                                                                                                                    if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                                        // 0x46958f
                                                                                                                                        v47 = v45;
                                                                                                                                        if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                                            // 0x469598
                                                                                                                                            g8 = v45 - 132;
                                                                                                                                            g3 = *(int32_t *)(v45 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                                            function_469c8c();
                                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                                            v46 = g11;
                                                                                                                                            v31 = v46 - 4;
                                                                                                                                            *(int32_t *)v31 = g4 - 132;
                                                                                                                                            g11 = v31;
                                                                                                                                            v72 = g4;
                                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                                            *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                                            function_46ae10();
                                                                                                                                            v47 = g4;
                                                                                                                                            // branch -> 0x4695c0
                                                                                                                                        }
                                                                                                                                        // 0x4695c0
                                                                                                                                        g8 = v47 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                                        function_46b4ac();
                                                                                                                                        v48 = g4;
                                                                                                                                        g8 = v48 - 132;
                                                                                                                                        g3 = *(int32_t *)(v48 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                                        function_469f40();
                                                                                                                                        v49 = g4;
                                                                                                                                        g8 = v49 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                                        function_46a30c();
                                                                                                                                        v73 = g4;
                                                                                                                                        if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                                            // 0x4695fc
                                                                                                                                            *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                                            v50 = g4;
                                                                                                                                            v22 = (int32_t *)-1;
                                                                                                                                            // branch -> 0x469605
                                                                                                                                        } else {
                                                                                                                                            v50 = v73;
                                                                                                                                            v22 = (int32_t *)-1;
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                    // 0x469605
                                                                                                                                    if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                                        // 0x469612
                                                                                                                                        if (*(char *)(v50 - 111) == 0) {
                                                                                                                                            // 0x469618
                                                                                                                                            if (*(char *)(v50 - 112) == 0) {
                                                                                                                                                // 0x469641
                                                                                                                                                if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                                    // 0x46966a
                                                                                                                                                    if (*(char *)(v50 - 100) == 1) {
                                                                                                                                                        // 0x469693
                                                                                                                                                        g8 = v50 - 196;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                                        function_46a30c();
                                                                                                                                                        v51 = g4;
                                                                                                                                                        g8 = v51 - 132;
                                                                                                                                                        g3 = *(int32_t *)(v51 - 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                                        function_4673b4();
                                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                        g8 = g8 & -256 | 247;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                                        function_462278();
                                                                                                                                                        v74 = g4;
                                                                                                                                                        v83 = g8 & -256;
                                                                                                                                                        g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                                        function_462278();
                                                                                                                                                        g8 = g8 & -256 | 131;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                                        function_462278();
                                                                                                                                                        v75 = g4;
                                                                                                                                                        v84 = g8 & -256;
                                                                                                                                                        g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                                        function_462278();
                                                                                                                                                        g8 = g8 & -256 | 1;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                                        function_462278();
                                                                                                                                                        v52 = g4;
                                                                                                                                                        g8 = v52 - 132;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                                        function_46a30c();
                                                                                                                                                        v76 = g4;
                                                                                                                                                        *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                                        // branch -> 0x46971b
                                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                    } else {
                                                                                                                                                        // 0x469670
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                        g8 = 0x469c04;
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                                        function_45bf7c();
                                                                                                                                                        // branch -> 0x469a51
                                                                                                                                                    }
                                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                } else {
                                                                                                                                                    // 0x469647
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                    g8 = 0x469bc0;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                                    function_45bf7c();
                                                                                                                                                    // branch -> 0x469a51
                                                                                                                                                }
                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                            }
                                                                                                                                        }
                                                                                                                                        // 0x46961e
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                        g8 = 0x469b88;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                                        function_45bf7c();
                                                                                                                                        // branch -> 0x469a51
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                } else {
                                                                                                                                    // 0x4694e4
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                                    System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                                    g8 = 0x469b3c;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                                    function_45bf7c();
                                                                                                                                    // branch -> 0x469a51
                                                                                                                                }
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // 0x469507
                                                                                                                        v45 = v40;
                                                                                                                        v23 = v18;
                                                                                                                        if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                            // 0x469510
                                                                                                                            v42 = v40;
                                                                                                                            if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                                // 0x469519
                                                                                                                                g8 = v40 - 132;
                                                                                                                                g3 = *(int32_t *)(v40 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v41 = g11;
                                                                                                                                v30 = v41 - 4;
                                                                                                                                *(int32_t *)v30 = g4 - 132;
                                                                                                                                g11 = v30;
                                                                                                                                v70 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                                *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                                function_46ae10();
                                                                                                                                v42 = g4;
                                                                                                                                // branch -> 0x469541
                                                                                                                            }
                                                                                                                            // 0x469541
                                                                                                                            g8 = v42 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                            function_46b434();
                                                                                                                            v43 = g4;
                                                                                                                            g8 = v43 - 132;
                                                                                                                            g3 = *(int32_t *)(v43 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                            function_469f40();
                                                                                                                            v44 = g4;
                                                                                                                            g8 = v44 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                            function_46a30c();
                                                                                                                            v71 = g4;
                                                                                                                            if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                                // 0x46957d
                                                                                                                                *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                                v45 = g4;
                                                                                                                                v23 = (int32_t *)-1;
                                                                                                                                // branch -> 0x469586
                                                                                                                            } else {
                                                                                                                                v45 = v71;
                                                                                                                                v23 = (int32_t *)-1;
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x469586
                                                                                                                        v50 = v45;
                                                                                                                        v22 = v23;
                                                                                                                        if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                            // 0x46958f
                                                                                                                            v47 = v45;
                                                                                                                            if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                                // 0x469598
                                                                                                                                g8 = v45 - 132;
                                                                                                                                g3 = *(int32_t *)(v45 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v46 = g11;
                                                                                                                                v31 = v46 - 4;
                                                                                                                                *(int32_t *)v31 = g4 - 132;
                                                                                                                                g11 = v31;
                                                                                                                                v72 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                                *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                                function_46ae10();
                                                                                                                                v47 = g4;
                                                                                                                                // branch -> 0x4695c0
                                                                                                                            }
                                                                                                                            // 0x4695c0
                                                                                                                            g8 = v47 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                            function_46b4ac();
                                                                                                                            v48 = g4;
                                                                                                                            g8 = v48 - 132;
                                                                                                                            g3 = *(int32_t *)(v48 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                            function_469f40();
                                                                                                                            v49 = g4;
                                                                                                                            g8 = v49 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                            function_46a30c();
                                                                                                                            v73 = g4;
                                                                                                                            if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                                // 0x4695fc
                                                                                                                                *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                                v50 = g4;
                                                                                                                                v22 = (int32_t *)-1;
                                                                                                                                // branch -> 0x469605
                                                                                                                            } else {
                                                                                                                                v50 = v73;
                                                                                                                                v22 = (int32_t *)-1;
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x469605
                                                                                                                        if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                            // 0x469612
                                                                                                                            if (*(char *)(v50 - 111) == 0) {
                                                                                                                                // 0x469618
                                                                                                                                if (*(char *)(v50 - 112) == 0) {
                                                                                                                                    // 0x469641
                                                                                                                                    if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                        // 0x46966a
                                                                                                                                        if (*(char *)(v50 - 100) == 1) {
                                                                                                                                            // 0x469693
                                                                                                                                            g8 = v50 - 196;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                            function_46a30c();
                                                                                                                                            v51 = g4;
                                                                                                                                            g8 = v51 - 132;
                                                                                                                                            g3 = *(int32_t *)(v51 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                            function_4673b4();
                                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                                            g8 = g8 & -256 | 247;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                            function_462278();
                                                                                                                                            v74 = g4;
                                                                                                                                            v83 = g8 & -256;
                                                                                                                                            g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                            function_462278();
                                                                                                                                            g8 = g8 & -256 | 131;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                            function_462278();
                                                                                                                                            v75 = g4;
                                                                                                                                            v84 = g8 & -256;
                                                                                                                                            g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                            function_462278();
                                                                                                                                            g8 = g8 & -256 | 1;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                            function_462278();
                                                                                                                                            v52 = g4;
                                                                                                                                            g8 = v52 - 132;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                            function_46a30c();
                                                                                                                                            v76 = g4;
                                                                                                                                            *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                            // branch -> 0x46971b
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        } else {
                                                                                                                                            // 0x469670
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                            g8 = 0x469c04;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                            function_45bf7c();
                                                                                                                                            // branch -> 0x469a51
                                                                                                                                        }
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    } else {
                                                                                                                                        // 0x469647
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                        g8 = 0x469bc0;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                        function_45bf7c();
                                                                                                                                        // branch -> 0x469a51
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x46961e
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                            g8 = 0x469b88;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                            function_45bf7c();
                                                                                                                            // branch -> 0x469a51
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x46920e
                                                                                                                        *v129 = 0x46921f;
                                                                                                                        function_46a30c();
                                                                                                                        v231 = g4;
                                                                                                                        *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                                        v197 = g11;
                                                                                                                        v143 = v197 - 4;
                                                                                                                        *(int32_t *)v143 = g4 - 324;
                                                                                                                        g11 = v143;
                                                                                                                        g6 = 1;
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                        *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                                        function_46ae10();
                                                                                                                        v234 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                            // 0x469247
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                            function_46b238();
                                                                                                                            // branch -> 0x469263
                                                                                                                        } else {
                                                                                                                            // 0x469254
                                                                                                                            g6 = g6 & -256 | 2;
                                                                                                                            g8 = g8 & -256 | 2;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                            function_46ad58();
                                                                                                                            // branch -> 0x469263
                                                                                                                        }
                                                                                                                        // 0x469263
                                                                                                                        v198 = g4;
                                                                                                                        g8 = v198 - 324;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                                        function_46a30c();
                                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                                        function_469fd8();
                                                                                                                        *(int32_t *)(g4 - 308) = g3;
                                                                                                                        *(int32_t *)(g4 - 324) = 5;
                                                                                                                        *(char *)(g4 - 304) = 1;
                                                                                                                        v199 = g4;
                                                                                                                        *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                                        v200 = g11;
                                                                                                                        v144 = v200 - 4;
                                                                                                                        *(int32_t *)v144 = g4 - 324;
                                                                                                                        g11 = v144;
                                                                                                                        g6 = 0;
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                        *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                                        function_46ae10();
                                                                                                                        *(char *)(g4 - 304) = 0;
                                                                                                                        v235 = g4;
                                                                                                                        g8 = v235 - 324;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                                        v131 = (int32_t *)(g11 - 4);
                                                                                                                        if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                            // 0x4692c5
                                                                                                                            *v131 = 0x4692d6;
                                                                                                                            function_46afe8();
                                                                                                                            // branch -> 0x4692e9
                                                                                                                        } else {
                                                                                                                            // 0x4692d8
                                                                                                                            *v131 = 0x4692e9;
                                                                                                                            function_46b060();
                                                                                                                            // branch -> 0x4692e9
                                                                                                                        }
                                                                                                                        // 0x4692e9
                                                                                                                        g6 = -1;
                                                                                                                        v201 = g4;
                                                                                                                        g8 = v201 - 324;
                                                                                                                        g3 = *(int32_t *)(v201 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                                        function_469f40();
                                                                                                                        // branch -> 0x4692fa
                                                                                                                    }
                                                                                                                    // 0x4692fa
                                                                                                                    v260 = g4;
                                                                                                                    g8 = v260 - 324;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                                    function_46a30c();
                                                                                                                    v263 = g4;
                                                                                                                    if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                                        // 0x469314
                                                                                                                        *(int32_t *)(v263 - 324) = 0;
                                                                                                                        // branch -> 0x469328
                                                                                                                    } else {
                                                                                                                        // 0x46931e
                                                                                                                        *(int32_t *)(v263 - 324) = 2;
                                                                                                                        // branch -> 0x469328
                                                                                                                    }
                                                                                                                    // 0x469328
                                                                                                                    v261 = g11;
                                                                                                                    v259 = v261 - 4;
                                                                                                                    *(int32_t *)v259 = g4 - 324;
                                                                                                                    g11 = v259;
                                                                                                                    v264 = g4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                                    g6 = g6 & -256 | 1;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                                    *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                                    function_46ae10();
                                                                                                                    v265 = g4;
                                                                                                                    v266 = v265;
                                                                                                                    if (*(char *)(v265 - 40) != 0) {
                                                                                                                        // 0x469345
                                                                                                                        g8 = g8 & -256 | 2;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                                        function_46b1f0();
                                                                                                                        v266 = g4;
                                                                                                                        // branch -> 0x469352
                                                                                                                    }
                                                                                                                    // 0x469352
                                                                                                                    v262 = v266;
                                                                                                                    if (*(char *)(v266 - 42) != 0) {
                                                                                                                        // 0x469358
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                                        function_46b1f0();
                                                                                                                        v262 = g4;
                                                                                                                        // branch -> 0x469365
                                                                                                                    }
                                                                                                                    // 0x469365
                                                                                                                    if (*(char *)(v262 - 240) == 0) {
                                                                                                                        // 0x46936e
                                                                                                                        g6 = -1;
                                                                                                                        g8 = v262 - 388;
                                                                                                                        g3 = *(int32_t *)(v262 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                                        function_469f40();
                                                                                                                        // branch -> 0x46937f
                                                                                                                    }
                                                                                                                    // 0x46937f
                                                                                                                    v268 = g4;
                                                                                                                    g8 = v268 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                                    function_46a30c();
                                                                                                                    v269 = g4;
                                                                                                                    *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                                    v270 = g4;
                                                                                                                    v267 = (int32_t *)(v270 - 8);
                                                                                                                    v271 = *(int32_t *)(*v267 + 4);
                                                                                                                    if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                                        // 0x4693a8
                                                                                                                        v272 = *(int32_t *)(*v267 + 8);
                                                                                                                        if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                            // 0x4693bd
                                                                                                                            *(char *)(v270 - 100) = 0;
                                                                                                                            // branch -> 0x4693c1
                                                                                                                            // 0x4693c1
                                                                                                                            v7 = NULL;
                                                                                                                            g11 = (int32_t)&v7;
                                                                                                                            v33 = g4;
                                                                                                                            g8 = v33 - 132;
                                                                                                                            v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                                            g3 = *(int32_t *)(v33 - 4);
                                                                                                                            function_4663c4();
                                                                                                                            v64 = g4;
                                                                                                                            v25 = (int32_t *)(v64 - 8);
                                                                                                                            v37 = v64;
                                                                                                                            v20 = v24;
                                                                                                                            if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                                // 0x4693dd
                                                                                                                                if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                                    // 0x4693e6
                                                                                                                                    g8 = v64 - 132;
                                                                                                                                    g3 = *(int32_t *)(v64 - 4);
                                                                                                                                    function_469c8c();
                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                    v34 = g4;
                                                                                                                                    g11 = v4;
                                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                                    g6 = 1;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                                    function_46ae10();
                                                                                                                                    v35 = g4;
                                                                                                                                    g8 = v35 - 132;
                                                                                                                                    g3 = *(int32_t *)(v35 - 4);
                                                                                                                                    function_469f40();
                                                                                                                                    v36 = g4;
                                                                                                                                    g8 = v36 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                                    function_46a30c();
                                                                                                                                    v65 = g4;
                                                                                                                                    *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                                    *(char *)(g4 - 128) = 1;
                                                                                                                                    v37 = g4;
                                                                                                                                    v20 = (int32_t *)-1;
                                                                                                                                    // branch -> 0x46943d
                                                                                                                                } else {
                                                                                                                                    v37 = v64;
                                                                                                                                    v20 = v24;
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x46943d
                                                                                                                            v40 = v37;
                                                                                                                            v18 = v20;
                                                                                                                            if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                                // 0x46944a
                                                                                                                                g8 = v37 - 132;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                                function_46a168();
                                                                                                                                v66 = g4;
                                                                                                                                if (g3 == 0) {
                                                                                                                                    // 0x46945c
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                                    System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                                    g8 = 0x469b04;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                                    function_45bf7c();
                                                                                                                                    // branch -> 0x469a51
                                                                                                                                } else {
                                                                                                                                    // 0x46947f
                                                                                                                                    v26 = (char *)(v66 - 128);
                                                                                                                                    if (*v26 == 0) {
                                                                                                                                        // 0x469485
                                                                                                                                        g8 = v66 - 132;
                                                                                                                                        g3 = *(int32_t *)(v66 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                                        function_469c8c();
                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                        v67 = g4;
                                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                                        g6 = v67 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                                        function_46af4c();
                                                                                                                                        v38 = g4;
                                                                                                                                        g8 = v38 - 132;
                                                                                                                                        g3 = *(int32_t *)(v38 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                                        function_469f40();
                                                                                                                                        v39 = g4;
                                                                                                                                        g8 = v39 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                                        function_46a30c();
                                                                                                                                        v68 = g4;
                                                                                                                                        *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                                        v19 = (int32_t *)-1;
                                                                                                                                        // branch -> 0x4694db
                                                                                                                                    } else {
                                                                                                                                        // 0x4694d7
                                                                                                                                        *v26 = 0;
                                                                                                                                        v19 = v20;
                                                                                                                                        // branch -> 0x4694db
                                                                                                                                    }
                                                                                                                                    // 0x4694db
                                                                                                                                    v27 = (int32_t *)(g4 - 96);
                                                                                                                                    *v27 = *v27 + 1;
                                                                                                                                    v69 = g4;
                                                                                                                                    if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                                        v40 = v69;
                                                                                                                                        v18 = v19;
                                                                                                                                        // 0x469507
                                                                                                                                        v45 = v40;
                                                                                                                                        v23 = v18;
                                                                                                                                        if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                                            // 0x469510
                                                                                                                                            v42 = v40;
                                                                                                                                            if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                                                // 0x469519
                                                                                                                                                g8 = v40 - 132;
                                                                                                                                                g3 = *(int32_t *)(v40 - 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                                                function_469c8c();
                                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                v41 = g11;
                                                                                                                                                v30 = v41 - 4;
                                                                                                                                                *(int32_t *)v30 = g4 - 132;
                                                                                                                                                g11 = v30;
                                                                                                                                                v70 = g4;
                                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                                                *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                                                function_46ae10();
                                                                                                                                                v42 = g4;
                                                                                                                                                // branch -> 0x469541
                                                                                                                                            }
                                                                                                                                            // 0x469541
                                                                                                                                            g8 = v42 - 132;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                                            function_46b434();
                                                                                                                                            v43 = g4;
                                                                                                                                            g8 = v43 - 132;
                                                                                                                                            g3 = *(int32_t *)(v43 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                                            function_469f40();
                                                                                                                                            v44 = g4;
                                                                                                                                            g8 = v44 - 132;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                                            function_46a30c();
                                                                                                                                            v71 = g4;
                                                                                                                                            if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                                                // 0x46957d
                                                                                                                                                *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                                                v45 = g4;
                                                                                                                                                v23 = (int32_t *)-1;
                                                                                                                                                // branch -> 0x469586
                                                                                                                                            } else {
                                                                                                                                                v45 = v71;
                                                                                                                                                v23 = (int32_t *)-1;
                                                                                                                                            }
                                                                                                                                        }
                                                                                                                                        // 0x469586
                                                                                                                                        v50 = v45;
                                                                                                                                        v22 = v23;
                                                                                                                                        if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                                            // 0x46958f
                                                                                                                                            v47 = v45;
                                                                                                                                            if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                                                // 0x469598
                                                                                                                                                g8 = v45 - 132;
                                                                                                                                                g3 = *(int32_t *)(v45 - 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                                                function_469c8c();
                                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                v46 = g11;
                                                                                                                                                v31 = v46 - 4;
                                                                                                                                                *(int32_t *)v31 = g4 - 132;
                                                                                                                                                g11 = v31;
                                                                                                                                                v72 = g4;
                                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                                                *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                                                function_46ae10();
                                                                                                                                                v47 = g4;
                                                                                                                                                // branch -> 0x4695c0
                                                                                                                                            }
                                                                                                                                            // 0x4695c0
                                                                                                                                            g8 = v47 - 132;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                                            function_46b4ac();
                                                                                                                                            v48 = g4;
                                                                                                                                            g8 = v48 - 132;
                                                                                                                                            g3 = *(int32_t *)(v48 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                                            function_469f40();
                                                                                                                                            v49 = g4;
                                                                                                                                            g8 = v49 - 132;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                                            function_46a30c();
                                                                                                                                            v73 = g4;
                                                                                                                                            if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                                                // 0x4695fc
                                                                                                                                                *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                                                v50 = g4;
                                                                                                                                                v22 = (int32_t *)-1;
                                                                                                                                                // branch -> 0x469605
                                                                                                                                            } else {
                                                                                                                                                v50 = v73;
                                                                                                                                                v22 = (int32_t *)-1;
                                                                                                                                            }
                                                                                                                                        }
                                                                                                                                        // 0x469605
                                                                                                                                        if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                                            // 0x469612
                                                                                                                                            if (*(char *)(v50 - 111) == 0) {
                                                                                                                                                // 0x469618
                                                                                                                                                if (*(char *)(v50 - 112) == 0) {
                                                                                                                                                    // 0x469641
                                                                                                                                                    if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                                        // 0x46966a
                                                                                                                                                        if (*(char *)(v50 - 100) == 1) {
                                                                                                                                                            // 0x469693
                                                                                                                                                            g8 = v50 - 196;
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                                            function_46a30c();
                                                                                                                                                            v51 = g4;
                                                                                                                                                            g8 = v51 - 132;
                                                                                                                                                            g3 = *(int32_t *)(v51 - 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                                            function_4673b4();
                                                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                            g8 = g8 & -256 | 247;
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                                            function_462278();
                                                                                                                                                            v74 = g4;
                                                                                                                                                            v83 = g8 & -256;
                                                                                                                                                            g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                                            function_462278();
                                                                                                                                                            g8 = g8 & -256 | 131;
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                                            function_462278();
                                                                                                                                                            v75 = g4;
                                                                                                                                                            v84 = g8 & -256;
                                                                                                                                                            g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                                            function_462278();
                                                                                                                                                            g8 = g8 & -256 | 1;
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                                            function_462278();
                                                                                                                                                            v52 = g4;
                                                                                                                                                            g8 = v52 - 132;
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                                            function_46a30c();
                                                                                                                                                            v76 = g4;
                                                                                                                                                            *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                                            // branch -> 0x46971b
                                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                        } else {
                                                                                                                                                            // 0x469670
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                            g8 = 0x469c04;
                                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                                            function_45bf7c();
                                                                                                                                                            // branch -> 0x469a51
                                                                                                                                                        }
                                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                    } else {
                                                                                                                                                        // 0x469647
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                        g8 = 0x469bc0;
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                                        function_45bf7c();
                                                                                                                                                        // branch -> 0x469a51
                                                                                                                                                    }
                                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                }
                                                                                                                                            }
                                                                                                                                            // 0x46961e
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                            g8 = 0x469b88;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                                            function_45bf7c();
                                                                                                                                            // branch -> 0x469a51
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        }
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    } else {
                                                                                                                                        // 0x4694e4
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                                        System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                                        g8 = 0x469b3c;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                                        function_45bf7c();
                                                                                                                                        // branch -> 0x469a51
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                            // 0x469507
                                                                                                                            v45 = v40;
                                                                                                                            v23 = v18;
                                                                                                                            if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                                // 0x469510
                                                                                                                                v42 = v40;
                                                                                                                                if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                                    // 0x469519
                                                                                                                                    g8 = v40 - 132;
                                                                                                                                    g3 = *(int32_t *)(v40 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                                    function_469c8c();
                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                    v41 = g11;
                                                                                                                                    v30 = v41 - 4;
                                                                                                                                    *(int32_t *)v30 = g4 - 132;
                                                                                                                                    g11 = v30;
                                                                                                                                    v70 = g4;
                                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                                    *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                                    function_46ae10();
                                                                                                                                    v42 = g4;
                                                                                                                                    // branch -> 0x469541
                                                                                                                                }
                                                                                                                                // 0x469541
                                                                                                                                g8 = v42 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                                function_46b434();
                                                                                                                                v43 = g4;
                                                                                                                                g8 = v43 - 132;
                                                                                                                                g3 = *(int32_t *)(v43 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                                function_469f40();
                                                                                                                                v44 = g4;
                                                                                                                                g8 = v44 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                                function_46a30c();
                                                                                                                                v71 = g4;
                                                                                                                                if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                                    // 0x46957d
                                                                                                                                    *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                                    v45 = g4;
                                                                                                                                    v23 = (int32_t *)-1;
                                                                                                                                    // branch -> 0x469586
                                                                                                                                } else {
                                                                                                                                    v45 = v71;
                                                                                                                                    v23 = (int32_t *)-1;
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x469586
                                                                                                                            v50 = v45;
                                                                                                                            v22 = v23;
                                                                                                                            if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                                // 0x46958f
                                                                                                                                v47 = v45;
                                                                                                                                if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                                    // 0x469598
                                                                                                                                    g8 = v45 - 132;
                                                                                                                                    g3 = *(int32_t *)(v45 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                                    function_469c8c();
                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                    v46 = g11;
                                                                                                                                    v31 = v46 - 4;
                                                                                                                                    *(int32_t *)v31 = g4 - 132;
                                                                                                                                    g11 = v31;
                                                                                                                                    v72 = g4;
                                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                                    *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                                    function_46ae10();
                                                                                                                                    v47 = g4;
                                                                                                                                    // branch -> 0x4695c0
                                                                                                                                }
                                                                                                                                // 0x4695c0
                                                                                                                                g8 = v47 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                                function_46b4ac();
                                                                                                                                v48 = g4;
                                                                                                                                g8 = v48 - 132;
                                                                                                                                g3 = *(int32_t *)(v48 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                                function_469f40();
                                                                                                                                v49 = g4;
                                                                                                                                g8 = v49 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                                function_46a30c();
                                                                                                                                v73 = g4;
                                                                                                                                if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                                    // 0x4695fc
                                                                                                                                    *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                                    v50 = g4;
                                                                                                                                    v22 = (int32_t *)-1;
                                                                                                                                    // branch -> 0x469605
                                                                                                                                } else {
                                                                                                                                    v50 = v73;
                                                                                                                                    v22 = (int32_t *)-1;
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x469605
                                                                                                                            if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                                // 0x469612
                                                                                                                                if (*(char *)(v50 - 111) == 0) {
                                                                                                                                    // 0x469618
                                                                                                                                    if (*(char *)(v50 - 112) == 0) {
                                                                                                                                        // 0x469641
                                                                                                                                        if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                            // 0x46966a
                                                                                                                                            if (*(char *)(v50 - 100) == 1) {
                                                                                                                                                // 0x469693
                                                                                                                                                g8 = v50 - 196;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                                function_46a30c();
                                                                                                                                                v51 = g4;
                                                                                                                                                g8 = v51 - 132;
                                                                                                                                                g3 = *(int32_t *)(v51 - 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                                function_4673b4();
                                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                g8 = g8 & -256 | 247;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                                function_462278();
                                                                                                                                                v74 = g4;
                                                                                                                                                v83 = g8 & -256;
                                                                                                                                                g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                                function_462278();
                                                                                                                                                g8 = g8 & -256 | 131;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                                function_462278();
                                                                                                                                                v75 = g4;
                                                                                                                                                v84 = g8 & -256;
                                                                                                                                                g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                                function_462278();
                                                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                                function_462278();
                                                                                                                                                v52 = g4;
                                                                                                                                                g8 = v52 - 132;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                                function_46a30c();
                                                                                                                                                v76 = g4;
                                                                                                                                                *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                                // branch -> 0x46971b
                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                            } else {
                                                                                                                                                // 0x469670
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                g8 = 0x469c04;
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                                function_45bf7c();
                                                                                                                                                // branch -> 0x469a51
                                                                                                                                            }
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        } else {
                                                                                                                                            // 0x469647
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                            g8 = 0x469bc0;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                            function_45bf7c();
                                                                                                                                            // branch -> 0x469a51
                                                                                                                                        }
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    }
                                                                                                                                }
                                                                                                                                // 0x46961e
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                g8 = 0x469b88;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                                function_45bf7c();
                                                                                                                                // branch -> 0x469a51
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x4693b7
                                                                                                                    *(char *)(v270 - 100) = 8;
                                                                                                                    // branch -> 0x4693c1
                                                                                                                    // 0x4693c1
                                                                                                                    v7 = NULL;
                                                                                                                    g11 = (int32_t)&v7;
                                                                                                                    v33 = g4;
                                                                                                                    g8 = v33 - 132;
                                                                                                                    v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                                    g3 = *(int32_t *)(v33 - 4);
                                                                                                                    function_4663c4();
                                                                                                                    v64 = g4;
                                                                                                                    v25 = (int32_t *)(v64 - 8);
                                                                                                                    v37 = v64;
                                                                                                                    v20 = v24;
                                                                                                                    if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                        // 0x4693dd
                                                                                                                        if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                            // 0x4693e6
                                                                                                                            g8 = v64 - 132;
                                                                                                                            g3 = *(int32_t *)(v64 - 4);
                                                                                                                            function_469c8c();
                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                            v34 = g4;
                                                                                                                            g11 = v4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                            g6 = 1;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                            function_46ae10();
                                                                                                                            v35 = g4;
                                                                                                                            g8 = v35 - 132;
                                                                                                                            g3 = *(int32_t *)(v35 - 4);
                                                                                                                            function_469f40();
                                                                                                                            v36 = g4;
                                                                                                                            g8 = v36 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                            function_46a30c();
                                                                                                                            v65 = g4;
                                                                                                                            *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                            *(char *)(g4 - 128) = 1;
                                                                                                                            v37 = g4;
                                                                                                                            v20 = (int32_t *)-1;
                                                                                                                            // branch -> 0x46943d
                                                                                                                        } else {
                                                                                                                            v37 = v64;
                                                                                                                            v20 = v24;
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x46943d
                                                                                                                    v40 = v37;
                                                                                                                    v18 = v20;
                                                                                                                    if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                        // 0x46944a
                                                                                                                        g8 = v37 - 132;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                        function_46a168();
                                                                                                                        v66 = g4;
                                                                                                                        if (g3 == 0) {
                                                                                                                            // 0x46945c
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                            System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                            g8 = 0x469b04;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                            function_45bf7c();
                                                                                                                            // branch -> 0x469a51
                                                                                                                        } else {
                                                                                                                            // 0x46947f
                                                                                                                            v26 = (char *)(v66 - 128);
                                                                                                                            if (*v26 == 0) {
                                                                                                                                // 0x469485
                                                                                                                                g8 = v66 - 132;
                                                                                                                                g3 = *(int32_t *)(v66 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v67 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                                g6 = v67 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                                function_46af4c();
                                                                                                                                v38 = g4;
                                                                                                                                g8 = v38 - 132;
                                                                                                                                g3 = *(int32_t *)(v38 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                                function_469f40();
                                                                                                                                v39 = g4;
                                                                                                                                g8 = v39 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                                function_46a30c();
                                                                                                                                v68 = g4;
                                                                                                                                *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                                v19 = (int32_t *)-1;
                                                                                                                                // branch -> 0x4694db
                                                                                                                            } else {
                                                                                                                                // 0x4694d7
                                                                                                                                *v26 = 0;
                                                                                                                                v19 = v20;
                                                                                                                                // branch -> 0x4694db
                                                                                                                            }
                                                                                                                            // 0x4694db
                                                                                                                            v27 = (int32_t *)(g4 - 96);
                                                                                                                            *v27 = *v27 + 1;
                                                                                                                            v69 = g4;
                                                                                                                            if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                                v40 = v69;
                                                                                                                                v18 = v19;
                                                                                                                                // 0x469507
                                                                                                                                v45 = v40;
                                                                                                                                v23 = v18;
                                                                                                                                if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                                    // 0x469510
                                                                                                                                    v42 = v40;
                                                                                                                                    if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                                        // 0x469519
                                                                                                                                        g8 = v40 - 132;
                                                                                                                                        g3 = *(int32_t *)(v40 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                                        function_469c8c();
                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                        v41 = g11;
                                                                                                                                        v30 = v41 - 4;
                                                                                                                                        *(int32_t *)v30 = g4 - 132;
                                                                                                                                        g11 = v30;
                                                                                                                                        v70 = g4;
                                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                                        *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                                        function_46ae10();
                                                                                                                                        v42 = g4;
                                                                                                                                        // branch -> 0x469541
                                                                                                                                    }
                                                                                                                                    // 0x469541
                                                                                                                                    g8 = v42 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                                    function_46b434();
                                                                                                                                    v43 = g4;
                                                                                                                                    g8 = v43 - 132;
                                                                                                                                    g3 = *(int32_t *)(v43 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                                    function_469f40();
                                                                                                                                    v44 = g4;
                                                                                                                                    g8 = v44 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                                    function_46a30c();
                                                                                                                                    v71 = g4;
                                                                                                                                    if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                                        // 0x46957d
                                                                                                                                        *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                                        v45 = g4;
                                                                                                                                        v23 = (int32_t *)-1;
                                                                                                                                        // branch -> 0x469586
                                                                                                                                    } else {
                                                                                                                                        v45 = v71;
                                                                                                                                        v23 = (int32_t *)-1;
                                                                                                                                    }
                                                                                                                                }
                                                                                                                                // 0x469586
                                                                                                                                v50 = v45;
                                                                                                                                v22 = v23;
                                                                                                                                if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                                    // 0x46958f
                                                                                                                                    v47 = v45;
                                                                                                                                    if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                                        // 0x469598
                                                                                                                                        g8 = v45 - 132;
                                                                                                                                        g3 = *(int32_t *)(v45 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                                        function_469c8c();
                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                        v46 = g11;
                                                                                                                                        v31 = v46 - 4;
                                                                                                                                        *(int32_t *)v31 = g4 - 132;
                                                                                                                                        g11 = v31;
                                                                                                                                        v72 = g4;
                                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                                        *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                                        function_46ae10();
                                                                                                                                        v47 = g4;
                                                                                                                                        // branch -> 0x4695c0
                                                                                                                                    }
                                                                                                                                    // 0x4695c0
                                                                                                                                    g8 = v47 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                                    function_46b4ac();
                                                                                                                                    v48 = g4;
                                                                                                                                    g8 = v48 - 132;
                                                                                                                                    g3 = *(int32_t *)(v48 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                                    function_469f40();
                                                                                                                                    v49 = g4;
                                                                                                                                    g8 = v49 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                                    function_46a30c();
                                                                                                                                    v73 = g4;
                                                                                                                                    if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                                        // 0x4695fc
                                                                                                                                        *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                                        v50 = g4;
                                                                                                                                        v22 = (int32_t *)-1;
                                                                                                                                        // branch -> 0x469605
                                                                                                                                    } else {
                                                                                                                                        v50 = v73;
                                                                                                                                        v22 = (int32_t *)-1;
                                                                                                                                    }
                                                                                                                                }
                                                                                                                                // 0x469605
                                                                                                                                if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                                    // 0x469612
                                                                                                                                    if (*(char *)(v50 - 111) == 0) {
                                                                                                                                        // 0x469618
                                                                                                                                        if (*(char *)(v50 - 112) == 0) {
                                                                                                                                            // 0x469641
                                                                                                                                            if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                                // 0x46966a
                                                                                                                                                if (*(char *)(v50 - 100) == 1) {
                                                                                                                                                    // 0x469693
                                                                                                                                                    g8 = v50 - 196;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                                    function_46a30c();
                                                                                                                                                    v51 = g4;
                                                                                                                                                    g8 = v51 - 132;
                                                                                                                                                    g3 = *(int32_t *)(v51 - 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                                    function_4673b4();
                                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                    g8 = g8 & -256 | 247;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                                    function_462278();
                                                                                                                                                    v74 = g4;
                                                                                                                                                    v83 = g8 & -256;
                                                                                                                                                    g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                                    function_462278();
                                                                                                                                                    g8 = g8 & -256 | 131;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                                    function_462278();
                                                                                                                                                    v75 = g4;
                                                                                                                                                    v84 = g8 & -256;
                                                                                                                                                    g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                                    function_462278();
                                                                                                                                                    g8 = g8 & -256 | 1;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                                    function_462278();
                                                                                                                                                    v52 = g4;
                                                                                                                                                    g8 = v52 - 132;
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                                    function_46a30c();
                                                                                                                                                    v76 = g4;
                                                                                                                                                    *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                                    // branch -> 0x46971b
                                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                } else {
                                                                                                                                                    // 0x469670
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                    g8 = 0x469c04;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                                    function_45bf7c();
                                                                                                                                                    // branch -> 0x469a51
                                                                                                                                                }
                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                            } else {
                                                                                                                                                // 0x469647
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                g8 = 0x469bc0;
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                                function_45bf7c();
                                                                                                                                                // branch -> 0x469a51
                                                                                                                                            }
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                    // 0x46961e
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                    g8 = 0x469b88;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                                    function_45bf7c();
                                                                                                                                    // branch -> 0x469a51
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            } else {
                                                                                                                                // 0x4694e4
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                                System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                                g8 = 0x469b3c;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                                function_45bf7c();
                                                                                                                                // branch -> 0x469a51
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // 0x469507
                                                                                                                    v45 = v40;
                                                                                                                    v23 = v18;
                                                                                                                    if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                        // 0x469510
                                                                                                                        v42 = v40;
                                                                                                                        if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                            // 0x469519
                                                                                                                            g8 = v40 - 132;
                                                                                                                            g3 = *(int32_t *)(v40 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                            function_469c8c();
                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                            v41 = g11;
                                                                                                                            v30 = v41 - 4;
                                                                                                                            *(int32_t *)v30 = g4 - 132;
                                                                                                                            g11 = v30;
                                                                                                                            v70 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                            *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                            function_46ae10();
                                                                                                                            v42 = g4;
                                                                                                                            // branch -> 0x469541
                                                                                                                        }
                                                                                                                        // 0x469541
                                                                                                                        g8 = v42 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                        function_46b434();
                                                                                                                        v43 = g4;
                                                                                                                        g8 = v43 - 132;
                                                                                                                        g3 = *(int32_t *)(v43 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                        function_469f40();
                                                                                                                        v44 = g4;
                                                                                                                        g8 = v44 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                        function_46a30c();
                                                                                                                        v71 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                            // 0x46957d
                                                                                                                            *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                            v45 = g4;
                                                                                                                            v23 = (int32_t *)-1;
                                                                                                                            // branch -> 0x469586
                                                                                                                        } else {
                                                                                                                            v45 = v71;
                                                                                                                            v23 = (int32_t *)-1;
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x469586
                                                                                                                    v50 = v45;
                                                                                                                    v22 = v23;
                                                                                                                    if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                        // 0x46958f
                                                                                                                        v47 = v45;
                                                                                                                        if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                            // 0x469598
                                                                                                                            g8 = v45 - 132;
                                                                                                                            g3 = *(int32_t *)(v45 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                            function_469c8c();
                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                            v46 = g11;
                                                                                                                            v31 = v46 - 4;
                                                                                                                            *(int32_t *)v31 = g4 - 132;
                                                                                                                            g11 = v31;
                                                                                                                            v72 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                            *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                            function_46ae10();
                                                                                                                            v47 = g4;
                                                                                                                            // branch -> 0x4695c0
                                                                                                                        }
                                                                                                                        // 0x4695c0
                                                                                                                        g8 = v47 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                        function_46b4ac();
                                                                                                                        v48 = g4;
                                                                                                                        g8 = v48 - 132;
                                                                                                                        g3 = *(int32_t *)(v48 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                        function_469f40();
                                                                                                                        v49 = g4;
                                                                                                                        g8 = v49 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                        function_46a30c();
                                                                                                                        v73 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                            // 0x4695fc
                                                                                                                            *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                            v50 = g4;
                                                                                                                            v22 = (int32_t *)-1;
                                                                                                                            // branch -> 0x469605
                                                                                                                        } else {
                                                                                                                            v50 = v73;
                                                                                                                            v22 = (int32_t *)-1;
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x469605
                                                                                                                    if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                        // 0x469612
                                                                                                                        if (*(char *)(v50 - 111) == 0) {
                                                                                                                            // 0x469618
                                                                                                                            if (*(char *)(v50 - 112) == 0) {
                                                                                                                                // 0x469641
                                                                                                                                if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                    // 0x46966a
                                                                                                                                    if (*(char *)(v50 - 100) == 1) {
                                                                                                                                        // 0x469693
                                                                                                                                        g8 = v50 - 196;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                        function_46a30c();
                                                                                                                                        v51 = g4;
                                                                                                                                        g8 = v51 - 132;
                                                                                                                                        g3 = *(int32_t *)(v51 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                        function_4673b4();
                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                        g8 = g8 & -256 | 247;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                        function_462278();
                                                                                                                                        v74 = g4;
                                                                                                                                        v83 = g8 & -256;
                                                                                                                                        g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                        function_462278();
                                                                                                                                        g8 = g8 & -256 | 131;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                        function_462278();
                                                                                                                                        v75 = g4;
                                                                                                                                        v84 = g8 & -256;
                                                                                                                                        g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                        function_462278();
                                                                                                                                        g8 = g8 & -256 | 1;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                        function_462278();
                                                                                                                                        v52 = g4;
                                                                                                                                        g8 = v52 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                        function_46a30c();
                                                                                                                                        v76 = g4;
                                                                                                                                        *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                        // branch -> 0x46971b
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    } else {
                                                                                                                                        // 0x469670
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                        g8 = 0x469c04;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                        function_45bf7c();
                                                                                                                                        // branch -> 0x469a51
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                } else {
                                                                                                                                    // 0x469647
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                    g8 = 0x469bc0;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                    function_45bf7c();
                                                                                                                                    // branch -> 0x469a51
                                                                                                                                }
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x46961e
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                        g8 = 0x469b88;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                        function_45bf7c();
                                                                                                                        // branch -> 0x469a51
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x469148
                                                                                                            // branch -> 0x46914e
                                                                                                            // 0x46914e
                                                                                                            *(char *)(v225 - 40) = (char)0;
                                                                                                            v226 = g4;
                                                                                                            v227 = v226;
                                                                                                            if (*(char *)(v226 - 42) != 0) {
                                                                                                                // 0x469157
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                                function_46b214();
                                                                                                                v227 = g4;
                                                                                                                // branch -> 0x469164
                                                                                                            }
                                                                                                            // 0x469164
                                                                                                            v195 = v227;
                                                                                                            if (*(char *)(v227 - 40) != 0) {
                                                                                                                // 0x46916a
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                                function_46b214();
                                                                                                                v195 = g4;
                                                                                                                // branch -> 0x469177
                                                                                                            }
                                                                                                            // 0x469177
                                                                                                            g8 = v195 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                            v129 = (int32_t *)(g11 - 4);
                                                                                                            if (*(char *)(v195 - 240) == 0) {
                                                                                                                // 0x469184
                                                                                                                *v129 = 0x469195;
                                                                                                                function_46a30c();
                                                                                                                v228 = g4;
                                                                                                                *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                                v196 = g11;
                                                                                                                v142 = v196 - 4;
                                                                                                                *(int32_t *)v142 = g4 - 324;
                                                                                                                g11 = v142;
                                                                                                                g6 = 1;
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                                function_46ae10();
                                                                                                                v229 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                    // 0x4691bd
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                    function_46b238();
                                                                                                                    // branch -> 0x4691d9
                                                                                                                } else {
                                                                                                                    // 0x4691ca
                                                                                                                    g6 = g6 & -256 | 2;
                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                    function_46ad58();
                                                                                                                    // branch -> 0x4691d9
                                                                                                                }
                                                                                                                // 0x4691d9
                                                                                                                v230 = g4;
                                                                                                                g8 = v230 - 388;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                                v130 = (int32_t *)(g11 - 4);
                                                                                                                if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                    // 0x4691e2
                                                                                                                    *v130 = 0x4691f3;
                                                                                                                    function_46afe8();
                                                                                                                    // branch -> 0x4692fa
                                                                                                                } else {
                                                                                                                    // 0x4691f8
                                                                                                                    *v130 = 0x469209;
                                                                                                                    function_46b060();
                                                                                                                    // branch -> 0x4692fa
                                                                                                                }
                                                                                                                // 0x4692fa
                                                                                                                v260 = g4;
                                                                                                                g8 = v260 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                                function_46a30c();
                                                                                                                v263 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                                    // 0x469314
                                                                                                                    *(int32_t *)(v263 - 324) = 0;
                                                                                                                    // branch -> 0x469328
                                                                                                                } else {
                                                                                                                    // 0x46931e
                                                                                                                    *(int32_t *)(v263 - 324) = 2;
                                                                                                                    // branch -> 0x469328
                                                                                                                }
                                                                                                                // 0x469328
                                                                                                                v261 = g11;
                                                                                                                v259 = v261 - 4;
                                                                                                                *(int32_t *)v259 = g4 - 324;
                                                                                                                g11 = v259;
                                                                                                                v264 = g4;
                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                                g6 = g6 & -256 | 1;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                                *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                                function_46ae10();
                                                                                                                v265 = g4;
                                                                                                                v266 = v265;
                                                                                                                if (*(char *)(v265 - 40) != 0) {
                                                                                                                    // 0x469345
                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                                    function_46b1f0();
                                                                                                                    v266 = g4;
                                                                                                                    // branch -> 0x469352
                                                                                                                }
                                                                                                                // 0x469352
                                                                                                                v262 = v266;
                                                                                                                if (*(char *)(v266 - 42) != 0) {
                                                                                                                    // 0x469358
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                                    function_46b1f0();
                                                                                                                    v262 = g4;
                                                                                                                    // branch -> 0x469365
                                                                                                                }
                                                                                                                // 0x469365
                                                                                                                if (*(char *)(v262 - 240) == 0) {
                                                                                                                    // 0x46936e
                                                                                                                    g6 = -1;
                                                                                                                    g8 = v262 - 388;
                                                                                                                    g3 = *(int32_t *)(v262 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                                    function_469f40();
                                                                                                                    // branch -> 0x46937f
                                                                                                                }
                                                                                                                // 0x46937f
                                                                                                                v268 = g4;
                                                                                                                g8 = v268 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                                function_46a30c();
                                                                                                                v269 = g4;
                                                                                                                *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                                v270 = g4;
                                                                                                                v267 = (int32_t *)(v270 - 8);
                                                                                                                v271 = *(int32_t *)(*v267 + 4);
                                                                                                                if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                                    // 0x4693a8
                                                                                                                    v272 = *(int32_t *)(*v267 + 8);
                                                                                                                    if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                        // 0x4693bd
                                                                                                                        *(char *)(v270 - 100) = 0;
                                                                                                                        // branch -> 0x4693c1
                                                                                                                        // 0x4693c1
                                                                                                                        v7 = NULL;
                                                                                                                        g11 = (int32_t)&v7;
                                                                                                                        v33 = g4;
                                                                                                                        g8 = v33 - 132;
                                                                                                                        v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                                        g3 = *(int32_t *)(v33 - 4);
                                                                                                                        function_4663c4();
                                                                                                                        v64 = g4;
                                                                                                                        v25 = (int32_t *)(v64 - 8);
                                                                                                                        v37 = v64;
                                                                                                                        v20 = v24;
                                                                                                                        if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                            // 0x4693dd
                                                                                                                            if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                                // 0x4693e6
                                                                                                                                g8 = v64 - 132;
                                                                                                                                g3 = *(int32_t *)(v64 - 4);
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v34 = g4;
                                                                                                                                g11 = v4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                                g6 = 1;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                                function_46ae10();
                                                                                                                                v35 = g4;
                                                                                                                                g8 = v35 - 132;
                                                                                                                                g3 = *(int32_t *)(v35 - 4);
                                                                                                                                function_469f40();
                                                                                                                                v36 = g4;
                                                                                                                                g8 = v36 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                                function_46a30c();
                                                                                                                                v65 = g4;
                                                                                                                                *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                                *(char *)(g4 - 128) = 1;
                                                                                                                                v37 = g4;
                                                                                                                                v20 = (int32_t *)-1;
                                                                                                                                // branch -> 0x46943d
                                                                                                                            } else {
                                                                                                                                v37 = v64;
                                                                                                                                v20 = v24;
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x46943d
                                                                                                                        v40 = v37;
                                                                                                                        v18 = v20;
                                                                                                                        if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                            // 0x46944a
                                                                                                                            g8 = v37 - 132;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                            function_46a168();
                                                                                                                            v66 = g4;
                                                                                                                            if (g3 == 0) {
                                                                                                                                // 0x46945c
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                                System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                                g8 = 0x469b04;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                                function_45bf7c();
                                                                                                                                // branch -> 0x469a51
                                                                                                                            } else {
                                                                                                                                // 0x46947f
                                                                                                                                v26 = (char *)(v66 - 128);
                                                                                                                                if (*v26 == 0) {
                                                                                                                                    // 0x469485
                                                                                                                                    g8 = v66 - 132;
                                                                                                                                    g3 = *(int32_t *)(v66 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                                    function_469c8c();
                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                    v67 = g4;
                                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                                    g6 = v67 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                                    function_46af4c();
                                                                                                                                    v38 = g4;
                                                                                                                                    g8 = v38 - 132;
                                                                                                                                    g3 = *(int32_t *)(v38 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                                    function_469f40();
                                                                                                                                    v39 = g4;
                                                                                                                                    g8 = v39 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                                    function_46a30c();
                                                                                                                                    v68 = g4;
                                                                                                                                    *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                                    v19 = (int32_t *)-1;
                                                                                                                                    // branch -> 0x4694db
                                                                                                                                } else {
                                                                                                                                    // 0x4694d7
                                                                                                                                    *v26 = 0;
                                                                                                                                    v19 = v20;
                                                                                                                                    // branch -> 0x4694db
                                                                                                                                }
                                                                                                                                // 0x4694db
                                                                                                                                v27 = (int32_t *)(g4 - 96);
                                                                                                                                *v27 = *v27 + 1;
                                                                                                                                v69 = g4;
                                                                                                                                if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                                    v40 = v69;
                                                                                                                                    v18 = v19;
                                                                                                                                    // 0x469507
                                                                                                                                    v45 = v40;
                                                                                                                                    v23 = v18;
                                                                                                                                    if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                                        // 0x469510
                                                                                                                                        v42 = v40;
                                                                                                                                        if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                                            // 0x469519
                                                                                                                                            g8 = v40 - 132;
                                                                                                                                            g3 = *(int32_t *)(v40 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                                            function_469c8c();
                                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                                            v41 = g11;
                                                                                                                                            v30 = v41 - 4;
                                                                                                                                            *(int32_t *)v30 = g4 - 132;
                                                                                                                                            g11 = v30;
                                                                                                                                            v70 = g4;
                                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                                            *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                                            function_46ae10();
                                                                                                                                            v42 = g4;
                                                                                                                                            // branch -> 0x469541
                                                                                                                                        }
                                                                                                                                        // 0x469541
                                                                                                                                        g8 = v42 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                                        function_46b434();
                                                                                                                                        v43 = g4;
                                                                                                                                        g8 = v43 - 132;
                                                                                                                                        g3 = *(int32_t *)(v43 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                                        function_469f40();
                                                                                                                                        v44 = g4;
                                                                                                                                        g8 = v44 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                                        function_46a30c();
                                                                                                                                        v71 = g4;
                                                                                                                                        if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                                            // 0x46957d
                                                                                                                                            *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                                            v45 = g4;
                                                                                                                                            v23 = (int32_t *)-1;
                                                                                                                                            // branch -> 0x469586
                                                                                                                                        } else {
                                                                                                                                            v45 = v71;
                                                                                                                                            v23 = (int32_t *)-1;
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                    // 0x469586
                                                                                                                                    v50 = v45;
                                                                                                                                    v22 = v23;
                                                                                                                                    if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                                        // 0x46958f
                                                                                                                                        v47 = v45;
                                                                                                                                        if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                                            // 0x469598
                                                                                                                                            g8 = v45 - 132;
                                                                                                                                            g3 = *(int32_t *)(v45 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                                            function_469c8c();
                                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                                            v46 = g11;
                                                                                                                                            v31 = v46 - 4;
                                                                                                                                            *(int32_t *)v31 = g4 - 132;
                                                                                                                                            g11 = v31;
                                                                                                                                            v72 = g4;
                                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                                            *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                                            function_46ae10();
                                                                                                                                            v47 = g4;
                                                                                                                                            // branch -> 0x4695c0
                                                                                                                                        }
                                                                                                                                        // 0x4695c0
                                                                                                                                        g8 = v47 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                                        function_46b4ac();
                                                                                                                                        v48 = g4;
                                                                                                                                        g8 = v48 - 132;
                                                                                                                                        g3 = *(int32_t *)(v48 - 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                                        function_469f40();
                                                                                                                                        v49 = g4;
                                                                                                                                        g8 = v49 - 132;
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                                        function_46a30c();
                                                                                                                                        v73 = g4;
                                                                                                                                        if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                                            // 0x4695fc
                                                                                                                                            *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                                            v50 = g4;
                                                                                                                                            v22 = (int32_t *)-1;
                                                                                                                                            // branch -> 0x469605
                                                                                                                                        } else {
                                                                                                                                            v50 = v73;
                                                                                                                                            v22 = (int32_t *)-1;
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                    // 0x469605
                                                                                                                                    if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                                        // 0x469612
                                                                                                                                        if (*(char *)(v50 - 111) == 0) {
                                                                                                                                            // 0x469618
                                                                                                                                            if (*(char *)(v50 - 112) == 0) {
                                                                                                                                                // 0x469641
                                                                                                                                                if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                                    // 0x46966a
                                                                                                                                                    if (*(char *)(v50 - 100) == 1) {
                                                                                                                                                        // 0x469693
                                                                                                                                                        g8 = v50 - 196;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                                        function_46a30c();
                                                                                                                                                        v51 = g4;
                                                                                                                                                        g8 = v51 - 132;
                                                                                                                                                        g3 = *(int32_t *)(v51 - 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                                        function_4673b4();
                                                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                        g8 = g8 & -256 | 247;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                                        function_462278();
                                                                                                                                                        v74 = g4;
                                                                                                                                                        v83 = g8 & -256;
                                                                                                                                                        g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                                        function_462278();
                                                                                                                                                        g8 = g8 & -256 | 131;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                                        function_462278();
                                                                                                                                                        v75 = g4;
                                                                                                                                                        v84 = g8 & -256;
                                                                                                                                                        g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                                        function_462278();
                                                                                                                                                        g8 = g8 & -256 | 1;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                                        function_462278();
                                                                                                                                                        v52 = g4;
                                                                                                                                                        g8 = v52 - 132;
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                                        function_46a30c();
                                                                                                                                                        v76 = g4;
                                                                                                                                                        *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                                        // branch -> 0x46971b
                                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                    } else {
                                                                                                                                                        // 0x469670
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                        g8 = 0x469c04;
                                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                                        function_45bf7c();
                                                                                                                                                        // branch -> 0x469a51
                                                                                                                                                    }
                                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                                } else {
                                                                                                                                                    // 0x469647
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                                    System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                    g8 = 0x469bc0;
                                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                                    function_45bf7c();
                                                                                                                                                    // branch -> 0x469a51
                                                                                                                                                }
                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                            }
                                                                                                                                        }
                                                                                                                                        // 0x46961e
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                        g8 = 0x469b88;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                                        function_45bf7c();
                                                                                                                                        // branch -> 0x469a51
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                } else {
                                                                                                                                    // 0x4694e4
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                                    System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                                    g8 = 0x469b3c;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                                    function_45bf7c();
                                                                                                                                    // branch -> 0x469a51
                                                                                                                                }
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // 0x469507
                                                                                                                        v45 = v40;
                                                                                                                        v23 = v18;
                                                                                                                        if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                            // 0x469510
                                                                                                                            v42 = v40;
                                                                                                                            if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                                // 0x469519
                                                                                                                                g8 = v40 - 132;
                                                                                                                                g3 = *(int32_t *)(v40 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v41 = g11;
                                                                                                                                v30 = v41 - 4;
                                                                                                                                *(int32_t *)v30 = g4 - 132;
                                                                                                                                g11 = v30;
                                                                                                                                v70 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                                *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                                function_46ae10();
                                                                                                                                v42 = g4;
                                                                                                                                // branch -> 0x469541
                                                                                                                            }
                                                                                                                            // 0x469541
                                                                                                                            g8 = v42 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                            function_46b434();
                                                                                                                            v43 = g4;
                                                                                                                            g8 = v43 - 132;
                                                                                                                            g3 = *(int32_t *)(v43 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                            function_469f40();
                                                                                                                            v44 = g4;
                                                                                                                            g8 = v44 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                            function_46a30c();
                                                                                                                            v71 = g4;
                                                                                                                            if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                                // 0x46957d
                                                                                                                                *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                                v45 = g4;
                                                                                                                                v23 = (int32_t *)-1;
                                                                                                                                // branch -> 0x469586
                                                                                                                            } else {
                                                                                                                                v45 = v71;
                                                                                                                                v23 = (int32_t *)-1;
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x469586
                                                                                                                        v50 = v45;
                                                                                                                        v22 = v23;
                                                                                                                        if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                            // 0x46958f
                                                                                                                            v47 = v45;
                                                                                                                            if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                                // 0x469598
                                                                                                                                g8 = v45 - 132;
                                                                                                                                g3 = *(int32_t *)(v45 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v46 = g11;
                                                                                                                                v31 = v46 - 4;
                                                                                                                                *(int32_t *)v31 = g4 - 132;
                                                                                                                                g11 = v31;
                                                                                                                                v72 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                                *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                                function_46ae10();
                                                                                                                                v47 = g4;
                                                                                                                                // branch -> 0x4695c0
                                                                                                                            }
                                                                                                                            // 0x4695c0
                                                                                                                            g8 = v47 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                            function_46b4ac();
                                                                                                                            v48 = g4;
                                                                                                                            g8 = v48 - 132;
                                                                                                                            g3 = *(int32_t *)(v48 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                            function_469f40();
                                                                                                                            v49 = g4;
                                                                                                                            g8 = v49 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                            function_46a30c();
                                                                                                                            v73 = g4;
                                                                                                                            if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                                // 0x4695fc
                                                                                                                                *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                                v50 = g4;
                                                                                                                                v22 = (int32_t *)-1;
                                                                                                                                // branch -> 0x469605
                                                                                                                            } else {
                                                                                                                                v50 = v73;
                                                                                                                                v22 = (int32_t *)-1;
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x469605
                                                                                                                        if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                            // 0x469612
                                                                                                                            if (*(char *)(v50 - 111) == 0) {
                                                                                                                                // 0x469618
                                                                                                                                if (*(char *)(v50 - 112) == 0) {
                                                                                                                                    // 0x469641
                                                                                                                                    if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                        // 0x46966a
                                                                                                                                        if (*(char *)(v50 - 100) == 1) {
                                                                                                                                            // 0x469693
                                                                                                                                            g8 = v50 - 196;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                            function_46a30c();
                                                                                                                                            v51 = g4;
                                                                                                                                            g8 = v51 - 132;
                                                                                                                                            g3 = *(int32_t *)(v51 - 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                            function_4673b4();
                                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                                            g8 = g8 & -256 | 247;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                            function_462278();
                                                                                                                                            v74 = g4;
                                                                                                                                            v83 = g8 & -256;
                                                                                                                                            g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                            function_462278();
                                                                                                                                            g8 = g8 & -256 | 131;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                            function_462278();
                                                                                                                                            v75 = g4;
                                                                                                                                            v84 = g8 & -256;
                                                                                                                                            g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                            function_462278();
                                                                                                                                            g8 = g8 & -256 | 1;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                            function_462278();
                                                                                                                                            v52 = g4;
                                                                                                                                            g8 = v52 - 132;
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                            function_46a30c();
                                                                                                                                            v76 = g4;
                                                                                                                                            *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                            // branch -> 0x46971b
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        } else {
                                                                                                                                            // 0x469670
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                            g8 = 0x469c04;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                            function_45bf7c();
                                                                                                                                            // branch -> 0x469a51
                                                                                                                                        }
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    } else {
                                                                                                                                        // 0x469647
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                        System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                        g8 = 0x469bc0;
                                                                                                                                        *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                        function_45bf7c();
                                                                                                                                        // branch -> 0x469a51
                                                                                                                                    }
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x46961e
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                            g8 = 0x469b88;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                            function_45bf7c();
                                                                                                                            // branch -> 0x469a51
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x4693b7
                                                                                                                *(char *)(v270 - 100) = 8;
                                                                                                                // branch -> 0x4693c1
                                                                                                                // 0x4693c1
                                                                                                                v7 = NULL;
                                                                                                                g11 = (int32_t)&v7;
                                                                                                                v33 = g4;
                                                                                                                g8 = v33 - 132;
                                                                                                                v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                                g3 = *(int32_t *)(v33 - 4);
                                                                                                                function_4663c4();
                                                                                                                v64 = g4;
                                                                                                                v25 = (int32_t *)(v64 - 8);
                                                                                                                v37 = v64;
                                                                                                                v20 = v24;
                                                                                                                if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                    // 0x4693dd
                                                                                                                    if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                        // 0x4693e6
                                                                                                                        g8 = v64 - 132;
                                                                                                                        g3 = *(int32_t *)(v64 - 4);
                                                                                                                        function_469c8c();
                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                        v34 = g4;
                                                                                                                        g11 = v4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                        g6 = 1;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                        function_46ae10();
                                                                                                                        v35 = g4;
                                                                                                                        g8 = v35 - 132;
                                                                                                                        g3 = *(int32_t *)(v35 - 4);
                                                                                                                        function_469f40();
                                                                                                                        v36 = g4;
                                                                                                                        g8 = v36 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                        function_46a30c();
                                                                                                                        v65 = g4;
                                                                                                                        *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                        *(char *)(g4 - 128) = 1;
                                                                                                                        v37 = g4;
                                                                                                                        v20 = (int32_t *)-1;
                                                                                                                        // branch -> 0x46943d
                                                                                                                    } else {
                                                                                                                        v37 = v64;
                                                                                                                        v20 = v24;
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x46943d
                                                                                                                if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                    // 0x46944a
                                                                                                                    g8 = v37 - 132;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                    function_46a168();
                                                                                                                    v66 = g4;
                                                                                                                    if (g3 == 0) {
                                                                                                                        // 0x46945c
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                        System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                        g8 = 0x469b04;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                        function_45bf7c();
                                                                                                                        // branch -> 0x469a51
                                                                                                                    } else {
                                                                                                                        // 0x46947f
                                                                                                                        v26 = (char *)(v66 - 128);
                                                                                                                        if (*v26 == 0) {
                                                                                                                            // 0x469485
                                                                                                                            g8 = v66 - 132;
                                                                                                                            g3 = *(int32_t *)(v66 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                            function_469c8c();
                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                            v67 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                            g6 = v67 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                            function_46af4c();
                                                                                                                            v38 = g4;
                                                                                                                            g8 = v38 - 132;
                                                                                                                            g3 = *(int32_t *)(v38 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                            function_469f40();
                                                                                                                            v39 = g4;
                                                                                                                            g8 = v39 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                            function_46a30c();
                                                                                                                            v68 = g4;
                                                                                                                            *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                            v19 = (int32_t *)-1;
                                                                                                                            // branch -> 0x4694db
                                                                                                                        } else {
                                                                                                                            // 0x4694d7
                                                                                                                            *v26 = 0;
                                                                                                                            v19 = v20;
                                                                                                                            // branch -> 0x4694db
                                                                                                                        }
                                                                                                                        // 0x4694db
                                                                                                                        v27 = (int32_t *)(g4 - 96);
                                                                                                                        *v27 = *v27 + 1;
                                                                                                                        v69 = g4;
                                                                                                                        if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                            v40 = v69;
                                                                                                                            // 0x469507
                                                                                                                            v45 = v40;
                                                                                                                            v23 = v19;
                                                                                                                            if (*(char *)(*(int32_t *)(v40 - 8) + 88) != 0) {
                                                                                                                                // 0x469510
                                                                                                                                v42 = v40;
                                                                                                                                if (*(char *)(*(int32_t *)(v40 - 12) + 2) == 0) {
                                                                                                                                    // 0x469519
                                                                                                                                    g8 = v40 - 132;
                                                                                                                                    g3 = *(int32_t *)(v40 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469527;
                                                                                                                                    function_469c8c();
                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                    v41 = g11;
                                                                                                                                    v30 = v41 - 4;
                                                                                                                                    *(int32_t *)v30 = g4 - 132;
                                                                                                                                    g11 = v30;
                                                                                                                                    v70 = g4;
                                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v70 - 20);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v70 - 4) + 4);
                                                                                                                                    *(int32_t *)(v41 - 8) = 0x469541;
                                                                                                                                    function_46ae10();
                                                                                                                                    v42 = g4;
                                                                                                                                    // branch -> 0x469541
                                                                                                                                }
                                                                                                                                // 0x469541
                                                                                                                                g8 = v42 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v42 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469552;
                                                                                                                                function_46b434();
                                                                                                                                v43 = g4;
                                                                                                                                g8 = v43 - 132;
                                                                                                                                g3 = *(int32_t *)(v43 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469563;
                                                                                                                                function_469f40();
                                                                                                                                v44 = g4;
                                                                                                                                g8 = v44 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v44 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469574;
                                                                                                                                function_46a30c();
                                                                                                                                v71 = g4;
                                                                                                                                if (*(char *)(*(int32_t *)(v71 - 12) + 2) == 0) {
                                                                                                                                    // 0x46957d
                                                                                                                                    *(int32_t *)(v71 - 132) = *(int32_t *)(v71 - 20);
                                                                                                                                    v45 = g4;
                                                                                                                                    v23 = (int32_t *)-1;
                                                                                                                                    // branch -> 0x469586
                                                                                                                                } else {
                                                                                                                                    v45 = v71;
                                                                                                                                    v23 = (int32_t *)-1;
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x469586
                                                                                                                            v50 = v45;
                                                                                                                            v22 = v23;
                                                                                                                            if (*(char *)(*(int32_t *)(v45 - 8) + 89) != 0) {
                                                                                                                                // 0x46958f
                                                                                                                                v47 = v45;
                                                                                                                                if (*(char *)(*(int32_t *)(v45 - 12) + 2) == 0) {
                                                                                                                                    // 0x469598
                                                                                                                                    g8 = v45 - 132;
                                                                                                                                    g3 = *(int32_t *)(v45 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4695a6;
                                                                                                                                    function_469c8c();
                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                    v46 = g11;
                                                                                                                                    v31 = v46 - 4;
                                                                                                                                    *(int32_t *)v31 = g4 - 132;
                                                                                                                                    g11 = v31;
                                                                                                                                    v72 = g4;
                                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v72 - 20);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v72 - 4) + 4);
                                                                                                                                    *(int32_t *)(v46 - 8) = 0x4695c0;
                                                                                                                                    function_46ae10();
                                                                                                                                    v47 = g4;
                                                                                                                                    // branch -> 0x4695c0
                                                                                                                                }
                                                                                                                                // 0x4695c0
                                                                                                                                g8 = v47 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v47 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695d1;
                                                                                                                                function_46b4ac();
                                                                                                                                v48 = g4;
                                                                                                                                g8 = v48 - 132;
                                                                                                                                g3 = *(int32_t *)(v48 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695e2;
                                                                                                                                function_469f40();
                                                                                                                                v49 = g4;
                                                                                                                                g8 = v49 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v49 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4695f3;
                                                                                                                                function_46a30c();
                                                                                                                                v73 = g4;
                                                                                                                                if (*(char *)(*(int32_t *)(v73 - 12) + 2) == 0) {
                                                                                                                                    // 0x4695fc
                                                                                                                                    *(int32_t *)(v73 - 132) = *(int32_t *)(v73 - 20);
                                                                                                                                    v50 = g4;
                                                                                                                                    v22 = (int32_t *)-1;
                                                                                                                                    // branch -> 0x469605
                                                                                                                                } else {
                                                                                                                                    v50 = v73;
                                                                                                                                    v22 = (int32_t *)-1;
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x469605
                                                                                                                            if (*(char *)(*(int32_t *)(v50 - 8) + 25) != 0) {
                                                                                                                                // 0x469612
                                                                                                                                if (*(char *)(v50 - 111) == 0) {
                                                                                                                                    // 0x469618
                                                                                                                                    if (*(char *)(v50 - 112) == 0) {
                                                                                                                                        // 0x469641
                                                                                                                                        if (*(int32_t *)(v50 - 96) == 0) {
                                                                                                                                            // 0x46966a
                                                                                                                                            if (*(char *)(v50 - 100) == 1) {
                                                                                                                                                // 0x469693
                                                                                                                                                g8 = v50 - 196;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v50 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696a4;
                                                                                                                                                function_46a30c();
                                                                                                                                                v51 = g4;
                                                                                                                                                g8 = v51 - 132;
                                                                                                                                                g3 = *(int32_t *)(v51 - 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696b5;
                                                                                                                                                function_4673b4();
                                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                                g8 = g8 & -256 | 247;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696c5;
                                                                                                                                                function_462278();
                                                                                                                                                v74 = g4;
                                                                                                                                                v83 = g8 & -256;
                                                                                                                                                g8 = (v83 | (int32_t)*(char *)(v74 - 20)) - 48 & 255 | v83;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v74 - 4) + 8);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696d6;
                                                                                                                                                function_462278();
                                                                                                                                                g8 = g8 & -256 | 131;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696e3;
                                                                                                                                                function_462278();
                                                                                                                                                v75 = g4;
                                                                                                                                                v84 = g8 & -256;
                                                                                                                                                g8 = (v84 | (int32_t)*(char *)(v75 - 20)) - 32 & 255 | v84;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v75 - 4) + 8);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x4696f4;
                                                                                                                                                function_462278();
                                                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469701;
                                                                                                                                                function_462278();
                                                                                                                                                v52 = g4;
                                                                                                                                                g8 = v52 - 132;
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v52 - 4) + 4);
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469712;
                                                                                                                                                function_46a30c();
                                                                                                                                                v76 = g4;
                                                                                                                                                *(int32_t *)(v76 - 132) = *(int32_t *)(v76 - 20);
                                                                                                                                                // branch -> 0x46971b
                                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                            } else {
                                                                                                                                                // 0x469670
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x469681;
                                                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                                g8 = 0x469c04;
                                                                                                                                                *(int32_t *)(g11 - 4) = 0x46968e;
                                                                                                                                                function_45bf7c();
                                                                                                                                                // branch -> 0x469a51
                                                                                                                                            }
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        } else {
                                                                                                                                            // 0x469647
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469658;
                                                                                                                                            System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                            g8 = 0x469bc0;
                                                                                                                                            *(int32_t *)(g11 - 4) = 0x469665;
                                                                                                                                            function_45bf7c();
                                                                                                                                            // branch -> 0x469a51
                                                                                                                                        }
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    }
                                                                                                                                }
                                                                                                                                // 0x46961e
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46962f;
                                                                                                                                System__AsClass(v22, (int32_t *)0x4637dc);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v50 - 4) + 16) + 12);
                                                                                                                                g8 = 0x469b88;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46963c;
                                                                                                                                function_45bf7c();
                                                                                                                                // branch -> 0x469a51
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        } else {
                                                                                                                            // 0x4694e4
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                            System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                            g8 = 0x469b3c;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                            function_45bf7c();
                                                                                                                            // branch -> 0x469a51
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            } else {
                                                                                                                // 0x46920e
                                                                                                                *v129 = 0x46921f;
                                                                                                                function_46a30c();
                                                                                                                v231 = g4;
                                                                                                                *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                                v197 = g11;
                                                                                                                v143 = v197 - 4;
                                                                                                                *(int32_t *)v143 = g4 - 324;
                                                                                                                g11 = v143;
                                                                                                                g6 = 1;
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                                function_46ae10();
                                                                                                                v234 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                    // 0x469247
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                    function_46b238();
                                                                                                                    // branch -> 0x469263
                                                                                                                } else {
                                                                                                                    // 0x469254
                                                                                                                    g6 = g6 & -256 | 2;
                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                    function_46ad58();
                                                                                                                    // branch -> 0x469263
                                                                                                                }
                                                                                                                // 0x469263
                                                                                                                v198 = g4;
                                                                                                                g8 = v198 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                                function_46a30c();
                                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                                function_469fd8();
                                                                                                                *(int32_t *)(g4 - 308) = g3;
                                                                                                                *(int32_t *)(g4 - 324) = 5;
                                                                                                                *(char *)(g4 - 304) = 1;
                                                                                                                v199 = g4;
                                                                                                                *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                                v200 = g11;
                                                                                                                v144 = v200 - 4;
                                                                                                                *(int32_t *)v144 = g4 - 324;
                                                                                                                g11 = v144;
                                                                                                                g6 = 0;
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                                function_46ae10();
                                                                                                                *(char *)(g4 - 304) = 0;
                                                                                                                v235 = g4;
                                                                                                                g8 = v235 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                                v131 = (int32_t *)(g11 - 4);
                                                                                                                if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                    // 0x4692c5
                                                                                                                    *v131 = 0x4692d6;
                                                                                                                    function_46afe8();
                                                                                                                    // branch -> 0x4692e9
                                                                                                                } else {
                                                                                                                    // 0x4692d8
                                                                                                                    *v131 = 0x4692e9;
                                                                                                                    function_46b060();
                                                                                                                    // branch -> 0x4692e9
                                                                                                                }
                                                                                                                // 0x4692e9
                                                                                                                g6 = -1;
                                                                                                                v201 = g4;
                                                                                                                g8 = v201 - 324;
                                                                                                                g3 = *(int32_t *)(v201 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x4692fa
                                                                                                            }
                                                                                                            // 0x4692fa
                                                                                                            v260 = g4;
                                                                                                            g8 = v260 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                            function_46a30c();
                                                                                                            v263 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                                // 0x469314
                                                                                                                *(int32_t *)(v263 - 324) = 0;
                                                                                                                // branch -> 0x469328
                                                                                                            } else {
                                                                                                                // 0x46931e
                                                                                                                *(int32_t *)(v263 - 324) = 2;
                                                                                                                // branch -> 0x469328
                                                                                                            }
                                                                                                            // 0x469328
                                                                                                            v261 = g11;
                                                                                                            v259 = v261 - 4;
                                                                                                            *(int32_t *)v259 = g4 - 324;
                                                                                                            g11 = v259;
                                                                                                            v264 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                            g6 = g6 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                            *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                            function_46ae10();
                                                                                                            v265 = g4;
                                                                                                            v266 = v265;
                                                                                                            if (*(char *)(v265 - 40) != 0) {
                                                                                                                // 0x469345
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                                function_46b1f0();
                                                                                                                v266 = g4;
                                                                                                                // branch -> 0x469352
                                                                                                            }
                                                                                                            // 0x469352
                                                                                                            v262 = v266;
                                                                                                            if (*(char *)(v266 - 42) != 0) {
                                                                                                                // 0x469358
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                                function_46b1f0();
                                                                                                                v262 = g4;
                                                                                                                // branch -> 0x469365
                                                                                                            }
                                                                                                            // 0x469365
                                                                                                            if (*(char *)(v262 - 240) == 0) {
                                                                                                                // 0x46936e
                                                                                                                g6 = -1;
                                                                                                                g8 = v262 - 388;
                                                                                                                g3 = *(int32_t *)(v262 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x46937f
                                                                                                            }
                                                                                                            // 0x46937f
                                                                                                            v268 = g4;
                                                                                                            g8 = v268 - 132;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                            function_46a30c();
                                                                                                            v269 = g4;
                                                                                                            *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                            v270 = g4;
                                                                                                            v267 = (int32_t *)(v270 - 8);
                                                                                                            v271 = *(int32_t *)(*v267 + 4);
                                                                                                            if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                                // 0x4693a8
                                                                                                                v272 = *(int32_t *)(*v267 + 8);
                                                                                                                if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                    // 0x4693bd
                                                                                                                    *(char *)(v270 - 100) = 0;
                                                                                                                    // branch -> 0x4693c1
                                                                                                                    // 0x4693c1
                                                                                                                    v7 = NULL;
                                                                                                                    g11 = (int32_t)&v7;
                                                                                                                    v33 = g4;
                                                                                                                    g8 = v33 - 132;
                                                                                                                    v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                                    g3 = *(int32_t *)(v33 - 4);
                                                                                                                    function_4663c4();
                                                                                                                    v64 = g4;
                                                                                                                    v25 = (int32_t *)(v64 - 8);
                                                                                                                    v37 = v64;
                                                                                                                    v20 = v24;
                                                                                                                    if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                        // 0x4693dd
                                                                                                                        if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                            // 0x4693e6
                                                                                                                            g8 = v64 - 132;
                                                                                                                            g3 = *(int32_t *)(v64 - 4);
                                                                                                                            function_469c8c();
                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                            v34 = g4;
                                                                                                                            g11 = v4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                            g6 = 1;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                            function_46ae10();
                                                                                                                            v35 = g4;
                                                                                                                            g8 = v35 - 132;
                                                                                                                            g3 = *(int32_t *)(v35 - 4);
                                                                                                                            function_469f40();
                                                                                                                            v36 = g4;
                                                                                                                            g8 = v36 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                            function_46a30c();
                                                                                                                            v65 = g4;
                                                                                                                            *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                            *(char *)(g4 - 128) = 1;
                                                                                                                            v37 = g4;
                                                                                                                            v20 = (int32_t *)-1;
                                                                                                                            // branch -> 0x46943d
                                                                                                                        } else {
                                                                                                                            v37 = v64;
                                                                                                                            v20 = v24;
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x46943d
                                                                                                                    if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                        // 0x46944a
                                                                                                                        g8 = v37 - 132;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                        function_46a168();
                                                                                                                        v66 = g4;
                                                                                                                        if (g3 == 0) {
                                                                                                                            // 0x46945c
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                            System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                            g8 = 0x469b04;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                            function_45bf7c();
                                                                                                                            // branch -> 0x469a51
                                                                                                                        } else {
                                                                                                                            // 0x46947f
                                                                                                                            v26 = (char *)(v66 - 128);
                                                                                                                            if (*v26 == 0) {
                                                                                                                                // 0x469485
                                                                                                                                g8 = v66 - 132;
                                                                                                                                g3 = *(int32_t *)(v66 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v67 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                                g6 = v67 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                                function_46af4c();
                                                                                                                                v38 = g4;
                                                                                                                                g8 = v38 - 132;
                                                                                                                                g3 = *(int32_t *)(v38 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                                function_469f40();
                                                                                                                                v39 = g4;
                                                                                                                                g8 = v39 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                                function_46a30c();
                                                                                                                                v68 = g4;
                                                                                                                                *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                                v19 = (int32_t *)-1;
                                                                                                                                // branch -> 0x4694db
                                                                                                                            } else {
                                                                                                                                // 0x4694d7
                                                                                                                                *v26 = 0;
                                                                                                                                v19 = v20;
                                                                                                                                // branch -> 0x4694db
                                                                                                                            }
                                                                                                                            // 0x4694db
                                                                                                                            v27 = (int32_t *)(g4 - 96);
                                                                                                                            *v27 = *v27 + 1;
                                                                                                                            v69 = g4;
                                                                                                                            if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            } else {
                                                                                                                                // 0x4694e4
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                                System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                                g8 = 0x469b3c;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                                function_45bf7c();
                                                                                                                                // branch -> 0x469a51
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x4693b7
                                                                                                            *(char *)(v270 - 100) = 8;
                                                                                                            // branch -> 0x4693c1
                                                                                                            // 0x4693c1
                                                                                                            v7 = NULL;
                                                                                                            g11 = (int32_t)&v7;
                                                                                                            v33 = g4;
                                                                                                            g8 = v33 - 132;
                                                                                                            v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                            g3 = *(int32_t *)(v33 - 4);
                                                                                                            function_4663c4();
                                                                                                            v64 = g4;
                                                                                                            v25 = (int32_t *)(v64 - 8);
                                                                                                            v37 = v64;
                                                                                                            v20 = v24;
                                                                                                            if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                // 0x4693dd
                                                                                                                if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                    // 0x4693e6
                                                                                                                    g8 = v64 - 132;
                                                                                                                    g3 = *(int32_t *)(v64 - 4);
                                                                                                                    function_469c8c();
                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                    v34 = g4;
                                                                                                                    g11 = v4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                    g6 = 1;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                    function_46ae10();
                                                                                                                    v35 = g4;
                                                                                                                    g8 = v35 - 132;
                                                                                                                    g3 = *(int32_t *)(v35 - 4);
                                                                                                                    function_469f40();
                                                                                                                    v36 = g4;
                                                                                                                    g8 = v36 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                    function_46a30c();
                                                                                                                    v65 = g4;
                                                                                                                    *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                    *(char *)(g4 - 128) = 1;
                                                                                                                    v37 = g4;
                                                                                                                    v20 = (int32_t *)-1;
                                                                                                                    // branch -> 0x46943d
                                                                                                                } else {
                                                                                                                    v37 = v64;
                                                                                                                    v20 = v24;
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x46943d
                                                                                                            if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                // 0x46944a
                                                                                                                g8 = v37 - 132;
                                                                                                                *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                function_46a168();
                                                                                                                v66 = g4;
                                                                                                                if (g3 == 0) {
                                                                                                                    // 0x46945c
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                    System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                    g8 = 0x469b04;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                    function_45bf7c();
                                                                                                                    // branch -> 0x469a51
                                                                                                                } else {
                                                                                                                    // 0x46947f
                                                                                                                    v26 = (char *)(v66 - 128);
                                                                                                                    if (*v26 == 0) {
                                                                                                                        // 0x469485
                                                                                                                        g8 = v66 - 132;
                                                                                                                        g3 = *(int32_t *)(v66 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                        function_469c8c();
                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                        v67 = g4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                        g6 = v67 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                        function_46af4c();
                                                                                                                        v38 = g4;
                                                                                                                        g8 = v38 - 132;
                                                                                                                        g3 = *(int32_t *)(v38 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                        function_469f40();
                                                                                                                        v39 = g4;
                                                                                                                        g8 = v39 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                        function_46a30c();
                                                                                                                        v68 = g4;
                                                                                                                        *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                        v19 = (int32_t *)-1;
                                                                                                                        // branch -> 0x4694db
                                                                                                                    } else {
                                                                                                                        // 0x4694d7
                                                                                                                        *v26 = 0;
                                                                                                                        v19 = v20;
                                                                                                                        // branch -> 0x4694db
                                                                                                                    }
                                                                                                                    // 0x4694db
                                                                                                                    v27 = (int32_t *)(g4 - 96);
                                                                                                                    *v27 = *v27 + 1;
                                                                                                                    v69 = g4;
                                                                                                                    if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x4694e4
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                        System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                        g8 = 0x469b3c;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                        function_45bf7c();
                                                                                                                        // branch -> 0x469a51
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x46912d
                                                                                                    // branch -> 0x469133
                                                                                                    // 0x469133
                                                                                                    *(char *)(v224 - 42) = (char)0;
                                                                                                    v225 = g4;
                                                                                                    v250 = *(int32_t *)(v225 - 4);
                                                                                                    if (*(char *)(v250 + 0x183c) != 0) {
                                                                                                        // 0x469142
                                                                                                        if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                            // 0x46914c
                                                                                                            // branch -> 0x46914e
                                                                                                            // 0x46914e
                                                                                                            *(char *)(v225 - 40) = (char)(v250 & -256 | 1);
                                                                                                            v226 = g4;
                                                                                                            v227 = v226;
                                                                                                            if (*(char *)(v226 - 42) != 0) {
                                                                                                                // 0x469157
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                                function_46b214();
                                                                                                                v227 = g4;
                                                                                                                // branch -> 0x469164
                                                                                                            }
                                                                                                            // 0x469164
                                                                                                            v195 = v227;
                                                                                                            if (*(char *)(v227 - 40) != 0) {
                                                                                                                // 0x46916a
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                                function_46b214();
                                                                                                                v195 = g4;
                                                                                                                // branch -> 0x469177
                                                                                                            }
                                                                                                            // 0x469177
                                                                                                            g8 = v195 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                            v129 = (int32_t *)(g11 - 4);
                                                                                                            if (*(char *)(v195 - 240) == 0) {
                                                                                                                // 0x469184
                                                                                                                *v129 = 0x469195;
                                                                                                                function_46a30c();
                                                                                                                v228 = g4;
                                                                                                                *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                                v196 = g11;
                                                                                                                v142 = v196 - 4;
                                                                                                                *(int32_t *)v142 = g4 - 324;
                                                                                                                g11 = v142;
                                                                                                                g6 = 1;
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                                function_46ae10();
                                                                                                                v229 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                    // 0x4691bd
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                    function_46b238();
                                                                                                                    // branch -> 0x4691d9
                                                                                                                } else {
                                                                                                                    // 0x4691ca
                                                                                                                    g6 = g6 & -256 | 2;
                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                    function_46ad58();
                                                                                                                    // branch -> 0x4691d9
                                                                                                                }
                                                                                                                // 0x4691d9
                                                                                                                v230 = g4;
                                                                                                                g8 = v230 - 388;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                                v130 = (int32_t *)(g11 - 4);
                                                                                                                if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                    // 0x4691e2
                                                                                                                    *v130 = 0x4691f3;
                                                                                                                    function_46afe8();
                                                                                                                    // branch -> 0x4692fa
                                                                                                                } else {
                                                                                                                    // 0x4691f8
                                                                                                                    *v130 = 0x469209;
                                                                                                                    function_46b060();
                                                                                                                    // branch -> 0x4692fa
                                                                                                                }
                                                                                                                // 0x4692fa
                                                                                                                v260 = g4;
                                                                                                                g8 = v260 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                                function_46a30c();
                                                                                                                v263 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                                    // 0x469314
                                                                                                                    *(int32_t *)(v263 - 324) = 0;
                                                                                                                    // branch -> 0x469328
                                                                                                                } else {
                                                                                                                    // 0x46931e
                                                                                                                    *(int32_t *)(v263 - 324) = 2;
                                                                                                                    // branch -> 0x469328
                                                                                                                }
                                                                                                                // 0x469328
                                                                                                                v261 = g11;
                                                                                                                v259 = v261 - 4;
                                                                                                                *(int32_t *)v259 = g4 - 324;
                                                                                                                g11 = v259;
                                                                                                                v264 = g4;
                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                                g6 = g6 & -256 | 1;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                                *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                                function_46ae10();
                                                                                                                v265 = g4;
                                                                                                                v266 = v265;
                                                                                                                if (*(char *)(v265 - 40) != 0) {
                                                                                                                    // 0x469345
                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                                    function_46b1f0();
                                                                                                                    v266 = g4;
                                                                                                                    // branch -> 0x469352
                                                                                                                }
                                                                                                                // 0x469352
                                                                                                                v262 = v266;
                                                                                                                if (*(char *)(v266 - 42) != 0) {
                                                                                                                    // 0x469358
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                                    function_46b1f0();
                                                                                                                    v262 = g4;
                                                                                                                    // branch -> 0x469365
                                                                                                                }
                                                                                                                // 0x469365
                                                                                                                if (*(char *)(v262 - 240) == 0) {
                                                                                                                    // 0x46936e
                                                                                                                    g6 = -1;
                                                                                                                    g8 = v262 - 388;
                                                                                                                    g3 = *(int32_t *)(v262 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                                    function_469f40();
                                                                                                                    // branch -> 0x46937f
                                                                                                                }
                                                                                                                // 0x46937f
                                                                                                                v268 = g4;
                                                                                                                g8 = v268 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                                function_46a30c();
                                                                                                                v269 = g4;
                                                                                                                *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                                v270 = g4;
                                                                                                                v267 = (int32_t *)(v270 - 8);
                                                                                                                v271 = *(int32_t *)(*v267 + 4);
                                                                                                                if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                                    // 0x4693a8
                                                                                                                    v272 = *(int32_t *)(*v267 + 8);
                                                                                                                    if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                        // 0x4693bd
                                                                                                                        *(char *)(v270 - 100) = 0;
                                                                                                                        // branch -> 0x4693c1
                                                                                                                        // 0x4693c1
                                                                                                                        v7 = NULL;
                                                                                                                        g11 = (int32_t)&v7;
                                                                                                                        v33 = g4;
                                                                                                                        g8 = v33 - 132;
                                                                                                                        v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                                        g3 = *(int32_t *)(v33 - 4);
                                                                                                                        function_4663c4();
                                                                                                                        v64 = g4;
                                                                                                                        v25 = (int32_t *)(v64 - 8);
                                                                                                                        v37 = v64;
                                                                                                                        v20 = v24;
                                                                                                                        if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                            // 0x4693dd
                                                                                                                            if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                                // 0x4693e6
                                                                                                                                g8 = v64 - 132;
                                                                                                                                g3 = *(int32_t *)(v64 - 4);
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v34 = g4;
                                                                                                                                g11 = v4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                                g6 = 1;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                                function_46ae10();
                                                                                                                                v35 = g4;
                                                                                                                                g8 = v35 - 132;
                                                                                                                                g3 = *(int32_t *)(v35 - 4);
                                                                                                                                function_469f40();
                                                                                                                                v36 = g4;
                                                                                                                                g8 = v36 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                                function_46a30c();
                                                                                                                                v65 = g4;
                                                                                                                                *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                                *(char *)(g4 - 128) = 1;
                                                                                                                                v37 = g4;
                                                                                                                                v20 = (int32_t *)-1;
                                                                                                                                // branch -> 0x46943d
                                                                                                                            } else {
                                                                                                                                v37 = v64;
                                                                                                                                v20 = v24;
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x46943d
                                                                                                                        if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                            // 0x46944a
                                                                                                                            g8 = v37 - 132;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                            function_46a168();
                                                                                                                            v66 = g4;
                                                                                                                            if (g3 == 0) {
                                                                                                                                // 0x46945c
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                                System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                                g8 = 0x469b04;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                                function_45bf7c();
                                                                                                                                // branch -> 0x469a51
                                                                                                                            } else {
                                                                                                                                // 0x46947f
                                                                                                                                v26 = (char *)(v66 - 128);
                                                                                                                                if (*v26 == 0) {
                                                                                                                                    // 0x469485
                                                                                                                                    g8 = v66 - 132;
                                                                                                                                    g3 = *(int32_t *)(v66 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                                    function_469c8c();
                                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                                    v67 = g4;
                                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                                    g6 = v67 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                                    function_46af4c();
                                                                                                                                    v38 = g4;
                                                                                                                                    g8 = v38 - 132;
                                                                                                                                    g3 = *(int32_t *)(v38 - 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                                    function_469f40();
                                                                                                                                    v39 = g4;
                                                                                                                                    g8 = v39 - 132;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                                    function_46a30c();
                                                                                                                                    v68 = g4;
                                                                                                                                    *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                                    v19 = (int32_t *)-1;
                                                                                                                                    // branch -> 0x4694db
                                                                                                                                } else {
                                                                                                                                    // 0x4694d7
                                                                                                                                    *v26 = 0;
                                                                                                                                    v19 = v20;
                                                                                                                                    // branch -> 0x4694db
                                                                                                                                }
                                                                                                                                // 0x4694db
                                                                                                                                v27 = (int32_t *)(g4 - 96);
                                                                                                                                *v27 = *v27 + 1;
                                                                                                                                v69 = g4;
                                                                                                                                if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                } else {
                                                                                                                                    // 0x4694e4
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                                    System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                                    g8 = 0x469b3c;
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                                    function_45bf7c();
                                                                                                                                    // branch -> 0x469a51
                                                                                                                                }
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x4693b7
                                                                                                                *(char *)(v270 - 100) = 8;
                                                                                                                // branch -> 0x4693c1
                                                                                                                // 0x4693c1
                                                                                                                v7 = NULL;
                                                                                                                g11 = (int32_t)&v7;
                                                                                                                v33 = g4;
                                                                                                                g8 = v33 - 132;
                                                                                                                v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                                g3 = *(int32_t *)(v33 - 4);
                                                                                                                function_4663c4();
                                                                                                                v64 = g4;
                                                                                                                v25 = (int32_t *)(v64 - 8);
                                                                                                                v37 = v64;
                                                                                                                v20 = v24;
                                                                                                                if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                    // 0x4693dd
                                                                                                                    if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                        // 0x4693e6
                                                                                                                        g8 = v64 - 132;
                                                                                                                        g3 = *(int32_t *)(v64 - 4);
                                                                                                                        function_469c8c();
                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                        v34 = g4;
                                                                                                                        g11 = v4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                        g6 = 1;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                        function_46ae10();
                                                                                                                        v35 = g4;
                                                                                                                        g8 = v35 - 132;
                                                                                                                        g3 = *(int32_t *)(v35 - 4);
                                                                                                                        function_469f40();
                                                                                                                        v36 = g4;
                                                                                                                        g8 = v36 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                        function_46a30c();
                                                                                                                        v65 = g4;
                                                                                                                        *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                        *(char *)(g4 - 128) = 1;
                                                                                                                        v37 = g4;
                                                                                                                        v20 = (int32_t *)-1;
                                                                                                                        // branch -> 0x46943d
                                                                                                                    } else {
                                                                                                                        v37 = v64;
                                                                                                                        v20 = v24;
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x46943d
                                                                                                                if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                    // 0x46944a
                                                                                                                    g8 = v37 - 132;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                    function_46a168();
                                                                                                                    v66 = g4;
                                                                                                                    if (g3 == 0) {
                                                                                                                        // 0x46945c
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                        System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                        g8 = 0x469b04;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                        function_45bf7c();
                                                                                                                        // branch -> 0x469a51
                                                                                                                    } else {
                                                                                                                        // 0x46947f
                                                                                                                        v26 = (char *)(v66 - 128);
                                                                                                                        if (*v26 == 0) {
                                                                                                                            // 0x469485
                                                                                                                            g8 = v66 - 132;
                                                                                                                            g3 = *(int32_t *)(v66 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                            function_469c8c();
                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                            v67 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                            g6 = v67 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                            function_46af4c();
                                                                                                                            v38 = g4;
                                                                                                                            g8 = v38 - 132;
                                                                                                                            g3 = *(int32_t *)(v38 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                            function_469f40();
                                                                                                                            v39 = g4;
                                                                                                                            g8 = v39 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                            function_46a30c();
                                                                                                                            v68 = g4;
                                                                                                                            *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                            v19 = (int32_t *)-1;
                                                                                                                            // branch -> 0x4694db
                                                                                                                        } else {
                                                                                                                            // 0x4694d7
                                                                                                                            *v26 = 0;
                                                                                                                            v19 = v20;
                                                                                                                            // branch -> 0x4694db
                                                                                                                        }
                                                                                                                        // 0x4694db
                                                                                                                        v27 = (int32_t *)(g4 - 96);
                                                                                                                        *v27 = *v27 + 1;
                                                                                                                        v69 = g4;
                                                                                                                        if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        } else {
                                                                                                                            // 0x4694e4
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                            System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                            g8 = 0x469b3c;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                            function_45bf7c();
                                                                                                                            // branch -> 0x469a51
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            } else {
                                                                                                                // 0x46920e
                                                                                                                *v129 = 0x46921f;
                                                                                                                function_46a30c();
                                                                                                                v231 = g4;
                                                                                                                *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                                v197 = g11;
                                                                                                                v143 = v197 - 4;
                                                                                                                *(int32_t *)v143 = g4 - 324;
                                                                                                                g11 = v143;
                                                                                                                g6 = 1;
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                                function_46ae10();
                                                                                                                v234 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                    // 0x469247
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                    function_46b238();
                                                                                                                    // branch -> 0x469263
                                                                                                                } else {
                                                                                                                    // 0x469254
                                                                                                                    g6 = g6 & -256 | 2;
                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                    function_46ad58();
                                                                                                                    // branch -> 0x469263
                                                                                                                }
                                                                                                                // 0x469263
                                                                                                                v198 = g4;
                                                                                                                g8 = v198 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                                function_46a30c();
                                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                                function_469fd8();
                                                                                                                *(int32_t *)(g4 - 308) = g3;
                                                                                                                *(int32_t *)(g4 - 324) = 5;
                                                                                                                *(char *)(g4 - 304) = 1;
                                                                                                                v199 = g4;
                                                                                                                *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                                v200 = g11;
                                                                                                                v144 = v200 - 4;
                                                                                                                *(int32_t *)v144 = g4 - 324;
                                                                                                                g11 = v144;
                                                                                                                g6 = 0;
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                                function_46ae10();
                                                                                                                *(char *)(g4 - 304) = 0;
                                                                                                                v235 = g4;
                                                                                                                g8 = v235 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                                v131 = (int32_t *)(g11 - 4);
                                                                                                                if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                    // 0x4692c5
                                                                                                                    *v131 = 0x4692d6;
                                                                                                                    function_46afe8();
                                                                                                                    // branch -> 0x4692e9
                                                                                                                } else {
                                                                                                                    // 0x4692d8
                                                                                                                    *v131 = 0x4692e9;
                                                                                                                    function_46b060();
                                                                                                                    // branch -> 0x4692e9
                                                                                                                }
                                                                                                                // 0x4692e9
                                                                                                                g6 = -1;
                                                                                                                v201 = g4;
                                                                                                                g8 = v201 - 324;
                                                                                                                g3 = *(int32_t *)(v201 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x4692fa
                                                                                                            }
                                                                                                            // 0x4692fa
                                                                                                            v260 = g4;
                                                                                                            g8 = v260 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                            function_46a30c();
                                                                                                            v263 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                                // 0x469314
                                                                                                                *(int32_t *)(v263 - 324) = 0;
                                                                                                                // branch -> 0x469328
                                                                                                            } else {
                                                                                                                // 0x46931e
                                                                                                                *(int32_t *)(v263 - 324) = 2;
                                                                                                                // branch -> 0x469328
                                                                                                            }
                                                                                                            // 0x469328
                                                                                                            v261 = g11;
                                                                                                            v259 = v261 - 4;
                                                                                                            *(int32_t *)v259 = g4 - 324;
                                                                                                            g11 = v259;
                                                                                                            v264 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                            g6 = g6 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                            *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                            function_46ae10();
                                                                                                            v265 = g4;
                                                                                                            v266 = v265;
                                                                                                            if (*(char *)(v265 - 40) != 0) {
                                                                                                                // 0x469345
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                                function_46b1f0();
                                                                                                                v266 = g4;
                                                                                                                // branch -> 0x469352
                                                                                                            }
                                                                                                            // 0x469352
                                                                                                            v262 = v266;
                                                                                                            if (*(char *)(v266 - 42) != 0) {
                                                                                                                // 0x469358
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                                function_46b1f0();
                                                                                                                v262 = g4;
                                                                                                                // branch -> 0x469365
                                                                                                            }
                                                                                                            // 0x469365
                                                                                                            if (*(char *)(v262 - 240) == 0) {
                                                                                                                // 0x46936e
                                                                                                                g6 = -1;
                                                                                                                g8 = v262 - 388;
                                                                                                                g3 = *(int32_t *)(v262 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x46937f
                                                                                                            }
                                                                                                            // 0x46937f
                                                                                                            v268 = g4;
                                                                                                            g8 = v268 - 132;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                            function_46a30c();
                                                                                                            v269 = g4;
                                                                                                            *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                            v270 = g4;
                                                                                                            v267 = (int32_t *)(v270 - 8);
                                                                                                            v271 = *(int32_t *)(*v267 + 4);
                                                                                                            if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                                // 0x4693a8
                                                                                                                v272 = *(int32_t *)(*v267 + 8);
                                                                                                                if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                    // 0x4693bd
                                                                                                                    *(char *)(v270 - 100) = 0;
                                                                                                                    // branch -> 0x4693c1
                                                                                                                    // 0x4693c1
                                                                                                                    v7 = NULL;
                                                                                                                    g11 = (int32_t)&v7;
                                                                                                                    v33 = g4;
                                                                                                                    g8 = v33 - 132;
                                                                                                                    v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                                    g3 = *(int32_t *)(v33 - 4);
                                                                                                                    function_4663c4();
                                                                                                                    v64 = g4;
                                                                                                                    v25 = (int32_t *)(v64 - 8);
                                                                                                                    v37 = v64;
                                                                                                                    v20 = v24;
                                                                                                                    if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                        // 0x4693dd
                                                                                                                        if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                            // 0x4693e6
                                                                                                                            g8 = v64 - 132;
                                                                                                                            g3 = *(int32_t *)(v64 - 4);
                                                                                                                            function_469c8c();
                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                            v34 = g4;
                                                                                                                            g11 = v4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                            g6 = 1;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                            function_46ae10();
                                                                                                                            v35 = g4;
                                                                                                                            g8 = v35 - 132;
                                                                                                                            g3 = *(int32_t *)(v35 - 4);
                                                                                                                            function_469f40();
                                                                                                                            v36 = g4;
                                                                                                                            g8 = v36 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                            function_46a30c();
                                                                                                                            v65 = g4;
                                                                                                                            *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                            *(char *)(g4 - 128) = 1;
                                                                                                                            v37 = g4;
                                                                                                                            v20 = (int32_t *)-1;
                                                                                                                            // branch -> 0x46943d
                                                                                                                        } else {
                                                                                                                            v37 = v64;
                                                                                                                            v20 = v24;
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x46943d
                                                                                                                    if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                        // 0x46944a
                                                                                                                        g8 = v37 - 132;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                        function_46a168();
                                                                                                                        v66 = g4;
                                                                                                                        if (g3 == 0) {
                                                                                                                            // 0x46945c
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                            System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                            g8 = 0x469b04;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                            function_45bf7c();
                                                                                                                            // branch -> 0x469a51
                                                                                                                        } else {
                                                                                                                            // 0x46947f
                                                                                                                            v26 = (char *)(v66 - 128);
                                                                                                                            if (*v26 == 0) {
                                                                                                                                // 0x469485
                                                                                                                                g8 = v66 - 132;
                                                                                                                                g3 = *(int32_t *)(v66 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                                function_469c8c();
                                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                                v67 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                                g6 = v67 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                                function_46af4c();
                                                                                                                                v38 = g4;
                                                                                                                                g8 = v38 - 132;
                                                                                                                                g3 = *(int32_t *)(v38 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                                function_469f40();
                                                                                                                                v39 = g4;
                                                                                                                                g8 = v39 - 132;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                                function_46a30c();
                                                                                                                                v68 = g4;
                                                                                                                                *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                                v19 = (int32_t *)-1;
                                                                                                                                // branch -> 0x4694db
                                                                                                                            } else {
                                                                                                                                // 0x4694d7
                                                                                                                                *v26 = 0;
                                                                                                                                v19 = v20;
                                                                                                                                // branch -> 0x4694db
                                                                                                                            }
                                                                                                                            // 0x4694db
                                                                                                                            v27 = (int32_t *)(g4 - 96);
                                                                                                                            *v27 = *v27 + 1;
                                                                                                                            v69 = g4;
                                                                                                                            if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            } else {
                                                                                                                                // 0x4694e4
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                                System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                                g8 = 0x469b3c;
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                                function_45bf7c();
                                                                                                                                // branch -> 0x469a51
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x4693b7
                                                                                                            *(char *)(v270 - 100) = 8;
                                                                                                            // branch -> 0x4693c1
                                                                                                            // 0x4693c1
                                                                                                            v7 = NULL;
                                                                                                            g11 = (int32_t)&v7;
                                                                                                            v33 = g4;
                                                                                                            g8 = v33 - 132;
                                                                                                            v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                            g3 = *(int32_t *)(v33 - 4);
                                                                                                            function_4663c4();
                                                                                                            v64 = g4;
                                                                                                            v25 = (int32_t *)(v64 - 8);
                                                                                                            v37 = v64;
                                                                                                            v20 = v24;
                                                                                                            if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                // 0x4693dd
                                                                                                                if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                    // 0x4693e6
                                                                                                                    g8 = v64 - 132;
                                                                                                                    g3 = *(int32_t *)(v64 - 4);
                                                                                                                    function_469c8c();
                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                    v34 = g4;
                                                                                                                    g11 = v4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                    g6 = 1;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                    function_46ae10();
                                                                                                                    v35 = g4;
                                                                                                                    g8 = v35 - 132;
                                                                                                                    g3 = *(int32_t *)(v35 - 4);
                                                                                                                    function_469f40();
                                                                                                                    v36 = g4;
                                                                                                                    g8 = v36 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                    function_46a30c();
                                                                                                                    v65 = g4;
                                                                                                                    *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                    *(char *)(g4 - 128) = 1;
                                                                                                                    v37 = g4;
                                                                                                                    v20 = (int32_t *)-1;
                                                                                                                    // branch -> 0x46943d
                                                                                                                } else {
                                                                                                                    v37 = v64;
                                                                                                                    v20 = v24;
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x46943d
                                                                                                            if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                // 0x46944a
                                                                                                                g8 = v37 - 132;
                                                                                                                *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                function_46a168();
                                                                                                                v66 = g4;
                                                                                                                if (g3 == 0) {
                                                                                                                    // 0x46945c
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                    System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                    g8 = 0x469b04;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                    function_45bf7c();
                                                                                                                    // branch -> 0x469a51
                                                                                                                } else {
                                                                                                                    // 0x46947f
                                                                                                                    v26 = (char *)(v66 - 128);
                                                                                                                    if (*v26 == 0) {
                                                                                                                        // 0x469485
                                                                                                                        g8 = v66 - 132;
                                                                                                                        g3 = *(int32_t *)(v66 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                        function_469c8c();
                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                        v67 = g4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                        g6 = v67 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                        function_46af4c();
                                                                                                                        v38 = g4;
                                                                                                                        g8 = v38 - 132;
                                                                                                                        g3 = *(int32_t *)(v38 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                        function_469f40();
                                                                                                                        v39 = g4;
                                                                                                                        g8 = v39 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                        function_46a30c();
                                                                                                                        v68 = g4;
                                                                                                                        *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                        v19 = (int32_t *)-1;
                                                                                                                        // branch -> 0x4694db
                                                                                                                    } else {
                                                                                                                        // 0x4694d7
                                                                                                                        *v26 = 0;
                                                                                                                        v19 = v20;
                                                                                                                        // branch -> 0x4694db
                                                                                                                    }
                                                                                                                    // 0x4694db
                                                                                                                    v27 = (int32_t *)(g4 - 96);
                                                                                                                    *v27 = *v27 + 1;
                                                                                                                    v69 = g4;
                                                                                                                    if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x4694e4
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                        System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                        g8 = 0x469b3c;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                        function_45bf7c();
                                                                                                                        // branch -> 0x469a51
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x469148
                                                                                                    // branch -> 0x46914e
                                                                                                    // 0x46914e
                                                                                                    *(char *)(v225 - 40) = (char)0;
                                                                                                    v226 = g4;
                                                                                                    v227 = v226;
                                                                                                    if (*(char *)(v226 - 42) != 0) {
                                                                                                        // 0x469157
                                                                                                        g8 = 0;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                        function_46b214();
                                                                                                        v227 = g4;
                                                                                                        // branch -> 0x469164
                                                                                                    }
                                                                                                    // 0x469164
                                                                                                    v195 = v227;
                                                                                                    if (*(char *)(v227 - 40) != 0) {
                                                                                                        // 0x46916a
                                                                                                        g8 = g8 & -256 | 2;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                        function_46b214();
                                                                                                        v195 = g4;
                                                                                                        // branch -> 0x469177
                                                                                                    }
                                                                                                    // 0x469177
                                                                                                    g8 = v195 - 324;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                    v129 = (int32_t *)(g11 - 4);
                                                                                                    if (*(char *)(v195 - 240) == 0) {
                                                                                                        // 0x469184
                                                                                                        *v129 = 0x469195;
                                                                                                        function_46a30c();
                                                                                                        v228 = g4;
                                                                                                        *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                        v196 = g11;
                                                                                                        v142 = v196 - 4;
                                                                                                        *(int32_t *)v142 = g4 - 324;
                                                                                                        g11 = v142;
                                                                                                        g6 = 1;
                                                                                                        g8 = 0;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                        *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                        function_46ae10();
                                                                                                        v229 = g4;
                                                                                                        if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                            // 0x4691bd
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                            function_46b238();
                                                                                                            // branch -> 0x4691d9
                                                                                                        } else {
                                                                                                            // 0x4691ca
                                                                                                            g6 = g6 & -256 | 2;
                                                                                                            g8 = g8 & -256 | 2;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                            function_46ad58();
                                                                                                            // branch -> 0x4691d9
                                                                                                        }
                                                                                                        // 0x4691d9
                                                                                                        v230 = g4;
                                                                                                        g8 = v230 - 388;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                        v130 = (int32_t *)(g11 - 4);
                                                                                                        if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                            // 0x4691e2
                                                                                                            *v130 = 0x4691f3;
                                                                                                            function_46afe8();
                                                                                                            // branch -> 0x4692fa
                                                                                                        } else {
                                                                                                            // 0x4691f8
                                                                                                            *v130 = 0x469209;
                                                                                                            function_46b060();
                                                                                                            // branch -> 0x4692fa
                                                                                                        }
                                                                                                        // 0x4692fa
                                                                                                        v260 = g4;
                                                                                                        g8 = v260 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                        function_46a30c();
                                                                                                        v263 = g4;
                                                                                                        if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                            // 0x469314
                                                                                                            *(int32_t *)(v263 - 324) = 0;
                                                                                                            // branch -> 0x469328
                                                                                                        } else {
                                                                                                            // 0x46931e
                                                                                                            *(int32_t *)(v263 - 324) = 2;
                                                                                                            // branch -> 0x469328
                                                                                                        }
                                                                                                        // 0x469328
                                                                                                        v261 = g11;
                                                                                                        v259 = v261 - 4;
                                                                                                        *(int32_t *)v259 = g4 - 324;
                                                                                                        g11 = v259;
                                                                                                        v264 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                        g6 = g6 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                        *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                        function_46ae10();
                                                                                                        v265 = g4;
                                                                                                        v266 = v265;
                                                                                                        if (*(char *)(v265 - 40) != 0) {
                                                                                                            // 0x469345
                                                                                                            g8 = g8 & -256 | 2;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                            function_46b1f0();
                                                                                                            v266 = g4;
                                                                                                            // branch -> 0x469352
                                                                                                        }
                                                                                                        // 0x469352
                                                                                                        v262 = v266;
                                                                                                        if (*(char *)(v266 - 42) != 0) {
                                                                                                            // 0x469358
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                            function_46b1f0();
                                                                                                            v262 = g4;
                                                                                                            // branch -> 0x469365
                                                                                                        }
                                                                                                        // 0x469365
                                                                                                        if (*(char *)(v262 - 240) == 0) {
                                                                                                            // 0x46936e
                                                                                                            g6 = -1;
                                                                                                            g8 = v262 - 388;
                                                                                                            g3 = *(int32_t *)(v262 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        }
                                                                                                        // 0x46937f
                                                                                                        v268 = g4;
                                                                                                        g8 = v268 - 132;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                        function_46a30c();
                                                                                                        v269 = g4;
                                                                                                        *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                        v270 = g4;
                                                                                                        v267 = (int32_t *)(v270 - 8);
                                                                                                        v271 = *(int32_t *)(*v267 + 4);
                                                                                                        if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                            // 0x4693a8
                                                                                                            v272 = *(int32_t *)(*v267 + 8);
                                                                                                            if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                // 0x4693bd
                                                                                                                *(char *)(v270 - 100) = 0;
                                                                                                                // branch -> 0x4693c1
                                                                                                                // 0x4693c1
                                                                                                                v7 = NULL;
                                                                                                                g11 = (int32_t)&v7;
                                                                                                                v33 = g4;
                                                                                                                g8 = v33 - 132;
                                                                                                                v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                                g3 = *(int32_t *)(v33 - 4);
                                                                                                                function_4663c4();
                                                                                                                v64 = g4;
                                                                                                                v25 = (int32_t *)(v64 - 8);
                                                                                                                v37 = v64;
                                                                                                                v20 = v24;
                                                                                                                if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                                    // 0x4693dd
                                                                                                                    if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                        // 0x4693e6
                                                                                                                        g8 = v64 - 132;
                                                                                                                        g3 = *(int32_t *)(v64 - 4);
                                                                                                                        function_469c8c();
                                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                                        v34 = g4;
                                                                                                                        g11 = v4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                        g6 = 1;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                        function_46ae10();
                                                                                                                        v35 = g4;
                                                                                                                        g8 = v35 - 132;
                                                                                                                        g3 = *(int32_t *)(v35 - 4);
                                                                                                                        function_469f40();
                                                                                                                        v36 = g4;
                                                                                                                        g8 = v36 - 132;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                        function_46a30c();
                                                                                                                        v65 = g4;
                                                                                                                        *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                        *(char *)(g4 - 128) = 1;
                                                                                                                        v37 = g4;
                                                                                                                        v20 = (int32_t *)-1;
                                                                                                                        // branch -> 0x46943d
                                                                                                                    } else {
                                                                                                                        v37 = v64;
                                                                                                                        v20 = v24;
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x46943d
                                                                                                                if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                                    // 0x46944a
                                                                                                                    g8 = v37 - 132;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                                    function_46a168();
                                                                                                                    v66 = g4;
                                                                                                                    if (g3 == 0) {
                                                                                                                        // 0x46945c
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                        System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                        g8 = 0x469b04;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                        function_45bf7c();
                                                                                                                        // branch -> 0x469a51
                                                                                                                    } else {
                                                                                                                        // 0x46947f
                                                                                                                        v26 = (char *)(v66 - 128);
                                                                                                                        if (*v26 == 0) {
                                                                                                                            // 0x469485
                                                                                                                            g8 = v66 - 132;
                                                                                                                            g3 = *(int32_t *)(v66 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                            function_469c8c();
                                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                                            v67 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                            g6 = v67 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                            function_46af4c();
                                                                                                                            v38 = g4;
                                                                                                                            g8 = v38 - 132;
                                                                                                                            g3 = *(int32_t *)(v38 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                            function_469f40();
                                                                                                                            v39 = g4;
                                                                                                                            g8 = v39 - 132;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                            function_46a30c();
                                                                                                                            v68 = g4;
                                                                                                                            *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                            v19 = (int32_t *)-1;
                                                                                                                            // branch -> 0x4694db
                                                                                                                        } else {
                                                                                                                            // 0x4694d7
                                                                                                                            *v26 = 0;
                                                                                                                            v19 = v20;
                                                                                                                            // branch -> 0x4694db
                                                                                                                        }
                                                                                                                        // 0x4694db
                                                                                                                        v27 = (int32_t *)(g4 - 96);
                                                                                                                        *v27 = *v27 + 1;
                                                                                                                        v69 = g4;
                                                                                                                        if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        } else {
                                                                                                                            // 0x4694e4
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                            System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                            g8 = 0x469b3c;
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                            function_45bf7c();
                                                                                                                            // branch -> 0x469a51
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x4693b7
                                                                                                        *(char *)(v270 - 100) = 8;
                                                                                                        // branch -> 0x4693c1
                                                                                                        // 0x4693c1
                                                                                                        v7 = NULL;
                                                                                                        g11 = (int32_t)&v7;
                                                                                                        v33 = g4;
                                                                                                        g8 = v33 - 132;
                                                                                                        v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                        g3 = *(int32_t *)(v33 - 4);
                                                                                                        function_4663c4();
                                                                                                        v64 = g4;
                                                                                                        v25 = (int32_t *)(v64 - 8);
                                                                                                        v37 = v64;
                                                                                                        v20 = v24;
                                                                                                        if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                            // 0x4693dd
                                                                                                            if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                // 0x4693e6
                                                                                                                g8 = v64 - 132;
                                                                                                                g3 = *(int32_t *)(v64 - 4);
                                                                                                                function_469c8c();
                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                v34 = g4;
                                                                                                                g11 = v4;
                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                g6 = 1;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                function_46ae10();
                                                                                                                v35 = g4;
                                                                                                                g8 = v35 - 132;
                                                                                                                g3 = *(int32_t *)(v35 - 4);
                                                                                                                function_469f40();
                                                                                                                v36 = g4;
                                                                                                                g8 = v36 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                function_46a30c();
                                                                                                                v65 = g4;
                                                                                                                *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                *(char *)(g4 - 128) = 1;
                                                                                                                v37 = g4;
                                                                                                                v20 = (int32_t *)-1;
                                                                                                                // branch -> 0x46943d
                                                                                                            } else {
                                                                                                                v37 = v64;
                                                                                                                v20 = v24;
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x46943d
                                                                                                        if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                            // 0x46944a
                                                                                                            g8 = v37 - 132;
                                                                                                            *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                            function_46a168();
                                                                                                            v66 = g4;
                                                                                                            if (g3 == 0) {
                                                                                                                // 0x46945c
                                                                                                                *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                g8 = 0x469b04;
                                                                                                                *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                function_45bf7c();
                                                                                                                // branch -> 0x469a51
                                                                                                            } else {
                                                                                                                // 0x46947f
                                                                                                                v26 = (char *)(v66 - 128);
                                                                                                                if (*v26 == 0) {
                                                                                                                    // 0x469485
                                                                                                                    g8 = v66 - 132;
                                                                                                                    g3 = *(int32_t *)(v66 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                    function_469c8c();
                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                    v67 = g4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                    g6 = v67 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                    function_46af4c();
                                                                                                                    v38 = g4;
                                                                                                                    g8 = v38 - 132;
                                                                                                                    g3 = *(int32_t *)(v38 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                    function_469f40();
                                                                                                                    v39 = g4;
                                                                                                                    g8 = v39 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                    function_46a30c();
                                                                                                                    v68 = g4;
                                                                                                                    *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                    v19 = (int32_t *)-1;
                                                                                                                    // branch -> 0x4694db
                                                                                                                } else {
                                                                                                                    // 0x4694d7
                                                                                                                    *v26 = 0;
                                                                                                                    v19 = v20;
                                                                                                                    // branch -> 0x4694db
                                                                                                                }
                                                                                                                // 0x4694db
                                                                                                                v27 = (int32_t *)(g4 - 96);
                                                                                                                *v27 = *v27 + 1;
                                                                                                                v69 = g4;
                                                                                                                if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                } else {
                                                                                                                    // 0x4694e4
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                    System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                    g8 = 0x469b3c;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                    function_45bf7c();
                                                                                                                    // branch -> 0x469a51
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x46920e
                                                                                                        *v129 = 0x46921f;
                                                                                                        function_46a30c();
                                                                                                        v231 = g4;
                                                                                                        *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                        v197 = g11;
                                                                                                        v143 = v197 - 4;
                                                                                                        *(int32_t *)v143 = g4 - 324;
                                                                                                        g11 = v143;
                                                                                                        g6 = 1;
                                                                                                        g8 = 0;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                        *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                        function_46ae10();
                                                                                                        v234 = g4;
                                                                                                        if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                            // 0x469247
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                            function_46b238();
                                                                                                            // branch -> 0x469263
                                                                                                        } else {
                                                                                                            // 0x469254
                                                                                                            g6 = g6 & -256 | 2;
                                                                                                            g8 = g8 & -256 | 2;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                            function_46ad58();
                                                                                                            // branch -> 0x469263
                                                                                                        }
                                                                                                        // 0x469263
                                                                                                        v198 = g4;
                                                                                                        g8 = v198 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                        function_46a30c();
                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                        function_469fd8();
                                                                                                        *(int32_t *)(g4 - 308) = g3;
                                                                                                        *(int32_t *)(g4 - 324) = 5;
                                                                                                        *(char *)(g4 - 304) = 1;
                                                                                                        v199 = g4;
                                                                                                        *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                        v200 = g11;
                                                                                                        v144 = v200 - 4;
                                                                                                        *(int32_t *)v144 = g4 - 324;
                                                                                                        g11 = v144;
                                                                                                        g6 = 0;
                                                                                                        g8 = 0;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                        *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                        function_46ae10();
                                                                                                        *(char *)(g4 - 304) = 0;
                                                                                                        v235 = g4;
                                                                                                        g8 = v235 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                        v131 = (int32_t *)(g11 - 4);
                                                                                                        if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                            // 0x4692c5
                                                                                                            *v131 = 0x4692d6;
                                                                                                            function_46afe8();
                                                                                                            // branch -> 0x4692e9
                                                                                                        } else {
                                                                                                            // 0x4692d8
                                                                                                            *v131 = 0x4692e9;
                                                                                                            function_46b060();
                                                                                                            // branch -> 0x4692e9
                                                                                                        }
                                                                                                        // 0x4692e9
                                                                                                        g6 = -1;
                                                                                                        v201 = g4;
                                                                                                        g8 = v201 - 324;
                                                                                                        g3 = *(int32_t *)(v201 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x4692fa
                                                                                                    }
                                                                                                    // 0x4692fa
                                                                                                    v260 = g4;
                                                                                                    g8 = v260 - 324;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                    function_46a30c();
                                                                                                    v263 = g4;
                                                                                                    if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                        // 0x469314
                                                                                                        *(int32_t *)(v263 - 324) = 0;
                                                                                                        // branch -> 0x469328
                                                                                                    } else {
                                                                                                        // 0x46931e
                                                                                                        *(int32_t *)(v263 - 324) = 2;
                                                                                                        // branch -> 0x469328
                                                                                                    }
                                                                                                    // 0x469328
                                                                                                    v261 = g11;
                                                                                                    v259 = v261 - 4;
                                                                                                    *(int32_t *)v259 = g4 - 324;
                                                                                                    g11 = v259;
                                                                                                    v264 = g4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                    g6 = g6 & -256 | 1;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                    *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                    function_46ae10();
                                                                                                    v265 = g4;
                                                                                                    v266 = v265;
                                                                                                    if (*(char *)(v265 - 40) != 0) {
                                                                                                        // 0x469345
                                                                                                        g8 = g8 & -256 | 2;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                        function_46b1f0();
                                                                                                        v266 = g4;
                                                                                                        // branch -> 0x469352
                                                                                                    }
                                                                                                    // 0x469352
                                                                                                    v262 = v266;
                                                                                                    if (*(char *)(v266 - 42) != 0) {
                                                                                                        // 0x469358
                                                                                                        g8 = 0;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                        function_46b1f0();
                                                                                                        v262 = g4;
                                                                                                        // branch -> 0x469365
                                                                                                    }
                                                                                                    // 0x469365
                                                                                                    if (*(char *)(v262 - 240) == 0) {
                                                                                                        // 0x46936e
                                                                                                        g6 = -1;
                                                                                                        g8 = v262 - 388;
                                                                                                        g3 = *(int32_t *)(v262 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    }
                                                                                                }
                                                                                                // 0x46937f
                                                                                                v268 = g4;
                                                                                                g8 = v268 - 132;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                function_46a30c();
                                                                                                v269 = g4;
                                                                                                *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                v270 = g4;
                                                                                                v267 = (int32_t *)(v270 - 8);
                                                                                                v271 = *(int32_t *)(*v267 + 4);
                                                                                                if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                    // 0x4693a8
                                                                                                    v272 = *(int32_t *)(*v267 + 8);
                                                                                                    if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                        // 0x4693bd
                                                                                                        *(char *)(v270 - 100) = 0;
                                                                                                        // branch -> 0x4693c1
                                                                                                        // 0x4693c1
                                                                                                        v7 = NULL;
                                                                                                        g11 = (int32_t)&v7;
                                                                                                        v33 = g4;
                                                                                                        g8 = v33 - 132;
                                                                                                        v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                        g3 = *(int32_t *)(v33 - 4);
                                                                                                        function_4663c4();
                                                                                                        v64 = g4;
                                                                                                        v25 = (int32_t *)(v64 - 8);
                                                                                                        v37 = v64;
                                                                                                        v20 = v24;
                                                                                                        if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                            // 0x4693dd
                                                                                                            if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                                // 0x4693e6
                                                                                                                g8 = v64 - 132;
                                                                                                                g3 = *(int32_t *)(v64 - 4);
                                                                                                                function_469c8c();
                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                v34 = g4;
                                                                                                                g11 = v4;
                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                                g6 = 1;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                                function_46ae10();
                                                                                                                v35 = g4;
                                                                                                                g8 = v35 - 132;
                                                                                                                g3 = *(int32_t *)(v35 - 4);
                                                                                                                function_469f40();
                                                                                                                v36 = g4;
                                                                                                                g8 = v36 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                                function_46a30c();
                                                                                                                v65 = g4;
                                                                                                                *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                                *(char *)(g4 - 128) = 1;
                                                                                                                v37 = g4;
                                                                                                                v20 = (int32_t *)-1;
                                                                                                                // branch -> 0x46943d
                                                                                                            } else {
                                                                                                                v37 = v64;
                                                                                                                v20 = v24;
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x46943d
                                                                                                        if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                            // 0x46944a
                                                                                                            g8 = v37 - 132;
                                                                                                            *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                            function_46a168();
                                                                                                            v66 = g4;
                                                                                                            if (g3 == 0) {
                                                                                                                // 0x46945c
                                                                                                                *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                                System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                                g8 = 0x469b04;
                                                                                                                *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                                function_45bf7c();
                                                                                                                // branch -> 0x469a51
                                                                                                            } else {
                                                                                                                // 0x46947f
                                                                                                                v26 = (char *)(v66 - 128);
                                                                                                                if (*v26 == 0) {
                                                                                                                    // 0x469485
                                                                                                                    g8 = v66 - 132;
                                                                                                                    g3 = *(int32_t *)(v66 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                    function_469c8c();
                                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                                    v67 = g4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                    g6 = v67 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                    function_46af4c();
                                                                                                                    v38 = g4;
                                                                                                                    g8 = v38 - 132;
                                                                                                                    g3 = *(int32_t *)(v38 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                    function_469f40();
                                                                                                                    v39 = g4;
                                                                                                                    g8 = v39 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                    function_46a30c();
                                                                                                                    v68 = g4;
                                                                                                                    *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                    v19 = (int32_t *)-1;
                                                                                                                    // branch -> 0x4694db
                                                                                                                } else {
                                                                                                                    // 0x4694d7
                                                                                                                    *v26 = 0;
                                                                                                                    v19 = v20;
                                                                                                                    // branch -> 0x4694db
                                                                                                                }
                                                                                                                // 0x4694db
                                                                                                                v27 = (int32_t *)(g4 - 96);
                                                                                                                *v27 = *v27 + 1;
                                                                                                                v69 = g4;
                                                                                                                if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                } else {
                                                                                                                    // 0x4694e4
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                    System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                    g8 = 0x469b3c;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                    function_45bf7c();
                                                                                                                    // branch -> 0x469a51
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x4693b7
                                                                                                *(char *)(v270 - 100) = 8;
                                                                                                // branch -> 0x4693c1
                                                                                                // 0x4693c1
                                                                                                v7 = NULL;
                                                                                                g11 = (int32_t)&v7;
                                                                                                v33 = g4;
                                                                                                g8 = v33 - 132;
                                                                                                v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                g3 = *(int32_t *)(v33 - 4);
                                                                                                function_4663c4();
                                                                                                v64 = g4;
                                                                                                v25 = (int32_t *)(v64 - 8);
                                                                                                v37 = v64;
                                                                                                v20 = v24;
                                                                                                if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                    // 0x4693dd
                                                                                                    if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                        // 0x4693e6
                                                                                                        g8 = v64 - 132;
                                                                                                        g3 = *(int32_t *)(v64 - 4);
                                                                                                        function_469c8c();
                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                        v34 = g4;
                                                                                                        g11 = v4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                        g6 = 1;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                        function_46ae10();
                                                                                                        v35 = g4;
                                                                                                        g8 = v35 - 132;
                                                                                                        g3 = *(int32_t *)(v35 - 4);
                                                                                                        function_469f40();
                                                                                                        v36 = g4;
                                                                                                        g8 = v36 - 132;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                        function_46a30c();
                                                                                                        v65 = g4;
                                                                                                        *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                        *(char *)(g4 - 128) = 1;
                                                                                                        v37 = g4;
                                                                                                        v20 = (int32_t *)-1;
                                                                                                        // branch -> 0x46943d
                                                                                                    } else {
                                                                                                        v37 = v64;
                                                                                                        v20 = v24;
                                                                                                    }
                                                                                                }
                                                                                                // 0x46943d
                                                                                                if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                    // 0x46944a
                                                                                                    g8 = v37 - 132;
                                                                                                    *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                    function_46a168();
                                                                                                    v66 = g4;
                                                                                                    if (g3 == 0) {
                                                                                                        // 0x46945c
                                                                                                        *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                        System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                        g8 = 0x469b04;
                                                                                                        *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                        function_45bf7c();
                                                                                                        // branch -> 0x469a51
                                                                                                    } else {
                                                                                                        // 0x46947f
                                                                                                        v26 = (char *)(v66 - 128);
                                                                                                        if (*v26 == 0) {
                                                                                                            // 0x469485
                                                                                                            g8 = v66 - 132;
                                                                                                            g3 = *(int32_t *)(v66 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                            function_469c8c();
                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                            v67 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                            g6 = v67 - 132;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                            function_46af4c();
                                                                                                            v38 = g4;
                                                                                                            g8 = v38 - 132;
                                                                                                            g3 = *(int32_t *)(v38 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                            function_469f40();
                                                                                                            v39 = g4;
                                                                                                            g8 = v39 - 132;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                            function_46a30c();
                                                                                                            v68 = g4;
                                                                                                            *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                            v19 = (int32_t *)-1;
                                                                                                            // branch -> 0x4694db
                                                                                                        } else {
                                                                                                            // 0x4694d7
                                                                                                            *v26 = 0;
                                                                                                            v19 = v20;
                                                                                                            // branch -> 0x4694db
                                                                                                        }
                                                                                                        // 0x4694db
                                                                                                        v27 = (int32_t *)(g4 - 96);
                                                                                                        *v27 = *v27 + 1;
                                                                                                        v69 = g4;
                                                                                                        if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        } else {
                                                                                                            // 0x4694e4
                                                                                                            *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                            System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                            g8 = 0x469b3c;
                                                                                                            *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                            function_45bf7c();
                                                                                                            // branch -> 0x469a51
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x468e06
                                                                                        *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                        v180 = g4;
                                                                                        if (*(char *)(v180 - 240) == 0) {
                                                                                            // 0x468e9d
                                                                                            v124 = (int32_t *)(v180 - 20);
                                                                                            v218 = v180;
                                                                                            v232 = v233;
                                                                                            if (*v124 == 1) {
                                                                                                // 0x468ea3
                                                                                                g6 = v180 - 484;
                                                                                                g8 = *v124;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                function_46b3dc();
                                                                                                v181 = g4;
                                                                                                g8 = v181 - 484;
                                                                                                g3 = *(int32_t *)(v181 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                function_469c8c();
                                                                                                *(int32_t *)(g4 - 24) = g3;
                                                                                                v182 = g4;
                                                                                                g6 = v182 - 548;
                                                                                                g8 = *(int32_t *)(v182 - 20);
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                function_46b3dc();
                                                                                                v183 = g11;
                                                                                                v139 = v183 - 4;
                                                                                                *(int32_t *)v139 = g4 - 548;
                                                                                                g11 = v139;
                                                                                                v215 = g4;
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                function_46ae10();
                                                                                                v216 = g4;
                                                                                                g8 = *(int32_t *)(v216 - 20);
                                                                                                g3 = *(int32_t *)(v216 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                function_469e18();
                                                                                                v217 = g4;
                                                                                                *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                v218 = g4;
                                                                                                v232 = g6 & -256 | 1;
                                                                                                // branch -> 0x468f04
                                                                                            }
                                                                                            // 0x468f04
                                                                                            v184 = v218;
                                                                                            if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                // 0x468f0d
                                                                                                if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                    // 0x468f16
                                                                                                    v125 = (int32_t *)(v218 - 4);
                                                                                                    if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                        // 0x468f22
                                                                                                        g8 = g8 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*v125 + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                        function_46b214();
                                                                                                        v184 = g4;
                                                                                                        // branch -> 0x468f2f
                                                                                                    } else {
                                                                                                        v184 = v218;
                                                                                                    }
                                                                                                } else {
                                                                                                    v184 = v218;
                                                                                                }
                                                                                            }
                                                                                            // 0x468f2f
                                                                                            v185 = g11;
                                                                                            v140 = v185 - 4;
                                                                                            *(int32_t *)v140 = v184 - 260;
                                                                                            g11 = v140;
                                                                                            g6 = v232 & -256 | 1;
                                                                                            g8 = g8 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                            function_46ae10();
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                            g8 = g8 & -256 | 211;
                                                                                            *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                            function_462278();
                                                                                            v219 = g4;
                                                                                            v246 = *(char *)(v219 - 20);
                                                                                            v258 = g8 & -256;
                                                                                            v253 = *(char *)(v219 - 16);
                                                                                            g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                            function_462278();
                                                                                            v186 = g4;
                                                                                            v187 = v186;
                                                                                            if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                // 0x468f75
                                                                                                if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                    // 0x468f7e
                                                                                                    v126 = (int32_t *)(v186 - 4);
                                                                                                    if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                        // 0x468f8a
                                                                                                        g8 = g8 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*v126 + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                        function_46b1f0();
                                                                                                        v187 = g4;
                                                                                                        // branch -> 0x468f97
                                                                                                    } else {
                                                                                                        v187 = v186;
                                                                                                    }
                                                                                                } else {
                                                                                                    v187 = v186;
                                                                                                }
                                                                                            }
                                                                                            // 0x468f97
                                                                                            g6 = -1;
                                                                                            g8 = v187 - 260;
                                                                                            g3 = *(int32_t *)(v187 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468e28
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                            v236 = g8 & -256;
                                                                                            if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                // 0x468e31
                                                                                                g8 = v236 | 209;
                                                                                                *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                function_462278();
                                                                                                v212 = g4;
                                                                                                v244 = *(char *)(v212 - 20);
                                                                                                v256 = g8 & -256;
                                                                                                v251 = *(char *)(v212 - 16);
                                                                                                g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                function_462278();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468e5d
                                                                                                g8 = v236 | 193;
                                                                                                *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                function_462278();
                                                                                                v213 = g4;
                                                                                                v245 = *(char *)(v213 - 20);
                                                                                                v257 = g8 & -256;
                                                                                                v252 = *(char *)(v213 - 16);
                                                                                                g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                function_462278();
                                                                                                v214 = g4;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                function_462278();
                                                                                                // branch -> 0x46937f
                                                                                            }
                                                                                            // 0x46937f
                                                                                            v268 = g4;
                                                                                            g8 = v268 - 132;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469390;
                                                                                            function_46a30c();
                                                                                            v269 = g4;
                                                                                            *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                            v270 = g4;
                                                                                            v267 = (int32_t *)(v270 - 8);
                                                                                            v271 = *(int32_t *)(*v267 + 4);
                                                                                            if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                // 0x4693a8
                                                                                                v272 = *(int32_t *)(*v267 + 8);
                                                                                                if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                    // 0x4693bd
                                                                                                    *(char *)(v270 - 100) = 0;
                                                                                                    // branch -> 0x4693c1
                                                                                                    // 0x4693c1
                                                                                                    v7 = NULL;
                                                                                                    g11 = (int32_t)&v7;
                                                                                                    v33 = g4;
                                                                                                    g8 = v33 - 132;
                                                                                                    v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                                    g3 = *(int32_t *)(v33 - 4);
                                                                                                    function_4663c4();
                                                                                                    v64 = g4;
                                                                                                    v25 = (int32_t *)(v64 - 8);
                                                                                                    v37 = v64;
                                                                                                    v20 = v24;
                                                                                                    if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                        // 0x4693dd
                                                                                                        if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                            // 0x4693e6
                                                                                                            g8 = v64 - 132;
                                                                                                            g3 = *(int32_t *)(v64 - 4);
                                                                                                            function_469c8c();
                                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                                            v34 = g4;
                                                                                                            g11 = v4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                            g6 = 1;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                            function_46ae10();
                                                                                                            v35 = g4;
                                                                                                            g8 = v35 - 132;
                                                                                                            g3 = *(int32_t *)(v35 - 4);
                                                                                                            function_469f40();
                                                                                                            v36 = g4;
                                                                                                            g8 = v36 - 132;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                            function_46a30c();
                                                                                                            v65 = g4;
                                                                                                            *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                            *(char *)(g4 - 128) = 1;
                                                                                                            v37 = g4;
                                                                                                            v20 = (int32_t *)-1;
                                                                                                            // branch -> 0x46943d
                                                                                                        } else {
                                                                                                            v37 = v64;
                                                                                                            v20 = v24;
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x46943d
                                                                                                    if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                        // 0x46944a
                                                                                                        g8 = v37 - 132;
                                                                                                        *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                        function_46a168();
                                                                                                        v66 = g4;
                                                                                                        if (g3 == 0) {
                                                                                                            // 0x46945c
                                                                                                            *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                            System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                            g8 = 0x469b04;
                                                                                                            *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                            function_45bf7c();
                                                                                                            // branch -> 0x469a51
                                                                                                        } else {
                                                                                                            // 0x46947f
                                                                                                            v26 = (char *)(v66 - 128);
                                                                                                            if (*v26 == 0) {
                                                                                                                // 0x469485
                                                                                                                g8 = v66 - 132;
                                                                                                                g3 = *(int32_t *)(v66 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                                function_469c8c();
                                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                                v67 = g4;
                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                                g6 = v67 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                                function_46af4c();
                                                                                                                v38 = g4;
                                                                                                                g8 = v38 - 132;
                                                                                                                g3 = *(int32_t *)(v38 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                                function_469f40();
                                                                                                                v39 = g4;
                                                                                                                g8 = v39 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                                function_46a30c();
                                                                                                                v68 = g4;
                                                                                                                *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                                v19 = (int32_t *)-1;
                                                                                                                // branch -> 0x4694db
                                                                                                            } else {
                                                                                                                // 0x4694d7
                                                                                                                *v26 = 0;
                                                                                                                v19 = v20;
                                                                                                                // branch -> 0x4694db
                                                                                                            }
                                                                                                            // 0x4694db
                                                                                                            v27 = (int32_t *)(g4 - 96);
                                                                                                            *v27 = *v27 + 1;
                                                                                                            v69 = g4;
                                                                                                            if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            } else {
                                                                                                                // 0x4694e4
                                                                                                                *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                                System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                                g8 = 0x469b3c;
                                                                                                                *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                                function_45bf7c();
                                                                                                                // branch -> 0x469a51
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x4693b7
                                                                                            *(char *)(v270 - 100) = 8;
                                                                                            // branch -> 0x4693c1
                                                                                            // 0x4693c1
                                                                                            v7 = NULL;
                                                                                            g11 = (int32_t)&v7;
                                                                                            v33 = g4;
                                                                                            g8 = v33 - 132;
                                                                                            v24 = (int32_t *)*(int32_t *)(v33 - 8);
                                                                                            g3 = *(int32_t *)(v33 - 4);
                                                                                            function_4663c4();
                                                                                            v64 = g4;
                                                                                            v25 = (int32_t *)(v64 - 8);
                                                                                            v37 = v64;
                                                                                            v20 = v24;
                                                                                            if (*(int32_t *)(*v25 + 80) <= 0xffffffff) {
                                                                                                // 0x4693dd
                                                                                                if (*(int32_t *)(*v25 + 80) == -1) {
                                                                                                    // 0x4693e6
                                                                                                    g8 = v64 - 132;
                                                                                                    g3 = *(int32_t *)(v64 - 4);
                                                                                                    function_469c8c();
                                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                                    v34 = g4;
                                                                                                    g11 = v4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v34 - 20);
                                                                                                    g6 = 1;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v34 - 4) + 4);
                                                                                                    function_46ae10();
                                                                                                    v35 = g4;
                                                                                                    g8 = v35 - 132;
                                                                                                    g3 = *(int32_t *)(v35 - 4);
                                                                                                    function_469f40();
                                                                                                    v36 = g4;
                                                                                                    g8 = v36 - 132;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v36 - 4) + 4);
                                                                                                    function_46a30c();
                                                                                                    v65 = g4;
                                                                                                    *(int32_t *)(v65 - 132) = *(int32_t *)(v65 - 20);
                                                                                                    *(char *)(g4 - 128) = 1;
                                                                                                    v37 = g4;
                                                                                                    v20 = (int32_t *)-1;
                                                                                                    // branch -> 0x46943d
                                                                                                } else {
                                                                                                    v37 = v64;
                                                                                                    v20 = v24;
                                                                                                }
                                                                                            }
                                                                                            // 0x46943d
                                                                                            if (*(int32_t *)(*(int32_t *)(v37 - 8) + 80) == 1) {
                                                                                                // 0x46944a
                                                                                                g8 = v37 - 132;
                                                                                                *(int32_t *)(g11 - 4) = 0x469458;
                                                                                                function_46a168();
                                                                                                v66 = g4;
                                                                                                if (g3 == 0) {
                                                                                                    // 0x46945c
                                                                                                    *(int32_t *)(g11 - 4) = 0x46946d;
                                                                                                    System__AsClass(v20, (int32_t *)0x4637dc);
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v66 - 4) + 16) + 12);
                                                                                                    g8 = 0x469b04;
                                                                                                    *(int32_t *)(g11 - 4) = 0x46947a;
                                                                                                    function_45bf7c();
                                                                                                    // branch -> 0x469a51
                                                                                                } else {
                                                                                                    // 0x46947f
                                                                                                    v26 = (char *)(v66 - 128);
                                                                                                    if (*v26 == 0) {
                                                                                                        // 0x469485
                                                                                                        g8 = v66 - 132;
                                                                                                        g3 = *(int32_t *)(v66 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469493;
                                                                                                        function_469c8c();
                                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                                        v67 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v67 - 20);
                                                                                                        g6 = v67 - 132;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v67 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4694aa;
                                                                                                        function_46af4c();
                                                                                                        v38 = g4;
                                                                                                        g8 = v38 - 132;
                                                                                                        g3 = *(int32_t *)(v38 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4694bb;
                                                                                                        function_469f40();
                                                                                                        v39 = g4;
                                                                                                        g8 = v39 - 132;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v39 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4694cc;
                                                                                                        function_46a30c();
                                                                                                        v68 = g4;
                                                                                                        *(int32_t *)(v68 - 132) = *(int32_t *)(v68 - 20);
                                                                                                        v19 = (int32_t *)-1;
                                                                                                        // branch -> 0x4694db
                                                                                                    } else {
                                                                                                        // 0x4694d7
                                                                                                        *v26 = 0;
                                                                                                        v19 = v20;
                                                                                                        // branch -> 0x4694db
                                                                                                    }
                                                                                                    // 0x4694db
                                                                                                    v27 = (int32_t *)(g4 - 96);
                                                                                                    *v27 = *v27 + 1;
                                                                                                    v69 = g4;
                                                                                                    if (*(int32_t *)(v69 - 96) < 2) {
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x4694e4
                                                                                                        *(int32_t *)(g11 - 4) = 0x4694f5;
                                                                                                        System__AsClass(v19, (int32_t *)0x4637dc);
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v69 - 4) + 16) + 12);
                                                                                                        g8 = 0x469b3c;
                                                                                                        *(int32_t *)(g11 - 4) = 0x469502;
                                                                                                        function_45bf7c();
                                                                                                        // branch -> 0x469a51
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // 0x46937f
                                                                                        v268 = g4;
                                                                                        g8 = v268 - 132;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469390;
                                                                                        function_46a30c();
                                                                                        v269 = g4;
                                                                                        *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                        v270 = g4;
                                                                                        v267 = (int32_t *)(v270 - 8);
                                                                                        v271 = *(int32_t *)(*v267 + 4);
                                                                                        if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                            // 0x4693a8
                                                                                            v272 = *(int32_t *)(*v267 + 8);
                                                                                            if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                // 0x4693bd
                                                                                                *(char *)(v270 - 100) = 0;
                                                                                                // branch -> 0x4693c1
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x4693b7
                                                                                        *(char *)(v270 - 100) = 8;
                                                                                        // branch -> 0x4693c1
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // 0x46937f
                                                                                    v268 = g4;
                                                                                    g8 = v268 - 132;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469390;
                                                                                    function_46a30c();
                                                                                    v269 = g4;
                                                                                    *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                    v270 = g4;
                                                                                    v267 = (int32_t *)(v270 - 8);
                                                                                    v271 = *(int32_t *)(*v267 + 4);
                                                                                    if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                        // 0x4693a8
                                                                                        v272 = *(int32_t *)(*v267 + 8);
                                                                                        if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                            // 0x4693bd
                                                                                            *(char *)(v270 - 100) = 0;
                                                                                            // branch -> 0x4693c1
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x4693b7
                                                                                    *(char *)(v270 - 100) = 8;
                                                                                    // branch -> 0x4693c1
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // 0x46937f
                                                                                v268 = g4;
                                                                                g8 = v268 - 132;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469390;
                                                                                function_46a30c();
                                                                                v269 = g4;
                                                                                *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                v270 = g4;
                                                                                v267 = (int32_t *)(v270 - 8);
                                                                                v271 = *(int32_t *)(*v267 + 4);
                                                                                if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                    // 0x4693a8
                                                                                    v272 = *(int32_t *)(*v267 + 8);
                                                                                    if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                        // 0x4693bd
                                                                                        *(char *)(v270 - 100) = 0;
                                                                                        // branch -> 0x4693c1
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x4693b7
                                                                                *(char *)(v270 - 100) = 8;
                                                                                // branch -> 0x4693c1
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // 0x46937f
                                                                            v268 = g4;
                                                                            g8 = v268 - 132;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x469390;
                                                                            function_46a30c();
                                                                            v269 = g4;
                                                                            *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                            v270 = g4;
                                                                            v267 = (int32_t *)(v270 - 8);
                                                                            v271 = *(int32_t *)(*v267 + 4);
                                                                            if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                // 0x4693a8
                                                                                v272 = *(int32_t *)(*v267 + 8);
                                                                                if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                    // 0x4693bd
                                                                                    *(char *)(v270 - 100) = 0;
                                                                                    // branch -> 0x4693c1
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x4693b7
                                                                            *(char *)(v270 - 100) = 8;
                                                                            // branch -> 0x4693c1
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // 0x46937f
                                                                        v268 = g4;
                                                                        g8 = v268 - 132;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                        *(int32_t *)(g11 - 4) = 0x469390;
                                                                        function_46a30c();
                                                                        v269 = g4;
                                                                        *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                        v270 = g4;
                                                                        v267 = (int32_t *)(v270 - 8);
                                                                        v271 = *(int32_t *)(*v267 + 4);
                                                                        if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                            // 0x4693a8
                                                                            v272 = *(int32_t *)(*v267 + 8);
                                                                            if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                // 0x4693bd
                                                                                *(char *)(v270 - 100) = 0;
                                                                                // branch -> 0x4693c1
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x4693b7
                                                                        *(char *)(v270 - 100) = 8;
                                                                        // branch -> 0x4693c1
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // 0x46937f
                                                                    v268 = g4;
                                                                    g8 = v268 - 132;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                    *(int32_t *)(g11 - 4) = 0x469390;
                                                                    function_46a30c();
                                                                    v269 = g4;
                                                                    *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                    v270 = g4;
                                                                    v267 = (int32_t *)(v270 - 8);
                                                                    v271 = *(int32_t *)(*v267 + 4);
                                                                    if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                        // 0x4693a8
                                                                        v272 = *(int32_t *)(*v267 + 8);
                                                                        if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                            // 0x4693bd
                                                                            *(char *)(v270 - 100) = 0;
                                                                            // branch -> 0x4693c1
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // 0x4693b7
                                                                    *(char *)(v270 - 100) = 8;
                                                                    // branch -> 0x4693c1
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    // 0x468b93
                                                                    g8 = v164 - 196;
                                                                    g3 = *(int32_t *)(v164 - 4);
                                                                    function_469c8c();
                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                    v162 = g4;
                                                                    g11 = (int32_t)&v5;
                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                    g6 = g6 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                    function_46ae10();
                                                                    g6 = -1;
                                                                    v163 = g4;
                                                                    g8 = v163 - 196;
                                                                    g3 = *(int32_t *)(v163 - 4);
                                                                    function_469f40();
                                                                    // branch -> 0x468c1b
                                                                }
                                                                // 0x468c1b
                                                                v167 = g4;
                                                                if (*(char *)(v167 - 164) != 8) {
                                                                    // 0x468c24
                                                                    if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                        // 0x468c30
                                                                        g8 = g8 & -256 | 193;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                        *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                        function_462278();
                                                                        v207 = g4;
                                                                        v254 = g8 & -256;
                                                                        g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                        *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                        function_462278();
                                                                        g8 = g8 & -256 | 16;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                        *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                        function_462278();
                                                                        // branch -> 0x468c5b
                                                                    }
                                                                }
                                                                // 0x468c5b
                                                                v208 = g11;
                                                                *(int32_t *)(v208 - 4) = 0;
                                                                v133 = v208 - 8;
                                                                *(int32_t *)v133 = g4 - 260;
                                                                g11 = v133;
                                                                g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                *(int32_t *)(v208 - 12) = 0x468c74;
                                                                unknown_468108();
                                                                v168 = g4;
                                                                v211 = v168;
                                                                v233 = 0;
                                                                if (*(char *)(v168 - 228) != 8) {
                                                                    // 0x468c7d
                                                                    v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                    if (*(char *)(v243 + 9) == 8) {
                                                                        // 0x468c89
                                                                        g8 = v168 - 260;
                                                                        g3 = *(int32_t *)(v168 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                        function_4673b4();
                                                                        *(int32_t *)(g4 - 28) = g3;
                                                                        g8 = g8 & -256 | 193;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                        *(int32_t *)(g11 - 4) = 0x468caa;
                                                                        function_462278();
                                                                        v209 = g4;
                                                                        v255 = g8 & -256;
                                                                        g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                        *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                        function_462278();
                                                                        g8 = g8 & -256 | 16;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                        *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                        function_462278();
                                                                        v169 = g4;
                                                                        g8 = v169 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                        function_46a30c();
                                                                        v210 = g4;
                                                                        *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                        v211 = g4;
                                                                        v233 = -1;
                                                                        // branch -> 0x468ce2
                                                                    } else {
                                                                        v211 = v168;
                                                                        v233 = 0;
                                                                    }
                                                                }
                                                                // 0x468ce2
                                                                v123 = (int32_t *)(v211 - 8);
                                                                if (*(char *)(*v123 + 13) == 0) {
                                                                    // 0x468ceb
                                                                    v170 = g11;
                                                                    v134 = v170 - 4;
                                                                    *(int32_t *)v134 = v211 - 260;
                                                                    g11 = v134;
                                                                    g6 = v233 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                    *(int32_t *)(v170 - 8) = 0x468d02;
                                                                    function_46aa40();
                                                                    g6 = -1;
                                                                    v171 = g4;
                                                                    g8 = v171 - 260;
                                                                    g3 = *(int32_t *)(v171 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x468d13;
                                                                    function_469f40();
                                                                    // branch -> 0x46937f
                                                                } else {
                                                                    // 0x468d18
                                                                    if (*(char *)(*v123 + 13) == 1) {
                                                                        // 0x468d21
                                                                        v172 = g11;
                                                                        v135 = v172 - 4;
                                                                        *(int32_t *)v135 = v211 - 260;
                                                                        g11 = v135;
                                                                        g6 = v233 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                        *(int32_t *)(v172 - 8) = 0x468d38;
                                                                        function_46aac4();
                                                                        g6 = -1;
                                                                        v173 = g4;
                                                                        g8 = v173 - 260;
                                                                        g3 = *(int32_t *)(v173 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468d49;
                                                                        function_469f40();
                                                                        // branch -> 0x46937f
                                                                    } else {
                                                                        // 0x468d4e
                                                                        if (*(char *)(*v123 + 13) == 18) {
                                                                            // 0x468d57
                                                                            v174 = g11;
                                                                            v136 = v174 - 4;
                                                                            *(int32_t *)v136 = v211 - 260;
                                                                            g11 = v136;
                                                                            g6 = v233 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                            function_46ab48();
                                                                            g6 = -1;
                                                                            v175 = g4;
                                                                            g8 = v175 - 260;
                                                                            g3 = *(int32_t *)(v175 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468d84
                                                                            if (*(char *)(*v123 + 13) == 19) {
                                                                                // 0x468d8d
                                                                                v176 = g11;
                                                                                v137 = v176 - 4;
                                                                                *(int32_t *)v137 = v211 - 260;
                                                                                g11 = v137;
                                                                                g6 = v233 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                function_46abcc();
                                                                                g6 = -1;
                                                                                v177 = g4;
                                                                                g8 = v177 - 260;
                                                                                g3 = *(int32_t *)(v177 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468dba
                                                                                if (*(char *)(*v123 + 13) == 20) {
                                                                                    // 0x468dc3
                                                                                    v178 = g11;
                                                                                    v138 = v178 - 4;
                                                                                    *(int32_t *)v138 = v211 - 260;
                                                                                    g11 = v138;
                                                                                    g6 = v233 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                    function_46ac50();
                                                                                    g6 = -1;
                                                                                    v179 = g4;
                                                                                    g8 = v179 - 260;
                                                                                    g3 = *(int32_t *)(v179 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468df0
                                                                                    if (*(char *)(*v123 + 13) != 22) {
                                                                                        // 0x468df9
                                                                                        if (*(char *)(*v123 + 13) != 21) {
                                                                                            // 0x468fad
                                                                                            if (*(char *)(*v123 + 13) == 3) {
                                                                                                // 0x468fba
                                                                                                if (*(char *)(v211 - 240) == 0) {
                                                                                                    // 0x469000
                                                                                                    g6 = -1;
                                                                                                    g8 = v211 - 260;
                                                                                                    g3 = *(int32_t *)(v211 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                    function_4673b4();
                                                                                                    *(int32_t *)(g4 - 28) = g3;
                                                                                                    v189 = g4;
                                                                                                    g8 = v189 - 324;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                    function_46a30c();
                                                                                                    v221 = g4;
                                                                                                    *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                    v222 = g4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                    g6 = v222 - 324;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                    function_46b0d8();
                                                                                                    g6 = -1;
                                                                                                    v190 = g4;
                                                                                                    g8 = v190 - 324;
                                                                                                    g3 = *(int32_t *)(v190 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x46937f
                                                                                                } else {
                                                                                                    // 0x468fc3
                                                                                                    *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                    v220 = g4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                    g6 = v220 - 260;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                    function_46b0d8();
                                                                                                    *(int32_t *)(g4 - 260) = -1;
                                                                                                    g6 = -1;
                                                                                                    v188 = g4;
                                                                                                    g8 = v188 - 260;
                                                                                                    g3 = *(int32_t *)(v188 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x46937f
                                                                                                }
                                                                                                // 0x46937f
                                                                                                v268 = g4;
                                                                                                g8 = v268 - 132;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                function_46a30c();
                                                                                                v269 = g4;
                                                                                                *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                v270 = g4;
                                                                                                v267 = (int32_t *)(v270 - 8);
                                                                                                v271 = *(int32_t *)(*v267 + 4);
                                                                                                if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                    // 0x4693a8
                                                                                                    v272 = *(int32_t *)(*v267 + 8);
                                                                                                    if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                        // 0x4693bd
                                                                                                        *(char *)(v270 - 100) = 0;
                                                                                                        // branch -> 0x4693c1
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x4693b7
                                                                                                *(char *)(v270 - 100) = 8;
                                                                                                // branch -> 0x4693c1
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                // 0x469058
                                                                                                v247 = *v123;
                                                                                                v132 = v247;
                                                                                                if (*(char *)(v247 + 13) != 4) {
                                                                                                    // 0x469061
                                                                                                    v248 = *v123;
                                                                                                    v132 = v248;
                                                                                                    if (*(char *)(v248 + 13) != 5) {
                                                                                                        // 0x46937f
                                                                                                        v268 = g4;
                                                                                                        g8 = v268 - 132;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                        function_46a30c();
                                                                                                        v269 = g4;
                                                                                                        *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                        v270 = g4;
                                                                                                        v267 = (int32_t *)(v270 - 8);
                                                                                                        v271 = *(int32_t *)(*v267 + 4);
                                                                                                        if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                            // 0x4693a8
                                                                                                            v272 = *(int32_t *)(*v267 + 8);
                                                                                                            if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                // 0x4693bd
                                                                                                                *(char *)(v270 - 100) = 0;
                                                                                                                // branch -> 0x4693c1
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x4693b7
                                                                                                        *(char *)(v270 - 100) = 8;
                                                                                                        // branch -> 0x4693c1
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x46906e
                                                                                                v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                *v127 = *v127 - 1;
                                                                                                v223 = v132;
                                                                                                v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                g11 -= *(int32_t *)g5;
                                                                                                v128 = (char *)v145;
                                                                                                *v128 = (char)((int32_t)*v128 + v145);
                                                                                                v191 = g4;
                                                                                                g8 = v191 - 388;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                function_46a30c();
                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                function_469fd8();
                                                                                                *(int32_t *)(g4 - 372) = g3;
                                                                                                *(int32_t *)(g4 - 388) = 5;
                                                                                                v192 = g11;
                                                                                                v141 = v192 - 4;
                                                                                                *(int32_t *)v141 = g4 - 388;
                                                                                                g11 = v141;
                                                                                                v193 = g4;
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                function_46ae10();
                                                                                                v194 = g4;
                                                                                                g8 = *(int32_t *)(v194 - 324);
                                                                                                g3 = *(int32_t *)(v194 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                function_469e18();
                                                                                                v224 = g4;
                                                                                                v249 = *(int32_t *)(v224 - 4);
                                                                                                if (*(char *)(v249 + 0x1814) != 0) {
                                                                                                    // 0x469127
                                                                                                    if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                        // 0x469131
                                                                                                        // branch -> 0x469133
                                                                                                        // 0x469133
                                                                                                        *(char *)(v224 - 42) = (char)(v249 & -256 | 1);
                                                                                                        v225 = g4;
                                                                                                        v250 = *(int32_t *)(v225 - 4);
                                                                                                        if (*(char *)(v250 + 0x183c) != 0) {
                                                                                                            // 0x469142
                                                                                                            if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                // 0x46914c
                                                                                                                // branch -> 0x46914e
                                                                                                                // 0x46914e
                                                                                                                *(char *)(v225 - 40) = (char)(v250 & -256 | 1);
                                                                                                                v226 = g4;
                                                                                                                v227 = v226;
                                                                                                                if (*(char *)(v226 - 42) != 0) {
                                                                                                                    // 0x469157
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                                    function_46b214();
                                                                                                                    v227 = g4;
                                                                                                                    // branch -> 0x469164
                                                                                                                }
                                                                                                                // 0x469164
                                                                                                                v195 = v227;
                                                                                                                if (*(char *)(v227 - 40) != 0) {
                                                                                                                    // 0x46916a
                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                                    function_46b214();
                                                                                                                    v195 = g4;
                                                                                                                    // branch -> 0x469177
                                                                                                                }
                                                                                                                // 0x469177
                                                                                                                g8 = v195 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                                v129 = (int32_t *)(g11 - 4);
                                                                                                                if (*(char *)(v195 - 240) == 0) {
                                                                                                                    // 0x469184
                                                                                                                    *v129 = 0x469195;
                                                                                                                    function_46a30c();
                                                                                                                    v228 = g4;
                                                                                                                    *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                                    v196 = g11;
                                                                                                                    v142 = v196 - 4;
                                                                                                                    *(int32_t *)v142 = g4 - 324;
                                                                                                                    g11 = v142;
                                                                                                                    g6 = 1;
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                    *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                                    function_46ae10();
                                                                                                                    v229 = g4;
                                                                                                                    if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                        // 0x4691bd
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                        function_46b238();
                                                                                                                        // branch -> 0x4691d9
                                                                                                                    } else {
                                                                                                                        // 0x4691ca
                                                                                                                        g6 = g6 & -256 | 2;
                                                                                                                        g8 = g8 & -256 | 2;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                        function_46ad58();
                                                                                                                        // branch -> 0x4691d9
                                                                                                                    }
                                                                                                                    // 0x4691d9
                                                                                                                    v230 = g4;
                                                                                                                    g8 = v230 - 388;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                                    v130 = (int32_t *)(g11 - 4);
                                                                                                                    if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                        // 0x4691e2
                                                                                                                        *v130 = 0x4691f3;
                                                                                                                        function_46afe8();
                                                                                                                        // branch -> 0x4692fa
                                                                                                                    } else {
                                                                                                                        // 0x4691f8
                                                                                                                        *v130 = 0x469209;
                                                                                                                        function_46b060();
                                                                                                                        // branch -> 0x4692fa
                                                                                                                    }
                                                                                                                    // 0x4692fa
                                                                                                                    v260 = g4;
                                                                                                                    g8 = v260 - 324;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                                    function_46a30c();
                                                                                                                    v263 = g4;
                                                                                                                    if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                                        // 0x469314
                                                                                                                        *(int32_t *)(v263 - 324) = 0;
                                                                                                                        // branch -> 0x469328
                                                                                                                    } else {
                                                                                                                        // 0x46931e
                                                                                                                        *(int32_t *)(v263 - 324) = 2;
                                                                                                                        // branch -> 0x469328
                                                                                                                    }
                                                                                                                    // 0x469328
                                                                                                                    v261 = g11;
                                                                                                                    v259 = v261 - 4;
                                                                                                                    *(int32_t *)v259 = g4 - 324;
                                                                                                                    g11 = v259;
                                                                                                                    v264 = g4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                                    g6 = g6 & -256 | 1;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                                    *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                                    function_46ae10();
                                                                                                                    v265 = g4;
                                                                                                                    v266 = v265;
                                                                                                                    if (*(char *)(v265 - 40) != 0) {
                                                                                                                        // 0x469345
                                                                                                                        g8 = g8 & -256 | 2;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                                        function_46b1f0();
                                                                                                                        v266 = g4;
                                                                                                                        // branch -> 0x469352
                                                                                                                    }
                                                                                                                    // 0x469352
                                                                                                                    v262 = v266;
                                                                                                                    if (*(char *)(v266 - 42) != 0) {
                                                                                                                        // 0x469358
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                                        function_46b1f0();
                                                                                                                        v262 = g4;
                                                                                                                        // branch -> 0x469365
                                                                                                                    }
                                                                                                                    // 0x469365
                                                                                                                    if (*(char *)(v262 - 240) == 0) {
                                                                                                                        // 0x46936e
                                                                                                                        g6 = -1;
                                                                                                                        g8 = v262 - 388;
                                                                                                                        g3 = *(int32_t *)(v262 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                                        function_469f40();
                                                                                                                        // branch -> 0x46937f
                                                                                                                    }
                                                                                                                    // 0x46937f
                                                                                                                    v268 = g4;
                                                                                                                    g8 = v268 - 132;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                                    function_46a30c();
                                                                                                                    v269 = g4;
                                                                                                                    *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                                    v270 = g4;
                                                                                                                    v267 = (int32_t *)(v270 - 8);
                                                                                                                    v271 = *(int32_t *)(*v267 + 4);
                                                                                                                    if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                                        // 0x4693a8
                                                                                                                        v272 = *(int32_t *)(*v267 + 8);
                                                                                                                        if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                            // 0x4693bd
                                                                                                                            *(char *)(v270 - 100) = 0;
                                                                                                                            // branch -> 0x4693c1
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x4693b7
                                                                                                                    *(char *)(v270 - 100) = 8;
                                                                                                                    // branch -> 0x4693c1
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                } else {
                                                                                                                    // 0x46920e
                                                                                                                    *v129 = 0x46921f;
                                                                                                                    function_46a30c();
                                                                                                                    v231 = g4;
                                                                                                                    *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                                    v197 = g11;
                                                                                                                    v143 = v197 - 4;
                                                                                                                    *(int32_t *)v143 = g4 - 324;
                                                                                                                    g11 = v143;
                                                                                                                    g6 = 1;
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                    *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                                    function_46ae10();
                                                                                                                    v234 = g4;
                                                                                                                    if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                        // 0x469247
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                        function_46b238();
                                                                                                                        // branch -> 0x469263
                                                                                                                    } else {
                                                                                                                        // 0x469254
                                                                                                                        g6 = g6 & -256 | 2;
                                                                                                                        g8 = g8 & -256 | 2;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                        function_46ad58();
                                                                                                                        // branch -> 0x469263
                                                                                                                    }
                                                                                                                    // 0x469263
                                                                                                                    v198 = g4;
                                                                                                                    g8 = v198 - 324;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                                    function_46a30c();
                                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                                    function_469fd8();
                                                                                                                    *(int32_t *)(g4 - 308) = g3;
                                                                                                                    *(int32_t *)(g4 - 324) = 5;
                                                                                                                    *(char *)(g4 - 304) = 1;
                                                                                                                    v199 = g4;
                                                                                                                    *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                                    v200 = g11;
                                                                                                                    v144 = v200 - 4;
                                                                                                                    *(int32_t *)v144 = g4 - 324;
                                                                                                                    g11 = v144;
                                                                                                                    g6 = 0;
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                    *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                                    function_46ae10();
                                                                                                                    *(char *)(g4 - 304) = 0;
                                                                                                                    v235 = g4;
                                                                                                                    g8 = v235 - 324;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                                    v131 = (int32_t *)(g11 - 4);
                                                                                                                    if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                        // 0x4692c5
                                                                                                                        *v131 = 0x4692d6;
                                                                                                                        function_46afe8();
                                                                                                                        // branch -> 0x4692e9
                                                                                                                    } else {
                                                                                                                        // 0x4692d8
                                                                                                                        *v131 = 0x4692e9;
                                                                                                                        function_46b060();
                                                                                                                        // branch -> 0x4692e9
                                                                                                                    }
                                                                                                                    // 0x4692e9
                                                                                                                    g6 = -1;
                                                                                                                    v201 = g4;
                                                                                                                    g8 = v201 - 324;
                                                                                                                    g3 = *(int32_t *)(v201 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                                    function_469f40();
                                                                                                                    // branch -> 0x4692fa
                                                                                                                }
                                                                                                                // 0x4692fa
                                                                                                                v260 = g4;
                                                                                                                g8 = v260 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                                function_46a30c();
                                                                                                                v263 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                                    // 0x469314
                                                                                                                    *(int32_t *)(v263 - 324) = 0;
                                                                                                                    // branch -> 0x469328
                                                                                                                } else {
                                                                                                                    // 0x46931e
                                                                                                                    *(int32_t *)(v263 - 324) = 2;
                                                                                                                    // branch -> 0x469328
                                                                                                                }
                                                                                                                // 0x469328
                                                                                                                v261 = g11;
                                                                                                                v259 = v261 - 4;
                                                                                                                *(int32_t *)v259 = g4 - 324;
                                                                                                                g11 = v259;
                                                                                                                v264 = g4;
                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                                g6 = g6 & -256 | 1;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                                *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                                function_46ae10();
                                                                                                                v265 = g4;
                                                                                                                v266 = v265;
                                                                                                                if (*(char *)(v265 - 40) != 0) {
                                                                                                                    // 0x469345
                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                                    function_46b1f0();
                                                                                                                    v266 = g4;
                                                                                                                    // branch -> 0x469352
                                                                                                                }
                                                                                                                // 0x469352
                                                                                                                v262 = v266;
                                                                                                                if (*(char *)(v266 - 42) != 0) {
                                                                                                                    // 0x469358
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                                    function_46b1f0();
                                                                                                                    v262 = g4;
                                                                                                                    // branch -> 0x469365
                                                                                                                }
                                                                                                                // 0x469365
                                                                                                                if (*(char *)(v262 - 240) == 0) {
                                                                                                                    // 0x46936e
                                                                                                                    g6 = -1;
                                                                                                                    g8 = v262 - 388;
                                                                                                                    g3 = *(int32_t *)(v262 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                                    function_469f40();
                                                                                                                    // branch -> 0x46937f
                                                                                                                }
                                                                                                                // 0x46937f
                                                                                                                v268 = g4;
                                                                                                                g8 = v268 - 132;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                                function_46a30c();
                                                                                                                v269 = g4;
                                                                                                                *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                                v270 = g4;
                                                                                                                v267 = (int32_t *)(v270 - 8);
                                                                                                                v271 = *(int32_t *)(*v267 + 4);
                                                                                                                if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                                    // 0x4693a8
                                                                                                                    v272 = *(int32_t *)(*v267 + 8);
                                                                                                                    if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                        // 0x4693bd
                                                                                                                        *(char *)(v270 - 100) = 0;
                                                                                                                        // branch -> 0x4693c1
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x4693b7
                                                                                                                *(char *)(v270 - 100) = 8;
                                                                                                                // branch -> 0x4693c1
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x469148
                                                                                                        // branch -> 0x46914e
                                                                                                        // 0x46914e
                                                                                                        *(char *)(v225 - 40) = (char)0;
                                                                                                        v226 = g4;
                                                                                                        v227 = v226;
                                                                                                        if (*(char *)(v226 - 42) != 0) {
                                                                                                            // 0x469157
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                            function_46b214();
                                                                                                            v227 = g4;
                                                                                                            // branch -> 0x469164
                                                                                                        }
                                                                                                        // 0x469164
                                                                                                        v195 = v227;
                                                                                                        if (*(char *)(v227 - 40) != 0) {
                                                                                                            // 0x46916a
                                                                                                            g8 = g8 & -256 | 2;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                            function_46b214();
                                                                                                            v195 = g4;
                                                                                                            // branch -> 0x469177
                                                                                                        }
                                                                                                        // 0x469177
                                                                                                        g8 = v195 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                        v129 = (int32_t *)(g11 - 4);
                                                                                                        if (*(char *)(v195 - 240) == 0) {
                                                                                                            // 0x469184
                                                                                                            *v129 = 0x469195;
                                                                                                            function_46a30c();
                                                                                                            v228 = g4;
                                                                                                            *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                            v196 = g11;
                                                                                                            v142 = v196 - 4;
                                                                                                            *(int32_t *)v142 = g4 - 324;
                                                                                                            g11 = v142;
                                                                                                            g6 = 1;
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                            function_46ae10();
                                                                                                            v229 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                // 0x4691bd
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                function_46b238();
                                                                                                                // branch -> 0x4691d9
                                                                                                            } else {
                                                                                                                // 0x4691ca
                                                                                                                g6 = g6 & -256 | 2;
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                function_46ad58();
                                                                                                                // branch -> 0x4691d9
                                                                                                            }
                                                                                                            // 0x4691d9
                                                                                                            v230 = g4;
                                                                                                            g8 = v230 - 388;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                            v130 = (int32_t *)(g11 - 4);
                                                                                                            if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                // 0x4691e2
                                                                                                                *v130 = 0x4691f3;
                                                                                                                function_46afe8();
                                                                                                                // branch -> 0x4692fa
                                                                                                            } else {
                                                                                                                // 0x4691f8
                                                                                                                *v130 = 0x469209;
                                                                                                                function_46b060();
                                                                                                                // branch -> 0x4692fa
                                                                                                            }
                                                                                                            // 0x4692fa
                                                                                                            v260 = g4;
                                                                                                            g8 = v260 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                            function_46a30c();
                                                                                                            v263 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                                // 0x469314
                                                                                                                *(int32_t *)(v263 - 324) = 0;
                                                                                                                // branch -> 0x469328
                                                                                                            } else {
                                                                                                                // 0x46931e
                                                                                                                *(int32_t *)(v263 - 324) = 2;
                                                                                                                // branch -> 0x469328
                                                                                                            }
                                                                                                            // 0x469328
                                                                                                            v261 = g11;
                                                                                                            v259 = v261 - 4;
                                                                                                            *(int32_t *)v259 = g4 - 324;
                                                                                                            g11 = v259;
                                                                                                            v264 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                            g6 = g6 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                            *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                            function_46ae10();
                                                                                                            v265 = g4;
                                                                                                            v266 = v265;
                                                                                                            if (*(char *)(v265 - 40) != 0) {
                                                                                                                // 0x469345
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                                function_46b1f0();
                                                                                                                v266 = g4;
                                                                                                                // branch -> 0x469352
                                                                                                            }
                                                                                                            // 0x469352
                                                                                                            v262 = v266;
                                                                                                            if (*(char *)(v266 - 42) != 0) {
                                                                                                                // 0x469358
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                                function_46b1f0();
                                                                                                                v262 = g4;
                                                                                                                // branch -> 0x469365
                                                                                                            }
                                                                                                            // 0x469365
                                                                                                            if (*(char *)(v262 - 240) == 0) {
                                                                                                                // 0x46936e
                                                                                                                g6 = -1;
                                                                                                                g8 = v262 - 388;
                                                                                                                g3 = *(int32_t *)(v262 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x46937f
                                                                                                            }
                                                                                                            // 0x46937f
                                                                                                            v268 = g4;
                                                                                                            g8 = v268 - 132;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                            function_46a30c();
                                                                                                            v269 = g4;
                                                                                                            *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                            v270 = g4;
                                                                                                            v267 = (int32_t *)(v270 - 8);
                                                                                                            v271 = *(int32_t *)(*v267 + 4);
                                                                                                            if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                                // 0x4693a8
                                                                                                                v272 = *(int32_t *)(*v267 + 8);
                                                                                                                if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                    // 0x4693bd
                                                                                                                    *(char *)(v270 - 100) = 0;
                                                                                                                    // branch -> 0x4693c1
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x4693b7
                                                                                                            *(char *)(v270 - 100) = 8;
                                                                                                            // branch -> 0x4693c1
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        } else {
                                                                                                            // 0x46920e
                                                                                                            *v129 = 0x46921f;
                                                                                                            function_46a30c();
                                                                                                            v231 = g4;
                                                                                                            *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                            v197 = g11;
                                                                                                            v143 = v197 - 4;
                                                                                                            *(int32_t *)v143 = g4 - 324;
                                                                                                            g11 = v143;
                                                                                                            g6 = 1;
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                            function_46ae10();
                                                                                                            v234 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                // 0x469247
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                function_46b238();
                                                                                                                // branch -> 0x469263
                                                                                                            } else {
                                                                                                                // 0x469254
                                                                                                                g6 = g6 & -256 | 2;
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                function_46ad58();
                                                                                                                // branch -> 0x469263
                                                                                                            }
                                                                                                            // 0x469263
                                                                                                            v198 = g4;
                                                                                                            g8 = v198 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                            function_46a30c();
                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                            function_469fd8();
                                                                                                            *(int32_t *)(g4 - 308) = g3;
                                                                                                            *(int32_t *)(g4 - 324) = 5;
                                                                                                            *(char *)(g4 - 304) = 1;
                                                                                                            v199 = g4;
                                                                                                            *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                            v200 = g11;
                                                                                                            v144 = v200 - 4;
                                                                                                            *(int32_t *)v144 = g4 - 324;
                                                                                                            g11 = v144;
                                                                                                            g6 = 0;
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                            function_46ae10();
                                                                                                            *(char *)(g4 - 304) = 0;
                                                                                                            v235 = g4;
                                                                                                            g8 = v235 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                            v131 = (int32_t *)(g11 - 4);
                                                                                                            if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                // 0x4692c5
                                                                                                                *v131 = 0x4692d6;
                                                                                                                function_46afe8();
                                                                                                                // branch -> 0x4692e9
                                                                                                            } else {
                                                                                                                // 0x4692d8
                                                                                                                *v131 = 0x4692e9;
                                                                                                                function_46b060();
                                                                                                                // branch -> 0x4692e9
                                                                                                            }
                                                                                                            // 0x4692e9
                                                                                                            g6 = -1;
                                                                                                            v201 = g4;
                                                                                                            g8 = v201 - 324;
                                                                                                            g3 = *(int32_t *)(v201 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x4692fa
                                                                                                        }
                                                                                                        // 0x4692fa
                                                                                                        v260 = g4;
                                                                                                        g8 = v260 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                        function_46a30c();
                                                                                                        v263 = g4;
                                                                                                        if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                            // 0x469314
                                                                                                            *(int32_t *)(v263 - 324) = 0;
                                                                                                            // branch -> 0x469328
                                                                                                        } else {
                                                                                                            // 0x46931e
                                                                                                            *(int32_t *)(v263 - 324) = 2;
                                                                                                            // branch -> 0x469328
                                                                                                        }
                                                                                                        // 0x469328
                                                                                                        v261 = g11;
                                                                                                        v259 = v261 - 4;
                                                                                                        *(int32_t *)v259 = g4 - 324;
                                                                                                        g11 = v259;
                                                                                                        v264 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                        g6 = g6 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                        *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                        function_46ae10();
                                                                                                        v265 = g4;
                                                                                                        v266 = v265;
                                                                                                        if (*(char *)(v265 - 40) != 0) {
                                                                                                            // 0x469345
                                                                                                            g8 = g8 & -256 | 2;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                            function_46b1f0();
                                                                                                            v266 = g4;
                                                                                                            // branch -> 0x469352
                                                                                                        }
                                                                                                        // 0x469352
                                                                                                        v262 = v266;
                                                                                                        if (*(char *)(v266 - 42) != 0) {
                                                                                                            // 0x469358
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                            function_46b1f0();
                                                                                                            v262 = g4;
                                                                                                            // branch -> 0x469365
                                                                                                        }
                                                                                                        // 0x469365
                                                                                                        if (*(char *)(v262 - 240) == 0) {
                                                                                                            // 0x46936e
                                                                                                            g6 = -1;
                                                                                                            g8 = v262 - 388;
                                                                                                            g3 = *(int32_t *)(v262 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        }
                                                                                                        // 0x46937f
                                                                                                        v268 = g4;
                                                                                                        g8 = v268 - 132;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                        function_46a30c();
                                                                                                        v269 = g4;
                                                                                                        *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                        v270 = g4;
                                                                                                        v267 = (int32_t *)(v270 - 8);
                                                                                                        v271 = *(int32_t *)(*v267 + 4);
                                                                                                        if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                            // 0x4693a8
                                                                                                            v272 = *(int32_t *)(*v267 + 8);
                                                                                                            if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                // 0x4693bd
                                                                                                                *(char *)(v270 - 100) = 0;
                                                                                                                // branch -> 0x4693c1
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x4693b7
                                                                                                        *(char *)(v270 - 100) = 8;
                                                                                                        // branch -> 0x4693c1
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x46912d
                                                                                                // branch -> 0x469133
                                                                                                // 0x469133
                                                                                                *(char *)(v224 - 42) = (char)0;
                                                                                                v225 = g4;
                                                                                                v250 = *(int32_t *)(v225 - 4);
                                                                                                if (*(char *)(v250 + 0x183c) != 0) {
                                                                                                    // 0x469142
                                                                                                    if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                        // 0x46914c
                                                                                                        // branch -> 0x46914e
                                                                                                        // 0x46914e
                                                                                                        *(char *)(v225 - 40) = (char)(v250 & -256 | 1);
                                                                                                        v226 = g4;
                                                                                                        v227 = v226;
                                                                                                        if (*(char *)(v226 - 42) != 0) {
                                                                                                            // 0x469157
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                            function_46b214();
                                                                                                            v227 = g4;
                                                                                                            // branch -> 0x469164
                                                                                                        }
                                                                                                        // 0x469164
                                                                                                        v195 = v227;
                                                                                                        if (*(char *)(v227 - 40) != 0) {
                                                                                                            // 0x46916a
                                                                                                            g8 = g8 & -256 | 2;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                            function_46b214();
                                                                                                            v195 = g4;
                                                                                                            // branch -> 0x469177
                                                                                                        }
                                                                                                        // 0x469177
                                                                                                        g8 = v195 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                        v129 = (int32_t *)(g11 - 4);
                                                                                                        if (*(char *)(v195 - 240) == 0) {
                                                                                                            // 0x469184
                                                                                                            *v129 = 0x469195;
                                                                                                            function_46a30c();
                                                                                                            v228 = g4;
                                                                                                            *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                            v196 = g11;
                                                                                                            v142 = v196 - 4;
                                                                                                            *(int32_t *)v142 = g4 - 324;
                                                                                                            g11 = v142;
                                                                                                            g6 = 1;
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                            function_46ae10();
                                                                                                            v229 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                // 0x4691bd
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                function_46b238();
                                                                                                                // branch -> 0x4691d9
                                                                                                            } else {
                                                                                                                // 0x4691ca
                                                                                                                g6 = g6 & -256 | 2;
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                function_46ad58();
                                                                                                                // branch -> 0x4691d9
                                                                                                            }
                                                                                                            // 0x4691d9
                                                                                                            v230 = g4;
                                                                                                            g8 = v230 - 388;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                            v130 = (int32_t *)(g11 - 4);
                                                                                                            if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                // 0x4691e2
                                                                                                                *v130 = 0x4691f3;
                                                                                                                function_46afe8();
                                                                                                                // branch -> 0x4692fa
                                                                                                            } else {
                                                                                                                // 0x4691f8
                                                                                                                *v130 = 0x469209;
                                                                                                                function_46b060();
                                                                                                                // branch -> 0x4692fa
                                                                                                            }
                                                                                                            // 0x4692fa
                                                                                                            v260 = g4;
                                                                                                            g8 = v260 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                            function_46a30c();
                                                                                                            v263 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                                // 0x469314
                                                                                                                *(int32_t *)(v263 - 324) = 0;
                                                                                                                // branch -> 0x469328
                                                                                                            } else {
                                                                                                                // 0x46931e
                                                                                                                *(int32_t *)(v263 - 324) = 2;
                                                                                                                // branch -> 0x469328
                                                                                                            }
                                                                                                            // 0x469328
                                                                                                            v261 = g11;
                                                                                                            v259 = v261 - 4;
                                                                                                            *(int32_t *)v259 = g4 - 324;
                                                                                                            g11 = v259;
                                                                                                            v264 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                            g6 = g6 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                            *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                            function_46ae10();
                                                                                                            v265 = g4;
                                                                                                            v266 = v265;
                                                                                                            if (*(char *)(v265 - 40) != 0) {
                                                                                                                // 0x469345
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                                function_46b1f0();
                                                                                                                v266 = g4;
                                                                                                                // branch -> 0x469352
                                                                                                            }
                                                                                                            // 0x469352
                                                                                                            v262 = v266;
                                                                                                            if (*(char *)(v266 - 42) != 0) {
                                                                                                                // 0x469358
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                                function_46b1f0();
                                                                                                                v262 = g4;
                                                                                                                // branch -> 0x469365
                                                                                                            }
                                                                                                            // 0x469365
                                                                                                            if (*(char *)(v262 - 240) == 0) {
                                                                                                                // 0x46936e
                                                                                                                g6 = -1;
                                                                                                                g8 = v262 - 388;
                                                                                                                g3 = *(int32_t *)(v262 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x46937f
                                                                                                            }
                                                                                                            // 0x46937f
                                                                                                            v268 = g4;
                                                                                                            g8 = v268 - 132;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                            function_46a30c();
                                                                                                            v269 = g4;
                                                                                                            *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                            v270 = g4;
                                                                                                            v267 = (int32_t *)(v270 - 8);
                                                                                                            v271 = *(int32_t *)(*v267 + 4);
                                                                                                            if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                                // 0x4693a8
                                                                                                                v272 = *(int32_t *)(*v267 + 8);
                                                                                                                if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                    // 0x4693bd
                                                                                                                    *(char *)(v270 - 100) = 0;
                                                                                                                    // branch -> 0x4693c1
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x4693b7
                                                                                                            *(char *)(v270 - 100) = 8;
                                                                                                            // branch -> 0x4693c1
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        } else {
                                                                                                            // 0x46920e
                                                                                                            *v129 = 0x46921f;
                                                                                                            function_46a30c();
                                                                                                            v231 = g4;
                                                                                                            *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                            v197 = g11;
                                                                                                            v143 = v197 - 4;
                                                                                                            *(int32_t *)v143 = g4 - 324;
                                                                                                            g11 = v143;
                                                                                                            g6 = 1;
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                            function_46ae10();
                                                                                                            v234 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                // 0x469247
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                function_46b238();
                                                                                                                // branch -> 0x469263
                                                                                                            } else {
                                                                                                                // 0x469254
                                                                                                                g6 = g6 & -256 | 2;
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                function_46ad58();
                                                                                                                // branch -> 0x469263
                                                                                                            }
                                                                                                            // 0x469263
                                                                                                            v198 = g4;
                                                                                                            g8 = v198 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                            function_46a30c();
                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                            function_469fd8();
                                                                                                            *(int32_t *)(g4 - 308) = g3;
                                                                                                            *(int32_t *)(g4 - 324) = 5;
                                                                                                            *(char *)(g4 - 304) = 1;
                                                                                                            v199 = g4;
                                                                                                            *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                            v200 = g11;
                                                                                                            v144 = v200 - 4;
                                                                                                            *(int32_t *)v144 = g4 - 324;
                                                                                                            g11 = v144;
                                                                                                            g6 = 0;
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                            function_46ae10();
                                                                                                            *(char *)(g4 - 304) = 0;
                                                                                                            v235 = g4;
                                                                                                            g8 = v235 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                            v131 = (int32_t *)(g11 - 4);
                                                                                                            if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                // 0x4692c5
                                                                                                                *v131 = 0x4692d6;
                                                                                                                function_46afe8();
                                                                                                                // branch -> 0x4692e9
                                                                                                            } else {
                                                                                                                // 0x4692d8
                                                                                                                *v131 = 0x4692e9;
                                                                                                                function_46b060();
                                                                                                                // branch -> 0x4692e9
                                                                                                            }
                                                                                                            // 0x4692e9
                                                                                                            g6 = -1;
                                                                                                            v201 = g4;
                                                                                                            g8 = v201 - 324;
                                                                                                            g3 = *(int32_t *)(v201 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x4692fa
                                                                                                        }
                                                                                                        // 0x4692fa
                                                                                                        v260 = g4;
                                                                                                        g8 = v260 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                        function_46a30c();
                                                                                                        v263 = g4;
                                                                                                        if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                            // 0x469314
                                                                                                            *(int32_t *)(v263 - 324) = 0;
                                                                                                            // branch -> 0x469328
                                                                                                        } else {
                                                                                                            // 0x46931e
                                                                                                            *(int32_t *)(v263 - 324) = 2;
                                                                                                            // branch -> 0x469328
                                                                                                        }
                                                                                                        // 0x469328
                                                                                                        v261 = g11;
                                                                                                        v259 = v261 - 4;
                                                                                                        *(int32_t *)v259 = g4 - 324;
                                                                                                        g11 = v259;
                                                                                                        v264 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                        g6 = g6 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                        *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                        function_46ae10();
                                                                                                        v265 = g4;
                                                                                                        v266 = v265;
                                                                                                        if (*(char *)(v265 - 40) != 0) {
                                                                                                            // 0x469345
                                                                                                            g8 = g8 & -256 | 2;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                            function_46b1f0();
                                                                                                            v266 = g4;
                                                                                                            // branch -> 0x469352
                                                                                                        }
                                                                                                        // 0x469352
                                                                                                        v262 = v266;
                                                                                                        if (*(char *)(v266 - 42) != 0) {
                                                                                                            // 0x469358
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                            function_46b1f0();
                                                                                                            v262 = g4;
                                                                                                            // branch -> 0x469365
                                                                                                        }
                                                                                                        // 0x469365
                                                                                                        if (*(char *)(v262 - 240) == 0) {
                                                                                                            // 0x46936e
                                                                                                            g6 = -1;
                                                                                                            g8 = v262 - 388;
                                                                                                            g3 = *(int32_t *)(v262 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        }
                                                                                                        // 0x46937f
                                                                                                        v268 = g4;
                                                                                                        g8 = v268 - 132;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v268 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469390;
                                                                                                        function_46a30c();
                                                                                                        v269 = g4;
                                                                                                        *(int32_t *)(v269 - 132) = *(int32_t *)(v269 - 20);
                                                                                                        v270 = g4;
                                                                                                        v267 = (int32_t *)(v270 - 8);
                                                                                                        v271 = *(int32_t *)(*v267 + 4);
                                                                                                        if (*(char *)(*(int32_t *)(v271 + 56) + 9) != 8) {
                                                                                                            // 0x4693a8
                                                                                                            v272 = *(int32_t *)(*v267 + 8);
                                                                                                            if (*(char *)(*(int32_t *)(v272 + 56) + 9) != 8) {
                                                                                                                // 0x4693bd
                                                                                                                *(char *)(v270 - 100) = 0;
                                                                                                                // branch -> 0x4693c1
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x4693b7
                                                                                                        *(char *)(v270 - 100) = 8;
                                                                                                        // branch -> 0x4693c1
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x469148
                                                                                                // branch -> 0x46914e
                                                                                                // 0x46914e
                                                                                                *(char *)(v225 - 40) = (char)0;
                                                                                                v226 = g4;
                                                                                                v227 = v226;
                                                                                                if (*(char *)(v226 - 42) != 0) {
                                                                                                    // 0x469157
                                                                                                    g8 = 0;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                    function_46b214();
                                                                                                    v227 = g4;
                                                                                                    // branch -> 0x469164
                                                                                                }
                                                                                                // 0x469164
                                                                                                v195 = v227;
                                                                                                if (*(char *)(v227 - 40) != 0) {
                                                                                                    // 0x46916a
                                                                                                    g8 = g8 & -256 | 2;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                    function_46b214();
                                                                                                    v195 = g4;
                                                                                                    // branch -> 0x469177
                                                                                                }
                                                                                                // 0x469177
                                                                                                g8 = v195 - 324;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                v129 = (int32_t *)(g11 - 4);
                                                                                                if (*(char *)(v195 - 240) == 0) {
                                                                                                    // 0x469184
                                                                                                    *v129 = 0x469195;
                                                                                                    function_46a30c();
                                                                                                    v228 = g4;
                                                                                                    *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                    v196 = g11;
                                                                                                    v142 = v196 - 4;
                                                                                                    *(int32_t *)v142 = g4 - 324;
                                                                                                    g11 = v142;
                                                                                                    g6 = 1;
                                                                                                    g8 = 0;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                    function_46ae10();
                                                                                                    v229 = g4;
                                                                                                    if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                        // 0x4691bd
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                        function_46b238();
                                                                                                        // branch -> 0x4691d9
                                                                                                    } else {
                                                                                                        // 0x4691ca
                                                                                                        g6 = g6 & -256 | 2;
                                                                                                        g8 = g8 & -256 | 2;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                        function_46ad58();
                                                                                                        // branch -> 0x4691d9
                                                                                                    }
                                                                                                    // 0x4691d9
                                                                                                    v230 = g4;
                                                                                                    g8 = v230 - 388;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                    v130 = (int32_t *)(g11 - 4);
                                                                                                    if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                        // 0x4691e2
                                                                                                        *v130 = 0x4691f3;
                                                                                                        function_46afe8();
                                                                                                        // branch -> 0x4692fa
                                                                                                    } else {
                                                                                                        // 0x4691f8
                                                                                                        *v130 = 0x469209;
                                                                                                        function_46b060();
                                                                                                        // branch -> 0x4692fa
                                                                                                    }
                                                                                                    // 0x4692fa
                                                                                                    v260 = g4;
                                                                                                    g8 = v260 - 324;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                    function_46a30c();
                                                                                                    v263 = g4;
                                                                                                    if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                        // 0x469314
                                                                                                        *(int32_t *)(v263 - 324) = 0;
                                                                                                        // branch -> 0x469328
                                                                                                    } else {
                                                                                                        // 0x46931e
                                                                                                        *(int32_t *)(v263 - 324) = 2;
                                                                                                        // branch -> 0x469328
                                                                                                    }
                                                                                                    // 0x469328
                                                                                                    v261 = g11;
                                                                                                    v259 = v261 - 4;
                                                                                                    *(int32_t *)v259 = g4 - 324;
                                                                                                    g11 = v259;
                                                                                                    v264 = g4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                    g6 = g6 & -256 | 1;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                    *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                    function_46ae10();
                                                                                                    v265 = g4;
                                                                                                    v266 = v265;
                                                                                                    if (*(char *)(v265 - 40) != 0) {
                                                                                                        // 0x469345
                                                                                                        g8 = g8 & -256 | 2;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                        function_46b1f0();
                                                                                                        v266 = g4;
                                                                                                        // branch -> 0x469352
                                                                                                    }
                                                                                                    // 0x469352
                                                                                                    v262 = v266;
                                                                                                    if (*(char *)(v266 - 42) != 0) {
                                                                                                        // 0x469358
                                                                                                        g8 = 0;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                        function_46b1f0();
                                                                                                        v262 = g4;
                                                                                                        // branch -> 0x469365
                                                                                                    }
                                                                                                    // 0x469365
                                                                                                    if (*(char *)(v262 - 240) == 0) {
                                                                                                        // 0x46936e
                                                                                                        g6 = -1;
                                                                                                        g8 = v262 - 388;
                                                                                                        g3 = *(int32_t *)(v262 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x46920e
                                                                                                    *v129 = 0x46921f;
                                                                                                    function_46a30c();
                                                                                                    v231 = g4;
                                                                                                    *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                    v197 = g11;
                                                                                                    v143 = v197 - 4;
                                                                                                    *(int32_t *)v143 = g4 - 324;
                                                                                                    g11 = v143;
                                                                                                    g6 = 1;
                                                                                                    g8 = 0;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                    function_46ae10();
                                                                                                    v234 = g4;
                                                                                                    if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                        // 0x469247
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                        function_46b238();
                                                                                                        // branch -> 0x469263
                                                                                                    } else {
                                                                                                        // 0x469254
                                                                                                        g6 = g6 & -256 | 2;
                                                                                                        g8 = g8 & -256 | 2;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                        function_46ad58();
                                                                                                        // branch -> 0x469263
                                                                                                    }
                                                                                                    // 0x469263
                                                                                                    v198 = g4;
                                                                                                    g8 = v198 - 324;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                    function_46a30c();
                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                    function_469fd8();
                                                                                                    *(int32_t *)(g4 - 308) = g3;
                                                                                                    *(int32_t *)(g4 - 324) = 5;
                                                                                                    *(char *)(g4 - 304) = 1;
                                                                                                    v199 = g4;
                                                                                                    *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                    v200 = g11;
                                                                                                    v144 = v200 - 4;
                                                                                                    *(int32_t *)v144 = g4 - 324;
                                                                                                    g11 = v144;
                                                                                                    g6 = 0;
                                                                                                    g8 = 0;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                    function_46ae10();
                                                                                                    *(char *)(g4 - 304) = 0;
                                                                                                    v235 = g4;
                                                                                                    g8 = v235 - 324;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                    v131 = (int32_t *)(g11 - 4);
                                                                                                    if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                        // 0x4692c5
                                                                                                        *v131 = 0x4692d6;
                                                                                                        function_46afe8();
                                                                                                        // branch -> 0x4692e9
                                                                                                    } else {
                                                                                                        // 0x4692d8
                                                                                                        *v131 = 0x4692e9;
                                                                                                        function_46b060();
                                                                                                        // branch -> 0x4692e9
                                                                                                    }
                                                                                                    // 0x4692e9
                                                                                                    g6 = -1;
                                                                                                    v201 = g4;
                                                                                                    g8 = v201 - 324;
                                                                                                    g3 = *(int32_t *)(v201 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x4692fa
                                                                                                }
                                                                                                // 0x4692fa
                                                                                                v260 = g4;
                                                                                                g8 = v260 - 324;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                function_46a30c();
                                                                                                v263 = g4;
                                                                                                if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                    // 0x469314
                                                                                                    *(int32_t *)(v263 - 324) = 0;
                                                                                                    // branch -> 0x469328
                                                                                                } else {
                                                                                                    // 0x46931e
                                                                                                    *(int32_t *)(v263 - 324) = 2;
                                                                                                    // branch -> 0x469328
                                                                                                }
                                                                                                // 0x469328
                                                                                                v261 = g11;
                                                                                                v259 = v261 - 4;
                                                                                                *(int32_t *)v259 = g4 - 324;
                                                                                                g11 = v259;
                                                                                                v264 = g4;
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                g6 = g6 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                function_46ae10();
                                                                                                v265 = g4;
                                                                                                v266 = v265;
                                                                                                if (*(char *)(v265 - 40) != 0) {
                                                                                                    // 0x469345
                                                                                                    g8 = g8 & -256 | 2;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                    function_46b1f0();
                                                                                                    v266 = g4;
                                                                                                    // branch -> 0x469352
                                                                                                }
                                                                                                // 0x469352
                                                                                                v262 = v266;
                                                                                                if (*(char *)(v266 - 42) != 0) {
                                                                                                    // 0x469358
                                                                                                    g8 = 0;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                    function_46b1f0();
                                                                                                    v262 = g4;
                                                                                                    // branch -> 0x469365
                                                                                                }
                                                                                                // 0x469365
                                                                                                if (*(char *)(v262 - 240) == 0) {
                                                                                                    // 0x46936e
                                                                                                    g6 = -1;
                                                                                                    g8 = v262 - 388;
                                                                                                    g3 = *(int32_t *)(v262 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x46937f
                                                                                                }
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x468e06
                                                                                    *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                    v180 = g4;
                                                                                    if (*(char *)(v180 - 240) == 0) {
                                                                                        // 0x468e9d
                                                                                        v124 = (int32_t *)(v180 - 20);
                                                                                        v218 = v180;
                                                                                        v232 = v233;
                                                                                        if (*v124 == 1) {
                                                                                            // 0x468ea3
                                                                                            g6 = v180 - 484;
                                                                                            g8 = *v124;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                            function_46b3dc();
                                                                                            v181 = g4;
                                                                                            g8 = v181 - 484;
                                                                                            g3 = *(int32_t *)(v181 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                            function_469c8c();
                                                                                            *(int32_t *)(g4 - 24) = g3;
                                                                                            v182 = g4;
                                                                                            g6 = v182 - 548;
                                                                                            g8 = *(int32_t *)(v182 - 20);
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                            function_46b3dc();
                                                                                            v183 = g11;
                                                                                            v139 = v183 - 4;
                                                                                            *(int32_t *)v139 = g4 - 548;
                                                                                            g11 = v139;
                                                                                            v215 = g4;
                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                            *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                            function_46ae10();
                                                                                            v216 = g4;
                                                                                            g8 = *(int32_t *)(v216 - 20);
                                                                                            g3 = *(int32_t *)(v216 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                            function_469e18();
                                                                                            v217 = g4;
                                                                                            *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                            v218 = g4;
                                                                                            v232 = g6 & -256 | 1;
                                                                                            // branch -> 0x468f04
                                                                                        }
                                                                                        // 0x468f04
                                                                                        v184 = v218;
                                                                                        if (*(int32_t *)(v218 - 260) != 1) {
                                                                                            // 0x468f0d
                                                                                            if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                // 0x468f16
                                                                                                v125 = (int32_t *)(v218 - 4);
                                                                                                if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                    // 0x468f22
                                                                                                    g8 = g8 & -256 | 1;
                                                                                                    g3 = *(int32_t *)(*v125 + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                    function_46b214();
                                                                                                    v184 = g4;
                                                                                                    // branch -> 0x468f2f
                                                                                                } else {
                                                                                                    v184 = v218;
                                                                                                }
                                                                                            } else {
                                                                                                v184 = v218;
                                                                                            }
                                                                                        }
                                                                                        // 0x468f2f
                                                                                        v185 = g11;
                                                                                        v140 = v185 - 4;
                                                                                        *(int32_t *)v140 = v184 - 260;
                                                                                        g11 = v140;
                                                                                        g6 = v232 & -256 | 1;
                                                                                        g8 = g8 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                        function_46ae10();
                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                        g8 = g8 & -256 | 211;
                                                                                        *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                        function_462278();
                                                                                        v219 = g4;
                                                                                        v246 = *(char *)(v219 - 20);
                                                                                        v258 = g8 & -256;
                                                                                        v253 = *(char *)(v219 - 16);
                                                                                        g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                        function_462278();
                                                                                        v186 = g4;
                                                                                        v187 = v186;
                                                                                        if (*(int32_t *)(v186 - 260) != 1) {
                                                                                            // 0x468f75
                                                                                            if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                // 0x468f7e
                                                                                                v126 = (int32_t *)(v186 - 4);
                                                                                                if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                    // 0x468f8a
                                                                                                    g8 = g8 & -256 | 1;
                                                                                                    g3 = *(int32_t *)(*v126 + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                    function_46b1f0();
                                                                                                    v187 = g4;
                                                                                                    // branch -> 0x468f97
                                                                                                } else {
                                                                                                    v187 = v186;
                                                                                                }
                                                                                            } else {
                                                                                                v187 = v186;
                                                                                            }
                                                                                        }
                                                                                        // 0x468f97
                                                                                        g6 = -1;
                                                                                        g8 = v187 - 260;
                                                                                        g3 = *(int32_t *)(v187 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468e28
                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                        v236 = g8 & -256;
                                                                                        if (*(int32_t *)(v180 - 236) == 1) {
                                                                                            // 0x468e31
                                                                                            g8 = v236 | 209;
                                                                                            *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                            function_462278();
                                                                                            v212 = g4;
                                                                                            v244 = *(char *)(v212 - 20);
                                                                                            v256 = g8 & -256;
                                                                                            v251 = *(char *)(v212 - 16);
                                                                                            g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                            function_462278();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468e5d
                                                                                            g8 = v236 | 193;
                                                                                            *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                            function_462278();
                                                                                            v213 = g4;
                                                                                            v245 = *(char *)(v213 - 20);
                                                                                            v257 = g8 & -256;
                                                                                            v252 = *(char *)(v213 - 16);
                                                                                            g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                            function_462278();
                                                                                            v214 = g4;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                            *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                            function_462278();
                                                                                            // branch -> 0x46937f
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // 0x4688ce
                                                    v7 = NULL;
                                                    unknown_468108();
                                                    v146 = g4;
                                                    g6 = v146 - 196;
                                                    g8 = *(int32_t *)(*v122 + 4) & -256 | 3;
                                                    g3 = *(int32_t *)(v146 - 4);
                                                    function_463360();
                                                    v147 = g4;
                                                    g8 = v147 - 196;
                                                    g3 = *(int32_t *)(*(int32_t *)(v147 - 4) + 4);
                                                    function_46b59c();
                                                    g6 = -1;
                                                    v148 = g4;
                                                    g8 = v148 - 196;
                                                    g3 = *(int32_t *)(v148 - 4);
                                                    function_469f40();
                                                    v5 = NULL;
                                                    g6 = 0;
                                                    unknown_468108();
                                                    v149 = g4;
                                                    g8 = v149 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v149 - 4) + 4);
                                                    function_46ba4c();
                                                    v150 = g4;
                                                    g8 = v150 - 260;
                                                    g3 = *(int32_t *)(v150 - 4);
                                                    function_469f40();
                                                    v151 = g4;
                                                    g8 = v151 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v151 - 4) + 4);
                                                    function_46a30c();
                                                    v12 = (int32_t *)0x47800000;
                                                    g11 = (int32_t)&v12;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                    function_463ffc();
                                                    *(int32_t *)(g4 - 244) = g3;
                                                    v152 = g4;
                                                    g8 = v152 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v152 - 4) + 4);
                                                    function_46b8e4();
                                                    v153 = g4;
                                                    g8 = v153 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v153 - 4) + 4);
                                                    function_46a30c();
                                                    *(int32_t *)(g4 - 260) = 5;
                                                    g3 = *(int32_t *)(g4 - 4);
                                                    function_469fd8();
                                                    *(int32_t *)(g4 - 244) = g3;
                                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                    v204 = g4;
                                                    g8 = v204 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v204 - 4) + 4);
                                                    if (*(char *)(v204 - 37) == 3) {
                                                        // 0x4689da
                                                        function_46b614();
                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                        // branch -> 0x469a51
                                                    } else {
                                                        // 0x4689f7
                                                        function_46b68c();
                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                        // branch -> 0x469a51
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // 0x468b68
                                            v7 = NULL;
                                            g11 = v4;
                                            g6 = 0;
                                            unknown_468108();
                                            g8 = g4 - 196;
                                            function_46a168();
                                            v164 = g4;
                                            if (g3 == 0) {
                                                // 0x468bce
                                                v206 = v164 - 196;
                                                if (*(char *)(v164 - 176) == 0) {
                                                    // 0x468bd7
                                                    *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                    // branch -> 0x468c1b
                                                } else {
                                                    // 0x468be2
                                                    g8 = v206;
                                                    g3 = *(int32_t *)(v164 - 4);
                                                    function_469c8c();
                                                    *(int32_t *)(g4 - 20) = g3;
                                                    v165 = g4;
                                                    g11 = (int32_t)&v5;
                                                    g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                    g6 = g6 & -256 | 1;
                                                    g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                    function_46ae10();
                                                    g6 = -1;
                                                    v166 = g4;
                                                    g8 = v166 - 196;
                                                    g3 = *(int32_t *)(v166 - 4);
                                                    function_469f40();
                                                    // branch -> 0x468c1b
                                                }
                                                // 0x468c1b
                                                v167 = g4;
                                                if (*(char *)(v167 - 164) != 8) {
                                                    // 0x468c24
                                                    if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                        // 0x468c30
                                                        g8 = g8 & -256 | 193;
                                                        g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x468c3d;
                                                        function_462278();
                                                        v207 = g4;
                                                        v254 = g8 & -256;
                                                        g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                        g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x468c4e;
                                                        function_462278();
                                                        g8 = g8 & -256 | 16;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x468c5b;
                                                        function_462278();
                                                        // branch -> 0x468c5b
                                                    }
                                                }
                                                // 0x468c5b
                                                v208 = g11;
                                                *(int32_t *)(v208 - 4) = 0;
                                                v133 = v208 - 8;
                                                *(int32_t *)v133 = g4 - 260;
                                                g11 = v133;
                                                g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                *(int32_t *)(v208 - 12) = 0x468c74;
                                                unknown_468108();
                                                v168 = g4;
                                                v211 = v168;
                                                v233 = 0;
                                                if (*(char *)(v168 - 228) != 8) {
                                                    // 0x468c7d
                                                    v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                    if (*(char *)(v243 + 9) == 8) {
                                                        // 0x468c89
                                                        g8 = v168 - 260;
                                                        g3 = *(int32_t *)(v168 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x468c9a;
                                                        function_4673b4();
                                                        *(int32_t *)(g4 - 28) = g3;
                                                        g8 = g8 & -256 | 193;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x468caa;
                                                        function_462278();
                                                        v209 = g4;
                                                        v255 = g8 & -256;
                                                        g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                        g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x468cbb;
                                                        function_462278();
                                                        g8 = g8 & -256 | 16;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x468cc8;
                                                        function_462278();
                                                        v169 = g4;
                                                        g8 = v169 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                        *(int32_t *)(g11 - 4) = 0x468cd9;
                                                        function_46a30c();
                                                        v210 = g4;
                                                        *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                        v211 = g4;
                                                        v233 = -1;
                                                        // branch -> 0x468ce2
                                                    } else {
                                                        v211 = v168;
                                                        v233 = 0;
                                                    }
                                                }
                                                // 0x468ce2
                                                v123 = (int32_t *)(v211 - 8);
                                                if (*(char *)(*v123 + 13) == 0) {
                                                    // 0x468ceb
                                                    v170 = g11;
                                                    v134 = v170 - 4;
                                                    *(int32_t *)v134 = v211 - 260;
                                                    g11 = v134;
                                                    g6 = v233 & -256 | 1;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                    *(int32_t *)(v170 - 8) = 0x468d02;
                                                    function_46aa40();
                                                    g6 = -1;
                                                    v171 = g4;
                                                    g8 = v171 - 260;
                                                    g3 = *(int32_t *)(v171 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x468d13;
                                                    function_469f40();
                                                    // branch -> 0x46937f
                                                } else {
                                                    // 0x468d18
                                                    if (*(char *)(*v123 + 13) == 1) {
                                                        // 0x468d21
                                                        v172 = g11;
                                                        v135 = v172 - 4;
                                                        *(int32_t *)v135 = v211 - 260;
                                                        g11 = v135;
                                                        g6 = v233 & -256 | 1;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                        *(int32_t *)(v172 - 8) = 0x468d38;
                                                        function_46aac4();
                                                        g6 = -1;
                                                        v173 = g4;
                                                        g8 = v173 - 260;
                                                        g3 = *(int32_t *)(v173 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x468d49;
                                                        function_469f40();
                                                        // branch -> 0x46937f
                                                    } else {
                                                        // 0x468d4e
                                                        if (*(char *)(*v123 + 13) == 18) {
                                                            // 0x468d57
                                                            v174 = g11;
                                                            v136 = v174 - 4;
                                                            *(int32_t *)v136 = v211 - 260;
                                                            g11 = v136;
                                                            g6 = v233 & -256 | 1;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                            *(int32_t *)(v174 - 8) = 0x468d6e;
                                                            function_46ab48();
                                                            g6 = -1;
                                                            v175 = g4;
                                                            g8 = v175 - 260;
                                                            g3 = *(int32_t *)(v175 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x468d7f;
                                                            function_469f40();
                                                            // branch -> 0x46937f
                                                        } else {
                                                            // 0x468d84
                                                            if (*(char *)(*v123 + 13) == 19) {
                                                                // 0x468d8d
                                                                v176 = g11;
                                                                v137 = v176 - 4;
                                                                *(int32_t *)v137 = v211 - 260;
                                                                g11 = v137;
                                                                g6 = v233 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                *(int32_t *)(v176 - 8) = 0x468da4;
                                                                function_46abcc();
                                                                g6 = -1;
                                                                v177 = g4;
                                                                g8 = v177 - 260;
                                                                g3 = *(int32_t *)(v177 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x468db5;
                                                                function_469f40();
                                                                // branch -> 0x46937f
                                                            } else {
                                                                // 0x468dba
                                                                if (*(char *)(*v123 + 13) == 20) {
                                                                    // 0x468dc3
                                                                    v178 = g11;
                                                                    v138 = v178 - 4;
                                                                    *(int32_t *)v138 = v211 - 260;
                                                                    g11 = v138;
                                                                    g6 = v233 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                    *(int32_t *)(v178 - 8) = 0x468dda;
                                                                    function_46ac50();
                                                                    g6 = -1;
                                                                    v179 = g4;
                                                                    g8 = v179 - 260;
                                                                    g3 = *(int32_t *)(v179 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x468deb;
                                                                    function_469f40();
                                                                    // branch -> 0x46937f
                                                                } else {
                                                                    // 0x468df0
                                                                    if (*(char *)(*v123 + 13) != 22) {
                                                                        // 0x468df9
                                                                        if (*(char *)(*v123 + 13) != 21) {
                                                                            // 0x468fad
                                                                            if (*(char *)(*v123 + 13) == 3) {
                                                                                // 0x468fba
                                                                                if (*(char *)(v211 - 240) == 0) {
                                                                                    // 0x469000
                                                                                    g6 = -1;
                                                                                    g8 = v211 - 260;
                                                                                    g3 = *(int32_t *)(v211 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469011;
                                                                                    function_4673b4();
                                                                                    *(int32_t *)(g4 - 28) = g3;
                                                                                    v189 = g4;
                                                                                    g8 = v189 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469025;
                                                                                    function_46a30c();
                                                                                    v221 = g4;
                                                                                    *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                    v222 = g4;
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                    g6 = v222 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469042;
                                                                                    function_46b0d8();
                                                                                    g6 = -1;
                                                                                    v190 = g4;
                                                                                    g8 = v190 - 324;
                                                                                    g3 = *(int32_t *)(v190 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469053;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468fc3
                                                                                    *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                    v220 = g4;
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                    g6 = v220 - 260;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                    function_46b0d8();
                                                                                    *(int32_t *)(g4 - 260) = -1;
                                                                                    g6 = -1;
                                                                                    v188 = g4;
                                                                                    g8 = v188 - 260;
                                                                                    g3 = *(int32_t *)(v188 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            } else {
                                                                                // 0x469058
                                                                                v247 = *v123;
                                                                                v132 = v247;
                                                                                if (*(char *)(v247 + 13) != 4) {
                                                                                    // 0x469061
                                                                                    v248 = *v123;
                                                                                    v132 = v248;
                                                                                    if (*(char *)(v248 + 13) != 5) {
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x46906e
                                                                                v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                *v127 = *v127 - 1;
                                                                                v223 = v132;
                                                                                v145 = v223 - 24 & 255 | v223 & -256;
                                                                                g11 -= *(int32_t *)g5;
                                                                                v128 = (char *)v145;
                                                                                *v128 = (char)((int32_t)*v128 + v145);
                                                                                v191 = g4;
                                                                                g8 = v191 - 388;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                function_46a30c();
                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                function_469fd8();
                                                                                *(int32_t *)(g4 - 372) = g3;
                                                                                *(int32_t *)(g4 - 388) = 5;
                                                                                v192 = g11;
                                                                                v141 = v192 - 4;
                                                                                *(int32_t *)v141 = g4 - 388;
                                                                                g11 = v141;
                                                                                v193 = g4;
                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                function_46ae10();
                                                                                v194 = g4;
                                                                                g8 = *(int32_t *)(v194 - 324);
                                                                                g3 = *(int32_t *)(v194 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469102;
                                                                                function_469e18();
                                                                                v224 = g4;
                                                                                v249 = *(int32_t *)(v224 - 4);
                                                                                if (*(char *)(v249 + 0x1814) != 0) {
                                                                                    // 0x469127
                                                                                    if (*(int32_t *)(v224 - 20) != 0) {
                                                                                        // 0x469131
                                                                                        // branch -> 0x469133
                                                                                        // 0x469133
                                                                                        *(char *)(v224 - 42) = (char)(v249 & -256 | 1);
                                                                                        v225 = g4;
                                                                                        v250 = *(int32_t *)(v225 - 4);
                                                                                        if (*(char *)(v250 + 0x183c) != 0) {
                                                                                            // 0x469142
                                                                                            if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                // 0x46914c
                                                                                                // branch -> 0x46914e
                                                                                                // 0x46914e
                                                                                                *(char *)(v225 - 40) = (char)(v250 & -256 | 1);
                                                                                                v226 = g4;
                                                                                                v227 = v226;
                                                                                                if (*(char *)(v226 - 42) != 0) {
                                                                                                    // 0x469157
                                                                                                    g8 = 0;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                    function_46b214();
                                                                                                    v227 = g4;
                                                                                                    // branch -> 0x469164
                                                                                                }
                                                                                                // 0x469164
                                                                                                v195 = v227;
                                                                                                if (*(char *)(v227 - 40) != 0) {
                                                                                                    // 0x46916a
                                                                                                    g8 = g8 & -256 | 2;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                    function_46b214();
                                                                                                    v195 = g4;
                                                                                                    // branch -> 0x469177
                                                                                                }
                                                                                                // 0x469177
                                                                                                g8 = v195 - 324;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                v129 = (int32_t *)(g11 - 4);
                                                                                                if (*(char *)(v195 - 240) == 0) {
                                                                                                    // 0x469184
                                                                                                    *v129 = 0x469195;
                                                                                                    function_46a30c();
                                                                                                    v228 = g4;
                                                                                                    *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                    v196 = g11;
                                                                                                    v142 = v196 - 4;
                                                                                                    *(int32_t *)v142 = g4 - 324;
                                                                                                    g11 = v142;
                                                                                                    g6 = 1;
                                                                                                    g8 = 0;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                    function_46ae10();
                                                                                                    v229 = g4;
                                                                                                    if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                        // 0x4691bd
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                        function_46b238();
                                                                                                        // branch -> 0x4691d9
                                                                                                    } else {
                                                                                                        // 0x4691ca
                                                                                                        g6 = g6 & -256 | 2;
                                                                                                        g8 = g8 & -256 | 2;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                        function_46ad58();
                                                                                                        // branch -> 0x4691d9
                                                                                                    }
                                                                                                    // 0x4691d9
                                                                                                    v230 = g4;
                                                                                                    g8 = v230 - 388;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                    v130 = (int32_t *)(g11 - 4);
                                                                                                    if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                        // 0x4691e2
                                                                                                        *v130 = 0x4691f3;
                                                                                                        function_46afe8();
                                                                                                        // branch -> 0x4692fa
                                                                                                    } else {
                                                                                                        // 0x4691f8
                                                                                                        *v130 = 0x469209;
                                                                                                        function_46b060();
                                                                                                        // branch -> 0x4692fa
                                                                                                    }
                                                                                                    // 0x4692fa
                                                                                                    v260 = g4;
                                                                                                    g8 = v260 - 324;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                    function_46a30c();
                                                                                                    v263 = g4;
                                                                                                    if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                        // 0x469314
                                                                                                        *(int32_t *)(v263 - 324) = 0;
                                                                                                        // branch -> 0x469328
                                                                                                    } else {
                                                                                                        // 0x46931e
                                                                                                        *(int32_t *)(v263 - 324) = 2;
                                                                                                        // branch -> 0x469328
                                                                                                    }
                                                                                                    // 0x469328
                                                                                                    v261 = g11;
                                                                                                    v259 = v261 - 4;
                                                                                                    *(int32_t *)v259 = g4 - 324;
                                                                                                    g11 = v259;
                                                                                                    v264 = g4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                    g6 = g6 & -256 | 1;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                    *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                    function_46ae10();
                                                                                                    v265 = g4;
                                                                                                    v266 = v265;
                                                                                                    if (*(char *)(v265 - 40) != 0) {
                                                                                                        // 0x469345
                                                                                                        g8 = g8 & -256 | 2;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                        function_46b1f0();
                                                                                                        v266 = g4;
                                                                                                        // branch -> 0x469352
                                                                                                    }
                                                                                                    // 0x469352
                                                                                                    v262 = v266;
                                                                                                    if (*(char *)(v266 - 42) != 0) {
                                                                                                        // 0x469358
                                                                                                        g8 = 0;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                        function_46b1f0();
                                                                                                        v262 = g4;
                                                                                                        // branch -> 0x469365
                                                                                                    }
                                                                                                    // 0x469365
                                                                                                    if (*(char *)(v262 - 240) == 0) {
                                                                                                        // 0x46936e
                                                                                                        g6 = -1;
                                                                                                        g8 = v262 - 388;
                                                                                                        g3 = *(int32_t *)(v262 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x46920e
                                                                                                    *v129 = 0x46921f;
                                                                                                    function_46a30c();
                                                                                                    v231 = g4;
                                                                                                    *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                    v197 = g11;
                                                                                                    v143 = v197 - 4;
                                                                                                    *(int32_t *)v143 = g4 - 324;
                                                                                                    g11 = v143;
                                                                                                    g6 = 1;
                                                                                                    g8 = 0;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                    function_46ae10();
                                                                                                    v234 = g4;
                                                                                                    if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                        // 0x469247
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                        function_46b238();
                                                                                                        // branch -> 0x469263
                                                                                                    } else {
                                                                                                        // 0x469254
                                                                                                        g6 = g6 & -256 | 2;
                                                                                                        g8 = g8 & -256 | 2;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                        function_46ad58();
                                                                                                        // branch -> 0x469263
                                                                                                    }
                                                                                                    // 0x469263
                                                                                                    v198 = g4;
                                                                                                    g8 = v198 - 324;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                    function_46a30c();
                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                    function_469fd8();
                                                                                                    *(int32_t *)(g4 - 308) = g3;
                                                                                                    *(int32_t *)(g4 - 324) = 5;
                                                                                                    *(char *)(g4 - 304) = 1;
                                                                                                    v199 = g4;
                                                                                                    *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                    v200 = g11;
                                                                                                    v144 = v200 - 4;
                                                                                                    *(int32_t *)v144 = g4 - 324;
                                                                                                    g11 = v144;
                                                                                                    g6 = 0;
                                                                                                    g8 = 0;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                    function_46ae10();
                                                                                                    *(char *)(g4 - 304) = 0;
                                                                                                    v235 = g4;
                                                                                                    g8 = v235 - 324;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                    v131 = (int32_t *)(g11 - 4);
                                                                                                    if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                        // 0x4692c5
                                                                                                        *v131 = 0x4692d6;
                                                                                                        function_46afe8();
                                                                                                        // branch -> 0x4692e9
                                                                                                    } else {
                                                                                                        // 0x4692d8
                                                                                                        *v131 = 0x4692e9;
                                                                                                        function_46b060();
                                                                                                        // branch -> 0x4692e9
                                                                                                    }
                                                                                                    // 0x4692e9
                                                                                                    g6 = -1;
                                                                                                    v201 = g4;
                                                                                                    g8 = v201 - 324;
                                                                                                    g3 = *(int32_t *)(v201 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x4692fa
                                                                                                }
                                                                                                // 0x4692fa
                                                                                                v260 = g4;
                                                                                                g8 = v260 - 324;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                function_46a30c();
                                                                                                v263 = g4;
                                                                                                if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                    // 0x469314
                                                                                                    *(int32_t *)(v263 - 324) = 0;
                                                                                                    // branch -> 0x469328
                                                                                                } else {
                                                                                                    // 0x46931e
                                                                                                    *(int32_t *)(v263 - 324) = 2;
                                                                                                    // branch -> 0x469328
                                                                                                }
                                                                                                // 0x469328
                                                                                                v261 = g11;
                                                                                                v259 = v261 - 4;
                                                                                                *(int32_t *)v259 = g4 - 324;
                                                                                                g11 = v259;
                                                                                                v264 = g4;
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                g6 = g6 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                function_46ae10();
                                                                                                v265 = g4;
                                                                                                v266 = v265;
                                                                                                if (*(char *)(v265 - 40) != 0) {
                                                                                                    // 0x469345
                                                                                                    g8 = g8 & -256 | 2;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                    function_46b1f0();
                                                                                                    v266 = g4;
                                                                                                    // branch -> 0x469352
                                                                                                }
                                                                                                // 0x469352
                                                                                                v262 = v266;
                                                                                                if (*(char *)(v266 - 42) != 0) {
                                                                                                    // 0x469358
                                                                                                    g8 = 0;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                    function_46b1f0();
                                                                                                    v262 = g4;
                                                                                                    // branch -> 0x469365
                                                                                                }
                                                                                                // 0x469365
                                                                                                if (*(char *)(v262 - 240) == 0) {
                                                                                                    // 0x46936e
                                                                                                    g6 = -1;
                                                                                                    g8 = v262 - 388;
                                                                                                    g3 = *(int32_t *)(v262 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x46937f
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x469148
                                                                                        // branch -> 0x46914e
                                                                                        // 0x46914e
                                                                                        *(char *)(v225 - 40) = (char)0;
                                                                                        v226 = g4;
                                                                                        v227 = v226;
                                                                                        if (*(char *)(v226 - 42) != 0) {
                                                                                            // 0x469157
                                                                                            g8 = 0;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469164;
                                                                                            function_46b214();
                                                                                            v227 = g4;
                                                                                            // branch -> 0x469164
                                                                                        }
                                                                                        // 0x469164
                                                                                        v195 = v227;
                                                                                        if (*(char *)(v227 - 40) != 0) {
                                                                                            // 0x46916a
                                                                                            g8 = g8 & -256 | 2;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469177;
                                                                                            function_46b214();
                                                                                            v195 = g4;
                                                                                            // branch -> 0x469177
                                                                                        }
                                                                                        // 0x469177
                                                                                        g8 = v195 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                        v129 = (int32_t *)(g11 - 4);
                                                                                        if (*(char *)(v195 - 240) == 0) {
                                                                                            // 0x469184
                                                                                            *v129 = 0x469195;
                                                                                            function_46a30c();
                                                                                            v228 = g4;
                                                                                            *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                            v196 = g11;
                                                                                            v142 = v196 - 4;
                                                                                            *(int32_t *)v142 = g4 - 324;
                                                                                            g11 = v142;
                                                                                            g6 = 1;
                                                                                            g8 = 0;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                            function_46ae10();
                                                                                            v229 = g4;
                                                                                            if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                // 0x4691bd
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                function_46b238();
                                                                                                // branch -> 0x4691d9
                                                                                            } else {
                                                                                                // 0x4691ca
                                                                                                g6 = g6 & -256 | 2;
                                                                                                g8 = g8 & -256 | 2;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                function_46ad58();
                                                                                                // branch -> 0x4691d9
                                                                                            }
                                                                                            // 0x4691d9
                                                                                            v230 = g4;
                                                                                            g8 = v230 - 388;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                            v130 = (int32_t *)(g11 - 4);
                                                                                            if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                // 0x4691e2
                                                                                                *v130 = 0x4691f3;
                                                                                                function_46afe8();
                                                                                                // branch -> 0x4692fa
                                                                                            } else {
                                                                                                // 0x4691f8
                                                                                                *v130 = 0x469209;
                                                                                                function_46b060();
                                                                                                // branch -> 0x4692fa
                                                                                            }
                                                                                            // 0x4692fa
                                                                                            v260 = g4;
                                                                                            g8 = v260 - 324;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                            function_46a30c();
                                                                                            v263 = g4;
                                                                                            if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                // 0x469314
                                                                                                *(int32_t *)(v263 - 324) = 0;
                                                                                                // branch -> 0x469328
                                                                                            } else {
                                                                                                // 0x46931e
                                                                                                *(int32_t *)(v263 - 324) = 2;
                                                                                                // branch -> 0x469328
                                                                                            }
                                                                                            // 0x469328
                                                                                            v261 = g11;
                                                                                            v259 = v261 - 4;
                                                                                            *(int32_t *)v259 = g4 - 324;
                                                                                            g11 = v259;
                                                                                            v264 = g4;
                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                            g6 = g6 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                            *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                            function_46ae10();
                                                                                            v265 = g4;
                                                                                            v266 = v265;
                                                                                            if (*(char *)(v265 - 40) != 0) {
                                                                                                // 0x469345
                                                                                                g8 = g8 & -256 | 2;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                function_46b1f0();
                                                                                                v266 = g4;
                                                                                                // branch -> 0x469352
                                                                                            }
                                                                                            // 0x469352
                                                                                            v262 = v266;
                                                                                            if (*(char *)(v266 - 42) != 0) {
                                                                                                // 0x469358
                                                                                                g8 = 0;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                function_46b1f0();
                                                                                                v262 = g4;
                                                                                                // branch -> 0x469365
                                                                                            }
                                                                                            // 0x469365
                                                                                            if (*(char *)(v262 - 240) == 0) {
                                                                                                // 0x46936e
                                                                                                g6 = -1;
                                                                                                g8 = v262 - 388;
                                                                                                g3 = *(int32_t *)(v262 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            // 0x46920e
                                                                                            *v129 = 0x46921f;
                                                                                            function_46a30c();
                                                                                            v231 = g4;
                                                                                            *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                            v197 = g11;
                                                                                            v143 = v197 - 4;
                                                                                            *(int32_t *)v143 = g4 - 324;
                                                                                            g11 = v143;
                                                                                            g6 = 1;
                                                                                            g8 = 0;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                            function_46ae10();
                                                                                            v234 = g4;
                                                                                            if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                // 0x469247
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                function_46b238();
                                                                                                // branch -> 0x469263
                                                                                            } else {
                                                                                                // 0x469254
                                                                                                g6 = g6 & -256 | 2;
                                                                                                g8 = g8 & -256 | 2;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                function_46ad58();
                                                                                                // branch -> 0x469263
                                                                                            }
                                                                                            // 0x469263
                                                                                            v198 = g4;
                                                                                            g8 = v198 - 324;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469274;
                                                                                            function_46a30c();
                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                            function_469fd8();
                                                                                            *(int32_t *)(g4 - 308) = g3;
                                                                                            *(int32_t *)(g4 - 324) = 5;
                                                                                            *(char *)(g4 - 304) = 1;
                                                                                            v199 = g4;
                                                                                            *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                            v200 = g11;
                                                                                            v144 = v200 - 4;
                                                                                            *(int32_t *)v144 = g4 - 324;
                                                                                            g11 = v144;
                                                                                            g6 = 0;
                                                                                            g8 = 0;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                            function_46ae10();
                                                                                            *(char *)(g4 - 304) = 0;
                                                                                            v235 = g4;
                                                                                            g8 = v235 - 324;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                            v131 = (int32_t *)(g11 - 4);
                                                                                            if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                // 0x4692c5
                                                                                                *v131 = 0x4692d6;
                                                                                                function_46afe8();
                                                                                                // branch -> 0x4692e9
                                                                                            } else {
                                                                                                // 0x4692d8
                                                                                                *v131 = 0x4692e9;
                                                                                                function_46b060();
                                                                                                // branch -> 0x4692e9
                                                                                            }
                                                                                            // 0x4692e9
                                                                                            g6 = -1;
                                                                                            v201 = g4;
                                                                                            g8 = v201 - 324;
                                                                                            g3 = *(int32_t *)(v201 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                            function_469f40();
                                                                                            // branch -> 0x4692fa
                                                                                        }
                                                                                        // 0x4692fa
                                                                                        v260 = g4;
                                                                                        g8 = v260 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                        function_46a30c();
                                                                                        v263 = g4;
                                                                                        if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                            // 0x469314
                                                                                            *(int32_t *)(v263 - 324) = 0;
                                                                                            // branch -> 0x469328
                                                                                        } else {
                                                                                            // 0x46931e
                                                                                            *(int32_t *)(v263 - 324) = 2;
                                                                                            // branch -> 0x469328
                                                                                        }
                                                                                        // 0x469328
                                                                                        v261 = g11;
                                                                                        v259 = v261 - 4;
                                                                                        *(int32_t *)v259 = g4 - 324;
                                                                                        g11 = v259;
                                                                                        v264 = g4;
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                        g6 = g6 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                        *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                        function_46ae10();
                                                                                        v265 = g4;
                                                                                        v266 = v265;
                                                                                        if (*(char *)(v265 - 40) != 0) {
                                                                                            // 0x469345
                                                                                            g8 = g8 & -256 | 2;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469352;
                                                                                            function_46b1f0();
                                                                                            v266 = g4;
                                                                                            // branch -> 0x469352
                                                                                        }
                                                                                        // 0x469352
                                                                                        v262 = v266;
                                                                                        if (*(char *)(v266 - 42) != 0) {
                                                                                            // 0x469358
                                                                                            g8 = 0;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469365;
                                                                                            function_46b1f0();
                                                                                            v262 = g4;
                                                                                            // branch -> 0x469365
                                                                                        }
                                                                                        // 0x469365
                                                                                        if (*(char *)(v262 - 240) == 0) {
                                                                                            // 0x46936e
                                                                                            g6 = -1;
                                                                                            g8 = v262 - 388;
                                                                                            g3 = *(int32_t *)(v262 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x46912d
                                                                                // branch -> 0x469133
                                                                                // 0x469133
                                                                                *(char *)(v224 - 42) = (char)0;
                                                                                v225 = g4;
                                                                                v250 = *(int32_t *)(v225 - 4);
                                                                                if (*(char *)(v250 + 0x183c) != 0) {
                                                                                    // 0x469142
                                                                                    if (*(int32_t *)(v225 - 20) != 2) {
                                                                                        // 0x46914c
                                                                                        // branch -> 0x46914e
                                                                                        // 0x46914e
                                                                                        *(char *)(v225 - 40) = (char)(v250 & -256 | 1);
                                                                                        v226 = g4;
                                                                                        v227 = v226;
                                                                                        if (*(char *)(v226 - 42) != 0) {
                                                                                            // 0x469157
                                                                                            g8 = 0;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469164;
                                                                                            function_46b214();
                                                                                            v227 = g4;
                                                                                            // branch -> 0x469164
                                                                                        }
                                                                                        // 0x469164
                                                                                        v195 = v227;
                                                                                        if (*(char *)(v227 - 40) != 0) {
                                                                                            // 0x46916a
                                                                                            g8 = g8 & -256 | 2;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469177;
                                                                                            function_46b214();
                                                                                            v195 = g4;
                                                                                            // branch -> 0x469177
                                                                                        }
                                                                                        // 0x469177
                                                                                        g8 = v195 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                        v129 = (int32_t *)(g11 - 4);
                                                                                        if (*(char *)(v195 - 240) == 0) {
                                                                                            // 0x469184
                                                                                            *v129 = 0x469195;
                                                                                            function_46a30c();
                                                                                            v228 = g4;
                                                                                            *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                            v196 = g11;
                                                                                            v142 = v196 - 4;
                                                                                            *(int32_t *)v142 = g4 - 324;
                                                                                            g11 = v142;
                                                                                            g6 = 1;
                                                                                            g8 = 0;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                            function_46ae10();
                                                                                            v229 = g4;
                                                                                            if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                // 0x4691bd
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                function_46b238();
                                                                                                // branch -> 0x4691d9
                                                                                            } else {
                                                                                                // 0x4691ca
                                                                                                g6 = g6 & -256 | 2;
                                                                                                g8 = g8 & -256 | 2;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                function_46ad58();
                                                                                                // branch -> 0x4691d9
                                                                                            }
                                                                                            // 0x4691d9
                                                                                            v230 = g4;
                                                                                            g8 = v230 - 388;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                            v130 = (int32_t *)(g11 - 4);
                                                                                            if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                // 0x4691e2
                                                                                                *v130 = 0x4691f3;
                                                                                                function_46afe8();
                                                                                                // branch -> 0x4692fa
                                                                                            } else {
                                                                                                // 0x4691f8
                                                                                                *v130 = 0x469209;
                                                                                                function_46b060();
                                                                                                // branch -> 0x4692fa
                                                                                            }
                                                                                            // 0x4692fa
                                                                                            v260 = g4;
                                                                                            g8 = v260 - 324;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                            function_46a30c();
                                                                                            v263 = g4;
                                                                                            if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                // 0x469314
                                                                                                *(int32_t *)(v263 - 324) = 0;
                                                                                                // branch -> 0x469328
                                                                                            } else {
                                                                                                // 0x46931e
                                                                                                *(int32_t *)(v263 - 324) = 2;
                                                                                                // branch -> 0x469328
                                                                                            }
                                                                                            // 0x469328
                                                                                            v261 = g11;
                                                                                            v259 = v261 - 4;
                                                                                            *(int32_t *)v259 = g4 - 324;
                                                                                            g11 = v259;
                                                                                            v264 = g4;
                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                            g6 = g6 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                            *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                            function_46ae10();
                                                                                            v265 = g4;
                                                                                            v266 = v265;
                                                                                            if (*(char *)(v265 - 40) != 0) {
                                                                                                // 0x469345
                                                                                                g8 = g8 & -256 | 2;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                function_46b1f0();
                                                                                                v266 = g4;
                                                                                                // branch -> 0x469352
                                                                                            }
                                                                                            // 0x469352
                                                                                            v262 = v266;
                                                                                            if (*(char *)(v266 - 42) != 0) {
                                                                                                // 0x469358
                                                                                                g8 = 0;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                function_46b1f0();
                                                                                                v262 = g4;
                                                                                                // branch -> 0x469365
                                                                                            }
                                                                                            // 0x469365
                                                                                            if (*(char *)(v262 - 240) == 0) {
                                                                                                // 0x46936e
                                                                                                g6 = -1;
                                                                                                g8 = v262 - 388;
                                                                                                g3 = *(int32_t *)(v262 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            // 0x46920e
                                                                                            *v129 = 0x46921f;
                                                                                            function_46a30c();
                                                                                            v231 = g4;
                                                                                            *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                            v197 = g11;
                                                                                            v143 = v197 - 4;
                                                                                            *(int32_t *)v143 = g4 - 324;
                                                                                            g11 = v143;
                                                                                            g6 = 1;
                                                                                            g8 = 0;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                            function_46ae10();
                                                                                            v234 = g4;
                                                                                            if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                // 0x469247
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                function_46b238();
                                                                                                // branch -> 0x469263
                                                                                            } else {
                                                                                                // 0x469254
                                                                                                g6 = g6 & -256 | 2;
                                                                                                g8 = g8 & -256 | 2;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                function_46ad58();
                                                                                                // branch -> 0x469263
                                                                                            }
                                                                                            // 0x469263
                                                                                            v198 = g4;
                                                                                            g8 = v198 - 324;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469274;
                                                                                            function_46a30c();
                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                            function_469fd8();
                                                                                            *(int32_t *)(g4 - 308) = g3;
                                                                                            *(int32_t *)(g4 - 324) = 5;
                                                                                            *(char *)(g4 - 304) = 1;
                                                                                            v199 = g4;
                                                                                            *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                            v200 = g11;
                                                                                            v144 = v200 - 4;
                                                                                            *(int32_t *)v144 = g4 - 324;
                                                                                            g11 = v144;
                                                                                            g6 = 0;
                                                                                            g8 = 0;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                            function_46ae10();
                                                                                            *(char *)(g4 - 304) = 0;
                                                                                            v235 = g4;
                                                                                            g8 = v235 - 324;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                            v131 = (int32_t *)(g11 - 4);
                                                                                            if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                // 0x4692c5
                                                                                                *v131 = 0x4692d6;
                                                                                                function_46afe8();
                                                                                                // branch -> 0x4692e9
                                                                                            } else {
                                                                                                // 0x4692d8
                                                                                                *v131 = 0x4692e9;
                                                                                                function_46b060();
                                                                                                // branch -> 0x4692e9
                                                                                            }
                                                                                            // 0x4692e9
                                                                                            g6 = -1;
                                                                                            v201 = g4;
                                                                                            g8 = v201 - 324;
                                                                                            g3 = *(int32_t *)(v201 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                            function_469f40();
                                                                                            // branch -> 0x4692fa
                                                                                        }
                                                                                        // 0x4692fa
                                                                                        v260 = g4;
                                                                                        g8 = v260 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                        function_46a30c();
                                                                                        v263 = g4;
                                                                                        if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                            // 0x469314
                                                                                            *(int32_t *)(v263 - 324) = 0;
                                                                                            // branch -> 0x469328
                                                                                        } else {
                                                                                            // 0x46931e
                                                                                            *(int32_t *)(v263 - 324) = 2;
                                                                                            // branch -> 0x469328
                                                                                        }
                                                                                        // 0x469328
                                                                                        v261 = g11;
                                                                                        v259 = v261 - 4;
                                                                                        *(int32_t *)v259 = g4 - 324;
                                                                                        g11 = v259;
                                                                                        v264 = g4;
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                        g6 = g6 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                        *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                        function_46ae10();
                                                                                        v265 = g4;
                                                                                        v266 = v265;
                                                                                        if (*(char *)(v265 - 40) != 0) {
                                                                                            // 0x469345
                                                                                            g8 = g8 & -256 | 2;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469352;
                                                                                            function_46b1f0();
                                                                                            v266 = g4;
                                                                                            // branch -> 0x469352
                                                                                        }
                                                                                        // 0x469352
                                                                                        v262 = v266;
                                                                                        if (*(char *)(v266 - 42) != 0) {
                                                                                            // 0x469358
                                                                                            g8 = 0;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469365;
                                                                                            function_46b1f0();
                                                                                            v262 = g4;
                                                                                            // branch -> 0x469365
                                                                                        }
                                                                                        // 0x469365
                                                                                        if (*(char *)(v262 - 240) == 0) {
                                                                                            // 0x46936e
                                                                                            g6 = -1;
                                                                                            g8 = v262 - 388;
                                                                                            g3 = *(int32_t *)(v262 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x469148
                                                                                // branch -> 0x46914e
                                                                                // 0x46914e
                                                                                *(char *)(v225 - 40) = (char)0;
                                                                                v226 = g4;
                                                                                v227 = v226;
                                                                                if (*(char *)(v226 - 42) != 0) {
                                                                                    // 0x469157
                                                                                    g8 = 0;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469164;
                                                                                    function_46b214();
                                                                                    v227 = g4;
                                                                                    // branch -> 0x469164
                                                                                }
                                                                                // 0x469164
                                                                                v195 = v227;
                                                                                if (*(char *)(v227 - 40) != 0) {
                                                                                    // 0x46916a
                                                                                    g8 = g8 & -256 | 2;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469177;
                                                                                    function_46b214();
                                                                                    v195 = g4;
                                                                                    // branch -> 0x469177
                                                                                }
                                                                                // 0x469177
                                                                                g8 = v195 - 324;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                v129 = (int32_t *)(g11 - 4);
                                                                                if (*(char *)(v195 - 240) == 0) {
                                                                                    // 0x469184
                                                                                    *v129 = 0x469195;
                                                                                    function_46a30c();
                                                                                    v228 = g4;
                                                                                    *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                    v196 = g11;
                                                                                    v142 = v196 - 4;
                                                                                    *(int32_t *)v142 = g4 - 324;
                                                                                    g11 = v142;
                                                                                    g6 = 1;
                                                                                    g8 = 0;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                    function_46ae10();
                                                                                    v229 = g4;
                                                                                    if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                        // 0x4691bd
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                        function_46b238();
                                                                                        // branch -> 0x4691d9
                                                                                    } else {
                                                                                        // 0x4691ca
                                                                                        g6 = g6 & -256 | 2;
                                                                                        g8 = g8 & -256 | 2;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                        function_46ad58();
                                                                                        // branch -> 0x4691d9
                                                                                    }
                                                                                    // 0x4691d9
                                                                                    v230 = g4;
                                                                                    g8 = v230 - 388;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                    v130 = (int32_t *)(g11 - 4);
                                                                                    if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                        // 0x4691e2
                                                                                        *v130 = 0x4691f3;
                                                                                        function_46afe8();
                                                                                        // branch -> 0x4692fa
                                                                                    } else {
                                                                                        // 0x4691f8
                                                                                        *v130 = 0x469209;
                                                                                        function_46b060();
                                                                                        // branch -> 0x4692fa
                                                                                    }
                                                                                    // 0x4692fa
                                                                                    v260 = g4;
                                                                                    g8 = v260 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                    function_46a30c();
                                                                                    v263 = g4;
                                                                                    if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                        // 0x469314
                                                                                        *(int32_t *)(v263 - 324) = 0;
                                                                                        // branch -> 0x469328
                                                                                    } else {
                                                                                        // 0x46931e
                                                                                        *(int32_t *)(v263 - 324) = 2;
                                                                                        // branch -> 0x469328
                                                                                    }
                                                                                    // 0x469328
                                                                                    v261 = g11;
                                                                                    v259 = v261 - 4;
                                                                                    *(int32_t *)v259 = g4 - 324;
                                                                                    g11 = v259;
                                                                                    v264 = g4;
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                    g6 = g6 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                    *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                    function_46ae10();
                                                                                    v265 = g4;
                                                                                    v266 = v265;
                                                                                    if (*(char *)(v265 - 40) != 0) {
                                                                                        // 0x469345
                                                                                        g8 = g8 & -256 | 2;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469352;
                                                                                        function_46b1f0();
                                                                                        v266 = g4;
                                                                                        // branch -> 0x469352
                                                                                    }
                                                                                    // 0x469352
                                                                                    v262 = v266;
                                                                                    if (*(char *)(v266 - 42) != 0) {
                                                                                        // 0x469358
                                                                                        g8 = 0;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469365;
                                                                                        function_46b1f0();
                                                                                        v262 = g4;
                                                                                        // branch -> 0x469365
                                                                                    }
                                                                                    // 0x469365
                                                                                    if (*(char *)(v262 - 240) == 0) {
                                                                                        // 0x46936e
                                                                                        g6 = -1;
                                                                                        g8 = v262 - 388;
                                                                                        g3 = *(int32_t *)(v262 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                } else {
                                                                                    // 0x46920e
                                                                                    *v129 = 0x46921f;
                                                                                    function_46a30c();
                                                                                    v231 = g4;
                                                                                    *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                    v197 = g11;
                                                                                    v143 = v197 - 4;
                                                                                    *(int32_t *)v143 = g4 - 324;
                                                                                    g11 = v143;
                                                                                    g6 = 1;
                                                                                    g8 = 0;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                    function_46ae10();
                                                                                    v234 = g4;
                                                                                    if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                        // 0x469247
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469252;
                                                                                        function_46b238();
                                                                                        // branch -> 0x469263
                                                                                    } else {
                                                                                        // 0x469254
                                                                                        g6 = g6 & -256 | 2;
                                                                                        g8 = g8 & -256 | 2;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469263;
                                                                                        function_46ad58();
                                                                                        // branch -> 0x469263
                                                                                    }
                                                                                    // 0x469263
                                                                                    v198 = g4;
                                                                                    g8 = v198 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469274;
                                                                                    function_46a30c();
                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                    function_469fd8();
                                                                                    *(int32_t *)(g4 - 308) = g3;
                                                                                    *(int32_t *)(g4 - 324) = 5;
                                                                                    *(char *)(g4 - 304) = 1;
                                                                                    v199 = g4;
                                                                                    *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                    v200 = g11;
                                                                                    v144 = v200 - 4;
                                                                                    *(int32_t *)v144 = g4 - 324;
                                                                                    g11 = v144;
                                                                                    g6 = 0;
                                                                                    g8 = 0;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                    function_46ae10();
                                                                                    *(char *)(g4 - 304) = 0;
                                                                                    v235 = g4;
                                                                                    g8 = v235 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                    v131 = (int32_t *)(g11 - 4);
                                                                                    if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                        // 0x4692c5
                                                                                        *v131 = 0x4692d6;
                                                                                        function_46afe8();
                                                                                        // branch -> 0x4692e9
                                                                                    } else {
                                                                                        // 0x4692d8
                                                                                        *v131 = 0x4692e9;
                                                                                        function_46b060();
                                                                                        // branch -> 0x4692e9
                                                                                    }
                                                                                    // 0x4692e9
                                                                                    g6 = -1;
                                                                                    v201 = g4;
                                                                                    g8 = v201 - 324;
                                                                                    g3 = *(int32_t *)(v201 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                    function_469f40();
                                                                                    // branch -> 0x4692fa
                                                                                }
                                                                                // 0x4692fa
                                                                                v260 = g4;
                                                                                g8 = v260 - 324;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                function_46a30c();
                                                                                v263 = g4;
                                                                                if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                    // 0x469314
                                                                                    *(int32_t *)(v263 - 324) = 0;
                                                                                    // branch -> 0x469328
                                                                                } else {
                                                                                    // 0x46931e
                                                                                    *(int32_t *)(v263 - 324) = 2;
                                                                                    // branch -> 0x469328
                                                                                }
                                                                                // 0x469328
                                                                                v261 = g11;
                                                                                v259 = v261 - 4;
                                                                                *(int32_t *)v259 = g4 - 324;
                                                                                g11 = v259;
                                                                                v264 = g4;
                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                g6 = g6 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                function_46ae10();
                                                                                v265 = g4;
                                                                                v266 = v265;
                                                                                if (*(char *)(v265 - 40) != 0) {
                                                                                    // 0x469345
                                                                                    g8 = g8 & -256 | 2;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469352;
                                                                                    function_46b1f0();
                                                                                    v266 = g4;
                                                                                    // branch -> 0x469352
                                                                                }
                                                                                // 0x469352
                                                                                v262 = v266;
                                                                                if (*(char *)(v266 - 42) != 0) {
                                                                                    // 0x469358
                                                                                    g8 = 0;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469365;
                                                                                    function_46b1f0();
                                                                                    v262 = g4;
                                                                                    // branch -> 0x469365
                                                                                }
                                                                                // 0x469365
                                                                                if (*(char *)(v262 - 240) == 0) {
                                                                                    // 0x46936e
                                                                                    g6 = -1;
                                                                                    g8 = v262 - 388;
                                                                                    g3 = *(int32_t *)(v262 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                }
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // 0x468e06
                                                                    *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                    v180 = g4;
                                                                    if (*(char *)(v180 - 240) == 0) {
                                                                        // 0x468e9d
                                                                        v124 = (int32_t *)(v180 - 20);
                                                                        v218 = v180;
                                                                        v232 = v233;
                                                                        if (*v124 == 1) {
                                                                            // 0x468ea3
                                                                            g6 = v180 - 484;
                                                                            g8 = *v124;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                            function_46b3dc();
                                                                            v181 = g4;
                                                                            g8 = v181 - 484;
                                                                            g3 = *(int32_t *)(v181 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                            function_469c8c();
                                                                            *(int32_t *)(g4 - 24) = g3;
                                                                            v182 = g4;
                                                                            g6 = v182 - 548;
                                                                            g8 = *(int32_t *)(v182 - 20);
                                                                            g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468edc;
                                                                            function_46b3dc();
                                                                            v183 = g11;
                                                                            v139 = v183 - 4;
                                                                            *(int32_t *)v139 = g4 - 548;
                                                                            g11 = v139;
                                                                            v215 = g4;
                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                            g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                            *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                            function_46ae10();
                                                                            v216 = g4;
                                                                            g8 = *(int32_t *)(v216 - 20);
                                                                            g3 = *(int32_t *)(v216 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468efe;
                                                                            function_469e18();
                                                                            v217 = g4;
                                                                            *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                            v218 = g4;
                                                                            v232 = g6 & -256 | 1;
                                                                            // branch -> 0x468f04
                                                                        }
                                                                        // 0x468f04
                                                                        v184 = v218;
                                                                        if (*(int32_t *)(v218 - 260) != 1) {
                                                                            // 0x468f0d
                                                                            if (*(int32_t *)(v218 - 252) != 1) {
                                                                                // 0x468f16
                                                                                v125 = (int32_t *)(v218 - 4);
                                                                                if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                    // 0x468f22
                                                                                    g8 = g8 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*v125 + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                    function_46b214();
                                                                                    v184 = g4;
                                                                                    // branch -> 0x468f2f
                                                                                } else {
                                                                                    v184 = v218;
                                                                                }
                                                                            } else {
                                                                                v184 = v218;
                                                                            }
                                                                        }
                                                                        // 0x468f2f
                                                                        v185 = g11;
                                                                        v140 = v185 - 4;
                                                                        *(int32_t *)v140 = v184 - 260;
                                                                        g11 = v140;
                                                                        g6 = v232 & -256 | 1;
                                                                        g8 = g8 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                        *(int32_t *)(v185 - 8) = 0x468f45;
                                                                        function_46ae10();
                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                        g8 = g8 & -256 | 211;
                                                                        *(int32_t *)(g11 - 4) = 0x468f55;
                                                                        function_462278();
                                                                        v219 = g4;
                                                                        v246 = *(char *)(v219 - 20);
                                                                        v258 = g8 & -256;
                                                                        v253 = *(char *)(v219 - 16);
                                                                        g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                        function_462278();
                                                                        v186 = g4;
                                                                        v187 = v186;
                                                                        if (*(int32_t *)(v186 - 260) != 1) {
                                                                            // 0x468f75
                                                                            if (*(int32_t *)(v186 - 252) != 1) {
                                                                                // 0x468f7e
                                                                                v126 = (int32_t *)(v186 - 4);
                                                                                if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                    // 0x468f8a
                                                                                    g8 = g8 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*v126 + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                    function_46b1f0();
                                                                                    v187 = g4;
                                                                                    // branch -> 0x468f97
                                                                                } else {
                                                                                    v187 = v186;
                                                                                }
                                                                            } else {
                                                                                v187 = v186;
                                                                            }
                                                                        }
                                                                        // 0x468f97
                                                                        g6 = -1;
                                                                        g8 = v187 - 260;
                                                                        g3 = *(int32_t *)(v187 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                        function_469f40();
                                                                        // branch -> 0x46937f
                                                                    } else {
                                                                        // 0x468e28
                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                        v236 = g8 & -256;
                                                                        if (*(int32_t *)(v180 - 236) == 1) {
                                                                            // 0x468e31
                                                                            g8 = v236 | 209;
                                                                            *(int32_t *)(g11 - 4) = 0x468e41;
                                                                            function_462278();
                                                                            v212 = g4;
                                                                            v244 = *(char *)(v212 - 20);
                                                                            v256 = g8 & -256;
                                                                            v251 = *(char *)(v212 - 16);
                                                                            g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468e58;
                                                                            function_462278();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468e5d
                                                                            g8 = v236 | 193;
                                                                            *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                            function_462278();
                                                                            v213 = g4;
                                                                            v245 = *(char *)(v213 - 20);
                                                                            v257 = g8 & -256;
                                                                            v252 = *(char *)(v213 - 16);
                                                                            g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468e84;
                                                                            function_462278();
                                                                            v214 = g4;
                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                            *(int32_t *)(g11 - 4) = 0x468e98;
                                                                            function_462278();
                                                                            // branch -> 0x46937f
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            } else {
                                                // 0x468b93
                                                g8 = v164 - 196;
                                                g3 = *(int32_t *)(v164 - 4);
                                                function_469c8c();
                                                *(int32_t *)(g4 - 20) = g3;
                                                v162 = g4;
                                                g11 = (int32_t)&v5;
                                                g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                g6 = g6 & -256 | 1;
                                                g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                function_46ae10();
                                                g6 = -1;
                                                v163 = g4;
                                                g8 = v163 - 196;
                                                g3 = *(int32_t *)(v163 - 4);
                                                function_469f40();
                                                // branch -> 0x468c1b
                                            }
                                            // 0x468c1b
                                            v167 = g4;
                                            if (*(char *)(v167 - 164) != 8) {
                                                // 0x468c24
                                                if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                    // 0x468c30
                                                    g8 = g8 & -256 | 193;
                                                    g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x468c3d;
                                                    function_462278();
                                                    v207 = g4;
                                                    v254 = g8 & -256;
                                                    g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                    g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x468c4e;
                                                    function_462278();
                                                    g8 = g8 & -256 | 16;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x468c5b;
                                                    function_462278();
                                                    // branch -> 0x468c5b
                                                }
                                            }
                                            // 0x468c5b
                                            v208 = g11;
                                            *(int32_t *)(v208 - 4) = 0;
                                            v133 = v208 - 8;
                                            *(int32_t *)v133 = g4 - 260;
                                            g11 = v133;
                                            g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                            *(int32_t *)(v208 - 12) = 0x468c74;
                                            unknown_468108();
                                            v168 = g4;
                                            v211 = v168;
                                            v233 = 0;
                                            if (*(char *)(v168 - 228) != 8) {
                                                // 0x468c7d
                                                v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                if (*(char *)(v243 + 9) == 8) {
                                                    // 0x468c89
                                                    g8 = v168 - 260;
                                                    g3 = *(int32_t *)(v168 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x468c9a;
                                                    function_4673b4();
                                                    *(int32_t *)(g4 - 28) = g3;
                                                    g8 = g8 & -256 | 193;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x468caa;
                                                    function_462278();
                                                    v209 = g4;
                                                    v255 = g8 & -256;
                                                    g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                    g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x468cbb;
                                                    function_462278();
                                                    g8 = g8 & -256 | 16;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                    *(int32_t *)(g11 - 4) = 0x468cc8;
                                                    function_462278();
                                                    v169 = g4;
                                                    g8 = v169 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                    *(int32_t *)(g11 - 4) = 0x468cd9;
                                                    function_46a30c();
                                                    v210 = g4;
                                                    *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                    v211 = g4;
                                                    v233 = -1;
                                                    // branch -> 0x468ce2
                                                } else {
                                                    v211 = v168;
                                                    v233 = 0;
                                                }
                                            }
                                            // 0x468ce2
                                            v123 = (int32_t *)(v211 - 8);
                                            if (*(char *)(*v123 + 13) == 0) {
                                                // 0x468ceb
                                                v170 = g11;
                                                v134 = v170 - 4;
                                                *(int32_t *)v134 = v211 - 260;
                                                g11 = v134;
                                                g6 = v233 & -256 | 1;
                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                *(int32_t *)(v170 - 8) = 0x468d02;
                                                function_46aa40();
                                                g6 = -1;
                                                v171 = g4;
                                                g8 = v171 - 260;
                                                g3 = *(int32_t *)(v171 - 4);
                                                *(int32_t *)(g11 - 4) = 0x468d13;
                                                function_469f40();
                                                // branch -> 0x46937f
                                            } else {
                                                // 0x468d18
                                                if (*(char *)(*v123 + 13) == 1) {
                                                    // 0x468d21
                                                    v172 = g11;
                                                    v135 = v172 - 4;
                                                    *(int32_t *)v135 = v211 - 260;
                                                    g11 = v135;
                                                    g6 = v233 & -256 | 1;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                    *(int32_t *)(v172 - 8) = 0x468d38;
                                                    function_46aac4();
                                                    g6 = -1;
                                                    v173 = g4;
                                                    g8 = v173 - 260;
                                                    g3 = *(int32_t *)(v173 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x468d49;
                                                    function_469f40();
                                                    // branch -> 0x46937f
                                                } else {
                                                    // 0x468d4e
                                                    if (*(char *)(*v123 + 13) == 18) {
                                                        // 0x468d57
                                                        v174 = g11;
                                                        v136 = v174 - 4;
                                                        *(int32_t *)v136 = v211 - 260;
                                                        g11 = v136;
                                                        g6 = v233 & -256 | 1;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                        *(int32_t *)(v174 - 8) = 0x468d6e;
                                                        function_46ab48();
                                                        g6 = -1;
                                                        v175 = g4;
                                                        g8 = v175 - 260;
                                                        g3 = *(int32_t *)(v175 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x468d7f;
                                                        function_469f40();
                                                        // branch -> 0x46937f
                                                    } else {
                                                        // 0x468d84
                                                        if (*(char *)(*v123 + 13) == 19) {
                                                            // 0x468d8d
                                                            v176 = g11;
                                                            v137 = v176 - 4;
                                                            *(int32_t *)v137 = v211 - 260;
                                                            g11 = v137;
                                                            g6 = v233 & -256 | 1;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                            *(int32_t *)(v176 - 8) = 0x468da4;
                                                            function_46abcc();
                                                            g6 = -1;
                                                            v177 = g4;
                                                            g8 = v177 - 260;
                                                            g3 = *(int32_t *)(v177 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x468db5;
                                                            function_469f40();
                                                            // branch -> 0x46937f
                                                        } else {
                                                            // 0x468dba
                                                            if (*(char *)(*v123 + 13) == 20) {
                                                                // 0x468dc3
                                                                v178 = g11;
                                                                v138 = v178 - 4;
                                                                *(int32_t *)v138 = v211 - 260;
                                                                g11 = v138;
                                                                g6 = v233 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                *(int32_t *)(v178 - 8) = 0x468dda;
                                                                function_46ac50();
                                                                g6 = -1;
                                                                v179 = g4;
                                                                g8 = v179 - 260;
                                                                g3 = *(int32_t *)(v179 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x468deb;
                                                                function_469f40();
                                                                // branch -> 0x46937f
                                                            } else {
                                                                // 0x468df0
                                                                if (*(char *)(*v123 + 13) != 22) {
                                                                    // 0x468df9
                                                                    if (*(char *)(*v123 + 13) != 21) {
                                                                        // 0x468fad
                                                                        if (*(char *)(*v123 + 13) == 3) {
                                                                            // 0x468fba
                                                                            if (*(char *)(v211 - 240) == 0) {
                                                                                // 0x469000
                                                                                g6 = -1;
                                                                                g8 = v211 - 260;
                                                                                g3 = *(int32_t *)(v211 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469011;
                                                                                function_4673b4();
                                                                                *(int32_t *)(g4 - 28) = g3;
                                                                                v189 = g4;
                                                                                g8 = v189 - 324;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469025;
                                                                                function_46a30c();
                                                                                v221 = g4;
                                                                                *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                v222 = g4;
                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                g6 = v222 - 324;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469042;
                                                                                function_46b0d8();
                                                                                g6 = -1;
                                                                                v190 = g4;
                                                                                g8 = v190 - 324;
                                                                                g3 = *(int32_t *)(v190 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469053;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468fc3
                                                                                *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                v220 = g4;
                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                g6 = v220 - 260;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                function_46b0d8();
                                                                                *(int32_t *)(g4 - 260) = -1;
                                                                                g6 = -1;
                                                                                v188 = g4;
                                                                                g8 = v188 - 260;
                                                                                g3 = *(int32_t *)(v188 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            // 0x469058
                                                                            v247 = *v123;
                                                                            v132 = v247;
                                                                            if (*(char *)(v247 + 13) != 4) {
                                                                                // 0x469061
                                                                                v248 = *v123;
                                                                                v132 = v248;
                                                                                if (*(char *)(v248 + 13) != 5) {
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x46906e
                                                                            v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                            *v127 = *v127 - 1;
                                                                            v223 = v132;
                                                                            v145 = v223 - 24 & 255 | v223 & -256;
                                                                            g11 -= *(int32_t *)g5;
                                                                            v128 = (char *)v145;
                                                                            *v128 = (char)((int32_t)*v128 + v145);
                                                                            v191 = g4;
                                                                            g8 = v191 - 388;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                            function_46a30c();
                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                            function_469fd8();
                                                                            *(int32_t *)(g4 - 372) = g3;
                                                                            *(int32_t *)(g4 - 388) = 5;
                                                                            v192 = g11;
                                                                            v141 = v192 - 4;
                                                                            *(int32_t *)v141 = g4 - 388;
                                                                            g11 = v141;
                                                                            v193 = g4;
                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                            g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                            *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                            function_46ae10();
                                                                            v194 = g4;
                                                                            g8 = *(int32_t *)(v194 - 324);
                                                                            g3 = *(int32_t *)(v194 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x469102;
                                                                            function_469e18();
                                                                            v224 = g4;
                                                                            v249 = *(int32_t *)(v224 - 4);
                                                                            if (*(char *)(v249 + 0x1814) != 0) {
                                                                                // 0x469127
                                                                                if (*(int32_t *)(v224 - 20) != 0) {
                                                                                    // 0x469131
                                                                                    // branch -> 0x469133
                                                                                    // 0x469133
                                                                                    *(char *)(v224 - 42) = (char)(v249 & -256 | 1);
                                                                                    v225 = g4;
                                                                                    v250 = *(int32_t *)(v225 - 4);
                                                                                    if (*(char *)(v250 + 0x183c) != 0) {
                                                                                        // 0x469142
                                                                                        if (*(int32_t *)(v225 - 20) != 2) {
                                                                                            // 0x46914c
                                                                                            // branch -> 0x46914e
                                                                                            // 0x46914e
                                                                                            *(char *)(v225 - 40) = (char)(v250 & -256 | 1);
                                                                                            v226 = g4;
                                                                                            v227 = v226;
                                                                                            if (*(char *)(v226 - 42) != 0) {
                                                                                                // 0x469157
                                                                                                g8 = 0;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                function_46b214();
                                                                                                v227 = g4;
                                                                                                // branch -> 0x469164
                                                                                            }
                                                                                            // 0x469164
                                                                                            v195 = v227;
                                                                                            if (*(char *)(v227 - 40) != 0) {
                                                                                                // 0x46916a
                                                                                                g8 = g8 & -256 | 2;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                function_46b214();
                                                                                                v195 = g4;
                                                                                                // branch -> 0x469177
                                                                                            }
                                                                                            // 0x469177
                                                                                            g8 = v195 - 324;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                            v129 = (int32_t *)(g11 - 4);
                                                                                            if (*(char *)(v195 - 240) == 0) {
                                                                                                // 0x469184
                                                                                                *v129 = 0x469195;
                                                                                                function_46a30c();
                                                                                                v228 = g4;
                                                                                                *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                v196 = g11;
                                                                                                v142 = v196 - 4;
                                                                                                *(int32_t *)v142 = g4 - 324;
                                                                                                g11 = v142;
                                                                                                g6 = 1;
                                                                                                g8 = 0;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                function_46ae10();
                                                                                                v229 = g4;
                                                                                                if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                    // 0x4691bd
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                    function_46b238();
                                                                                                    // branch -> 0x4691d9
                                                                                                } else {
                                                                                                    // 0x4691ca
                                                                                                    g6 = g6 & -256 | 2;
                                                                                                    g8 = g8 & -256 | 2;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                    function_46ad58();
                                                                                                    // branch -> 0x4691d9
                                                                                                }
                                                                                                // 0x4691d9
                                                                                                v230 = g4;
                                                                                                g8 = v230 - 388;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                v130 = (int32_t *)(g11 - 4);
                                                                                                if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                    // 0x4691e2
                                                                                                    *v130 = 0x4691f3;
                                                                                                    function_46afe8();
                                                                                                    // branch -> 0x4692fa
                                                                                                } else {
                                                                                                    // 0x4691f8
                                                                                                    *v130 = 0x469209;
                                                                                                    function_46b060();
                                                                                                    // branch -> 0x4692fa
                                                                                                }
                                                                                                // 0x4692fa
                                                                                                v260 = g4;
                                                                                                g8 = v260 - 324;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v260 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x46930b;
                                                                                                function_46a30c();
                                                                                                v263 = g4;
                                                                                                if (*(char *)(*(int32_t *)(v263 - 8) + 13) == 4) {
                                                                                                    // 0x469314
                                                                                                    *(int32_t *)(v263 - 324) = 0;
                                                                                                    // branch -> 0x469328
                                                                                                } else {
                                                                                                    // 0x46931e
                                                                                                    *(int32_t *)(v263 - 324) = 2;
                                                                                                    // branch -> 0x469328
                                                                                                }
                                                                                                // 0x469328
                                                                                                v261 = g11;
                                                                                                v259 = v261 - 4;
                                                                                                *(int32_t *)v259 = g4 - 324;
                                                                                                g11 = v259;
                                                                                                v264 = g4;
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v264 - 20);
                                                                                                g6 = g6 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v264 - 4) + 4);
                                                                                                *(int32_t *)(v261 - 8) = 0x46933f;
                                                                                                function_46ae10();
                                                                                                v265 = g4;
                                                                                                v266 = v265;
                                                                                                if (*(char *)(v265 - 40) != 0) {
                                                                                                    // 0x469345
                                                                                                    g8 = g8 & -256 | 2;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v265 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469352;
                                                                                                    function_46b1f0();
                                                                                                    v266 = g4;
                                                                                                    // branch -> 0x469352
                                                                                                }
                                                                                                // 0x469352
                                                                                                v262 = v266;
                                                                                                if (*(char *)(v266 - 42) != 0) {
                                                                                                    // 0x469358
                                                                                                    g8 = 0;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v266 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469365;
                                                                                                    function_46b1f0();
                                                                                                    v262 = g4;
                                                                                                    // branch -> 0x469365
                                                                                                }
                                                                                                // 0x469365
                                                                                                if (*(char *)(v262 - 240) == 0) {
                                                                                                    // 0x46936e
                                                                                                    g6 = -1;
                                                                                                    g8 = v262 - 388;
                                                                                                    g3 = *(int32_t *)(v262 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x46937f;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x46937f
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                // 0x46920e
                                                                                                *v129 = 0x46921f;
                                                                                                function_46a30c();
                                                                                                v231 = g4;
                                                                                                *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                v197 = g11;
                                                                                                v143 = v197 - 4;
                                                                                                *(int32_t *)v143 = g4 - 324;
                                                                                                g11 = v143;
                                                                                                g6 = 1;
                                                                                                g8 = 0;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                function_46ae10();
                                                                                                v234 = g4;
                                                                                                if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                    // 0x469247
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                    function_46b238();
                                                                                                    // branch -> 0x469263
                                                                                                } else {
                                                                                                    // 0x469254
                                                                                                    g6 = g6 & -256 | 2;
                                                                                                    g8 = g8 & -256 | 2;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                    function_46ad58();
                                                                                                    // branch -> 0x469263
                                                                                                }
                                                                                                // 0x469263
                                                                                                v198 = g4;
                                                                                                g8 = v198 - 324;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                function_46a30c();
                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                function_469fd8();
                                                                                                *(int32_t *)(g4 - 308) = g3;
                                                                                                *(int32_t *)(g4 - 324) = 5;
                                                                                                *(char *)(g4 - 304) = 1;
                                                                                                v199 = g4;
                                                                                                *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                v200 = g11;
                                                                                                v144 = v200 - 4;
                                                                                                *(int32_t *)v144 = g4 - 324;
                                                                                                g11 = v144;
                                                                                                g6 = 0;
                                                                                                g8 = 0;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                function_46ae10();
                                                                                                *(char *)(g4 - 304) = 0;
                                                                                                v235 = g4;
                                                                                                g8 = v235 - 324;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                v131 = (int32_t *)(g11 - 4);
                                                                                                if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                    // 0x4692c5
                                                                                                    *v131 = 0x4692d6;
                                                                                                    function_46afe8();
                                                                                                    // branch -> 0x4692e9
                                                                                                } else {
                                                                                                    // 0x4692d8
                                                                                                    *v131 = 0x4692e9;
                                                                                                    function_46b060();
                                                                                                    // branch -> 0x4692e9
                                                                                                }
                                                                                                // 0x4692e9
                                                                                                g6 = -1;
                                                                                                v201 = g4;
                                                                                                g8 = v201 - 324;
                                                                                                g3 = *(int32_t *)(v201 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                function_469f40();
                                                                                                // branch -> 0x4692fa
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x469148
                                                                                    // branch -> 0x46914e
                                                                                    // 0x46914e
                                                                                    *(char *)(v225 - 40) = (char)0;
                                                                                    v226 = g4;
                                                                                    v227 = v226;
                                                                                    if (*(char *)(v226 - 42) != 0) {
                                                                                        // 0x469157
                                                                                        g8 = 0;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469164;
                                                                                        function_46b214();
                                                                                        v227 = g4;
                                                                                        // branch -> 0x469164
                                                                                    }
                                                                                    // 0x469164
                                                                                    v195 = v227;
                                                                                    if (*(char *)(v227 - 40) != 0) {
                                                                                        // 0x46916a
                                                                                        g8 = g8 & -256 | 2;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469177;
                                                                                        function_46b214();
                                                                                        v195 = g4;
                                                                                        // branch -> 0x469177
                                                                                    }
                                                                                    // 0x469177
                                                                                    g8 = v195 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                    v129 = (int32_t *)(g11 - 4);
                                                                                    if (*(char *)(v195 - 240) == 0) {
                                                                                        // 0x469184
                                                                                        *v129 = 0x469195;
                                                                                        function_46a30c();
                                                                                        v228 = g4;
                                                                                        *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                        v196 = g11;
                                                                                        v142 = v196 - 4;
                                                                                        *(int32_t *)v142 = g4 - 324;
                                                                                        g11 = v142;
                                                                                        g6 = 1;
                                                                                        g8 = 0;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                        function_46ae10();
                                                                                        v229 = g4;
                                                                                        if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                            // 0x4691bd
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                            function_46b238();
                                                                                            // branch -> 0x4691d9
                                                                                        } else {
                                                                                            // 0x4691ca
                                                                                            g6 = g6 & -256 | 2;
                                                                                            g8 = g8 & -256 | 2;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                            function_46ad58();
                                                                                            // branch -> 0x4691d9
                                                                                        }
                                                                                        // 0x4691d9
                                                                                        v230 = g4;
                                                                                        g8 = v230 - 388;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                        v130 = (int32_t *)(g11 - 4);
                                                                                        if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                            // 0x4691e2
                                                                                            *v130 = 0x4691f3;
                                                                                            function_46afe8();
                                                                                            // branch -> 0x4692fa
                                                                                        } else {
                                                                                            // 0x4691f8
                                                                                            *v130 = 0x469209;
                                                                                            function_46b060();
                                                                                            // branch -> 0x4692fa
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        // 0x46920e
                                                                                        *v129 = 0x46921f;
                                                                                        function_46a30c();
                                                                                        v231 = g4;
                                                                                        *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                        v197 = g11;
                                                                                        v143 = v197 - 4;
                                                                                        *(int32_t *)v143 = g4 - 324;
                                                                                        g11 = v143;
                                                                                        g6 = 1;
                                                                                        g8 = 0;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                        function_46ae10();
                                                                                        v234 = g4;
                                                                                        if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                            // 0x469247
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469252;
                                                                                            function_46b238();
                                                                                            // branch -> 0x469263
                                                                                        } else {
                                                                                            // 0x469254
                                                                                            g6 = g6 & -256 | 2;
                                                                                            g8 = g8 & -256 | 2;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469263;
                                                                                            function_46ad58();
                                                                                            // branch -> 0x469263
                                                                                        }
                                                                                        // 0x469263
                                                                                        v198 = g4;
                                                                                        g8 = v198 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469274;
                                                                                        function_46a30c();
                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                        function_469fd8();
                                                                                        *(int32_t *)(g4 - 308) = g3;
                                                                                        *(int32_t *)(g4 - 324) = 5;
                                                                                        *(char *)(g4 - 304) = 1;
                                                                                        v199 = g4;
                                                                                        *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                        v200 = g11;
                                                                                        v144 = v200 - 4;
                                                                                        *(int32_t *)v144 = g4 - 324;
                                                                                        g11 = v144;
                                                                                        g6 = 0;
                                                                                        g8 = 0;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                        function_46ae10();
                                                                                        *(char *)(g4 - 304) = 0;
                                                                                        v235 = g4;
                                                                                        g8 = v235 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                        v131 = (int32_t *)(g11 - 4);
                                                                                        if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                            // 0x4692c5
                                                                                            *v131 = 0x4692d6;
                                                                                            function_46afe8();
                                                                                            // branch -> 0x4692e9
                                                                                        } else {
                                                                                            // 0x4692d8
                                                                                            *v131 = 0x4692e9;
                                                                                            function_46b060();
                                                                                            // branch -> 0x4692e9
                                                                                        }
                                                                                        // 0x4692e9
                                                                                        g6 = -1;
                                                                                        v201 = g4;
                                                                                        g8 = v201 - 324;
                                                                                        g3 = *(int32_t *)(v201 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                        function_469f40();
                                                                                        // branch -> 0x4692fa
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x46912d
                                                                            // branch -> 0x469133
                                                                            // 0x469133
                                                                            *(char *)(v224 - 42) = (char)0;
                                                                            v225 = g4;
                                                                            v250 = *(int32_t *)(v225 - 4);
                                                                            if (*(char *)(v250 + 0x183c) != 0) {
                                                                                // 0x469142
                                                                                if (*(int32_t *)(v225 - 20) != 2) {
                                                                                    // 0x46914c
                                                                                    // branch -> 0x46914e
                                                                                    // 0x46914e
                                                                                    *(char *)(v225 - 40) = (char)(v250 & -256 | 1);
                                                                                    v226 = g4;
                                                                                    v227 = v226;
                                                                                    if (*(char *)(v226 - 42) != 0) {
                                                                                        // 0x469157
                                                                                        g8 = 0;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469164;
                                                                                        function_46b214();
                                                                                        v227 = g4;
                                                                                        // branch -> 0x469164
                                                                                    }
                                                                                    // 0x469164
                                                                                    v195 = v227;
                                                                                    if (*(char *)(v227 - 40) != 0) {
                                                                                        // 0x46916a
                                                                                        g8 = g8 & -256 | 2;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469177;
                                                                                        function_46b214();
                                                                                        v195 = g4;
                                                                                        // branch -> 0x469177
                                                                                    }
                                                                                    // 0x469177
                                                                                    g8 = v195 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                    v129 = (int32_t *)(g11 - 4);
                                                                                    if (*(char *)(v195 - 240) == 0) {
                                                                                        // 0x469184
                                                                                        *v129 = 0x469195;
                                                                                        function_46a30c();
                                                                                        v228 = g4;
                                                                                        *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                        v196 = g11;
                                                                                        v142 = v196 - 4;
                                                                                        *(int32_t *)v142 = g4 - 324;
                                                                                        g11 = v142;
                                                                                        g6 = 1;
                                                                                        g8 = 0;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                        function_46ae10();
                                                                                        v229 = g4;
                                                                                        if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                            // 0x4691bd
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                            function_46b238();
                                                                                            // branch -> 0x4691d9
                                                                                        } else {
                                                                                            // 0x4691ca
                                                                                            g6 = g6 & -256 | 2;
                                                                                            g8 = g8 & -256 | 2;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                            function_46ad58();
                                                                                            // branch -> 0x4691d9
                                                                                        }
                                                                                        // 0x4691d9
                                                                                        v230 = g4;
                                                                                        g8 = v230 - 388;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                        v130 = (int32_t *)(g11 - 4);
                                                                                        if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                            // 0x4691e2
                                                                                            *v130 = 0x4691f3;
                                                                                            function_46afe8();
                                                                                            // branch -> 0x4692fa
                                                                                        } else {
                                                                                            // 0x4691f8
                                                                                            *v130 = 0x469209;
                                                                                            function_46b060();
                                                                                            // branch -> 0x4692fa
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        // 0x46920e
                                                                                        *v129 = 0x46921f;
                                                                                        function_46a30c();
                                                                                        v231 = g4;
                                                                                        *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                        v197 = g11;
                                                                                        v143 = v197 - 4;
                                                                                        *(int32_t *)v143 = g4 - 324;
                                                                                        g11 = v143;
                                                                                        g6 = 1;
                                                                                        g8 = 0;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                        function_46ae10();
                                                                                        v234 = g4;
                                                                                        if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                            // 0x469247
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469252;
                                                                                            function_46b238();
                                                                                            // branch -> 0x469263
                                                                                        } else {
                                                                                            // 0x469254
                                                                                            g6 = g6 & -256 | 2;
                                                                                            g8 = g8 & -256 | 2;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469263;
                                                                                            function_46ad58();
                                                                                            // branch -> 0x469263
                                                                                        }
                                                                                        // 0x469263
                                                                                        v198 = g4;
                                                                                        g8 = v198 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469274;
                                                                                        function_46a30c();
                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                        function_469fd8();
                                                                                        *(int32_t *)(g4 - 308) = g3;
                                                                                        *(int32_t *)(g4 - 324) = 5;
                                                                                        *(char *)(g4 - 304) = 1;
                                                                                        v199 = g4;
                                                                                        *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                        v200 = g11;
                                                                                        v144 = v200 - 4;
                                                                                        *(int32_t *)v144 = g4 - 324;
                                                                                        g11 = v144;
                                                                                        g6 = 0;
                                                                                        g8 = 0;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                        function_46ae10();
                                                                                        *(char *)(g4 - 304) = 0;
                                                                                        v235 = g4;
                                                                                        g8 = v235 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                        v131 = (int32_t *)(g11 - 4);
                                                                                        if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                            // 0x4692c5
                                                                                            *v131 = 0x4692d6;
                                                                                            function_46afe8();
                                                                                            // branch -> 0x4692e9
                                                                                        } else {
                                                                                            // 0x4692d8
                                                                                            *v131 = 0x4692e9;
                                                                                            function_46b060();
                                                                                            // branch -> 0x4692e9
                                                                                        }
                                                                                        // 0x4692e9
                                                                                        g6 = -1;
                                                                                        v201 = g4;
                                                                                        g8 = v201 - 324;
                                                                                        g3 = *(int32_t *)(v201 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                        function_469f40();
                                                                                        // branch -> 0x4692fa
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x469148
                                                                            // branch -> 0x46914e
                                                                            // 0x46914e
                                                                            *(char *)(v225 - 40) = (char)0;
                                                                            v226 = g4;
                                                                            v227 = v226;
                                                                            if (*(char *)(v226 - 42) != 0) {
                                                                                // 0x469157
                                                                                g8 = 0;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469164;
                                                                                function_46b214();
                                                                                v227 = g4;
                                                                                // branch -> 0x469164
                                                                            }
                                                                            // 0x469164
                                                                            v195 = v227;
                                                                            if (*(char *)(v227 - 40) != 0) {
                                                                                // 0x46916a
                                                                                g8 = g8 & -256 | 2;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469177;
                                                                                function_46b214();
                                                                                v195 = g4;
                                                                                // branch -> 0x469177
                                                                            }
                                                                            // 0x469177
                                                                            g8 = v195 - 324;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                            v129 = (int32_t *)(g11 - 4);
                                                                            if (*(char *)(v195 - 240) == 0) {
                                                                                // 0x469184
                                                                                *v129 = 0x469195;
                                                                                function_46a30c();
                                                                                v228 = g4;
                                                                                *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                v196 = g11;
                                                                                v142 = v196 - 4;
                                                                                *(int32_t *)v142 = g4 - 324;
                                                                                g11 = v142;
                                                                                g6 = 1;
                                                                                g8 = 0;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                function_46ae10();
                                                                                v229 = g4;
                                                                                if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                    // 0x4691bd
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                    function_46b238();
                                                                                    // branch -> 0x4691d9
                                                                                } else {
                                                                                    // 0x4691ca
                                                                                    g6 = g6 & -256 | 2;
                                                                                    g8 = g8 & -256 | 2;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                    function_46ad58();
                                                                                    // branch -> 0x4691d9
                                                                                }
                                                                                // 0x4691d9
                                                                                v230 = g4;
                                                                                g8 = v230 - 388;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                v130 = (int32_t *)(g11 - 4);
                                                                                if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                    // 0x4691e2
                                                                                    *v130 = 0x4691f3;
                                                                                    function_46afe8();
                                                                                    // branch -> 0x4692fa
                                                                                } else {
                                                                                    // 0x4691f8
                                                                                    *v130 = 0x469209;
                                                                                    function_46b060();
                                                                                    // branch -> 0x4692fa
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            } else {
                                                                                // 0x46920e
                                                                                *v129 = 0x46921f;
                                                                                function_46a30c();
                                                                                v231 = g4;
                                                                                *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                v197 = g11;
                                                                                v143 = v197 - 4;
                                                                                *(int32_t *)v143 = g4 - 324;
                                                                                g11 = v143;
                                                                                g6 = 1;
                                                                                g8 = 0;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                function_46ae10();
                                                                                v234 = g4;
                                                                                if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                    // 0x469247
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469252;
                                                                                    function_46b238();
                                                                                    // branch -> 0x469263
                                                                                } else {
                                                                                    // 0x469254
                                                                                    g6 = g6 & -256 | 2;
                                                                                    g8 = g8 & -256 | 2;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469263;
                                                                                    function_46ad58();
                                                                                    // branch -> 0x469263
                                                                                }
                                                                                // 0x469263
                                                                                v198 = g4;
                                                                                g8 = v198 - 324;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469274;
                                                                                function_46a30c();
                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                function_469fd8();
                                                                                *(int32_t *)(g4 - 308) = g3;
                                                                                *(int32_t *)(g4 - 324) = 5;
                                                                                *(char *)(g4 - 304) = 1;
                                                                                v199 = g4;
                                                                                *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                v200 = g11;
                                                                                v144 = v200 - 4;
                                                                                *(int32_t *)v144 = g4 - 324;
                                                                                g11 = v144;
                                                                                g6 = 0;
                                                                                g8 = 0;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                function_46ae10();
                                                                                *(char *)(g4 - 304) = 0;
                                                                                v235 = g4;
                                                                                g8 = v235 - 324;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                v131 = (int32_t *)(g11 - 4);
                                                                                if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                    // 0x4692c5
                                                                                    *v131 = 0x4692d6;
                                                                                    function_46afe8();
                                                                                    // branch -> 0x4692e9
                                                                                } else {
                                                                                    // 0x4692d8
                                                                                    *v131 = 0x4692e9;
                                                                                    function_46b060();
                                                                                    // branch -> 0x4692e9
                                                                                }
                                                                                // 0x4692e9
                                                                                g6 = -1;
                                                                                v201 = g4;
                                                                                g8 = v201 - 324;
                                                                                g3 = *(int32_t *)(v201 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                function_469f40();
                                                                                // branch -> 0x4692fa
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // 0x468e06
                                                                *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                v180 = g4;
                                                                if (*(char *)(v180 - 240) == 0) {
                                                                    // 0x468e9d
                                                                    v124 = (int32_t *)(v180 - 20);
                                                                    v218 = v180;
                                                                    v232 = v233;
                                                                    if (*v124 == 1) {
                                                                        // 0x468ea3
                                                                        g6 = v180 - 484;
                                                                        g8 = *v124;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                        function_46b3dc();
                                                                        v181 = g4;
                                                                        g8 = v181 - 484;
                                                                        g3 = *(int32_t *)(v181 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                        function_469c8c();
                                                                        *(int32_t *)(g4 - 24) = g3;
                                                                        v182 = g4;
                                                                        g6 = v182 - 548;
                                                                        g8 = *(int32_t *)(v182 - 20);
                                                                        g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468edc;
                                                                        function_46b3dc();
                                                                        v183 = g11;
                                                                        v139 = v183 - 4;
                                                                        *(int32_t *)v139 = g4 - 548;
                                                                        g11 = v139;
                                                                        v215 = g4;
                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                        g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                        *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                        function_46ae10();
                                                                        v216 = g4;
                                                                        g8 = *(int32_t *)(v216 - 20);
                                                                        g3 = *(int32_t *)(v216 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468efe;
                                                                        function_469e18();
                                                                        v217 = g4;
                                                                        *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                        v218 = g4;
                                                                        v232 = g6 & -256 | 1;
                                                                        // branch -> 0x468f04
                                                                    }
                                                                    // 0x468f04
                                                                    v184 = v218;
                                                                    if (*(int32_t *)(v218 - 260) != 1) {
                                                                        // 0x468f0d
                                                                        if (*(int32_t *)(v218 - 252) != 1) {
                                                                            // 0x468f16
                                                                            v125 = (int32_t *)(v218 - 4);
                                                                            if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                // 0x468f22
                                                                                g8 = g8 & -256 | 1;
                                                                                g3 = *(int32_t *)(*v125 + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                function_46b214();
                                                                                v184 = g4;
                                                                                // branch -> 0x468f2f
                                                                            } else {
                                                                                v184 = v218;
                                                                            }
                                                                        } else {
                                                                            v184 = v218;
                                                                        }
                                                                    }
                                                                    // 0x468f2f
                                                                    v185 = g11;
                                                                    v140 = v185 - 4;
                                                                    *(int32_t *)v140 = v184 - 260;
                                                                    g11 = v140;
                                                                    g6 = v232 & -256 | 1;
                                                                    g8 = g8 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                    *(int32_t *)(v185 - 8) = 0x468f45;
                                                                    function_46ae10();
                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                    g8 = g8 & -256 | 211;
                                                                    *(int32_t *)(g11 - 4) = 0x468f55;
                                                                    function_462278();
                                                                    v219 = g4;
                                                                    v246 = *(char *)(v219 - 20);
                                                                    v258 = g8 & -256;
                                                                    v253 = *(char *)(v219 - 16);
                                                                    g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                    *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                    function_462278();
                                                                    v186 = g4;
                                                                    v187 = v186;
                                                                    if (*(int32_t *)(v186 - 260) != 1) {
                                                                        // 0x468f75
                                                                        if (*(int32_t *)(v186 - 252) != 1) {
                                                                            // 0x468f7e
                                                                            v126 = (int32_t *)(v186 - 4);
                                                                            if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                // 0x468f8a
                                                                                g8 = g8 & -256 | 1;
                                                                                g3 = *(int32_t *)(*v126 + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                function_46b1f0();
                                                                                v187 = g4;
                                                                                // branch -> 0x468f97
                                                                            } else {
                                                                                v187 = v186;
                                                                            }
                                                                        } else {
                                                                            v187 = v186;
                                                                        }
                                                                    }
                                                                    // 0x468f97
                                                                    g6 = -1;
                                                                    g8 = v187 - 260;
                                                                    g3 = *(int32_t *)(v187 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                    function_469f40();
                                                                    // branch -> 0x46937f
                                                                } else {
                                                                    // 0x468e28
                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                    v236 = g8 & -256;
                                                                    if (*(int32_t *)(v180 - 236) == 1) {
                                                                        // 0x468e31
                                                                        g8 = v236 | 209;
                                                                        *(int32_t *)(g11 - 4) = 0x468e41;
                                                                        function_462278();
                                                                        v212 = g4;
                                                                        v244 = *(char *)(v212 - 20);
                                                                        v256 = g8 & -256;
                                                                        v251 = *(char *)(v212 - 16);
                                                                        g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468e58;
                                                                        function_462278();
                                                                        // branch -> 0x46937f
                                                                    } else {
                                                                        // 0x468e5d
                                                                        g8 = v236 | 193;
                                                                        *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                        function_462278();
                                                                        v213 = g4;
                                                                        v245 = *(char *)(v213 - 20);
                                                                        v257 = g8 & -256;
                                                                        v252 = *(char *)(v213 - 16);
                                                                        g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468e84;
                                                                        function_462278();
                                                                        v214 = g4;
                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                        *(int32_t *)(g11 - 4) = 0x468e98;
                                                                        function_462278();
                                                                        // branch -> 0x46937f
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                    }
                                }
                                // 0x468878
                                g11 = (int32_t)&v7;
                                g6 = *(int32_t *)(v203 - 12);
                                g8 = *v122;
                                g3 = *(int32_t *)(v203 - 4);
                                function_462be0();
                                // branch -> 0x4693c1
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                        }
                        // 0x468833
                        v202 = g4;
                        v7 = (int32_t *)*(int32_t *)(v202 - 12);
                        v121 = (int32_t *)(v202 - 8);
                        g6 = *v121;
                        g8 = (int32_t)*(char *)(*v121 + 13);
                        g3 = *(int32_t *)(v202 - 4);
                        function_4653e4();
                        // branch -> 0x4693c1
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
            }
            int32_t v273 = *v119; // 0x468514
            if (*(char *)(v273 + 12) == 4) {
                unsigned char v274 = *(char *)(v116 + 12); // 0x46851d
                v7 = (int32_t *)((int32_t)v274 | v273 & -256);
                g6 = *(int32_t *)(v116 - 12);
                g8 = *(int32_t *)(*v119 + 4);
                g3 = *(int32_t *)(v116 - 4);
                function_46816c();
                // branch -> 0x4693c1
                // Detected a possible infinite recursion (goto support failed); quitting...
            } else {
                int32_t v275 = *(int32_t *)(*v119 + 44); // 0x46854d
                int32_t * v276; // 0x46862a_0
                int32_t * v277; // 0x468697_0
                int32_t * v278; // 0x4686a0_0
                int32_t * v279; // 0x4686f2_0
                int32_t * v280; // 0x468703_0
                int32_t * v281; // 0x468791_0
                int32_t v282; // 0x46868e
                int32_t v283; // 0x468735
                int32_t v284; // 0x468606
                int32_t v285; // 0x468612
                int32_t v286; // 0x46861e
                int32_t v287; // 0x46862a
                int32_t v288; // 0x468658
                int32_t v289; // 0x468664
                int32_t v290; // 0x468723
                int32_t v291; // 0x468791
                int32_t v292; // 0x4687d3
                int32_t v293; // 0x4687e5
                int32_t v294; // 0x468802
                int32_t v295; // 0x468609
                int32_t v296; // 0x468615
                int32_t v297; // 0x468621
                int32_t v298; // 0x46863a
                unsigned char v299; // 0x468643
                int32_t v300; // 0x46865b
                int32_t v301; // 0x468667
                int32_t v302; // 0x4686e3
                int32_t v303; // 0x4686e9
                int32_t v304; // 0x468726
                int32_t v305; // 0x468794
                int32_t v306; // 0x4687d6
                int32_t v307; // 0x4687dc
                if (*(char *)(*(int32_t *)(*v119 + 44) + 8) == 1) {
                    int32_t * v308 = (int32_t *)(v116 - 132); // 0x468556_0
                    if (*(char *)(v275 + 104) == 3) {
                        // 0x468556
                        *v308 = 7;
                        *(char *)(g4 - 100) = 4;
                        *(int32_t *)(g4 - 96) = 1;
                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                        // branch -> 0x469a51
                    } else {
                        // 0x468584
                        if (*v308 == -1) {
                            int32_t v309 = *(int32_t *)(*v119 + 44); // 0x468590
                            *(int32_t *)(v116 - 116) = *(int32_t *)(v309 + 72);
                            *(int32_t *)(g4 - 132) = 5;
                            // branch -> 0x468606
                        }
                        // 0x468606
                        v284 = g4;
                        v295 = *(int32_t *)(*(int32_t *)(v284 - 8) + 44);
                        *(char *)(v284 - 100) = *(char *)(v295 + 9);
                        v285 = g4;
                        v296 = *(int32_t *)(*(int32_t *)(v285 - 8) + 44);
                        *(int32_t *)(v285 - 96) = *(int32_t *)(v296 + 40);
                        v286 = g4;
                        v297 = *(int32_t *)(*(int32_t *)(v286 - 8) + 44);
                        *(char *)(v286 - 92) = *(char *)(v297 + 99);
                        v287 = g4;
                        v276 = (int32_t *)(v287 - 8);
                        if (*(char *)(*v276 + 20) == 0) {
                            // 0x468808
                            v120 = (int32_t *)(g4 - 8);
                            if (*(char *)(*v120 + 12) == 3) {
                                // 0x468815
                                v237 = *v120;
                                g3 = (int32_t)*(char *)(v237 + 13) | v237 & -256;
                                function_459cb0();
                                if (g3 == 0) {
                                    // 0x468824
                                    v238 = *(int32_t *)(g4 - 8);
                                    g3 = (int32_t)*(char *)(v238 + 13) | v238 & -256;
                                    function_459d30();
                                    if (g3 == 0) {
                                        // 0x468854
                                        v203 = g4;
                                        v122 = (int32_t *)(v203 - 8);
                                        v239 = *(int32_t *)(*v122 + 4);
                                        if (*(char *)(*(int32_t *)(v239 + 56) + 9) != 3) {
                                            // 0x468863
                                            v240 = *(int32_t *)(*v122 + 8);
                                            if (*(char *)(*(int32_t *)(v240 + 56) + 9) != 3) {
                                                // 0x468872
                                                if (*(char *)(v203 - 37) != 3) {
                                                    // 0x468892
                                                    v241 = *(int32_t *)(*v122 + 4);
                                                    if (*(char *)(*(int32_t *)(v241 + 56) + 9) == 8) {
                                                        // 0x4688a5
                                                        v242 = *(int32_t *)(*v122 + 8);
                                                        if (*(char *)(*(int32_t *)(v242 + 56) + 9) == 8) {
                                                            // 0x4688b8
                                                            if (*(char *)(*v122 + 13) != 4) {
                                                                // 0x4688c1
                                                                if (*(char *)(*v122 + 13) != 5) {
                                                                    // 0x468a14
                                                                    if (*(char *)(*v122 + 13) == 3) {
                                                                        // 0x468a21
                                                                        v7 = NULL;
                                                                        g6 = 0;
                                                                        unknown_468108();
                                                                        v154 = g4;
                                                                        g8 = v154 - 196;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v154 - 4) + 4);
                                                                        function_46b59c();
                                                                        v155 = g4;
                                                                        g8 = v155 - 196;
                                                                        g3 = *(int32_t *)(v155 - 4);
                                                                        function_469f40();
                                                                        v156 = g4;
                                                                        g8 = v156 - 324;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v156 - 4) + 4);
                                                                        function_46a30c();
                                                                        v5 = (int32_t *)0x47800000;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                        function_463ffc();
                                                                        *(int32_t *)(g4 - 308) = g3;
                                                                        v157 = g4;
                                                                        g8 = v157 - 324;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v157 - 4) + 4);
                                                                        function_46b9d4();
                                                                        g11 = (int32_t)&v12;
                                                                        g6 = 0;
                                                                        unknown_468108();
                                                                        v158 = g4;
                                                                        g8 = v158 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v158 - 4) + 4);
                                                                        function_46b95c();
                                                                        g6 = -1;
                                                                        v159 = g4;
                                                                        g8 = v159 - 260;
                                                                        g3 = *(int32_t *)(v159 - 4);
                                                                        function_469f40();
                                                                        v160 = g4;
                                                                        g8 = v160 - 324;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v160 - 4) + 4);
                                                                        function_46b9d4();
                                                                        v161 = g4;
                                                                        g8 = v161 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v161 - 4) + 4);
                                                                        function_46a30c();
                                                                        *(int32_t *)(g4 - 260) = 5;
                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                        function_469fd8();
                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                        v205 = g4;
                                                                        g8 = v205 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v205 - 4) + 4);
                                                                        if (*(char *)(v205 - 37) == 3) {
                                                                            // 0x468b2e
                                                                            function_46b614();
                                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                            // branch -> 0x469a51
                                                                        } else {
                                                                            // 0x468b4b
                                                                            function_46b68c();
                                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                            // branch -> 0x469a51
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        // 0x468b68
                                                                        v7 = NULL;
                                                                        g11 = v4;
                                                                        g6 = 0;
                                                                        unknown_468108();
                                                                        g8 = g4 - 196;
                                                                        function_46a168();
                                                                        v164 = g4;
                                                                        if (g3 == 0) {
                                                                            // 0x468bce
                                                                            v206 = v164 - 196;
                                                                            if (*(char *)(v164 - 176) == 0) {
                                                                                // 0x468bd7
                                                                                *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                                // branch -> 0x468c1b
                                                                            } else {
                                                                                // 0x468be2
                                                                                g8 = v206;
                                                                                g3 = *(int32_t *)(v164 - 4);
                                                                                function_469c8c();
                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                v165 = g4;
                                                                                g11 = (int32_t)&v5;
                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                                g6 = g6 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                                function_46ae10();
                                                                                g6 = -1;
                                                                                v166 = g4;
                                                                                g8 = v166 - 196;
                                                                                g3 = *(int32_t *)(v166 - 4);
                                                                                function_469f40();
                                                                                // branch -> 0x468c1b
                                                                            }
                                                                            // 0x468c1b
                                                                            v167 = g4;
                                                                            if (*(char *)(v167 - 164) != 8) {
                                                                                // 0x468c24
                                                                                if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                                    // 0x468c30
                                                                                    g8 = g8 & -256 | 193;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                                    *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                                    function_462278();
                                                                                    v207 = g4;
                                                                                    v254 = g8 & -256;
                                                                                    g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                                    *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                                    function_462278();
                                                                                    g8 = g8 & -256 | 16;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                    *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                                    function_462278();
                                                                                    // branch -> 0x468c5b
                                                                                }
                                                                            }
                                                                            // 0x468c5b
                                                                            v208 = g11;
                                                                            *(int32_t *)(v208 - 4) = 0;
                                                                            v133 = v208 - 8;
                                                                            *(int32_t *)v133 = g4 - 260;
                                                                            g11 = v133;
                                                                            g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                            *(int32_t *)(v208 - 12) = 0x468c74;
                                                                            unknown_468108();
                                                                            v168 = g4;
                                                                            v211 = v168;
                                                                            v233 = 0;
                                                                            if (*(char *)(v168 - 228) != 8) {
                                                                                // 0x468c7d
                                                                                v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                                if (*(char *)(v243 + 9) == 8) {
                                                                                    // 0x468c89
                                                                                    g8 = v168 - 260;
                                                                                    g3 = *(int32_t *)(v168 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                                    function_4673b4();
                                                                                    *(int32_t *)(g4 - 28) = g3;
                                                                                    g8 = g8 & -256 | 193;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                    *(int32_t *)(g11 - 4) = 0x468caa;
                                                                                    function_462278();
                                                                                    v209 = g4;
                                                                                    v255 = g8 & -256;
                                                                                    g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                                    *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                                    function_462278();
                                                                                    g8 = g8 & -256 | 16;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                    *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                                    function_462278();
                                                                                    v169 = g4;
                                                                                    g8 = v169 - 260;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                                    function_46a30c();
                                                                                    v210 = g4;
                                                                                    *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                                    v211 = g4;
                                                                                    v233 = -1;
                                                                                    // branch -> 0x468ce2
                                                                                } else {
                                                                                    v211 = v168;
                                                                                    v233 = 0;
                                                                                }
                                                                            }
                                                                            // 0x468ce2
                                                                            v123 = (int32_t *)(v211 - 8);
                                                                            if (*(char *)(*v123 + 13) == 0) {
                                                                                // 0x468ceb
                                                                                v170 = g11;
                                                                                v134 = v170 - 4;
                                                                                *(int32_t *)v134 = v211 - 260;
                                                                                g11 = v134;
                                                                                g6 = v233 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v170 - 8) = 0x468d02;
                                                                                function_46aa40();
                                                                                g6 = -1;
                                                                                v171 = g4;
                                                                                g8 = v171 - 260;
                                                                                g3 = *(int32_t *)(v171 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468d13;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468d18
                                                                                if (*(char *)(*v123 + 13) == 1) {
                                                                                    // 0x468d21
                                                                                    v172 = g11;
                                                                                    v135 = v172 - 4;
                                                                                    *(int32_t *)v135 = v211 - 260;
                                                                                    g11 = v135;
                                                                                    g6 = v233 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v172 - 8) = 0x468d38;
                                                                                    function_46aac4();
                                                                                    g6 = -1;
                                                                                    v173 = g4;
                                                                                    g8 = v173 - 260;
                                                                                    g3 = *(int32_t *)(v173 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468d49;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468d4e
                                                                                    if (*(char *)(*v123 + 13) == 18) {
                                                                                        // 0x468d57
                                                                                        v174 = g11;
                                                                                        v136 = v174 - 4;
                                                                                        *(int32_t *)v136 = v211 - 260;
                                                                                        g11 = v136;
                                                                                        g6 = v233 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                        function_46ab48();
                                                                                        g6 = -1;
                                                                                        v175 = g4;
                                                                                        g8 = v175 - 260;
                                                                                        g3 = *(int32_t *)(v175 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468d84
                                                                                        if (*(char *)(*v123 + 13) == 19) {
                                                                                            // 0x468d8d
                                                                                            v176 = g11;
                                                                                            v137 = v176 - 4;
                                                                                            *(int32_t *)v137 = v211 - 260;
                                                                                            g11 = v137;
                                                                                            g6 = v233 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                            function_46abcc();
                                                                                            g6 = -1;
                                                                                            v177 = g4;
                                                                                            g8 = v177 - 260;
                                                                                            g3 = *(int32_t *)(v177 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468dba
                                                                                            if (*(char *)(*v123 + 13) == 20) {
                                                                                                // 0x468dc3
                                                                                                v178 = g11;
                                                                                                v138 = v178 - 4;
                                                                                                *(int32_t *)v138 = v211 - 260;
                                                                                                g11 = v138;
                                                                                                g6 = v233 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                                function_46ac50();
                                                                                                g6 = -1;
                                                                                                v179 = g4;
                                                                                                g8 = v179 - 260;
                                                                                                g3 = *(int32_t *)(v179 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468df0
                                                                                                if (*(char *)(*v123 + 13) != 22) {
                                                                                                    // 0x468df9
                                                                                                    if (*(char *)(*v123 + 13) != 21) {
                                                                                                        // 0x468fad
                                                                                                        if (*(char *)(*v123 + 13) == 3) {
                                                                                                            // 0x468fba
                                                                                                            if (*(char *)(v211 - 240) == 0) {
                                                                                                                // 0x469000
                                                                                                                g6 = -1;
                                                                                                                g8 = v211 - 260;
                                                                                                                g3 = *(int32_t *)(v211 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                                function_4673b4();
                                                                                                                *(int32_t *)(g4 - 28) = g3;
                                                                                                                v189 = g4;
                                                                                                                g8 = v189 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                                function_46a30c();
                                                                                                                v221 = g4;
                                                                                                                *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                                v222 = g4;
                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                                g6 = v222 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                                function_46b0d8();
                                                                                                                g6 = -1;
                                                                                                                v190 = g4;
                                                                                                                g8 = v190 - 324;
                                                                                                                g3 = *(int32_t *)(v190 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x46937f
                                                                                                            } else {
                                                                                                                // 0x468fc3
                                                                                                                *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                                v220 = g4;
                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                                g6 = v220 - 260;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                                function_46b0d8();
                                                                                                                *(int32_t *)(g4 - 260) = -1;
                                                                                                                g6 = -1;
                                                                                                                v188 = g4;
                                                                                                                g8 = v188 - 260;
                                                                                                                g3 = *(int32_t *)(v188 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x46937f
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        } else {
                                                                                                            // 0x469058
                                                                                                            v247 = *v123;
                                                                                                            v132 = v247;
                                                                                                            if (*(char *)(v247 + 13) != 4) {
                                                                                                                // 0x469061
                                                                                                                v248 = *v123;
                                                                                                                v132 = v248;
                                                                                                                if (*(char *)(v248 + 13) != 5) {
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x46906e
                                                                                                            v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                            *v127 = *v127 - 1;
                                                                                                            v223 = v132;
                                                                                                            v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                            g11 -= *(int32_t *)g5;
                                                                                                            v128 = (char *)v145;
                                                                                                            *v128 = (char)((int32_t)*v128 + v145);
                                                                                                            v191 = g4;
                                                                                                            g8 = v191 - 388;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                            function_46a30c();
                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                            function_469fd8();
                                                                                                            *(int32_t *)(g4 - 372) = g3;
                                                                                                            *(int32_t *)(g4 - 388) = 5;
                                                                                                            v192 = g11;
                                                                                                            v141 = v192 - 4;
                                                                                                            *(int32_t *)v141 = g4 - 388;
                                                                                                            g11 = v141;
                                                                                                            v193 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                            *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                            function_46ae10();
                                                                                                            v194 = g4;
                                                                                                            g8 = *(int32_t *)(v194 - 324);
                                                                                                            g3 = *(int32_t *)(v194 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                            function_469e18();
                                                                                                            v224 = g4;
                                                                                                            v249 = *(int32_t *)(v224 - 4);
                                                                                                            if (*(char *)(v249 + 0x1814) != 0) {
                                                                                                                // 0x469127
                                                                                                                if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                                    // 0x469131
                                                                                                                    // branch -> 0x469133
                                                                                                                    // 0x469133
                                                                                                                    *(char *)(v224 - 42) = (char)(v249 & -256 | 1);
                                                                                                                    v225 = g4;
                                                                                                                    v250 = *(int32_t *)(v225 - 4);
                                                                                                                    if (*(char *)(v250 + 0x183c) != 0) {
                                                                                                                        // 0x469142
                                                                                                                        if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                            // 0x46914c
                                                                                                                            // branch -> 0x46914e
                                                                                                                            // 0x46914e
                                                                                                                            *(char *)(v225 - 40) = (char)(v250 & -256 | 1);
                                                                                                                            v226 = g4;
                                                                                                                            v227 = v226;
                                                                                                                            if (*(char *)(v226 - 42) != 0) {
                                                                                                                                // 0x469157
                                                                                                                                g8 = 0;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                                                function_46b214();
                                                                                                                                v227 = g4;
                                                                                                                                // branch -> 0x469164
                                                                                                                            }
                                                                                                                            // 0x469164
                                                                                                                            v195 = v227;
                                                                                                                            if (*(char *)(v227 - 40) != 0) {
                                                                                                                                // 0x46916a
                                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                                                function_46b214();
                                                                                                                                v195 = g4;
                                                                                                                                // branch -> 0x469177
                                                                                                                            }
                                                                                                                            // 0x469177
                                                                                                                            g8 = v195 - 324;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                                            v129 = (int32_t *)(g11 - 4);
                                                                                                                            if (*(char *)(v195 - 240) == 0) {
                                                                                                                                // 0x469184
                                                                                                                                *v129 = 0x469195;
                                                                                                                                function_46a30c();
                                                                                                                                v228 = g4;
                                                                                                                                *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                                                v196 = g11;
                                                                                                                                v142 = v196 - 4;
                                                                                                                                *(int32_t *)v142 = g4 - 324;
                                                                                                                                g11 = v142;
                                                                                                                                g6 = 1;
                                                                                                                                g8 = 0;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                                *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                                                function_46ae10();
                                                                                                                                v229 = g4;
                                                                                                                                if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                                    // 0x4691bd
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                                    function_46b238();
                                                                                                                                    // branch -> 0x4691d9
                                                                                                                                } else {
                                                                                                                                    // 0x4691ca
                                                                                                                                    g6 = g6 & -256 | 2;
                                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                                    function_46ad58();
                                                                                                                                    // branch -> 0x4691d9
                                                                                                                                }
                                                                                                                                // 0x4691d9
                                                                                                                                v230 = g4;
                                                                                                                                g8 = v230 - 388;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                                                v130 = (int32_t *)(g11 - 4);
                                                                                                                                if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                                    // 0x4691e2
                                                                                                                                    *v130 = 0x4691f3;
                                                                                                                                    function_46afe8();
                                                                                                                                    // branch -> 0x4692fa
                                                                                                                                } else {
                                                                                                                                    // 0x4691f8
                                                                                                                                    *v130 = 0x469209;
                                                                                                                                    function_46b060();
                                                                                                                                    // branch -> 0x4692fa
                                                                                                                                }
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            } else {
                                                                                                                                // 0x46920e
                                                                                                                                *v129 = 0x46921f;
                                                                                                                                function_46a30c();
                                                                                                                                v231 = g4;
                                                                                                                                *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                                                v197 = g11;
                                                                                                                                v143 = v197 - 4;
                                                                                                                                *(int32_t *)v143 = g4 - 324;
                                                                                                                                g11 = v143;
                                                                                                                                g6 = 1;
                                                                                                                                g8 = 0;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                                *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                                                function_46ae10();
                                                                                                                                v234 = g4;
                                                                                                                                if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                                    // 0x469247
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                                    function_46b238();
                                                                                                                                    // branch -> 0x469263
                                                                                                                                } else {
                                                                                                                                    // 0x469254
                                                                                                                                    g6 = g6 & -256 | 2;
                                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                                    *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                                    function_46ad58();
                                                                                                                                    // branch -> 0x469263
                                                                                                                                }
                                                                                                                                // 0x469263
                                                                                                                                v198 = g4;
                                                                                                                                g8 = v198 - 324;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                                                function_46a30c();
                                                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                                                function_469fd8();
                                                                                                                                *(int32_t *)(g4 - 308) = g3;
                                                                                                                                *(int32_t *)(g4 - 324) = 5;
                                                                                                                                *(char *)(g4 - 304) = 1;
                                                                                                                                v199 = g4;
                                                                                                                                *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                                                v200 = g11;
                                                                                                                                v144 = v200 - 4;
                                                                                                                                *(int32_t *)v144 = g4 - 324;
                                                                                                                                g11 = v144;
                                                                                                                                g6 = 0;
                                                                                                                                g8 = 0;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                                *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                                                function_46ae10();
                                                                                                                                *(char *)(g4 - 304) = 0;
                                                                                                                                v235 = g4;
                                                                                                                                g8 = v235 - 324;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                                                v131 = (int32_t *)(g11 - 4);
                                                                                                                                if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                                    // 0x4692c5
                                                                                                                                    *v131 = 0x4692d6;
                                                                                                                                    function_46afe8();
                                                                                                                                    // branch -> 0x4692e9
                                                                                                                                } else {
                                                                                                                                    // 0x4692d8
                                                                                                                                    *v131 = 0x4692e9;
                                                                                                                                    function_46b060();
                                                                                                                                    // branch -> 0x4692e9
                                                                                                                                }
                                                                                                                                // 0x4692e9
                                                                                                                                g6 = -1;
                                                                                                                                v201 = g4;
                                                                                                                                g8 = v201 - 324;
                                                                                                                                g3 = *(int32_t *)(v201 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                                                function_469f40();
                                                                                                                                // branch -> 0x4692fa
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x469148
                                                                                                                    // branch -> 0x46914e
                                                                                                                    // 0x46914e
                                                                                                                    *(char *)(v225 - 40) = (char)0;
                                                                                                                    v226 = g4;
                                                                                                                    v227 = v226;
                                                                                                                    if (*(char *)(v226 - 42) != 0) {
                                                                                                                        // 0x469157
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                                        function_46b214();
                                                                                                                        v227 = g4;
                                                                                                                        // branch -> 0x469164
                                                                                                                    }
                                                                                                                    // 0x469164
                                                                                                                    v195 = v227;
                                                                                                                    if (*(char *)(v227 - 40) != 0) {
                                                                                                                        // 0x46916a
                                                                                                                        g8 = g8 & -256 | 2;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                                        function_46b214();
                                                                                                                        v195 = g4;
                                                                                                                        // branch -> 0x469177
                                                                                                                    }
                                                                                                                    // 0x469177
                                                                                                                    g8 = v195 - 324;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                                    v129 = (int32_t *)(g11 - 4);
                                                                                                                    if (*(char *)(v195 - 240) == 0) {
                                                                                                                        // 0x469184
                                                                                                                        *v129 = 0x469195;
                                                                                                                        function_46a30c();
                                                                                                                        v228 = g4;
                                                                                                                        *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                                        v196 = g11;
                                                                                                                        v142 = v196 - 4;
                                                                                                                        *(int32_t *)v142 = g4 - 324;
                                                                                                                        g11 = v142;
                                                                                                                        g6 = 1;
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                        *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                                        function_46ae10();
                                                                                                                        v229 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                            // 0x4691bd
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                            function_46b238();
                                                                                                                            // branch -> 0x4691d9
                                                                                                                        } else {
                                                                                                                            // 0x4691ca
                                                                                                                            g6 = g6 & -256 | 2;
                                                                                                                            g8 = g8 & -256 | 2;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                            function_46ad58();
                                                                                                                            // branch -> 0x4691d9
                                                                                                                        }
                                                                                                                        // 0x4691d9
                                                                                                                        v230 = g4;
                                                                                                                        g8 = v230 - 388;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                                        v130 = (int32_t *)(g11 - 4);
                                                                                                                        if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                            // 0x4691e2
                                                                                                                            *v130 = 0x4691f3;
                                                                                                                            function_46afe8();
                                                                                                                            // branch -> 0x4692fa
                                                                                                                        } else {
                                                                                                                            // 0x4691f8
                                                                                                                            *v130 = 0x469209;
                                                                                                                            function_46b060();
                                                                                                                            // branch -> 0x4692fa
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x46920e
                                                                                                                        *v129 = 0x46921f;
                                                                                                                        function_46a30c();
                                                                                                                        v231 = g4;
                                                                                                                        *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                                        v197 = g11;
                                                                                                                        v143 = v197 - 4;
                                                                                                                        *(int32_t *)v143 = g4 - 324;
                                                                                                                        g11 = v143;
                                                                                                                        g6 = 1;
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                        *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                                        function_46ae10();
                                                                                                                        v234 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                            // 0x469247
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                            function_46b238();
                                                                                                                            // branch -> 0x469263
                                                                                                                        } else {
                                                                                                                            // 0x469254
                                                                                                                            g6 = g6 & -256 | 2;
                                                                                                                            g8 = g8 & -256 | 2;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                            function_46ad58();
                                                                                                                            // branch -> 0x469263
                                                                                                                        }
                                                                                                                        // 0x469263
                                                                                                                        v198 = g4;
                                                                                                                        g8 = v198 - 324;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                                        function_46a30c();
                                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                                        function_469fd8();
                                                                                                                        *(int32_t *)(g4 - 308) = g3;
                                                                                                                        *(int32_t *)(g4 - 324) = 5;
                                                                                                                        *(char *)(g4 - 304) = 1;
                                                                                                                        v199 = g4;
                                                                                                                        *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                                        v200 = g11;
                                                                                                                        v144 = v200 - 4;
                                                                                                                        *(int32_t *)v144 = g4 - 324;
                                                                                                                        g11 = v144;
                                                                                                                        g6 = 0;
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                        *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                                        function_46ae10();
                                                                                                                        *(char *)(g4 - 304) = 0;
                                                                                                                        v235 = g4;
                                                                                                                        g8 = v235 - 324;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                                        v131 = (int32_t *)(g11 - 4);
                                                                                                                        if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                            // 0x4692c5
                                                                                                                            *v131 = 0x4692d6;
                                                                                                                            function_46afe8();
                                                                                                                            // branch -> 0x4692e9
                                                                                                                        } else {
                                                                                                                            // 0x4692d8
                                                                                                                            *v131 = 0x4692e9;
                                                                                                                            function_46b060();
                                                                                                                            // branch -> 0x4692e9
                                                                                                                        }
                                                                                                                        // 0x4692e9
                                                                                                                        g6 = -1;
                                                                                                                        v201 = g4;
                                                                                                                        g8 = v201 - 324;
                                                                                                                        g3 = *(int32_t *)(v201 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                                        function_469f40();
                                                                                                                        // branch -> 0x4692fa
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x46912d
                                                                                                            // branch -> 0x469133
                                                                                                            // 0x469133
                                                                                                            *(char *)(v224 - 42) = (char)0;
                                                                                                            v225 = g4;
                                                                                                            v250 = *(int32_t *)(v225 - 4);
                                                                                                            if (*(char *)(v250 + 0x183c) != 0) {
                                                                                                                // 0x469142
                                                                                                                if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                    // 0x46914c
                                                                                                                    // branch -> 0x46914e
                                                                                                                    // 0x46914e
                                                                                                                    *(char *)(v225 - 40) = (char)(v250 & -256 | 1);
                                                                                                                    v226 = g4;
                                                                                                                    v227 = v226;
                                                                                                                    if (*(char *)(v226 - 42) != 0) {
                                                                                                                        // 0x469157
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                                        function_46b214();
                                                                                                                        v227 = g4;
                                                                                                                        // branch -> 0x469164
                                                                                                                    }
                                                                                                                    // 0x469164
                                                                                                                    v195 = v227;
                                                                                                                    if (*(char *)(v227 - 40) != 0) {
                                                                                                                        // 0x46916a
                                                                                                                        g8 = g8 & -256 | 2;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                                        function_46b214();
                                                                                                                        v195 = g4;
                                                                                                                        // branch -> 0x469177
                                                                                                                    }
                                                                                                                    // 0x469177
                                                                                                                    g8 = v195 - 324;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                                    v129 = (int32_t *)(g11 - 4);
                                                                                                                    if (*(char *)(v195 - 240) == 0) {
                                                                                                                        // 0x469184
                                                                                                                        *v129 = 0x469195;
                                                                                                                        function_46a30c();
                                                                                                                        v228 = g4;
                                                                                                                        *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                                        v196 = g11;
                                                                                                                        v142 = v196 - 4;
                                                                                                                        *(int32_t *)v142 = g4 - 324;
                                                                                                                        g11 = v142;
                                                                                                                        g6 = 1;
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                        *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                                        function_46ae10();
                                                                                                                        v229 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                            // 0x4691bd
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                            function_46b238();
                                                                                                                            // branch -> 0x4691d9
                                                                                                                        } else {
                                                                                                                            // 0x4691ca
                                                                                                                            g6 = g6 & -256 | 2;
                                                                                                                            g8 = g8 & -256 | 2;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                            function_46ad58();
                                                                                                                            // branch -> 0x4691d9
                                                                                                                        }
                                                                                                                        // 0x4691d9
                                                                                                                        v230 = g4;
                                                                                                                        g8 = v230 - 388;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                                        v130 = (int32_t *)(g11 - 4);
                                                                                                                        if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                            // 0x4691e2
                                                                                                                            *v130 = 0x4691f3;
                                                                                                                            function_46afe8();
                                                                                                                            // branch -> 0x4692fa
                                                                                                                        } else {
                                                                                                                            // 0x4691f8
                                                                                                                            *v130 = 0x469209;
                                                                                                                            function_46b060();
                                                                                                                            // branch -> 0x4692fa
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x46920e
                                                                                                                        *v129 = 0x46921f;
                                                                                                                        function_46a30c();
                                                                                                                        v231 = g4;
                                                                                                                        *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                                        v197 = g11;
                                                                                                                        v143 = v197 - 4;
                                                                                                                        *(int32_t *)v143 = g4 - 324;
                                                                                                                        g11 = v143;
                                                                                                                        g6 = 1;
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                        *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                                        function_46ae10();
                                                                                                                        v234 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                            // 0x469247
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                            function_46b238();
                                                                                                                            // branch -> 0x469263
                                                                                                                        } else {
                                                                                                                            // 0x469254
                                                                                                                            g6 = g6 & -256 | 2;
                                                                                                                            g8 = g8 & -256 | 2;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                            function_46ad58();
                                                                                                                            // branch -> 0x469263
                                                                                                                        }
                                                                                                                        // 0x469263
                                                                                                                        v198 = g4;
                                                                                                                        g8 = v198 - 324;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                                        function_46a30c();
                                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                                        function_469fd8();
                                                                                                                        *(int32_t *)(g4 - 308) = g3;
                                                                                                                        *(int32_t *)(g4 - 324) = 5;
                                                                                                                        *(char *)(g4 - 304) = 1;
                                                                                                                        v199 = g4;
                                                                                                                        *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                                        v200 = g11;
                                                                                                                        v144 = v200 - 4;
                                                                                                                        *(int32_t *)v144 = g4 - 324;
                                                                                                                        g11 = v144;
                                                                                                                        g6 = 0;
                                                                                                                        g8 = 0;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                        *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                                        function_46ae10();
                                                                                                                        *(char *)(g4 - 304) = 0;
                                                                                                                        v235 = g4;
                                                                                                                        g8 = v235 - 324;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                                        v131 = (int32_t *)(g11 - 4);
                                                                                                                        if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                            // 0x4692c5
                                                                                                                            *v131 = 0x4692d6;
                                                                                                                            function_46afe8();
                                                                                                                            // branch -> 0x4692e9
                                                                                                                        } else {
                                                                                                                            // 0x4692d8
                                                                                                                            *v131 = 0x4692e9;
                                                                                                                            function_46b060();
                                                                                                                            // branch -> 0x4692e9
                                                                                                                        }
                                                                                                                        // 0x4692e9
                                                                                                                        g6 = -1;
                                                                                                                        v201 = g4;
                                                                                                                        g8 = v201 - 324;
                                                                                                                        g3 = *(int32_t *)(v201 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                                        function_469f40();
                                                                                                                        // branch -> 0x4692fa
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x469148
                                                                                                            // branch -> 0x46914e
                                                                                                            // 0x46914e
                                                                                                            *(char *)(v225 - 40) = (char)0;
                                                                                                            v226 = g4;
                                                                                                            v227 = v226;
                                                                                                            if (*(char *)(v226 - 42) != 0) {
                                                                                                                // 0x469157
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                                function_46b214();
                                                                                                                v227 = g4;
                                                                                                                // branch -> 0x469164
                                                                                                            }
                                                                                                            // 0x469164
                                                                                                            v195 = v227;
                                                                                                            if (*(char *)(v227 - 40) != 0) {
                                                                                                                // 0x46916a
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                                function_46b214();
                                                                                                                v195 = g4;
                                                                                                                // branch -> 0x469177
                                                                                                            }
                                                                                                            // 0x469177
                                                                                                            g8 = v195 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                            v129 = (int32_t *)(g11 - 4);
                                                                                                            if (*(char *)(v195 - 240) == 0) {
                                                                                                                // 0x469184
                                                                                                                *v129 = 0x469195;
                                                                                                                function_46a30c();
                                                                                                                v228 = g4;
                                                                                                                *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                                v196 = g11;
                                                                                                                v142 = v196 - 4;
                                                                                                                *(int32_t *)v142 = g4 - 324;
                                                                                                                g11 = v142;
                                                                                                                g6 = 1;
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                                function_46ae10();
                                                                                                                v229 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                    // 0x4691bd
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                    function_46b238();
                                                                                                                    // branch -> 0x4691d9
                                                                                                                } else {
                                                                                                                    // 0x4691ca
                                                                                                                    g6 = g6 & -256 | 2;
                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                    function_46ad58();
                                                                                                                    // branch -> 0x4691d9
                                                                                                                }
                                                                                                                // 0x4691d9
                                                                                                                v230 = g4;
                                                                                                                g8 = v230 - 388;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                                v130 = (int32_t *)(g11 - 4);
                                                                                                                if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                    // 0x4691e2
                                                                                                                    *v130 = 0x4691f3;
                                                                                                                    function_46afe8();
                                                                                                                    // branch -> 0x4692fa
                                                                                                                } else {
                                                                                                                    // 0x4691f8
                                                                                                                    *v130 = 0x469209;
                                                                                                                    function_46b060();
                                                                                                                    // branch -> 0x4692fa
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            } else {
                                                                                                                // 0x46920e
                                                                                                                *v129 = 0x46921f;
                                                                                                                function_46a30c();
                                                                                                                v231 = g4;
                                                                                                                *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                                v197 = g11;
                                                                                                                v143 = v197 - 4;
                                                                                                                *(int32_t *)v143 = g4 - 324;
                                                                                                                g11 = v143;
                                                                                                                g6 = 1;
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                                function_46ae10();
                                                                                                                v234 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                    // 0x469247
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                    function_46b238();
                                                                                                                    // branch -> 0x469263
                                                                                                                } else {
                                                                                                                    // 0x469254
                                                                                                                    g6 = g6 & -256 | 2;
                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                    function_46ad58();
                                                                                                                    // branch -> 0x469263
                                                                                                                }
                                                                                                                // 0x469263
                                                                                                                v198 = g4;
                                                                                                                g8 = v198 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                                function_46a30c();
                                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                                function_469fd8();
                                                                                                                *(int32_t *)(g4 - 308) = g3;
                                                                                                                *(int32_t *)(g4 - 324) = 5;
                                                                                                                *(char *)(g4 - 304) = 1;
                                                                                                                v199 = g4;
                                                                                                                *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                                v200 = g11;
                                                                                                                v144 = v200 - 4;
                                                                                                                *(int32_t *)v144 = g4 - 324;
                                                                                                                g11 = v144;
                                                                                                                g6 = 0;
                                                                                                                g8 = 0;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                                function_46ae10();
                                                                                                                *(char *)(g4 - 304) = 0;
                                                                                                                v235 = g4;
                                                                                                                g8 = v235 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                                v131 = (int32_t *)(g11 - 4);
                                                                                                                if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                    // 0x4692c5
                                                                                                                    *v131 = 0x4692d6;
                                                                                                                    function_46afe8();
                                                                                                                    // branch -> 0x4692e9
                                                                                                                } else {
                                                                                                                    // 0x4692d8
                                                                                                                    *v131 = 0x4692e9;
                                                                                                                    function_46b060();
                                                                                                                    // branch -> 0x4692e9
                                                                                                                }
                                                                                                                // 0x4692e9
                                                                                                                g6 = -1;
                                                                                                                v201 = g4;
                                                                                                                g8 = v201 - 324;
                                                                                                                g3 = *(int32_t *)(v201 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x4692fa
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x468e06
                                                                                                *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                                v180 = g4;
                                                                                                if (*(char *)(v180 - 240) == 0) {
                                                                                                    // 0x468e9d
                                                                                                    v124 = (int32_t *)(v180 - 20);
                                                                                                    v218 = v180;
                                                                                                    v232 = v233;
                                                                                                    if (*v124 == 1) {
                                                                                                        // 0x468ea3
                                                                                                        g6 = v180 - 484;
                                                                                                        g8 = *v124;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                        function_46b3dc();
                                                                                                        v181 = g4;
                                                                                                        g8 = v181 - 484;
                                                                                                        g3 = *(int32_t *)(v181 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                        function_469c8c();
                                                                                                        *(int32_t *)(g4 - 24) = g3;
                                                                                                        v182 = g4;
                                                                                                        g6 = v182 - 548;
                                                                                                        g8 = *(int32_t *)(v182 - 20);
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                        function_46b3dc();
                                                                                                        v183 = g11;
                                                                                                        v139 = v183 - 4;
                                                                                                        *(int32_t *)v139 = g4 - 548;
                                                                                                        g11 = v139;
                                                                                                        v215 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                        *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                        function_46ae10();
                                                                                                        v216 = g4;
                                                                                                        g8 = *(int32_t *)(v216 - 20);
                                                                                                        g3 = *(int32_t *)(v216 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                        function_469e18();
                                                                                                        v217 = g4;
                                                                                                        *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                        v218 = g4;
                                                                                                        v232 = g6 & -256 | 1;
                                                                                                        // branch -> 0x468f04
                                                                                                    }
                                                                                                    // 0x468f04
                                                                                                    v184 = v218;
                                                                                                    if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                        // 0x468f0d
                                                                                                        if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                            // 0x468f16
                                                                                                            v125 = (int32_t *)(v218 - 4);
                                                                                                            if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                                // 0x468f22
                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                g3 = *(int32_t *)(*v125 + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                                function_46b214();
                                                                                                                v184 = g4;
                                                                                                                // branch -> 0x468f2f
                                                                                                            } else {
                                                                                                                v184 = v218;
                                                                                                            }
                                                                                                        } else {
                                                                                                            v184 = v218;
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x468f2f
                                                                                                    v185 = g11;
                                                                                                    v140 = v185 - 4;
                                                                                                    *(int32_t *)v140 = v184 - 260;
                                                                                                    g11 = v140;
                                                                                                    g6 = v232 & -256 | 1;
                                                                                                    g8 = g8 & -256 | 1;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                                    function_46ae10();
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                    g8 = g8 & -256 | 211;
                                                                                                    *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                                    function_462278();
                                                                                                    v219 = g4;
                                                                                                    v246 = *(char *)(v219 - 20);
                                                                                                    v258 = g8 & -256;
                                                                                                    v253 = *(char *)(v219 - 16);
                                                                                                    g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                                    function_462278();
                                                                                                    v186 = g4;
                                                                                                    v187 = v186;
                                                                                                    if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                        // 0x468f75
                                                                                                        if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                            // 0x468f7e
                                                                                                            v126 = (int32_t *)(v186 - 4);
                                                                                                            if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                                // 0x468f8a
                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                g3 = *(int32_t *)(*v126 + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                                function_46b1f0();
                                                                                                                v187 = g4;
                                                                                                                // branch -> 0x468f97
                                                                                                            } else {
                                                                                                                v187 = v186;
                                                                                                            }
                                                                                                        } else {
                                                                                                            v187 = v186;
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x468f97
                                                                                                    g6 = -1;
                                                                                                    g8 = v187 - 260;
                                                                                                    g3 = *(int32_t *)(v187 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x46937f
                                                                                                } else {
                                                                                                    // 0x468e28
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                                    v236 = g8 & -256;
                                                                                                    if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                        // 0x468e31
                                                                                                        g8 = v236 | 209;
                                                                                                        *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                        function_462278();
                                                                                                        v212 = g4;
                                                                                                        v244 = *(char *)(v212 - 20);
                                                                                                        v256 = g8 & -256;
                                                                                                        v251 = *(char *)(v212 - 16);
                                                                                                        g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                        function_462278();
                                                                                                        // branch -> 0x46937f
                                                                                                    } else {
                                                                                                        // 0x468e5d
                                                                                                        g8 = v236 | 193;
                                                                                                        *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                        function_462278();
                                                                                                        v213 = g4;
                                                                                                        v245 = *(char *)(v213 - 20);
                                                                                                        v257 = g8 & -256;
                                                                                                        v252 = *(char *)(v213 - 16);
                                                                                                        g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                        function_462278();
                                                                                                        v214 = g4;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                        function_462278();
                                                                                                        // branch -> 0x46937f
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            // 0x468b93
                                                                            g8 = v164 - 196;
                                                                            g3 = *(int32_t *)(v164 - 4);
                                                                            function_469c8c();
                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                            v162 = g4;
                                                                            g11 = (int32_t)&v5;
                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                            g6 = g6 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                            function_46ae10();
                                                                            g6 = -1;
                                                                            v163 = g4;
                                                                            g8 = v163 - 196;
                                                                            g3 = *(int32_t *)(v163 - 4);
                                                                            function_469f40();
                                                                            // branch -> 0x468c1b
                                                                        }
                                                                        // 0x468c1b
                                                                        v167 = g4;
                                                                        if (*(char *)(v167 - 164) != 8) {
                                                                            // 0x468c24
                                                                            if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                                // 0x468c30
                                                                                g8 = g8 & -256 | 193;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                                function_462278();
                                                                                v207 = g4;
                                                                                v254 = g8 & -256;
                                                                                g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                                function_462278();
                                                                                g8 = g8 & -256 | 16;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                                function_462278();
                                                                                // branch -> 0x468c5b
                                                                            }
                                                                        }
                                                                        // 0x468c5b
                                                                        v208 = g11;
                                                                        *(int32_t *)(v208 - 4) = 0;
                                                                        v133 = v208 - 8;
                                                                        *(int32_t *)v133 = g4 - 260;
                                                                        g11 = v133;
                                                                        g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                        *(int32_t *)(v208 - 12) = 0x468c74;
                                                                        unknown_468108();
                                                                        v168 = g4;
                                                                        v211 = v168;
                                                                        v233 = 0;
                                                                        if (*(char *)(v168 - 228) != 8) {
                                                                            // 0x468c7d
                                                                            v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                            if (*(char *)(v243 + 9) == 8) {
                                                                                // 0x468c89
                                                                                g8 = v168 - 260;
                                                                                g3 = *(int32_t *)(v168 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                                function_4673b4();
                                                                                *(int32_t *)(g4 - 28) = g3;
                                                                                g8 = g8 & -256 | 193;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468caa;
                                                                                function_462278();
                                                                                v209 = g4;
                                                                                v255 = g8 & -256;
                                                                                g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                                function_462278();
                                                                                g8 = g8 & -256 | 16;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                                function_462278();
                                                                                v169 = g4;
                                                                                g8 = v169 - 260;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                                function_46a30c();
                                                                                v210 = g4;
                                                                                *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                                v211 = g4;
                                                                                v233 = -1;
                                                                                // branch -> 0x468ce2
                                                                            } else {
                                                                                v211 = v168;
                                                                                v233 = 0;
                                                                            }
                                                                        }
                                                                        // 0x468ce2
                                                                        v123 = (int32_t *)(v211 - 8);
                                                                        if (*(char *)(*v123 + 13) == 0) {
                                                                            // 0x468ceb
                                                                            v170 = g11;
                                                                            v134 = v170 - 4;
                                                                            *(int32_t *)v134 = v211 - 260;
                                                                            g11 = v134;
                                                                            g6 = v233 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v170 - 8) = 0x468d02;
                                                                            function_46aa40();
                                                                            g6 = -1;
                                                                            v171 = g4;
                                                                            g8 = v171 - 260;
                                                                            g3 = *(int32_t *)(v171 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468d13;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468d18
                                                                            if (*(char *)(*v123 + 13) == 1) {
                                                                                // 0x468d21
                                                                                v172 = g11;
                                                                                v135 = v172 - 4;
                                                                                *(int32_t *)v135 = v211 - 260;
                                                                                g11 = v135;
                                                                                g6 = v233 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v172 - 8) = 0x468d38;
                                                                                function_46aac4();
                                                                                g6 = -1;
                                                                                v173 = g4;
                                                                                g8 = v173 - 260;
                                                                                g3 = *(int32_t *)(v173 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468d49;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468d4e
                                                                                if (*(char *)(*v123 + 13) == 18) {
                                                                                    // 0x468d57
                                                                                    v174 = g11;
                                                                                    v136 = v174 - 4;
                                                                                    *(int32_t *)v136 = v211 - 260;
                                                                                    g11 = v136;
                                                                                    g6 = v233 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                    function_46ab48();
                                                                                    g6 = -1;
                                                                                    v175 = g4;
                                                                                    g8 = v175 - 260;
                                                                                    g3 = *(int32_t *)(v175 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468d84
                                                                                    if (*(char *)(*v123 + 13) == 19) {
                                                                                        // 0x468d8d
                                                                                        v176 = g11;
                                                                                        v137 = v176 - 4;
                                                                                        *(int32_t *)v137 = v211 - 260;
                                                                                        g11 = v137;
                                                                                        g6 = v233 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                        function_46abcc();
                                                                                        g6 = -1;
                                                                                        v177 = g4;
                                                                                        g8 = v177 - 260;
                                                                                        g3 = *(int32_t *)(v177 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468dba
                                                                                        if (*(char *)(*v123 + 13) == 20) {
                                                                                            // 0x468dc3
                                                                                            v178 = g11;
                                                                                            v138 = v178 - 4;
                                                                                            *(int32_t *)v138 = v211 - 260;
                                                                                            g11 = v138;
                                                                                            g6 = v233 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                            function_46ac50();
                                                                                            g6 = -1;
                                                                                            v179 = g4;
                                                                                            g8 = v179 - 260;
                                                                                            g3 = *(int32_t *)(v179 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468df0
                                                                                            if (*(char *)(*v123 + 13) != 22) {
                                                                                                // 0x468df9
                                                                                                if (*(char *)(*v123 + 13) != 21) {
                                                                                                    // 0x468fad
                                                                                                    if (*(char *)(*v123 + 13) == 3) {
                                                                                                        // 0x468fba
                                                                                                        if (*(char *)(v211 - 240) == 0) {
                                                                                                            // 0x469000
                                                                                                            g6 = -1;
                                                                                                            g8 = v211 - 260;
                                                                                                            g3 = *(int32_t *)(v211 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                            function_4673b4();
                                                                                                            *(int32_t *)(g4 - 28) = g3;
                                                                                                            v189 = g4;
                                                                                                            g8 = v189 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                            function_46a30c();
                                                                                                            v221 = g4;
                                                                                                            *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                            v222 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                            g6 = v222 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                            function_46b0d8();
                                                                                                            g6 = -1;
                                                                                                            v190 = g4;
                                                                                                            g8 = v190 - 324;
                                                                                                            g3 = *(int32_t *)(v190 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        } else {
                                                                                                            // 0x468fc3
                                                                                                            *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                            v220 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                            g6 = v220 - 260;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                            function_46b0d8();
                                                                                                            *(int32_t *)(g4 - 260) = -1;
                                                                                                            g6 = -1;
                                                                                                            v188 = g4;
                                                                                                            g8 = v188 - 260;
                                                                                                            g3 = *(int32_t *)(v188 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x469058
                                                                                                        v247 = *v123;
                                                                                                        v132 = v247;
                                                                                                        if (*(char *)(v247 + 13) != 4) {
                                                                                                            // 0x469061
                                                                                                            v248 = *v123;
                                                                                                            v132 = v248;
                                                                                                            if (*(char *)(v248 + 13) != 5) {
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x46906e
                                                                                                        v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                        *v127 = *v127 - 1;
                                                                                                        v223 = v132;
                                                                                                        v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                        g11 -= *(int32_t *)g5;
                                                                                                        v128 = (char *)v145;
                                                                                                        *v128 = (char)((int32_t)*v128 + v145);
                                                                                                        v191 = g4;
                                                                                                        g8 = v191 - 388;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                        function_46a30c();
                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                        function_469fd8();
                                                                                                        *(int32_t *)(g4 - 372) = g3;
                                                                                                        *(int32_t *)(g4 - 388) = 5;
                                                                                                        v192 = g11;
                                                                                                        v141 = v192 - 4;
                                                                                                        *(int32_t *)v141 = g4 - 388;
                                                                                                        g11 = v141;
                                                                                                        v193 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                        *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                        function_46ae10();
                                                                                                        v194 = g4;
                                                                                                        g8 = *(int32_t *)(v194 - 324);
                                                                                                        g3 = *(int32_t *)(v194 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                        function_469e18();
                                                                                                        v224 = g4;
                                                                                                        v249 = *(int32_t *)(v224 - 4);
                                                                                                        if (*(char *)(v249 + 0x1814) != 0) {
                                                                                                            // 0x469127
                                                                                                            if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                                // 0x469131
                                                                                                                // branch -> 0x469133
                                                                                                                // 0x469133
                                                                                                                *(char *)(v224 - 42) = (char)(v249 & -256 | 1);
                                                                                                                v225 = g4;
                                                                                                                v250 = *(int32_t *)(v225 - 4);
                                                                                                                if (*(char *)(v250 + 0x183c) != 0) {
                                                                                                                    // 0x469142
                                                                                                                    if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                        // 0x46914c
                                                                                                                        // branch -> 0x46914e
                                                                                                                        // 0x46914e
                                                                                                                        *(char *)(v225 - 40) = (char)(v250 & -256 | 1);
                                                                                                                        v226 = g4;
                                                                                                                        v227 = v226;
                                                                                                                        if (*(char *)(v226 - 42) != 0) {
                                                                                                                            // 0x469157
                                                                                                                            g8 = 0;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                                            function_46b214();
                                                                                                                            v227 = g4;
                                                                                                                            // branch -> 0x469164
                                                                                                                        }
                                                                                                                        // 0x469164
                                                                                                                        v195 = v227;
                                                                                                                        if (*(char *)(v227 - 40) != 0) {
                                                                                                                            // 0x46916a
                                                                                                                            g8 = g8 & -256 | 2;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                                            function_46b214();
                                                                                                                            v195 = g4;
                                                                                                                            // branch -> 0x469177
                                                                                                                        }
                                                                                                                        // 0x469177
                                                                                                                        g8 = v195 - 324;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                                        v129 = (int32_t *)(g11 - 4);
                                                                                                                        if (*(char *)(v195 - 240) == 0) {
                                                                                                                            // 0x469184
                                                                                                                            *v129 = 0x469195;
                                                                                                                            function_46a30c();
                                                                                                                            v228 = g4;
                                                                                                                            *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                                            v196 = g11;
                                                                                                                            v142 = v196 - 4;
                                                                                                                            *(int32_t *)v142 = g4 - 324;
                                                                                                                            g11 = v142;
                                                                                                                            g6 = 1;
                                                                                                                            g8 = 0;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                            *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                                            function_46ae10();
                                                                                                                            v229 = g4;
                                                                                                                            if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                                // 0x4691bd
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                                function_46b238();
                                                                                                                                // branch -> 0x4691d9
                                                                                                                            } else {
                                                                                                                                // 0x4691ca
                                                                                                                                g6 = g6 & -256 | 2;
                                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                                function_46ad58();
                                                                                                                                // branch -> 0x4691d9
                                                                                                                            }
                                                                                                                            // 0x4691d9
                                                                                                                            v230 = g4;
                                                                                                                            g8 = v230 - 388;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                                            v130 = (int32_t *)(g11 - 4);
                                                                                                                            if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                                // 0x4691e2
                                                                                                                                *v130 = 0x4691f3;
                                                                                                                                function_46afe8();
                                                                                                                                // branch -> 0x4692fa
                                                                                                                            } else {
                                                                                                                                // 0x4691f8
                                                                                                                                *v130 = 0x469209;
                                                                                                                                function_46b060();
                                                                                                                                // branch -> 0x4692fa
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        } else {
                                                                                                                            // 0x46920e
                                                                                                                            *v129 = 0x46921f;
                                                                                                                            function_46a30c();
                                                                                                                            v231 = g4;
                                                                                                                            *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                                            v197 = g11;
                                                                                                                            v143 = v197 - 4;
                                                                                                                            *(int32_t *)v143 = g4 - 324;
                                                                                                                            g11 = v143;
                                                                                                                            g6 = 1;
                                                                                                                            g8 = 0;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                            *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                                            function_46ae10();
                                                                                                                            v234 = g4;
                                                                                                                            if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                                // 0x469247
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                                function_46b238();
                                                                                                                                // branch -> 0x469263
                                                                                                                            } else {
                                                                                                                                // 0x469254
                                                                                                                                g6 = g6 & -256 | 2;
                                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                                function_46ad58();
                                                                                                                                // branch -> 0x469263
                                                                                                                            }
                                                                                                                            // 0x469263
                                                                                                                            v198 = g4;
                                                                                                                            g8 = v198 - 324;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                                            function_46a30c();
                                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                                            function_469fd8();
                                                                                                                            *(int32_t *)(g4 - 308) = g3;
                                                                                                                            *(int32_t *)(g4 - 324) = 5;
                                                                                                                            *(char *)(g4 - 304) = 1;
                                                                                                                            v199 = g4;
                                                                                                                            *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                                            v200 = g11;
                                                                                                                            v144 = v200 - 4;
                                                                                                                            *(int32_t *)v144 = g4 - 324;
                                                                                                                            g11 = v144;
                                                                                                                            g6 = 0;
                                                                                                                            g8 = 0;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                            *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                                            function_46ae10();
                                                                                                                            *(char *)(g4 - 304) = 0;
                                                                                                                            v235 = g4;
                                                                                                                            g8 = v235 - 324;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                                            v131 = (int32_t *)(g11 - 4);
                                                                                                                            if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                                // 0x4692c5
                                                                                                                                *v131 = 0x4692d6;
                                                                                                                                function_46afe8();
                                                                                                                                // branch -> 0x4692e9
                                                                                                                            } else {
                                                                                                                                // 0x4692d8
                                                                                                                                *v131 = 0x4692e9;
                                                                                                                                function_46b060();
                                                                                                                                // branch -> 0x4692e9
                                                                                                                            }
                                                                                                                            // 0x4692e9
                                                                                                                            g6 = -1;
                                                                                                                            v201 = g4;
                                                                                                                            g8 = v201 - 324;
                                                                                                                            g3 = *(int32_t *)(v201 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                                            function_469f40();
                                                                                                                            // branch -> 0x4692fa
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x469148
                                                                                                                // branch -> 0x46914e
                                                                                                                // 0x46914e
                                                                                                                *(char *)(v225 - 40) = (char)0;
                                                                                                                v226 = g4;
                                                                                                                v227 = v226;
                                                                                                                if (*(char *)(v226 - 42) != 0) {
                                                                                                                    // 0x469157
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                                    function_46b214();
                                                                                                                    v227 = g4;
                                                                                                                    // branch -> 0x469164
                                                                                                                }
                                                                                                                // 0x469164
                                                                                                                v195 = v227;
                                                                                                                if (*(char *)(v227 - 40) != 0) {
                                                                                                                    // 0x46916a
                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                                    function_46b214();
                                                                                                                    v195 = g4;
                                                                                                                    // branch -> 0x469177
                                                                                                                }
                                                                                                                // 0x469177
                                                                                                                g8 = v195 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                                v129 = (int32_t *)(g11 - 4);
                                                                                                                if (*(char *)(v195 - 240) == 0) {
                                                                                                                    // 0x469184
                                                                                                                    *v129 = 0x469195;
                                                                                                                    function_46a30c();
                                                                                                                    v228 = g4;
                                                                                                                    *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                                    v196 = g11;
                                                                                                                    v142 = v196 - 4;
                                                                                                                    *(int32_t *)v142 = g4 - 324;
                                                                                                                    g11 = v142;
                                                                                                                    g6 = 1;
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                    *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                                    function_46ae10();
                                                                                                                    v229 = g4;
                                                                                                                    if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                        // 0x4691bd
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                        function_46b238();
                                                                                                                        // branch -> 0x4691d9
                                                                                                                    } else {
                                                                                                                        // 0x4691ca
                                                                                                                        g6 = g6 & -256 | 2;
                                                                                                                        g8 = g8 & -256 | 2;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                        function_46ad58();
                                                                                                                        // branch -> 0x4691d9
                                                                                                                    }
                                                                                                                    // 0x4691d9
                                                                                                                    v230 = g4;
                                                                                                                    g8 = v230 - 388;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                                    v130 = (int32_t *)(g11 - 4);
                                                                                                                    if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                        // 0x4691e2
                                                                                                                        *v130 = 0x4691f3;
                                                                                                                        function_46afe8();
                                                                                                                        // branch -> 0x4692fa
                                                                                                                    } else {
                                                                                                                        // 0x4691f8
                                                                                                                        *v130 = 0x469209;
                                                                                                                        function_46b060();
                                                                                                                        // branch -> 0x4692fa
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                } else {
                                                                                                                    // 0x46920e
                                                                                                                    *v129 = 0x46921f;
                                                                                                                    function_46a30c();
                                                                                                                    v231 = g4;
                                                                                                                    *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                                    v197 = g11;
                                                                                                                    v143 = v197 - 4;
                                                                                                                    *(int32_t *)v143 = g4 - 324;
                                                                                                                    g11 = v143;
                                                                                                                    g6 = 1;
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                    *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                                    function_46ae10();
                                                                                                                    v234 = g4;
                                                                                                                    if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                        // 0x469247
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                        function_46b238();
                                                                                                                        // branch -> 0x469263
                                                                                                                    } else {
                                                                                                                        // 0x469254
                                                                                                                        g6 = g6 & -256 | 2;
                                                                                                                        g8 = g8 & -256 | 2;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                        function_46ad58();
                                                                                                                        // branch -> 0x469263
                                                                                                                    }
                                                                                                                    // 0x469263
                                                                                                                    v198 = g4;
                                                                                                                    g8 = v198 - 324;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                                    function_46a30c();
                                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                                    function_469fd8();
                                                                                                                    *(int32_t *)(g4 - 308) = g3;
                                                                                                                    *(int32_t *)(g4 - 324) = 5;
                                                                                                                    *(char *)(g4 - 304) = 1;
                                                                                                                    v199 = g4;
                                                                                                                    *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                                    v200 = g11;
                                                                                                                    v144 = v200 - 4;
                                                                                                                    *(int32_t *)v144 = g4 - 324;
                                                                                                                    g11 = v144;
                                                                                                                    g6 = 0;
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                    *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                                    function_46ae10();
                                                                                                                    *(char *)(g4 - 304) = 0;
                                                                                                                    v235 = g4;
                                                                                                                    g8 = v235 - 324;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                                    v131 = (int32_t *)(g11 - 4);
                                                                                                                    if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                        // 0x4692c5
                                                                                                                        *v131 = 0x4692d6;
                                                                                                                        function_46afe8();
                                                                                                                        // branch -> 0x4692e9
                                                                                                                    } else {
                                                                                                                        // 0x4692d8
                                                                                                                        *v131 = 0x4692e9;
                                                                                                                        function_46b060();
                                                                                                                        // branch -> 0x4692e9
                                                                                                                    }
                                                                                                                    // 0x4692e9
                                                                                                                    g6 = -1;
                                                                                                                    v201 = g4;
                                                                                                                    g8 = v201 - 324;
                                                                                                                    g3 = *(int32_t *)(v201 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                                    function_469f40();
                                                                                                                    // branch -> 0x4692fa
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x46912d
                                                                                                        // branch -> 0x469133
                                                                                                        // 0x469133
                                                                                                        *(char *)(v224 - 42) = (char)0;
                                                                                                        v225 = g4;
                                                                                                        v250 = *(int32_t *)(v225 - 4);
                                                                                                        if (*(char *)(v250 + 0x183c) != 0) {
                                                                                                            // 0x469142
                                                                                                            if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                // 0x46914c
                                                                                                                // branch -> 0x46914e
                                                                                                                // 0x46914e
                                                                                                                *(char *)(v225 - 40) = (char)(v250 & -256 | 1);
                                                                                                                v226 = g4;
                                                                                                                v227 = v226;
                                                                                                                if (*(char *)(v226 - 42) != 0) {
                                                                                                                    // 0x469157
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                                    function_46b214();
                                                                                                                    v227 = g4;
                                                                                                                    // branch -> 0x469164
                                                                                                                }
                                                                                                                // 0x469164
                                                                                                                v195 = v227;
                                                                                                                if (*(char *)(v227 - 40) != 0) {
                                                                                                                    // 0x46916a
                                                                                                                    g8 = g8 & -256 | 2;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                                    function_46b214();
                                                                                                                    v195 = g4;
                                                                                                                    // branch -> 0x469177
                                                                                                                }
                                                                                                                // 0x469177
                                                                                                                g8 = v195 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                                v129 = (int32_t *)(g11 - 4);
                                                                                                                if (*(char *)(v195 - 240) == 0) {
                                                                                                                    // 0x469184
                                                                                                                    *v129 = 0x469195;
                                                                                                                    function_46a30c();
                                                                                                                    v228 = g4;
                                                                                                                    *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                                    v196 = g11;
                                                                                                                    v142 = v196 - 4;
                                                                                                                    *(int32_t *)v142 = g4 - 324;
                                                                                                                    g11 = v142;
                                                                                                                    g6 = 1;
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                    *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                                    function_46ae10();
                                                                                                                    v229 = g4;
                                                                                                                    if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                        // 0x4691bd
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                        function_46b238();
                                                                                                                        // branch -> 0x4691d9
                                                                                                                    } else {
                                                                                                                        // 0x4691ca
                                                                                                                        g6 = g6 & -256 | 2;
                                                                                                                        g8 = g8 & -256 | 2;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                        function_46ad58();
                                                                                                                        // branch -> 0x4691d9
                                                                                                                    }
                                                                                                                    // 0x4691d9
                                                                                                                    v230 = g4;
                                                                                                                    g8 = v230 - 388;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                                    v130 = (int32_t *)(g11 - 4);
                                                                                                                    if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                        // 0x4691e2
                                                                                                                        *v130 = 0x4691f3;
                                                                                                                        function_46afe8();
                                                                                                                        // branch -> 0x4692fa
                                                                                                                    } else {
                                                                                                                        // 0x4691f8
                                                                                                                        *v130 = 0x469209;
                                                                                                                        function_46b060();
                                                                                                                        // branch -> 0x4692fa
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                } else {
                                                                                                                    // 0x46920e
                                                                                                                    *v129 = 0x46921f;
                                                                                                                    function_46a30c();
                                                                                                                    v231 = g4;
                                                                                                                    *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                                    v197 = g11;
                                                                                                                    v143 = v197 - 4;
                                                                                                                    *(int32_t *)v143 = g4 - 324;
                                                                                                                    g11 = v143;
                                                                                                                    g6 = 1;
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                    *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                                    function_46ae10();
                                                                                                                    v234 = g4;
                                                                                                                    if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                        // 0x469247
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                        function_46b238();
                                                                                                                        // branch -> 0x469263
                                                                                                                    } else {
                                                                                                                        // 0x469254
                                                                                                                        g6 = g6 & -256 | 2;
                                                                                                                        g8 = g8 & -256 | 2;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                        function_46ad58();
                                                                                                                        // branch -> 0x469263
                                                                                                                    }
                                                                                                                    // 0x469263
                                                                                                                    v198 = g4;
                                                                                                                    g8 = v198 - 324;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                                    function_46a30c();
                                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                                    function_469fd8();
                                                                                                                    *(int32_t *)(g4 - 308) = g3;
                                                                                                                    *(int32_t *)(g4 - 324) = 5;
                                                                                                                    *(char *)(g4 - 304) = 1;
                                                                                                                    v199 = g4;
                                                                                                                    *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                                    v200 = g11;
                                                                                                                    v144 = v200 - 4;
                                                                                                                    *(int32_t *)v144 = g4 - 324;
                                                                                                                    g11 = v144;
                                                                                                                    g6 = 0;
                                                                                                                    g8 = 0;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                    *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                                    function_46ae10();
                                                                                                                    *(char *)(g4 - 304) = 0;
                                                                                                                    v235 = g4;
                                                                                                                    g8 = v235 - 324;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                                    v131 = (int32_t *)(g11 - 4);
                                                                                                                    if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                        // 0x4692c5
                                                                                                                        *v131 = 0x4692d6;
                                                                                                                        function_46afe8();
                                                                                                                        // branch -> 0x4692e9
                                                                                                                    } else {
                                                                                                                        // 0x4692d8
                                                                                                                        *v131 = 0x4692e9;
                                                                                                                        function_46b060();
                                                                                                                        // branch -> 0x4692e9
                                                                                                                    }
                                                                                                                    // 0x4692e9
                                                                                                                    g6 = -1;
                                                                                                                    v201 = g4;
                                                                                                                    g8 = v201 - 324;
                                                                                                                    g3 = *(int32_t *)(v201 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                                    function_469f40();
                                                                                                                    // branch -> 0x4692fa
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x469148
                                                                                                        // branch -> 0x46914e
                                                                                                        // 0x46914e
                                                                                                        *(char *)(v225 - 40) = (char)0;
                                                                                                        v226 = g4;
                                                                                                        v227 = v226;
                                                                                                        if (*(char *)(v226 - 42) != 0) {
                                                                                                            // 0x469157
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                            function_46b214();
                                                                                                            v227 = g4;
                                                                                                            // branch -> 0x469164
                                                                                                        }
                                                                                                        // 0x469164
                                                                                                        v195 = v227;
                                                                                                        if (*(char *)(v227 - 40) != 0) {
                                                                                                            // 0x46916a
                                                                                                            g8 = g8 & -256 | 2;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                            function_46b214();
                                                                                                            v195 = g4;
                                                                                                            // branch -> 0x469177
                                                                                                        }
                                                                                                        // 0x469177
                                                                                                        g8 = v195 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                        v129 = (int32_t *)(g11 - 4);
                                                                                                        if (*(char *)(v195 - 240) == 0) {
                                                                                                            // 0x469184
                                                                                                            *v129 = 0x469195;
                                                                                                            function_46a30c();
                                                                                                            v228 = g4;
                                                                                                            *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                            v196 = g11;
                                                                                                            v142 = v196 - 4;
                                                                                                            *(int32_t *)v142 = g4 - 324;
                                                                                                            g11 = v142;
                                                                                                            g6 = 1;
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                            function_46ae10();
                                                                                                            v229 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                // 0x4691bd
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                function_46b238();
                                                                                                                // branch -> 0x4691d9
                                                                                                            } else {
                                                                                                                // 0x4691ca
                                                                                                                g6 = g6 & -256 | 2;
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                function_46ad58();
                                                                                                                // branch -> 0x4691d9
                                                                                                            }
                                                                                                            // 0x4691d9
                                                                                                            v230 = g4;
                                                                                                            g8 = v230 - 388;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                            v130 = (int32_t *)(g11 - 4);
                                                                                                            if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                // 0x4691e2
                                                                                                                *v130 = 0x4691f3;
                                                                                                                function_46afe8();
                                                                                                                // branch -> 0x4692fa
                                                                                                            } else {
                                                                                                                // 0x4691f8
                                                                                                                *v130 = 0x469209;
                                                                                                                function_46b060();
                                                                                                                // branch -> 0x4692fa
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        } else {
                                                                                                            // 0x46920e
                                                                                                            *v129 = 0x46921f;
                                                                                                            function_46a30c();
                                                                                                            v231 = g4;
                                                                                                            *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                            v197 = g11;
                                                                                                            v143 = v197 - 4;
                                                                                                            *(int32_t *)v143 = g4 - 324;
                                                                                                            g11 = v143;
                                                                                                            g6 = 1;
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                            function_46ae10();
                                                                                                            v234 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                // 0x469247
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                function_46b238();
                                                                                                                // branch -> 0x469263
                                                                                                            } else {
                                                                                                                // 0x469254
                                                                                                                g6 = g6 & -256 | 2;
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                function_46ad58();
                                                                                                                // branch -> 0x469263
                                                                                                            }
                                                                                                            // 0x469263
                                                                                                            v198 = g4;
                                                                                                            g8 = v198 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                            function_46a30c();
                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                            function_469fd8();
                                                                                                            *(int32_t *)(g4 - 308) = g3;
                                                                                                            *(int32_t *)(g4 - 324) = 5;
                                                                                                            *(char *)(g4 - 304) = 1;
                                                                                                            v199 = g4;
                                                                                                            *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                            v200 = g11;
                                                                                                            v144 = v200 - 4;
                                                                                                            *(int32_t *)v144 = g4 - 324;
                                                                                                            g11 = v144;
                                                                                                            g6 = 0;
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                            function_46ae10();
                                                                                                            *(char *)(g4 - 304) = 0;
                                                                                                            v235 = g4;
                                                                                                            g8 = v235 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                            v131 = (int32_t *)(g11 - 4);
                                                                                                            if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                // 0x4692c5
                                                                                                                *v131 = 0x4692d6;
                                                                                                                function_46afe8();
                                                                                                                // branch -> 0x4692e9
                                                                                                            } else {
                                                                                                                // 0x4692d8
                                                                                                                *v131 = 0x4692e9;
                                                                                                                function_46b060();
                                                                                                                // branch -> 0x4692e9
                                                                                                            }
                                                                                                            // 0x4692e9
                                                                                                            g6 = -1;
                                                                                                            v201 = g4;
                                                                                                            g8 = v201 - 324;
                                                                                                            g3 = *(int32_t *)(v201 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x4692fa
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x468e06
                                                                                            *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                            v180 = g4;
                                                                                            if (*(char *)(v180 - 240) == 0) {
                                                                                                // 0x468e9d
                                                                                                v124 = (int32_t *)(v180 - 20);
                                                                                                v218 = v180;
                                                                                                v232 = v233;
                                                                                                if (*v124 == 1) {
                                                                                                    // 0x468ea3
                                                                                                    g6 = v180 - 484;
                                                                                                    g8 = *v124;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                    function_46b3dc();
                                                                                                    v181 = g4;
                                                                                                    g8 = v181 - 484;
                                                                                                    g3 = *(int32_t *)(v181 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                    function_469c8c();
                                                                                                    *(int32_t *)(g4 - 24) = g3;
                                                                                                    v182 = g4;
                                                                                                    g6 = v182 - 548;
                                                                                                    g8 = *(int32_t *)(v182 - 20);
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                    function_46b3dc();
                                                                                                    v183 = g11;
                                                                                                    v139 = v183 - 4;
                                                                                                    *(int32_t *)v139 = g4 - 548;
                                                                                                    g11 = v139;
                                                                                                    v215 = g4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                    *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                    function_46ae10();
                                                                                                    v216 = g4;
                                                                                                    g8 = *(int32_t *)(v216 - 20);
                                                                                                    g3 = *(int32_t *)(v216 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                    function_469e18();
                                                                                                    v217 = g4;
                                                                                                    *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                    v218 = g4;
                                                                                                    v232 = g6 & -256 | 1;
                                                                                                    // branch -> 0x468f04
                                                                                                }
                                                                                                // 0x468f04
                                                                                                v184 = v218;
                                                                                                if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                    // 0x468f0d
                                                                                                    if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                        // 0x468f16
                                                                                                        v125 = (int32_t *)(v218 - 4);
                                                                                                        if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                            // 0x468f22
                                                                                                            g8 = g8 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*v125 + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                            function_46b214();
                                                                                                            v184 = g4;
                                                                                                            // branch -> 0x468f2f
                                                                                                        } else {
                                                                                                            v184 = v218;
                                                                                                        }
                                                                                                    } else {
                                                                                                        v184 = v218;
                                                                                                    }
                                                                                                }
                                                                                                // 0x468f2f
                                                                                                v185 = g11;
                                                                                                v140 = v185 - 4;
                                                                                                *(int32_t *)v140 = v184 - 260;
                                                                                                g11 = v140;
                                                                                                g6 = v232 & -256 | 1;
                                                                                                g8 = g8 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                                function_46ae10();
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                g8 = g8 & -256 | 211;
                                                                                                *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                                function_462278();
                                                                                                v219 = g4;
                                                                                                v246 = *(char *)(v219 - 20);
                                                                                                v258 = g8 & -256;
                                                                                                v253 = *(char *)(v219 - 16);
                                                                                                g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                                function_462278();
                                                                                                v186 = g4;
                                                                                                v187 = v186;
                                                                                                if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                    // 0x468f75
                                                                                                    if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                        // 0x468f7e
                                                                                                        v126 = (int32_t *)(v186 - 4);
                                                                                                        if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                            // 0x468f8a
                                                                                                            g8 = g8 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*v126 + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                            function_46b1f0();
                                                                                                            v187 = g4;
                                                                                                            // branch -> 0x468f97
                                                                                                        } else {
                                                                                                            v187 = v186;
                                                                                                        }
                                                                                                    } else {
                                                                                                        v187 = v186;
                                                                                                    }
                                                                                                }
                                                                                                // 0x468f97
                                                                                                g6 = -1;
                                                                                                g8 = v187 - 260;
                                                                                                g3 = *(int32_t *)(v187 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468e28
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                                v236 = g8 & -256;
                                                                                                if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                    // 0x468e31
                                                                                                    g8 = v236 | 209;
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                    function_462278();
                                                                                                    v212 = g4;
                                                                                                    v244 = *(char *)(v212 - 20);
                                                                                                    v256 = g8 & -256;
                                                                                                    v251 = *(char *)(v212 - 16);
                                                                                                    g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                    function_462278();
                                                                                                    // branch -> 0x46937f
                                                                                                } else {
                                                                                                    // 0x468e5d
                                                                                                    g8 = v236 | 193;
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                    function_462278();
                                                                                                    v213 = g4;
                                                                                                    v245 = *(char *)(v213 - 20);
                                                                                                    v257 = g8 & -256;
                                                                                                    v252 = *(char *)(v213 - 16);
                                                                                                    g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                    function_462278();
                                                                                                    v214 = g4;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                    function_462278();
                                                                                                    // branch -> 0x46937f
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x4688ce
                                                            v7 = NULL;
                                                            unknown_468108();
                                                            v146 = g4;
                                                            g6 = v146 - 196;
                                                            g8 = *(int32_t *)(*v122 + 4) & -256 | 3;
                                                            g3 = *(int32_t *)(v146 - 4);
                                                            function_463360();
                                                            v147 = g4;
                                                            g8 = v147 - 196;
                                                            g3 = *(int32_t *)(*(int32_t *)(v147 - 4) + 4);
                                                            function_46b59c();
                                                            g6 = -1;
                                                            v148 = g4;
                                                            g8 = v148 - 196;
                                                            g3 = *(int32_t *)(v148 - 4);
                                                            function_469f40();
                                                            v5 = NULL;
                                                            g6 = 0;
                                                            unknown_468108();
                                                            v149 = g4;
                                                            g8 = v149 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v149 - 4) + 4);
                                                            function_46ba4c();
                                                            v150 = g4;
                                                            g8 = v150 - 260;
                                                            g3 = *(int32_t *)(v150 - 4);
                                                            function_469f40();
                                                            v151 = g4;
                                                            g8 = v151 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v151 - 4) + 4);
                                                            function_46a30c();
                                                            v12 = (int32_t *)0x47800000;
                                                            g11 = (int32_t)&v12;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                            function_463ffc();
                                                            *(int32_t *)(g4 - 244) = g3;
                                                            v152 = g4;
                                                            g8 = v152 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v152 - 4) + 4);
                                                            function_46b8e4();
                                                            v153 = g4;
                                                            g8 = v153 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v153 - 4) + 4);
                                                            function_46a30c();
                                                            *(int32_t *)(g4 - 260) = 5;
                                                            g3 = *(int32_t *)(g4 - 4);
                                                            function_469fd8();
                                                            *(int32_t *)(g4 - 244) = g3;
                                                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                            v204 = g4;
                                                            g8 = v204 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v204 - 4) + 4);
                                                            if (*(char *)(v204 - 37) == 3) {
                                                                // 0x4689da
                                                                function_46b614();
                                                                *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                // branch -> 0x469a51
                                                            } else {
                                                                // 0x4689f7
                                                                function_46b68c();
                                                                *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                // branch -> 0x469a51
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // 0x468b68
                                                    v7 = NULL;
                                                    g11 = v4;
                                                    g6 = 0;
                                                    unknown_468108();
                                                    g8 = g4 - 196;
                                                    function_46a168();
                                                    v164 = g4;
                                                    if (g3 == 0) {
                                                        // 0x468bce
                                                        v206 = v164 - 196;
                                                        if (*(char *)(v164 - 176) == 0) {
                                                            // 0x468bd7
                                                            *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                            // branch -> 0x468c1b
                                                        } else {
                                                            // 0x468be2
                                                            g8 = v206;
                                                            g3 = *(int32_t *)(v164 - 4);
                                                            function_469c8c();
                                                            *(int32_t *)(g4 - 20) = g3;
                                                            v165 = g4;
                                                            g11 = (int32_t)&v5;
                                                            g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                            g6 = g6 & -256 | 1;
                                                            g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                            function_46ae10();
                                                            g6 = -1;
                                                            v166 = g4;
                                                            g8 = v166 - 196;
                                                            g3 = *(int32_t *)(v166 - 4);
                                                            function_469f40();
                                                            // branch -> 0x468c1b
                                                        }
                                                        // 0x468c1b
                                                        v167 = g4;
                                                        if (*(char *)(v167 - 164) != 8) {
                                                            // 0x468c24
                                                            if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                // 0x468c30
                                                                g8 = g8 & -256 | 193;
                                                                g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                function_462278();
                                                                v207 = g4;
                                                                v254 = g8 & -256;
                                                                g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                function_462278();
                                                                g8 = g8 & -256 | 16;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                function_462278();
                                                                // branch -> 0x468c5b
                                                            }
                                                        }
                                                        // 0x468c5b
                                                        v208 = g11;
                                                        *(int32_t *)(v208 - 4) = 0;
                                                        v133 = v208 - 8;
                                                        *(int32_t *)v133 = g4 - 260;
                                                        g11 = v133;
                                                        g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                        *(int32_t *)(v208 - 12) = 0x468c74;
                                                        unknown_468108();
                                                        v168 = g4;
                                                        v211 = v168;
                                                        v233 = 0;
                                                        if (*(char *)(v168 - 228) != 8) {
                                                            // 0x468c7d
                                                            v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                            if (*(char *)(v243 + 9) == 8) {
                                                                // 0x468c89
                                                                g8 = v168 - 260;
                                                                g3 = *(int32_t *)(v168 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                function_4673b4();
                                                                *(int32_t *)(g4 - 28) = g3;
                                                                g8 = g8 & -256 | 193;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x468caa;
                                                                function_462278();
                                                                v209 = g4;
                                                                v255 = g8 & -256;
                                                                g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                function_462278();
                                                                g8 = g8 & -256 | 16;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                function_462278();
                                                                v169 = g4;
                                                                g8 = v169 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                function_46a30c();
                                                                v210 = g4;
                                                                *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                v211 = g4;
                                                                v233 = -1;
                                                                // branch -> 0x468ce2
                                                            } else {
                                                                v211 = v168;
                                                                v233 = 0;
                                                            }
                                                        }
                                                        // 0x468ce2
                                                        v123 = (int32_t *)(v211 - 8);
                                                        if (*(char *)(*v123 + 13) == 0) {
                                                            // 0x468ceb
                                                            v170 = g11;
                                                            v134 = v170 - 4;
                                                            *(int32_t *)v134 = v211 - 260;
                                                            g11 = v134;
                                                            g6 = v233 & -256 | 1;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                            *(int32_t *)(v170 - 8) = 0x468d02;
                                                            function_46aa40();
                                                            g6 = -1;
                                                            v171 = g4;
                                                            g8 = v171 - 260;
                                                            g3 = *(int32_t *)(v171 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x468d13;
                                                            function_469f40();
                                                            // branch -> 0x46937f
                                                        } else {
                                                            // 0x468d18
                                                            if (*(char *)(*v123 + 13) == 1) {
                                                                // 0x468d21
                                                                v172 = g11;
                                                                v135 = v172 - 4;
                                                                *(int32_t *)v135 = v211 - 260;
                                                                g11 = v135;
                                                                g6 = v233 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                *(int32_t *)(v172 - 8) = 0x468d38;
                                                                function_46aac4();
                                                                g6 = -1;
                                                                v173 = g4;
                                                                g8 = v173 - 260;
                                                                g3 = *(int32_t *)(v173 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x468d49;
                                                                function_469f40();
                                                                // branch -> 0x46937f
                                                            } else {
                                                                // 0x468d4e
                                                                if (*(char *)(*v123 + 13) == 18) {
                                                                    // 0x468d57
                                                                    v174 = g11;
                                                                    v136 = v174 - 4;
                                                                    *(int32_t *)v136 = v211 - 260;
                                                                    g11 = v136;
                                                                    g6 = v233 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                    *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                    function_46ab48();
                                                                    g6 = -1;
                                                                    v175 = g4;
                                                                    g8 = v175 - 260;
                                                                    g3 = *(int32_t *)(v175 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                    function_469f40();
                                                                    // branch -> 0x46937f
                                                                } else {
                                                                    // 0x468d84
                                                                    if (*(char *)(*v123 + 13) == 19) {
                                                                        // 0x468d8d
                                                                        v176 = g11;
                                                                        v137 = v176 - 4;
                                                                        *(int32_t *)v137 = v211 - 260;
                                                                        g11 = v137;
                                                                        g6 = v233 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                        *(int32_t *)(v176 - 8) = 0x468da4;
                                                                        function_46abcc();
                                                                        g6 = -1;
                                                                        v177 = g4;
                                                                        g8 = v177 - 260;
                                                                        g3 = *(int32_t *)(v177 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468db5;
                                                                        function_469f40();
                                                                        // branch -> 0x46937f
                                                                    } else {
                                                                        // 0x468dba
                                                                        if (*(char *)(*v123 + 13) == 20) {
                                                                            // 0x468dc3
                                                                            v178 = g11;
                                                                            v138 = v178 - 4;
                                                                            *(int32_t *)v138 = v211 - 260;
                                                                            g11 = v138;
                                                                            g6 = v233 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v178 - 8) = 0x468dda;
                                                                            function_46ac50();
                                                                            g6 = -1;
                                                                            v179 = g4;
                                                                            g8 = v179 - 260;
                                                                            g3 = *(int32_t *)(v179 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468deb;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468df0
                                                                            if (*(char *)(*v123 + 13) != 22) {
                                                                                // 0x468df9
                                                                                if (*(char *)(*v123 + 13) != 21) {
                                                                                    // 0x468fad
                                                                                    if (*(char *)(*v123 + 13) == 3) {
                                                                                        // 0x468fba
                                                                                        if (*(char *)(v211 - 240) == 0) {
                                                                                            // 0x469000
                                                                                            g6 = -1;
                                                                                            g8 = v211 - 260;
                                                                                            g3 = *(int32_t *)(v211 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469011;
                                                                                            function_4673b4();
                                                                                            *(int32_t *)(g4 - 28) = g3;
                                                                                            v189 = g4;
                                                                                            g8 = v189 - 324;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469025;
                                                                                            function_46a30c();
                                                                                            v221 = g4;
                                                                                            *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                            v222 = g4;
                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                            g6 = v222 - 324;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469042;
                                                                                            function_46b0d8();
                                                                                            g6 = -1;
                                                                                            v190 = g4;
                                                                                            g8 = v190 - 324;
                                                                                            g3 = *(int32_t *)(v190 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469053;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468fc3
                                                                                            *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                            v220 = g4;
                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                            g6 = v220 - 260;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                            function_46b0d8();
                                                                                            *(int32_t *)(g4 - 260) = -1;
                                                                                            g6 = -1;
                                                                                            v188 = g4;
                                                                                            g8 = v188 - 260;
                                                                                            g3 = *(int32_t *)(v188 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        // 0x469058
                                                                                        v247 = *v123;
                                                                                        v132 = v247;
                                                                                        if (*(char *)(v247 + 13) != 4) {
                                                                                            // 0x469061
                                                                                            v248 = *v123;
                                                                                            v132 = v248;
                                                                                            if (*(char *)(v248 + 13) != 5) {
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x46906e
                                                                                        v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                        *v127 = *v127 - 1;
                                                                                        v223 = v132;
                                                                                        v145 = v223 - 24 & 255 | v223 & -256;
                                                                                        g11 -= *(int32_t *)g5;
                                                                                        v128 = (char *)v145;
                                                                                        *v128 = (char)((int32_t)*v128 + v145);
                                                                                        v191 = g4;
                                                                                        g8 = v191 - 388;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                        function_46a30c();
                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                        function_469fd8();
                                                                                        *(int32_t *)(g4 - 372) = g3;
                                                                                        *(int32_t *)(g4 - 388) = 5;
                                                                                        v192 = g11;
                                                                                        v141 = v192 - 4;
                                                                                        *(int32_t *)v141 = g4 - 388;
                                                                                        g11 = v141;
                                                                                        v193 = g4;
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                        *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                        function_46ae10();
                                                                                        v194 = g4;
                                                                                        g8 = *(int32_t *)(v194 - 324);
                                                                                        g3 = *(int32_t *)(v194 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469102;
                                                                                        function_469e18();
                                                                                        v224 = g4;
                                                                                        v249 = *(int32_t *)(v224 - 4);
                                                                                        if (*(char *)(v249 + 0x1814) != 0) {
                                                                                            // 0x469127
                                                                                            if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                // 0x469131
                                                                                                // branch -> 0x469133
                                                                                                // 0x469133
                                                                                                *(char *)(v224 - 42) = (char)(v249 & -256 | 1);
                                                                                                v225 = g4;
                                                                                                v250 = *(int32_t *)(v225 - 4);
                                                                                                if (*(char *)(v250 + 0x183c) != 0) {
                                                                                                    // 0x469142
                                                                                                    if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                        // 0x46914c
                                                                                                        // branch -> 0x46914e
                                                                                                        // 0x46914e
                                                                                                        *(char *)(v225 - 40) = (char)(v250 & -256 | 1);
                                                                                                        v226 = g4;
                                                                                                        v227 = v226;
                                                                                                        if (*(char *)(v226 - 42) != 0) {
                                                                                                            // 0x469157
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v226 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469164;
                                                                                                            function_46b214();
                                                                                                            v227 = g4;
                                                                                                            // branch -> 0x469164
                                                                                                        }
                                                                                                        // 0x469164
                                                                                                        v195 = v227;
                                                                                                        if (*(char *)(v227 - 40) != 0) {
                                                                                                            // 0x46916a
                                                                                                            g8 = g8 & -256 | 2;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v227 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469177;
                                                                                                            function_46b214();
                                                                                                            v195 = g4;
                                                                                                            // branch -> 0x469177
                                                                                                        }
                                                                                                        // 0x469177
                                                                                                        g8 = v195 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v195 - 4) + 4);
                                                                                                        v129 = (int32_t *)(g11 - 4);
                                                                                                        if (*(char *)(v195 - 240) == 0) {
                                                                                                            // 0x469184
                                                                                                            *v129 = 0x469195;
                                                                                                            function_46a30c();
                                                                                                            v228 = g4;
                                                                                                            *(int32_t *)(v228 - 324) = *(int32_t *)(v228 - 20);
                                                                                                            v196 = g11;
                                                                                                            v142 = v196 - 4;
                                                                                                            *(int32_t *)v142 = g4 - 324;
                                                                                                            g11 = v142;
                                                                                                            g6 = 1;
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v196 - 8) = 0x4691b4;
                                                                                                            function_46ae10();
                                                                                                            v229 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v229 - 8) + 13) == 4) {
                                                                                                                // 0x4691bd
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4691c8;
                                                                                                                function_46b238();
                                                                                                                // branch -> 0x4691d9
                                                                                                            } else {
                                                                                                                // 0x4691ca
                                                                                                                g6 = g6 & -256 | 2;
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v229 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4691d9;
                                                                                                                function_46ad58();
                                                                                                                // branch -> 0x4691d9
                                                                                                            }
                                                                                                            // 0x4691d9
                                                                                                            v230 = g4;
                                                                                                            g8 = v230 - 388;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v230 - 4) + 4);
                                                                                                            v130 = (int32_t *)(g11 - 4);
                                                                                                            if (*(char *)(*(int32_t *)(v230 - 8) + 13) == 4) {
                                                                                                                // 0x4691e2
                                                                                                                *v130 = 0x4691f3;
                                                                                                                function_46afe8();
                                                                                                                // branch -> 0x4692fa
                                                                                                            } else {
                                                                                                                // 0x4691f8
                                                                                                                *v130 = 0x469209;
                                                                                                                function_46b060();
                                                                                                                // branch -> 0x4692fa
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        } else {
                                                                                                            // 0x46920e
                                                                                                            *v129 = 0x46921f;
                                                                                                            function_46a30c();
                                                                                                            v231 = g4;
                                                                                                            *(int32_t *)(v231 - 324) = *(int32_t *)(v231 - 20);
                                                                                                            v197 = g11;
                                                                                                            v143 = v197 - 4;
                                                                                                            *(int32_t *)v143 = g4 - 324;
                                                                                                            g11 = v143;
                                                                                                            g6 = 1;
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v197 - 8) = 0x46923e;
                                                                                                            function_46ae10();
                                                                                                            v234 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v234 - 8) + 13) == 4) {
                                                                                                                // 0x469247
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469252;
                                                                                                                function_46b238();
                                                                                                                // branch -> 0x469263
                                                                                                            } else {
                                                                                                                // 0x469254
                                                                                                                g6 = g6 & -256 | 2;
                                                                                                                g8 = g8 & -256 | 2;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v234 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469263;
                                                                                                                function_46ad58();
                                                                                                                // branch -> 0x469263
                                                                                                            }
                                                                                                            // 0x469263
                                                                                                            v198 = g4;
                                                                                                            g8 = v198 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v198 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469274;
                                                                                                            function_46a30c();
                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x46927c;
                                                                                                            function_469fd8();
                                                                                                            *(int32_t *)(g4 - 308) = g3;
                                                                                                            *(int32_t *)(g4 - 324) = 5;
                                                                                                            *(char *)(g4 - 304) = 1;
                                                                                                            v199 = g4;
                                                                                                            *(int32_t *)(v199 - 300) = *(int32_t *)(v199 - 236);
                                                                                                            v200 = g11;
                                                                                                            v144 = v200 - 4;
                                                                                                            *(int32_t *)v144 = g4 - 324;
                                                                                                            g11 = v144;
                                                                                                            g6 = 0;
                                                                                                            g8 = 0;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v200 - 8) = 0x4692b5;
                                                                                                            function_46ae10();
                                                                                                            *(char *)(g4 - 304) = 0;
                                                                                                            v235 = g4;
                                                                                                            g8 = v235 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v235 - 4) + 4);
                                                                                                            v131 = (int32_t *)(g11 - 4);
                                                                                                            if (*(char *)(*(int32_t *)(v235 - 8) + 13) == 4) {
                                                                                                                // 0x4692c5
                                                                                                                *v131 = 0x4692d6;
                                                                                                                function_46afe8();
                                                                                                                // branch -> 0x4692e9
                                                                                                            } else {
                                                                                                                // 0x4692d8
                                                                                                                *v131 = 0x4692e9;
                                                                                                                function_46b060();
                                                                                                                // branch -> 0x4692e9
                                                                                                            }
                                                                                                            // 0x4692e9
                                                                                                            g6 = -1;
                                                                                                            v201 = g4;
                                                                                                            g8 = v201 - 324;
                                                                                                            g3 = *(int32_t *)(v201 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4692fa;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x4692fa
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x469148
                                                                                                // branch -> 0x46914e
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x46912d
                                                                                        // branch -> 0x469133
                                                                                        // 0x469133
                                                                                        *(char *)(v224 - 42) = (char)0;
                                                                                        v225 = g4;
                                                                                        if (*(char *)(*(int32_t *)(v225 - 4) + 0x183c) != 0) {
                                                                                            // 0x469142
                                                                                            if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                // 0x46914c
                                                                                                // branch -> 0x46914e
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x469148
                                                                                        // branch -> 0x46914e
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x468e06
                                                                            *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                            v180 = g4;
                                                                            if (*(char *)(v180 - 240) == 0) {
                                                                                // 0x468e9d
                                                                                v124 = (int32_t *)(v180 - 20);
                                                                                v218 = v180;
                                                                                v232 = v233;
                                                                                if (*v124 == 1) {
                                                                                    // 0x468ea3
                                                                                    g6 = v180 - 484;
                                                                                    g8 = *v124;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                    function_46b3dc();
                                                                                    v181 = g4;
                                                                                    g8 = v181 - 484;
                                                                                    g3 = *(int32_t *)(v181 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                    function_469c8c();
                                                                                    *(int32_t *)(g4 - 24) = g3;
                                                                                    v182 = g4;
                                                                                    g6 = v182 - 548;
                                                                                    g8 = *(int32_t *)(v182 - 20);
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                    function_46b3dc();
                                                                                    v183 = g11;
                                                                                    v139 = v183 - 4;
                                                                                    *(int32_t *)v139 = g4 - 548;
                                                                                    g11 = v139;
                                                                                    v215 = g4;
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                    *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                    function_46ae10();
                                                                                    v216 = g4;
                                                                                    g8 = *(int32_t *)(v216 - 20);
                                                                                    g3 = *(int32_t *)(v216 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                    function_469e18();
                                                                                    v217 = g4;
                                                                                    *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                    v218 = g4;
                                                                                    v232 = g6 & -256 | 1;
                                                                                    // branch -> 0x468f04
                                                                                }
                                                                                // 0x468f04
                                                                                v184 = v218;
                                                                                if (*(int32_t *)(v218 - 260) != 1) {
                                                                                    // 0x468f0d
                                                                                    if (*(int32_t *)(v218 - 252) != 1) {
                                                                                        // 0x468f16
                                                                                        v125 = (int32_t *)(v218 - 4);
                                                                                        if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                            // 0x468f22
                                                                                            g8 = g8 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*v125 + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                            function_46b214();
                                                                                            v184 = g4;
                                                                                            // branch -> 0x468f2f
                                                                                        } else {
                                                                                            v184 = v218;
                                                                                        }
                                                                                    } else {
                                                                                        v184 = v218;
                                                                                    }
                                                                                }
                                                                                // 0x468f2f
                                                                                v185 = g11;
                                                                                v140 = v185 - 4;
                                                                                *(int32_t *)v140 = v184 - 260;
                                                                                g11 = v140;
                                                                                g6 = v232 & -256 | 1;
                                                                                g8 = g8 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                function_46ae10();
                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                g8 = g8 & -256 | 211;
                                                                                *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                function_462278();
                                                                                v219 = g4;
                                                                                v246 = *(char *)(v219 - 20);
                                                                                v258 = g8 & -256;
                                                                                v253 = *(char *)(v219 - 16);
                                                                                g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                function_462278();
                                                                                v186 = g4;
                                                                                v187 = v186;
                                                                                if (*(int32_t *)(v186 - 260) != 1) {
                                                                                    // 0x468f75
                                                                                    if (*(int32_t *)(v186 - 252) != 1) {
                                                                                        // 0x468f7e
                                                                                        v126 = (int32_t *)(v186 - 4);
                                                                                        if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                            // 0x468f8a
                                                                                            g8 = g8 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*v126 + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                            function_46b1f0();
                                                                                            v187 = g4;
                                                                                            // branch -> 0x468f97
                                                                                        } else {
                                                                                            v187 = v186;
                                                                                        }
                                                                                    } else {
                                                                                        v187 = v186;
                                                                                    }
                                                                                }
                                                                                // 0x468f97
                                                                                g6 = -1;
                                                                                g8 = v187 - 260;
                                                                                g3 = *(int32_t *)(v187 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468e28
                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                v236 = g8 & -256;
                                                                                if (*(int32_t *)(v180 - 236) == 1) {
                                                                                    // 0x468e31
                                                                                    g8 = v236 | 209;
                                                                                    *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                    function_462278();
                                                                                    v212 = g4;
                                                                                    v244 = *(char *)(v212 - 20);
                                                                                    v256 = g8 & -256;
                                                                                    v251 = *(char *)(v212 - 16);
                                                                                    g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                    function_462278();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468e5d
                                                                                    g8 = v236 | 193;
                                                                                    *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                    function_462278();
                                                                                    v213 = g4;
                                                                                    v245 = *(char *)(v213 - 20);
                                                                                    v257 = g8 & -256;
                                                                                    v252 = *(char *)(v213 - 16);
                                                                                    g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                    function_462278();
                                                                                    v214 = g4;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                    *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                    function_462278();
                                                                                    // branch -> 0x46937f
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    } else {
                                                        // 0x468b93
                                                        g8 = v164 - 196;
                                                        g3 = *(int32_t *)(v164 - 4);
                                                        function_469c8c();
                                                        *(int32_t *)(g4 - 20) = g3;
                                                        v162 = g4;
                                                        g11 = (int32_t)&v5;
                                                        g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                        g6 = g6 & -256 | 1;
                                                        g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                        function_46ae10();
                                                        g6 = -1;
                                                        v163 = g4;
                                                        g8 = v163 - 196;
                                                        g3 = *(int32_t *)(v163 - 4);
                                                        function_469f40();
                                                        // branch -> 0x468c1b
                                                    }
                                                    // 0x468c1b
                                                    v167 = g4;
                                                    if (*(char *)(v167 - 164) != 8) {
                                                        // 0x468c24
                                                        if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                            // 0x468c30
                                                            g8 = g8 & -256 | 193;
                                                            g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x468c3d;
                                                            function_462278();
                                                            v207 = g4;
                                                            v254 = g8 & -256;
                                                            g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                            g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x468c4e;
                                                            function_462278();
                                                            g8 = g8 & -256 | 16;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x468c5b;
                                                            function_462278();
                                                            // branch -> 0x468c5b
                                                        }
                                                    }
                                                    // 0x468c5b
                                                    v208 = g11;
                                                    *(int32_t *)(v208 - 4) = 0;
                                                    v133 = v208 - 8;
                                                    *(int32_t *)v133 = g4 - 260;
                                                    g11 = v133;
                                                    g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                    *(int32_t *)(v208 - 12) = 0x468c74;
                                                    unknown_468108();
                                                    v168 = g4;
                                                    v211 = v168;
                                                    v233 = 0;
                                                    if (*(char *)(v168 - 228) != 8) {
                                                        // 0x468c7d
                                                        v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                        if (*(char *)(v243 + 9) == 8) {
                                                            // 0x468c89
                                                            g8 = v168 - 260;
                                                            g3 = *(int32_t *)(v168 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x468c9a;
                                                            function_4673b4();
                                                            *(int32_t *)(g4 - 28) = g3;
                                                            g8 = g8 & -256 | 193;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x468caa;
                                                            function_462278();
                                                            v209 = g4;
                                                            v255 = g8 & -256;
                                                            g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                            g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x468cbb;
                                                            function_462278();
                                                            g8 = g8 & -256 | 16;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x468cc8;
                                                            function_462278();
                                                            v169 = g4;
                                                            g8 = v169 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                            *(int32_t *)(g11 - 4) = 0x468cd9;
                                                            function_46a30c();
                                                            v210 = g4;
                                                            *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                            v211 = g4;
                                                            v233 = -1;
                                                            // branch -> 0x468ce2
                                                        } else {
                                                            v211 = v168;
                                                            v233 = 0;
                                                        }
                                                    }
                                                    // 0x468ce2
                                                    v123 = (int32_t *)(v211 - 8);
                                                    if (*(char *)(*v123 + 13) == 0) {
                                                        // 0x468ceb
                                                        v170 = g11;
                                                        v134 = v170 - 4;
                                                        *(int32_t *)v134 = v211 - 260;
                                                        g11 = v134;
                                                        g6 = v233 & -256 | 1;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                        *(int32_t *)(v170 - 8) = 0x468d02;
                                                        function_46aa40();
                                                        g6 = -1;
                                                        v171 = g4;
                                                        g8 = v171 - 260;
                                                        g3 = *(int32_t *)(v171 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x468d13;
                                                        function_469f40();
                                                        // branch -> 0x46937f
                                                    } else {
                                                        // 0x468d18
                                                        if (*(char *)(*v123 + 13) == 1) {
                                                            // 0x468d21
                                                            v172 = g11;
                                                            v135 = v172 - 4;
                                                            *(int32_t *)v135 = v211 - 260;
                                                            g11 = v135;
                                                            g6 = v233 & -256 | 1;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                            *(int32_t *)(v172 - 8) = 0x468d38;
                                                            function_46aac4();
                                                            g6 = -1;
                                                            v173 = g4;
                                                            g8 = v173 - 260;
                                                            g3 = *(int32_t *)(v173 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x468d49;
                                                            function_469f40();
                                                            // branch -> 0x46937f
                                                        } else {
                                                            // 0x468d4e
                                                            if (*(char *)(*v123 + 13) == 18) {
                                                                // 0x468d57
                                                                v174 = g11;
                                                                v136 = v174 - 4;
                                                                *(int32_t *)v136 = v211 - 260;
                                                                g11 = v136;
                                                                g6 = v233 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                function_46ab48();
                                                                g6 = -1;
                                                                v175 = g4;
                                                                g8 = v175 - 260;
                                                                g3 = *(int32_t *)(v175 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                function_469f40();
                                                                // branch -> 0x46937f
                                                            } else {
                                                                // 0x468d84
                                                                if (*(char *)(*v123 + 13) == 19) {
                                                                    // 0x468d8d
                                                                    v176 = g11;
                                                                    v137 = v176 - 4;
                                                                    *(int32_t *)v137 = v211 - 260;
                                                                    g11 = v137;
                                                                    g6 = v233 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                    *(int32_t *)(v176 - 8) = 0x468da4;
                                                                    function_46abcc();
                                                                    g6 = -1;
                                                                    v177 = g4;
                                                                    g8 = v177 - 260;
                                                                    g3 = *(int32_t *)(v177 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x468db5;
                                                                    function_469f40();
                                                                    // branch -> 0x46937f
                                                                } else {
                                                                    // 0x468dba
                                                                    if (*(char *)(*v123 + 13) == 20) {
                                                                        // 0x468dc3
                                                                        v178 = g11;
                                                                        v138 = v178 - 4;
                                                                        *(int32_t *)v138 = v211 - 260;
                                                                        g11 = v138;
                                                                        g6 = v233 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                        *(int32_t *)(v178 - 8) = 0x468dda;
                                                                        function_46ac50();
                                                                        g6 = -1;
                                                                        v179 = g4;
                                                                        g8 = v179 - 260;
                                                                        g3 = *(int32_t *)(v179 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468deb;
                                                                        function_469f40();
                                                                        // branch -> 0x46937f
                                                                    } else {
                                                                        // 0x468df0
                                                                        if (*(char *)(*v123 + 13) != 22) {
                                                                            // 0x468df9
                                                                            if (*(char *)(*v123 + 13) != 21) {
                                                                                // 0x468fad
                                                                                if (*(char *)(*v123 + 13) == 3) {
                                                                                    // 0x468fba
                                                                                    if (*(char *)(v211 - 240) == 0) {
                                                                                        // 0x469000
                                                                                        g6 = -1;
                                                                                        g8 = v211 - 260;
                                                                                        g3 = *(int32_t *)(v211 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469011;
                                                                                        function_4673b4();
                                                                                        *(int32_t *)(g4 - 28) = g3;
                                                                                        v189 = g4;
                                                                                        g8 = v189 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469025;
                                                                                        function_46a30c();
                                                                                        v221 = g4;
                                                                                        *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                        v222 = g4;
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                        g6 = v222 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469042;
                                                                                        function_46b0d8();
                                                                                        g6 = -1;
                                                                                        v190 = g4;
                                                                                        g8 = v190 - 324;
                                                                                        g3 = *(int32_t *)(v190 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469053;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468fc3
                                                                                        *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                        v220 = g4;
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                        g6 = v220 - 260;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                        function_46b0d8();
                                                                                        *(int32_t *)(g4 - 260) = -1;
                                                                                        g6 = -1;
                                                                                        v188 = g4;
                                                                                        g8 = v188 - 260;
                                                                                        g3 = *(int32_t *)(v188 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                } else {
                                                                                    // 0x469058
                                                                                    v247 = *v123;
                                                                                    v132 = v247;
                                                                                    if (*(char *)(v247 + 13) != 4) {
                                                                                        // 0x469061
                                                                                        v248 = *v123;
                                                                                        v132 = v248;
                                                                                        if (*(char *)(v248 + 13) != 5) {
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x46906e
                                                                                    v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                    *v127 = *v127 - 1;
                                                                                    v223 = v132;
                                                                                    v145 = v223 - 24 & 255 | v223 & -256;
                                                                                    g11 -= *(int32_t *)g5;
                                                                                    v128 = (char *)v145;
                                                                                    *v128 = (char)((int32_t)*v128 + v145);
                                                                                    v191 = g4;
                                                                                    g8 = v191 - 388;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                    function_46a30c();
                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                    function_469fd8();
                                                                                    *(int32_t *)(g4 - 372) = g3;
                                                                                    *(int32_t *)(g4 - 388) = 5;
                                                                                    v192 = g11;
                                                                                    v141 = v192 - 4;
                                                                                    *(int32_t *)v141 = g4 - 388;
                                                                                    g11 = v141;
                                                                                    v193 = g4;
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                    *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                    function_46ae10();
                                                                                    v194 = g4;
                                                                                    g8 = *(int32_t *)(v194 - 324);
                                                                                    g3 = *(int32_t *)(v194 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469102;
                                                                                    function_469e18();
                                                                                    v224 = g4;
                                                                                    v249 = *(int32_t *)(v224 - 4);
                                                                                    if (*(char *)(v249 + 0x1814) != 0) {
                                                                                        // 0x469127
                                                                                        if (*(int32_t *)(v224 - 20) != 0) {
                                                                                            // 0x469131
                                                                                            // branch -> 0x469133
                                                                                            // 0x469133
                                                                                            *(char *)(v224 - 42) = (char)(v249 & -256 | 1);
                                                                                            v225 = g4;
                                                                                            if (*(char *)(*(int32_t *)(v225 - 4) + 0x183c) != 0) {
                                                                                                // 0x469142
                                                                                                if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                    // 0x46914c
                                                                                                    // branch -> 0x46914e
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x469148
                                                                                            // branch -> 0x46914e
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x46912d
                                                                                    // branch -> 0x469133
                                                                                    // 0x469133
                                                                                    *(char *)(v224 - 42) = (char)0;
                                                                                    v225 = g4;
                                                                                    if (*(char *)(*(int32_t *)(v225 - 4) + 0x183c) != 0) {
                                                                                        // 0x469142
                                                                                        if (*(int32_t *)(v225 - 20) != 2) {
                                                                                            // 0x46914c
                                                                                            // branch -> 0x46914e
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x469148
                                                                                    // branch -> 0x46914e
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x468e06
                                                                        *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                        v180 = g4;
                                                                        if (*(char *)(v180 - 240) == 0) {
                                                                            // 0x468e9d
                                                                            v124 = (int32_t *)(v180 - 20);
                                                                            v218 = v180;
                                                                            v232 = v233;
                                                                            if (*v124 == 1) {
                                                                                // 0x468ea3
                                                                                g6 = v180 - 484;
                                                                                g8 = *v124;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                function_46b3dc();
                                                                                v181 = g4;
                                                                                g8 = v181 - 484;
                                                                                g3 = *(int32_t *)(v181 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                function_469c8c();
                                                                                *(int32_t *)(g4 - 24) = g3;
                                                                                v182 = g4;
                                                                                g6 = v182 - 548;
                                                                                g8 = *(int32_t *)(v182 - 20);
                                                                                g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                function_46b3dc();
                                                                                v183 = g11;
                                                                                v139 = v183 - 4;
                                                                                *(int32_t *)v139 = g4 - 548;
                                                                                g11 = v139;
                                                                                v215 = g4;
                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                function_46ae10();
                                                                                v216 = g4;
                                                                                g8 = *(int32_t *)(v216 - 20);
                                                                                g3 = *(int32_t *)(v216 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                function_469e18();
                                                                                v217 = g4;
                                                                                *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                v218 = g4;
                                                                                v232 = g6 & -256 | 1;
                                                                                // branch -> 0x468f04
                                                                            }
                                                                            // 0x468f04
                                                                            v184 = v218;
                                                                            if (*(int32_t *)(v218 - 260) != 1) {
                                                                                // 0x468f0d
                                                                                if (*(int32_t *)(v218 - 252) != 1) {
                                                                                    // 0x468f16
                                                                                    v125 = (int32_t *)(v218 - 4);
                                                                                    if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                        // 0x468f22
                                                                                        g8 = g8 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*v125 + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                        function_46b214();
                                                                                        v184 = g4;
                                                                                        // branch -> 0x468f2f
                                                                                    } else {
                                                                                        v184 = v218;
                                                                                    }
                                                                                } else {
                                                                                    v184 = v218;
                                                                                }
                                                                            }
                                                                            // 0x468f2f
                                                                            v185 = g11;
                                                                            v140 = v185 - 4;
                                                                            *(int32_t *)v140 = v184 - 260;
                                                                            g11 = v140;
                                                                            g6 = v232 & -256 | 1;
                                                                            g8 = g8 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v185 - 8) = 0x468f45;
                                                                            function_46ae10();
                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                            g8 = g8 & -256 | 211;
                                                                            *(int32_t *)(g11 - 4) = 0x468f55;
                                                                            function_462278();
                                                                            v219 = g4;
                                                                            v246 = *(char *)(v219 - 20);
                                                                            v258 = g8 & -256;
                                                                            v253 = *(char *)(v219 - 16);
                                                                            g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                            function_462278();
                                                                            v186 = g4;
                                                                            v187 = v186;
                                                                            if (*(int32_t *)(v186 - 260) != 1) {
                                                                                // 0x468f75
                                                                                if (*(int32_t *)(v186 - 252) != 1) {
                                                                                    // 0x468f7e
                                                                                    v126 = (int32_t *)(v186 - 4);
                                                                                    if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                        // 0x468f8a
                                                                                        g8 = g8 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*v126 + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                        function_46b1f0();
                                                                                        v187 = g4;
                                                                                        // branch -> 0x468f97
                                                                                    } else {
                                                                                        v187 = v186;
                                                                                    }
                                                                                } else {
                                                                                    v187 = v186;
                                                                                }
                                                                            }
                                                                            // 0x468f97
                                                                            g6 = -1;
                                                                            g8 = v187 - 260;
                                                                            g3 = *(int32_t *)(v187 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468e28
                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                            v236 = g8 & -256;
                                                                            if (*(int32_t *)(v180 - 236) == 1) {
                                                                                // 0x468e31
                                                                                g8 = v236 | 209;
                                                                                *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                function_462278();
                                                                                v212 = g4;
                                                                                v244 = *(char *)(v212 - 20);
                                                                                v256 = g8 & -256;
                                                                                v251 = *(char *)(v212 - 16);
                                                                                g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                function_462278();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468e5d
                                                                                g8 = v236 | 193;
                                                                                *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                function_462278();
                                                                                v213 = g4;
                                                                                v245 = *(char *)(v213 - 20);
                                                                                v257 = g8 & -256;
                                                                                v252 = *(char *)(v213 - 16);
                                                                                g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                function_462278();
                                                                                v214 = g4;
                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                function_462278();
                                                                                // branch -> 0x46937f
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                        }
                                        // 0x468878
                                        g11 = (int32_t)&v7;
                                        g6 = *(int32_t *)(v203 - 12);
                                        g8 = *v122;
                                        g3 = *(int32_t *)(v203 - 4);
                                        function_462be0();
                                        // branch -> 0x4693c1
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                }
                                // 0x468833
                                v202 = g4;
                                v7 = (int32_t *)*(int32_t *)(v202 - 12);
                                v121 = (int32_t *)(v202 - 8);
                                g6 = *v121;
                                g8 = (int32_t)*(char *)(*v121 + 13);
                                g3 = *(int32_t *)(v202 - 4);
                                function_4653e4();
                                // branch -> 0x4693c1
                            }
                        } else {
                            // 0x468637
                            v298 = *(int32_t *)(*v276 + 44);
                            if (*(char *)(v298 + 99) == 0) {
                                // 0x468675
                                v7 = NULL;
                                g11 = v4;
                                unknown_468108();
                                v282 = g4;
                                if (*(char *)(v282 - 176) == 0) {
                                    // 0x46870b
                                    g8 = v282 - 260;
                                    g3 = *(int32_t *)(*(int32_t *)(v282 - 4) + 4);
                                    function_46a30c();
                                    *(char *)(g4 - 240) = 1;
                                    v290 = g4;
                                    v304 = *(int32_t *)(*(int32_t *)(v290 - 8) + 44);
                                    *(int32_t *)(v290 - 236) = *(int32_t *)(v304 + 76);
                                    g6 = -1;
                                    v283 = g4;
                                    g8 = v283 - 196;
                                    g3 = *(int32_t *)(v283 - 4);
                                    function_4673b4();
                                    *(int32_t *)(g4 - 20) = g3;
                                    g11 = (int32_t)&v5;
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                    function_46acd4();
                                    g8 = g8 & -256 | 124;
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                    function_462278();
                                    g8 = g8 & -256 | 2;
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                    function_462278();
                                    g8 = g8 & -256 | 205;
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                    function_462278();
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                    function_462278();
                                    v291 = g4;
                                    v281 = (int32_t *)(v291 - 8);
                                    v305 = *(int32_t *)(*v281 + 44);
                                    if (*(int32_t *)(*(int32_t *)(v305 + 24) + 72) != 4) {
                                        // 0x4687a0
                                        if (*(int32_t *)(*(int32_t *)(*v281 + 44) + 40) == 0) {
                                            // 0x4687bb
                                            g8 = v291 - 260;
                                            g3 = *(int32_t *)(*(int32_t *)(v291 - 4) + 4);
                                            function_46a30c();
                                            *(char *)(g4 - 240) = 1;
                                            v292 = g4;
                                            v306 = *(int32_t *)(*(int32_t *)(v292 - 8) + 44);
                                            v307 = *(int32_t *)(*(int32_t *)(v306 + 24) + 72);
                                            *(int32_t *)(v292 - 236) = v307;
                                            v293 = g4;
                                            *(int32_t *)(v293 - 260) = *(int32_t *)(v293 - 20);
                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                            function_46b0d8();
                                            v294 = g4;
                                            *(int32_t *)(v294 - 124) = *(int32_t *)(v294 - 20);
                                            // branch -> 0x468808
                                            // 0x468808
                                            v120 = (int32_t *)(g4 - 8);
                                            if (*(char *)(*v120 + 12) == 3) {
                                                // 0x468815
                                                v237 = *v120;
                                                g3 = (int32_t)*(char *)(v237 + 13) | v237 & -256;
                                                function_459cb0();
                                                if (g3 == 0) {
                                                    // 0x468824
                                                    v238 = *(int32_t *)(g4 - 8);
                                                    g3 = (int32_t)*(char *)(v238 + 13) | v238 & -256;
                                                    function_459d30();
                                                    if (g3 == 0) {
                                                        // 0x468854
                                                        v203 = g4;
                                                        v122 = (int32_t *)(v203 - 8);
                                                        v239 = *(int32_t *)(*v122 + 4);
                                                        if (*(char *)(*(int32_t *)(v239 + 56) + 9) != 3) {
                                                            // 0x468863
                                                            v240 = *(int32_t *)(*v122 + 8);
                                                            if (*(char *)(*(int32_t *)(v240 + 56) + 9) != 3) {
                                                                // 0x468872
                                                                if (*(char *)(v203 - 37) != 3) {
                                                                    // 0x468892
                                                                    v241 = *(int32_t *)(*v122 + 4);
                                                                    if (*(char *)(*(int32_t *)(v241 + 56) + 9) == 8) {
                                                                        // 0x4688a5
                                                                        v242 = *(int32_t *)(*v122 + 8);
                                                                        if (*(char *)(*(int32_t *)(v242 + 56) + 9) == 8) {
                                                                            // 0x4688b8
                                                                            if (*(char *)(*v122 + 13) != 4) {
                                                                                // 0x4688c1
                                                                                if (*(char *)(*v122 + 13) != 5) {
                                                                                    // 0x468a14
                                                                                    if (*(char *)(*v122 + 13) == 3) {
                                                                                        // 0x468a21
                                                                                        v7 = NULL;
                                                                                        g6 = 0;
                                                                                        unknown_468108();
                                                                                        v154 = g4;
                                                                                        g8 = v154 - 196;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v154 - 4) + 4);
                                                                                        function_46b59c();
                                                                                        v155 = g4;
                                                                                        g8 = v155 - 196;
                                                                                        g3 = *(int32_t *)(v155 - 4);
                                                                                        function_469f40();
                                                                                        v156 = g4;
                                                                                        g8 = v156 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v156 - 4) + 4);
                                                                                        function_46a30c();
                                                                                        v5 = (int32_t *)0x47800000;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                                        function_463ffc();
                                                                                        *(int32_t *)(g4 - 308) = g3;
                                                                                        v157 = g4;
                                                                                        g8 = v157 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v157 - 4) + 4);
                                                                                        function_46b9d4();
                                                                                        g11 = (int32_t)&v12;
                                                                                        g6 = 0;
                                                                                        unknown_468108();
                                                                                        v158 = g4;
                                                                                        g8 = v158 - 260;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v158 - 4) + 4);
                                                                                        function_46b95c();
                                                                                        g6 = -1;
                                                                                        v159 = g4;
                                                                                        g8 = v159 - 260;
                                                                                        g3 = *(int32_t *)(v159 - 4);
                                                                                        function_469f40();
                                                                                        v160 = g4;
                                                                                        g8 = v160 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v160 - 4) + 4);
                                                                                        function_46b9d4();
                                                                                        v161 = g4;
                                                                                        g8 = v161 - 260;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v161 - 4) + 4);
                                                                                        function_46a30c();
                                                                                        *(int32_t *)(g4 - 260) = 5;
                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                        function_469fd8();
                                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                                        v205 = g4;
                                                                                        g8 = v205 - 260;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v205 - 4) + 4);
                                                                                        if (*(char *)(v205 - 37) == 3) {
                                                                                            // 0x468b2e
                                                                                            function_46b614();
                                                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                                            // branch -> 0x469a51
                                                                                        } else {
                                                                                            // 0x468b4b
                                                                                            function_46b68c();
                                                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                                            // branch -> 0x469a51
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        // 0x468b68
                                                                                        v7 = NULL;
                                                                                        g11 = v4;
                                                                                        g6 = 0;
                                                                                        unknown_468108();
                                                                                        g8 = g4 - 196;
                                                                                        function_46a168();
                                                                                        v164 = g4;
                                                                                        if (g3 == 0) {
                                                                                            // 0x468bce
                                                                                            v206 = v164 - 196;
                                                                                            if (*(char *)(v164 - 176) == 0) {
                                                                                                // 0x468bd7
                                                                                                *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                                                // branch -> 0x468c1b
                                                                                            } else {
                                                                                                // 0x468be2
                                                                                                g8 = v206;
                                                                                                g3 = *(int32_t *)(v164 - 4);
                                                                                                function_469c8c();
                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                v165 = g4;
                                                                                                g11 = (int32_t)&v5;
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                                                g6 = g6 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                                                function_46ae10();
                                                                                                g6 = -1;
                                                                                                v166 = g4;
                                                                                                g8 = v166 - 196;
                                                                                                g3 = *(int32_t *)(v166 - 4);
                                                                                                function_469f40();
                                                                                                // branch -> 0x468c1b
                                                                                            }
                                                                                            // 0x468c1b
                                                                                            v167 = g4;
                                                                                            if (*(char *)(v167 - 164) != 8) {
                                                                                                // 0x468c24
                                                                                                if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                                                    // 0x468c30
                                                                                                    g8 = g8 & -256 | 193;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                                                    function_462278();
                                                                                                    v207 = g4;
                                                                                                    v254 = g8 & -256;
                                                                                                    g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                                                    function_462278();
                                                                                                    g8 = g8 & -256 | 16;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                                                    function_462278();
                                                                                                    // branch -> 0x468c5b
                                                                                                }
                                                                                            }
                                                                                            // 0x468c5b
                                                                                            v208 = g11;
                                                                                            *(int32_t *)(v208 - 4) = 0;
                                                                                            v133 = v208 - 8;
                                                                                            *(int32_t *)v133 = g4 - 260;
                                                                                            g11 = v133;
                                                                                            g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                                            *(int32_t *)(v208 - 12) = 0x468c74;
                                                                                            unknown_468108();
                                                                                            v168 = g4;
                                                                                            v211 = v168;
                                                                                            v233 = 0;
                                                                                            if (*(char *)(v168 - 228) != 8) {
                                                                                                // 0x468c7d
                                                                                                v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                                                if (*(char *)(v243 + 9) == 8) {
                                                                                                    // 0x468c89
                                                                                                    g8 = v168 - 260;
                                                                                                    g3 = *(int32_t *)(v168 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                                                    function_4673b4();
                                                                                                    *(int32_t *)(g4 - 28) = g3;
                                                                                                    g8 = g8 & -256 | 193;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468caa;
                                                                                                    function_462278();
                                                                                                    v209 = g4;
                                                                                                    v255 = g8 & -256;
                                                                                                    g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                                                    function_462278();
                                                                                                    g8 = g8 & -256 | 16;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                                                    function_462278();
                                                                                                    v169 = g4;
                                                                                                    g8 = v169 - 260;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                                                    function_46a30c();
                                                                                                    v210 = g4;
                                                                                                    *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                                                    v211 = g4;
                                                                                                    v233 = -1;
                                                                                                    // branch -> 0x468ce2
                                                                                                } else {
                                                                                                    v211 = v168;
                                                                                                    v233 = 0;
                                                                                                }
                                                                                            }
                                                                                            // 0x468ce2
                                                                                            v123 = (int32_t *)(v211 - 8);
                                                                                            if (*(char *)(*v123 + 13) == 0) {
                                                                                                // 0x468ceb
                                                                                                v170 = g11;
                                                                                                v134 = v170 - 4;
                                                                                                *(int32_t *)v134 = v211 - 260;
                                                                                                g11 = v134;
                                                                                                g6 = v233 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v170 - 8) = 0x468d02;
                                                                                                function_46aa40();
                                                                                                g6 = -1;
                                                                                                v171 = g4;
                                                                                                g8 = v171 - 260;
                                                                                                g3 = *(int32_t *)(v171 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468d13;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468d18
                                                                                                if (*(char *)(*v123 + 13) == 1) {
                                                                                                    // 0x468d21
                                                                                                    v172 = g11;
                                                                                                    v135 = v172 - 4;
                                                                                                    *(int32_t *)v135 = v211 - 260;
                                                                                                    g11 = v135;
                                                                                                    g6 = v233 & -256 | 1;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v172 - 8) = 0x468d38;
                                                                                                    function_46aac4();
                                                                                                    g6 = -1;
                                                                                                    v173 = g4;
                                                                                                    g8 = v173 - 260;
                                                                                                    g3 = *(int32_t *)(v173 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468d49;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x46937f
                                                                                                } else {
                                                                                                    // 0x468d4e
                                                                                                    if (*(char *)(*v123 + 13) == 18) {
                                                                                                        // 0x468d57
                                                                                                        v174 = g11;
                                                                                                        v136 = v174 - 4;
                                                                                                        *(int32_t *)v136 = v211 - 260;
                                                                                                        g11 = v136;
                                                                                                        g6 = v233 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                        *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                                        function_46ab48();
                                                                                                        g6 = -1;
                                                                                                        v175 = g4;
                                                                                                        g8 = v175 - 260;
                                                                                                        g3 = *(int32_t *)(v175 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    } else {
                                                                                                        // 0x468d84
                                                                                                        if (*(char *)(*v123 + 13) == 19) {
                                                                                                            // 0x468d8d
                                                                                                            v176 = g11;
                                                                                                            v137 = v176 - 4;
                                                                                                            *(int32_t *)v137 = v211 - 260;
                                                                                                            g11 = v137;
                                                                                                            g6 = v233 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                                            function_46abcc();
                                                                                                            g6 = -1;
                                                                                                            v177 = g4;
                                                                                                            g8 = v177 - 260;
                                                                                                            g3 = *(int32_t *)(v177 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        } else {
                                                                                                            // 0x468dba
                                                                                                            if (*(char *)(*v123 + 13) == 20) {
                                                                                                                // 0x468dc3
                                                                                                                v178 = g11;
                                                                                                                v138 = v178 - 4;
                                                                                                                *(int32_t *)v138 = v211 - 260;
                                                                                                                g11 = v138;
                                                                                                                g6 = v233 & -256 | 1;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                                                function_46ac50();
                                                                                                                g6 = -1;
                                                                                                                v179 = g4;
                                                                                                                g8 = v179 - 260;
                                                                                                                g3 = *(int32_t *)(v179 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x46937f
                                                                                                            } else {
                                                                                                                // 0x468df0
                                                                                                                if (*(char *)(*v123 + 13) != 22) {
                                                                                                                    // 0x468df9
                                                                                                                    if (*(char *)(*v123 + 13) != 21) {
                                                                                                                        // 0x468fad
                                                                                                                        if (*(char *)(*v123 + 13) == 3) {
                                                                                                                            // 0x468fba
                                                                                                                            if (*(char *)(v211 - 240) == 0) {
                                                                                                                                // 0x469000
                                                                                                                                g6 = -1;
                                                                                                                                g8 = v211 - 260;
                                                                                                                                g3 = *(int32_t *)(v211 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                                                function_4673b4();
                                                                                                                                *(int32_t *)(g4 - 28) = g3;
                                                                                                                                v189 = g4;
                                                                                                                                g8 = v189 - 324;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                                                function_46a30c();
                                                                                                                                v221 = g4;
                                                                                                                                *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                                                v222 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                                                g6 = v222 - 324;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                                                function_46b0d8();
                                                                                                                                g6 = -1;
                                                                                                                                v190 = g4;
                                                                                                                                g8 = v190 - 324;
                                                                                                                                g3 = *(int32_t *)(v190 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                                                function_469f40();
                                                                                                                                // branch -> 0x46937f
                                                                                                                            } else {
                                                                                                                                // 0x468fc3
                                                                                                                                *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                                                v220 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                                                g6 = v220 - 260;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                                                function_46b0d8();
                                                                                                                                *(int32_t *)(g4 - 260) = -1;
                                                                                                                                g6 = -1;
                                                                                                                                v188 = g4;
                                                                                                                                g8 = v188 - 260;
                                                                                                                                g3 = *(int32_t *)(v188 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                                                function_469f40();
                                                                                                                                // branch -> 0x46937f
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        } else {
                                                                                                                            // 0x469058
                                                                                                                            v247 = *v123;
                                                                                                                            v132 = v247;
                                                                                                                            if (*(char *)(v247 + 13) != 4) {
                                                                                                                                // 0x469061
                                                                                                                                v248 = *v123;
                                                                                                                                v132 = v248;
                                                                                                                                if (*(char *)(v248 + 13) != 5) {
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x46906e
                                                                                                                            v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                                            *v127 = *v127 - 1;
                                                                                                                            v223 = v132;
                                                                                                                            v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                                            g11 -= *(int32_t *)g5;
                                                                                                                            v128 = (char *)v145;
                                                                                                                            *v128 = (char)((int32_t)*v128 + v145);
                                                                                                                            v191 = g4;
                                                                                                                            g8 = v191 - 388;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                                            function_46a30c();
                                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                                            function_469fd8();
                                                                                                                            *(int32_t *)(g4 - 372) = g3;
                                                                                                                            *(int32_t *)(g4 - 388) = 5;
                                                                                                                            v192 = g11;
                                                                                                                            v141 = v192 - 4;
                                                                                                                            *(int32_t *)v141 = g4 - 388;
                                                                                                                            g11 = v141;
                                                                                                                            v193 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                                            *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                                            function_46ae10();
                                                                                                                            v194 = g4;
                                                                                                                            g8 = *(int32_t *)(v194 - 324);
                                                                                                                            g3 = *(int32_t *)(v194 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                                            function_469e18();
                                                                                                                            v224 = g4;
                                                                                                                            v249 = *(int32_t *)(v224 - 4);
                                                                                                                            if (*(char *)(v249 + 0x1814) != 0) {
                                                                                                                                // 0x469127
                                                                                                                                if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                                                    // 0x469131
                                                                                                                                    // branch -> 0x469133
                                                                                                                                    // 0x469133
                                                                                                                                    *(char *)(v224 - 42) = (char)(v249 & -256 | 1);
                                                                                                                                    v225 = g4;
                                                                                                                                    if (*(char *)(*(int32_t *)(v225 - 4) + 0x183c) != 0) {
                                                                                                                                        // 0x469142
                                                                                                                                        if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                                            // 0x46914c
                                                                                                                                            // branch -> 0x46914e
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                    // 0x469148
                                                                                                                                    // branch -> 0x46914e
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x46912d
                                                                                                                            // branch -> 0x469133
                                                                                                                            // 0x469133
                                                                                                                            *(char *)(v224 - 42) = (char)0;
                                                                                                                            v225 = g4;
                                                                                                                            if (*(char *)(*(int32_t *)(v225 - 4) + 0x183c) != 0) {
                                                                                                                                // 0x469142
                                                                                                                                if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                                    // 0x46914c
                                                                                                                                    // branch -> 0x46914e
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x469148
                                                                                                                            // branch -> 0x46914e
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x468e06
                                                                                                                *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                                                v180 = g4;
                                                                                                                if (*(char *)(v180 - 240) == 0) {
                                                                                                                    // 0x468e9d
                                                                                                                    v124 = (int32_t *)(v180 - 20);
                                                                                                                    v218 = v180;
                                                                                                                    v232 = v233;
                                                                                                                    if (*v124 == 1) {
                                                                                                                        // 0x468ea3
                                                                                                                        g6 = v180 - 484;
                                                                                                                        g8 = *v124;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                                        function_46b3dc();
                                                                                                                        v181 = g4;
                                                                                                                        g8 = v181 - 484;
                                                                                                                        g3 = *(int32_t *)(v181 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                                        function_469c8c();
                                                                                                                        *(int32_t *)(g4 - 24) = g3;
                                                                                                                        v182 = g4;
                                                                                                                        g6 = v182 - 548;
                                                                                                                        g8 = *(int32_t *)(v182 - 20);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                                        function_46b3dc();
                                                                                                                        v183 = g11;
                                                                                                                        v139 = v183 - 4;
                                                                                                                        *(int32_t *)v139 = g4 - 548;
                                                                                                                        g11 = v139;
                                                                                                                        v215 = g4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                                        *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                                        function_46ae10();
                                                                                                                        v216 = g4;
                                                                                                                        g8 = *(int32_t *)(v216 - 20);
                                                                                                                        g3 = *(int32_t *)(v216 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                                        function_469e18();
                                                                                                                        v217 = g4;
                                                                                                                        *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                                        v218 = g4;
                                                                                                                        v232 = g6 & -256 | 1;
                                                                                                                        // branch -> 0x468f04
                                                                                                                    }
                                                                                                                    // 0x468f04
                                                                                                                    v184 = v218;
                                                                                                                    if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                                        // 0x468f0d
                                                                                                                        if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                                            // 0x468f16
                                                                                                                            v125 = (int32_t *)(v218 - 4);
                                                                                                                            if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                                                // 0x468f22
                                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                                g3 = *(int32_t *)(*v125 + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                                                function_46b214();
                                                                                                                                v184 = g4;
                                                                                                                                // branch -> 0x468f2f
                                                                                                                            } else {
                                                                                                                                v184 = v218;
                                                                                                                            }
                                                                                                                        } else {
                                                                                                                            v184 = v218;
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x468f2f
                                                                                                                    v185 = g11;
                                                                                                                    v140 = v185 - 4;
                                                                                                                    *(int32_t *)v140 = v184 - 260;
                                                                                                                    g11 = v140;
                                                                                                                    g6 = v232 & -256 | 1;
                                                                                                                    g8 = g8 & -256 | 1;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                    *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                                                    function_46ae10();
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                    g8 = g8 & -256 | 211;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                                                    function_462278();
                                                                                                                    v219 = g4;
                                                                                                                    v246 = *(char *)(v219 - 20);
                                                                                                                    v258 = g8 & -256;
                                                                                                                    v253 = *(char *)(v219 - 16);
                                                                                                                    g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                                                    function_462278();
                                                                                                                    v186 = g4;
                                                                                                                    v187 = v186;
                                                                                                                    if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                                        // 0x468f75
                                                                                                                        if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                                            // 0x468f7e
                                                                                                                            v126 = (int32_t *)(v186 - 4);
                                                                                                                            if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                                                // 0x468f8a
                                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                                g3 = *(int32_t *)(*v126 + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                                                function_46b1f0();
                                                                                                                                v187 = g4;
                                                                                                                                // branch -> 0x468f97
                                                                                                                            } else {
                                                                                                                                v187 = v186;
                                                                                                                            }
                                                                                                                        } else {
                                                                                                                            v187 = v186;
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x468f97
                                                                                                                    g6 = -1;
                                                                                                                    g8 = v187 - 260;
                                                                                                                    g3 = *(int32_t *)(v187 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                                                    function_469f40();
                                                                                                                    // branch -> 0x46937f
                                                                                                                } else {
                                                                                                                    // 0x468e28
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                                                    v236 = g8 & -256;
                                                                                                                    if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                                        // 0x468e31
                                                                                                                        g8 = v236 | 209;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                                        function_462278();
                                                                                                                        v212 = g4;
                                                                                                                        v244 = *(char *)(v212 - 20);
                                                                                                                        v256 = g8 & -256;
                                                                                                                        v251 = *(char *)(v212 - 16);
                                                                                                                        g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                                        function_462278();
                                                                                                                        // branch -> 0x46937f
                                                                                                                    } else {
                                                                                                                        // 0x468e5d
                                                                                                                        g8 = v236 | 193;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                                        function_462278();
                                                                                                                        v213 = g4;
                                                                                                                        v245 = *(char *)(v213 - 20);
                                                                                                                        v257 = g8 & -256;
                                                                                                                        v252 = *(char *)(v213 - 16);
                                                                                                                        g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                                        function_462278();
                                                                                                                        v214 = g4;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                                        function_462278();
                                                                                                                        // branch -> 0x46937f
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            // 0x468b93
                                                                                            g8 = v164 - 196;
                                                                                            g3 = *(int32_t *)(v164 - 4);
                                                                                            function_469c8c();
                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                            v162 = g4;
                                                                                            g11 = (int32_t)&v5;
                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                                            g6 = g6 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                                            function_46ae10();
                                                                                            g6 = -1;
                                                                                            v163 = g4;
                                                                                            g8 = v163 - 196;
                                                                                            g3 = *(int32_t *)(v163 - 4);
                                                                                            function_469f40();
                                                                                            // branch -> 0x468c1b
                                                                                        }
                                                                                        // 0x468c1b
                                                                                        v167 = g4;
                                                                                        if (*(char *)(v167 - 164) != 8) {
                                                                                            // 0x468c24
                                                                                            if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                                                // 0x468c30
                                                                                                g8 = g8 & -256 | 193;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                                                function_462278();
                                                                                                v207 = g4;
                                                                                                v254 = g8 & -256;
                                                                                                g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                                                function_462278();
                                                                                                g8 = g8 & -256 | 16;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                                                function_462278();
                                                                                                // branch -> 0x468c5b
                                                                                            }
                                                                                        }
                                                                                        // 0x468c5b
                                                                                        v208 = g11;
                                                                                        *(int32_t *)(v208 - 4) = 0;
                                                                                        v133 = v208 - 8;
                                                                                        *(int32_t *)v133 = g4 - 260;
                                                                                        g11 = v133;
                                                                                        g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                                        *(int32_t *)(v208 - 12) = 0x468c74;
                                                                                        unknown_468108();
                                                                                        v168 = g4;
                                                                                        v211 = v168;
                                                                                        v233 = 0;
                                                                                        if (*(char *)(v168 - 228) != 8) {
                                                                                            // 0x468c7d
                                                                                            v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                                            if (*(char *)(v243 + 9) == 8) {
                                                                                                // 0x468c89
                                                                                                g8 = v168 - 260;
                                                                                                g3 = *(int32_t *)(v168 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                                                function_4673b4();
                                                                                                *(int32_t *)(g4 - 28) = g3;
                                                                                                g8 = g8 & -256 | 193;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468caa;
                                                                                                function_462278();
                                                                                                v209 = g4;
                                                                                                v255 = g8 & -256;
                                                                                                g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                                                function_462278();
                                                                                                g8 = g8 & -256 | 16;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                                                function_462278();
                                                                                                v169 = g4;
                                                                                                g8 = v169 - 260;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                                                function_46a30c();
                                                                                                v210 = g4;
                                                                                                *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                                                v211 = g4;
                                                                                                v233 = -1;
                                                                                                // branch -> 0x468ce2
                                                                                            } else {
                                                                                                v211 = v168;
                                                                                                v233 = 0;
                                                                                            }
                                                                                        }
                                                                                        // 0x468ce2
                                                                                        v123 = (int32_t *)(v211 - 8);
                                                                                        if (*(char *)(*v123 + 13) == 0) {
                                                                                            // 0x468ceb
                                                                                            v170 = g11;
                                                                                            v134 = v170 - 4;
                                                                                            *(int32_t *)v134 = v211 - 260;
                                                                                            g11 = v134;
                                                                                            g6 = v233 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v170 - 8) = 0x468d02;
                                                                                            function_46aa40();
                                                                                            g6 = -1;
                                                                                            v171 = g4;
                                                                                            g8 = v171 - 260;
                                                                                            g3 = *(int32_t *)(v171 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468d13;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468d18
                                                                                            if (*(char *)(*v123 + 13) == 1) {
                                                                                                // 0x468d21
                                                                                                v172 = g11;
                                                                                                v135 = v172 - 4;
                                                                                                *(int32_t *)v135 = v211 - 260;
                                                                                                g11 = v135;
                                                                                                g6 = v233 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v172 - 8) = 0x468d38;
                                                                                                function_46aac4();
                                                                                                g6 = -1;
                                                                                                v173 = g4;
                                                                                                g8 = v173 - 260;
                                                                                                g3 = *(int32_t *)(v173 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468d49;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468d4e
                                                                                                if (*(char *)(*v123 + 13) == 18) {
                                                                                                    // 0x468d57
                                                                                                    v174 = g11;
                                                                                                    v136 = v174 - 4;
                                                                                                    *(int32_t *)v136 = v211 - 260;
                                                                                                    g11 = v136;
                                                                                                    g6 = v233 & -256 | 1;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                                    function_46ab48();
                                                                                                    g6 = -1;
                                                                                                    v175 = g4;
                                                                                                    g8 = v175 - 260;
                                                                                                    g3 = *(int32_t *)(v175 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x46937f
                                                                                                } else {
                                                                                                    // 0x468d84
                                                                                                    if (*(char *)(*v123 + 13) == 19) {
                                                                                                        // 0x468d8d
                                                                                                        v176 = g11;
                                                                                                        v137 = v176 - 4;
                                                                                                        *(int32_t *)v137 = v211 - 260;
                                                                                                        g11 = v137;
                                                                                                        g6 = v233 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                        *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                                        function_46abcc();
                                                                                                        g6 = -1;
                                                                                                        v177 = g4;
                                                                                                        g8 = v177 - 260;
                                                                                                        g3 = *(int32_t *)(v177 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    } else {
                                                                                                        // 0x468dba
                                                                                                        if (*(char *)(*v123 + 13) == 20) {
                                                                                                            // 0x468dc3
                                                                                                            v178 = g11;
                                                                                                            v138 = v178 - 4;
                                                                                                            *(int32_t *)v138 = v211 - 260;
                                                                                                            g11 = v138;
                                                                                                            g6 = v233 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                                            function_46ac50();
                                                                                                            g6 = -1;
                                                                                                            v179 = g4;
                                                                                                            g8 = v179 - 260;
                                                                                                            g3 = *(int32_t *)(v179 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        } else {
                                                                                                            // 0x468df0
                                                                                                            if (*(char *)(*v123 + 13) != 22) {
                                                                                                                // 0x468df9
                                                                                                                if (*(char *)(*v123 + 13) != 21) {
                                                                                                                    // 0x468fad
                                                                                                                    if (*(char *)(*v123 + 13) == 3) {
                                                                                                                        // 0x468fba
                                                                                                                        if (*(char *)(v211 - 240) == 0) {
                                                                                                                            // 0x469000
                                                                                                                            g6 = -1;
                                                                                                                            g8 = v211 - 260;
                                                                                                                            g3 = *(int32_t *)(v211 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                                            function_4673b4();
                                                                                                                            *(int32_t *)(g4 - 28) = g3;
                                                                                                                            v189 = g4;
                                                                                                                            g8 = v189 - 324;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                                            function_46a30c();
                                                                                                                            v221 = g4;
                                                                                                                            *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                                            v222 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                                            g6 = v222 - 324;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                                            function_46b0d8();
                                                                                                                            g6 = -1;
                                                                                                                            v190 = g4;
                                                                                                                            g8 = v190 - 324;
                                                                                                                            g3 = *(int32_t *)(v190 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                                            function_469f40();
                                                                                                                            // branch -> 0x46937f
                                                                                                                        } else {
                                                                                                                            // 0x468fc3
                                                                                                                            *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                                            v220 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                                            g6 = v220 - 260;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                                            function_46b0d8();
                                                                                                                            *(int32_t *)(g4 - 260) = -1;
                                                                                                                            g6 = -1;
                                                                                                                            v188 = g4;
                                                                                                                            g8 = v188 - 260;
                                                                                                                            g3 = *(int32_t *)(v188 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                                            function_469f40();
                                                                                                                            // branch -> 0x46937f
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x469058
                                                                                                                        v247 = *v123;
                                                                                                                        v132 = v247;
                                                                                                                        if (*(char *)(v247 + 13) != 4) {
                                                                                                                            // 0x469061
                                                                                                                            v248 = *v123;
                                                                                                                            v132 = v248;
                                                                                                                            if (*(char *)(v248 + 13) != 5) {
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x46906e
                                                                                                                        v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                                        *v127 = *v127 - 1;
                                                                                                                        v223 = v132;
                                                                                                                        v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                                        g11 -= *(int32_t *)g5;
                                                                                                                        v128 = (char *)v145;
                                                                                                                        *v128 = (char)((int32_t)*v128 + v145);
                                                                                                                        v191 = g4;
                                                                                                                        g8 = v191 - 388;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                                        function_46a30c();
                                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                                        function_469fd8();
                                                                                                                        *(int32_t *)(g4 - 372) = g3;
                                                                                                                        *(int32_t *)(g4 - 388) = 5;
                                                                                                                        v192 = g11;
                                                                                                                        v141 = v192 - 4;
                                                                                                                        *(int32_t *)v141 = g4 - 388;
                                                                                                                        g11 = v141;
                                                                                                                        v193 = g4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                                        *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                                        function_46ae10();
                                                                                                                        v194 = g4;
                                                                                                                        g8 = *(int32_t *)(v194 - 324);
                                                                                                                        g3 = *(int32_t *)(v194 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                                        function_469e18();
                                                                                                                        v224 = g4;
                                                                                                                        v249 = *(int32_t *)(v224 - 4);
                                                                                                                        if (*(char *)(v249 + 0x1814) != 0) {
                                                                                                                            // 0x469127
                                                                                                                            if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                                                // 0x469131
                                                                                                                                // branch -> 0x469133
                                                                                                                                // 0x469133
                                                                                                                                *(char *)(v224 - 42) = (char)(v249 & -256 | 1);
                                                                                                                                v225 = g4;
                                                                                                                                if (*(char *)(*(int32_t *)(v225 - 4) + 0x183c) != 0) {
                                                                                                                                    // 0x469142
                                                                                                                                    if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                                        // 0x46914c
                                                                                                                                        // branch -> 0x46914e
                                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                    }
                                                                                                                                }
                                                                                                                                // 0x469148
                                                                                                                                // branch -> 0x46914e
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x46912d
                                                                                                                        // branch -> 0x469133
                                                                                                                        // 0x469133
                                                                                                                        *(char *)(v224 - 42) = (char)0;
                                                                                                                        v225 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v225 - 4) + 0x183c) != 0) {
                                                                                                                            // 0x469142
                                                                                                                            if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                                // 0x46914c
                                                                                                                                // branch -> 0x46914e
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x469148
                                                                                                                        // branch -> 0x46914e
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x468e06
                                                                                                            *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                                            v180 = g4;
                                                                                                            if (*(char *)(v180 - 240) == 0) {
                                                                                                                // 0x468e9d
                                                                                                                v124 = (int32_t *)(v180 - 20);
                                                                                                                v218 = v180;
                                                                                                                v232 = v233;
                                                                                                                if (*v124 == 1) {
                                                                                                                    // 0x468ea3
                                                                                                                    g6 = v180 - 484;
                                                                                                                    g8 = *v124;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                                    function_46b3dc();
                                                                                                                    v181 = g4;
                                                                                                                    g8 = v181 - 484;
                                                                                                                    g3 = *(int32_t *)(v181 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                                    function_469c8c();
                                                                                                                    *(int32_t *)(g4 - 24) = g3;
                                                                                                                    v182 = g4;
                                                                                                                    g6 = v182 - 548;
                                                                                                                    g8 = *(int32_t *)(v182 - 20);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                                    function_46b3dc();
                                                                                                                    v183 = g11;
                                                                                                                    v139 = v183 - 4;
                                                                                                                    *(int32_t *)v139 = g4 - 548;
                                                                                                                    g11 = v139;
                                                                                                                    v215 = g4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                                    *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                                    function_46ae10();
                                                                                                                    v216 = g4;
                                                                                                                    g8 = *(int32_t *)(v216 - 20);
                                                                                                                    g3 = *(int32_t *)(v216 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                                    function_469e18();
                                                                                                                    v217 = g4;
                                                                                                                    *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                                    v218 = g4;
                                                                                                                    v232 = g6 & -256 | 1;
                                                                                                                    // branch -> 0x468f04
                                                                                                                }
                                                                                                                // 0x468f04
                                                                                                                v184 = v218;
                                                                                                                if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                                    // 0x468f0d
                                                                                                                    if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                                        // 0x468f16
                                                                                                                        v125 = (int32_t *)(v218 - 4);
                                                                                                                        if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                                            // 0x468f22
                                                                                                                            g8 = g8 & -256 | 1;
                                                                                                                            g3 = *(int32_t *)(*v125 + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                                            function_46b214();
                                                                                                                            v184 = g4;
                                                                                                                            // branch -> 0x468f2f
                                                                                                                        } else {
                                                                                                                            v184 = v218;
                                                                                                                        }
                                                                                                                    } else {
                                                                                                                        v184 = v218;
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x468f2f
                                                                                                                v185 = g11;
                                                                                                                v140 = v185 - 4;
                                                                                                                *(int32_t *)v140 = v184 - 260;
                                                                                                                g11 = v140;
                                                                                                                g6 = v232 & -256 | 1;
                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                                                function_46ae10();
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                g8 = g8 & -256 | 211;
                                                                                                                *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                                                function_462278();
                                                                                                                v219 = g4;
                                                                                                                v246 = *(char *)(v219 - 20);
                                                                                                                v258 = g8 & -256;
                                                                                                                v253 = *(char *)(v219 - 16);
                                                                                                                g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                                                function_462278();
                                                                                                                v186 = g4;
                                                                                                                v187 = v186;
                                                                                                                if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                                    // 0x468f75
                                                                                                                    if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                                        // 0x468f7e
                                                                                                                        v126 = (int32_t *)(v186 - 4);
                                                                                                                        if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                                            // 0x468f8a
                                                                                                                            g8 = g8 & -256 | 1;
                                                                                                                            g3 = *(int32_t *)(*v126 + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                                            function_46b1f0();
                                                                                                                            v187 = g4;
                                                                                                                            // branch -> 0x468f97
                                                                                                                        } else {
                                                                                                                            v187 = v186;
                                                                                                                        }
                                                                                                                    } else {
                                                                                                                        v187 = v186;
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x468f97
                                                                                                                g6 = -1;
                                                                                                                g8 = v187 - 260;
                                                                                                                g3 = *(int32_t *)(v187 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x46937f
                                                                                                            } else {
                                                                                                                // 0x468e28
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                                                v236 = g8 & -256;
                                                                                                                if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                                    // 0x468e31
                                                                                                                    g8 = v236 | 209;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                                    function_462278();
                                                                                                                    v212 = g4;
                                                                                                                    v244 = *(char *)(v212 - 20);
                                                                                                                    v256 = g8 & -256;
                                                                                                                    v251 = *(char *)(v212 - 16);
                                                                                                                    g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                                    function_462278();
                                                                                                                    // branch -> 0x46937f
                                                                                                                } else {
                                                                                                                    // 0x468e5d
                                                                                                                    g8 = v236 | 193;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                                    function_462278();
                                                                                                                    v213 = g4;
                                                                                                                    v245 = *(char *)(v213 - 20);
                                                                                                                    v257 = g8 & -256;
                                                                                                                    v252 = *(char *)(v213 - 16);
                                                                                                                    g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                                    function_462278();
                                                                                                                    v214 = g4;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                                    function_462278();
                                                                                                                    // branch -> 0x46937f
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x4688ce
                                                                            v7 = NULL;
                                                                            unknown_468108();
                                                                            v146 = g4;
                                                                            g6 = v146 - 196;
                                                                            g8 = *(int32_t *)(*v122 + 4) & -256 | 3;
                                                                            g3 = *(int32_t *)(v146 - 4);
                                                                            function_463360();
                                                                            v147 = g4;
                                                                            g8 = v147 - 196;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v147 - 4) + 4);
                                                                            function_46b59c();
                                                                            g6 = -1;
                                                                            v148 = g4;
                                                                            g8 = v148 - 196;
                                                                            g3 = *(int32_t *)(v148 - 4);
                                                                            function_469f40();
                                                                            v5 = NULL;
                                                                            g6 = 0;
                                                                            unknown_468108();
                                                                            v149 = g4;
                                                                            g8 = v149 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v149 - 4) + 4);
                                                                            function_46ba4c();
                                                                            v150 = g4;
                                                                            g8 = v150 - 260;
                                                                            g3 = *(int32_t *)(v150 - 4);
                                                                            function_469f40();
                                                                            v151 = g4;
                                                                            g8 = v151 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v151 - 4) + 4);
                                                                            function_46a30c();
                                                                            v12 = (int32_t *)0x47800000;
                                                                            g11 = (int32_t)&v12;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                            function_463ffc();
                                                                            *(int32_t *)(g4 - 244) = g3;
                                                                            v152 = g4;
                                                                            g8 = v152 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v152 - 4) + 4);
                                                                            function_46b8e4();
                                                                            v153 = g4;
                                                                            g8 = v153 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v153 - 4) + 4);
                                                                            function_46a30c();
                                                                            *(int32_t *)(g4 - 260) = 5;
                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                            function_469fd8();
                                                                            *(int32_t *)(g4 - 244) = g3;
                                                                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                            v204 = g4;
                                                                            g8 = v204 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v204 - 4) + 4);
                                                                            if (*(char *)(v204 - 37) == 3) {
                                                                                // 0x4689da
                                                                                function_46b614();
                                                                                *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                                // branch -> 0x469a51
                                                                            } else {
                                                                                // 0x4689f7
                                                                                function_46b68c();
                                                                                *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                                // branch -> 0x469a51
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // 0x468b68
                                                                    v7 = NULL;
                                                                    g11 = v4;
                                                                    g6 = 0;
                                                                    unknown_468108();
                                                                    g8 = g4 - 196;
                                                                    function_46a168();
                                                                    v164 = g4;
                                                                    if (g3 == 0) {
                                                                        // 0x468bce
                                                                        v206 = v164 - 196;
                                                                        if (*(char *)(v164 - 176) == 0) {
                                                                            // 0x468bd7
                                                                            *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                            // branch -> 0x468c1b
                                                                        } else {
                                                                            // 0x468be2
                                                                            g8 = v206;
                                                                            g3 = *(int32_t *)(v164 - 4);
                                                                            function_469c8c();
                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                            v165 = g4;
                                                                            g11 = (int32_t)&v5;
                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                            g6 = g6 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                            function_46ae10();
                                                                            g6 = -1;
                                                                            v166 = g4;
                                                                            g8 = v166 - 196;
                                                                            g3 = *(int32_t *)(v166 - 4);
                                                                            function_469f40();
                                                                            // branch -> 0x468c1b
                                                                        }
                                                                        // 0x468c1b
                                                                        v167 = g4;
                                                                        if (*(char *)(v167 - 164) != 8) {
                                                                            // 0x468c24
                                                                            if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                                // 0x468c30
                                                                                g8 = g8 & -256 | 193;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                                function_462278();
                                                                                v207 = g4;
                                                                                v254 = g8 & -256;
                                                                                g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                                function_462278();
                                                                                g8 = g8 & -256 | 16;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                                function_462278();
                                                                                // branch -> 0x468c5b
                                                                            }
                                                                        }
                                                                        // 0x468c5b
                                                                        v208 = g11;
                                                                        *(int32_t *)(v208 - 4) = 0;
                                                                        v133 = v208 - 8;
                                                                        *(int32_t *)v133 = g4 - 260;
                                                                        g11 = v133;
                                                                        g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                        *(int32_t *)(v208 - 12) = 0x468c74;
                                                                        unknown_468108();
                                                                        v168 = g4;
                                                                        v211 = v168;
                                                                        v233 = 0;
                                                                        if (*(char *)(v168 - 228) != 8) {
                                                                            // 0x468c7d
                                                                            v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                            if (*(char *)(v243 + 9) == 8) {
                                                                                // 0x468c89
                                                                                g8 = v168 - 260;
                                                                                g3 = *(int32_t *)(v168 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                                function_4673b4();
                                                                                *(int32_t *)(g4 - 28) = g3;
                                                                                g8 = g8 & -256 | 193;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468caa;
                                                                                function_462278();
                                                                                v209 = g4;
                                                                                v255 = g8 & -256;
                                                                                g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                                function_462278();
                                                                                g8 = g8 & -256 | 16;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                                function_462278();
                                                                                v169 = g4;
                                                                                g8 = v169 - 260;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                                function_46a30c();
                                                                                v210 = g4;
                                                                                *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                                v211 = g4;
                                                                                v233 = -1;
                                                                                // branch -> 0x468ce2
                                                                            } else {
                                                                                v211 = v168;
                                                                                v233 = 0;
                                                                            }
                                                                        }
                                                                        // 0x468ce2
                                                                        v123 = (int32_t *)(v211 - 8);
                                                                        if (*(char *)(*v123 + 13) == 0) {
                                                                            // 0x468ceb
                                                                            v170 = g11;
                                                                            v134 = v170 - 4;
                                                                            *(int32_t *)v134 = v211 - 260;
                                                                            g11 = v134;
                                                                            g6 = v233 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v170 - 8) = 0x468d02;
                                                                            function_46aa40();
                                                                            g6 = -1;
                                                                            v171 = g4;
                                                                            g8 = v171 - 260;
                                                                            g3 = *(int32_t *)(v171 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468d13;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468d18
                                                                            if (*(char *)(*v123 + 13) == 1) {
                                                                                // 0x468d21
                                                                                v172 = g11;
                                                                                v135 = v172 - 4;
                                                                                *(int32_t *)v135 = v211 - 260;
                                                                                g11 = v135;
                                                                                g6 = v233 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v172 - 8) = 0x468d38;
                                                                                function_46aac4();
                                                                                g6 = -1;
                                                                                v173 = g4;
                                                                                g8 = v173 - 260;
                                                                                g3 = *(int32_t *)(v173 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468d49;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468d4e
                                                                                if (*(char *)(*v123 + 13) == 18) {
                                                                                    // 0x468d57
                                                                                    v174 = g11;
                                                                                    v136 = v174 - 4;
                                                                                    *(int32_t *)v136 = v211 - 260;
                                                                                    g11 = v136;
                                                                                    g6 = v233 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                    function_46ab48();
                                                                                    g6 = -1;
                                                                                    v175 = g4;
                                                                                    g8 = v175 - 260;
                                                                                    g3 = *(int32_t *)(v175 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468d84
                                                                                    if (*(char *)(*v123 + 13) == 19) {
                                                                                        // 0x468d8d
                                                                                        v176 = g11;
                                                                                        v137 = v176 - 4;
                                                                                        *(int32_t *)v137 = v211 - 260;
                                                                                        g11 = v137;
                                                                                        g6 = v233 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                        function_46abcc();
                                                                                        g6 = -1;
                                                                                        v177 = g4;
                                                                                        g8 = v177 - 260;
                                                                                        g3 = *(int32_t *)(v177 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468dba
                                                                                        if (*(char *)(*v123 + 13) == 20) {
                                                                                            // 0x468dc3
                                                                                            v178 = g11;
                                                                                            v138 = v178 - 4;
                                                                                            *(int32_t *)v138 = v211 - 260;
                                                                                            g11 = v138;
                                                                                            g6 = v233 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                            function_46ac50();
                                                                                            g6 = -1;
                                                                                            v179 = g4;
                                                                                            g8 = v179 - 260;
                                                                                            g3 = *(int32_t *)(v179 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468df0
                                                                                            if (*(char *)(*v123 + 13) != 22) {
                                                                                                // 0x468df9
                                                                                                if (*(char *)(*v123 + 13) != 21) {
                                                                                                    // 0x468fad
                                                                                                    if (*(char *)(*v123 + 13) == 3) {
                                                                                                        // 0x468fba
                                                                                                        if (*(char *)(v211 - 240) == 0) {
                                                                                                            // 0x469000
                                                                                                            g6 = -1;
                                                                                                            g8 = v211 - 260;
                                                                                                            g3 = *(int32_t *)(v211 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                            function_4673b4();
                                                                                                            *(int32_t *)(g4 - 28) = g3;
                                                                                                            v189 = g4;
                                                                                                            g8 = v189 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                            function_46a30c();
                                                                                                            v221 = g4;
                                                                                                            *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                            v222 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                            g6 = v222 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                            function_46b0d8();
                                                                                                            g6 = -1;
                                                                                                            v190 = g4;
                                                                                                            g8 = v190 - 324;
                                                                                                            g3 = *(int32_t *)(v190 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        } else {
                                                                                                            // 0x468fc3
                                                                                                            *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                            v220 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                            g6 = v220 - 260;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                            function_46b0d8();
                                                                                                            *(int32_t *)(g4 - 260) = -1;
                                                                                                            g6 = -1;
                                                                                                            v188 = g4;
                                                                                                            g8 = v188 - 260;
                                                                                                            g3 = *(int32_t *)(v188 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x469058
                                                                                                        v247 = *v123;
                                                                                                        v132 = v247;
                                                                                                        if (*(char *)(v247 + 13) != 4) {
                                                                                                            // 0x469061
                                                                                                            v248 = *v123;
                                                                                                            v132 = v248;
                                                                                                            if (*(char *)(v248 + 13) != 5) {
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x46906e
                                                                                                        v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                        *v127 = *v127 - 1;
                                                                                                        v223 = v132;
                                                                                                        v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                        g11 -= *(int32_t *)g5;
                                                                                                        v128 = (char *)v145;
                                                                                                        *v128 = (char)((int32_t)*v128 + v145);
                                                                                                        v191 = g4;
                                                                                                        g8 = v191 - 388;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                        function_46a30c();
                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                        function_469fd8();
                                                                                                        *(int32_t *)(g4 - 372) = g3;
                                                                                                        *(int32_t *)(g4 - 388) = 5;
                                                                                                        v192 = g11;
                                                                                                        v141 = v192 - 4;
                                                                                                        *(int32_t *)v141 = g4 - 388;
                                                                                                        g11 = v141;
                                                                                                        v193 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                        *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                        function_46ae10();
                                                                                                        v194 = g4;
                                                                                                        g8 = *(int32_t *)(v194 - 324);
                                                                                                        g3 = *(int32_t *)(v194 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                        function_469e18();
                                                                                                        v224 = g4;
                                                                                                        v249 = *(int32_t *)(v224 - 4);
                                                                                                        if (*(char *)(v249 + 0x1814) != 0) {
                                                                                                            // 0x469127
                                                                                                            if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                                // 0x469131
                                                                                                                // branch -> 0x469133
                                                                                                                // 0x469133
                                                                                                                *(char *)(v224 - 42) = (char)(v249 & -256 | 1);
                                                                                                                v225 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v225 - 4) + 0x183c) != 0) {
                                                                                                                    // 0x469142
                                                                                                                    if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                        // 0x46914c
                                                                                                                        // branch -> 0x46914e
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x469148
                                                                                                                // branch -> 0x46914e
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x46912d
                                                                                                        // branch -> 0x469133
                                                                                                        // 0x469133
                                                                                                        *(char *)(v224 - 42) = (char)0;
                                                                                                        v225 = g4;
                                                                                                        if (*(char *)(*(int32_t *)(v225 - 4) + 0x183c) != 0) {
                                                                                                            // 0x469142
                                                                                                            if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                // 0x46914c
                                                                                                                // branch -> 0x46914e
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x469148
                                                                                                        // branch -> 0x46914e
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x468e06
                                                                                            *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                            v180 = g4;
                                                                                            if (*(char *)(v180 - 240) == 0) {
                                                                                                // 0x468e9d
                                                                                                v124 = (int32_t *)(v180 - 20);
                                                                                                v218 = v180;
                                                                                                v232 = v233;
                                                                                                if (*v124 == 1) {
                                                                                                    // 0x468ea3
                                                                                                    g6 = v180 - 484;
                                                                                                    g8 = *v124;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                    function_46b3dc();
                                                                                                    v181 = g4;
                                                                                                    g8 = v181 - 484;
                                                                                                    g3 = *(int32_t *)(v181 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                    function_469c8c();
                                                                                                    *(int32_t *)(g4 - 24) = g3;
                                                                                                    v182 = g4;
                                                                                                    g6 = v182 - 548;
                                                                                                    g8 = *(int32_t *)(v182 - 20);
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                    function_46b3dc();
                                                                                                    v183 = g11;
                                                                                                    v139 = v183 - 4;
                                                                                                    *(int32_t *)v139 = g4 - 548;
                                                                                                    g11 = v139;
                                                                                                    v215 = g4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                    *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                    function_46ae10();
                                                                                                    v216 = g4;
                                                                                                    g8 = *(int32_t *)(v216 - 20);
                                                                                                    g3 = *(int32_t *)(v216 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                    function_469e18();
                                                                                                    v217 = g4;
                                                                                                    *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                    v218 = g4;
                                                                                                    v232 = g6 & -256 | 1;
                                                                                                    // branch -> 0x468f04
                                                                                                }
                                                                                                // 0x468f04
                                                                                                v184 = v218;
                                                                                                if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                    // 0x468f0d
                                                                                                    if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                        // 0x468f16
                                                                                                        v125 = (int32_t *)(v218 - 4);
                                                                                                        if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                            // 0x468f22
                                                                                                            g8 = g8 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*v125 + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                            function_46b214();
                                                                                                            v184 = g4;
                                                                                                            // branch -> 0x468f2f
                                                                                                        } else {
                                                                                                            v184 = v218;
                                                                                                        }
                                                                                                    } else {
                                                                                                        v184 = v218;
                                                                                                    }
                                                                                                }
                                                                                                // 0x468f2f
                                                                                                v185 = g11;
                                                                                                v140 = v185 - 4;
                                                                                                *(int32_t *)v140 = v184 - 260;
                                                                                                g11 = v140;
                                                                                                g6 = v232 & -256 | 1;
                                                                                                g8 = g8 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                                function_46ae10();
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                g8 = g8 & -256 | 211;
                                                                                                *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                                function_462278();
                                                                                                v219 = g4;
                                                                                                v246 = *(char *)(v219 - 20);
                                                                                                v258 = g8 & -256;
                                                                                                v253 = *(char *)(v219 - 16);
                                                                                                g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                                function_462278();
                                                                                                v186 = g4;
                                                                                                v187 = v186;
                                                                                                if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                    // 0x468f75
                                                                                                    if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                        // 0x468f7e
                                                                                                        v126 = (int32_t *)(v186 - 4);
                                                                                                        if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                            // 0x468f8a
                                                                                                            g8 = g8 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*v126 + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                            function_46b1f0();
                                                                                                            v187 = g4;
                                                                                                            // branch -> 0x468f97
                                                                                                        } else {
                                                                                                            v187 = v186;
                                                                                                        }
                                                                                                    } else {
                                                                                                        v187 = v186;
                                                                                                    }
                                                                                                }
                                                                                                // 0x468f97
                                                                                                g6 = -1;
                                                                                                g8 = v187 - 260;
                                                                                                g3 = *(int32_t *)(v187 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468e28
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                                v236 = g8 & -256;
                                                                                                if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                    // 0x468e31
                                                                                                    g8 = v236 | 209;
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                    function_462278();
                                                                                                    v212 = g4;
                                                                                                    v244 = *(char *)(v212 - 20);
                                                                                                    v256 = g8 & -256;
                                                                                                    v251 = *(char *)(v212 - 16);
                                                                                                    g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                    function_462278();
                                                                                                    // branch -> 0x46937f
                                                                                                } else {
                                                                                                    // 0x468e5d
                                                                                                    g8 = v236 | 193;
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                    function_462278();
                                                                                                    v213 = g4;
                                                                                                    v245 = *(char *)(v213 - 20);
                                                                                                    v257 = g8 & -256;
                                                                                                    v252 = *(char *)(v213 - 16);
                                                                                                    g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                    function_462278();
                                                                                                    v214 = g4;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                    function_462278();
                                                                                                    // branch -> 0x46937f
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        // 0x468b93
                                                                        g8 = v164 - 196;
                                                                        g3 = *(int32_t *)(v164 - 4);
                                                                        function_469c8c();
                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                        v162 = g4;
                                                                        g11 = (int32_t)&v5;
                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                        g6 = g6 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                        function_46ae10();
                                                                        g6 = -1;
                                                                        v163 = g4;
                                                                        g8 = v163 - 196;
                                                                        g3 = *(int32_t *)(v163 - 4);
                                                                        function_469f40();
                                                                        // branch -> 0x468c1b
                                                                    }
                                                                    // 0x468c1b
                                                                    v167 = g4;
                                                                    if (*(char *)(v167 - 164) != 8) {
                                                                        // 0x468c24
                                                                        if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                            // 0x468c30
                                                                            g8 = g8 & -256 | 193;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                            function_462278();
                                                                            v207 = g4;
                                                                            v254 = g8 & -256;
                                                                            g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                            function_462278();
                                                                            g8 = g8 & -256 | 16;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                            function_462278();
                                                                            // branch -> 0x468c5b
                                                                        }
                                                                    }
                                                                    // 0x468c5b
                                                                    v208 = g11;
                                                                    *(int32_t *)(v208 - 4) = 0;
                                                                    v133 = v208 - 8;
                                                                    *(int32_t *)v133 = g4 - 260;
                                                                    g11 = v133;
                                                                    g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                    *(int32_t *)(v208 - 12) = 0x468c74;
                                                                    unknown_468108();
                                                                    v168 = g4;
                                                                    v211 = v168;
                                                                    v233 = 0;
                                                                    if (*(char *)(v168 - 228) != 8) {
                                                                        // 0x468c7d
                                                                        v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                        if (*(char *)(v243 + 9) == 8) {
                                                                            // 0x468c89
                                                                            g8 = v168 - 260;
                                                                            g3 = *(int32_t *)(v168 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                            function_4673b4();
                                                                            *(int32_t *)(g4 - 28) = g3;
                                                                            g8 = g8 & -256 | 193;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468caa;
                                                                            function_462278();
                                                                            v209 = g4;
                                                                            v255 = g8 & -256;
                                                                            g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                            function_462278();
                                                                            g8 = g8 & -256 | 16;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                            function_462278();
                                                                            v169 = g4;
                                                                            g8 = v169 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                            function_46a30c();
                                                                            v210 = g4;
                                                                            *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                            v211 = g4;
                                                                            v233 = -1;
                                                                            // branch -> 0x468ce2
                                                                        } else {
                                                                            v211 = v168;
                                                                            v233 = 0;
                                                                        }
                                                                    }
                                                                    // 0x468ce2
                                                                    v123 = (int32_t *)(v211 - 8);
                                                                    if (*(char *)(*v123 + 13) == 0) {
                                                                        // 0x468ceb
                                                                        v170 = g11;
                                                                        v134 = v170 - 4;
                                                                        *(int32_t *)v134 = v211 - 260;
                                                                        g11 = v134;
                                                                        g6 = v233 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                        *(int32_t *)(v170 - 8) = 0x468d02;
                                                                        function_46aa40();
                                                                        g6 = -1;
                                                                        v171 = g4;
                                                                        g8 = v171 - 260;
                                                                        g3 = *(int32_t *)(v171 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468d13;
                                                                        function_469f40();
                                                                        // branch -> 0x46937f
                                                                    } else {
                                                                        // 0x468d18
                                                                        if (*(char *)(*v123 + 13) == 1) {
                                                                            // 0x468d21
                                                                            v172 = g11;
                                                                            v135 = v172 - 4;
                                                                            *(int32_t *)v135 = v211 - 260;
                                                                            g11 = v135;
                                                                            g6 = v233 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v172 - 8) = 0x468d38;
                                                                            function_46aac4();
                                                                            g6 = -1;
                                                                            v173 = g4;
                                                                            g8 = v173 - 260;
                                                                            g3 = *(int32_t *)(v173 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468d49;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468d4e
                                                                            if (*(char *)(*v123 + 13) == 18) {
                                                                                // 0x468d57
                                                                                v174 = g11;
                                                                                v136 = v174 - 4;
                                                                                *(int32_t *)v136 = v211 - 260;
                                                                                g11 = v136;
                                                                                g6 = v233 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                function_46ab48();
                                                                                g6 = -1;
                                                                                v175 = g4;
                                                                                g8 = v175 - 260;
                                                                                g3 = *(int32_t *)(v175 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468d84
                                                                                if (*(char *)(*v123 + 13) == 19) {
                                                                                    // 0x468d8d
                                                                                    v176 = g11;
                                                                                    v137 = v176 - 4;
                                                                                    *(int32_t *)v137 = v211 - 260;
                                                                                    g11 = v137;
                                                                                    g6 = v233 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                    function_46abcc();
                                                                                    g6 = -1;
                                                                                    v177 = g4;
                                                                                    g8 = v177 - 260;
                                                                                    g3 = *(int32_t *)(v177 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468dba
                                                                                    if (*(char *)(*v123 + 13) == 20) {
                                                                                        // 0x468dc3
                                                                                        v178 = g11;
                                                                                        v138 = v178 - 4;
                                                                                        *(int32_t *)v138 = v211 - 260;
                                                                                        g11 = v138;
                                                                                        g6 = v233 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                        function_46ac50();
                                                                                        g6 = -1;
                                                                                        v179 = g4;
                                                                                        g8 = v179 - 260;
                                                                                        g3 = *(int32_t *)(v179 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468df0
                                                                                        if (*(char *)(*v123 + 13) != 22) {
                                                                                            // 0x468df9
                                                                                            if (*(char *)(*v123 + 13) != 21) {
                                                                                                // 0x468fad
                                                                                                if (*(char *)(*v123 + 13) == 3) {
                                                                                                    // 0x468fba
                                                                                                    if (*(char *)(v211 - 240) == 0) {
                                                                                                        // 0x469000
                                                                                                        g6 = -1;
                                                                                                        g8 = v211 - 260;
                                                                                                        g3 = *(int32_t *)(v211 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                        function_4673b4();
                                                                                                        *(int32_t *)(g4 - 28) = g3;
                                                                                                        v189 = g4;
                                                                                                        g8 = v189 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                        function_46a30c();
                                                                                                        v221 = g4;
                                                                                                        *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                        v222 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                        g6 = v222 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                        function_46b0d8();
                                                                                                        g6 = -1;
                                                                                                        v190 = g4;
                                                                                                        g8 = v190 - 324;
                                                                                                        g3 = *(int32_t *)(v190 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    } else {
                                                                                                        // 0x468fc3
                                                                                                        *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                        v220 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                        g6 = v220 - 260;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                        function_46b0d8();
                                                                                                        *(int32_t *)(g4 - 260) = -1;
                                                                                                        g6 = -1;
                                                                                                        v188 = g4;
                                                                                                        g8 = v188 - 260;
                                                                                                        g3 = *(int32_t *)(v188 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x469058
                                                                                                    v247 = *v123;
                                                                                                    v132 = v247;
                                                                                                    if (*(char *)(v247 + 13) != 4) {
                                                                                                        // 0x469061
                                                                                                        v248 = *v123;
                                                                                                        v132 = v248;
                                                                                                        if (*(char *)(v248 + 13) != 5) {
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x46906e
                                                                                                    v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                    *v127 = *v127 - 1;
                                                                                                    v223 = v132;
                                                                                                    v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                    g11 -= *(int32_t *)g5;
                                                                                                    v128 = (char *)v145;
                                                                                                    *v128 = (char)((int32_t)*v128 + v145);
                                                                                                    v191 = g4;
                                                                                                    g8 = v191 - 388;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                    function_46a30c();
                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                    function_469fd8();
                                                                                                    *(int32_t *)(g4 - 372) = g3;
                                                                                                    *(int32_t *)(g4 - 388) = 5;
                                                                                                    v192 = g11;
                                                                                                    v141 = v192 - 4;
                                                                                                    *(int32_t *)v141 = g4 - 388;
                                                                                                    g11 = v141;
                                                                                                    v193 = g4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                    *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                    function_46ae10();
                                                                                                    v194 = g4;
                                                                                                    g8 = *(int32_t *)(v194 - 324);
                                                                                                    g3 = *(int32_t *)(v194 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                    function_469e18();
                                                                                                    v224 = g4;
                                                                                                    v249 = *(int32_t *)(v224 - 4);
                                                                                                    if (*(char *)(v249 + 0x1814) != 0) {
                                                                                                        // 0x469127
                                                                                                        if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                            // 0x469131
                                                                                                            // branch -> 0x469133
                                                                                                            // 0x469133
                                                                                                            *(char *)(v224 - 42) = (char)(v249 & -256 | 1);
                                                                                                            v225 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v225 - 4) + 0x183c) != 0) {
                                                                                                                // 0x469142
                                                                                                                if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                    // 0x46914c
                                                                                                                    // branch -> 0x46914e
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x469148
                                                                                                            // branch -> 0x46914e
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x46912d
                                                                                                    // branch -> 0x469133
                                                                                                    // 0x469133
                                                                                                    *(char *)(v224 - 42) = (char)0;
                                                                                                    v225 = g4;
                                                                                                    if (*(char *)(*(int32_t *)(v225 - 4) + 0x183c) != 0) {
                                                                                                        // 0x469142
                                                                                                        if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                            // 0x46914c
                                                                                                            // branch -> 0x46914e
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x469148
                                                                                                    // branch -> 0x46914e
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x468e06
                                                                                        *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                        v180 = g4;
                                                                                        if (*(char *)(v180 - 240) == 0) {
                                                                                            // 0x468e9d
                                                                                            v124 = (int32_t *)(v180 - 20);
                                                                                            v218 = v180;
                                                                                            v232 = v233;
                                                                                            if (*v124 == 1) {
                                                                                                // 0x468ea3
                                                                                                g6 = v180 - 484;
                                                                                                g8 = *v124;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                function_46b3dc();
                                                                                                v181 = g4;
                                                                                                g8 = v181 - 484;
                                                                                                g3 = *(int32_t *)(v181 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                function_469c8c();
                                                                                                *(int32_t *)(g4 - 24) = g3;
                                                                                                v182 = g4;
                                                                                                g6 = v182 - 548;
                                                                                                g8 = *(int32_t *)(v182 - 20);
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                function_46b3dc();
                                                                                                v183 = g11;
                                                                                                v139 = v183 - 4;
                                                                                                *(int32_t *)v139 = g4 - 548;
                                                                                                g11 = v139;
                                                                                                v215 = g4;
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                function_46ae10();
                                                                                                v216 = g4;
                                                                                                g8 = *(int32_t *)(v216 - 20);
                                                                                                g3 = *(int32_t *)(v216 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                function_469e18();
                                                                                                v217 = g4;
                                                                                                *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                v218 = g4;
                                                                                                v232 = g6 & -256 | 1;
                                                                                                // branch -> 0x468f04
                                                                                            }
                                                                                            // 0x468f04
                                                                                            v184 = v218;
                                                                                            if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                // 0x468f0d
                                                                                                if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                    // 0x468f16
                                                                                                    v125 = (int32_t *)(v218 - 4);
                                                                                                    if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                        // 0x468f22
                                                                                                        g8 = g8 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*v125 + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                        function_46b214();
                                                                                                        v184 = g4;
                                                                                                        // branch -> 0x468f2f
                                                                                                    } else {
                                                                                                        v184 = v218;
                                                                                                    }
                                                                                                } else {
                                                                                                    v184 = v218;
                                                                                                }
                                                                                            }
                                                                                            // 0x468f2f
                                                                                            v185 = g11;
                                                                                            v140 = v185 - 4;
                                                                                            *(int32_t *)v140 = v184 - 260;
                                                                                            g11 = v140;
                                                                                            g6 = v232 & -256 | 1;
                                                                                            g8 = g8 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                            function_46ae10();
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                            g8 = g8 & -256 | 211;
                                                                                            *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                            function_462278();
                                                                                            v219 = g4;
                                                                                            v246 = *(char *)(v219 - 20);
                                                                                            v258 = g8 & -256;
                                                                                            v253 = *(char *)(v219 - 16);
                                                                                            g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                            function_462278();
                                                                                            v186 = g4;
                                                                                            v187 = v186;
                                                                                            if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                // 0x468f75
                                                                                                if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                    // 0x468f7e
                                                                                                    v126 = (int32_t *)(v186 - 4);
                                                                                                    if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                        // 0x468f8a
                                                                                                        g8 = g8 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*v126 + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                        function_46b1f0();
                                                                                                        v187 = g4;
                                                                                                        // branch -> 0x468f97
                                                                                                    } else {
                                                                                                        v187 = v186;
                                                                                                    }
                                                                                                } else {
                                                                                                    v187 = v186;
                                                                                                }
                                                                                            }
                                                                                            // 0x468f97
                                                                                            g6 = -1;
                                                                                            g8 = v187 - 260;
                                                                                            g3 = *(int32_t *)(v187 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468e28
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                            v236 = g8 & -256;
                                                                                            if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                // 0x468e31
                                                                                                g8 = v236 | 209;
                                                                                                *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                function_462278();
                                                                                                v212 = g4;
                                                                                                v244 = *(char *)(v212 - 20);
                                                                                                v256 = g8 & -256;
                                                                                                v251 = *(char *)(v212 - 16);
                                                                                                g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                function_462278();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468e5d
                                                                                                g8 = v236 | 193;
                                                                                                *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                function_462278();
                                                                                                v213 = g4;
                                                                                                v245 = *(char *)(v213 - 20);
                                                                                                v257 = g8 & -256;
                                                                                                v252 = *(char *)(v213 - 16);
                                                                                                g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                function_462278();
                                                                                                v214 = g4;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                function_462278();
                                                                                                // branch -> 0x46937f
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                        }
                                                        // 0x468878
                                                        g11 = (int32_t)&v7;
                                                        g6 = *(int32_t *)(v203 - 12);
                                                        g8 = *v122;
                                                        g3 = *(int32_t *)(v203 - 4);
                                                        function_462be0();
                                                        // branch -> 0x4693c1
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                }
                                                // 0x468833
                                                v202 = g4;
                                                v7 = (int32_t *)*(int32_t *)(v202 - 12);
                                                v121 = (int32_t *)(v202 - 8);
                                                g6 = *v121;
                                                g8 = (int32_t)*(char *)(*v121 + 13);
                                                g3 = *(int32_t *)(v202 - 4);
                                                function_4653e4();
                                                // branch -> 0x4693c1
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                    }
                                    // 0x4687ac
                                    *(int32_t *)(v291 - 124) = *(int32_t *)(v291 - 20);
                                    *(int32_t *)(g4 - 120) = 2;
                                    // branch -> 0x468808
                                } else {
                                    // 0x468697
                                    v277 = (int32_t *)(v282 - 172);
                                    if (*v277 >= 0) {
                                        // 0x4686a0
                                        v278 = (int32_t *)(v282 - 8);
                                        if (*(int32_t *)(*(int32_t *)(*v278 + 44) + 76) > *v277) {
                                            // 0x4686d4
                                            if (*(int32_t *)(*(int32_t *)(*v278 + 44) + 40) == 0) {
                                                // 0x4686e0
                                                v302 = *(int32_t *)(*v278 + 44);
                                                v303 = *(int32_t *)(*(int32_t *)(v302 + 24) + 72);
                                                v279 = (int32_t *)(v282 - 116);
                                                *v279 = *v277 * v303 + *v279;
                                                // branch -> 0x468808
                                            } else {
                                                // 0x4686fa
                                                v280 = (int32_t *)(v282 - 116);
                                                *v280 = *v280 + 4 * *v277;
                                                // branch -> 0x468808
                                            }
                                            // 0x468808
                                            v120 = (int32_t *)(g4 - 8);
                                            if (*(char *)(*v120 + 12) == 3) {
                                                // 0x468815
                                                v237 = *v120;
                                                g3 = (int32_t)*(char *)(v237 + 13) | v237 & -256;
                                                function_459cb0();
                                                if (g3 == 0) {
                                                    // 0x468824
                                                    v238 = *(int32_t *)(g4 - 8);
                                                    g3 = (int32_t)*(char *)(v238 + 13) | v238 & -256;
                                                    function_459d30();
                                                    if (g3 == 0) {
                                                        // 0x468854
                                                        v203 = g4;
                                                        v122 = (int32_t *)(v203 - 8);
                                                        v239 = *(int32_t *)(*v122 + 4);
                                                        if (*(char *)(*(int32_t *)(v239 + 56) + 9) != 3) {
                                                            // 0x468863
                                                            v240 = *(int32_t *)(*v122 + 8);
                                                            if (*(char *)(*(int32_t *)(v240 + 56) + 9) != 3) {
                                                                // 0x468872
                                                                if (*(char *)(v203 - 37) != 3) {
                                                                    // 0x468892
                                                                    v241 = *(int32_t *)(*v122 + 4);
                                                                    if (*(char *)(*(int32_t *)(v241 + 56) + 9) == 8) {
                                                                        // 0x4688a5
                                                                        v242 = *(int32_t *)(*v122 + 8);
                                                                        if (*(char *)(*(int32_t *)(v242 + 56) + 9) == 8) {
                                                                            // 0x4688b8
                                                                            if (*(char *)(*v122 + 13) != 4) {
                                                                                // 0x4688c1
                                                                                if (*(char *)(*v122 + 13) != 5) {
                                                                                    // 0x468a14
                                                                                    if (*(char *)(*v122 + 13) == 3) {
                                                                                        // 0x468a21
                                                                                        v7 = NULL;
                                                                                        g6 = 0;
                                                                                        unknown_468108();
                                                                                        v154 = g4;
                                                                                        g8 = v154 - 196;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v154 - 4) + 4);
                                                                                        function_46b59c();
                                                                                        v155 = g4;
                                                                                        g8 = v155 - 196;
                                                                                        g3 = *(int32_t *)(v155 - 4);
                                                                                        function_469f40();
                                                                                        v156 = g4;
                                                                                        g8 = v156 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v156 - 4) + 4);
                                                                                        function_46a30c();
                                                                                        v5 = (int32_t *)0x47800000;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                                        function_463ffc();
                                                                                        *(int32_t *)(g4 - 308) = g3;
                                                                                        v157 = g4;
                                                                                        g8 = v157 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v157 - 4) + 4);
                                                                                        function_46b9d4();
                                                                                        g11 = (int32_t)&v12;
                                                                                        g6 = 0;
                                                                                        unknown_468108();
                                                                                        v158 = g4;
                                                                                        g8 = v158 - 260;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v158 - 4) + 4);
                                                                                        function_46b95c();
                                                                                        g6 = -1;
                                                                                        v159 = g4;
                                                                                        g8 = v159 - 260;
                                                                                        g3 = *(int32_t *)(v159 - 4);
                                                                                        function_469f40();
                                                                                        v160 = g4;
                                                                                        g8 = v160 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v160 - 4) + 4);
                                                                                        function_46b9d4();
                                                                                        v161 = g4;
                                                                                        g8 = v161 - 260;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v161 - 4) + 4);
                                                                                        function_46a30c();
                                                                                        *(int32_t *)(g4 - 260) = 5;
                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                        function_469fd8();
                                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                                        v205 = g4;
                                                                                        g8 = v205 - 260;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v205 - 4) + 4);
                                                                                        if (*(char *)(v205 - 37) == 3) {
                                                                                            // 0x468b2e
                                                                                            function_46b614();
                                                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                                            // branch -> 0x469a51
                                                                                        } else {
                                                                                            // 0x468b4b
                                                                                            function_46b68c();
                                                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                                            // branch -> 0x469a51
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        // 0x468b68
                                                                                        v7 = NULL;
                                                                                        g11 = v4;
                                                                                        g6 = 0;
                                                                                        unknown_468108();
                                                                                        g8 = g4 - 196;
                                                                                        function_46a168();
                                                                                        v164 = g4;
                                                                                        if (g3 == 0) {
                                                                                            // 0x468bce
                                                                                            v206 = v164 - 196;
                                                                                            if (*(char *)(v164 - 176) == 0) {
                                                                                                // 0x468bd7
                                                                                                *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                                                // branch -> 0x468c1b
                                                                                            } else {
                                                                                                // 0x468be2
                                                                                                g8 = v206;
                                                                                                g3 = *(int32_t *)(v164 - 4);
                                                                                                function_469c8c();
                                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                                v165 = g4;
                                                                                                g11 = (int32_t)&v5;
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                                                g6 = g6 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                                                function_46ae10();
                                                                                                g6 = -1;
                                                                                                v166 = g4;
                                                                                                g8 = v166 - 196;
                                                                                                g3 = *(int32_t *)(v166 - 4);
                                                                                                function_469f40();
                                                                                                // branch -> 0x468c1b
                                                                                            }
                                                                                            // 0x468c1b
                                                                                            v167 = g4;
                                                                                            if (*(char *)(v167 - 164) != 8) {
                                                                                                // 0x468c24
                                                                                                if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                                                    // 0x468c30
                                                                                                    g8 = g8 & -256 | 193;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                                                    function_462278();
                                                                                                    v207 = g4;
                                                                                                    v254 = g8 & -256;
                                                                                                    g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                                                    function_462278();
                                                                                                    g8 = g8 & -256 | 16;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                                                    function_462278();
                                                                                                    // branch -> 0x468c5b
                                                                                                }
                                                                                            }
                                                                                            // 0x468c5b
                                                                                            v208 = g11;
                                                                                            *(int32_t *)(v208 - 4) = 0;
                                                                                            v133 = v208 - 8;
                                                                                            *(int32_t *)v133 = g4 - 260;
                                                                                            g11 = v133;
                                                                                            g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                                            *(int32_t *)(v208 - 12) = 0x468c74;
                                                                                            unknown_468108();
                                                                                            v168 = g4;
                                                                                            v211 = v168;
                                                                                            v233 = 0;
                                                                                            if (*(char *)(v168 - 228) != 8) {
                                                                                                // 0x468c7d
                                                                                                v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                                                if (*(char *)(v243 + 9) == 8) {
                                                                                                    // 0x468c89
                                                                                                    g8 = v168 - 260;
                                                                                                    g3 = *(int32_t *)(v168 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                                                    function_4673b4();
                                                                                                    *(int32_t *)(g4 - 28) = g3;
                                                                                                    g8 = g8 & -256 | 193;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468caa;
                                                                                                    function_462278();
                                                                                                    v209 = g4;
                                                                                                    v255 = g8 & -256;
                                                                                                    g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                                                    function_462278();
                                                                                                    g8 = g8 & -256 | 16;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                                                    function_462278();
                                                                                                    v169 = g4;
                                                                                                    g8 = v169 - 260;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                                                    function_46a30c();
                                                                                                    v210 = g4;
                                                                                                    *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                                                    v211 = g4;
                                                                                                    v233 = -1;
                                                                                                    // branch -> 0x468ce2
                                                                                                } else {
                                                                                                    v211 = v168;
                                                                                                    v233 = 0;
                                                                                                }
                                                                                            }
                                                                                            // 0x468ce2
                                                                                            v123 = (int32_t *)(v211 - 8);
                                                                                            if (*(char *)(*v123 + 13) == 0) {
                                                                                                // 0x468ceb
                                                                                                v170 = g11;
                                                                                                v134 = v170 - 4;
                                                                                                *(int32_t *)v134 = v211 - 260;
                                                                                                g11 = v134;
                                                                                                g6 = v233 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v170 - 8) = 0x468d02;
                                                                                                function_46aa40();
                                                                                                g6 = -1;
                                                                                                v171 = g4;
                                                                                                g8 = v171 - 260;
                                                                                                g3 = *(int32_t *)(v171 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468d13;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468d18
                                                                                                if (*(char *)(*v123 + 13) == 1) {
                                                                                                    // 0x468d21
                                                                                                    v172 = g11;
                                                                                                    v135 = v172 - 4;
                                                                                                    *(int32_t *)v135 = v211 - 260;
                                                                                                    g11 = v135;
                                                                                                    g6 = v233 & -256 | 1;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v172 - 8) = 0x468d38;
                                                                                                    function_46aac4();
                                                                                                    g6 = -1;
                                                                                                    v173 = g4;
                                                                                                    g8 = v173 - 260;
                                                                                                    g3 = *(int32_t *)(v173 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468d49;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x46937f
                                                                                                } else {
                                                                                                    // 0x468d4e
                                                                                                    if (*(char *)(*v123 + 13) == 18) {
                                                                                                        // 0x468d57
                                                                                                        v174 = g11;
                                                                                                        v136 = v174 - 4;
                                                                                                        *(int32_t *)v136 = v211 - 260;
                                                                                                        g11 = v136;
                                                                                                        g6 = v233 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                        *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                                        function_46ab48();
                                                                                                        g6 = -1;
                                                                                                        v175 = g4;
                                                                                                        g8 = v175 - 260;
                                                                                                        g3 = *(int32_t *)(v175 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    } else {
                                                                                                        // 0x468d84
                                                                                                        if (*(char *)(*v123 + 13) == 19) {
                                                                                                            // 0x468d8d
                                                                                                            v176 = g11;
                                                                                                            v137 = v176 - 4;
                                                                                                            *(int32_t *)v137 = v211 - 260;
                                                                                                            g11 = v137;
                                                                                                            g6 = v233 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                                            function_46abcc();
                                                                                                            g6 = -1;
                                                                                                            v177 = g4;
                                                                                                            g8 = v177 - 260;
                                                                                                            g3 = *(int32_t *)(v177 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        } else {
                                                                                                            // 0x468dba
                                                                                                            if (*(char *)(*v123 + 13) == 20) {
                                                                                                                // 0x468dc3
                                                                                                                v178 = g11;
                                                                                                                v138 = v178 - 4;
                                                                                                                *(int32_t *)v138 = v211 - 260;
                                                                                                                g11 = v138;
                                                                                                                g6 = v233 & -256 | 1;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                                                function_46ac50();
                                                                                                                g6 = -1;
                                                                                                                v179 = g4;
                                                                                                                g8 = v179 - 260;
                                                                                                                g3 = *(int32_t *)(v179 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x46937f
                                                                                                            } else {
                                                                                                                // 0x468df0
                                                                                                                if (*(char *)(*v123 + 13) != 22) {
                                                                                                                    // 0x468df9
                                                                                                                    if (*(char *)(*v123 + 13) != 21) {
                                                                                                                        // 0x468fad
                                                                                                                        if (*(char *)(*v123 + 13) == 3) {
                                                                                                                            // 0x468fba
                                                                                                                            if (*(char *)(v211 - 240) == 0) {
                                                                                                                                // 0x469000
                                                                                                                                g6 = -1;
                                                                                                                                g8 = v211 - 260;
                                                                                                                                g3 = *(int32_t *)(v211 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                                                function_4673b4();
                                                                                                                                *(int32_t *)(g4 - 28) = g3;
                                                                                                                                v189 = g4;
                                                                                                                                g8 = v189 - 324;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                                                function_46a30c();
                                                                                                                                v221 = g4;
                                                                                                                                *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                                                v222 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                                                g6 = v222 - 324;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                                                function_46b0d8();
                                                                                                                                g6 = -1;
                                                                                                                                v190 = g4;
                                                                                                                                g8 = v190 - 324;
                                                                                                                                g3 = *(int32_t *)(v190 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                                                function_469f40();
                                                                                                                                // branch -> 0x46937f
                                                                                                                            } else {
                                                                                                                                // 0x468fc3
                                                                                                                                *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                                                v220 = g4;
                                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                                                g6 = v220 - 260;
                                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                                                function_46b0d8();
                                                                                                                                *(int32_t *)(g4 - 260) = -1;
                                                                                                                                g6 = -1;
                                                                                                                                v188 = g4;
                                                                                                                                g8 = v188 - 260;
                                                                                                                                g3 = *(int32_t *)(v188 - 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                                                function_469f40();
                                                                                                                                // branch -> 0x46937f
                                                                                                                            }
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        } else {
                                                                                                                            // 0x469058
                                                                                                                            v247 = *v123;
                                                                                                                            v132 = v247;
                                                                                                                            if (*(char *)(v247 + 13) != 4) {
                                                                                                                                // 0x469061
                                                                                                                                v248 = *v123;
                                                                                                                                v132 = v248;
                                                                                                                                if (*(char *)(v248 + 13) != 5) {
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x46906e
                                                                                                                            v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                                            *v127 = *v127 - 1;
                                                                                                                            v223 = v132;
                                                                                                                            v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                                            g11 -= *(int32_t *)g5;
                                                                                                                            v128 = (char *)v145;
                                                                                                                            *v128 = (char)((int32_t)*v128 + v145);
                                                                                                                            v191 = g4;
                                                                                                                            g8 = v191 - 388;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                                            function_46a30c();
                                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                                            function_469fd8();
                                                                                                                            *(int32_t *)(g4 - 372) = g3;
                                                                                                                            *(int32_t *)(g4 - 388) = 5;
                                                                                                                            v192 = g11;
                                                                                                                            v141 = v192 - 4;
                                                                                                                            *(int32_t *)v141 = g4 - 388;
                                                                                                                            g11 = v141;
                                                                                                                            v193 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                                            *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                                            function_46ae10();
                                                                                                                            v194 = g4;
                                                                                                                            g8 = *(int32_t *)(v194 - 324);
                                                                                                                            g3 = *(int32_t *)(v194 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                                            function_469e18();
                                                                                                                            v224 = g4;
                                                                                                                            v249 = *(int32_t *)(v224 - 4);
                                                                                                                            if (*(char *)(v249 + 0x1814) != 0) {
                                                                                                                                // 0x469127
                                                                                                                                if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                                                    // 0x469131
                                                                                                                                    // branch -> 0x469133
                                                                                                                                    // 0x469133
                                                                                                                                    *(char *)(v224 - 42) = (char)(v249 & -256 | 1);
                                                                                                                                    v225 = g4;
                                                                                                                                    if (*(char *)(*(int32_t *)(v225 - 4) + 0x183c) != 0) {
                                                                                                                                        // 0x469142
                                                                                                                                        if (*(int32_t *)(v225 - 20) != 2) {
                                                                                                                                            // 0x46914c
                                                                                                                                            // branch -> 0x46914e
                                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                    // 0x469148
                                                                                                                                    // branch -> 0x46914e
                                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // 0x46912d
                                                                                                                            // branch -> 0x469133
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x468e06
                                                                                                                *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                                                v180 = g4;
                                                                                                                if (*(char *)(v180 - 240) == 0) {
                                                                                                                    // 0x468e9d
                                                                                                                    v124 = (int32_t *)(v180 - 20);
                                                                                                                    v218 = v180;
                                                                                                                    v232 = v233;
                                                                                                                    if (*v124 == 1) {
                                                                                                                        // 0x468ea3
                                                                                                                        g6 = v180 - 484;
                                                                                                                        g8 = *v124;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                                        function_46b3dc();
                                                                                                                        v181 = g4;
                                                                                                                        g8 = v181 - 484;
                                                                                                                        g3 = *(int32_t *)(v181 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                                        function_469c8c();
                                                                                                                        *(int32_t *)(g4 - 24) = g3;
                                                                                                                        v182 = g4;
                                                                                                                        g6 = v182 - 548;
                                                                                                                        g8 = *(int32_t *)(v182 - 20);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                                        function_46b3dc();
                                                                                                                        v183 = g11;
                                                                                                                        v139 = v183 - 4;
                                                                                                                        *(int32_t *)v139 = g4 - 548;
                                                                                                                        g11 = v139;
                                                                                                                        v215 = g4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                                        *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                                        function_46ae10();
                                                                                                                        v216 = g4;
                                                                                                                        g8 = *(int32_t *)(v216 - 20);
                                                                                                                        g3 = *(int32_t *)(v216 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                                        function_469e18();
                                                                                                                        v217 = g4;
                                                                                                                        *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                                        v218 = g4;
                                                                                                                        v232 = g6 & -256 | 1;
                                                                                                                        // branch -> 0x468f04
                                                                                                                    }
                                                                                                                    // 0x468f04
                                                                                                                    v184 = v218;
                                                                                                                    if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                                        // 0x468f0d
                                                                                                                        if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                                            // 0x468f16
                                                                                                                            v125 = (int32_t *)(v218 - 4);
                                                                                                                            if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                                                // 0x468f22
                                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                                g3 = *(int32_t *)(*v125 + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                                                function_46b214();
                                                                                                                                v184 = g4;
                                                                                                                                // branch -> 0x468f2f
                                                                                                                            } else {
                                                                                                                                v184 = v218;
                                                                                                                            }
                                                                                                                        } else {
                                                                                                                            v184 = v218;
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x468f2f
                                                                                                                    v185 = g11;
                                                                                                                    v140 = v185 - 4;
                                                                                                                    *(int32_t *)v140 = v184 - 260;
                                                                                                                    g11 = v140;
                                                                                                                    g6 = v232 & -256 | 1;
                                                                                                                    g8 = g8 & -256 | 1;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                    *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                                                    function_46ae10();
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                    g8 = g8 & -256 | 211;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                                                    function_462278();
                                                                                                                    v219 = g4;
                                                                                                                    v246 = *(char *)(v219 - 20);
                                                                                                                    v258 = g8 & -256;
                                                                                                                    v253 = *(char *)(v219 - 16);
                                                                                                                    g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                                                    function_462278();
                                                                                                                    v186 = g4;
                                                                                                                    v187 = v186;
                                                                                                                    if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                                        // 0x468f75
                                                                                                                        if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                                            // 0x468f7e
                                                                                                                            v126 = (int32_t *)(v186 - 4);
                                                                                                                            if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                                                // 0x468f8a
                                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                                g3 = *(int32_t *)(*v126 + 4);
                                                                                                                                *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                                                function_46b1f0();
                                                                                                                                v187 = g4;
                                                                                                                                // branch -> 0x468f97
                                                                                                                            } else {
                                                                                                                                v187 = v186;
                                                                                                                            }
                                                                                                                        } else {
                                                                                                                            v187 = v186;
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x468f97
                                                                                                                    g6 = -1;
                                                                                                                    g8 = v187 - 260;
                                                                                                                    g3 = *(int32_t *)(v187 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                                                    function_469f40();
                                                                                                                    // branch -> 0x46937f
                                                                                                                } else {
                                                                                                                    // 0x468e28
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                                                    v236 = g8 & -256;
                                                                                                                    if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                                        // 0x468e31
                                                                                                                        g8 = v236 | 209;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                                        function_462278();
                                                                                                                        v212 = g4;
                                                                                                                        v244 = *(char *)(v212 - 20);
                                                                                                                        v256 = g8 & -256;
                                                                                                                        v251 = *(char *)(v212 - 16);
                                                                                                                        g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                                        function_462278();
                                                                                                                        // branch -> 0x46937f
                                                                                                                    } else {
                                                                                                                        // 0x468e5d
                                                                                                                        g8 = v236 | 193;
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                                        function_462278();
                                                                                                                        v213 = g4;
                                                                                                                        v245 = *(char *)(v213 - 20);
                                                                                                                        v257 = g8 & -256;
                                                                                                                        v252 = *(char *)(v213 - 16);
                                                                                                                        g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                                        function_462278();
                                                                                                                        v214 = g4;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                                        function_462278();
                                                                                                                        // branch -> 0x46937f
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            // 0x468b93
                                                                                            g8 = v164 - 196;
                                                                                            g3 = *(int32_t *)(v164 - 4);
                                                                                            function_469c8c();
                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                            v162 = g4;
                                                                                            g11 = (int32_t)&v5;
                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                                            g6 = g6 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                                            function_46ae10();
                                                                                            g6 = -1;
                                                                                            v163 = g4;
                                                                                            g8 = v163 - 196;
                                                                                            g3 = *(int32_t *)(v163 - 4);
                                                                                            function_469f40();
                                                                                            // branch -> 0x468c1b
                                                                                        }
                                                                                        // 0x468c1b
                                                                                        v167 = g4;
                                                                                        if (*(char *)(v167 - 164) != 8) {
                                                                                            // 0x468c24
                                                                                            if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                                                // 0x468c30
                                                                                                g8 = g8 & -256 | 193;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                                                function_462278();
                                                                                                v207 = g4;
                                                                                                v254 = g8 & -256;
                                                                                                g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                                                function_462278();
                                                                                                g8 = g8 & -256 | 16;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                                                function_462278();
                                                                                                // branch -> 0x468c5b
                                                                                            }
                                                                                        }
                                                                                        // 0x468c5b
                                                                                        v208 = g11;
                                                                                        *(int32_t *)(v208 - 4) = 0;
                                                                                        v133 = v208 - 8;
                                                                                        *(int32_t *)v133 = g4 - 260;
                                                                                        g11 = v133;
                                                                                        g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                                        *(int32_t *)(v208 - 12) = 0x468c74;
                                                                                        unknown_468108();
                                                                                        v168 = g4;
                                                                                        v211 = v168;
                                                                                        v233 = 0;
                                                                                        if (*(char *)(v168 - 228) != 8) {
                                                                                            // 0x468c7d
                                                                                            v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                                            if (*(char *)(v243 + 9) == 8) {
                                                                                                // 0x468c89
                                                                                                g8 = v168 - 260;
                                                                                                g3 = *(int32_t *)(v168 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                                                function_4673b4();
                                                                                                *(int32_t *)(g4 - 28) = g3;
                                                                                                g8 = g8 & -256 | 193;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468caa;
                                                                                                function_462278();
                                                                                                v209 = g4;
                                                                                                v255 = g8 & -256;
                                                                                                g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                                                function_462278();
                                                                                                g8 = g8 & -256 | 16;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                                                function_462278();
                                                                                                v169 = g4;
                                                                                                g8 = v169 - 260;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                                                function_46a30c();
                                                                                                v210 = g4;
                                                                                                *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                                                v211 = g4;
                                                                                                v233 = -1;
                                                                                                // branch -> 0x468ce2
                                                                                            } else {
                                                                                                v211 = v168;
                                                                                                v233 = 0;
                                                                                            }
                                                                                        }
                                                                                        // 0x468ce2
                                                                                        v123 = (int32_t *)(v211 - 8);
                                                                                        if (*(char *)(*v123 + 13) == 0) {
                                                                                            // 0x468ceb
                                                                                            v170 = g11;
                                                                                            v134 = v170 - 4;
                                                                                            *(int32_t *)v134 = v211 - 260;
                                                                                            g11 = v134;
                                                                                            g6 = v233 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v170 - 8) = 0x468d02;
                                                                                            function_46aa40();
                                                                                            g6 = -1;
                                                                                            v171 = g4;
                                                                                            g8 = v171 - 260;
                                                                                            g3 = *(int32_t *)(v171 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468d13;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468d18
                                                                                            if (*(char *)(*v123 + 13) == 1) {
                                                                                                // 0x468d21
                                                                                                v172 = g11;
                                                                                                v135 = v172 - 4;
                                                                                                *(int32_t *)v135 = v211 - 260;
                                                                                                g11 = v135;
                                                                                                g6 = v233 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v172 - 8) = 0x468d38;
                                                                                                function_46aac4();
                                                                                                g6 = -1;
                                                                                                v173 = g4;
                                                                                                g8 = v173 - 260;
                                                                                                g3 = *(int32_t *)(v173 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468d49;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468d4e
                                                                                                if (*(char *)(*v123 + 13) == 18) {
                                                                                                    // 0x468d57
                                                                                                    v174 = g11;
                                                                                                    v136 = v174 - 4;
                                                                                                    *(int32_t *)v136 = v211 - 260;
                                                                                                    g11 = v136;
                                                                                                    g6 = v233 & -256 | 1;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                                    function_46ab48();
                                                                                                    g6 = -1;
                                                                                                    v175 = g4;
                                                                                                    g8 = v175 - 260;
                                                                                                    g3 = *(int32_t *)(v175 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x46937f
                                                                                                } else {
                                                                                                    // 0x468d84
                                                                                                    if (*(char *)(*v123 + 13) == 19) {
                                                                                                        // 0x468d8d
                                                                                                        v176 = g11;
                                                                                                        v137 = v176 - 4;
                                                                                                        *(int32_t *)v137 = v211 - 260;
                                                                                                        g11 = v137;
                                                                                                        g6 = v233 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                        *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                                        function_46abcc();
                                                                                                        g6 = -1;
                                                                                                        v177 = g4;
                                                                                                        g8 = v177 - 260;
                                                                                                        g3 = *(int32_t *)(v177 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    } else {
                                                                                                        // 0x468dba
                                                                                                        if (*(char *)(*v123 + 13) == 20) {
                                                                                                            // 0x468dc3
                                                                                                            v178 = g11;
                                                                                                            v138 = v178 - 4;
                                                                                                            *(int32_t *)v138 = v211 - 260;
                                                                                                            g11 = v138;
                                                                                                            g6 = v233 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                                            function_46ac50();
                                                                                                            g6 = -1;
                                                                                                            v179 = g4;
                                                                                                            g8 = v179 - 260;
                                                                                                            g3 = *(int32_t *)(v179 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        } else {
                                                                                                            // 0x468df0
                                                                                                            if (*(char *)(*v123 + 13) != 22) {
                                                                                                                // 0x468df9
                                                                                                                if (*(char *)(*v123 + 13) != 21) {
                                                                                                                    // 0x468fad
                                                                                                                    if (*(char *)(*v123 + 13) == 3) {
                                                                                                                        // 0x468fba
                                                                                                                        if (*(char *)(v211 - 240) == 0) {
                                                                                                                            // 0x469000
                                                                                                                            g6 = -1;
                                                                                                                            g8 = v211 - 260;
                                                                                                                            g3 = *(int32_t *)(v211 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                                            function_4673b4();
                                                                                                                            *(int32_t *)(g4 - 28) = g3;
                                                                                                                            v189 = g4;
                                                                                                                            g8 = v189 - 324;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                                            function_46a30c();
                                                                                                                            v221 = g4;
                                                                                                                            *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                                            v222 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                                            g6 = v222 - 324;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                                            function_46b0d8();
                                                                                                                            g6 = -1;
                                                                                                                            v190 = g4;
                                                                                                                            g8 = v190 - 324;
                                                                                                                            g3 = *(int32_t *)(v190 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                                            function_469f40();
                                                                                                                            // branch -> 0x46937f
                                                                                                                        } else {
                                                                                                                            // 0x468fc3
                                                                                                                            *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                                            v220 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                                            g6 = v220 - 260;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                                            function_46b0d8();
                                                                                                                            *(int32_t *)(g4 - 260) = -1;
                                                                                                                            g6 = -1;
                                                                                                                            v188 = g4;
                                                                                                                            g8 = v188 - 260;
                                                                                                                            g3 = *(int32_t *)(v188 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                                            function_469f40();
                                                                                                                            // branch -> 0x46937f
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x469058
                                                                                                                        v247 = *v123;
                                                                                                                        v132 = v247;
                                                                                                                        if (*(char *)(v247 + 13) != 4) {
                                                                                                                            // 0x469061
                                                                                                                            v248 = *v123;
                                                                                                                            v132 = v248;
                                                                                                                            if (*(char *)(v248 + 13) != 5) {
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x46906e
                                                                                                                        v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                                        *v127 = *v127 - 1;
                                                                                                                        v223 = v132;
                                                                                                                        v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                                        g11 -= *(int32_t *)g5;
                                                                                                                        v128 = (char *)v145;
                                                                                                                        *v128 = (char)((int32_t)*v128 + v145);
                                                                                                                        v191 = g4;
                                                                                                                        g8 = v191 - 388;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                                        function_46a30c();
                                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                                        function_469fd8();
                                                                                                                        *(int32_t *)(g4 - 372) = g3;
                                                                                                                        *(int32_t *)(g4 - 388) = 5;
                                                                                                                        v192 = g11;
                                                                                                                        v141 = v192 - 4;
                                                                                                                        *(int32_t *)v141 = g4 - 388;
                                                                                                                        g11 = v141;
                                                                                                                        v193 = g4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                                        *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                                        function_46ae10();
                                                                                                                        v194 = g4;
                                                                                                                        g8 = *(int32_t *)(v194 - 324);
                                                                                                                        g3 = *(int32_t *)(v194 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                                        function_469e18();
                                                                                                                        v224 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v224 - 4) + 0x1814) != 0) {
                                                                                                                            // 0x469127
                                                                                                                            if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                                                // 0x469131
                                                                                                                                // branch -> 0x469133
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x46912d
                                                                                                                        // branch -> 0x469133
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x468e06
                                                                                                            *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                                            v180 = g4;
                                                                                                            if (*(char *)(v180 - 240) == 0) {
                                                                                                                // 0x468e9d
                                                                                                                v124 = (int32_t *)(v180 - 20);
                                                                                                                v218 = v180;
                                                                                                                v232 = v233;
                                                                                                                if (*v124 == 1) {
                                                                                                                    // 0x468ea3
                                                                                                                    g6 = v180 - 484;
                                                                                                                    g8 = *v124;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                                    function_46b3dc();
                                                                                                                    v181 = g4;
                                                                                                                    g8 = v181 - 484;
                                                                                                                    g3 = *(int32_t *)(v181 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                                    function_469c8c();
                                                                                                                    *(int32_t *)(g4 - 24) = g3;
                                                                                                                    v182 = g4;
                                                                                                                    g6 = v182 - 548;
                                                                                                                    g8 = *(int32_t *)(v182 - 20);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                                    function_46b3dc();
                                                                                                                    v183 = g11;
                                                                                                                    v139 = v183 - 4;
                                                                                                                    *(int32_t *)v139 = g4 - 548;
                                                                                                                    g11 = v139;
                                                                                                                    v215 = g4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                                    *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                                    function_46ae10();
                                                                                                                    v216 = g4;
                                                                                                                    g8 = *(int32_t *)(v216 - 20);
                                                                                                                    g3 = *(int32_t *)(v216 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                                    function_469e18();
                                                                                                                    v217 = g4;
                                                                                                                    *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                                    v218 = g4;
                                                                                                                    v232 = g6 & -256 | 1;
                                                                                                                    // branch -> 0x468f04
                                                                                                                }
                                                                                                                // 0x468f04
                                                                                                                v184 = v218;
                                                                                                                if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                                    // 0x468f0d
                                                                                                                    if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                                        // 0x468f16
                                                                                                                        v125 = (int32_t *)(v218 - 4);
                                                                                                                        if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                                            // 0x468f22
                                                                                                                            g8 = g8 & -256 | 1;
                                                                                                                            g3 = *(int32_t *)(*v125 + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                                            function_46b214();
                                                                                                                            v184 = g4;
                                                                                                                            // branch -> 0x468f2f
                                                                                                                        } else {
                                                                                                                            v184 = v218;
                                                                                                                        }
                                                                                                                    } else {
                                                                                                                        v184 = v218;
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x468f2f
                                                                                                                v185 = g11;
                                                                                                                v140 = v185 - 4;
                                                                                                                *(int32_t *)v140 = v184 - 260;
                                                                                                                g11 = v140;
                                                                                                                g6 = v232 & -256 | 1;
                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                                                function_46ae10();
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                g8 = g8 & -256 | 211;
                                                                                                                *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                                                function_462278();
                                                                                                                v219 = g4;
                                                                                                                v246 = *(char *)(v219 - 20);
                                                                                                                v258 = g8 & -256;
                                                                                                                v253 = *(char *)(v219 - 16);
                                                                                                                g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                                                function_462278();
                                                                                                                v186 = g4;
                                                                                                                v187 = v186;
                                                                                                                if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                                    // 0x468f75
                                                                                                                    if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                                        // 0x468f7e
                                                                                                                        v126 = (int32_t *)(v186 - 4);
                                                                                                                        if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                                            // 0x468f8a
                                                                                                                            g8 = g8 & -256 | 1;
                                                                                                                            g3 = *(int32_t *)(*v126 + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                                            function_46b1f0();
                                                                                                                            v187 = g4;
                                                                                                                            // branch -> 0x468f97
                                                                                                                        } else {
                                                                                                                            v187 = v186;
                                                                                                                        }
                                                                                                                    } else {
                                                                                                                        v187 = v186;
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x468f97
                                                                                                                g6 = -1;
                                                                                                                g8 = v187 - 260;
                                                                                                                g3 = *(int32_t *)(v187 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x46937f
                                                                                                            } else {
                                                                                                                // 0x468e28
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                                                v236 = g8 & -256;
                                                                                                                if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                                    // 0x468e31
                                                                                                                    g8 = v236 | 209;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                                    function_462278();
                                                                                                                    v212 = g4;
                                                                                                                    v244 = *(char *)(v212 - 20);
                                                                                                                    v256 = g8 & -256;
                                                                                                                    v251 = *(char *)(v212 - 16);
                                                                                                                    g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                                    function_462278();
                                                                                                                    // branch -> 0x46937f
                                                                                                                } else {
                                                                                                                    // 0x468e5d
                                                                                                                    g8 = v236 | 193;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                                    function_462278();
                                                                                                                    v213 = g4;
                                                                                                                    v245 = *(char *)(v213 - 20);
                                                                                                                    v257 = g8 & -256;
                                                                                                                    v252 = *(char *)(v213 - 16);
                                                                                                                    g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                                    function_462278();
                                                                                                                    v214 = g4;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                                    function_462278();
                                                                                                                    // branch -> 0x46937f
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x4688ce
                                                                            v7 = NULL;
                                                                            unknown_468108();
                                                                            v146 = g4;
                                                                            g6 = v146 - 196;
                                                                            g8 = *(int32_t *)(*v122 + 4) & -256 | 3;
                                                                            g3 = *(int32_t *)(v146 - 4);
                                                                            function_463360();
                                                                            v147 = g4;
                                                                            g8 = v147 - 196;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v147 - 4) + 4);
                                                                            function_46b59c();
                                                                            g6 = -1;
                                                                            v148 = g4;
                                                                            g8 = v148 - 196;
                                                                            g3 = *(int32_t *)(v148 - 4);
                                                                            function_469f40();
                                                                            v5 = NULL;
                                                                            g6 = 0;
                                                                            unknown_468108();
                                                                            v149 = g4;
                                                                            g8 = v149 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v149 - 4) + 4);
                                                                            function_46ba4c();
                                                                            v150 = g4;
                                                                            g8 = v150 - 260;
                                                                            g3 = *(int32_t *)(v150 - 4);
                                                                            function_469f40();
                                                                            v151 = g4;
                                                                            g8 = v151 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v151 - 4) + 4);
                                                                            function_46a30c();
                                                                            v12 = (int32_t *)0x47800000;
                                                                            g11 = (int32_t)&v12;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                            function_463ffc();
                                                                            *(int32_t *)(g4 - 244) = g3;
                                                                            v152 = g4;
                                                                            g8 = v152 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v152 - 4) + 4);
                                                                            function_46b8e4();
                                                                            v153 = g4;
                                                                            g8 = v153 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v153 - 4) + 4);
                                                                            function_46a30c();
                                                                            *(int32_t *)(g4 - 260) = 5;
                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                            function_469fd8();
                                                                            *(int32_t *)(g4 - 244) = g3;
                                                                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                            v204 = g4;
                                                                            g8 = v204 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v204 - 4) + 4);
                                                                            if (*(char *)(v204 - 37) == 3) {
                                                                                // 0x4689da
                                                                                function_46b614();
                                                                                *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                                // branch -> 0x469a51
                                                                            } else {
                                                                                // 0x4689f7
                                                                                function_46b68c();
                                                                                *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                                // branch -> 0x469a51
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // 0x468b68
                                                                    v7 = NULL;
                                                                    g11 = v4;
                                                                    g6 = 0;
                                                                    unknown_468108();
                                                                    g8 = g4 - 196;
                                                                    function_46a168();
                                                                    v164 = g4;
                                                                    if (g3 == 0) {
                                                                        // 0x468bce
                                                                        v206 = v164 - 196;
                                                                        if (*(char *)(v164 - 176) == 0) {
                                                                            // 0x468bd7
                                                                            *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                            // branch -> 0x468c1b
                                                                        } else {
                                                                            // 0x468be2
                                                                            g8 = v206;
                                                                            g3 = *(int32_t *)(v164 - 4);
                                                                            function_469c8c();
                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                            v165 = g4;
                                                                            g11 = (int32_t)&v5;
                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                            g6 = g6 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                            function_46ae10();
                                                                            g6 = -1;
                                                                            v166 = g4;
                                                                            g8 = v166 - 196;
                                                                            g3 = *(int32_t *)(v166 - 4);
                                                                            function_469f40();
                                                                            // branch -> 0x468c1b
                                                                        }
                                                                        // 0x468c1b
                                                                        v167 = g4;
                                                                        if (*(char *)(v167 - 164) != 8) {
                                                                            // 0x468c24
                                                                            if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                                // 0x468c30
                                                                                g8 = g8 & -256 | 193;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                                function_462278();
                                                                                v207 = g4;
                                                                                v254 = g8 & -256;
                                                                                g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                                function_462278();
                                                                                g8 = g8 & -256 | 16;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                                function_462278();
                                                                                // branch -> 0x468c5b
                                                                            }
                                                                        }
                                                                        // 0x468c5b
                                                                        v208 = g11;
                                                                        *(int32_t *)(v208 - 4) = 0;
                                                                        v133 = v208 - 8;
                                                                        *(int32_t *)v133 = g4 - 260;
                                                                        g11 = v133;
                                                                        g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                        *(int32_t *)(v208 - 12) = 0x468c74;
                                                                        unknown_468108();
                                                                        v168 = g4;
                                                                        v211 = v168;
                                                                        v233 = 0;
                                                                        if (*(char *)(v168 - 228) != 8) {
                                                                            // 0x468c7d
                                                                            v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                            if (*(char *)(v243 + 9) == 8) {
                                                                                // 0x468c89
                                                                                g8 = v168 - 260;
                                                                                g3 = *(int32_t *)(v168 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                                function_4673b4();
                                                                                *(int32_t *)(g4 - 28) = g3;
                                                                                g8 = g8 & -256 | 193;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468caa;
                                                                                function_462278();
                                                                                v209 = g4;
                                                                                v255 = g8 & -256;
                                                                                g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                                function_462278();
                                                                                g8 = g8 & -256 | 16;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                                function_462278();
                                                                                v169 = g4;
                                                                                g8 = v169 - 260;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                                function_46a30c();
                                                                                v210 = g4;
                                                                                *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                                v211 = g4;
                                                                                v233 = -1;
                                                                                // branch -> 0x468ce2
                                                                            } else {
                                                                                v211 = v168;
                                                                                v233 = 0;
                                                                            }
                                                                        }
                                                                        // 0x468ce2
                                                                        v123 = (int32_t *)(v211 - 8);
                                                                        if (*(char *)(*v123 + 13) == 0) {
                                                                            // 0x468ceb
                                                                            v170 = g11;
                                                                            v134 = v170 - 4;
                                                                            *(int32_t *)v134 = v211 - 260;
                                                                            g11 = v134;
                                                                            g6 = v233 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v170 - 8) = 0x468d02;
                                                                            function_46aa40();
                                                                            g6 = -1;
                                                                            v171 = g4;
                                                                            g8 = v171 - 260;
                                                                            g3 = *(int32_t *)(v171 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468d13;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468d18
                                                                            if (*(char *)(*v123 + 13) == 1) {
                                                                                // 0x468d21
                                                                                v172 = g11;
                                                                                v135 = v172 - 4;
                                                                                *(int32_t *)v135 = v211 - 260;
                                                                                g11 = v135;
                                                                                g6 = v233 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v172 - 8) = 0x468d38;
                                                                                function_46aac4();
                                                                                g6 = -1;
                                                                                v173 = g4;
                                                                                g8 = v173 - 260;
                                                                                g3 = *(int32_t *)(v173 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468d49;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468d4e
                                                                                if (*(char *)(*v123 + 13) == 18) {
                                                                                    // 0x468d57
                                                                                    v174 = g11;
                                                                                    v136 = v174 - 4;
                                                                                    *(int32_t *)v136 = v211 - 260;
                                                                                    g11 = v136;
                                                                                    g6 = v233 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                    function_46ab48();
                                                                                    g6 = -1;
                                                                                    v175 = g4;
                                                                                    g8 = v175 - 260;
                                                                                    g3 = *(int32_t *)(v175 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468d84
                                                                                    if (*(char *)(*v123 + 13) == 19) {
                                                                                        // 0x468d8d
                                                                                        v176 = g11;
                                                                                        v137 = v176 - 4;
                                                                                        *(int32_t *)v137 = v211 - 260;
                                                                                        g11 = v137;
                                                                                        g6 = v233 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                        function_46abcc();
                                                                                        g6 = -1;
                                                                                        v177 = g4;
                                                                                        g8 = v177 - 260;
                                                                                        g3 = *(int32_t *)(v177 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468dba
                                                                                        if (*(char *)(*v123 + 13) == 20) {
                                                                                            // 0x468dc3
                                                                                            v178 = g11;
                                                                                            v138 = v178 - 4;
                                                                                            *(int32_t *)v138 = v211 - 260;
                                                                                            g11 = v138;
                                                                                            g6 = v233 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                            function_46ac50();
                                                                                            g6 = -1;
                                                                                            v179 = g4;
                                                                                            g8 = v179 - 260;
                                                                                            g3 = *(int32_t *)(v179 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468df0
                                                                                            if (*(char *)(*v123 + 13) != 22) {
                                                                                                // 0x468df9
                                                                                                if (*(char *)(*v123 + 13) != 21) {
                                                                                                    // 0x468fad
                                                                                                    if (*(char *)(*v123 + 13) == 3) {
                                                                                                        // 0x468fba
                                                                                                        if (*(char *)(v211 - 240) == 0) {
                                                                                                            // 0x469000
                                                                                                            g6 = -1;
                                                                                                            g8 = v211 - 260;
                                                                                                            g3 = *(int32_t *)(v211 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                            function_4673b4();
                                                                                                            *(int32_t *)(g4 - 28) = g3;
                                                                                                            v189 = g4;
                                                                                                            g8 = v189 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                            function_46a30c();
                                                                                                            v221 = g4;
                                                                                                            *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                            v222 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                            g6 = v222 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                            function_46b0d8();
                                                                                                            g6 = -1;
                                                                                                            v190 = g4;
                                                                                                            g8 = v190 - 324;
                                                                                                            g3 = *(int32_t *)(v190 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        } else {
                                                                                                            // 0x468fc3
                                                                                                            *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                            v220 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                            g6 = v220 - 260;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                            function_46b0d8();
                                                                                                            *(int32_t *)(g4 - 260) = -1;
                                                                                                            g6 = -1;
                                                                                                            v188 = g4;
                                                                                                            g8 = v188 - 260;
                                                                                                            g3 = *(int32_t *)(v188 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x469058
                                                                                                        v247 = *v123;
                                                                                                        v132 = v247;
                                                                                                        if (*(char *)(v247 + 13) != 4) {
                                                                                                            // 0x469061
                                                                                                            v248 = *v123;
                                                                                                            v132 = v248;
                                                                                                            if (*(char *)(v248 + 13) != 5) {
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x46906e
                                                                                                        v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                        *v127 = *v127 - 1;
                                                                                                        v223 = v132;
                                                                                                        v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                        g11 -= *(int32_t *)g5;
                                                                                                        v128 = (char *)v145;
                                                                                                        *v128 = (char)((int32_t)*v128 + v145);
                                                                                                        v191 = g4;
                                                                                                        g8 = v191 - 388;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                        function_46a30c();
                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                        function_469fd8();
                                                                                                        *(int32_t *)(g4 - 372) = g3;
                                                                                                        *(int32_t *)(g4 - 388) = 5;
                                                                                                        v192 = g11;
                                                                                                        v141 = v192 - 4;
                                                                                                        *(int32_t *)v141 = g4 - 388;
                                                                                                        g11 = v141;
                                                                                                        v193 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                        *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                        function_46ae10();
                                                                                                        v194 = g4;
                                                                                                        g8 = *(int32_t *)(v194 - 324);
                                                                                                        g3 = *(int32_t *)(v194 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                        function_469e18();
                                                                                                        v224 = g4;
                                                                                                        if (*(char *)(*(int32_t *)(v224 - 4) + 0x1814) != 0) {
                                                                                                            // 0x469127
                                                                                                            if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                                // 0x469131
                                                                                                                // branch -> 0x469133
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x46912d
                                                                                                        // branch -> 0x469133
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x468e06
                                                                                            *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                            v180 = g4;
                                                                                            if (*(char *)(v180 - 240) == 0) {
                                                                                                // 0x468e9d
                                                                                                v124 = (int32_t *)(v180 - 20);
                                                                                                v218 = v180;
                                                                                                v232 = v233;
                                                                                                if (*v124 == 1) {
                                                                                                    // 0x468ea3
                                                                                                    g6 = v180 - 484;
                                                                                                    g8 = *v124;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                    function_46b3dc();
                                                                                                    v181 = g4;
                                                                                                    g8 = v181 - 484;
                                                                                                    g3 = *(int32_t *)(v181 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                    function_469c8c();
                                                                                                    *(int32_t *)(g4 - 24) = g3;
                                                                                                    v182 = g4;
                                                                                                    g6 = v182 - 548;
                                                                                                    g8 = *(int32_t *)(v182 - 20);
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                    function_46b3dc();
                                                                                                    v183 = g11;
                                                                                                    v139 = v183 - 4;
                                                                                                    *(int32_t *)v139 = g4 - 548;
                                                                                                    g11 = v139;
                                                                                                    v215 = g4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                    *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                    function_46ae10();
                                                                                                    v216 = g4;
                                                                                                    g8 = *(int32_t *)(v216 - 20);
                                                                                                    g3 = *(int32_t *)(v216 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                    function_469e18();
                                                                                                    v217 = g4;
                                                                                                    *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                    v218 = g4;
                                                                                                    v232 = g6 & -256 | 1;
                                                                                                    // branch -> 0x468f04
                                                                                                }
                                                                                                // 0x468f04
                                                                                                v184 = v218;
                                                                                                if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                    // 0x468f0d
                                                                                                    if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                        // 0x468f16
                                                                                                        v125 = (int32_t *)(v218 - 4);
                                                                                                        if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                            // 0x468f22
                                                                                                            g8 = g8 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*v125 + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                            function_46b214();
                                                                                                            v184 = g4;
                                                                                                            // branch -> 0x468f2f
                                                                                                        } else {
                                                                                                            v184 = v218;
                                                                                                        }
                                                                                                    } else {
                                                                                                        v184 = v218;
                                                                                                    }
                                                                                                }
                                                                                                // 0x468f2f
                                                                                                v185 = g11;
                                                                                                v140 = v185 - 4;
                                                                                                *(int32_t *)v140 = v184 - 260;
                                                                                                g11 = v140;
                                                                                                g6 = v232 & -256 | 1;
                                                                                                g8 = g8 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                                function_46ae10();
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                g8 = g8 & -256 | 211;
                                                                                                *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                                function_462278();
                                                                                                v219 = g4;
                                                                                                v246 = *(char *)(v219 - 20);
                                                                                                v258 = g8 & -256;
                                                                                                v253 = *(char *)(v219 - 16);
                                                                                                g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                                function_462278();
                                                                                                v186 = g4;
                                                                                                v187 = v186;
                                                                                                if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                    // 0x468f75
                                                                                                    if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                        // 0x468f7e
                                                                                                        v126 = (int32_t *)(v186 - 4);
                                                                                                        if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                            // 0x468f8a
                                                                                                            g8 = g8 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*v126 + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                            function_46b1f0();
                                                                                                            v187 = g4;
                                                                                                            // branch -> 0x468f97
                                                                                                        } else {
                                                                                                            v187 = v186;
                                                                                                        }
                                                                                                    } else {
                                                                                                        v187 = v186;
                                                                                                    }
                                                                                                }
                                                                                                // 0x468f97
                                                                                                g6 = -1;
                                                                                                g8 = v187 - 260;
                                                                                                g3 = *(int32_t *)(v187 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468e28
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                                v236 = g8 & -256;
                                                                                                if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                    // 0x468e31
                                                                                                    g8 = v236 | 209;
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                    function_462278();
                                                                                                    v212 = g4;
                                                                                                    v244 = *(char *)(v212 - 20);
                                                                                                    v256 = g8 & -256;
                                                                                                    v251 = *(char *)(v212 - 16);
                                                                                                    g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                    function_462278();
                                                                                                    // branch -> 0x46937f
                                                                                                } else {
                                                                                                    // 0x468e5d
                                                                                                    g8 = v236 | 193;
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                    function_462278();
                                                                                                    v213 = g4;
                                                                                                    v245 = *(char *)(v213 - 20);
                                                                                                    v257 = g8 & -256;
                                                                                                    v252 = *(char *)(v213 - 16);
                                                                                                    g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                    function_462278();
                                                                                                    v214 = g4;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                    function_462278();
                                                                                                    // branch -> 0x46937f
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        // 0x468b93
                                                                        g8 = v164 - 196;
                                                                        g3 = *(int32_t *)(v164 - 4);
                                                                        function_469c8c();
                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                        v162 = g4;
                                                                        g11 = (int32_t)&v5;
                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                        g6 = g6 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                        function_46ae10();
                                                                        g6 = -1;
                                                                        v163 = g4;
                                                                        g8 = v163 - 196;
                                                                        g3 = *(int32_t *)(v163 - 4);
                                                                        function_469f40();
                                                                        // branch -> 0x468c1b
                                                                    }
                                                                    // 0x468c1b
                                                                    v167 = g4;
                                                                    if (*(char *)(v167 - 164) != 8) {
                                                                        // 0x468c24
                                                                        if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                            // 0x468c30
                                                                            g8 = g8 & -256 | 193;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                            function_462278();
                                                                            v207 = g4;
                                                                            v254 = g8 & -256;
                                                                            g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                            function_462278();
                                                                            g8 = g8 & -256 | 16;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                            function_462278();
                                                                            // branch -> 0x468c5b
                                                                        }
                                                                    }
                                                                    // 0x468c5b
                                                                    v208 = g11;
                                                                    *(int32_t *)(v208 - 4) = 0;
                                                                    v133 = v208 - 8;
                                                                    *(int32_t *)v133 = g4 - 260;
                                                                    g11 = v133;
                                                                    g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                    *(int32_t *)(v208 - 12) = 0x468c74;
                                                                    unknown_468108();
                                                                    v168 = g4;
                                                                    v211 = v168;
                                                                    v233 = 0;
                                                                    if (*(char *)(v168 - 228) != 8) {
                                                                        // 0x468c7d
                                                                        v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                        if (*(char *)(v243 + 9) == 8) {
                                                                            // 0x468c89
                                                                            g8 = v168 - 260;
                                                                            g3 = *(int32_t *)(v168 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                            function_4673b4();
                                                                            *(int32_t *)(g4 - 28) = g3;
                                                                            g8 = g8 & -256 | 193;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468caa;
                                                                            function_462278();
                                                                            v209 = g4;
                                                                            v255 = g8 & -256;
                                                                            g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                            function_462278();
                                                                            g8 = g8 & -256 | 16;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                            function_462278();
                                                                            v169 = g4;
                                                                            g8 = v169 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                            function_46a30c();
                                                                            v210 = g4;
                                                                            *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                            v211 = g4;
                                                                            v233 = -1;
                                                                            // branch -> 0x468ce2
                                                                        } else {
                                                                            v211 = v168;
                                                                            v233 = 0;
                                                                        }
                                                                    }
                                                                    // 0x468ce2
                                                                    v123 = (int32_t *)(v211 - 8);
                                                                    if (*(char *)(*v123 + 13) == 0) {
                                                                        // 0x468ceb
                                                                        v170 = g11;
                                                                        v134 = v170 - 4;
                                                                        *(int32_t *)v134 = v211 - 260;
                                                                        g11 = v134;
                                                                        g6 = v233 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                        *(int32_t *)(v170 - 8) = 0x468d02;
                                                                        function_46aa40();
                                                                        g6 = -1;
                                                                        v171 = g4;
                                                                        g8 = v171 - 260;
                                                                        g3 = *(int32_t *)(v171 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468d13;
                                                                        function_469f40();
                                                                        // branch -> 0x46937f
                                                                    } else {
                                                                        // 0x468d18
                                                                        if (*(char *)(*v123 + 13) == 1) {
                                                                            // 0x468d21
                                                                            v172 = g11;
                                                                            v135 = v172 - 4;
                                                                            *(int32_t *)v135 = v211 - 260;
                                                                            g11 = v135;
                                                                            g6 = v233 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v172 - 8) = 0x468d38;
                                                                            function_46aac4();
                                                                            g6 = -1;
                                                                            v173 = g4;
                                                                            g8 = v173 - 260;
                                                                            g3 = *(int32_t *)(v173 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468d49;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468d4e
                                                                            if (*(char *)(*v123 + 13) == 18) {
                                                                                // 0x468d57
                                                                                v174 = g11;
                                                                                v136 = v174 - 4;
                                                                                *(int32_t *)v136 = v211 - 260;
                                                                                g11 = v136;
                                                                                g6 = v233 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                function_46ab48();
                                                                                g6 = -1;
                                                                                v175 = g4;
                                                                                g8 = v175 - 260;
                                                                                g3 = *(int32_t *)(v175 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468d84
                                                                                if (*(char *)(*v123 + 13) == 19) {
                                                                                    // 0x468d8d
                                                                                    v176 = g11;
                                                                                    v137 = v176 - 4;
                                                                                    *(int32_t *)v137 = v211 - 260;
                                                                                    g11 = v137;
                                                                                    g6 = v233 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                    function_46abcc();
                                                                                    g6 = -1;
                                                                                    v177 = g4;
                                                                                    g8 = v177 - 260;
                                                                                    g3 = *(int32_t *)(v177 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468dba
                                                                                    if (*(char *)(*v123 + 13) == 20) {
                                                                                        // 0x468dc3
                                                                                        v178 = g11;
                                                                                        v138 = v178 - 4;
                                                                                        *(int32_t *)v138 = v211 - 260;
                                                                                        g11 = v138;
                                                                                        g6 = v233 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                        function_46ac50();
                                                                                        g6 = -1;
                                                                                        v179 = g4;
                                                                                        g8 = v179 - 260;
                                                                                        g3 = *(int32_t *)(v179 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468df0
                                                                                        if (*(char *)(*v123 + 13) != 22) {
                                                                                            // 0x468df9
                                                                                            if (*(char *)(*v123 + 13) != 21) {
                                                                                                // 0x468fad
                                                                                                if (*(char *)(*v123 + 13) == 3) {
                                                                                                    // 0x468fba
                                                                                                    if (*(char *)(v211 - 240) == 0) {
                                                                                                        // 0x469000
                                                                                                        g6 = -1;
                                                                                                        g8 = v211 - 260;
                                                                                                        g3 = *(int32_t *)(v211 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                        function_4673b4();
                                                                                                        *(int32_t *)(g4 - 28) = g3;
                                                                                                        v189 = g4;
                                                                                                        g8 = v189 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                        function_46a30c();
                                                                                                        v221 = g4;
                                                                                                        *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                        v222 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                        g6 = v222 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                        function_46b0d8();
                                                                                                        g6 = -1;
                                                                                                        v190 = g4;
                                                                                                        g8 = v190 - 324;
                                                                                                        g3 = *(int32_t *)(v190 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    } else {
                                                                                                        // 0x468fc3
                                                                                                        *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                        v220 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                        g6 = v220 - 260;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                        function_46b0d8();
                                                                                                        *(int32_t *)(g4 - 260) = -1;
                                                                                                        g6 = -1;
                                                                                                        v188 = g4;
                                                                                                        g8 = v188 - 260;
                                                                                                        g3 = *(int32_t *)(v188 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x469058
                                                                                                    v247 = *v123;
                                                                                                    v132 = v247;
                                                                                                    if (*(char *)(v247 + 13) != 4) {
                                                                                                        // 0x469061
                                                                                                        v248 = *v123;
                                                                                                        v132 = v248;
                                                                                                        if (*(char *)(v248 + 13) != 5) {
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x46906e
                                                                                                    v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                    *v127 = *v127 - 1;
                                                                                                    v223 = v132;
                                                                                                    v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                    g11 -= *(int32_t *)g5;
                                                                                                    v128 = (char *)v145;
                                                                                                    *v128 = (char)((int32_t)*v128 + v145);
                                                                                                    v191 = g4;
                                                                                                    g8 = v191 - 388;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                    function_46a30c();
                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                    function_469fd8();
                                                                                                    *(int32_t *)(g4 - 372) = g3;
                                                                                                    *(int32_t *)(g4 - 388) = 5;
                                                                                                    v192 = g11;
                                                                                                    v141 = v192 - 4;
                                                                                                    *(int32_t *)v141 = g4 - 388;
                                                                                                    g11 = v141;
                                                                                                    v193 = g4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                    *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                    function_46ae10();
                                                                                                    v194 = g4;
                                                                                                    g8 = *(int32_t *)(v194 - 324);
                                                                                                    g3 = *(int32_t *)(v194 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                    function_469e18();
                                                                                                    v224 = g4;
                                                                                                    if (*(char *)(*(int32_t *)(v224 - 4) + 0x1814) != 0) {
                                                                                                        // 0x469127
                                                                                                        if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                            // 0x469131
                                                                                                            // branch -> 0x469133
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x46912d
                                                                                                    // branch -> 0x469133
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x468e06
                                                                                        *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                        v180 = g4;
                                                                                        if (*(char *)(v180 - 240) == 0) {
                                                                                            // 0x468e9d
                                                                                            v124 = (int32_t *)(v180 - 20);
                                                                                            v218 = v180;
                                                                                            v232 = v233;
                                                                                            if (*v124 == 1) {
                                                                                                // 0x468ea3
                                                                                                g6 = v180 - 484;
                                                                                                g8 = *v124;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                function_46b3dc();
                                                                                                v181 = g4;
                                                                                                g8 = v181 - 484;
                                                                                                g3 = *(int32_t *)(v181 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                function_469c8c();
                                                                                                *(int32_t *)(g4 - 24) = g3;
                                                                                                v182 = g4;
                                                                                                g6 = v182 - 548;
                                                                                                g8 = *(int32_t *)(v182 - 20);
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                function_46b3dc();
                                                                                                v183 = g11;
                                                                                                v139 = v183 - 4;
                                                                                                *(int32_t *)v139 = g4 - 548;
                                                                                                g11 = v139;
                                                                                                v215 = g4;
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                function_46ae10();
                                                                                                v216 = g4;
                                                                                                g8 = *(int32_t *)(v216 - 20);
                                                                                                g3 = *(int32_t *)(v216 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                function_469e18();
                                                                                                v217 = g4;
                                                                                                *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                v218 = g4;
                                                                                                v232 = g6 & -256 | 1;
                                                                                                // branch -> 0x468f04
                                                                                            }
                                                                                            // 0x468f04
                                                                                            v184 = v218;
                                                                                            if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                // 0x468f0d
                                                                                                if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                    // 0x468f16
                                                                                                    v125 = (int32_t *)(v218 - 4);
                                                                                                    if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                        // 0x468f22
                                                                                                        g8 = g8 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*v125 + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                        function_46b214();
                                                                                                        v184 = g4;
                                                                                                        // branch -> 0x468f2f
                                                                                                    } else {
                                                                                                        v184 = v218;
                                                                                                    }
                                                                                                } else {
                                                                                                    v184 = v218;
                                                                                                }
                                                                                            }
                                                                                            // 0x468f2f
                                                                                            v185 = g11;
                                                                                            v140 = v185 - 4;
                                                                                            *(int32_t *)v140 = v184 - 260;
                                                                                            g11 = v140;
                                                                                            g6 = v232 & -256 | 1;
                                                                                            g8 = g8 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                            function_46ae10();
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                            g8 = g8 & -256 | 211;
                                                                                            *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                            function_462278();
                                                                                            v219 = g4;
                                                                                            v246 = *(char *)(v219 - 20);
                                                                                            v258 = g8 & -256;
                                                                                            v253 = *(char *)(v219 - 16);
                                                                                            g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                            function_462278();
                                                                                            v186 = g4;
                                                                                            v187 = v186;
                                                                                            if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                // 0x468f75
                                                                                                if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                    // 0x468f7e
                                                                                                    v126 = (int32_t *)(v186 - 4);
                                                                                                    if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                        // 0x468f8a
                                                                                                        g8 = g8 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*v126 + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                        function_46b1f0();
                                                                                                        v187 = g4;
                                                                                                        // branch -> 0x468f97
                                                                                                    } else {
                                                                                                        v187 = v186;
                                                                                                    }
                                                                                                } else {
                                                                                                    v187 = v186;
                                                                                                }
                                                                                            }
                                                                                            // 0x468f97
                                                                                            g6 = -1;
                                                                                            g8 = v187 - 260;
                                                                                            g3 = *(int32_t *)(v187 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468e28
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                            v236 = g8 & -256;
                                                                                            if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                // 0x468e31
                                                                                                g8 = v236 | 209;
                                                                                                *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                function_462278();
                                                                                                v212 = g4;
                                                                                                v244 = *(char *)(v212 - 20);
                                                                                                v256 = g8 & -256;
                                                                                                v251 = *(char *)(v212 - 16);
                                                                                                g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                function_462278();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468e5d
                                                                                                g8 = v236 | 193;
                                                                                                *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                function_462278();
                                                                                                v213 = g4;
                                                                                                v245 = *(char *)(v213 - 20);
                                                                                                v257 = g8 & -256;
                                                                                                v252 = *(char *)(v213 - 16);
                                                                                                g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                function_462278();
                                                                                                v214 = g4;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                function_462278();
                                                                                                // branch -> 0x46937f
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                        }
                                                        // 0x468878
                                                        g11 = (int32_t)&v7;
                                                        g6 = *(int32_t *)(v203 - 12);
                                                        g8 = *v122;
                                                        g3 = *(int32_t *)(v203 - 4);
                                                        function_462be0();
                                                        // branch -> 0x4693c1
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                }
                                                // 0x468833
                                                v202 = g4;
                                                v7 = (int32_t *)*(int32_t *)(v202 - 12);
                                                v121 = (int32_t *)(v202 - 8);
                                                g6 = *v121;
                                                g8 = (int32_t)*(char *)(*v121 + 13);
                                                g3 = *(int32_t *)(v202 - 4);
                                                function_4653e4();
                                                // branch -> 0x4693c1
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                    }
                                    // 0x4686b1
                                    System__AsClass(NULL, (int32_t *)0x4637dc);
                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v282 - 4) + 16) + 12);
                                    g8 = 0x469ad4;
                                    function_45bf7c();
                                    // branch -> 0x469a51
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                                // 0x468808
                                v120 = (int32_t *)(g4 - 8);
                                if (*(char *)(*v120 + 12) == 3) {
                                    // 0x468815
                                    v237 = *v120;
                                    g3 = (int32_t)*(char *)(v237 + 13) | v237 & -256;
                                    function_459cb0();
                                    if (g3 == 0) {
                                        // 0x468824
                                        v238 = *(int32_t *)(g4 - 8);
                                        g3 = (int32_t)*(char *)(v238 + 13) | v238 & -256;
                                        function_459d30();
                                        if (g3 == 0) {
                                            // 0x468854
                                            v203 = g4;
                                            v122 = (int32_t *)(v203 - 8);
                                            v239 = *(int32_t *)(*v122 + 4);
                                            if (*(char *)(*(int32_t *)(v239 + 56) + 9) != 3) {
                                                // 0x468863
                                                v240 = *(int32_t *)(*v122 + 8);
                                                if (*(char *)(*(int32_t *)(v240 + 56) + 9) != 3) {
                                                    // 0x468872
                                                    if (*(char *)(v203 - 37) != 3) {
                                                        // 0x468892
                                                        v241 = *(int32_t *)(*v122 + 4);
                                                        if (*(char *)(*(int32_t *)(v241 + 56) + 9) == 8) {
                                                            // 0x4688a5
                                                            v242 = *(int32_t *)(*v122 + 8);
                                                            if (*(char *)(*(int32_t *)(v242 + 56) + 9) == 8) {
                                                                // 0x4688b8
                                                                if (*(char *)(*v122 + 13) != 4) {
                                                                    // 0x4688c1
                                                                    if (*(char *)(*v122 + 13) != 5) {
                                                                        // 0x468a14
                                                                        if (*(char *)(*v122 + 13) == 3) {
                                                                            // 0x468a21
                                                                            v7 = NULL;
                                                                            g6 = 0;
                                                                            unknown_468108();
                                                                            v154 = g4;
                                                                            g8 = v154 - 196;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v154 - 4) + 4);
                                                                            function_46b59c();
                                                                            v155 = g4;
                                                                            g8 = v155 - 196;
                                                                            g3 = *(int32_t *)(v155 - 4);
                                                                            function_469f40();
                                                                            v156 = g4;
                                                                            g8 = v156 - 324;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v156 - 4) + 4);
                                                                            function_46a30c();
                                                                            v5 = (int32_t *)0x47800000;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                            function_463ffc();
                                                                            *(int32_t *)(g4 - 308) = g3;
                                                                            v157 = g4;
                                                                            g8 = v157 - 324;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v157 - 4) + 4);
                                                                            function_46b9d4();
                                                                            g11 = (int32_t)&v12;
                                                                            g6 = 0;
                                                                            unknown_468108();
                                                                            v158 = g4;
                                                                            g8 = v158 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v158 - 4) + 4);
                                                                            function_46b95c();
                                                                            g6 = -1;
                                                                            v159 = g4;
                                                                            g8 = v159 - 260;
                                                                            g3 = *(int32_t *)(v159 - 4);
                                                                            function_469f40();
                                                                            v160 = g4;
                                                                            g8 = v160 - 324;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v160 - 4) + 4);
                                                                            function_46b9d4();
                                                                            v161 = g4;
                                                                            g8 = v161 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v161 - 4) + 4);
                                                                            function_46a30c();
                                                                            *(int32_t *)(g4 - 260) = 5;
                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                            function_469fd8();
                                                                            *(int32_t *)(g4 - 244) = g3;
                                                                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                            v205 = g4;
                                                                            g8 = v205 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v205 - 4) + 4);
                                                                            if (*(char *)(v205 - 37) == 3) {
                                                                                // 0x468b2e
                                                                                function_46b614();
                                                                                *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                                // branch -> 0x469a51
                                                                            } else {
                                                                                // 0x468b4b
                                                                                function_46b68c();
                                                                                *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                                // branch -> 0x469a51
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            // 0x468b68
                                                                            v7 = NULL;
                                                                            g11 = v4;
                                                                            g6 = 0;
                                                                            unknown_468108();
                                                                            g8 = g4 - 196;
                                                                            function_46a168();
                                                                            v164 = g4;
                                                                            if (g3 == 0) {
                                                                                // 0x468bce
                                                                                v206 = v164 - 196;
                                                                                if (*(char *)(v164 - 176) == 0) {
                                                                                    // 0x468bd7
                                                                                    *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                                    // branch -> 0x468c1b
                                                                                } else {
                                                                                    // 0x468be2
                                                                                    g8 = v206;
                                                                                    g3 = *(int32_t *)(v164 - 4);
                                                                                    function_469c8c();
                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                    v165 = g4;
                                                                                    g11 = (int32_t)&v5;
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                                    g6 = g6 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                                    function_46ae10();
                                                                                    g6 = -1;
                                                                                    v166 = g4;
                                                                                    g8 = v166 - 196;
                                                                                    g3 = *(int32_t *)(v166 - 4);
                                                                                    function_469f40();
                                                                                    // branch -> 0x468c1b
                                                                                }
                                                                                // 0x468c1b
                                                                                v167 = g4;
                                                                                if (*(char *)(v167 - 164) != 8) {
                                                                                    // 0x468c24
                                                                                    if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                                        // 0x468c30
                                                                                        g8 = g8 & -256 | 193;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                                        *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                                        function_462278();
                                                                                        v207 = g4;
                                                                                        v254 = g8 & -256;
                                                                                        g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                                        *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                                        function_462278();
                                                                                        g8 = g8 & -256 | 16;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                        *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                                        function_462278();
                                                                                        // branch -> 0x468c5b
                                                                                    }
                                                                                }
                                                                                // 0x468c5b
                                                                                v208 = g11;
                                                                                *(int32_t *)(v208 - 4) = 0;
                                                                                v133 = v208 - 8;
                                                                                *(int32_t *)v133 = g4 - 260;
                                                                                g11 = v133;
                                                                                g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                                *(int32_t *)(v208 - 12) = 0x468c74;
                                                                                unknown_468108();
                                                                                v168 = g4;
                                                                                v211 = v168;
                                                                                v233 = 0;
                                                                                if (*(char *)(v168 - 228) != 8) {
                                                                                    // 0x468c7d
                                                                                    v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                                    if (*(char *)(v243 + 9) == 8) {
                                                                                        // 0x468c89
                                                                                        g8 = v168 - 260;
                                                                                        g3 = *(int32_t *)(v168 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                                        function_4673b4();
                                                                                        *(int32_t *)(g4 - 28) = g3;
                                                                                        g8 = g8 & -256 | 193;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                        *(int32_t *)(g11 - 4) = 0x468caa;
                                                                                        function_462278();
                                                                                        v209 = g4;
                                                                                        v255 = g8 & -256;
                                                                                        g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                                        *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                                        function_462278();
                                                                                        g8 = g8 & -256 | 16;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                        *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                                        function_462278();
                                                                                        v169 = g4;
                                                                                        g8 = v169 - 260;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                                        function_46a30c();
                                                                                        v210 = g4;
                                                                                        *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                                        v211 = g4;
                                                                                        v233 = -1;
                                                                                        // branch -> 0x468ce2
                                                                                    } else {
                                                                                        v211 = v168;
                                                                                        v233 = 0;
                                                                                    }
                                                                                }
                                                                                // 0x468ce2
                                                                                v123 = (int32_t *)(v211 - 8);
                                                                                if (*(char *)(*v123 + 13) == 0) {
                                                                                    // 0x468ceb
                                                                                    v170 = g11;
                                                                                    v134 = v170 - 4;
                                                                                    *(int32_t *)v134 = v211 - 260;
                                                                                    g11 = v134;
                                                                                    g6 = v233 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v170 - 8) = 0x468d02;
                                                                                    function_46aa40();
                                                                                    g6 = -1;
                                                                                    v171 = g4;
                                                                                    g8 = v171 - 260;
                                                                                    g3 = *(int32_t *)(v171 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468d13;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468d18
                                                                                    if (*(char *)(*v123 + 13) == 1) {
                                                                                        // 0x468d21
                                                                                        v172 = g11;
                                                                                        v135 = v172 - 4;
                                                                                        *(int32_t *)v135 = v211 - 260;
                                                                                        g11 = v135;
                                                                                        g6 = v233 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v172 - 8) = 0x468d38;
                                                                                        function_46aac4();
                                                                                        g6 = -1;
                                                                                        v173 = g4;
                                                                                        g8 = v173 - 260;
                                                                                        g3 = *(int32_t *)(v173 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468d49;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468d4e
                                                                                        if (*(char *)(*v123 + 13) == 18) {
                                                                                            // 0x468d57
                                                                                            v174 = g11;
                                                                                            v136 = v174 - 4;
                                                                                            *(int32_t *)v136 = v211 - 260;
                                                                                            g11 = v136;
                                                                                            g6 = v233 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                            function_46ab48();
                                                                                            g6 = -1;
                                                                                            v175 = g4;
                                                                                            g8 = v175 - 260;
                                                                                            g3 = *(int32_t *)(v175 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468d84
                                                                                            if (*(char *)(*v123 + 13) == 19) {
                                                                                                // 0x468d8d
                                                                                                v176 = g11;
                                                                                                v137 = v176 - 4;
                                                                                                *(int32_t *)v137 = v211 - 260;
                                                                                                g11 = v137;
                                                                                                g6 = v233 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                                function_46abcc();
                                                                                                g6 = -1;
                                                                                                v177 = g4;
                                                                                                g8 = v177 - 260;
                                                                                                g3 = *(int32_t *)(v177 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468dba
                                                                                                if (*(char *)(*v123 + 13) == 20) {
                                                                                                    // 0x468dc3
                                                                                                    v178 = g11;
                                                                                                    v138 = v178 - 4;
                                                                                                    *(int32_t *)v138 = v211 - 260;
                                                                                                    g11 = v138;
                                                                                                    g6 = v233 & -256 | 1;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                                    function_46ac50();
                                                                                                    g6 = -1;
                                                                                                    v179 = g4;
                                                                                                    g8 = v179 - 260;
                                                                                                    g3 = *(int32_t *)(v179 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x46937f
                                                                                                } else {
                                                                                                    // 0x468df0
                                                                                                    if (*(char *)(*v123 + 13) != 22) {
                                                                                                        // 0x468df9
                                                                                                        if (*(char *)(*v123 + 13) != 21) {
                                                                                                            // 0x468fad
                                                                                                            if (*(char *)(*v123 + 13) == 3) {
                                                                                                                // 0x468fba
                                                                                                                if (*(char *)(v211 - 240) == 0) {
                                                                                                                    // 0x469000
                                                                                                                    g6 = -1;
                                                                                                                    g8 = v211 - 260;
                                                                                                                    g3 = *(int32_t *)(v211 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                                    function_4673b4();
                                                                                                                    *(int32_t *)(g4 - 28) = g3;
                                                                                                                    v189 = g4;
                                                                                                                    g8 = v189 - 324;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                                    function_46a30c();
                                                                                                                    v221 = g4;
                                                                                                                    *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                                    v222 = g4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                                    g6 = v222 - 324;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                                    function_46b0d8();
                                                                                                                    g6 = -1;
                                                                                                                    v190 = g4;
                                                                                                                    g8 = v190 - 324;
                                                                                                                    g3 = *(int32_t *)(v190 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                                    function_469f40();
                                                                                                                    // branch -> 0x46937f
                                                                                                                } else {
                                                                                                                    // 0x468fc3
                                                                                                                    *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                                    v220 = g4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                                    g6 = v220 - 260;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                                    function_46b0d8();
                                                                                                                    *(int32_t *)(g4 - 260) = -1;
                                                                                                                    g6 = -1;
                                                                                                                    v188 = g4;
                                                                                                                    g8 = v188 - 260;
                                                                                                                    g3 = *(int32_t *)(v188 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                                    function_469f40();
                                                                                                                    // branch -> 0x46937f
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            } else {
                                                                                                                // 0x469058
                                                                                                                v247 = *v123;
                                                                                                                v132 = v247;
                                                                                                                if (*(char *)(v247 + 13) != 4) {
                                                                                                                    // 0x469061
                                                                                                                    v248 = *v123;
                                                                                                                    v132 = v248;
                                                                                                                    if (*(char *)(v248 + 13) != 5) {
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x46906e
                                                                                                                v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                                *v127 = *v127 - 1;
                                                                                                                v223 = v132;
                                                                                                                v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                                g11 -= *(int32_t *)g5;
                                                                                                                v128 = (char *)v145;
                                                                                                                *v128 = (char)((int32_t)*v128 + v145);
                                                                                                                v191 = g4;
                                                                                                                g8 = v191 - 388;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                                function_46a30c();
                                                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                                function_469fd8();
                                                                                                                *(int32_t *)(g4 - 372) = g3;
                                                                                                                *(int32_t *)(g4 - 388) = 5;
                                                                                                                v192 = g11;
                                                                                                                v141 = v192 - 4;
                                                                                                                *(int32_t *)v141 = g4 - 388;
                                                                                                                g11 = v141;
                                                                                                                v193 = g4;
                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                                *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                                function_46ae10();
                                                                                                                v194 = g4;
                                                                                                                g8 = *(int32_t *)(v194 - 324);
                                                                                                                g3 = *(int32_t *)(v194 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                                function_469e18();
                                                                                                                v224 = g4;
                                                                                                                if (*(char *)(*(int32_t *)(v224 - 4) + 0x1814) != 0) {
                                                                                                                    // 0x469127
                                                                                                                    if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                                        // 0x469131
                                                                                                                        // branch -> 0x469133
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x46912d
                                                                                                                // branch -> 0x469133
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x468e06
                                                                                                    *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                                    v180 = g4;
                                                                                                    if (*(char *)(v180 - 240) == 0) {
                                                                                                        // 0x468e9d
                                                                                                        v124 = (int32_t *)(v180 - 20);
                                                                                                        v218 = v180;
                                                                                                        v232 = v233;
                                                                                                        if (*v124 == 1) {
                                                                                                            // 0x468ea3
                                                                                                            g6 = v180 - 484;
                                                                                                            g8 = *v124;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                            function_46b3dc();
                                                                                                            v181 = g4;
                                                                                                            g8 = v181 - 484;
                                                                                                            g3 = *(int32_t *)(v181 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                            function_469c8c();
                                                                                                            *(int32_t *)(g4 - 24) = g3;
                                                                                                            v182 = g4;
                                                                                                            g6 = v182 - 548;
                                                                                                            g8 = *(int32_t *)(v182 - 20);
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                            function_46b3dc();
                                                                                                            v183 = g11;
                                                                                                            v139 = v183 - 4;
                                                                                                            *(int32_t *)v139 = g4 - 548;
                                                                                                            g11 = v139;
                                                                                                            v215 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                            *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                            function_46ae10();
                                                                                                            v216 = g4;
                                                                                                            g8 = *(int32_t *)(v216 - 20);
                                                                                                            g3 = *(int32_t *)(v216 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                            function_469e18();
                                                                                                            v217 = g4;
                                                                                                            *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                            v218 = g4;
                                                                                                            v232 = g6 & -256 | 1;
                                                                                                            // branch -> 0x468f04
                                                                                                        }
                                                                                                        // 0x468f04
                                                                                                        v184 = v218;
                                                                                                        if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                            // 0x468f0d
                                                                                                            if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                                // 0x468f16
                                                                                                                v125 = (int32_t *)(v218 - 4);
                                                                                                                if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                                    // 0x468f22
                                                                                                                    g8 = g8 & -256 | 1;
                                                                                                                    g3 = *(int32_t *)(*v125 + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                                    function_46b214();
                                                                                                                    v184 = g4;
                                                                                                                    // branch -> 0x468f2f
                                                                                                                } else {
                                                                                                                    v184 = v218;
                                                                                                                }
                                                                                                            } else {
                                                                                                                v184 = v218;
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x468f2f
                                                                                                        v185 = g11;
                                                                                                        v140 = v185 - 4;
                                                                                                        *(int32_t *)v140 = v184 - 260;
                                                                                                        g11 = v140;
                                                                                                        g6 = v232 & -256 | 1;
                                                                                                        g8 = g8 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                        *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                                        function_46ae10();
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                        g8 = g8 & -256 | 211;
                                                                                                        *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                                        function_462278();
                                                                                                        v219 = g4;
                                                                                                        v246 = *(char *)(v219 - 20);
                                                                                                        v258 = g8 & -256;
                                                                                                        v253 = *(char *)(v219 - 16);
                                                                                                        g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                                        function_462278();
                                                                                                        v186 = g4;
                                                                                                        v187 = v186;
                                                                                                        if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                            // 0x468f75
                                                                                                            if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                                // 0x468f7e
                                                                                                                v126 = (int32_t *)(v186 - 4);
                                                                                                                if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                                    // 0x468f8a
                                                                                                                    g8 = g8 & -256 | 1;
                                                                                                                    g3 = *(int32_t *)(*v126 + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                                    function_46b1f0();
                                                                                                                    v187 = g4;
                                                                                                                    // branch -> 0x468f97
                                                                                                                } else {
                                                                                                                    v187 = v186;
                                                                                                                }
                                                                                                            } else {
                                                                                                                v187 = v186;
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x468f97
                                                                                                        g6 = -1;
                                                                                                        g8 = v187 - 260;
                                                                                                        g3 = *(int32_t *)(v187 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    } else {
                                                                                                        // 0x468e28
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                                        v236 = g8 & -256;
                                                                                                        if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                            // 0x468e31
                                                                                                            g8 = v236 | 209;
                                                                                                            *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                            function_462278();
                                                                                                            v212 = g4;
                                                                                                            v244 = *(char *)(v212 - 20);
                                                                                                            v256 = g8 & -256;
                                                                                                            v251 = *(char *)(v212 - 16);
                                                                                                            g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                            function_462278();
                                                                                                            // branch -> 0x46937f
                                                                                                        } else {
                                                                                                            // 0x468e5d
                                                                                                            g8 = v236 | 193;
                                                                                                            *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                            function_462278();
                                                                                                            v213 = g4;
                                                                                                            v245 = *(char *)(v213 - 20);
                                                                                                            v257 = g8 & -256;
                                                                                                            v252 = *(char *)(v213 - 16);
                                                                                                            g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                            function_462278();
                                                                                                            v214 = g4;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                            function_462278();
                                                                                                            // branch -> 0x46937f
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            } else {
                                                                                // 0x468b93
                                                                                g8 = v164 - 196;
                                                                                g3 = *(int32_t *)(v164 - 4);
                                                                                function_469c8c();
                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                v162 = g4;
                                                                                g11 = (int32_t)&v5;
                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                                g6 = g6 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                                function_46ae10();
                                                                                g6 = -1;
                                                                                v163 = g4;
                                                                                g8 = v163 - 196;
                                                                                g3 = *(int32_t *)(v163 - 4);
                                                                                function_469f40();
                                                                                // branch -> 0x468c1b
                                                                            }
                                                                            // 0x468c1b
                                                                            v167 = g4;
                                                                            if (*(char *)(v167 - 164) != 8) {
                                                                                // 0x468c24
                                                                                if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                                    // 0x468c30
                                                                                    g8 = g8 & -256 | 193;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                                    *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                                    function_462278();
                                                                                    v207 = g4;
                                                                                    v254 = g8 & -256;
                                                                                    g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                                    *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                                    function_462278();
                                                                                    g8 = g8 & -256 | 16;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                    *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                                    function_462278();
                                                                                    // branch -> 0x468c5b
                                                                                }
                                                                            }
                                                                            // 0x468c5b
                                                                            v208 = g11;
                                                                            *(int32_t *)(v208 - 4) = 0;
                                                                            v133 = v208 - 8;
                                                                            *(int32_t *)v133 = g4 - 260;
                                                                            g11 = v133;
                                                                            g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                            *(int32_t *)(v208 - 12) = 0x468c74;
                                                                            unknown_468108();
                                                                            v168 = g4;
                                                                            v211 = v168;
                                                                            v233 = 0;
                                                                            if (*(char *)(v168 - 228) != 8) {
                                                                                // 0x468c7d
                                                                                v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                                if (*(char *)(v243 + 9) == 8) {
                                                                                    // 0x468c89
                                                                                    g8 = v168 - 260;
                                                                                    g3 = *(int32_t *)(v168 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                                    function_4673b4();
                                                                                    *(int32_t *)(g4 - 28) = g3;
                                                                                    g8 = g8 & -256 | 193;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                    *(int32_t *)(g11 - 4) = 0x468caa;
                                                                                    function_462278();
                                                                                    v209 = g4;
                                                                                    v255 = g8 & -256;
                                                                                    g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                                    *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                                    function_462278();
                                                                                    g8 = g8 & -256 | 16;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                    *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                                    function_462278();
                                                                                    v169 = g4;
                                                                                    g8 = v169 - 260;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                                    function_46a30c();
                                                                                    v210 = g4;
                                                                                    *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                                    v211 = g4;
                                                                                    v233 = -1;
                                                                                    // branch -> 0x468ce2
                                                                                } else {
                                                                                    v211 = v168;
                                                                                    v233 = 0;
                                                                                }
                                                                            }
                                                                            // 0x468ce2
                                                                            v123 = (int32_t *)(v211 - 8);
                                                                            if (*(char *)(*v123 + 13) == 0) {
                                                                                // 0x468ceb
                                                                                v170 = g11;
                                                                                v134 = v170 - 4;
                                                                                *(int32_t *)v134 = v211 - 260;
                                                                                g11 = v134;
                                                                                g6 = v233 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v170 - 8) = 0x468d02;
                                                                                function_46aa40();
                                                                                g6 = -1;
                                                                                v171 = g4;
                                                                                g8 = v171 - 260;
                                                                                g3 = *(int32_t *)(v171 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468d13;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468d18
                                                                                if (*(char *)(*v123 + 13) == 1) {
                                                                                    // 0x468d21
                                                                                    v172 = g11;
                                                                                    v135 = v172 - 4;
                                                                                    *(int32_t *)v135 = v211 - 260;
                                                                                    g11 = v135;
                                                                                    g6 = v233 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v172 - 8) = 0x468d38;
                                                                                    function_46aac4();
                                                                                    g6 = -1;
                                                                                    v173 = g4;
                                                                                    g8 = v173 - 260;
                                                                                    g3 = *(int32_t *)(v173 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468d49;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468d4e
                                                                                    if (*(char *)(*v123 + 13) == 18) {
                                                                                        // 0x468d57
                                                                                        v174 = g11;
                                                                                        v136 = v174 - 4;
                                                                                        *(int32_t *)v136 = v211 - 260;
                                                                                        g11 = v136;
                                                                                        g6 = v233 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                        function_46ab48();
                                                                                        g6 = -1;
                                                                                        v175 = g4;
                                                                                        g8 = v175 - 260;
                                                                                        g3 = *(int32_t *)(v175 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468d84
                                                                                        if (*(char *)(*v123 + 13) == 19) {
                                                                                            // 0x468d8d
                                                                                            v176 = g11;
                                                                                            v137 = v176 - 4;
                                                                                            *(int32_t *)v137 = v211 - 260;
                                                                                            g11 = v137;
                                                                                            g6 = v233 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                            function_46abcc();
                                                                                            g6 = -1;
                                                                                            v177 = g4;
                                                                                            g8 = v177 - 260;
                                                                                            g3 = *(int32_t *)(v177 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468dba
                                                                                            if (*(char *)(*v123 + 13) == 20) {
                                                                                                // 0x468dc3
                                                                                                v178 = g11;
                                                                                                v138 = v178 - 4;
                                                                                                *(int32_t *)v138 = v211 - 260;
                                                                                                g11 = v138;
                                                                                                g6 = v233 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                                function_46ac50();
                                                                                                g6 = -1;
                                                                                                v179 = g4;
                                                                                                g8 = v179 - 260;
                                                                                                g3 = *(int32_t *)(v179 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468df0
                                                                                                if (*(char *)(*v123 + 13) != 22) {
                                                                                                    // 0x468df9
                                                                                                    if (*(char *)(*v123 + 13) != 21) {
                                                                                                        // 0x468fad
                                                                                                        if (*(char *)(*v123 + 13) == 3) {
                                                                                                            // 0x468fba
                                                                                                            if (*(char *)(v211 - 240) == 0) {
                                                                                                                // 0x469000
                                                                                                                g6 = -1;
                                                                                                                g8 = v211 - 260;
                                                                                                                g3 = *(int32_t *)(v211 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                                function_4673b4();
                                                                                                                *(int32_t *)(g4 - 28) = g3;
                                                                                                                v189 = g4;
                                                                                                                g8 = v189 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                                function_46a30c();
                                                                                                                v221 = g4;
                                                                                                                *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                                v222 = g4;
                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                                g6 = v222 - 324;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                                function_46b0d8();
                                                                                                                g6 = -1;
                                                                                                                v190 = g4;
                                                                                                                g8 = v190 - 324;
                                                                                                                g3 = *(int32_t *)(v190 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x46937f
                                                                                                            } else {
                                                                                                                // 0x468fc3
                                                                                                                *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                                v220 = g4;
                                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                                g6 = v220 - 260;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                                function_46b0d8();
                                                                                                                *(int32_t *)(g4 - 260) = -1;
                                                                                                                g6 = -1;
                                                                                                                v188 = g4;
                                                                                                                g8 = v188 - 260;
                                                                                                                g3 = *(int32_t *)(v188 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x46937f
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        } else {
                                                                                                            // 0x469058
                                                                                                            v247 = *v123;
                                                                                                            v132 = v247;
                                                                                                            if (*(char *)(v247 + 13) != 4) {
                                                                                                                // 0x469061
                                                                                                                v248 = *v123;
                                                                                                                v132 = v248;
                                                                                                                if (*(char *)(v248 + 13) != 5) {
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x46906e
                                                                                                            v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                            *v127 = *v127 - 1;
                                                                                                            v223 = v132;
                                                                                                            v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                            g11 -= *(int32_t *)g5;
                                                                                                            v128 = (char *)v145;
                                                                                                            *v128 = (char)((int32_t)*v128 + v145);
                                                                                                            v191 = g4;
                                                                                                            g8 = v191 - 388;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                            function_46a30c();
                                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                            function_469fd8();
                                                                                                            *(int32_t *)(g4 - 372) = g3;
                                                                                                            *(int32_t *)(g4 - 388) = 5;
                                                                                                            v192 = g11;
                                                                                                            v141 = v192 - 4;
                                                                                                            *(int32_t *)v141 = g4 - 388;
                                                                                                            g11 = v141;
                                                                                                            v193 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                            *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                            function_46ae10();
                                                                                                            v194 = g4;
                                                                                                            g8 = *(int32_t *)(v194 - 324);
                                                                                                            g3 = *(int32_t *)(v194 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                            function_469e18();
                                                                                                            v224 = g4;
                                                                                                            if (*(char *)(*(int32_t *)(v224 - 4) + 0x1814) != 0) {
                                                                                                                // 0x469127
                                                                                                                if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                                    // 0x469131
                                                                                                                    // branch -> 0x469133
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x46912d
                                                                                                            // branch -> 0x469133
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x468e06
                                                                                                *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                                v180 = g4;
                                                                                                if (*(char *)(v180 - 240) == 0) {
                                                                                                    // 0x468e9d
                                                                                                    v124 = (int32_t *)(v180 - 20);
                                                                                                    v218 = v180;
                                                                                                    v232 = v233;
                                                                                                    if (*v124 == 1) {
                                                                                                        // 0x468ea3
                                                                                                        g6 = v180 - 484;
                                                                                                        g8 = *v124;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                        function_46b3dc();
                                                                                                        v181 = g4;
                                                                                                        g8 = v181 - 484;
                                                                                                        g3 = *(int32_t *)(v181 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                        function_469c8c();
                                                                                                        *(int32_t *)(g4 - 24) = g3;
                                                                                                        v182 = g4;
                                                                                                        g6 = v182 - 548;
                                                                                                        g8 = *(int32_t *)(v182 - 20);
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                        function_46b3dc();
                                                                                                        v183 = g11;
                                                                                                        v139 = v183 - 4;
                                                                                                        *(int32_t *)v139 = g4 - 548;
                                                                                                        g11 = v139;
                                                                                                        v215 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                        *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                        function_46ae10();
                                                                                                        v216 = g4;
                                                                                                        g8 = *(int32_t *)(v216 - 20);
                                                                                                        g3 = *(int32_t *)(v216 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                        function_469e18();
                                                                                                        v217 = g4;
                                                                                                        *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                        v218 = g4;
                                                                                                        v232 = g6 & -256 | 1;
                                                                                                        // branch -> 0x468f04
                                                                                                    }
                                                                                                    // 0x468f04
                                                                                                    v184 = v218;
                                                                                                    if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                        // 0x468f0d
                                                                                                        if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                            // 0x468f16
                                                                                                            v125 = (int32_t *)(v218 - 4);
                                                                                                            if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                                // 0x468f22
                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                g3 = *(int32_t *)(*v125 + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                                function_46b214();
                                                                                                                v184 = g4;
                                                                                                                // branch -> 0x468f2f
                                                                                                            } else {
                                                                                                                v184 = v218;
                                                                                                            }
                                                                                                        } else {
                                                                                                            v184 = v218;
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x468f2f
                                                                                                    v185 = g11;
                                                                                                    v140 = v185 - 4;
                                                                                                    *(int32_t *)v140 = v184 - 260;
                                                                                                    g11 = v140;
                                                                                                    g6 = v232 & -256 | 1;
                                                                                                    g8 = g8 & -256 | 1;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                                    function_46ae10();
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                    g8 = g8 & -256 | 211;
                                                                                                    *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                                    function_462278();
                                                                                                    v219 = g4;
                                                                                                    v246 = *(char *)(v219 - 20);
                                                                                                    v258 = g8 & -256;
                                                                                                    v253 = *(char *)(v219 - 16);
                                                                                                    g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                                    function_462278();
                                                                                                    v186 = g4;
                                                                                                    v187 = v186;
                                                                                                    if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                        // 0x468f75
                                                                                                        if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                            // 0x468f7e
                                                                                                            v126 = (int32_t *)(v186 - 4);
                                                                                                            if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                                // 0x468f8a
                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                g3 = *(int32_t *)(*v126 + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                                function_46b1f0();
                                                                                                                v187 = g4;
                                                                                                                // branch -> 0x468f97
                                                                                                            } else {
                                                                                                                v187 = v186;
                                                                                                            }
                                                                                                        } else {
                                                                                                            v187 = v186;
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x468f97
                                                                                                    g6 = -1;
                                                                                                    g8 = v187 - 260;
                                                                                                    g3 = *(int32_t *)(v187 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x46937f
                                                                                                } else {
                                                                                                    // 0x468e28
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                                    v236 = g8 & -256;
                                                                                                    if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                        // 0x468e31
                                                                                                        g8 = v236 | 209;
                                                                                                        *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                        function_462278();
                                                                                                        v212 = g4;
                                                                                                        v244 = *(char *)(v212 - 20);
                                                                                                        v256 = g8 & -256;
                                                                                                        v251 = *(char *)(v212 - 16);
                                                                                                        g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                        function_462278();
                                                                                                        // branch -> 0x46937f
                                                                                                    } else {
                                                                                                        // 0x468e5d
                                                                                                        g8 = v236 | 193;
                                                                                                        *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                        function_462278();
                                                                                                        v213 = g4;
                                                                                                        v245 = *(char *)(v213 - 20);
                                                                                                        v257 = g8 & -256;
                                                                                                        v252 = *(char *)(v213 - 16);
                                                                                                        g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                        function_462278();
                                                                                                        v214 = g4;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                        function_462278();
                                                                                                        // branch -> 0x46937f
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // 0x4688ce
                                                                v7 = NULL;
                                                                unknown_468108();
                                                                v146 = g4;
                                                                g6 = v146 - 196;
                                                                g8 = *(int32_t *)(*v122 + 4) & -256 | 3;
                                                                g3 = *(int32_t *)(v146 - 4);
                                                                function_463360();
                                                                v147 = g4;
                                                                g8 = v147 - 196;
                                                                g3 = *(int32_t *)(*(int32_t *)(v147 - 4) + 4);
                                                                function_46b59c();
                                                                g6 = -1;
                                                                v148 = g4;
                                                                g8 = v148 - 196;
                                                                g3 = *(int32_t *)(v148 - 4);
                                                                function_469f40();
                                                                v5 = NULL;
                                                                g6 = 0;
                                                                unknown_468108();
                                                                v149 = g4;
                                                                g8 = v149 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v149 - 4) + 4);
                                                                function_46ba4c();
                                                                v150 = g4;
                                                                g8 = v150 - 260;
                                                                g3 = *(int32_t *)(v150 - 4);
                                                                function_469f40();
                                                                v151 = g4;
                                                                g8 = v151 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v151 - 4) + 4);
                                                                function_46a30c();
                                                                v12 = (int32_t *)0x47800000;
                                                                g11 = (int32_t)&v12;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                function_463ffc();
                                                                *(int32_t *)(g4 - 244) = g3;
                                                                v152 = g4;
                                                                g8 = v152 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v152 - 4) + 4);
                                                                function_46b8e4();
                                                                v153 = g4;
                                                                g8 = v153 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v153 - 4) + 4);
                                                                function_46a30c();
                                                                *(int32_t *)(g4 - 260) = 5;
                                                                g3 = *(int32_t *)(g4 - 4);
                                                                function_469fd8();
                                                                *(int32_t *)(g4 - 244) = g3;
                                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                v204 = g4;
                                                                g8 = v204 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v204 - 4) + 4);
                                                                if (*(char *)(v204 - 37) == 3) {
                                                                    // 0x4689da
                                                                    function_46b614();
                                                                    *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                    // branch -> 0x469a51
                                                                } else {
                                                                    // 0x4689f7
                                                                    function_46b68c();
                                                                    *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                    // branch -> 0x469a51
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x468b68
                                                        v7 = NULL;
                                                        g11 = v4;
                                                        g6 = 0;
                                                        unknown_468108();
                                                        g8 = g4 - 196;
                                                        function_46a168();
                                                        v164 = g4;
                                                        if (g3 == 0) {
                                                            // 0x468bce
                                                            v206 = v164 - 196;
                                                            if (*(char *)(v164 - 176) == 0) {
                                                                // 0x468bd7
                                                                *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                // branch -> 0x468c1b
                                                            } else {
                                                                // 0x468be2
                                                                g8 = v206;
                                                                g3 = *(int32_t *)(v164 - 4);
                                                                function_469c8c();
                                                                *(int32_t *)(g4 - 20) = g3;
                                                                v165 = g4;
                                                                g11 = (int32_t)&v5;
                                                                g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                g6 = g6 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                function_46ae10();
                                                                g6 = -1;
                                                                v166 = g4;
                                                                g8 = v166 - 196;
                                                                g3 = *(int32_t *)(v166 - 4);
                                                                function_469f40();
                                                                // branch -> 0x468c1b
                                                            }
                                                            // 0x468c1b
                                                            v167 = g4;
                                                            if (*(char *)(v167 - 164) != 8) {
                                                                // 0x468c24
                                                                if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                    // 0x468c30
                                                                    g8 = g8 & -256 | 193;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                    *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                    function_462278();
                                                                    v207 = g4;
                                                                    v254 = g8 & -256;
                                                                    g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                    *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                    function_462278();
                                                                    g8 = g8 & -256 | 16;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                    *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                    function_462278();
                                                                    // branch -> 0x468c5b
                                                                }
                                                            }
                                                            // 0x468c5b
                                                            v208 = g11;
                                                            *(int32_t *)(v208 - 4) = 0;
                                                            v133 = v208 - 8;
                                                            *(int32_t *)v133 = g4 - 260;
                                                            g11 = v133;
                                                            g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                            *(int32_t *)(v208 - 12) = 0x468c74;
                                                            unknown_468108();
                                                            v168 = g4;
                                                            v211 = v168;
                                                            v233 = 0;
                                                            if (*(char *)(v168 - 228) != 8) {
                                                                // 0x468c7d
                                                                v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                if (*(char *)(v243 + 9) == 8) {
                                                                    // 0x468c89
                                                                    g8 = v168 - 260;
                                                                    g3 = *(int32_t *)(v168 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                    function_4673b4();
                                                                    *(int32_t *)(g4 - 28) = g3;
                                                                    g8 = g8 & -256 | 193;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                    *(int32_t *)(g11 - 4) = 0x468caa;
                                                                    function_462278();
                                                                    v209 = g4;
                                                                    v255 = g8 & -256;
                                                                    g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                    *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                    function_462278();
                                                                    g8 = g8 & -256 | 16;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                    *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                    function_462278();
                                                                    v169 = g4;
                                                                    g8 = v169 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                    *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                    function_46a30c();
                                                                    v210 = g4;
                                                                    *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                    v211 = g4;
                                                                    v233 = -1;
                                                                    // branch -> 0x468ce2
                                                                } else {
                                                                    v211 = v168;
                                                                    v233 = 0;
                                                                }
                                                            }
                                                            // 0x468ce2
                                                            v123 = (int32_t *)(v211 - 8);
                                                            if (*(char *)(*v123 + 13) == 0) {
                                                                // 0x468ceb
                                                                v170 = g11;
                                                                v134 = v170 - 4;
                                                                *(int32_t *)v134 = v211 - 260;
                                                                g11 = v134;
                                                                g6 = v233 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                *(int32_t *)(v170 - 8) = 0x468d02;
                                                                function_46aa40();
                                                                g6 = -1;
                                                                v171 = g4;
                                                                g8 = v171 - 260;
                                                                g3 = *(int32_t *)(v171 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x468d13;
                                                                function_469f40();
                                                                // branch -> 0x46937f
                                                            } else {
                                                                // 0x468d18
                                                                if (*(char *)(*v123 + 13) == 1) {
                                                                    // 0x468d21
                                                                    v172 = g11;
                                                                    v135 = v172 - 4;
                                                                    *(int32_t *)v135 = v211 - 260;
                                                                    g11 = v135;
                                                                    g6 = v233 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                    *(int32_t *)(v172 - 8) = 0x468d38;
                                                                    function_46aac4();
                                                                    g6 = -1;
                                                                    v173 = g4;
                                                                    g8 = v173 - 260;
                                                                    g3 = *(int32_t *)(v173 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x468d49;
                                                                    function_469f40();
                                                                    // branch -> 0x46937f
                                                                } else {
                                                                    // 0x468d4e
                                                                    if (*(char *)(*v123 + 13) == 18) {
                                                                        // 0x468d57
                                                                        v174 = g11;
                                                                        v136 = v174 - 4;
                                                                        *(int32_t *)v136 = v211 - 260;
                                                                        g11 = v136;
                                                                        g6 = v233 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                        *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                        function_46ab48();
                                                                        g6 = -1;
                                                                        v175 = g4;
                                                                        g8 = v175 - 260;
                                                                        g3 = *(int32_t *)(v175 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                        function_469f40();
                                                                        // branch -> 0x46937f
                                                                    } else {
                                                                        // 0x468d84
                                                                        if (*(char *)(*v123 + 13) == 19) {
                                                                            // 0x468d8d
                                                                            v176 = g11;
                                                                            v137 = v176 - 4;
                                                                            *(int32_t *)v137 = v211 - 260;
                                                                            g11 = v137;
                                                                            g6 = v233 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v176 - 8) = 0x468da4;
                                                                            function_46abcc();
                                                                            g6 = -1;
                                                                            v177 = g4;
                                                                            g8 = v177 - 260;
                                                                            g3 = *(int32_t *)(v177 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468db5;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468dba
                                                                            if (*(char *)(*v123 + 13) == 20) {
                                                                                // 0x468dc3
                                                                                v178 = g11;
                                                                                v138 = v178 - 4;
                                                                                *(int32_t *)v138 = v211 - 260;
                                                                                g11 = v138;
                                                                                g6 = v233 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                function_46ac50();
                                                                                g6 = -1;
                                                                                v179 = g4;
                                                                                g8 = v179 - 260;
                                                                                g3 = *(int32_t *)(v179 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468df0
                                                                                if (*(char *)(*v123 + 13) != 22) {
                                                                                    // 0x468df9
                                                                                    if (*(char *)(*v123 + 13) != 21) {
                                                                                        // 0x468fad
                                                                                        if (*(char *)(*v123 + 13) == 3) {
                                                                                            // 0x468fba
                                                                                            if (*(char *)(v211 - 240) == 0) {
                                                                                                // 0x469000
                                                                                                g6 = -1;
                                                                                                g8 = v211 - 260;
                                                                                                g3 = *(int32_t *)(v211 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                function_4673b4();
                                                                                                *(int32_t *)(g4 - 28) = g3;
                                                                                                v189 = g4;
                                                                                                g8 = v189 - 324;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                function_46a30c();
                                                                                                v221 = g4;
                                                                                                *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                v222 = g4;
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                g6 = v222 - 324;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                function_46b0d8();
                                                                                                g6 = -1;
                                                                                                v190 = g4;
                                                                                                g8 = v190 - 324;
                                                                                                g3 = *(int32_t *)(v190 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468fc3
                                                                                                *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                v220 = g4;
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                g6 = v220 - 260;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                function_46b0d8();
                                                                                                *(int32_t *)(g4 - 260) = -1;
                                                                                                g6 = -1;
                                                                                                v188 = g4;
                                                                                                g8 = v188 - 260;
                                                                                                g3 = *(int32_t *)(v188 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            // 0x469058
                                                                                            v247 = *v123;
                                                                                            v132 = v247;
                                                                                            if (*(char *)(v247 + 13) != 4) {
                                                                                                // 0x469061
                                                                                                v248 = *v123;
                                                                                                v132 = v248;
                                                                                                if (*(char *)(v248 + 13) != 5) {
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x46906e
                                                                                            v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                            *v127 = *v127 - 1;
                                                                                            v223 = v132;
                                                                                            v145 = v223 - 24 & 255 | v223 & -256;
                                                                                            g11 -= *(int32_t *)g5;
                                                                                            v128 = (char *)v145;
                                                                                            *v128 = (char)((int32_t)*v128 + v145);
                                                                                            v191 = g4;
                                                                                            g8 = v191 - 388;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                            function_46a30c();
                                                                                            g3 = *(int32_t *)(g4 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                            function_469fd8();
                                                                                            *(int32_t *)(g4 - 372) = g3;
                                                                                            *(int32_t *)(g4 - 388) = 5;
                                                                                            v192 = g11;
                                                                                            v141 = v192 - 4;
                                                                                            *(int32_t *)v141 = g4 - 388;
                                                                                            g11 = v141;
                                                                                            v193 = g4;
                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                            *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                            function_46ae10();
                                                                                            v194 = g4;
                                                                                            g8 = *(int32_t *)(v194 - 324);
                                                                                            g3 = *(int32_t *)(v194 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469102;
                                                                                            function_469e18();
                                                                                            v224 = g4;
                                                                                            if (*(char *)(*(int32_t *)(v224 - 4) + 0x1814) != 0) {
                                                                                                // 0x469127
                                                                                                if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                    // 0x469131
                                                                                                    // branch -> 0x469133
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x46912d
                                                                                            // branch -> 0x469133
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x468e06
                                                                                *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                v180 = g4;
                                                                                if (*(char *)(v180 - 240) == 0) {
                                                                                    // 0x468e9d
                                                                                    v124 = (int32_t *)(v180 - 20);
                                                                                    v218 = v180;
                                                                                    v232 = v233;
                                                                                    if (*v124 == 1) {
                                                                                        // 0x468ea3
                                                                                        g6 = v180 - 484;
                                                                                        g8 = *v124;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                        function_46b3dc();
                                                                                        v181 = g4;
                                                                                        g8 = v181 - 484;
                                                                                        g3 = *(int32_t *)(v181 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                        function_469c8c();
                                                                                        *(int32_t *)(g4 - 24) = g3;
                                                                                        v182 = g4;
                                                                                        g6 = v182 - 548;
                                                                                        g8 = *(int32_t *)(v182 - 20);
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                        function_46b3dc();
                                                                                        v183 = g11;
                                                                                        v139 = v183 - 4;
                                                                                        *(int32_t *)v139 = g4 - 548;
                                                                                        g11 = v139;
                                                                                        v215 = g4;
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                        *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                        function_46ae10();
                                                                                        v216 = g4;
                                                                                        g8 = *(int32_t *)(v216 - 20);
                                                                                        g3 = *(int32_t *)(v216 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                        function_469e18();
                                                                                        v217 = g4;
                                                                                        *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                        v218 = g4;
                                                                                        v232 = g6 & -256 | 1;
                                                                                        // branch -> 0x468f04
                                                                                    }
                                                                                    // 0x468f04
                                                                                    v184 = v218;
                                                                                    if (*(int32_t *)(v218 - 260) != 1) {
                                                                                        // 0x468f0d
                                                                                        if (*(int32_t *)(v218 - 252) != 1) {
                                                                                            // 0x468f16
                                                                                            v125 = (int32_t *)(v218 - 4);
                                                                                            if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                // 0x468f22
                                                                                                g8 = g8 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*v125 + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                function_46b214();
                                                                                                v184 = g4;
                                                                                                // branch -> 0x468f2f
                                                                                            } else {
                                                                                                v184 = v218;
                                                                                            }
                                                                                        } else {
                                                                                            v184 = v218;
                                                                                        }
                                                                                    }
                                                                                    // 0x468f2f
                                                                                    v185 = g11;
                                                                                    v140 = v185 - 4;
                                                                                    *(int32_t *)v140 = v184 - 260;
                                                                                    g11 = v140;
                                                                                    g6 = v232 & -256 | 1;
                                                                                    g8 = g8 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                    function_46ae10();
                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                    g8 = g8 & -256 | 211;
                                                                                    *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                    function_462278();
                                                                                    v219 = g4;
                                                                                    v246 = *(char *)(v219 - 20);
                                                                                    v258 = g8 & -256;
                                                                                    v253 = *(char *)(v219 - 16);
                                                                                    g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                    function_462278();
                                                                                    v186 = g4;
                                                                                    v187 = v186;
                                                                                    if (*(int32_t *)(v186 - 260) != 1) {
                                                                                        // 0x468f75
                                                                                        if (*(int32_t *)(v186 - 252) != 1) {
                                                                                            // 0x468f7e
                                                                                            v126 = (int32_t *)(v186 - 4);
                                                                                            if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                // 0x468f8a
                                                                                                g8 = g8 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*v126 + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                function_46b1f0();
                                                                                                v187 = g4;
                                                                                                // branch -> 0x468f97
                                                                                            } else {
                                                                                                v187 = v186;
                                                                                            }
                                                                                        } else {
                                                                                            v187 = v186;
                                                                                        }
                                                                                    }
                                                                                    // 0x468f97
                                                                                    g6 = -1;
                                                                                    g8 = v187 - 260;
                                                                                    g3 = *(int32_t *)(v187 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468e28
                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                    v236 = g8 & -256;
                                                                                    if (*(int32_t *)(v180 - 236) == 1) {
                                                                                        // 0x468e31
                                                                                        g8 = v236 | 209;
                                                                                        *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                        function_462278();
                                                                                        v212 = g4;
                                                                                        v244 = *(char *)(v212 - 20);
                                                                                        v256 = g8 & -256;
                                                                                        v251 = *(char *)(v212 - 16);
                                                                                        g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                        function_462278();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468e5d
                                                                                        g8 = v236 | 193;
                                                                                        *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                        function_462278();
                                                                                        v213 = g4;
                                                                                        v245 = *(char *)(v213 - 20);
                                                                                        v257 = g8 & -256;
                                                                                        v252 = *(char *)(v213 - 16);
                                                                                        g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                        function_462278();
                                                                                        v214 = g4;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                        *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                        function_462278();
                                                                                        // branch -> 0x46937f
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            // 0x468b93
                                                            g8 = v164 - 196;
                                                            g3 = *(int32_t *)(v164 - 4);
                                                            function_469c8c();
                                                            *(int32_t *)(g4 - 20) = g3;
                                                            v162 = g4;
                                                            g11 = (int32_t)&v5;
                                                            g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                            g6 = g6 & -256 | 1;
                                                            g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                            function_46ae10();
                                                            g6 = -1;
                                                            v163 = g4;
                                                            g8 = v163 - 196;
                                                            g3 = *(int32_t *)(v163 - 4);
                                                            function_469f40();
                                                            // branch -> 0x468c1b
                                                        }
                                                        // 0x468c1b
                                                        v167 = g4;
                                                        if (*(char *)(v167 - 164) != 8) {
                                                            // 0x468c24
                                                            if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                // 0x468c30
                                                                g8 = g8 & -256 | 193;
                                                                g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                function_462278();
                                                                v207 = g4;
                                                                v254 = g8 & -256;
                                                                g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                function_462278();
                                                                g8 = g8 & -256 | 16;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                function_462278();
                                                                // branch -> 0x468c5b
                                                            }
                                                        }
                                                        // 0x468c5b
                                                        v208 = g11;
                                                        *(int32_t *)(v208 - 4) = 0;
                                                        v133 = v208 - 8;
                                                        *(int32_t *)v133 = g4 - 260;
                                                        g11 = v133;
                                                        g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                        *(int32_t *)(v208 - 12) = 0x468c74;
                                                        unknown_468108();
                                                        v168 = g4;
                                                        v211 = v168;
                                                        v233 = 0;
                                                        if (*(char *)(v168 - 228) != 8) {
                                                            // 0x468c7d
                                                            v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                            if (*(char *)(v243 + 9) == 8) {
                                                                // 0x468c89
                                                                g8 = v168 - 260;
                                                                g3 = *(int32_t *)(v168 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                function_4673b4();
                                                                *(int32_t *)(g4 - 28) = g3;
                                                                g8 = g8 & -256 | 193;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x468caa;
                                                                function_462278();
                                                                v209 = g4;
                                                                v255 = g8 & -256;
                                                                g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                function_462278();
                                                                g8 = g8 & -256 | 16;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                function_462278();
                                                                v169 = g4;
                                                                g8 = v169 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                function_46a30c();
                                                                v210 = g4;
                                                                *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                v211 = g4;
                                                                v233 = -1;
                                                                // branch -> 0x468ce2
                                                            } else {
                                                                v211 = v168;
                                                                v233 = 0;
                                                            }
                                                        }
                                                        // 0x468ce2
                                                        v123 = (int32_t *)(v211 - 8);
                                                        if (*(char *)(*v123 + 13) == 0) {
                                                            // 0x468ceb
                                                            v170 = g11;
                                                            v134 = v170 - 4;
                                                            *(int32_t *)v134 = v211 - 260;
                                                            g11 = v134;
                                                            g6 = v233 & -256 | 1;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                            *(int32_t *)(v170 - 8) = 0x468d02;
                                                            function_46aa40();
                                                            g6 = -1;
                                                            v171 = g4;
                                                            g8 = v171 - 260;
                                                            g3 = *(int32_t *)(v171 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x468d13;
                                                            function_469f40();
                                                            // branch -> 0x46937f
                                                        } else {
                                                            // 0x468d18
                                                            if (*(char *)(*v123 + 13) == 1) {
                                                                // 0x468d21
                                                                v172 = g11;
                                                                v135 = v172 - 4;
                                                                *(int32_t *)v135 = v211 - 260;
                                                                g11 = v135;
                                                                g6 = v233 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                *(int32_t *)(v172 - 8) = 0x468d38;
                                                                function_46aac4();
                                                                g6 = -1;
                                                                v173 = g4;
                                                                g8 = v173 - 260;
                                                                g3 = *(int32_t *)(v173 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x468d49;
                                                                function_469f40();
                                                                // branch -> 0x46937f
                                                            } else {
                                                                // 0x468d4e
                                                                if (*(char *)(*v123 + 13) == 18) {
                                                                    // 0x468d57
                                                                    v174 = g11;
                                                                    v136 = v174 - 4;
                                                                    *(int32_t *)v136 = v211 - 260;
                                                                    g11 = v136;
                                                                    g6 = v233 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                    *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                    function_46ab48();
                                                                    g6 = -1;
                                                                    v175 = g4;
                                                                    g8 = v175 - 260;
                                                                    g3 = *(int32_t *)(v175 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                    function_469f40();
                                                                    // branch -> 0x46937f
                                                                } else {
                                                                    // 0x468d84
                                                                    if (*(char *)(*v123 + 13) == 19) {
                                                                        // 0x468d8d
                                                                        v176 = g11;
                                                                        v137 = v176 - 4;
                                                                        *(int32_t *)v137 = v211 - 260;
                                                                        g11 = v137;
                                                                        g6 = v233 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                        *(int32_t *)(v176 - 8) = 0x468da4;
                                                                        function_46abcc();
                                                                        g6 = -1;
                                                                        v177 = g4;
                                                                        g8 = v177 - 260;
                                                                        g3 = *(int32_t *)(v177 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468db5;
                                                                        function_469f40();
                                                                        // branch -> 0x46937f
                                                                    } else {
                                                                        // 0x468dba
                                                                        if (*(char *)(*v123 + 13) == 20) {
                                                                            // 0x468dc3
                                                                            v178 = g11;
                                                                            v138 = v178 - 4;
                                                                            *(int32_t *)v138 = v211 - 260;
                                                                            g11 = v138;
                                                                            g6 = v233 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v178 - 8) = 0x468dda;
                                                                            function_46ac50();
                                                                            g6 = -1;
                                                                            v179 = g4;
                                                                            g8 = v179 - 260;
                                                                            g3 = *(int32_t *)(v179 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468deb;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468df0
                                                                            if (*(char *)(*v123 + 13) != 22) {
                                                                                // 0x468df9
                                                                                if (*(char *)(*v123 + 13) != 21) {
                                                                                    // 0x468fad
                                                                                    if (*(char *)(*v123 + 13) == 3) {
                                                                                        // 0x468fba
                                                                                        if (*(char *)(v211 - 240) == 0) {
                                                                                            // 0x469000
                                                                                            g6 = -1;
                                                                                            g8 = v211 - 260;
                                                                                            g3 = *(int32_t *)(v211 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469011;
                                                                                            function_4673b4();
                                                                                            *(int32_t *)(g4 - 28) = g3;
                                                                                            v189 = g4;
                                                                                            g8 = v189 - 324;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469025;
                                                                                            function_46a30c();
                                                                                            v221 = g4;
                                                                                            *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                            v222 = g4;
                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                            g6 = v222 - 324;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469042;
                                                                                            function_46b0d8();
                                                                                            g6 = -1;
                                                                                            v190 = g4;
                                                                                            g8 = v190 - 324;
                                                                                            g3 = *(int32_t *)(v190 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x469053;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468fc3
                                                                                            *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                            v220 = g4;
                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                            g6 = v220 - 260;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                            function_46b0d8();
                                                                                            *(int32_t *)(g4 - 260) = -1;
                                                                                            g6 = -1;
                                                                                            v188 = g4;
                                                                                            g8 = v188 - 260;
                                                                                            g3 = *(int32_t *)(v188 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        // 0x469058
                                                                                        v247 = *v123;
                                                                                        v132 = v247;
                                                                                        if (*(char *)(v247 + 13) != 4) {
                                                                                            // 0x469061
                                                                                            v248 = *v123;
                                                                                            v132 = v248;
                                                                                            if (*(char *)(v248 + 13) != 5) {
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x46906e
                                                                                        v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                        *v127 = *v127 - 1;
                                                                                        v223 = v132;
                                                                                        v145 = v223 - 24 & 255 | v223 & -256;
                                                                                        g11 -= *(int32_t *)g5;
                                                                                        v128 = (char *)v145;
                                                                                        *v128 = (char)((int32_t)*v128 + v145);
                                                                                        v191 = g4;
                                                                                        g8 = v191 - 388;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                        function_46a30c();
                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                        function_469fd8();
                                                                                        *(int32_t *)(g4 - 372) = g3;
                                                                                        *(int32_t *)(g4 - 388) = 5;
                                                                                        v192 = g11;
                                                                                        v141 = v192 - 4;
                                                                                        *(int32_t *)v141 = g4 - 388;
                                                                                        g11 = v141;
                                                                                        v193 = g4;
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                        *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                        function_46ae10();
                                                                                        v194 = g4;
                                                                                        g8 = *(int32_t *)(v194 - 324);
                                                                                        g3 = *(int32_t *)(v194 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469102;
                                                                                        function_469e18();
                                                                                        v224 = g4;
                                                                                        if (*(char *)(*(int32_t *)(v224 - 4) + 0x1814) != 0) {
                                                                                            // 0x469127
                                                                                            if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                // 0x469131
                                                                                                // branch -> 0x469133
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x46912d
                                                                                        // branch -> 0x469133
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x468e06
                                                                            *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                            v180 = g4;
                                                                            if (*(char *)(v180 - 240) == 0) {
                                                                                // 0x468e9d
                                                                                v124 = (int32_t *)(v180 - 20);
                                                                                v218 = v180;
                                                                                v232 = v233;
                                                                                if (*v124 == 1) {
                                                                                    // 0x468ea3
                                                                                    g6 = v180 - 484;
                                                                                    g8 = *v124;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                    function_46b3dc();
                                                                                    v181 = g4;
                                                                                    g8 = v181 - 484;
                                                                                    g3 = *(int32_t *)(v181 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                    function_469c8c();
                                                                                    *(int32_t *)(g4 - 24) = g3;
                                                                                    v182 = g4;
                                                                                    g6 = v182 - 548;
                                                                                    g8 = *(int32_t *)(v182 - 20);
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                    function_46b3dc();
                                                                                    v183 = g11;
                                                                                    v139 = v183 - 4;
                                                                                    *(int32_t *)v139 = g4 - 548;
                                                                                    g11 = v139;
                                                                                    v215 = g4;
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                    *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                    function_46ae10();
                                                                                    v216 = g4;
                                                                                    g8 = *(int32_t *)(v216 - 20);
                                                                                    g3 = *(int32_t *)(v216 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                    function_469e18();
                                                                                    v217 = g4;
                                                                                    *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                    v218 = g4;
                                                                                    v232 = g6 & -256 | 1;
                                                                                    // branch -> 0x468f04
                                                                                }
                                                                                // 0x468f04
                                                                                v184 = v218;
                                                                                if (*(int32_t *)(v218 - 260) != 1) {
                                                                                    // 0x468f0d
                                                                                    if (*(int32_t *)(v218 - 252) != 1) {
                                                                                        // 0x468f16
                                                                                        v125 = (int32_t *)(v218 - 4);
                                                                                        if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                            // 0x468f22
                                                                                            g8 = g8 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*v125 + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                            function_46b214();
                                                                                            v184 = g4;
                                                                                            // branch -> 0x468f2f
                                                                                        } else {
                                                                                            v184 = v218;
                                                                                        }
                                                                                    } else {
                                                                                        v184 = v218;
                                                                                    }
                                                                                }
                                                                                // 0x468f2f
                                                                                v185 = g11;
                                                                                v140 = v185 - 4;
                                                                                *(int32_t *)v140 = v184 - 260;
                                                                                g11 = v140;
                                                                                g6 = v232 & -256 | 1;
                                                                                g8 = g8 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                function_46ae10();
                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                g8 = g8 & -256 | 211;
                                                                                *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                function_462278();
                                                                                v219 = g4;
                                                                                v246 = *(char *)(v219 - 20);
                                                                                v258 = g8 & -256;
                                                                                v253 = *(char *)(v219 - 16);
                                                                                g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                function_462278();
                                                                                v186 = g4;
                                                                                v187 = v186;
                                                                                if (*(int32_t *)(v186 - 260) != 1) {
                                                                                    // 0x468f75
                                                                                    if (*(int32_t *)(v186 - 252) != 1) {
                                                                                        // 0x468f7e
                                                                                        v126 = (int32_t *)(v186 - 4);
                                                                                        if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                            // 0x468f8a
                                                                                            g8 = g8 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*v126 + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                            function_46b1f0();
                                                                                            v187 = g4;
                                                                                            // branch -> 0x468f97
                                                                                        } else {
                                                                                            v187 = v186;
                                                                                        }
                                                                                    } else {
                                                                                        v187 = v186;
                                                                                    }
                                                                                }
                                                                                // 0x468f97
                                                                                g6 = -1;
                                                                                g8 = v187 - 260;
                                                                                g3 = *(int32_t *)(v187 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468e28
                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                v236 = g8 & -256;
                                                                                if (*(int32_t *)(v180 - 236) == 1) {
                                                                                    // 0x468e31
                                                                                    g8 = v236 | 209;
                                                                                    *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                    function_462278();
                                                                                    v212 = g4;
                                                                                    v244 = *(char *)(v212 - 20);
                                                                                    v256 = g8 & -256;
                                                                                    v251 = *(char *)(v212 - 16);
                                                                                    g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                    function_462278();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468e5d
                                                                                    g8 = v236 | 193;
                                                                                    *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                    function_462278();
                                                                                    v213 = g4;
                                                                                    v245 = *(char *)(v213 - 20);
                                                                                    v257 = g8 & -256;
                                                                                    v252 = *(char *)(v213 - 16);
                                                                                    g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                    function_462278();
                                                                                    v214 = g4;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                    *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                    function_462278();
                                                                                    // branch -> 0x46937f
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                }
                                            }
                                            // 0x468878
                                            g11 = (int32_t)&v7;
                                            g6 = *(int32_t *)(v203 - 12);
                                            g8 = *v122;
                                            g3 = *(int32_t *)(v203 - 4);
                                            function_462be0();
                                            // branch -> 0x4693c1
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                    }
                                    // 0x468833
                                    v202 = g4;
                                    v7 = (int32_t *)*(int32_t *)(v202 - 12);
                                    v121 = (int32_t *)(v202 - 8);
                                    g6 = *v121;
                                    g8 = (int32_t)*(char *)(*v121 + 13);
                                    g3 = *(int32_t *)(v202 - 4);
                                    function_4653e4();
                                    // branch -> 0x4693c1
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            } else {
                                // 0x468643
                                v299 = *(char *)(v287 + 12);
                                v7 = (int32_t *)((int32_t)v299 | v298 & -256);
                                g11 = (int32_t)&v7;
                                g8 = v287 - 132;
                                g6 = *v276;
                                g3 = *(int32_t *)(v287 - 4);
                                function_4660e0();
                                v288 = g4;
                                v300 = *(int32_t *)(*(int32_t *)(v288 - 8) + 44);
                                *(char *)(v288 - 100) = *(char *)(v300 + 9);
                                v289 = g4;
                                v301 = *(int32_t *)(*(int32_t *)(v289 - 8) + 44);
                                *(int32_t *)(v289 - 96) = *(int32_t *)(v301 + 40);
                                // branch -> 0x4693c1
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                } else {
                    // 0x4685a5
                    if (*(char *)(v275 + 8) == 0) {
                        // 0x4685b1
                        *(char *)(v116 - 72) = 1;
                        *(char *)(g4 - 71) = 1;
                        int32_t v310 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 8) + 44) + 4); // 0x4685c2
                        System__LStrLAsg((char *)v2, (char *)v310);
                        *(int32_t *)(g4 - 76) = 10;
                        // branch -> 0x468606
                    } else {
                        // 0x4685d3
                        if (*(char *)(*(int32_t *)(*v119 + 44) + 8) == 4) {
                            // 0x4685df
                            *(int32_t *)(v116 - 132) = 7;
                            int32_t v311 = g4; // 0x4685e9
                            int32_t v312 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v311 - 8) + 44) + 72); // 0x4685ef
                            *(int32_t *)(v311 - 116) = v312;
                            int32_t v313 = g4; // 0x4685f5
                            *(char *)(v313 - 128) = (char)(*(int32_t *)(v313 - 116) == 0);
                            *(int32_t *)(g4 - 96) = 1;
                            // branch -> 0x468606
                        }
                    }
                    // 0x468606
                    v284 = g4;
                    v295 = *(int32_t *)(*(int32_t *)(v284 - 8) + 44);
                    *(char *)(v284 - 100) = *(char *)(v295 + 9);
                    v285 = g4;
                    v296 = *(int32_t *)(*(int32_t *)(v285 - 8) + 44);
                    *(int32_t *)(v285 - 96) = *(int32_t *)(v296 + 40);
                    v286 = g4;
                    v297 = *(int32_t *)(*(int32_t *)(v286 - 8) + 44);
                    *(char *)(v286 - 92) = *(char *)(v297 + 99);
                    v287 = g4;
                    v276 = (int32_t *)(v287 - 8);
                    if (*(char *)(*v276 + 20) == 0) {
                        // 0x468808
                        v120 = (int32_t *)(g4 - 8);
                        if (*(char *)(*v120 + 12) == 3) {
                            // 0x468815
                            v237 = *v120;
                            g3 = (int32_t)*(char *)(v237 + 13) | v237 & -256;
                            function_459cb0();
                            if (g3 == 0) {
                                // 0x468824
                                v238 = *(int32_t *)(g4 - 8);
                                g3 = (int32_t)*(char *)(v238 + 13) | v238 & -256;
                                function_459d30();
                                if (g3 == 0) {
                                    // 0x468854
                                    v203 = g4;
                                    v122 = (int32_t *)(v203 - 8);
                                    v239 = *(int32_t *)(*v122 + 4);
                                    if (*(char *)(*(int32_t *)(v239 + 56) + 9) != 3) {
                                        // 0x468863
                                        v240 = *(int32_t *)(*v122 + 8);
                                        if (*(char *)(*(int32_t *)(v240 + 56) + 9) != 3) {
                                            // 0x468872
                                            if (*(char *)(v203 - 37) != 3) {
                                                // 0x468892
                                                v241 = *(int32_t *)(*v122 + 4);
                                                if (*(char *)(*(int32_t *)(v241 + 56) + 9) == 8) {
                                                    // 0x4688a5
                                                    v242 = *(int32_t *)(*v122 + 8);
                                                    if (*(char *)(*(int32_t *)(v242 + 56) + 9) == 8) {
                                                        // 0x4688b8
                                                        if (*(char *)(*v122 + 13) != 4) {
                                                            // 0x4688c1
                                                            if (*(char *)(*v122 + 13) != 5) {
                                                                // 0x468a14
                                                                if (*(char *)(*v122 + 13) == 3) {
                                                                    // 0x468a21
                                                                    v7 = NULL;
                                                                    g6 = 0;
                                                                    unknown_468108();
                                                                    v154 = g4;
                                                                    g8 = v154 - 196;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v154 - 4) + 4);
                                                                    function_46b59c();
                                                                    v155 = g4;
                                                                    g8 = v155 - 196;
                                                                    g3 = *(int32_t *)(v155 - 4);
                                                                    function_469f40();
                                                                    v156 = g4;
                                                                    g8 = v156 - 324;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v156 - 4) + 4);
                                                                    function_46a30c();
                                                                    v5 = (int32_t *)0x47800000;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                    function_463ffc();
                                                                    *(int32_t *)(g4 - 308) = g3;
                                                                    v157 = g4;
                                                                    g8 = v157 - 324;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v157 - 4) + 4);
                                                                    function_46b9d4();
                                                                    g11 = (int32_t)&v12;
                                                                    g6 = 0;
                                                                    unknown_468108();
                                                                    v158 = g4;
                                                                    g8 = v158 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v158 - 4) + 4);
                                                                    function_46b95c();
                                                                    g6 = -1;
                                                                    v159 = g4;
                                                                    g8 = v159 - 260;
                                                                    g3 = *(int32_t *)(v159 - 4);
                                                                    function_469f40();
                                                                    v160 = g4;
                                                                    g8 = v160 - 324;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v160 - 4) + 4);
                                                                    function_46b9d4();
                                                                    v161 = g4;
                                                                    g8 = v161 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v161 - 4) + 4);
                                                                    function_46a30c();
                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                    function_469fd8();
                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                    v205 = g4;
                                                                    g8 = v205 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v205 - 4) + 4);
                                                                    if (*(char *)(v205 - 37) == 3) {
                                                                        // 0x468b2e
                                                                        function_46b614();
                                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                        // branch -> 0x469a51
                                                                    } else {
                                                                        // 0x468b4b
                                                                        function_46b68c();
                                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                        // branch -> 0x469a51
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    // 0x468b68
                                                                    v7 = NULL;
                                                                    g11 = v4;
                                                                    g6 = 0;
                                                                    unknown_468108();
                                                                    g8 = g4 - 196;
                                                                    function_46a168();
                                                                    v164 = g4;
                                                                    if (g3 == 0) {
                                                                        // 0x468bce
                                                                        v206 = v164 - 196;
                                                                        if (*(char *)(v164 - 176) == 0) {
                                                                            // 0x468bd7
                                                                            *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                            // branch -> 0x468c1b
                                                                        } else {
                                                                            // 0x468be2
                                                                            g8 = v206;
                                                                            g3 = *(int32_t *)(v164 - 4);
                                                                            function_469c8c();
                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                            v165 = g4;
                                                                            g11 = (int32_t)&v5;
                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                            g6 = g6 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                            function_46ae10();
                                                                            g6 = -1;
                                                                            v166 = g4;
                                                                            g8 = v166 - 196;
                                                                            g3 = *(int32_t *)(v166 - 4);
                                                                            function_469f40();
                                                                            // branch -> 0x468c1b
                                                                        }
                                                                        // 0x468c1b
                                                                        v167 = g4;
                                                                        if (*(char *)(v167 - 164) != 8) {
                                                                            // 0x468c24
                                                                            if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                                // 0x468c30
                                                                                g8 = g8 & -256 | 193;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                                function_462278();
                                                                                v207 = g4;
                                                                                v254 = g8 & -256;
                                                                                g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                                function_462278();
                                                                                g8 = g8 & -256 | 16;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                                function_462278();
                                                                                // branch -> 0x468c5b
                                                                            }
                                                                        }
                                                                        // 0x468c5b
                                                                        v208 = g11;
                                                                        *(int32_t *)(v208 - 4) = 0;
                                                                        v133 = v208 - 8;
                                                                        *(int32_t *)v133 = g4 - 260;
                                                                        g11 = v133;
                                                                        g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                        *(int32_t *)(v208 - 12) = 0x468c74;
                                                                        unknown_468108();
                                                                        v168 = g4;
                                                                        v211 = v168;
                                                                        v233 = 0;
                                                                        if (*(char *)(v168 - 228) != 8) {
                                                                            // 0x468c7d
                                                                            v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                            if (*(char *)(v243 + 9) == 8) {
                                                                                // 0x468c89
                                                                                g8 = v168 - 260;
                                                                                g3 = *(int32_t *)(v168 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                                function_4673b4();
                                                                                *(int32_t *)(g4 - 28) = g3;
                                                                                g8 = g8 & -256 | 193;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468caa;
                                                                                function_462278();
                                                                                v209 = g4;
                                                                                v255 = g8 & -256;
                                                                                g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                                function_462278();
                                                                                g8 = g8 & -256 | 16;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                                function_462278();
                                                                                v169 = g4;
                                                                                g8 = v169 - 260;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                                function_46a30c();
                                                                                v210 = g4;
                                                                                *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                                v211 = g4;
                                                                                v233 = -1;
                                                                                // branch -> 0x468ce2
                                                                            } else {
                                                                                v211 = v168;
                                                                                v233 = 0;
                                                                            }
                                                                        }
                                                                        // 0x468ce2
                                                                        v123 = (int32_t *)(v211 - 8);
                                                                        if (*(char *)(*v123 + 13) == 0) {
                                                                            // 0x468ceb
                                                                            v170 = g11;
                                                                            v134 = v170 - 4;
                                                                            *(int32_t *)v134 = v211 - 260;
                                                                            g11 = v134;
                                                                            g6 = v233 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v170 - 8) = 0x468d02;
                                                                            function_46aa40();
                                                                            g6 = -1;
                                                                            v171 = g4;
                                                                            g8 = v171 - 260;
                                                                            g3 = *(int32_t *)(v171 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468d13;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468d18
                                                                            if (*(char *)(*v123 + 13) == 1) {
                                                                                // 0x468d21
                                                                                v172 = g11;
                                                                                v135 = v172 - 4;
                                                                                *(int32_t *)v135 = v211 - 260;
                                                                                g11 = v135;
                                                                                g6 = v233 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v172 - 8) = 0x468d38;
                                                                                function_46aac4();
                                                                                g6 = -1;
                                                                                v173 = g4;
                                                                                g8 = v173 - 260;
                                                                                g3 = *(int32_t *)(v173 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468d49;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468d4e
                                                                                if (*(char *)(*v123 + 13) == 18) {
                                                                                    // 0x468d57
                                                                                    v174 = g11;
                                                                                    v136 = v174 - 4;
                                                                                    *(int32_t *)v136 = v211 - 260;
                                                                                    g11 = v136;
                                                                                    g6 = v233 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                    function_46ab48();
                                                                                    g6 = -1;
                                                                                    v175 = g4;
                                                                                    g8 = v175 - 260;
                                                                                    g3 = *(int32_t *)(v175 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468d84
                                                                                    if (*(char *)(*v123 + 13) == 19) {
                                                                                        // 0x468d8d
                                                                                        v176 = g11;
                                                                                        v137 = v176 - 4;
                                                                                        *(int32_t *)v137 = v211 - 260;
                                                                                        g11 = v137;
                                                                                        g6 = v233 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                        function_46abcc();
                                                                                        g6 = -1;
                                                                                        v177 = g4;
                                                                                        g8 = v177 - 260;
                                                                                        g3 = *(int32_t *)(v177 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468dba
                                                                                        if (*(char *)(*v123 + 13) == 20) {
                                                                                            // 0x468dc3
                                                                                            v178 = g11;
                                                                                            v138 = v178 - 4;
                                                                                            *(int32_t *)v138 = v211 - 260;
                                                                                            g11 = v138;
                                                                                            g6 = v233 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                            function_46ac50();
                                                                                            g6 = -1;
                                                                                            v179 = g4;
                                                                                            g8 = v179 - 260;
                                                                                            g3 = *(int32_t *)(v179 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468df0
                                                                                            if (*(char *)(*v123 + 13) != 22) {
                                                                                                // 0x468df9
                                                                                                if (*(char *)(*v123 + 13) != 21) {
                                                                                                    // 0x468fad
                                                                                                    if (*(char *)(*v123 + 13) == 3) {
                                                                                                        // 0x468fba
                                                                                                        if (*(char *)(v211 - 240) == 0) {
                                                                                                            // 0x469000
                                                                                                            g6 = -1;
                                                                                                            g8 = v211 - 260;
                                                                                                            g3 = *(int32_t *)(v211 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                            function_4673b4();
                                                                                                            *(int32_t *)(g4 - 28) = g3;
                                                                                                            v189 = g4;
                                                                                                            g8 = v189 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                            function_46a30c();
                                                                                                            v221 = g4;
                                                                                                            *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                            v222 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                            g6 = v222 - 324;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                            function_46b0d8();
                                                                                                            g6 = -1;
                                                                                                            v190 = g4;
                                                                                                            g8 = v190 - 324;
                                                                                                            g3 = *(int32_t *)(v190 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        } else {
                                                                                                            // 0x468fc3
                                                                                                            *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                            v220 = g4;
                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                            g6 = v220 - 260;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                            function_46b0d8();
                                                                                                            *(int32_t *)(g4 - 260) = -1;
                                                                                                            g6 = -1;
                                                                                                            v188 = g4;
                                                                                                            g8 = v188 - 260;
                                                                                                            g3 = *(int32_t *)(v188 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x469058
                                                                                                        v247 = *v123;
                                                                                                        v132 = v247;
                                                                                                        if (*(char *)(v247 + 13) != 4) {
                                                                                                            // 0x469061
                                                                                                            v248 = *v123;
                                                                                                            v132 = v248;
                                                                                                            if (*(char *)(v248 + 13) != 5) {
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x46906e
                                                                                                        v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                        *v127 = *v127 - 1;
                                                                                                        v223 = v132;
                                                                                                        v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                        g11 -= *(int32_t *)g5;
                                                                                                        v128 = (char *)v145;
                                                                                                        *v128 = (char)((int32_t)*v128 + v145);
                                                                                                        v191 = g4;
                                                                                                        g8 = v191 - 388;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                        function_46a30c();
                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                        function_469fd8();
                                                                                                        *(int32_t *)(g4 - 372) = g3;
                                                                                                        *(int32_t *)(g4 - 388) = 5;
                                                                                                        v192 = g11;
                                                                                                        v141 = v192 - 4;
                                                                                                        *(int32_t *)v141 = g4 - 388;
                                                                                                        g11 = v141;
                                                                                                        v193 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                        *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                        function_46ae10();
                                                                                                        v194 = g4;
                                                                                                        g8 = *(int32_t *)(v194 - 324);
                                                                                                        g3 = *(int32_t *)(v194 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                        function_469e18();
                                                                                                        v224 = g4;
                                                                                                        if (*(char *)(*(int32_t *)(v224 - 4) + 0x1814) != 0) {
                                                                                                            // 0x469127
                                                                                                            if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                                // 0x469131
                                                                                                                // branch -> 0x469133
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x46912d
                                                                                                        // branch -> 0x469133
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x468e06
                                                                                            *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                            v180 = g4;
                                                                                            if (*(char *)(v180 - 240) == 0) {
                                                                                                // 0x468e9d
                                                                                                v124 = (int32_t *)(v180 - 20);
                                                                                                v218 = v180;
                                                                                                v232 = v233;
                                                                                                if (*v124 == 1) {
                                                                                                    // 0x468ea3
                                                                                                    g6 = v180 - 484;
                                                                                                    g8 = *v124;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                    function_46b3dc();
                                                                                                    v181 = g4;
                                                                                                    g8 = v181 - 484;
                                                                                                    g3 = *(int32_t *)(v181 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                    function_469c8c();
                                                                                                    *(int32_t *)(g4 - 24) = g3;
                                                                                                    v182 = g4;
                                                                                                    g6 = v182 - 548;
                                                                                                    g8 = *(int32_t *)(v182 - 20);
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                    function_46b3dc();
                                                                                                    v183 = g11;
                                                                                                    v139 = v183 - 4;
                                                                                                    *(int32_t *)v139 = g4 - 548;
                                                                                                    g11 = v139;
                                                                                                    v215 = g4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                    *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                    function_46ae10();
                                                                                                    v216 = g4;
                                                                                                    g8 = *(int32_t *)(v216 - 20);
                                                                                                    g3 = *(int32_t *)(v216 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                    function_469e18();
                                                                                                    v217 = g4;
                                                                                                    *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                    v218 = g4;
                                                                                                    v232 = g6 & -256 | 1;
                                                                                                    // branch -> 0x468f04
                                                                                                }
                                                                                                // 0x468f04
                                                                                                v184 = v218;
                                                                                                if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                    // 0x468f0d
                                                                                                    if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                        // 0x468f16
                                                                                                        v125 = (int32_t *)(v218 - 4);
                                                                                                        if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                            // 0x468f22
                                                                                                            g8 = g8 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*v125 + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                            function_46b214();
                                                                                                            v184 = g4;
                                                                                                            // branch -> 0x468f2f
                                                                                                        } else {
                                                                                                            v184 = v218;
                                                                                                        }
                                                                                                    } else {
                                                                                                        v184 = v218;
                                                                                                    }
                                                                                                }
                                                                                                // 0x468f2f
                                                                                                v185 = g11;
                                                                                                v140 = v185 - 4;
                                                                                                *(int32_t *)v140 = v184 - 260;
                                                                                                g11 = v140;
                                                                                                g6 = v232 & -256 | 1;
                                                                                                g8 = g8 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                                function_46ae10();
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                g8 = g8 & -256 | 211;
                                                                                                *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                                function_462278();
                                                                                                v219 = g4;
                                                                                                v246 = *(char *)(v219 - 20);
                                                                                                v258 = g8 & -256;
                                                                                                v253 = *(char *)(v219 - 16);
                                                                                                g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                                function_462278();
                                                                                                v186 = g4;
                                                                                                v187 = v186;
                                                                                                if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                    // 0x468f75
                                                                                                    if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                        // 0x468f7e
                                                                                                        v126 = (int32_t *)(v186 - 4);
                                                                                                        if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                            // 0x468f8a
                                                                                                            g8 = g8 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*v126 + 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                            function_46b1f0();
                                                                                                            v187 = g4;
                                                                                                            // branch -> 0x468f97
                                                                                                        } else {
                                                                                                            v187 = v186;
                                                                                                        }
                                                                                                    } else {
                                                                                                        v187 = v186;
                                                                                                    }
                                                                                                }
                                                                                                // 0x468f97
                                                                                                g6 = -1;
                                                                                                g8 = v187 - 260;
                                                                                                g3 = *(int32_t *)(v187 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468e28
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                                v236 = g8 & -256;
                                                                                                if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                    // 0x468e31
                                                                                                    g8 = v236 | 209;
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                    function_462278();
                                                                                                    v212 = g4;
                                                                                                    v244 = *(char *)(v212 - 20);
                                                                                                    v256 = g8 & -256;
                                                                                                    v251 = *(char *)(v212 - 16);
                                                                                                    g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                    function_462278();
                                                                                                    // branch -> 0x46937f
                                                                                                } else {
                                                                                                    // 0x468e5d
                                                                                                    g8 = v236 | 193;
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                    function_462278();
                                                                                                    v213 = g4;
                                                                                                    v245 = *(char *)(v213 - 20);
                                                                                                    v257 = g8 & -256;
                                                                                                    v252 = *(char *)(v213 - 16);
                                                                                                    g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                    function_462278();
                                                                                                    v214 = g4;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                    function_462278();
                                                                                                    // branch -> 0x46937f
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        // 0x468b93
                                                                        g8 = v164 - 196;
                                                                        g3 = *(int32_t *)(v164 - 4);
                                                                        function_469c8c();
                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                        v162 = g4;
                                                                        g11 = (int32_t)&v5;
                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                        g6 = g6 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                        function_46ae10();
                                                                        g6 = -1;
                                                                        v163 = g4;
                                                                        g8 = v163 - 196;
                                                                        g3 = *(int32_t *)(v163 - 4);
                                                                        function_469f40();
                                                                        // branch -> 0x468c1b
                                                                    }
                                                                    // 0x468c1b
                                                                    v167 = g4;
                                                                    if (*(char *)(v167 - 164) != 8) {
                                                                        // 0x468c24
                                                                        if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                            // 0x468c30
                                                                            g8 = g8 & -256 | 193;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                            function_462278();
                                                                            v207 = g4;
                                                                            v254 = g8 & -256;
                                                                            g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                            function_462278();
                                                                            g8 = g8 & -256 | 16;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                            function_462278();
                                                                            // branch -> 0x468c5b
                                                                        }
                                                                    }
                                                                    // 0x468c5b
                                                                    v208 = g11;
                                                                    *(int32_t *)(v208 - 4) = 0;
                                                                    v133 = v208 - 8;
                                                                    *(int32_t *)v133 = g4 - 260;
                                                                    g11 = v133;
                                                                    g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                    *(int32_t *)(v208 - 12) = 0x468c74;
                                                                    unknown_468108();
                                                                    v168 = g4;
                                                                    v211 = v168;
                                                                    v233 = 0;
                                                                    if (*(char *)(v168 - 228) != 8) {
                                                                        // 0x468c7d
                                                                        v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                        if (*(char *)(v243 + 9) == 8) {
                                                                            // 0x468c89
                                                                            g8 = v168 - 260;
                                                                            g3 = *(int32_t *)(v168 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                            function_4673b4();
                                                                            *(int32_t *)(g4 - 28) = g3;
                                                                            g8 = g8 & -256 | 193;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468caa;
                                                                            function_462278();
                                                                            v209 = g4;
                                                                            v255 = g8 & -256;
                                                                            g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                            function_462278();
                                                                            g8 = g8 & -256 | 16;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                            *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                            function_462278();
                                                                            v169 = g4;
                                                                            g8 = v169 - 260;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                            function_46a30c();
                                                                            v210 = g4;
                                                                            *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                            v211 = g4;
                                                                            v233 = -1;
                                                                            // branch -> 0x468ce2
                                                                        } else {
                                                                            v211 = v168;
                                                                            v233 = 0;
                                                                        }
                                                                    }
                                                                    // 0x468ce2
                                                                    v123 = (int32_t *)(v211 - 8);
                                                                    if (*(char *)(*v123 + 13) == 0) {
                                                                        // 0x468ceb
                                                                        v170 = g11;
                                                                        v134 = v170 - 4;
                                                                        *(int32_t *)v134 = v211 - 260;
                                                                        g11 = v134;
                                                                        g6 = v233 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                        *(int32_t *)(v170 - 8) = 0x468d02;
                                                                        function_46aa40();
                                                                        g6 = -1;
                                                                        v171 = g4;
                                                                        g8 = v171 - 260;
                                                                        g3 = *(int32_t *)(v171 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468d13;
                                                                        function_469f40();
                                                                        // branch -> 0x46937f
                                                                    } else {
                                                                        // 0x468d18
                                                                        if (*(char *)(*v123 + 13) == 1) {
                                                                            // 0x468d21
                                                                            v172 = g11;
                                                                            v135 = v172 - 4;
                                                                            *(int32_t *)v135 = v211 - 260;
                                                                            g11 = v135;
                                                                            g6 = v233 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v172 - 8) = 0x468d38;
                                                                            function_46aac4();
                                                                            g6 = -1;
                                                                            v173 = g4;
                                                                            g8 = v173 - 260;
                                                                            g3 = *(int32_t *)(v173 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468d49;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468d4e
                                                                            if (*(char *)(*v123 + 13) == 18) {
                                                                                // 0x468d57
                                                                                v174 = g11;
                                                                                v136 = v174 - 4;
                                                                                *(int32_t *)v136 = v211 - 260;
                                                                                g11 = v136;
                                                                                g6 = v233 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                function_46ab48();
                                                                                g6 = -1;
                                                                                v175 = g4;
                                                                                g8 = v175 - 260;
                                                                                g3 = *(int32_t *)(v175 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                function_469f40();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468d84
                                                                                if (*(char *)(*v123 + 13) == 19) {
                                                                                    // 0x468d8d
                                                                                    v176 = g11;
                                                                                    v137 = v176 - 4;
                                                                                    *(int32_t *)v137 = v211 - 260;
                                                                                    g11 = v137;
                                                                                    g6 = v233 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                    *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                    function_46abcc();
                                                                                    g6 = -1;
                                                                                    v177 = g4;
                                                                                    g8 = v177 - 260;
                                                                                    g3 = *(int32_t *)(v177 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468dba
                                                                                    if (*(char *)(*v123 + 13) == 20) {
                                                                                        // 0x468dc3
                                                                                        v178 = g11;
                                                                                        v138 = v178 - 4;
                                                                                        *(int32_t *)v138 = v211 - 260;
                                                                                        g11 = v138;
                                                                                        g6 = v233 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                        *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                        function_46ac50();
                                                                                        g6 = -1;
                                                                                        v179 = g4;
                                                                                        g8 = v179 - 260;
                                                                                        g3 = *(int32_t *)(v179 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468df0
                                                                                        if (*(char *)(*v123 + 13) != 22) {
                                                                                            // 0x468df9
                                                                                            if (*(char *)(*v123 + 13) != 21) {
                                                                                                // 0x468fad
                                                                                                if (*(char *)(*v123 + 13) == 3) {
                                                                                                    // 0x468fba
                                                                                                    if (*(char *)(v211 - 240) == 0) {
                                                                                                        // 0x469000
                                                                                                        g6 = -1;
                                                                                                        g8 = v211 - 260;
                                                                                                        g3 = *(int32_t *)(v211 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                        function_4673b4();
                                                                                                        *(int32_t *)(g4 - 28) = g3;
                                                                                                        v189 = g4;
                                                                                                        g8 = v189 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                        function_46a30c();
                                                                                                        v221 = g4;
                                                                                                        *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                        v222 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                        g6 = v222 - 324;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                        function_46b0d8();
                                                                                                        g6 = -1;
                                                                                                        v190 = g4;
                                                                                                        g8 = v190 - 324;
                                                                                                        g3 = *(int32_t *)(v190 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    } else {
                                                                                                        // 0x468fc3
                                                                                                        *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                        v220 = g4;
                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                        g6 = v220 - 260;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                        function_46b0d8();
                                                                                                        *(int32_t *)(g4 - 260) = -1;
                                                                                                        g6 = -1;
                                                                                                        v188 = g4;
                                                                                                        g8 = v188 - 260;
                                                                                                        g3 = *(int32_t *)(v188 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x469058
                                                                                                    v247 = *v123;
                                                                                                    v132 = v247;
                                                                                                    if (*(char *)(v247 + 13) != 4) {
                                                                                                        // 0x469061
                                                                                                        v248 = *v123;
                                                                                                        v132 = v248;
                                                                                                        if (*(char *)(v248 + 13) != 5) {
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x46906e
                                                                                                    v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                    *v127 = *v127 - 1;
                                                                                                    v223 = v132;
                                                                                                    v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                    g11 -= *(int32_t *)g5;
                                                                                                    v128 = (char *)v145;
                                                                                                    *v128 = (char)((int32_t)*v128 + v145);
                                                                                                    v191 = g4;
                                                                                                    g8 = v191 - 388;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                    function_46a30c();
                                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                    function_469fd8();
                                                                                                    *(int32_t *)(g4 - 372) = g3;
                                                                                                    *(int32_t *)(g4 - 388) = 5;
                                                                                                    v192 = g11;
                                                                                                    v141 = v192 - 4;
                                                                                                    *(int32_t *)v141 = g4 - 388;
                                                                                                    g11 = v141;
                                                                                                    v193 = g4;
                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                    *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                    function_46ae10();
                                                                                                    v194 = g4;
                                                                                                    g8 = *(int32_t *)(v194 - 324);
                                                                                                    g3 = *(int32_t *)(v194 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                    function_469e18();
                                                                                                    v224 = g4;
                                                                                                    if (*(char *)(*(int32_t *)(v224 - 4) + 0x1814) != 0) {
                                                                                                        // 0x469127
                                                                                                        if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                            // 0x469131
                                                                                                            // branch -> 0x469133
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x46912d
                                                                                                    // branch -> 0x469133
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x468e06
                                                                                        *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                        v180 = g4;
                                                                                        if (*(char *)(v180 - 240) == 0) {
                                                                                            // 0x468e9d
                                                                                            v124 = (int32_t *)(v180 - 20);
                                                                                            v218 = v180;
                                                                                            v232 = v233;
                                                                                            if (*v124 == 1) {
                                                                                                // 0x468ea3
                                                                                                g6 = v180 - 484;
                                                                                                g8 = *v124;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                function_46b3dc();
                                                                                                v181 = g4;
                                                                                                g8 = v181 - 484;
                                                                                                g3 = *(int32_t *)(v181 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                function_469c8c();
                                                                                                *(int32_t *)(g4 - 24) = g3;
                                                                                                v182 = g4;
                                                                                                g6 = v182 - 548;
                                                                                                g8 = *(int32_t *)(v182 - 20);
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                function_46b3dc();
                                                                                                v183 = g11;
                                                                                                v139 = v183 - 4;
                                                                                                *(int32_t *)v139 = g4 - 548;
                                                                                                g11 = v139;
                                                                                                v215 = g4;
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                function_46ae10();
                                                                                                v216 = g4;
                                                                                                g8 = *(int32_t *)(v216 - 20);
                                                                                                g3 = *(int32_t *)(v216 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                function_469e18();
                                                                                                v217 = g4;
                                                                                                *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                v218 = g4;
                                                                                                v232 = g6 & -256 | 1;
                                                                                                // branch -> 0x468f04
                                                                                            }
                                                                                            // 0x468f04
                                                                                            v184 = v218;
                                                                                            if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                // 0x468f0d
                                                                                                if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                    // 0x468f16
                                                                                                    v125 = (int32_t *)(v218 - 4);
                                                                                                    if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                        // 0x468f22
                                                                                                        g8 = g8 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*v125 + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                        function_46b214();
                                                                                                        v184 = g4;
                                                                                                        // branch -> 0x468f2f
                                                                                                    } else {
                                                                                                        v184 = v218;
                                                                                                    }
                                                                                                } else {
                                                                                                    v184 = v218;
                                                                                                }
                                                                                            }
                                                                                            // 0x468f2f
                                                                                            v185 = g11;
                                                                                            v140 = v185 - 4;
                                                                                            *(int32_t *)v140 = v184 - 260;
                                                                                            g11 = v140;
                                                                                            g6 = v232 & -256 | 1;
                                                                                            g8 = g8 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                            function_46ae10();
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                            g8 = g8 & -256 | 211;
                                                                                            *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                            function_462278();
                                                                                            v219 = g4;
                                                                                            v246 = *(char *)(v219 - 20);
                                                                                            v258 = g8 & -256;
                                                                                            v253 = *(char *)(v219 - 16);
                                                                                            g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                            function_462278();
                                                                                            v186 = g4;
                                                                                            v187 = v186;
                                                                                            if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                // 0x468f75
                                                                                                if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                    // 0x468f7e
                                                                                                    v126 = (int32_t *)(v186 - 4);
                                                                                                    if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                        // 0x468f8a
                                                                                                        g8 = g8 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*v126 + 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                        function_46b1f0();
                                                                                                        v187 = g4;
                                                                                                        // branch -> 0x468f97
                                                                                                    } else {
                                                                                                        v187 = v186;
                                                                                                    }
                                                                                                } else {
                                                                                                    v187 = v186;
                                                                                                }
                                                                                            }
                                                                                            // 0x468f97
                                                                                            g6 = -1;
                                                                                            g8 = v187 - 260;
                                                                                            g3 = *(int32_t *)(v187 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468e28
                                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                            v236 = g8 & -256;
                                                                                            if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                // 0x468e31
                                                                                                g8 = v236 | 209;
                                                                                                *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                function_462278();
                                                                                                v212 = g4;
                                                                                                v244 = *(char *)(v212 - 20);
                                                                                                v256 = g8 & -256;
                                                                                                v251 = *(char *)(v212 - 16);
                                                                                                g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                function_462278();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468e5d
                                                                                                g8 = v236 | 193;
                                                                                                *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                function_462278();
                                                                                                v213 = g4;
                                                                                                v245 = *(char *)(v213 - 20);
                                                                                                v257 = g8 & -256;
                                                                                                v252 = *(char *)(v213 - 16);
                                                                                                g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                function_462278();
                                                                                                v214 = g4;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                function_462278();
                                                                                                // branch -> 0x46937f
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x4688ce
                                                        v7 = NULL;
                                                        unknown_468108();
                                                        v146 = g4;
                                                        g6 = v146 - 196;
                                                        g8 = *(int32_t *)(*v122 + 4) & -256 | 3;
                                                        g3 = *(int32_t *)(v146 - 4);
                                                        function_463360();
                                                        v147 = g4;
                                                        g8 = v147 - 196;
                                                        g3 = *(int32_t *)(*(int32_t *)(v147 - 4) + 4);
                                                        function_46b59c();
                                                        g6 = -1;
                                                        v148 = g4;
                                                        g8 = v148 - 196;
                                                        g3 = *(int32_t *)(v148 - 4);
                                                        function_469f40();
                                                        v5 = NULL;
                                                        g6 = 0;
                                                        unknown_468108();
                                                        v149 = g4;
                                                        g8 = v149 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v149 - 4) + 4);
                                                        function_46ba4c();
                                                        v150 = g4;
                                                        g8 = v150 - 260;
                                                        g3 = *(int32_t *)(v150 - 4);
                                                        function_469f40();
                                                        v151 = g4;
                                                        g8 = v151 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v151 - 4) + 4);
                                                        function_46a30c();
                                                        v12 = (int32_t *)0x47800000;
                                                        g11 = (int32_t)&v12;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                        function_463ffc();
                                                        *(int32_t *)(g4 - 244) = g3;
                                                        v152 = g4;
                                                        g8 = v152 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v152 - 4) + 4);
                                                        function_46b8e4();
                                                        v153 = g4;
                                                        g8 = v153 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v153 - 4) + 4);
                                                        function_46a30c();
                                                        *(int32_t *)(g4 - 260) = 5;
                                                        g3 = *(int32_t *)(g4 - 4);
                                                        function_469fd8();
                                                        *(int32_t *)(g4 - 244) = g3;
                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                        v204 = g4;
                                                        g8 = v204 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v204 - 4) + 4);
                                                        if (*(char *)(v204 - 37) == 3) {
                                                            // 0x4689da
                                                            function_46b614();
                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                            // branch -> 0x469a51
                                                        } else {
                                                            // 0x4689f7
                                                            function_46b68c();
                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                            // branch -> 0x469a51
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                }
                                                // 0x468b68
                                                v7 = NULL;
                                                g11 = v4;
                                                g6 = 0;
                                                unknown_468108();
                                                g8 = g4 - 196;
                                                function_46a168();
                                                v164 = g4;
                                                if (g3 == 0) {
                                                    // 0x468bce
                                                    v206 = v164 - 196;
                                                    if (*(char *)(v164 - 176) == 0) {
                                                        // 0x468bd7
                                                        *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                        // branch -> 0x468c1b
                                                    } else {
                                                        // 0x468be2
                                                        g8 = v206;
                                                        g3 = *(int32_t *)(v164 - 4);
                                                        function_469c8c();
                                                        *(int32_t *)(g4 - 20) = g3;
                                                        v165 = g4;
                                                        g11 = (int32_t)&v5;
                                                        g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                        g6 = g6 & -256 | 1;
                                                        g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                        function_46ae10();
                                                        g6 = -1;
                                                        v166 = g4;
                                                        g8 = v166 - 196;
                                                        g3 = *(int32_t *)(v166 - 4);
                                                        function_469f40();
                                                        // branch -> 0x468c1b
                                                    }
                                                    // 0x468c1b
                                                    v167 = g4;
                                                    if (*(char *)(v167 - 164) != 8) {
                                                        // 0x468c24
                                                        if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                            // 0x468c30
                                                            g8 = g8 & -256 | 193;
                                                            g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x468c3d;
                                                            function_462278();
                                                            v207 = g4;
                                                            v254 = g8 & -256;
                                                            g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                            g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x468c4e;
                                                            function_462278();
                                                            g8 = g8 & -256 | 16;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x468c5b;
                                                            function_462278();
                                                            // branch -> 0x468c5b
                                                        }
                                                    }
                                                    // 0x468c5b
                                                    v208 = g11;
                                                    *(int32_t *)(v208 - 4) = 0;
                                                    v133 = v208 - 8;
                                                    *(int32_t *)v133 = g4 - 260;
                                                    g11 = v133;
                                                    g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                    *(int32_t *)(v208 - 12) = 0x468c74;
                                                    unknown_468108();
                                                    v168 = g4;
                                                    v211 = v168;
                                                    v233 = 0;
                                                    if (*(char *)(v168 - 228) != 8) {
                                                        // 0x468c7d
                                                        v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                        if (*(char *)(v243 + 9) == 8) {
                                                            // 0x468c89
                                                            g8 = v168 - 260;
                                                            g3 = *(int32_t *)(v168 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x468c9a;
                                                            function_4673b4();
                                                            *(int32_t *)(g4 - 28) = g3;
                                                            g8 = g8 & -256 | 193;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x468caa;
                                                            function_462278();
                                                            v209 = g4;
                                                            v255 = g8 & -256;
                                                            g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                            g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x468cbb;
                                                            function_462278();
                                                            g8 = g8 & -256 | 16;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                            *(int32_t *)(g11 - 4) = 0x468cc8;
                                                            function_462278();
                                                            v169 = g4;
                                                            g8 = v169 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                            *(int32_t *)(g11 - 4) = 0x468cd9;
                                                            function_46a30c();
                                                            v210 = g4;
                                                            *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                            v211 = g4;
                                                            v233 = -1;
                                                            // branch -> 0x468ce2
                                                        } else {
                                                            v211 = v168;
                                                            v233 = 0;
                                                        }
                                                    }
                                                    // 0x468ce2
                                                    v123 = (int32_t *)(v211 - 8);
                                                    if (*(char *)(*v123 + 13) == 0) {
                                                        // 0x468ceb
                                                        v170 = g11;
                                                        v134 = v170 - 4;
                                                        *(int32_t *)v134 = v211 - 260;
                                                        g11 = v134;
                                                        g6 = v233 & -256 | 1;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                        *(int32_t *)(v170 - 8) = 0x468d02;
                                                        function_46aa40();
                                                        g6 = -1;
                                                        v171 = g4;
                                                        g8 = v171 - 260;
                                                        g3 = *(int32_t *)(v171 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x468d13;
                                                        function_469f40();
                                                        // branch -> 0x46937f
                                                    } else {
                                                        // 0x468d18
                                                        if (*(char *)(*v123 + 13) == 1) {
                                                            // 0x468d21
                                                            v172 = g11;
                                                            v135 = v172 - 4;
                                                            *(int32_t *)v135 = v211 - 260;
                                                            g11 = v135;
                                                            g6 = v233 & -256 | 1;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                            *(int32_t *)(v172 - 8) = 0x468d38;
                                                            function_46aac4();
                                                            g6 = -1;
                                                            v173 = g4;
                                                            g8 = v173 - 260;
                                                            g3 = *(int32_t *)(v173 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x468d49;
                                                            function_469f40();
                                                            // branch -> 0x46937f
                                                        } else {
                                                            // 0x468d4e
                                                            if (*(char *)(*v123 + 13) == 18) {
                                                                // 0x468d57
                                                                v174 = g11;
                                                                v136 = v174 - 4;
                                                                *(int32_t *)v136 = v211 - 260;
                                                                g11 = v136;
                                                                g6 = v233 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                function_46ab48();
                                                                g6 = -1;
                                                                v175 = g4;
                                                                g8 = v175 - 260;
                                                                g3 = *(int32_t *)(v175 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                function_469f40();
                                                                // branch -> 0x46937f
                                                            } else {
                                                                // 0x468d84
                                                                if (*(char *)(*v123 + 13) == 19) {
                                                                    // 0x468d8d
                                                                    v176 = g11;
                                                                    v137 = v176 - 4;
                                                                    *(int32_t *)v137 = v211 - 260;
                                                                    g11 = v137;
                                                                    g6 = v233 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                    *(int32_t *)(v176 - 8) = 0x468da4;
                                                                    function_46abcc();
                                                                    g6 = -1;
                                                                    v177 = g4;
                                                                    g8 = v177 - 260;
                                                                    g3 = *(int32_t *)(v177 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x468db5;
                                                                    function_469f40();
                                                                    // branch -> 0x46937f
                                                                } else {
                                                                    // 0x468dba
                                                                    if (*(char *)(*v123 + 13) == 20) {
                                                                        // 0x468dc3
                                                                        v178 = g11;
                                                                        v138 = v178 - 4;
                                                                        *(int32_t *)v138 = v211 - 260;
                                                                        g11 = v138;
                                                                        g6 = v233 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                        *(int32_t *)(v178 - 8) = 0x468dda;
                                                                        function_46ac50();
                                                                        g6 = -1;
                                                                        v179 = g4;
                                                                        g8 = v179 - 260;
                                                                        g3 = *(int32_t *)(v179 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468deb;
                                                                        function_469f40();
                                                                        // branch -> 0x46937f
                                                                    } else {
                                                                        // 0x468df0
                                                                        if (*(char *)(*v123 + 13) != 22) {
                                                                            // 0x468df9
                                                                            if (*(char *)(*v123 + 13) != 21) {
                                                                                // 0x468fad
                                                                                if (*(char *)(*v123 + 13) == 3) {
                                                                                    // 0x468fba
                                                                                    if (*(char *)(v211 - 240) == 0) {
                                                                                        // 0x469000
                                                                                        g6 = -1;
                                                                                        g8 = v211 - 260;
                                                                                        g3 = *(int32_t *)(v211 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469011;
                                                                                        function_4673b4();
                                                                                        *(int32_t *)(g4 - 28) = g3;
                                                                                        v189 = g4;
                                                                                        g8 = v189 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469025;
                                                                                        function_46a30c();
                                                                                        v221 = g4;
                                                                                        *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                        v222 = g4;
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                        g6 = v222 - 324;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469042;
                                                                                        function_46b0d8();
                                                                                        g6 = -1;
                                                                                        v190 = g4;
                                                                                        g8 = v190 - 324;
                                                                                        g3 = *(int32_t *)(v190 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x469053;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    } else {
                                                                                        // 0x468fc3
                                                                                        *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                        v220 = g4;
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                        g6 = v220 - 260;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                        function_46b0d8();
                                                                                        *(int32_t *)(g4 - 260) = -1;
                                                                                        g6 = -1;
                                                                                        v188 = g4;
                                                                                        g8 = v188 - 260;
                                                                                        g3 = *(int32_t *)(v188 - 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                        function_469f40();
                                                                                        // branch -> 0x46937f
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                } else {
                                                                                    // 0x469058
                                                                                    v247 = *v123;
                                                                                    v132 = v247;
                                                                                    if (*(char *)(v247 + 13) != 4) {
                                                                                        // 0x469061
                                                                                        v248 = *v123;
                                                                                        v132 = v248;
                                                                                        if (*(char *)(v248 + 13) != 5) {
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x46906e
                                                                                    v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                    *v127 = *v127 - 1;
                                                                                    v223 = v132;
                                                                                    v145 = v223 - 24 & 255 | v223 & -256;
                                                                                    g11 -= *(int32_t *)g5;
                                                                                    v128 = (char *)v145;
                                                                                    *v128 = (char)((int32_t)*v128 + v145);
                                                                                    v191 = g4;
                                                                                    g8 = v191 - 388;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                    function_46a30c();
                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                    function_469fd8();
                                                                                    *(int32_t *)(g4 - 372) = g3;
                                                                                    *(int32_t *)(g4 - 388) = 5;
                                                                                    v192 = g11;
                                                                                    v141 = v192 - 4;
                                                                                    *(int32_t *)v141 = g4 - 388;
                                                                                    g11 = v141;
                                                                                    v193 = g4;
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                    *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                    function_46ae10();
                                                                                    v194 = g4;
                                                                                    g8 = *(int32_t *)(v194 - 324);
                                                                                    g3 = *(int32_t *)(v194 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469102;
                                                                                    function_469e18();
                                                                                    v224 = g4;
                                                                                    if (*(char *)(*(int32_t *)(v224 - 4) + 0x1814) != 0) {
                                                                                        // 0x469127
                                                                                        if (*(int32_t *)(v224 - 20) != 0) {
                                                                                            // 0x469131
                                                                                            // branch -> 0x469133
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x46912d
                                                                                    // branch -> 0x469133
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x468e06
                                                                        *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                        v180 = g4;
                                                                        if (*(char *)(v180 - 240) == 0) {
                                                                            // 0x468e9d
                                                                            v124 = (int32_t *)(v180 - 20);
                                                                            v218 = v180;
                                                                            v232 = v233;
                                                                            if (*v124 == 1) {
                                                                                // 0x468ea3
                                                                                g6 = v180 - 484;
                                                                                g8 = *v124;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                function_46b3dc();
                                                                                v181 = g4;
                                                                                g8 = v181 - 484;
                                                                                g3 = *(int32_t *)(v181 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                function_469c8c();
                                                                                *(int32_t *)(g4 - 24) = g3;
                                                                                v182 = g4;
                                                                                g6 = v182 - 548;
                                                                                g8 = *(int32_t *)(v182 - 20);
                                                                                g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                function_46b3dc();
                                                                                v183 = g11;
                                                                                v139 = v183 - 4;
                                                                                *(int32_t *)v139 = g4 - 548;
                                                                                g11 = v139;
                                                                                v215 = g4;
                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                function_46ae10();
                                                                                v216 = g4;
                                                                                g8 = *(int32_t *)(v216 - 20);
                                                                                g3 = *(int32_t *)(v216 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                function_469e18();
                                                                                v217 = g4;
                                                                                *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                v218 = g4;
                                                                                v232 = g6 & -256 | 1;
                                                                                // branch -> 0x468f04
                                                                            }
                                                                            // 0x468f04
                                                                            v184 = v218;
                                                                            if (*(int32_t *)(v218 - 260) != 1) {
                                                                                // 0x468f0d
                                                                                if (*(int32_t *)(v218 - 252) != 1) {
                                                                                    // 0x468f16
                                                                                    v125 = (int32_t *)(v218 - 4);
                                                                                    if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                        // 0x468f22
                                                                                        g8 = g8 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*v125 + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                        function_46b214();
                                                                                        v184 = g4;
                                                                                        // branch -> 0x468f2f
                                                                                    } else {
                                                                                        v184 = v218;
                                                                                    }
                                                                                } else {
                                                                                    v184 = v218;
                                                                                }
                                                                            }
                                                                            // 0x468f2f
                                                                            v185 = g11;
                                                                            v140 = v185 - 4;
                                                                            *(int32_t *)v140 = v184 - 260;
                                                                            g11 = v140;
                                                                            g6 = v232 & -256 | 1;
                                                                            g8 = g8 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                            *(int32_t *)(v185 - 8) = 0x468f45;
                                                                            function_46ae10();
                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                            g8 = g8 & -256 | 211;
                                                                            *(int32_t *)(g11 - 4) = 0x468f55;
                                                                            function_462278();
                                                                            v219 = g4;
                                                                            v246 = *(char *)(v219 - 20);
                                                                            v258 = g8 & -256;
                                                                            v253 = *(char *)(v219 - 16);
                                                                            g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                            function_462278();
                                                                            v186 = g4;
                                                                            v187 = v186;
                                                                            if (*(int32_t *)(v186 - 260) != 1) {
                                                                                // 0x468f75
                                                                                if (*(int32_t *)(v186 - 252) != 1) {
                                                                                    // 0x468f7e
                                                                                    v126 = (int32_t *)(v186 - 4);
                                                                                    if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                        // 0x468f8a
                                                                                        g8 = g8 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*v126 + 4);
                                                                                        *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                        function_46b1f0();
                                                                                        v187 = g4;
                                                                                        // branch -> 0x468f97
                                                                                    } else {
                                                                                        v187 = v186;
                                                                                    }
                                                                                } else {
                                                                                    v187 = v186;
                                                                                }
                                                                            }
                                                                            // 0x468f97
                                                                            g6 = -1;
                                                                            g8 = v187 - 260;
                                                                            g3 = *(int32_t *)(v187 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                            function_469f40();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468e28
                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                            v236 = g8 & -256;
                                                                            if (*(int32_t *)(v180 - 236) == 1) {
                                                                                // 0x468e31
                                                                                g8 = v236 | 209;
                                                                                *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                function_462278();
                                                                                v212 = g4;
                                                                                v244 = *(char *)(v212 - 20);
                                                                                v256 = g8 & -256;
                                                                                v251 = *(char *)(v212 - 16);
                                                                                g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                function_462278();
                                                                                // branch -> 0x46937f
                                                                            } else {
                                                                                // 0x468e5d
                                                                                g8 = v236 | 193;
                                                                                *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                function_462278();
                                                                                v213 = g4;
                                                                                v245 = *(char *)(v213 - 20);
                                                                                v257 = g8 & -256;
                                                                                v252 = *(char *)(v213 - 16);
                                                                                g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                function_462278();
                                                                                v214 = g4;
                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                function_462278();
                                                                                // branch -> 0x46937f
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                } else {
                                                    // 0x468b93
                                                    g8 = v164 - 196;
                                                    g3 = *(int32_t *)(v164 - 4);
                                                    function_469c8c();
                                                    *(int32_t *)(g4 - 20) = g3;
                                                    v162 = g4;
                                                    g11 = (int32_t)&v5;
                                                    g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                    g6 = g6 & -256 | 1;
                                                    g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                    function_46ae10();
                                                    g6 = -1;
                                                    v163 = g4;
                                                    g8 = v163 - 196;
                                                    g3 = *(int32_t *)(v163 - 4);
                                                    function_469f40();
                                                    // branch -> 0x468c1b
                                                }
                                                // 0x468c1b
                                                v167 = g4;
                                                if (*(char *)(v167 - 164) != 8) {
                                                    // 0x468c24
                                                    if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                        // 0x468c30
                                                        g8 = g8 & -256 | 193;
                                                        g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x468c3d;
                                                        function_462278();
                                                        v207 = g4;
                                                        v254 = g8 & -256;
                                                        g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                        g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x468c4e;
                                                        function_462278();
                                                        g8 = g8 & -256 | 16;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x468c5b;
                                                        function_462278();
                                                        // branch -> 0x468c5b
                                                    }
                                                }
                                                // 0x468c5b
                                                v208 = g11;
                                                *(int32_t *)(v208 - 4) = 0;
                                                v133 = v208 - 8;
                                                *(int32_t *)v133 = g4 - 260;
                                                g11 = v133;
                                                g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                *(int32_t *)(v208 - 12) = 0x468c74;
                                                unknown_468108();
                                                v168 = g4;
                                                v211 = v168;
                                                v233 = 0;
                                                if (*(char *)(v168 - 228) != 8) {
                                                    // 0x468c7d
                                                    v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                    if (*(char *)(v243 + 9) == 8) {
                                                        // 0x468c89
                                                        g8 = v168 - 260;
                                                        g3 = *(int32_t *)(v168 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x468c9a;
                                                        function_4673b4();
                                                        *(int32_t *)(g4 - 28) = g3;
                                                        g8 = g8 & -256 | 193;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x468caa;
                                                        function_462278();
                                                        v209 = g4;
                                                        v255 = g8 & -256;
                                                        g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                        g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x468cbb;
                                                        function_462278();
                                                        g8 = g8 & -256 | 16;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                        *(int32_t *)(g11 - 4) = 0x468cc8;
                                                        function_462278();
                                                        v169 = g4;
                                                        g8 = v169 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                        *(int32_t *)(g11 - 4) = 0x468cd9;
                                                        function_46a30c();
                                                        v210 = g4;
                                                        *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                        v211 = g4;
                                                        v233 = -1;
                                                        // branch -> 0x468ce2
                                                    } else {
                                                        v211 = v168;
                                                        v233 = 0;
                                                    }
                                                }
                                                // 0x468ce2
                                                v123 = (int32_t *)(v211 - 8);
                                                if (*(char *)(*v123 + 13) == 0) {
                                                    // 0x468ceb
                                                    v170 = g11;
                                                    v134 = v170 - 4;
                                                    *(int32_t *)v134 = v211 - 260;
                                                    g11 = v134;
                                                    g6 = v233 & -256 | 1;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                    *(int32_t *)(v170 - 8) = 0x468d02;
                                                    function_46aa40();
                                                    g6 = -1;
                                                    v171 = g4;
                                                    g8 = v171 - 260;
                                                    g3 = *(int32_t *)(v171 - 4);
                                                    *(int32_t *)(g11 - 4) = 0x468d13;
                                                    function_469f40();
                                                    // branch -> 0x46937f
                                                } else {
                                                    // 0x468d18
                                                    if (*(char *)(*v123 + 13) == 1) {
                                                        // 0x468d21
                                                        v172 = g11;
                                                        v135 = v172 - 4;
                                                        *(int32_t *)v135 = v211 - 260;
                                                        g11 = v135;
                                                        g6 = v233 & -256 | 1;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                        *(int32_t *)(v172 - 8) = 0x468d38;
                                                        function_46aac4();
                                                        g6 = -1;
                                                        v173 = g4;
                                                        g8 = v173 - 260;
                                                        g3 = *(int32_t *)(v173 - 4);
                                                        *(int32_t *)(g11 - 4) = 0x468d49;
                                                        function_469f40();
                                                        // branch -> 0x46937f
                                                    } else {
                                                        // 0x468d4e
                                                        if (*(char *)(*v123 + 13) == 18) {
                                                            // 0x468d57
                                                            v174 = g11;
                                                            v136 = v174 - 4;
                                                            *(int32_t *)v136 = v211 - 260;
                                                            g11 = v136;
                                                            g6 = v233 & -256 | 1;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                            *(int32_t *)(v174 - 8) = 0x468d6e;
                                                            function_46ab48();
                                                            g6 = -1;
                                                            v175 = g4;
                                                            g8 = v175 - 260;
                                                            g3 = *(int32_t *)(v175 - 4);
                                                            *(int32_t *)(g11 - 4) = 0x468d7f;
                                                            function_469f40();
                                                            // branch -> 0x46937f
                                                        } else {
                                                            // 0x468d84
                                                            if (*(char *)(*v123 + 13) == 19) {
                                                                // 0x468d8d
                                                                v176 = g11;
                                                                v137 = v176 - 4;
                                                                *(int32_t *)v137 = v211 - 260;
                                                                g11 = v137;
                                                                g6 = v233 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                *(int32_t *)(v176 - 8) = 0x468da4;
                                                                function_46abcc();
                                                                g6 = -1;
                                                                v177 = g4;
                                                                g8 = v177 - 260;
                                                                g3 = *(int32_t *)(v177 - 4);
                                                                *(int32_t *)(g11 - 4) = 0x468db5;
                                                                function_469f40();
                                                                // branch -> 0x46937f
                                                            } else {
                                                                // 0x468dba
                                                                if (*(char *)(*v123 + 13) == 20) {
                                                                    // 0x468dc3
                                                                    v178 = g11;
                                                                    v138 = v178 - 4;
                                                                    *(int32_t *)v138 = v211 - 260;
                                                                    g11 = v138;
                                                                    g6 = v233 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                    *(int32_t *)(v178 - 8) = 0x468dda;
                                                                    function_46ac50();
                                                                    g6 = -1;
                                                                    v179 = g4;
                                                                    g8 = v179 - 260;
                                                                    g3 = *(int32_t *)(v179 - 4);
                                                                    *(int32_t *)(g11 - 4) = 0x468deb;
                                                                    function_469f40();
                                                                    // branch -> 0x46937f
                                                                } else {
                                                                    // 0x468df0
                                                                    if (*(char *)(*v123 + 13) != 22) {
                                                                        // 0x468df9
                                                                        if (*(char *)(*v123 + 13) != 21) {
                                                                            // 0x468fad
                                                                            if (*(char *)(*v123 + 13) == 3) {
                                                                                // 0x468fba
                                                                                if (*(char *)(v211 - 240) == 0) {
                                                                                    // 0x469000
                                                                                    g6 = -1;
                                                                                    g8 = v211 - 260;
                                                                                    g3 = *(int32_t *)(v211 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469011;
                                                                                    function_4673b4();
                                                                                    *(int32_t *)(g4 - 28) = g3;
                                                                                    v189 = g4;
                                                                                    g8 = v189 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469025;
                                                                                    function_46a30c();
                                                                                    v221 = g4;
                                                                                    *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                    v222 = g4;
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                    g6 = v222 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469042;
                                                                                    function_46b0d8();
                                                                                    g6 = -1;
                                                                                    v190 = g4;
                                                                                    g8 = v190 - 324;
                                                                                    g3 = *(int32_t *)(v190 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x469053;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                } else {
                                                                                    // 0x468fc3
                                                                                    *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                    v220 = g4;
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                    g6 = v220 - 260;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                    function_46b0d8();
                                                                                    *(int32_t *)(g4 - 260) = -1;
                                                                                    g6 = -1;
                                                                                    v188 = g4;
                                                                                    g8 = v188 - 260;
                                                                                    g3 = *(int32_t *)(v188 - 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                    function_469f40();
                                                                                    // branch -> 0x46937f
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            } else {
                                                                                // 0x469058
                                                                                v247 = *v123;
                                                                                v132 = v247;
                                                                                if (*(char *)(v247 + 13) != 4) {
                                                                                    // 0x469061
                                                                                    v248 = *v123;
                                                                                    v132 = v248;
                                                                                    if (*(char *)(v248 + 13) != 5) {
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x46906e
                                                                                v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                *v127 = *v127 - 1;
                                                                                v223 = v132;
                                                                                v145 = v223 - 24 & 255 | v223 & -256;
                                                                                g11 -= *(int32_t *)g5;
                                                                                v128 = (char *)v145;
                                                                                *v128 = (char)((int32_t)*v128 + v145);
                                                                                v191 = g4;
                                                                                g8 = v191 - 388;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                function_46a30c();
                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                function_469fd8();
                                                                                *(int32_t *)(g4 - 372) = g3;
                                                                                *(int32_t *)(g4 - 388) = 5;
                                                                                v192 = g11;
                                                                                v141 = v192 - 4;
                                                                                *(int32_t *)v141 = g4 - 388;
                                                                                g11 = v141;
                                                                                v193 = g4;
                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                function_46ae10();
                                                                                v194 = g4;
                                                                                g8 = *(int32_t *)(v194 - 324);
                                                                                g3 = *(int32_t *)(v194 - 4);
                                                                                *(int32_t *)(g11 - 4) = 0x469102;
                                                                                function_469e18();
                                                                                v224 = g4;
                                                                                if (*(char *)(*(int32_t *)(v224 - 4) + 0x1814) != 0) {
                                                                                    // 0x469127
                                                                                    if (*(int32_t *)(v224 - 20) != 0) {
                                                                                        // 0x469131
                                                                                        // branch -> 0x469133
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x46912d
                                                                                // branch -> 0x469133
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // 0x468e06
                                                                    *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                    v180 = g4;
                                                                    if (*(char *)(v180 - 240) == 0) {
                                                                        // 0x468e9d
                                                                        v124 = (int32_t *)(v180 - 20);
                                                                        v218 = v180;
                                                                        v232 = v233;
                                                                        if (*v124 == 1) {
                                                                            // 0x468ea3
                                                                            g6 = v180 - 484;
                                                                            g8 = *v124;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                            function_46b3dc();
                                                                            v181 = g4;
                                                                            g8 = v181 - 484;
                                                                            g3 = *(int32_t *)(v181 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                            function_469c8c();
                                                                            *(int32_t *)(g4 - 24) = g3;
                                                                            v182 = g4;
                                                                            g6 = v182 - 548;
                                                                            g8 = *(int32_t *)(v182 - 20);
                                                                            g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468edc;
                                                                            function_46b3dc();
                                                                            v183 = g11;
                                                                            v139 = v183 - 4;
                                                                            *(int32_t *)v139 = g4 - 548;
                                                                            g11 = v139;
                                                                            v215 = g4;
                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                            g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                            *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                            function_46ae10();
                                                                            v216 = g4;
                                                                            g8 = *(int32_t *)(v216 - 20);
                                                                            g3 = *(int32_t *)(v216 - 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468efe;
                                                                            function_469e18();
                                                                            v217 = g4;
                                                                            *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                            v218 = g4;
                                                                            v232 = g6 & -256 | 1;
                                                                            // branch -> 0x468f04
                                                                        }
                                                                        // 0x468f04
                                                                        v184 = v218;
                                                                        if (*(int32_t *)(v218 - 260) != 1) {
                                                                            // 0x468f0d
                                                                            if (*(int32_t *)(v218 - 252) != 1) {
                                                                                // 0x468f16
                                                                                v125 = (int32_t *)(v218 - 4);
                                                                                if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                    // 0x468f22
                                                                                    g8 = g8 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*v125 + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                    function_46b214();
                                                                                    v184 = g4;
                                                                                    // branch -> 0x468f2f
                                                                                } else {
                                                                                    v184 = v218;
                                                                                }
                                                                            } else {
                                                                                v184 = v218;
                                                                            }
                                                                        }
                                                                        // 0x468f2f
                                                                        v185 = g11;
                                                                        v140 = v185 - 4;
                                                                        *(int32_t *)v140 = v184 - 260;
                                                                        g11 = v140;
                                                                        g6 = v232 & -256 | 1;
                                                                        g8 = g8 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                        *(int32_t *)(v185 - 8) = 0x468f45;
                                                                        function_46ae10();
                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                        g8 = g8 & -256 | 211;
                                                                        *(int32_t *)(g11 - 4) = 0x468f55;
                                                                        function_462278();
                                                                        v219 = g4;
                                                                        v246 = *(char *)(v219 - 20);
                                                                        v258 = g8 & -256;
                                                                        v253 = *(char *)(v219 - 16);
                                                                        g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                        function_462278();
                                                                        v186 = g4;
                                                                        v187 = v186;
                                                                        if (*(int32_t *)(v186 - 260) != 1) {
                                                                            // 0x468f75
                                                                            if (*(int32_t *)(v186 - 252) != 1) {
                                                                                // 0x468f7e
                                                                                v126 = (int32_t *)(v186 - 4);
                                                                                if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                    // 0x468f8a
                                                                                    g8 = g8 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*v126 + 4);
                                                                                    *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                    function_46b1f0();
                                                                                    v187 = g4;
                                                                                    // branch -> 0x468f97
                                                                                } else {
                                                                                    v187 = v186;
                                                                                }
                                                                            } else {
                                                                                v187 = v186;
                                                                            }
                                                                        }
                                                                        // 0x468f97
                                                                        g6 = -1;
                                                                        g8 = v187 - 260;
                                                                        g3 = *(int32_t *)(v187 - 4);
                                                                        *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                        function_469f40();
                                                                        // branch -> 0x46937f
                                                                    } else {
                                                                        // 0x468e28
                                                                        g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                        v236 = g8 & -256;
                                                                        if (*(int32_t *)(v180 - 236) == 1) {
                                                                            // 0x468e31
                                                                            g8 = v236 | 209;
                                                                            *(int32_t *)(g11 - 4) = 0x468e41;
                                                                            function_462278();
                                                                            v212 = g4;
                                                                            v244 = *(char *)(v212 - 20);
                                                                            v256 = g8 & -256;
                                                                            v251 = *(char *)(v212 - 16);
                                                                            g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468e58;
                                                                            function_462278();
                                                                            // branch -> 0x46937f
                                                                        } else {
                                                                            // 0x468e5d
                                                                            g8 = v236 | 193;
                                                                            *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                            function_462278();
                                                                            v213 = g4;
                                                                            v245 = *(char *)(v213 - 20);
                                                                            v257 = g8 & -256;
                                                                            v252 = *(char *)(v213 - 16);
                                                                            g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                            *(int32_t *)(g11 - 4) = 0x468e84;
                                                                            function_462278();
                                                                            v214 = g4;
                                                                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                            *(int32_t *)(g11 - 4) = 0x468e98;
                                                                            function_462278();
                                                                            // branch -> 0x46937f
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                        }
                                    }
                                    // 0x468878
                                    g11 = (int32_t)&v7;
                                    g6 = *(int32_t *)(v203 - 12);
                                    g8 = *v122;
                                    g3 = *(int32_t *)(v203 - 4);
                                    function_462be0();
                                    // branch -> 0x4693c1
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                            }
                            // 0x468833
                            v202 = g4;
                            v7 = (int32_t *)*(int32_t *)(v202 - 12);
                            v121 = (int32_t *)(v202 - 8);
                            g6 = *v121;
                            g8 = (int32_t)*(char *)(*v121 + 13);
                            g3 = *(int32_t *)(v202 - 4);
                            function_4653e4();
                            // branch -> 0x4693c1
                        }
                    } else {
                        // 0x468637
                        v298 = *(int32_t *)(*v276 + 44);
                        if (*(char *)(v298 + 99) == 0) {
                            // 0x468675
                            v7 = NULL;
                            g11 = v4;
                            unknown_468108();
                            v282 = g4;
                            if (*(char *)(v282 - 176) == 0) {
                                // 0x46870b
                                g8 = v282 - 260;
                                g3 = *(int32_t *)(*(int32_t *)(v282 - 4) + 4);
                                function_46a30c();
                                *(char *)(g4 - 240) = 1;
                                v290 = g4;
                                v304 = *(int32_t *)(*(int32_t *)(v290 - 8) + 44);
                                *(int32_t *)(v290 - 236) = *(int32_t *)(v304 + 76);
                                g6 = -1;
                                v283 = g4;
                                g8 = v283 - 196;
                                g3 = *(int32_t *)(v283 - 4);
                                function_4673b4();
                                *(int32_t *)(g4 - 20) = g3;
                                g11 = (int32_t)&v5;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                function_46acd4();
                                g8 = g8 & -256 | 124;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                function_462278();
                                g8 = g8 & -256 | 2;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                function_462278();
                                g8 = g8 & -256 | 205;
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                function_462278();
                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                function_462278();
                                v291 = g4;
                                v281 = (int32_t *)(v291 - 8);
                                v305 = *(int32_t *)(*v281 + 44);
                                if (*(int32_t *)(*(int32_t *)(v305 + 24) + 72) != 4) {
                                    // 0x4687a0
                                    if (*(int32_t *)(*(int32_t *)(*v281 + 44) + 40) == 0) {
                                        // 0x4687bb
                                        g8 = v291 - 260;
                                        g3 = *(int32_t *)(*(int32_t *)(v291 - 4) + 4);
                                        function_46a30c();
                                        *(char *)(g4 - 240) = 1;
                                        v292 = g4;
                                        v306 = *(int32_t *)(*(int32_t *)(v292 - 8) + 44);
                                        v307 = *(int32_t *)(*(int32_t *)(v306 + 24) + 72);
                                        *(int32_t *)(v292 - 236) = v307;
                                        v293 = g4;
                                        *(int32_t *)(v293 - 260) = *(int32_t *)(v293 - 20);
                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                        function_46b0d8();
                                        v294 = g4;
                                        *(int32_t *)(v294 - 124) = *(int32_t *)(v294 - 20);
                                        // branch -> 0x468808
                                        // 0x468808
                                        v120 = (int32_t *)(g4 - 8);
                                        if (*(char *)(*v120 + 12) == 3) {
                                            // 0x468815
                                            v237 = *v120;
                                            g3 = (int32_t)*(char *)(v237 + 13) | v237 & -256;
                                            function_459cb0();
                                            if (g3 == 0) {
                                                // 0x468824
                                                v238 = *(int32_t *)(g4 - 8);
                                                g3 = (int32_t)*(char *)(v238 + 13) | v238 & -256;
                                                function_459d30();
                                                if (g3 == 0) {
                                                    // 0x468854
                                                    v203 = g4;
                                                    v122 = (int32_t *)(v203 - 8);
                                                    v239 = *(int32_t *)(*v122 + 4);
                                                    if (*(char *)(*(int32_t *)(v239 + 56) + 9) != 3) {
                                                        // 0x468863
                                                        v240 = *(int32_t *)(*v122 + 8);
                                                        if (*(char *)(*(int32_t *)(v240 + 56) + 9) != 3) {
                                                            // 0x468872
                                                            if (*(char *)(v203 - 37) != 3) {
                                                                // 0x468892
                                                                v241 = *(int32_t *)(*v122 + 4);
                                                                if (*(char *)(*(int32_t *)(v241 + 56) + 9) == 8) {
                                                                    // 0x4688a5
                                                                    v242 = *(int32_t *)(*v122 + 8);
                                                                    if (*(char *)(*(int32_t *)(v242 + 56) + 9) == 8) {
                                                                        // 0x4688b8
                                                                        if (*(char *)(*v122 + 13) != 4) {
                                                                            // 0x4688c1
                                                                            if (*(char *)(*v122 + 13) != 5) {
                                                                                // 0x468a14
                                                                                if (*(char *)(*v122 + 13) == 3) {
                                                                                    // 0x468a21
                                                                                    v7 = NULL;
                                                                                    g6 = 0;
                                                                                    unknown_468108();
                                                                                    v154 = g4;
                                                                                    g8 = v154 - 196;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v154 - 4) + 4);
                                                                                    function_46b59c();
                                                                                    v155 = g4;
                                                                                    g8 = v155 - 196;
                                                                                    g3 = *(int32_t *)(v155 - 4);
                                                                                    function_469f40();
                                                                                    v156 = g4;
                                                                                    g8 = v156 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v156 - 4) + 4);
                                                                                    function_46a30c();
                                                                                    v5 = (int32_t *)0x47800000;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                                    function_463ffc();
                                                                                    *(int32_t *)(g4 - 308) = g3;
                                                                                    v157 = g4;
                                                                                    g8 = v157 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v157 - 4) + 4);
                                                                                    function_46b9d4();
                                                                                    g11 = (int32_t)&v12;
                                                                                    g6 = 0;
                                                                                    unknown_468108();
                                                                                    v158 = g4;
                                                                                    g8 = v158 - 260;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v158 - 4) + 4);
                                                                                    function_46b95c();
                                                                                    g6 = -1;
                                                                                    v159 = g4;
                                                                                    g8 = v159 - 260;
                                                                                    g3 = *(int32_t *)(v159 - 4);
                                                                                    function_469f40();
                                                                                    v160 = g4;
                                                                                    g8 = v160 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v160 - 4) + 4);
                                                                                    function_46b9d4();
                                                                                    v161 = g4;
                                                                                    g8 = v161 - 260;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v161 - 4) + 4);
                                                                                    function_46a30c();
                                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                    function_469fd8();
                                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                                    v205 = g4;
                                                                                    g8 = v205 - 260;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v205 - 4) + 4);
                                                                                    if (*(char *)(v205 - 37) == 3) {
                                                                                        // 0x468b2e
                                                                                        function_46b614();
                                                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                                        // branch -> 0x469a51
                                                                                    } else {
                                                                                        // 0x468b4b
                                                                                        function_46b68c();
                                                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                                        // branch -> 0x469a51
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                } else {
                                                                                    // 0x468b68
                                                                                    v7 = NULL;
                                                                                    g11 = v4;
                                                                                    g6 = 0;
                                                                                    unknown_468108();
                                                                                    g8 = g4 - 196;
                                                                                    function_46a168();
                                                                                    v164 = g4;
                                                                                    if (g3 == 0) {
                                                                                        // 0x468bce
                                                                                        v206 = v164 - 196;
                                                                                        if (*(char *)(v164 - 176) == 0) {
                                                                                            // 0x468bd7
                                                                                            *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                                            // branch -> 0x468c1b
                                                                                        } else {
                                                                                            // 0x468be2
                                                                                            g8 = v206;
                                                                                            g3 = *(int32_t *)(v164 - 4);
                                                                                            function_469c8c();
                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                            v165 = g4;
                                                                                            g11 = (int32_t)&v5;
                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                                            g6 = g6 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                                            function_46ae10();
                                                                                            g6 = -1;
                                                                                            v166 = g4;
                                                                                            g8 = v166 - 196;
                                                                                            g3 = *(int32_t *)(v166 - 4);
                                                                                            function_469f40();
                                                                                            // branch -> 0x468c1b
                                                                                        }
                                                                                        // 0x468c1b
                                                                                        v167 = g4;
                                                                                        if (*(char *)(v167 - 164) != 8) {
                                                                                            // 0x468c24
                                                                                            if (*(char *)(*(int32_t *)(*(int32_t *)(v167 - 8) + 56) + 9) == 8) {
                                                                                                // 0x468c30
                                                                                                g8 = g8 & -256 | 193;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v167 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468c3d;
                                                                                                function_462278();
                                                                                                v207 = g4;
                                                                                                v254 = g8 & -256;
                                                                                                g8 = (v254 | (int32_t)*(char *)(v207 - 20)) - 32 & 255 | v254;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v207 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468c4e;
                                                                                                function_462278();
                                                                                                g8 = g8 & -256 | 16;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468c5b;
                                                                                                function_462278();
                                                                                                // branch -> 0x468c5b
                                                                                            }
                                                                                        }
                                                                                        // 0x468c5b
                                                                                        v208 = g11;
                                                                                        *(int32_t *)(v208 - 4) = 0;
                                                                                        v133 = v208 - 8;
                                                                                        *(int32_t *)v133 = g4 - 260;
                                                                                        g11 = v133;
                                                                                        g8 = *(int32_t *)(*(int32_t *)(g4 - 8) + 8);
                                                                                        *(int32_t *)(v208 - 12) = 0x468c74;
                                                                                        unknown_468108();
                                                                                        v168 = g4;
                                                                                        v211 = v168;
                                                                                        v233 = 0;
                                                                                        if (*(char *)(v168 - 228) != 8) {
                                                                                            // 0x468c7d
                                                                                            v243 = *(int32_t *)(*(int32_t *)(v168 - 8) + 56);
                                                                                            if (*(char *)(v243 + 9) == 8) {
                                                                                                // 0x468c89
                                                                                                g8 = v168 - 260;
                                                                                                g3 = *(int32_t *)(v168 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468c9a;
                                                                                                function_4673b4();
                                                                                                *(int32_t *)(g4 - 28) = g3;
                                                                                                g8 = g8 & -256 | 193;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468caa;
                                                                                                function_462278();
                                                                                                v209 = g4;
                                                                                                v255 = g8 & -256;
                                                                                                g8 = (v255 | (int32_t)*(char *)(v209 - 28)) - 32 & 255 | v255;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v209 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468cbb;
                                                                                                function_462278();
                                                                                                g8 = g8 & -256 | 16;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                                                                                                *(int32_t *)(g11 - 4) = 0x468cc8;
                                                                                                function_462278();
                                                                                                v169 = g4;
                                                                                                g8 = v169 - 260;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(v169 - 4) + 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468cd9;
                                                                                                function_46a30c();
                                                                                                v210 = g4;
                                                                                                *(int32_t *)(v210 - 260) = *(int32_t *)(v210 - 28);
                                                                                                v211 = g4;
                                                                                                v233 = -1;
                                                                                                // branch -> 0x468ce2
                                                                                            } else {
                                                                                                v211 = v168;
                                                                                                v233 = 0;
                                                                                            }
                                                                                        }
                                                                                        // 0x468ce2
                                                                                        v123 = (int32_t *)(v211 - 8);
                                                                                        if (*(char *)(*v123 + 13) == 0) {
                                                                                            // 0x468ceb
                                                                                            v170 = g11;
                                                                                            v134 = v170 - 4;
                                                                                            *(int32_t *)v134 = v211 - 260;
                                                                                            g11 = v134;
                                                                                            g6 = v233 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                            *(int32_t *)(v170 - 8) = 0x468d02;
                                                                                            function_46aa40();
                                                                                            g6 = -1;
                                                                                            v171 = g4;
                                                                                            g8 = v171 - 260;
                                                                                            g3 = *(int32_t *)(v171 - 4);
                                                                                            *(int32_t *)(g11 - 4) = 0x468d13;
                                                                                            function_469f40();
                                                                                            // branch -> 0x46937f
                                                                                        } else {
                                                                                            // 0x468d18
                                                                                            if (*(char *)(*v123 + 13) == 1) {
                                                                                                // 0x468d21
                                                                                                v172 = g11;
                                                                                                v135 = v172 - 4;
                                                                                                *(int32_t *)v135 = v211 - 260;
                                                                                                g11 = v135;
                                                                                                g6 = v233 & -256 | 1;
                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                *(int32_t *)(v172 - 8) = 0x468d38;
                                                                                                function_46aac4();
                                                                                                g6 = -1;
                                                                                                v173 = g4;
                                                                                                g8 = v173 - 260;
                                                                                                g3 = *(int32_t *)(v173 - 4);
                                                                                                *(int32_t *)(g11 - 4) = 0x468d49;
                                                                                                function_469f40();
                                                                                                // branch -> 0x46937f
                                                                                            } else {
                                                                                                // 0x468d4e
                                                                                                if (*(char *)(*v123 + 13) == 18) {
                                                                                                    // 0x468d57
                                                                                                    v174 = g11;
                                                                                                    v136 = v174 - 4;
                                                                                                    *(int32_t *)v136 = v211 - 260;
                                                                                                    g11 = v136;
                                                                                                    g6 = v233 & -256 | 1;
                                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                    *(int32_t *)(v174 - 8) = 0x468d6e;
                                                                                                    function_46ab48();
                                                                                                    g6 = -1;
                                                                                                    v175 = g4;
                                                                                                    g8 = v175 - 260;
                                                                                                    g3 = *(int32_t *)(v175 - 4);
                                                                                                    *(int32_t *)(g11 - 4) = 0x468d7f;
                                                                                                    function_469f40();
                                                                                                    // branch -> 0x46937f
                                                                                                } else {
                                                                                                    // 0x468d84
                                                                                                    if (*(char *)(*v123 + 13) == 19) {
                                                                                                        // 0x468d8d
                                                                                                        v176 = g11;
                                                                                                        v137 = v176 - 4;
                                                                                                        *(int32_t *)v137 = v211 - 260;
                                                                                                        g11 = v137;
                                                                                                        g6 = v233 & -256 | 1;
                                                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                        *(int32_t *)(v176 - 8) = 0x468da4;
                                                                                                        function_46abcc();
                                                                                                        g6 = -1;
                                                                                                        v177 = g4;
                                                                                                        g8 = v177 - 260;
                                                                                                        g3 = *(int32_t *)(v177 - 4);
                                                                                                        *(int32_t *)(g11 - 4) = 0x468db5;
                                                                                                        function_469f40();
                                                                                                        // branch -> 0x46937f
                                                                                                    } else {
                                                                                                        // 0x468dba
                                                                                                        if (*(char *)(*v123 + 13) == 20) {
                                                                                                            // 0x468dc3
                                                                                                            v178 = g11;
                                                                                                            v138 = v178 - 4;
                                                                                                            *(int32_t *)v138 = v211 - 260;
                                                                                                            g11 = v138;
                                                                                                            g6 = v233 & -256 | 1;
                                                                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                            *(int32_t *)(v178 - 8) = 0x468dda;
                                                                                                            function_46ac50();
                                                                                                            g6 = -1;
                                                                                                            v179 = g4;
                                                                                                            g8 = v179 - 260;
                                                                                                            g3 = *(int32_t *)(v179 - 4);
                                                                                                            *(int32_t *)(g11 - 4) = 0x468deb;
                                                                                                            function_469f40();
                                                                                                            // branch -> 0x46937f
                                                                                                        } else {
                                                                                                            // 0x468df0
                                                                                                            if (*(char *)(*v123 + 13) != 22) {
                                                                                                                // 0x468df9
                                                                                                                if (*(char *)(*v123 + 13) != 21) {
                                                                                                                    // 0x468fad
                                                                                                                    if (*(char *)(*v123 + 13) == 3) {
                                                                                                                        // 0x468fba
                                                                                                                        if (*(char *)(v211 - 240) == 0) {
                                                                                                                            // 0x469000
                                                                                                                            g6 = -1;
                                                                                                                            g8 = v211 - 260;
                                                                                                                            g3 = *(int32_t *)(v211 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469011;
                                                                                                                            function_4673b4();
                                                                                                                            *(int32_t *)(g4 - 28) = g3;
                                                                                                                            v189 = g4;
                                                                                                                            g8 = v189 - 324;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v189 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469025;
                                                                                                                            function_46a30c();
                                                                                                                            v221 = g4;
                                                                                                                            *(int32_t *)(v221 - 324) = *(int32_t *)(v221 - 28);
                                                                                                                            v222 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v222 - 20);
                                                                                                                            g6 = v222 - 324;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v222 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469042;
                                                                                                                            function_46b0d8();
                                                                                                                            g6 = -1;
                                                                                                                            v190 = g4;
                                                                                                                            g8 = v190 - 324;
                                                                                                                            g3 = *(int32_t *)(v190 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x469053;
                                                                                                                            function_469f40();
                                                                                                                            // branch -> 0x46937f
                                                                                                                        } else {
                                                                                                                            // 0x468fc3
                                                                                                                            *(int32_t *)(v211 - 260) = *(int32_t *)(v211 - 20);
                                                                                                                            v220 = g4;
                                                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v220 - 20);
                                                                                                                            g6 = v220 - 260;
                                                                                                                            g3 = *(int32_t *)(*(int32_t *)(v220 - 4) + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x468fe0;
                                                                                                                            function_46b0d8();
                                                                                                                            *(int32_t *)(g4 - 260) = -1;
                                                                                                                            g6 = -1;
                                                                                                                            v188 = g4;
                                                                                                                            g8 = v188 - 260;
                                                                                                                            g3 = *(int32_t *)(v188 - 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x468ffb;
                                                                                                                            function_469f40();
                                                                                                                            // branch -> 0x46937f
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x469058
                                                                                                                        v247 = *v123;
                                                                                                                        v132 = v247;
                                                                                                                        if (*(char *)(v247 + 13) != 4) {
                                                                                                                            // 0x469061
                                                                                                                            v248 = *v123;
                                                                                                                            v132 = v248;
                                                                                                                            if (*(char *)(v248 + 13) != 5) {
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x46906e
                                                                                                                        v127 = (int32_t *)(g5 + 0x408bfc45);
                                                                                                                        *v127 = *v127 - 1;
                                                                                                                        v223 = v132;
                                                                                                                        v145 = v223 - 24 & 255 | v223 & -256;
                                                                                                                        g11 -= *(int32_t *)g5;
                                                                                                                        v128 = (char *)v145;
                                                                                                                        *v128 = (char)((int32_t)*v128 + v145);
                                                                                                                        v191 = g4;
                                                                                                                        g8 = v191 - 388;
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v191 - 4) + 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4690c2;
                                                                                                                        function_46a30c();
                                                                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x4690ca;
                                                                                                                        function_469fd8();
                                                                                                                        *(int32_t *)(g4 - 372) = g3;
                                                                                                                        *(int32_t *)(g4 - 388) = 5;
                                                                                                                        v192 = g11;
                                                                                                                        v141 = v192 - 4;
                                                                                                                        *(int32_t *)v141 = g4 - 388;
                                                                                                                        g11 = v141;
                                                                                                                        v193 = g4;
                                                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v193 - 324);
                                                                                                                        g3 = *(int32_t *)(*(int32_t *)(v193 - 4) + 4);
                                                                                                                        *(int32_t *)(v192 - 8) = 0x4690f4;
                                                                                                                        function_46ae10();
                                                                                                                        v194 = g4;
                                                                                                                        g8 = *(int32_t *)(v194 - 324);
                                                                                                                        g3 = *(int32_t *)(v194 - 4);
                                                                                                                        *(int32_t *)(g11 - 4) = 0x469102;
                                                                                                                        function_469e18();
                                                                                                                        v224 = g4;
                                                                                                                        if (*(char *)(*(int32_t *)(v224 - 4) + 0x1814) != 0) {
                                                                                                                            // 0x469127
                                                                                                                            if (*(int32_t *)(v224 - 20) != 0) {
                                                                                                                                // 0x469131
                                                                                                                                // branch -> 0x469133
                                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x46912d
                                                                                                                        // branch -> 0x469133
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x468e06
                                                                                                            *(int32_t *)(v211 - 16) = *(char *)(*v123 + 13) == 22 ? 32 : 40;
                                                                                                            v180 = g4;
                                                                                                            if (*(char *)(v180 - 240) == 0) {
                                                                                                                // 0x468e9d
                                                                                                                v124 = (int32_t *)(v180 - 20);
                                                                                                                v218 = v180;
                                                                                                                v232 = v233;
                                                                                                                if (*v124 == 1) {
                                                                                                                    // 0x468ea3
                                                                                                                    g6 = v180 - 484;
                                                                                                                    g8 = *v124;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v180 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468eb7;
                                                                                                                    function_46b3dc();
                                                                                                                    v181 = g4;
                                                                                                                    g8 = v181 - 484;
                                                                                                                    g3 = *(int32_t *)(v181 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468ec5;
                                                                                                                    function_469c8c();
                                                                                                                    *(int32_t *)(g4 - 24) = g3;
                                                                                                                    v182 = g4;
                                                                                                                    g6 = v182 - 548;
                                                                                                                    g8 = *(int32_t *)(v182 - 20);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v182 - 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468edc;
                                                                                                                    function_46b3dc();
                                                                                                                    v183 = g11;
                                                                                                                    v139 = v183 - 4;
                                                                                                                    *(int32_t *)v139 = g4 - 548;
                                                                                                                    g11 = v139;
                                                                                                                    v215 = g4;
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v215 - 24);
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(v215 - 4) + 4);
                                                                                                                    *(int32_t *)(v183 - 8) = 0x468ef3;
                                                                                                                    function_46ae10();
                                                                                                                    v216 = g4;
                                                                                                                    g8 = *(int32_t *)(v216 - 20);
                                                                                                                    g3 = *(int32_t *)(v216 - 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468efe;
                                                                                                                    function_469e18();
                                                                                                                    v217 = g4;
                                                                                                                    *(int32_t *)(v217 - 20) = *(int32_t *)(v217 - 24);
                                                                                                                    v218 = g4;
                                                                                                                    v232 = g6 & -256 | 1;
                                                                                                                    // branch -> 0x468f04
                                                                                                                }
                                                                                                                // 0x468f04
                                                                                                                v184 = v218;
                                                                                                                if (*(int32_t *)(v218 - 260) != 1) {
                                                                                                                    // 0x468f0d
                                                                                                                    if (*(int32_t *)(v218 - 252) != 1) {
                                                                                                                        // 0x468f16
                                                                                                                        v125 = (int32_t *)(v218 - 4);
                                                                                                                        if (*(char *)(*v125 + 0x1828) != 0) {
                                                                                                                            // 0x468f22
                                                                                                                            g8 = g8 & -256 | 1;
                                                                                                                            g3 = *(int32_t *)(*v125 + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x468f2f;
                                                                                                                            function_46b214();
                                                                                                                            v184 = g4;
                                                                                                                            // branch -> 0x468f2f
                                                                                                                        } else {
                                                                                                                            v184 = v218;
                                                                                                                        }
                                                                                                                    } else {
                                                                                                                        v184 = v218;
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x468f2f
                                                                                                                v185 = g11;
                                                                                                                v140 = v185 - 4;
                                                                                                                *(int32_t *)v140 = v184 - 260;
                                                                                                                g11 = v140;
                                                                                                                g6 = v232 & -256 | 1;
                                                                                                                g8 = g8 & -256 | 1;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                                                                                                *(int32_t *)(v185 - 8) = 0x468f45;
                                                                                                                function_46ae10();
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g4 - 4) + 4) + 4);
                                                                                                                g8 = g8 & -256 | 211;
                                                                                                                *(int32_t *)(g11 - 4) = 0x468f55;
                                                                                                                function_462278();
                                                                                                                v219 = g4;
                                                                                                                v246 = *(char *)(v219 - 20);
                                                                                                                v258 = g8 & -256;
                                                                                                                v253 = *(char *)(v219 - 16);
                                                                                                                g8 = (int32_t)v253 + ((v258 | (int32_t)v246) - 64 & 255 | v258) & 255 | v258;
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v219 - 4) + 4) + 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468f6c;
                                                                                                                function_462278();
                                                                                                                v186 = g4;
                                                                                                                v187 = v186;
                                                                                                                if (*(int32_t *)(v186 - 260) != 1) {
                                                                                                                    // 0x468f75
                                                                                                                    if (*(int32_t *)(v186 - 252) != 1) {
                                                                                                                        // 0x468f7e
                                                                                                                        v126 = (int32_t *)(v186 - 4);
                                                                                                                        if (*(char *)(*v126 + 0x1828) != 0) {
                                                                                                                            // 0x468f8a
                                                                                                                            g8 = g8 & -256 | 1;
                                                                                                                            g3 = *(int32_t *)(*v126 + 4);
                                                                                                                            *(int32_t *)(g11 - 4) = 0x468f97;
                                                                                                                            function_46b1f0();
                                                                                                                            v187 = g4;
                                                                                                                            // branch -> 0x468f97
                                                                                                                        } else {
                                                                                                                            v187 = v186;
                                                                                                                        }
                                                                                                                    } else {
                                                                                                                        v187 = v186;
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x468f97
                                                                                                                g6 = -1;
                                                                                                                g8 = v187 - 260;
                                                                                                                g3 = *(int32_t *)(v187 - 4);
                                                                                                                *(int32_t *)(g11 - 4) = 0x468fa8;
                                                                                                                function_469f40();
                                                                                                                // branch -> 0x46937f
                                                                                                            } else {
                                                                                                                // 0x468e28
                                                                                                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v180 - 4) + 4) + 4);
                                                                                                                v236 = g8 & -256;
                                                                                                                if (*(int32_t *)(v180 - 236) == 1) {
                                                                                                                    // 0x468e31
                                                                                                                    g8 = v236 | 209;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e41;
                                                                                                                    function_462278();
                                                                                                                    v212 = g4;
                                                                                                                    v244 = *(char *)(v212 - 20);
                                                                                                                    v256 = g8 & -256;
                                                                                                                    v251 = *(char *)(v212 - 16);
                                                                                                                    g8 = (int32_t)v251 + ((v256 | (int32_t)v244) - 64 & 255 | v256) & 255 | v256;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v212 - 4) + 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e58;
                                                                                                                    function_462278();
                                                                                                                    // branch -> 0x46937f
                                                                                                                } else {
                                                                                                                    // 0x468e5d
                                                                                                                    g8 = v236 | 193;
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e6d;
                                                                                                                    function_462278();
                                                                                                                    v213 = g4;
                                                                                                                    v245 = *(char *)(v213 - 20);
                                                                                                                    v257 = g8 & -256;
                                                                                                                    v252 = *(char *)(v213 - 16);
                                                                                                                    g8 = (int32_t)v252 + ((v257 | (int32_t)v245) - 64 & 255 | v257) & 255 | v257;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v213 - 4) + 4) + 4);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e84;
                                                                                                                    function_462278();
                                                                                                                    v214 = g4;
                                                                                                                    g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v214 - 4) + 4) + 4);
                                                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v214 - 236);
                                                                                                                    *(int32_t *)(g11 - 4) = 0x468e98;
                                                                                                                    function_462278();
                                                                                                                    // branch -> 0x46937f
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        // 0x468b93
                                                                                        g8 = v164 - 196;
                                                                                        g3 = *(int32_t *)(v164 - 4);
                                                                                        function_469c8c();
                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                        v162 = g4;
                                                                                        g11 = (int32_t)&v5;
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                                        g6 = g6 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                                        function_46ae10();
                                                                                        g6 = -1;
                                                                                        v163 = g4;
                                                                                        g8 = v163 - 196;
                                                                                        g3 = *(int32_t *)(v163 - 4);
                                                                                        function_469f40();
                                                                                        // branch -> 0x468c1b
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x4688ce
                                                                        v7 = NULL;
                                                                        unknown_468108();
                                                                        v146 = g4;
                                                                        g6 = v146 - 196;
                                                                        g8 = *(int32_t *)(*v122 + 4) & -256 | 3;
                                                                        g3 = *(int32_t *)(v146 - 4);
                                                                        function_463360();
                                                                        v147 = g4;
                                                                        g8 = v147 - 196;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v147 - 4) + 4);
                                                                        function_46b59c();
                                                                        g6 = -1;
                                                                        v148 = g4;
                                                                        g8 = v148 - 196;
                                                                        g3 = *(int32_t *)(v148 - 4);
                                                                        function_469f40();
                                                                        v5 = NULL;
                                                                        g6 = 0;
                                                                        unknown_468108();
                                                                        v149 = g4;
                                                                        g8 = v149 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v149 - 4) + 4);
                                                                        function_46ba4c();
                                                                        v150 = g4;
                                                                        g8 = v150 - 260;
                                                                        g3 = *(int32_t *)(v150 - 4);
                                                                        function_469f40();
                                                                        v151 = g4;
                                                                        g8 = v151 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v151 - 4) + 4);
                                                                        function_46a30c();
                                                                        v12 = (int32_t *)0x47800000;
                                                                        g11 = (int32_t)&v12;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                        function_463ffc();
                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                        v152 = g4;
                                                                        g8 = v152 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v152 - 4) + 4);
                                                                        function_46b8e4();
                                                                        v153 = g4;
                                                                        g8 = v153 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v153 - 4) + 4);
                                                                        function_46a30c();
                                                                        *(int32_t *)(g4 - 260) = 5;
                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                        function_469fd8();
                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                        v204 = g4;
                                                                        g8 = v204 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v204 - 4) + 4);
                                                                        if (*(char *)(v204 - 37) == 3) {
                                                                            // 0x4689da
                                                                            function_46b614();
                                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                            // branch -> 0x469a51
                                                                        } else {
                                                                            // 0x4689f7
                                                                            function_46b68c();
                                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                            // branch -> 0x469a51
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // 0x468b68
                                                                v7 = NULL;
                                                                g11 = v4;
                                                                g6 = 0;
                                                                unknown_468108();
                                                                g8 = g4 - 196;
                                                                function_46a168();
                                                                v164 = g4;
                                                                if (g3 == 0) {
                                                                    // 0x468bce
                                                                    v206 = v164 - 196;
                                                                    if (*(char *)(v164 - 176) == 0) {
                                                                        // 0x468bd7
                                                                        *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                        // branch -> 0x468c1b
                                                                    } else {
                                                                        // 0x468be2
                                                                        g8 = v206;
                                                                        g3 = *(int32_t *)(v164 - 4);
                                                                        function_469c8c();
                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                        v165 = g4;
                                                                        g11 = (int32_t)&v5;
                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                        g6 = g6 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                        function_46ae10();
                                                                        g6 = -1;
                                                                        v166 = g4;
                                                                        g8 = v166 - 196;
                                                                        g3 = *(int32_t *)(v166 - 4);
                                                                        function_469f40();
                                                                        // branch -> 0x468c1b
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    // 0x468b93
                                                                    g8 = v164 - 196;
                                                                    g3 = *(int32_t *)(v164 - 4);
                                                                    function_469c8c();
                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                    v162 = g4;
                                                                    g11 = (int32_t)&v5;
                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                    g6 = g6 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                    function_46ae10();
                                                                    g6 = -1;
                                                                    v163 = g4;
                                                                    g8 = v163 - 196;
                                                                    g3 = *(int32_t *)(v163 - 4);
                                                                    function_469f40();
                                                                    // branch -> 0x468c1b
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                    }
                                                    // 0x468878
                                                    g11 = (int32_t)&v7;
                                                    g6 = *(int32_t *)(v203 - 12);
                                                    g8 = *v122;
                                                    g3 = *(int32_t *)(v203 - 4);
                                                    function_462be0();
                                                    // branch -> 0x4693c1
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // 0x468833
                                            v202 = g4;
                                            v7 = (int32_t *)*(int32_t *)(v202 - 12);
                                            v121 = (int32_t *)(v202 - 8);
                                            g6 = *v121;
                                            g8 = (int32_t)*(char *)(*v121 + 13);
                                            g3 = *(int32_t *)(v202 - 4);
                                            function_4653e4();
                                            // branch -> 0x4693c1
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                }
                                // 0x4687ac
                                *(int32_t *)(v291 - 124) = *(int32_t *)(v291 - 20);
                                *(int32_t *)(g4 - 120) = 2;
                                // branch -> 0x468808
                            } else {
                                // 0x468697
                                v277 = (int32_t *)(v282 - 172);
                                if (*v277 >= 0) {
                                    // 0x4686a0
                                    v278 = (int32_t *)(v282 - 8);
                                    if (*(int32_t *)(*(int32_t *)(*v278 + 44) + 76) > *v277) {
                                        // 0x4686d4
                                        if (*(int32_t *)(*(int32_t *)(*v278 + 44) + 40) == 0) {
                                            // 0x4686e0
                                            v302 = *(int32_t *)(*v278 + 44);
                                            v303 = *(int32_t *)(*(int32_t *)(v302 + 24) + 72);
                                            v279 = (int32_t *)(v282 - 116);
                                            *v279 = *v277 * v303 + *v279;
                                            // branch -> 0x468808
                                        } else {
                                            // 0x4686fa
                                            v280 = (int32_t *)(v282 - 116);
                                            *v280 = *v280 + 4 * *v277;
                                            // branch -> 0x468808
                                        }
                                        // 0x468808
                                        v120 = (int32_t *)(g4 - 8);
                                        if (*(char *)(*v120 + 12) == 3) {
                                            // 0x468815
                                            v237 = *v120;
                                            g3 = (int32_t)*(char *)(v237 + 13) | v237 & -256;
                                            function_459cb0();
                                            if (g3 == 0) {
                                                // 0x468824
                                                v238 = *(int32_t *)(g4 - 8);
                                                g3 = (int32_t)*(char *)(v238 + 13) | v238 & -256;
                                                function_459d30();
                                                if (g3 == 0) {
                                                    // 0x468854
                                                    v203 = g4;
                                                    v122 = (int32_t *)(v203 - 8);
                                                    v239 = *(int32_t *)(*v122 + 4);
                                                    if (*(char *)(*(int32_t *)(v239 + 56) + 9) != 3) {
                                                        // 0x468863
                                                        v240 = *(int32_t *)(*v122 + 8);
                                                        if (*(char *)(*(int32_t *)(v240 + 56) + 9) != 3) {
                                                            // 0x468872
                                                            if (*(char *)(v203 - 37) != 3) {
                                                                // 0x468892
                                                                v241 = *(int32_t *)(*v122 + 4);
                                                                if (*(char *)(*(int32_t *)(v241 + 56) + 9) == 8) {
                                                                    // 0x4688a5
                                                                    v242 = *(int32_t *)(*v122 + 8);
                                                                    if (*(char *)(*(int32_t *)(v242 + 56) + 9) == 8) {
                                                                        // 0x4688b8
                                                                        if (*(char *)(*v122 + 13) != 4) {
                                                                            // 0x4688c1
                                                                            if (*(char *)(*v122 + 13) != 5) {
                                                                                // 0x468a14
                                                                                if (*(char *)(*v122 + 13) == 3) {
                                                                                    // 0x468a21
                                                                                    v7 = NULL;
                                                                                    g6 = 0;
                                                                                    unknown_468108();
                                                                                    v154 = g4;
                                                                                    g8 = v154 - 196;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v154 - 4) + 4);
                                                                                    function_46b59c();
                                                                                    v155 = g4;
                                                                                    g8 = v155 - 196;
                                                                                    g3 = *(int32_t *)(v155 - 4);
                                                                                    function_469f40();
                                                                                    v156 = g4;
                                                                                    g8 = v156 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v156 - 4) + 4);
                                                                                    function_46a30c();
                                                                                    v5 = (int32_t *)0x47800000;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                                    function_463ffc();
                                                                                    *(int32_t *)(g4 - 308) = g3;
                                                                                    v157 = g4;
                                                                                    g8 = v157 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v157 - 4) + 4);
                                                                                    function_46b9d4();
                                                                                    g11 = (int32_t)&v12;
                                                                                    g6 = 0;
                                                                                    unknown_468108();
                                                                                    v158 = g4;
                                                                                    g8 = v158 - 260;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v158 - 4) + 4);
                                                                                    function_46b95c();
                                                                                    g6 = -1;
                                                                                    v159 = g4;
                                                                                    g8 = v159 - 260;
                                                                                    g3 = *(int32_t *)(v159 - 4);
                                                                                    function_469f40();
                                                                                    v160 = g4;
                                                                                    g8 = v160 - 324;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v160 - 4) + 4);
                                                                                    function_46b9d4();
                                                                                    v161 = g4;
                                                                                    g8 = v161 - 260;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v161 - 4) + 4);
                                                                                    function_46a30c();
                                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                                    function_469fd8();
                                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                                    v205 = g4;
                                                                                    g8 = v205 - 260;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v205 - 4) + 4);
                                                                                    if (*(char *)(v205 - 37) == 3) {
                                                                                        // 0x468b2e
                                                                                        function_46b614();
                                                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                                        // branch -> 0x469a51
                                                                                    } else {
                                                                                        // 0x468b4b
                                                                                        function_46b68c();
                                                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                                        // branch -> 0x469a51
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                } else {
                                                                                    // 0x468b68
                                                                                    v7 = NULL;
                                                                                    g11 = v4;
                                                                                    g6 = 0;
                                                                                    unknown_468108();
                                                                                    g8 = g4 - 196;
                                                                                    function_46a168();
                                                                                    v164 = g4;
                                                                                    if (g3 == 0) {
                                                                                        // 0x468bce
                                                                                        v206 = v164 - 196;
                                                                                        if (*(char *)(v164 - 176) == 0) {
                                                                                            // 0x468bd7
                                                                                            *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                                            // branch -> 0x468c1b
                                                                                        } else {
                                                                                            // 0x468be2
                                                                                            g8 = v206;
                                                                                            g3 = *(int32_t *)(v164 - 4);
                                                                                            function_469c8c();
                                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                                            v165 = g4;
                                                                                            g11 = (int32_t)&v5;
                                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                                            g6 = g6 & -256 | 1;
                                                                                            g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                                            function_46ae10();
                                                                                            g6 = -1;
                                                                                            v166 = g4;
                                                                                            g8 = v166 - 196;
                                                                                            g3 = *(int32_t *)(v166 - 4);
                                                                                            function_469f40();
                                                                                            // branch -> 0x468c1b
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        // 0x468b93
                                                                                        g8 = v164 - 196;
                                                                                        g3 = *(int32_t *)(v164 - 4);
                                                                                        function_469c8c();
                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                        v162 = g4;
                                                                                        g11 = (int32_t)&v5;
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                                        g6 = g6 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                                        function_46ae10();
                                                                                        g6 = -1;
                                                                                        v163 = g4;
                                                                                        g8 = v163 - 196;
                                                                                        g3 = *(int32_t *)(v163 - 4);
                                                                                        function_469f40();
                                                                                        // branch -> 0x468c1b
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x4688ce
                                                                        v7 = NULL;
                                                                        unknown_468108();
                                                                        v146 = g4;
                                                                        g6 = v146 - 196;
                                                                        g8 = *(int32_t *)(*v122 + 4) & -256 | 3;
                                                                        g3 = *(int32_t *)(v146 - 4);
                                                                        function_463360();
                                                                        v147 = g4;
                                                                        g8 = v147 - 196;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v147 - 4) + 4);
                                                                        function_46b59c();
                                                                        g6 = -1;
                                                                        v148 = g4;
                                                                        g8 = v148 - 196;
                                                                        g3 = *(int32_t *)(v148 - 4);
                                                                        function_469f40();
                                                                        v5 = NULL;
                                                                        g6 = 0;
                                                                        unknown_468108();
                                                                        v149 = g4;
                                                                        g8 = v149 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v149 - 4) + 4);
                                                                        function_46ba4c();
                                                                        v150 = g4;
                                                                        g8 = v150 - 260;
                                                                        g3 = *(int32_t *)(v150 - 4);
                                                                        function_469f40();
                                                                        v151 = g4;
                                                                        g8 = v151 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v151 - 4) + 4);
                                                                        function_46a30c();
                                                                        v12 = (int32_t *)0x47800000;
                                                                        g11 = (int32_t)&v12;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                        function_463ffc();
                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                        v152 = g4;
                                                                        g8 = v152 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v152 - 4) + 4);
                                                                        function_46b8e4();
                                                                        v153 = g4;
                                                                        g8 = v153 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v153 - 4) + 4);
                                                                        function_46a30c();
                                                                        *(int32_t *)(g4 - 260) = 5;
                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                        function_469fd8();
                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                        v204 = g4;
                                                                        g8 = v204 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v204 - 4) + 4);
                                                                        if (*(char *)(v204 - 37) == 3) {
                                                                            // 0x4689da
                                                                            function_46b614();
                                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                            // branch -> 0x469a51
                                                                        } else {
                                                                            // 0x4689f7
                                                                            function_46b68c();
                                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                            // branch -> 0x469a51
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // 0x468b68
                                                                v7 = NULL;
                                                                g11 = v4;
                                                                g6 = 0;
                                                                unknown_468108();
                                                                g8 = g4 - 196;
                                                                function_46a168();
                                                                v164 = g4;
                                                                if (g3 == 0) {
                                                                    // 0x468bce
                                                                    v206 = v164 - 196;
                                                                    if (*(char *)(v164 - 176) == 0) {
                                                                        // 0x468bd7
                                                                        *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                        // branch -> 0x468c1b
                                                                    } else {
                                                                        // 0x468be2
                                                                        g8 = v206;
                                                                        g3 = *(int32_t *)(v164 - 4);
                                                                        function_469c8c();
                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                        v165 = g4;
                                                                        g11 = (int32_t)&v5;
                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                        g6 = g6 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                        function_46ae10();
                                                                        g6 = -1;
                                                                        v166 = g4;
                                                                        g8 = v166 - 196;
                                                                        g3 = *(int32_t *)(v166 - 4);
                                                                        function_469f40();
                                                                        // branch -> 0x468c1b
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    // 0x468b93
                                                                    g8 = v164 - 196;
                                                                    g3 = *(int32_t *)(v164 - 4);
                                                                    function_469c8c();
                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                    v162 = g4;
                                                                    g11 = (int32_t)&v5;
                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                    g6 = g6 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                    function_46ae10();
                                                                    g6 = -1;
                                                                    v163 = g4;
                                                                    g8 = v163 - 196;
                                                                    g3 = *(int32_t *)(v163 - 4);
                                                                    function_469f40();
                                                                    // branch -> 0x468c1b
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                    }
                                                    // 0x468878
                                                    g11 = (int32_t)&v7;
                                                    g6 = *(int32_t *)(v203 - 12);
                                                    g8 = *v122;
                                                    g3 = *(int32_t *)(v203 - 4);
                                                    function_462be0();
                                                    // branch -> 0x4693c1
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // 0x468833
                                            v202 = g4;
                                            v7 = (int32_t *)*(int32_t *)(v202 - 12);
                                            v121 = (int32_t *)(v202 - 8);
                                            g6 = *v121;
                                            g8 = (int32_t)*(char *)(*v121 + 13);
                                            g3 = *(int32_t *)(v202 - 4);
                                            function_4653e4();
                                            // branch -> 0x4693c1
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                }
                                // 0x4686b1
                                System__AsClass(NULL, (int32_t *)0x4637dc);
                                g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v282 - 4) + 16) + 12);
                                g8 = 0x469ad4;
                                function_45bf7c();
                                // branch -> 0x469a51
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // 0x468808
                            v120 = (int32_t *)(g4 - 8);
                            if (*(char *)(*v120 + 12) == 3) {
                                // 0x468815
                                v237 = *v120;
                                g3 = (int32_t)*(char *)(v237 + 13) | v237 & -256;
                                function_459cb0();
                                if (g3 == 0) {
                                    // 0x468824
                                    v238 = *(int32_t *)(g4 - 8);
                                    g3 = (int32_t)*(char *)(v238 + 13) | v238 & -256;
                                    function_459d30();
                                    if (g3 == 0) {
                                        // 0x468854
                                        v203 = g4;
                                        v122 = (int32_t *)(v203 - 8);
                                        v239 = *(int32_t *)(*v122 + 4);
                                        if (*(char *)(*(int32_t *)(v239 + 56) + 9) != 3) {
                                            // 0x468863
                                            v240 = *(int32_t *)(*v122 + 8);
                                            if (*(char *)(*(int32_t *)(v240 + 56) + 9) != 3) {
                                                // 0x468872
                                                if (*(char *)(v203 - 37) != 3) {
                                                    // 0x468892
                                                    v241 = *(int32_t *)(*v122 + 4);
                                                    if (*(char *)(*(int32_t *)(v241 + 56) + 9) == 8) {
                                                        // 0x4688a5
                                                        v242 = *(int32_t *)(*v122 + 8);
                                                        if (*(char *)(*(int32_t *)(v242 + 56) + 9) == 8) {
                                                            // 0x4688b8
                                                            if (*(char *)(*v122 + 13) != 4) {
                                                                // 0x4688c1
                                                                if (*(char *)(*v122 + 13) != 5) {
                                                                    // 0x468a14
                                                                    if (*(char *)(*v122 + 13) == 3) {
                                                                        // 0x468a21
                                                                        v7 = NULL;
                                                                        g6 = 0;
                                                                        unknown_468108();
                                                                        v154 = g4;
                                                                        g8 = v154 - 196;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v154 - 4) + 4);
                                                                        function_46b59c();
                                                                        v155 = g4;
                                                                        g8 = v155 - 196;
                                                                        g3 = *(int32_t *)(v155 - 4);
                                                                        function_469f40();
                                                                        v156 = g4;
                                                                        g8 = v156 - 324;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v156 - 4) + 4);
                                                                        function_46a30c();
                                                                        v5 = (int32_t *)0x47800000;
                                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                        function_463ffc();
                                                                        *(int32_t *)(g4 - 308) = g3;
                                                                        v157 = g4;
                                                                        g8 = v157 - 324;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v157 - 4) + 4);
                                                                        function_46b9d4();
                                                                        g11 = (int32_t)&v12;
                                                                        g6 = 0;
                                                                        unknown_468108();
                                                                        v158 = g4;
                                                                        g8 = v158 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v158 - 4) + 4);
                                                                        function_46b95c();
                                                                        g6 = -1;
                                                                        v159 = g4;
                                                                        g8 = v159 - 260;
                                                                        g3 = *(int32_t *)(v159 - 4);
                                                                        function_469f40();
                                                                        v160 = g4;
                                                                        g8 = v160 - 324;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v160 - 4) + 4);
                                                                        function_46b9d4();
                                                                        v161 = g4;
                                                                        g8 = v161 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v161 - 4) + 4);
                                                                        function_46a30c();
                                                                        *(int32_t *)(g4 - 260) = 5;
                                                                        g3 = *(int32_t *)(g4 - 4);
                                                                        function_469fd8();
                                                                        *(int32_t *)(g4 - 244) = g3;
                                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                        v205 = g4;
                                                                        g8 = v205 - 260;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v205 - 4) + 4);
                                                                        if (*(char *)(v205 - 37) == 3) {
                                                                            // 0x468b2e
                                                                            function_46b614();
                                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                            // branch -> 0x469a51
                                                                        } else {
                                                                            // 0x468b4b
                                                                            function_46b68c();
                                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                            // branch -> 0x469a51
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        // 0x468b68
                                                                        v7 = NULL;
                                                                        g11 = v4;
                                                                        g6 = 0;
                                                                        unknown_468108();
                                                                        g8 = g4 - 196;
                                                                        function_46a168();
                                                                        v164 = g4;
                                                                        if (g3 == 0) {
                                                                            // 0x468bce
                                                                            v206 = v164 - 196;
                                                                            if (*(char *)(v164 - 176) == 0) {
                                                                                // 0x468bd7
                                                                                *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                                // branch -> 0x468c1b
                                                                            } else {
                                                                                // 0x468be2
                                                                                g8 = v206;
                                                                                g3 = *(int32_t *)(v164 - 4);
                                                                                function_469c8c();
                                                                                *(int32_t *)(g4 - 20) = g3;
                                                                                v165 = g4;
                                                                                g11 = (int32_t)&v5;
                                                                                g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                                g6 = g6 & -256 | 1;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                                function_46ae10();
                                                                                g6 = -1;
                                                                                v166 = g4;
                                                                                g8 = v166 - 196;
                                                                                g3 = *(int32_t *)(v166 - 4);
                                                                                function_469f40();
                                                                                // branch -> 0x468c1b
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            // 0x468b93
                                                                            g8 = v164 - 196;
                                                                            g3 = *(int32_t *)(v164 - 4);
                                                                            function_469c8c();
                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                            v162 = g4;
                                                                            g11 = (int32_t)&v5;
                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                            g6 = g6 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                            function_46ae10();
                                                                            g6 = -1;
                                                                            v163 = g4;
                                                                            g8 = v163 - 196;
                                                                            g3 = *(int32_t *)(v163 - 4);
                                                                            function_469f40();
                                                                            // branch -> 0x468c1b
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x4688ce
                                                            v7 = NULL;
                                                            unknown_468108();
                                                            v146 = g4;
                                                            g6 = v146 - 196;
                                                            g8 = *(int32_t *)(*v122 + 4) & -256 | 3;
                                                            g3 = *(int32_t *)(v146 - 4);
                                                            function_463360();
                                                            v147 = g4;
                                                            g8 = v147 - 196;
                                                            g3 = *(int32_t *)(*(int32_t *)(v147 - 4) + 4);
                                                            function_46b59c();
                                                            g6 = -1;
                                                            v148 = g4;
                                                            g8 = v148 - 196;
                                                            g3 = *(int32_t *)(v148 - 4);
                                                            function_469f40();
                                                            v5 = NULL;
                                                            g6 = 0;
                                                            unknown_468108();
                                                            v149 = g4;
                                                            g8 = v149 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v149 - 4) + 4);
                                                            function_46ba4c();
                                                            v150 = g4;
                                                            g8 = v150 - 260;
                                                            g3 = *(int32_t *)(v150 - 4);
                                                            function_469f40();
                                                            v151 = g4;
                                                            g8 = v151 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v151 - 4) + 4);
                                                            function_46a30c();
                                                            v12 = (int32_t *)0x47800000;
                                                            g11 = (int32_t)&v12;
                                                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                            System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                            function_463ffc();
                                                            *(int32_t *)(g4 - 244) = g3;
                                                            v152 = g4;
                                                            g8 = v152 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v152 - 4) + 4);
                                                            function_46b8e4();
                                                            v153 = g4;
                                                            g8 = v153 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v153 - 4) + 4);
                                                            function_46a30c();
                                                            *(int32_t *)(g4 - 260) = 5;
                                                            g3 = *(int32_t *)(g4 - 4);
                                                            function_469fd8();
                                                            *(int32_t *)(g4 - 244) = g3;
                                                            System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                            v204 = g4;
                                                            g8 = v204 - 260;
                                                            g3 = *(int32_t *)(*(int32_t *)(v204 - 4) + 4);
                                                            if (*(char *)(v204 - 37) == 3) {
                                                                // 0x4689da
                                                                function_46b614();
                                                                *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                // branch -> 0x469a51
                                                            } else {
                                                                // 0x4689f7
                                                                function_46b68c();
                                                                *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                // branch -> 0x469a51
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // 0x468b68
                                                    v7 = NULL;
                                                    g11 = v4;
                                                    g6 = 0;
                                                    unknown_468108();
                                                    g8 = g4 - 196;
                                                    function_46a168();
                                                    v164 = g4;
                                                    if (g3 == 0) {
                                                        // 0x468bce
                                                        v206 = v164 - 196;
                                                        if (*(char *)(v164 - 176) == 0) {
                                                            // 0x468bd7
                                                            *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                            // branch -> 0x468c1b
                                                        } else {
                                                            // 0x468be2
                                                            g8 = v206;
                                                            g3 = *(int32_t *)(v164 - 4);
                                                            function_469c8c();
                                                            *(int32_t *)(g4 - 20) = g3;
                                                            v165 = g4;
                                                            g11 = (int32_t)&v5;
                                                            g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                            g6 = g6 & -256 | 1;
                                                            g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                            function_46ae10();
                                                            g6 = -1;
                                                            v166 = g4;
                                                            g8 = v166 - 196;
                                                            g3 = *(int32_t *)(v166 - 4);
                                                            function_469f40();
                                                            // branch -> 0x468c1b
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    } else {
                                                        // 0x468b93
                                                        g8 = v164 - 196;
                                                        g3 = *(int32_t *)(v164 - 4);
                                                        function_469c8c();
                                                        *(int32_t *)(g4 - 20) = g3;
                                                        v162 = g4;
                                                        g11 = (int32_t)&v5;
                                                        g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                        g6 = g6 & -256 | 1;
                                                        g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                        function_46ae10();
                                                        g6 = -1;
                                                        v163 = g4;
                                                        g8 = v163 - 196;
                                                        g3 = *(int32_t *)(v163 - 4);
                                                        function_469f40();
                                                        // branch -> 0x468c1b
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                        }
                                        // 0x468878
                                        g11 = (int32_t)&v7;
                                        g6 = *(int32_t *)(v203 - 12);
                                        g8 = *v122;
                                        g3 = *(int32_t *)(v203 - 4);
                                        function_462be0();
                                        // branch -> 0x4693c1
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                }
                                // 0x468833
                                v202 = g4;
                                v7 = (int32_t *)*(int32_t *)(v202 - 12);
                                v121 = (int32_t *)(v202 - 8);
                                g6 = *v121;
                                g8 = (int32_t)*(char *)(*v121 + 13);
                                g3 = *(int32_t *)(v202 - 4);
                                function_4653e4();
                                // branch -> 0x4693c1
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        } else {
                            // 0x468643
                            v299 = *(char *)(v287 + 12);
                            v7 = (int32_t *)((int32_t)v299 | v298 & -256);
                            g11 = (int32_t)&v7;
                            g8 = v287 - 132;
                            g6 = *v276;
                            g3 = *(int32_t *)(v287 - 4);
                            function_4660e0();
                            v288 = g4;
                            v300 = *(int32_t *)(*(int32_t *)(v288 - 8) + 44);
                            *(char *)(v288 - 100) = *(char *)(v300 + 9);
                            v289 = g4;
                            v301 = *(int32_t *)(*(int32_t *)(v289 - 8) + 44);
                            *(int32_t *)(v289 - 96) = *(int32_t *)(v301 + 40);
                            // branch -> 0x4693c1
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // 0x468606
                v284 = g4;
                v295 = *(int32_t *)(*(int32_t *)(v284 - 8) + 44);
                *(char *)(v284 - 100) = *(char *)(v295 + 9);
                v285 = g4;
                v296 = *(int32_t *)(*(int32_t *)(v285 - 8) + 44);
                *(int32_t *)(v285 - 96) = *(int32_t *)(v296 + 40);
                v286 = g4;
                v297 = *(int32_t *)(*(int32_t *)(v286 - 8) + 44);
                *(char *)(v286 - 92) = *(char *)(v297 + 99);
                v287 = g4;
                v276 = (int32_t *)(v287 - 8);
                if (*(char *)(*v276 + 20) == 0) {
                    // 0x468808
                    v120 = (int32_t *)(g4 - 8);
                    if (*(char *)(*v120 + 12) == 3) {
                        // 0x468815
                        v237 = *v120;
                        g3 = (int32_t)*(char *)(v237 + 13) | v237 & -256;
                        function_459cb0();
                        if (g3 == 0) {
                            // 0x468824
                            v238 = *(int32_t *)(g4 - 8);
                            g3 = (int32_t)*(char *)(v238 + 13) | v238 & -256;
                            function_459d30();
                            if (g3 == 0) {
                                // 0x468854
                                v203 = g4;
                                v122 = (int32_t *)(v203 - 8);
                                v239 = *(int32_t *)(*v122 + 4);
                                if (*(char *)(*(int32_t *)(v239 + 56) + 9) != 3) {
                                    // 0x468863
                                    v240 = *(int32_t *)(*v122 + 8);
                                    if (*(char *)(*(int32_t *)(v240 + 56) + 9) != 3) {
                                        // 0x468872
                                        if (*(char *)(v203 - 37) != 3) {
                                            // 0x468892
                                            v241 = *(int32_t *)(*v122 + 4);
                                            if (*(char *)(*(int32_t *)(v241 + 56) + 9) == 8) {
                                                // 0x4688a5
                                                v242 = *(int32_t *)(*v122 + 8);
                                                if (*(char *)(*(int32_t *)(v242 + 56) + 9) == 8) {
                                                    // 0x4688b8
                                                    if (*(char *)(*v122 + 13) != 4) {
                                                        // 0x4688c1
                                                        if (*(char *)(*v122 + 13) != 5) {
                                                            // 0x468a14
                                                            if (*(char *)(*v122 + 13) == 3) {
                                                                // 0x468a21
                                                                v7 = NULL;
                                                                g6 = 0;
                                                                unknown_468108();
                                                                v154 = g4;
                                                                g8 = v154 - 196;
                                                                g3 = *(int32_t *)(*(int32_t *)(v154 - 4) + 4);
                                                                function_46b59c();
                                                                v155 = g4;
                                                                g8 = v155 - 196;
                                                                g3 = *(int32_t *)(v155 - 4);
                                                                function_469f40();
                                                                v156 = g4;
                                                                g8 = v156 - 324;
                                                                g3 = *(int32_t *)(*(int32_t *)(v156 - 4) + 4);
                                                                function_46a30c();
                                                                v5 = (int32_t *)0x47800000;
                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                function_463ffc();
                                                                *(int32_t *)(g4 - 308) = g3;
                                                                v157 = g4;
                                                                g8 = v157 - 324;
                                                                g3 = *(int32_t *)(*(int32_t *)(v157 - 4) + 4);
                                                                function_46b9d4();
                                                                g11 = (int32_t)&v12;
                                                                g6 = 0;
                                                                unknown_468108();
                                                                v158 = g4;
                                                                g8 = v158 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v158 - 4) + 4);
                                                                function_46b95c();
                                                                g6 = -1;
                                                                v159 = g4;
                                                                g8 = v159 - 260;
                                                                g3 = *(int32_t *)(v159 - 4);
                                                                function_469f40();
                                                                v160 = g4;
                                                                g8 = v160 - 324;
                                                                g3 = *(int32_t *)(*(int32_t *)(v160 - 4) + 4);
                                                                function_46b9d4();
                                                                v161 = g4;
                                                                g8 = v161 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v161 - 4) + 4);
                                                                function_46a30c();
                                                                *(int32_t *)(g4 - 260) = 5;
                                                                g3 = *(int32_t *)(g4 - 4);
                                                                function_469fd8();
                                                                *(int32_t *)(g4 - 244) = g3;
                                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                v205 = g4;
                                                                g8 = v205 - 260;
                                                                g3 = *(int32_t *)(*(int32_t *)(v205 - 4) + 4);
                                                                if (*(char *)(v205 - 37) == 3) {
                                                                    // 0x468b2e
                                                                    function_46b614();
                                                                    *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                    // branch -> 0x469a51
                                                                } else {
                                                                    // 0x468b4b
                                                                    function_46b68c();
                                                                    *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                    // branch -> 0x469a51
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                // 0x468b68
                                                                v7 = NULL;
                                                                g11 = v4;
                                                                g6 = 0;
                                                                unknown_468108();
                                                                g8 = g4 - 196;
                                                                function_46a168();
                                                                v164 = g4;
                                                                if (g3 == 0) {
                                                                    // 0x468bce
                                                                    v206 = v164 - 196;
                                                                    if (*(char *)(v164 - 176) == 0) {
                                                                        // 0x468bd7
                                                                        *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                        // branch -> 0x468c1b
                                                                    } else {
                                                                        // 0x468be2
                                                                        g8 = v206;
                                                                        g3 = *(int32_t *)(v164 - 4);
                                                                        function_469c8c();
                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                        v165 = g4;
                                                                        g11 = (int32_t)&v5;
                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                        g6 = g6 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                        function_46ae10();
                                                                        g6 = -1;
                                                                        v166 = g4;
                                                                        g8 = v166 - 196;
                                                                        g3 = *(int32_t *)(v166 - 4);
                                                                        function_469f40();
                                                                        // branch -> 0x468c1b
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    // 0x468b93
                                                                    g8 = v164 - 196;
                                                                    g3 = *(int32_t *)(v164 - 4);
                                                                    function_469c8c();
                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                    v162 = g4;
                                                                    g11 = (int32_t)&v5;
                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                    g6 = g6 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                    function_46ae10();
                                                                    g6 = -1;
                                                                    v163 = g4;
                                                                    g8 = v163 - 196;
                                                                    g3 = *(int32_t *)(v163 - 4);
                                                                    function_469f40();
                                                                    // branch -> 0x468c1b
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // 0x4688ce
                                                    v7 = NULL;
                                                    unknown_468108();
                                                    v146 = g4;
                                                    g6 = v146 - 196;
                                                    g8 = *(int32_t *)(*v122 + 4) & -256 | 3;
                                                    g3 = *(int32_t *)(v146 - 4);
                                                    function_463360();
                                                    v147 = g4;
                                                    g8 = v147 - 196;
                                                    g3 = *(int32_t *)(*(int32_t *)(v147 - 4) + 4);
                                                    function_46b59c();
                                                    g6 = -1;
                                                    v148 = g4;
                                                    g8 = v148 - 196;
                                                    g3 = *(int32_t *)(v148 - 4);
                                                    function_469f40();
                                                    v5 = NULL;
                                                    g6 = 0;
                                                    unknown_468108();
                                                    v149 = g4;
                                                    g8 = v149 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v149 - 4) + 4);
                                                    function_46ba4c();
                                                    v150 = g4;
                                                    g8 = v150 - 260;
                                                    g3 = *(int32_t *)(v150 - 4);
                                                    function_469f40();
                                                    v151 = g4;
                                                    g8 = v151 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v151 - 4) + 4);
                                                    function_46a30c();
                                                    v12 = (int32_t *)0x47800000;
                                                    g11 = (int32_t)&v12;
                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                    function_463ffc();
                                                    *(int32_t *)(g4 - 244) = g3;
                                                    v152 = g4;
                                                    g8 = v152 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v152 - 4) + 4);
                                                    function_46b8e4();
                                                    v153 = g4;
                                                    g8 = v153 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v153 - 4) + 4);
                                                    function_46a30c();
                                                    *(int32_t *)(g4 - 260) = 5;
                                                    g3 = *(int32_t *)(g4 - 4);
                                                    function_469fd8();
                                                    *(int32_t *)(g4 - 244) = g3;
                                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                    v204 = g4;
                                                    g8 = v204 - 260;
                                                    g3 = *(int32_t *)(*(int32_t *)(v204 - 4) + 4);
                                                    if (*(char *)(v204 - 37) == 3) {
                                                        // 0x4689da
                                                        function_46b614();
                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                        // branch -> 0x469a51
                                                    } else {
                                                        // 0x4689f7
                                                        function_46b68c();
                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                        // branch -> 0x469a51
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // 0x468b68
                                            v7 = NULL;
                                            g11 = v4;
                                            g6 = 0;
                                            unknown_468108();
                                            g8 = g4 - 196;
                                            function_46a168();
                                            v164 = g4;
                                            if (g3 == 0) {
                                                // 0x468bce
                                                v206 = v164 - 196;
                                                if (*(char *)(v164 - 176) == 0) {
                                                    // 0x468bd7
                                                    *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                    // branch -> 0x468c1b
                                                } else {
                                                    // 0x468be2
                                                    g8 = v206;
                                                    g3 = *(int32_t *)(v164 - 4);
                                                    function_469c8c();
                                                    *(int32_t *)(g4 - 20) = g3;
                                                    v165 = g4;
                                                    g11 = (int32_t)&v5;
                                                    g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                    g6 = g6 & -256 | 1;
                                                    g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                    function_46ae10();
                                                    g6 = -1;
                                                    v166 = g4;
                                                    g8 = v166 - 196;
                                                    g3 = *(int32_t *)(v166 - 4);
                                                    function_469f40();
                                                    // branch -> 0x468c1b
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            } else {
                                                // 0x468b93
                                                g8 = v164 - 196;
                                                g3 = *(int32_t *)(v164 - 4);
                                                function_469c8c();
                                                *(int32_t *)(g4 - 20) = g3;
                                                v162 = g4;
                                                g11 = (int32_t)&v5;
                                                g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                g6 = g6 & -256 | 1;
                                                g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                function_46ae10();
                                                g6 = -1;
                                                v163 = g4;
                                                g8 = v163 - 196;
                                                g3 = *(int32_t *)(v163 - 4);
                                                function_469f40();
                                                // branch -> 0x468c1b
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                    }
                                }
                                // 0x468878
                                g11 = (int32_t)&v7;
                                g6 = *(int32_t *)(v203 - 12);
                                g8 = *v122;
                                g3 = *(int32_t *)(v203 - 4);
                                function_462be0();
                                // branch -> 0x4693c1
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                        }
                        // 0x468833
                        v202 = g4;
                        v7 = (int32_t *)*(int32_t *)(v202 - 12);
                        v121 = (int32_t *)(v202 - 8);
                        g6 = *v121;
                        g8 = (int32_t)*(char *)(*v121 + 13);
                        g3 = *(int32_t *)(v202 - 4);
                        function_4653e4();
                        // branch -> 0x4693c1
                    }
                } else {
                    // 0x468637
                    v298 = *(int32_t *)(*v276 + 44);
                    if (*(char *)(v298 + 99) == 0) {
                        // 0x468675
                        v7 = NULL;
                        g11 = v4;
                        unknown_468108();
                        v282 = g4;
                        if (*(char *)(v282 - 176) == 0) {
                            // 0x46870b
                            g8 = v282 - 260;
                            g3 = *(int32_t *)(*(int32_t *)(v282 - 4) + 4);
                            function_46a30c();
                            *(char *)(g4 - 240) = 1;
                            v290 = g4;
                            v304 = *(int32_t *)(*(int32_t *)(v290 - 8) + 44);
                            *(int32_t *)(v290 - 236) = *(int32_t *)(v304 + 76);
                            g6 = -1;
                            v283 = g4;
                            g8 = v283 - 196;
                            g3 = *(int32_t *)(v283 - 4);
                            function_4673b4();
                            *(int32_t *)(g4 - 20) = g3;
                            g11 = (int32_t)&v5;
                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                            function_46acd4();
                            g8 = g8 & -256 | 124;
                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                            function_462278();
                            g8 = g8 & -256 | 2;
                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                            function_462278();
                            g8 = g8 & -256 | 205;
                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                            function_462278();
                            g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 8);
                            function_462278();
                            v291 = g4;
                            v281 = (int32_t *)(v291 - 8);
                            v305 = *(int32_t *)(*v281 + 44);
                            if (*(int32_t *)(*(int32_t *)(v305 + 24) + 72) != 4) {
                                // 0x4687a0
                                if (*(int32_t *)(*(int32_t *)(*v281 + 44) + 40) == 0) {
                                    // 0x4687bb
                                    g8 = v291 - 260;
                                    g3 = *(int32_t *)(*(int32_t *)(v291 - 4) + 4);
                                    function_46a30c();
                                    *(char *)(g4 - 240) = 1;
                                    v292 = g4;
                                    v306 = *(int32_t *)(*(int32_t *)(v292 - 8) + 44);
                                    v307 = *(int32_t *)(*(int32_t *)(v306 + 24) + 72);
                                    *(int32_t *)(v292 - 236) = v307;
                                    v293 = g4;
                                    *(int32_t *)(v293 - 260) = *(int32_t *)(v293 - 20);
                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4);
                                    function_46b0d8();
                                    v294 = g4;
                                    *(int32_t *)(v294 - 124) = *(int32_t *)(v294 - 20);
                                    // branch -> 0x468808
                                    // 0x468808
                                    v120 = (int32_t *)(g4 - 8);
                                    if (*(char *)(*v120 + 12) == 3) {
                                        // 0x468815
                                        v237 = *v120;
                                        g3 = (int32_t)*(char *)(v237 + 13) | v237 & -256;
                                        function_459cb0();
                                        if (g3 == 0) {
                                            // 0x468824
                                            v238 = *(int32_t *)(g4 - 8);
                                            g3 = (int32_t)*(char *)(v238 + 13) | v238 & -256;
                                            function_459d30();
                                            if (g3 == 0) {
                                                // 0x468854
                                                v203 = g4;
                                                v122 = (int32_t *)(v203 - 8);
                                                v239 = *(int32_t *)(*v122 + 4);
                                                if (*(char *)(*(int32_t *)(v239 + 56) + 9) != 3) {
                                                    // 0x468863
                                                    v240 = *(int32_t *)(*v122 + 8);
                                                    if (*(char *)(*(int32_t *)(v240 + 56) + 9) != 3) {
                                                        // 0x468872
                                                        if (*(char *)(v203 - 37) != 3) {
                                                            // 0x468892
                                                            v241 = *(int32_t *)(*v122 + 4);
                                                            if (*(char *)(*(int32_t *)(v241 + 56) + 9) == 8) {
                                                                // 0x4688a5
                                                                v242 = *(int32_t *)(*v122 + 8);
                                                                if (*(char *)(*(int32_t *)(v242 + 56) + 9) == 8) {
                                                                    // 0x4688b8
                                                                    if (*(char *)(*v122 + 13) != 4) {
                                                                        // 0x4688c1
                                                                        if (*(char *)(*v122 + 13) != 5) {
                                                                            // 0x468a14
                                                                            if (*(char *)(*v122 + 13) == 3) {
                                                                                // 0x468a21
                                                                                v7 = NULL;
                                                                                g6 = 0;
                                                                                unknown_468108();
                                                                                v154 = g4;
                                                                                g8 = v154 - 196;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v154 - 4) + 4);
                                                                                function_46b59c();
                                                                                v155 = g4;
                                                                                g8 = v155 - 196;
                                                                                g3 = *(int32_t *)(v155 - 4);
                                                                                function_469f40();
                                                                                v156 = g4;
                                                                                g8 = v156 - 324;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v156 - 4) + 4);
                                                                                function_46a30c();
                                                                                v5 = (int32_t *)0x47800000;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                                function_463ffc();
                                                                                *(int32_t *)(g4 - 308) = g3;
                                                                                v157 = g4;
                                                                                g8 = v157 - 324;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v157 - 4) + 4);
                                                                                function_46b9d4();
                                                                                g11 = (int32_t)&v12;
                                                                                g6 = 0;
                                                                                unknown_468108();
                                                                                v158 = g4;
                                                                                g8 = v158 - 260;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v158 - 4) + 4);
                                                                                function_46b95c();
                                                                                g6 = -1;
                                                                                v159 = g4;
                                                                                g8 = v159 - 260;
                                                                                g3 = *(int32_t *)(v159 - 4);
                                                                                function_469f40();
                                                                                v160 = g4;
                                                                                g8 = v160 - 324;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v160 - 4) + 4);
                                                                                function_46b9d4();
                                                                                v161 = g4;
                                                                                g8 = v161 - 260;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v161 - 4) + 4);
                                                                                function_46a30c();
                                                                                *(int32_t *)(g4 - 260) = 5;
                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                function_469fd8();
                                                                                *(int32_t *)(g4 - 244) = g3;
                                                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                                v205 = g4;
                                                                                g8 = v205 - 260;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v205 - 4) + 4);
                                                                                if (*(char *)(v205 - 37) == 3) {
                                                                                    // 0x468b2e
                                                                                    function_46b614();
                                                                                    *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                                    // branch -> 0x469a51
                                                                                } else {
                                                                                    // 0x468b4b
                                                                                    function_46b68c();
                                                                                    *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                                    // branch -> 0x469a51
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            } else {
                                                                                // 0x468b68
                                                                                v7 = NULL;
                                                                                g11 = v4;
                                                                                g6 = 0;
                                                                                unknown_468108();
                                                                                g8 = g4 - 196;
                                                                                function_46a168();
                                                                                v164 = g4;
                                                                                if (g3 == 0) {
                                                                                    // 0x468bce
                                                                                    v206 = v164 - 196;
                                                                                    if (*(char *)(v164 - 176) == 0) {
                                                                                        // 0x468bd7
                                                                                        *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                                        // branch -> 0x468c1b
                                                                                    } else {
                                                                                        // 0x468be2
                                                                                        g8 = v206;
                                                                                        g3 = *(int32_t *)(v164 - 4);
                                                                                        function_469c8c();
                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                        v165 = g4;
                                                                                        g11 = (int32_t)&v5;
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                                        g6 = g6 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                                        function_46ae10();
                                                                                        g6 = -1;
                                                                                        v166 = g4;
                                                                                        g8 = v166 - 196;
                                                                                        g3 = *(int32_t *)(v166 - 4);
                                                                                        function_469f40();
                                                                                        // branch -> 0x468c1b
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                } else {
                                                                                    // 0x468b93
                                                                                    g8 = v164 - 196;
                                                                                    g3 = *(int32_t *)(v164 - 4);
                                                                                    function_469c8c();
                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                    v162 = g4;
                                                                                    g11 = (int32_t)&v5;
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                                    g6 = g6 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                                    function_46ae10();
                                                                                    g6 = -1;
                                                                                    v163 = g4;
                                                                                    g8 = v163 - 196;
                                                                                    g3 = *(int32_t *)(v163 - 4);
                                                                                    function_469f40();
                                                                                    // branch -> 0x468c1b
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // 0x4688ce
                                                                    v7 = NULL;
                                                                    unknown_468108();
                                                                    v146 = g4;
                                                                    g6 = v146 - 196;
                                                                    g8 = *(int32_t *)(*v122 + 4) & -256 | 3;
                                                                    g3 = *(int32_t *)(v146 - 4);
                                                                    function_463360();
                                                                    v147 = g4;
                                                                    g8 = v147 - 196;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v147 - 4) + 4);
                                                                    function_46b59c();
                                                                    g6 = -1;
                                                                    v148 = g4;
                                                                    g8 = v148 - 196;
                                                                    g3 = *(int32_t *)(v148 - 4);
                                                                    function_469f40();
                                                                    v5 = NULL;
                                                                    g6 = 0;
                                                                    unknown_468108();
                                                                    v149 = g4;
                                                                    g8 = v149 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v149 - 4) + 4);
                                                                    function_46ba4c();
                                                                    v150 = g4;
                                                                    g8 = v150 - 260;
                                                                    g3 = *(int32_t *)(v150 - 4);
                                                                    function_469f40();
                                                                    v151 = g4;
                                                                    g8 = v151 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v151 - 4) + 4);
                                                                    function_46a30c();
                                                                    v12 = (int32_t *)0x47800000;
                                                                    g11 = (int32_t)&v12;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                    function_463ffc();
                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                    v152 = g4;
                                                                    g8 = v152 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v152 - 4) + 4);
                                                                    function_46b8e4();
                                                                    v153 = g4;
                                                                    g8 = v153 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v153 - 4) + 4);
                                                                    function_46a30c();
                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                    function_469fd8();
                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                    v204 = g4;
                                                                    g8 = v204 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v204 - 4) + 4);
                                                                    if (*(char *)(v204 - 37) == 3) {
                                                                        // 0x4689da
                                                                        function_46b614();
                                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                        // branch -> 0x469a51
                                                                    } else {
                                                                        // 0x4689f7
                                                                        function_46b68c();
                                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                        // branch -> 0x469a51
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x468b68
                                                            v7 = NULL;
                                                            g11 = v4;
                                                            g6 = 0;
                                                            unknown_468108();
                                                            g8 = g4 - 196;
                                                            function_46a168();
                                                            v164 = g4;
                                                            if (g3 == 0) {
                                                                // 0x468bce
                                                                v206 = v164 - 196;
                                                                if (*(char *)(v164 - 176) == 0) {
                                                                    // 0x468bd7
                                                                    *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                    // branch -> 0x468c1b
                                                                } else {
                                                                    // 0x468be2
                                                                    g8 = v206;
                                                                    g3 = *(int32_t *)(v164 - 4);
                                                                    function_469c8c();
                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                    v165 = g4;
                                                                    g11 = (int32_t)&v5;
                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                    g6 = g6 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                    function_46ae10();
                                                                    g6 = -1;
                                                                    v166 = g4;
                                                                    g8 = v166 - 196;
                                                                    g3 = *(int32_t *)(v166 - 4);
                                                                    function_469f40();
                                                                    // branch -> 0x468c1b
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                // 0x468b93
                                                                g8 = v164 - 196;
                                                                g3 = *(int32_t *)(v164 - 4);
                                                                function_469c8c();
                                                                *(int32_t *)(g4 - 20) = g3;
                                                                v162 = g4;
                                                                g11 = (int32_t)&v5;
                                                                g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                g6 = g6 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                function_46ae10();
                                                                g6 = -1;
                                                                v163 = g4;
                                                                g8 = v163 - 196;
                                                                g3 = *(int32_t *)(v163 - 4);
                                                                function_469f40();
                                                                // branch -> 0x468c1b
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                }
                                                // 0x468878
                                                g11 = (int32_t)&v7;
                                                g6 = *(int32_t *)(v203 - 12);
                                                g8 = *v122;
                                                g3 = *(int32_t *)(v203 - 4);
                                                function_462be0();
                                                // branch -> 0x4693c1
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                        }
                                        // 0x468833
                                        v202 = g4;
                                        v7 = (int32_t *)*(int32_t *)(v202 - 12);
                                        v121 = (int32_t *)(v202 - 8);
                                        g6 = *v121;
                                        g8 = (int32_t)*(char *)(*v121 + 13);
                                        g3 = *(int32_t *)(v202 - 4);
                                        function_4653e4();
                                        // branch -> 0x4693c1
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                            }
                            // 0x4687ac
                            *(int32_t *)(v291 - 124) = *(int32_t *)(v291 - 20);
                            *(int32_t *)(g4 - 120) = 2;
                            // branch -> 0x468808
                        } else {
                            // 0x468697
                            v277 = (int32_t *)(v282 - 172);
                            if (*v277 >= 0) {
                                // 0x4686a0
                                v278 = (int32_t *)(v282 - 8);
                                if (*(int32_t *)(*(int32_t *)(*v278 + 44) + 76) > *v277) {
                                    // 0x4686d4
                                    if (*(int32_t *)(*(int32_t *)(*v278 + 44) + 40) == 0) {
                                        // 0x4686e0
                                        v302 = *(int32_t *)(*v278 + 44);
                                        v303 = *(int32_t *)(*(int32_t *)(v302 + 24) + 72);
                                        v279 = (int32_t *)(v282 - 116);
                                        *v279 = *v277 * v303 + *v279;
                                        // branch -> 0x468808
                                    } else {
                                        // 0x4686fa
                                        v280 = (int32_t *)(v282 - 116);
                                        *v280 = *v280 + 4 * *v277;
                                        // branch -> 0x468808
                                    }
                                    // 0x468808
                                    v120 = (int32_t *)(g4 - 8);
                                    if (*(char *)(*v120 + 12) == 3) {
                                        // 0x468815
                                        v237 = *v120;
                                        g3 = (int32_t)*(char *)(v237 + 13) | v237 & -256;
                                        function_459cb0();
                                        if (g3 == 0) {
                                            // 0x468824
                                            v238 = *(int32_t *)(g4 - 8);
                                            g3 = (int32_t)*(char *)(v238 + 13) | v238 & -256;
                                            function_459d30();
                                            if (g3 == 0) {
                                                // 0x468854
                                                v203 = g4;
                                                v122 = (int32_t *)(v203 - 8);
                                                v239 = *(int32_t *)(*v122 + 4);
                                                if (*(char *)(*(int32_t *)(v239 + 56) + 9) != 3) {
                                                    // 0x468863
                                                    v240 = *(int32_t *)(*v122 + 8);
                                                    if (*(char *)(*(int32_t *)(v240 + 56) + 9) != 3) {
                                                        // 0x468872
                                                        if (*(char *)(v203 - 37) != 3) {
                                                            // 0x468892
                                                            v241 = *(int32_t *)(*v122 + 4);
                                                            if (*(char *)(*(int32_t *)(v241 + 56) + 9) == 8) {
                                                                // 0x4688a5
                                                                v242 = *(int32_t *)(*v122 + 8);
                                                                if (*(char *)(*(int32_t *)(v242 + 56) + 9) == 8) {
                                                                    // 0x4688b8
                                                                    if (*(char *)(*v122 + 13) != 4) {
                                                                        // 0x4688c1
                                                                        if (*(char *)(*v122 + 13) != 5) {
                                                                            // 0x468a14
                                                                            if (*(char *)(*v122 + 13) == 3) {
                                                                                // 0x468a21
                                                                                v7 = NULL;
                                                                                g6 = 0;
                                                                                unknown_468108();
                                                                                v154 = g4;
                                                                                g8 = v154 - 196;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v154 - 4) + 4);
                                                                                function_46b59c();
                                                                                v155 = g4;
                                                                                g8 = v155 - 196;
                                                                                g3 = *(int32_t *)(v155 - 4);
                                                                                function_469f40();
                                                                                v156 = g4;
                                                                                g8 = v156 - 324;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v156 - 4) + 4);
                                                                                function_46a30c();
                                                                                v5 = (int32_t *)0x47800000;
                                                                                g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                                System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                                function_463ffc();
                                                                                *(int32_t *)(g4 - 308) = g3;
                                                                                v157 = g4;
                                                                                g8 = v157 - 324;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v157 - 4) + 4);
                                                                                function_46b9d4();
                                                                                g11 = (int32_t)&v12;
                                                                                g6 = 0;
                                                                                unknown_468108();
                                                                                v158 = g4;
                                                                                g8 = v158 - 260;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v158 - 4) + 4);
                                                                                function_46b95c();
                                                                                g6 = -1;
                                                                                v159 = g4;
                                                                                g8 = v159 - 260;
                                                                                g3 = *(int32_t *)(v159 - 4);
                                                                                function_469f40();
                                                                                v160 = g4;
                                                                                g8 = v160 - 324;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v160 - 4) + 4);
                                                                                function_46b9d4();
                                                                                v161 = g4;
                                                                                g8 = v161 - 260;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v161 - 4) + 4);
                                                                                function_46a30c();
                                                                                *(int32_t *)(g4 - 260) = 5;
                                                                                g3 = *(int32_t *)(g4 - 4);
                                                                                function_469fd8();
                                                                                *(int32_t *)(g4 - 244) = g3;
                                                                                System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                                v205 = g4;
                                                                                g8 = v205 - 260;
                                                                                g3 = *(int32_t *)(*(int32_t *)(v205 - 4) + 4);
                                                                                if (*(char *)(v205 - 37) == 3) {
                                                                                    // 0x468b2e
                                                                                    function_46b614();
                                                                                    *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                                    // branch -> 0x469a51
                                                                                } else {
                                                                                    // 0x468b4b
                                                                                    function_46b68c();
                                                                                    *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                                    // branch -> 0x469a51
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            } else {
                                                                                // 0x468b68
                                                                                v7 = NULL;
                                                                                g11 = v4;
                                                                                g6 = 0;
                                                                                unknown_468108();
                                                                                g8 = g4 - 196;
                                                                                function_46a168();
                                                                                v164 = g4;
                                                                                if (g3 == 0) {
                                                                                    // 0x468bce
                                                                                    v206 = v164 - 196;
                                                                                    if (*(char *)(v164 - 176) == 0) {
                                                                                        // 0x468bd7
                                                                                        *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                                        // branch -> 0x468c1b
                                                                                    } else {
                                                                                        // 0x468be2
                                                                                        g8 = v206;
                                                                                        g3 = *(int32_t *)(v164 - 4);
                                                                                        function_469c8c();
                                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                                        v165 = g4;
                                                                                        g11 = (int32_t)&v5;
                                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                                        g6 = g6 & -256 | 1;
                                                                                        g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                                        function_46ae10();
                                                                                        g6 = -1;
                                                                                        v166 = g4;
                                                                                        g8 = v166 - 196;
                                                                                        g3 = *(int32_t *)(v166 - 4);
                                                                                        function_469f40();
                                                                                        // branch -> 0x468c1b
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                } else {
                                                                                    // 0x468b93
                                                                                    g8 = v164 - 196;
                                                                                    g3 = *(int32_t *)(v164 - 4);
                                                                                    function_469c8c();
                                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                                    v162 = g4;
                                                                                    g11 = (int32_t)&v5;
                                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                                    g6 = g6 & -256 | 1;
                                                                                    g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                                    function_46ae10();
                                                                                    g6 = -1;
                                                                                    v163 = g4;
                                                                                    g8 = v163 - 196;
                                                                                    g3 = *(int32_t *)(v163 - 4);
                                                                                    function_469f40();
                                                                                    // branch -> 0x468c1b
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // 0x4688ce
                                                                    v7 = NULL;
                                                                    unknown_468108();
                                                                    v146 = g4;
                                                                    g6 = v146 - 196;
                                                                    g8 = *(int32_t *)(*v122 + 4) & -256 | 3;
                                                                    g3 = *(int32_t *)(v146 - 4);
                                                                    function_463360();
                                                                    v147 = g4;
                                                                    g8 = v147 - 196;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v147 - 4) + 4);
                                                                    function_46b59c();
                                                                    g6 = -1;
                                                                    v148 = g4;
                                                                    g8 = v148 - 196;
                                                                    g3 = *(int32_t *)(v148 - 4);
                                                                    function_469f40();
                                                                    v5 = NULL;
                                                                    g6 = 0;
                                                                    unknown_468108();
                                                                    v149 = g4;
                                                                    g8 = v149 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v149 - 4) + 4);
                                                                    function_46ba4c();
                                                                    v150 = g4;
                                                                    g8 = v150 - 260;
                                                                    g3 = *(int32_t *)(v150 - 4);
                                                                    function_469f40();
                                                                    v151 = g4;
                                                                    g8 = v151 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v151 - 4) + 4);
                                                                    function_46a30c();
                                                                    v12 = (int32_t *)0x47800000;
                                                                    g11 = (int32_t)&v12;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                    function_463ffc();
                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                    v152 = g4;
                                                                    g8 = v152 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v152 - 4) + 4);
                                                                    function_46b8e4();
                                                                    v153 = g4;
                                                                    g8 = v153 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v153 - 4) + 4);
                                                                    function_46a30c();
                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                    function_469fd8();
                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                    v204 = g4;
                                                                    g8 = v204 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v204 - 4) + 4);
                                                                    if (*(char *)(v204 - 37) == 3) {
                                                                        // 0x4689da
                                                                        function_46b614();
                                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                        // branch -> 0x469a51
                                                                    } else {
                                                                        // 0x4689f7
                                                                        function_46b68c();
                                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                        // branch -> 0x469a51
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x468b68
                                                            v7 = NULL;
                                                            g11 = v4;
                                                            g6 = 0;
                                                            unknown_468108();
                                                            g8 = g4 - 196;
                                                            function_46a168();
                                                            v164 = g4;
                                                            if (g3 == 0) {
                                                                // 0x468bce
                                                                v206 = v164 - 196;
                                                                if (*(char *)(v164 - 176) == 0) {
                                                                    // 0x468bd7
                                                                    *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                    // branch -> 0x468c1b
                                                                } else {
                                                                    // 0x468be2
                                                                    g8 = v206;
                                                                    g3 = *(int32_t *)(v164 - 4);
                                                                    function_469c8c();
                                                                    *(int32_t *)(g4 - 20) = g3;
                                                                    v165 = g4;
                                                                    g11 = (int32_t)&v5;
                                                                    g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                    g6 = g6 & -256 | 1;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                    function_46ae10();
                                                                    g6 = -1;
                                                                    v166 = g4;
                                                                    g8 = v166 - 196;
                                                                    g3 = *(int32_t *)(v166 - 4);
                                                                    function_469f40();
                                                                    // branch -> 0x468c1b
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                // 0x468b93
                                                                g8 = v164 - 196;
                                                                g3 = *(int32_t *)(v164 - 4);
                                                                function_469c8c();
                                                                *(int32_t *)(g4 - 20) = g3;
                                                                v162 = g4;
                                                                g11 = (int32_t)&v5;
                                                                g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                g6 = g6 & -256 | 1;
                                                                g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                function_46ae10();
                                                                g6 = -1;
                                                                v163 = g4;
                                                                g8 = v163 - 196;
                                                                g3 = *(int32_t *)(v163 - 4);
                                                                function_469f40();
                                                                // branch -> 0x468c1b
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                }
                                                // 0x468878
                                                g11 = (int32_t)&v7;
                                                g6 = *(int32_t *)(v203 - 12);
                                                g8 = *v122;
                                                g3 = *(int32_t *)(v203 - 4);
                                                function_462be0();
                                                // branch -> 0x4693c1
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                        }
                                        // 0x468833
                                        v202 = g4;
                                        v7 = (int32_t *)*(int32_t *)(v202 - 12);
                                        v121 = (int32_t *)(v202 - 8);
                                        g6 = *v121;
                                        g8 = (int32_t)*(char *)(*v121 + 13);
                                        g3 = *(int32_t *)(v202 - 4);
                                        function_4653e4();
                                        // branch -> 0x4693c1
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                            }
                            // 0x4686b1
                            System__AsClass(NULL, (int32_t *)0x4637dc);
                            g3 = *(int32_t *)(*(int32_t *)(*(int32_t *)(v282 - 4) + 16) + 12);
                            g8 = 0x469ad4;
                            function_45bf7c();
                            // branch -> 0x469a51
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // 0x468808
                        v120 = (int32_t *)(g4 - 8);
                        if (*(char *)(*v120 + 12) == 3) {
                            // 0x468815
                            v237 = *v120;
                            g3 = (int32_t)*(char *)(v237 + 13) | v237 & -256;
                            function_459cb0();
                            if (g3 == 0) {
                                // 0x468824
                                v238 = *(int32_t *)(g4 - 8);
                                g3 = (int32_t)*(char *)(v238 + 13) | v238 & -256;
                                function_459d30();
                                if (g3 == 0) {
                                    // 0x468854
                                    v203 = g4;
                                    v122 = (int32_t *)(v203 - 8);
                                    v239 = *(int32_t *)(*v122 + 4);
                                    if (*(char *)(*(int32_t *)(v239 + 56) + 9) != 3) {
                                        // 0x468863
                                        v240 = *(int32_t *)(*v122 + 8);
                                        if (*(char *)(*(int32_t *)(v240 + 56) + 9) != 3) {
                                            // 0x468872
                                            if (*(char *)(v203 - 37) != 3) {
                                                // 0x468892
                                                v241 = *(int32_t *)(*v122 + 4);
                                                if (*(char *)(*(int32_t *)(v241 + 56) + 9) == 8) {
                                                    // 0x4688a5
                                                    v242 = *(int32_t *)(*v122 + 8);
                                                    if (*(char *)(*(int32_t *)(v242 + 56) + 9) == 8) {
                                                        // 0x4688b8
                                                        if (*(char *)(*v122 + 13) != 4) {
                                                            // 0x4688c1
                                                            if (*(char *)(*v122 + 13) != 5) {
                                                                // 0x468a14
                                                                if (*(char *)(*v122 + 13) == 3) {
                                                                    // 0x468a21
                                                                    v7 = NULL;
                                                                    g6 = 0;
                                                                    unknown_468108();
                                                                    v154 = g4;
                                                                    g8 = v154 - 196;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v154 - 4) + 4);
                                                                    function_46b59c();
                                                                    v155 = g4;
                                                                    g8 = v155 - 196;
                                                                    g3 = *(int32_t *)(v155 - 4);
                                                                    function_469f40();
                                                                    v156 = g4;
                                                                    g8 = v156 - 324;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v156 - 4) + 4);
                                                                    function_46a30c();
                                                                    v5 = (int32_t *)0x47800000;
                                                                    g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                                    System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                                    function_463ffc();
                                                                    *(int32_t *)(g4 - 308) = g3;
                                                                    v157 = g4;
                                                                    g8 = v157 - 324;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v157 - 4) + 4);
                                                                    function_46b9d4();
                                                                    g11 = (int32_t)&v12;
                                                                    g6 = 0;
                                                                    unknown_468108();
                                                                    v158 = g4;
                                                                    g8 = v158 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v158 - 4) + 4);
                                                                    function_46b95c();
                                                                    g6 = -1;
                                                                    v159 = g4;
                                                                    g8 = v159 - 260;
                                                                    g3 = *(int32_t *)(v159 - 4);
                                                                    function_469f40();
                                                                    v160 = g4;
                                                                    g8 = v160 - 324;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v160 - 4) + 4);
                                                                    function_46b9d4();
                                                                    v161 = g4;
                                                                    g8 = v161 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v161 - 4) + 4);
                                                                    function_46a30c();
                                                                    *(int32_t *)(g4 - 260) = 5;
                                                                    g3 = *(int32_t *)(g4 - 4);
                                                                    function_469fd8();
                                                                    *(int32_t *)(g4 - 244) = g3;
                                                                    System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                                    v205 = g4;
                                                                    g8 = v205 - 260;
                                                                    g3 = *(int32_t *)(*(int32_t *)(v205 - 4) + 4);
                                                                    if (*(char *)(v205 - 37) == 3) {
                                                                        // 0x468b2e
                                                                        function_46b614();
                                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                                        // branch -> 0x469a51
                                                                    } else {
                                                                        // 0x468b4b
                                                                        function_46b68c();
                                                                        *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                                        // branch -> 0x469a51
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    // 0x468b68
                                                                    v7 = NULL;
                                                                    g11 = v4;
                                                                    g6 = 0;
                                                                    unknown_468108();
                                                                    g8 = g4 - 196;
                                                                    function_46a168();
                                                                    v164 = g4;
                                                                    if (g3 == 0) {
                                                                        // 0x468bce
                                                                        v206 = v164 - 196;
                                                                        if (*(char *)(v164 - 176) == 0) {
                                                                            // 0x468bd7
                                                                            *(int32_t *)(v164 - 20) = *(int32_t *)v206;
                                                                            // branch -> 0x468c1b
                                                                        } else {
                                                                            // 0x468be2
                                                                            g8 = v206;
                                                                            g3 = *(int32_t *)(v164 - 4);
                                                                            function_469c8c();
                                                                            *(int32_t *)(g4 - 20) = g3;
                                                                            v165 = g4;
                                                                            g11 = (int32_t)&v5;
                                                                            g8 = g8 & -256 | (int32_t)*(char *)(v165 - 20);
                                                                            g6 = g6 & -256 | 1;
                                                                            g3 = *(int32_t *)(*(int32_t *)(v165 - 4) + 4);
                                                                            function_46ae10();
                                                                            g6 = -1;
                                                                            v166 = g4;
                                                                            g8 = v166 - 196;
                                                                            g3 = *(int32_t *)(v166 - 4);
                                                                            function_469f40();
                                                                            // branch -> 0x468c1b
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        // 0x468b93
                                                                        g8 = v164 - 196;
                                                                        g3 = *(int32_t *)(v164 - 4);
                                                                        function_469c8c();
                                                                        *(int32_t *)(g4 - 20) = g3;
                                                                        v162 = g4;
                                                                        g11 = (int32_t)&v5;
                                                                        g8 = g8 & -256 | (int32_t)*(char *)(v162 - 20);
                                                                        g6 = g6 & -256 | 1;
                                                                        g3 = *(int32_t *)(*(int32_t *)(v162 - 4) + 4);
                                                                        function_46ae10();
                                                                        g6 = -1;
                                                                        v163 = g4;
                                                                        g8 = v163 - 196;
                                                                        g3 = *(int32_t *)(v163 - 4);
                                                                        function_469f40();
                                                                        // branch -> 0x468c1b
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x4688ce
                                                        v7 = NULL;
                                                        unknown_468108();
                                                        v146 = g4;
                                                        g6 = v146 - 196;
                                                        g8 = *(int32_t *)(*v122 + 4) & -256 | 3;
                                                        g3 = *(int32_t *)(v146 - 4);
                                                        function_463360();
                                                        v147 = g4;
                                                        g8 = v147 - 196;
                                                        g3 = *(int32_t *)(*(int32_t *)(v147 - 4) + 4);
                                                        function_46b59c();
                                                        g6 = -1;
                                                        v148 = g4;
                                                        g8 = v148 - 196;
                                                        g3 = *(int32_t *)(v148 - 4);
                                                        function_469f40();
                                                        v5 = NULL;
                                                        g6 = 0;
                                                        unknown_468108();
                                                        v149 = g4;
                                                        g8 = v149 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v149 - 4) + 4);
                                                        function_46ba4c();
                                                        v150 = g4;
                                                        g8 = v150 - 260;
                                                        g3 = *(int32_t *)(v150 - 4);
                                                        function_469f40();
                                                        v151 = g4;
                                                        g8 = v151 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v151 - 4) + 4);
                                                        function_46a30c();
                                                        v12 = (int32_t *)0x47800000;
                                                        g11 = (int32_t)&v12;
                                                        g3 = *(int32_t *)(*(int32_t *)(g4 - 4) + 16);
                                                        System__AsClass((int32_t *)-1, (int32_t *)0x4637dc);
                                                        function_463ffc();
                                                        *(int32_t *)(g4 - 244) = g3;
                                                        v152 = g4;
                                                        g8 = v152 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v152 - 4) + 4);
                                                        function_46b8e4();
                                                        v153 = g4;
                                                        g8 = v153 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v153 - 4) + 4);
                                                        function_46a30c();
                                                        *(int32_t *)(g4 - 260) = 5;
                                                        g3 = *(int32_t *)(g4 - 4);
                                                        function_469fd8();
                                                        *(int32_t *)(g4 - 244) = g3;
                                                        System__CopyRecord((int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
                                                        v204 = g4;
                                                        g8 = v204 - 260;
                                                        g3 = *(int32_t *)(*(int32_t *)(v204 - 4) + 4);
                                                        if (*(char *)(v204 - 37) == 3) {
                                                            // 0x4689da
                                                            function_46b614();
                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 3;
                                                            // branch -> 0x469a51
                                                        } else {
                                                            // 0x4689f7
                                                            function_46b68c();
                                                            *(char *)(*(int32_t *)(g4 + 8) + 32) = 0;
                                                            // branch -> 0x469a51
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                        }
                                    }
                                    // 0x468878
                                    g11 = (int32_t)&v7;
                                    g6 = *(int32_t *)(v203 - 12);
                                    g8 = *v122;
                                    g3 = *(int32_t *)(v203 - 4);
                                    function_462be0();
                                    // branch -> 0x4693c1
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                            }
                            // 0x468833
                            v202 = g4;
                            v7 = (int32_t *)*(int32_t *)(v202 - 12);
                            v121 = (int32_t *)(v202 - 8);
                            g6 = *v121;
                            g8 = (int32_t)*(char *)(*v121 + 13);
                            g3 = *(int32_t *)(v202 - 4);
                            function_4653e4();
                            // branch -> 0x4693c1
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    } else {
                        // 0x468643
                        v299 = *(char *)(v287 + 12);
                        v7 = (int32_t *)((int32_t)v299 | v298 & -256);
                        g11 = (int32_t)&v7;
                        g8 = v287 - 132;
                        g6 = *v276;
                        g3 = *(int32_t *)(v287 - 4);
                        function_4660e0();
                        v288 = g4;
                        v300 = *(int32_t *)(*(int32_t *)(v288 - 8) + 44);
                        *(char *)(v288 - 100) = *(char *)(v300 + 9);
                        v289 = g4;
                        v301 = *(int32_t *)(*(int32_t *)(v289 - 8) + 44);
                        *(int32_t *)(v289 - 96) = *(int32_t *)(v301 + 40);
                        // branch -> 0x4693c1
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
                // Detected a possible infinite recursion (goto support failed); quitting...
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // Detected a possible infinite recursion (goto support failed); quitting...
    }
    // Detected a possible infinite recursion (goto support failed); quitting...
}

// Address range: 0x469c8c - 0x469e17
void function_469c8c(void) {
    int32_t v1;
    int32_t v2 = v1;
    int32_t v3;
    g4 = &v3;
    char * v4;
    memcpy((char *)&v4, (char *)g8, 16);
    int32_t v5 = g3; // 0x469ca0
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    char * v6 = (char *)-1; // bp+010
    int32_t * v7; // 0x469d51_0
    char * v8; // 0x469daa_0
    int32_t * v9; // 0x469dbd_0
    int32_t v10; // 0x469d51
    int32_t v11; // 0x469da1
    int32_t v12; // 0x469daa
    int32_t v13; // 0x469d9b7
    if (&v2 > (int32_t *)3) {
        // 0x469d3d
        if (v6 == (char *)-1) {
            // 0x469d43
            v10 = v5 + 0x18b8;
            v7 = (int32_t *)v10;
            v13 = 0;
            // branch -> 0x469d4e
            while (true) {
                // 0x469d4e
                *v7 = *v7 + 1;
                if (*v7 < 4) {
                    goto lab_0x469d6e_2;
                }
                goto lab_0x469d63_2;
            }
        }
        // 0x469da1
        v11 = (int32_t)v6;
        v12 = 20 * v11;
        v8 = (char *)(v5 + 0x1814 + v12);
        if (*v8 == 0) {
            // 0x469dd4
            *v8 = 1;
            // branch -> 0x469de5
        } else {
            // 0x469db4
            v9 = (int32_t *)(v5 + 0x181c + v12);
            *v9 = *v9 + 1;
            g8 = v5 & -256 | v11 & 255;
            g3 = *(int32_t *)(v5 + 4);
            function_46b214();
            // branch -> 0x469de5
        }
        // 0x469de5
        g3 = 0;
        g8 = v1;
        g6 = 0x469e07;
        abort();
        // UNREACHABLE
    }
    int32_t v14 = v5 + 0x18b8; // 0x469cd4
    int32_t * v15 = (int32_t *)v14; // 0x469cd4_0
    int32_t v16 = &v2; // 0x469d9b8
    // branch -> 0x469cd1
    while (true) {
        // 0x469cd1
        *v15 = *v15 + 1;
        if (*v15 >= 4) {
            // 0x469ce6
            *(char **)v14 = NULL;
            // branch -> 0x469cf1
        }
        int32_t v17 = v16 + 1; // 0x469cf1
        if (*v15 != (int32_t)v4) {
            // 0x469d02
            char * v18;
            if (*v15 != (int32_t)v18) {
                // 0x469d10
                if (*(char *)(v5 + 0x1814 + 20 * *v15) == 0) {
                    // 0x469d29
                    v6 = (char *)*v15;
                    // branch -> 0x469d3d
                    char * v19 = v6; // 0x469de5_09
                    if (v6 == (char *)-1) {
                        // 0x469d43
                        v10 = v5 + 0x18b8;
                        v7 = (int32_t *)v10;
                        v13 = 0;
                        // branch -> 0x469d4e
                        while (true) {
                            // 0x469d4e
                            *v7 = *v7 + 1;
                            if (*v7 >= 4) {
                              lab_0x469d63_2:
                                // 0x469d63
                                *(char **)v10 = NULL;
                                // branch -> 0x469d6e
                            }
                          lab_0x469d6e_2:;
                            int32_t v20 = v13 + 1; // 0x469d6e
                            if (*v7 != (int32_t)v4) {
                                // 0x469d7f
                                if (*v7 != (int32_t)v18) {
                                    // 0x469d8d
                                    // branch -> 0x469da1
                                    // 0x469da1
                                    v11 = (int32_t)(char *)*v7;
                                    v12 = 20 * v11;
                                    v8 = (char *)(v5 + 0x1814 + v12);
                                    if (*v8 == 0) {
                                        // 0x469dd4
                                        *v8 = 1;
                                        // branch -> 0x469de5
                                        // 0x469de5
                                        g3 = 0;
                                        g8 = v1;
                                        g6 = 0x469e07;
                                        abort();
                                        // UNREACHABLE
                                    }
                                    // 0x469db4
                                    v9 = (int32_t *)(v5 + 0x181c + v12);
                                    *v9 = *v9 + 1;
                                    g8 = v5 & -256 | v11 & 255;
                                    g3 = *(int32_t *)(v5 + 4);
                                    function_46b214();
                                    // branch -> 0x469de5
                                    // 0x469de5
                                    g3 = 0;
                                    g8 = v1;
                                    g6 = 0x469e07;
                                    abort();
                                    // UNREACHABLE
                                    // 0x469de5
                                    g3 = 0;
                                    g8 = v1;
                                    g6 = 0x469e07;
                                    abort();
                                    // UNREACHABLE
                                }
                            }
                            // 0x469d9b
                            if (v20 >= 4) {
                                // break -> 0x469da1
                                break;
                            }
                            v13 = v20;
                            // continue -> 0x469d4e
                        }
                        // 0x469da1
                        v19 = (char *)-1;
                        // branch -> 0x469da1
                    }
                    // 0x469da1
                    v11 = (int32_t)v19;
                    v12 = 20 * v11;
                    v8 = (char *)(v5 + 0x1814 + v12);
                    if (*v8 == 0) {
                        // 0x469dd4
                        *v8 = 1;
                        // branch -> 0x469de5
                        // 0x469de5
                        g3 = 0;
                        g8 = v1;
                        g6 = 0x469e07;
                        abort();
                        // UNREACHABLE
                    }
                    // 0x469db4
                    v9 = (int32_t *)(v5 + 0x181c + v12);
                    *v9 = *v9 + 1;
                    g8 = v5 & -256 | v11 & 255;
                    g3 = *(int32_t *)(v5 + 4);
                    function_46b214();
                    // branch -> 0x469de5
                    // 0x469de5
                    g3 = 0;
                    g8 = v1;
                    g6 = 0x469e07;
                    abort();
                    // UNREACHABLE
                }
            }
        }
        // 0x469d37
        if (v17 >= 4) {
            v6 = (char *)-1;
            // break -> 0x469d3d
            break;
        }
        v16 = v17;
        // continue -> 0x469cd1
    }
    // 0x469d3d
    if (v6 == (char *)-1) {
        // 0x469d43
        v10 = v5 + 0x18b8;
        v7 = (int32_t *)v10;
        v13 = 0;
        // branch -> 0x469d4e
        while (true) {
            // 0x469d4e
            *v7 = *v7 + 1;
            if (*v7 < 4) {
                goto lab_0x469d6e_2;
            }
            goto lab_0x469d63_2;
        }
    }
    // 0x469da1
    v11 = (int32_t)v6;
    v12 = 20 * v11;
    v8 = (char *)(v5 + 0x1814 + v12);
    if (*v8 == 0) {
        // 0x469dd4
        *v8 = 1;
        // branch -> 0x469de5
    } else {
        // 0x469db4
        v9 = (int32_t *)(v5 + 0x181c + v12);
        *v9 = *v9 + 1;
        g8 = v5 & -256 | v11 & 255;
        g3 = *(int32_t *)(v5 + 4);
        function_46b214();
        // branch -> 0x469de5
    }
    // 0x469de5
    g3 = 0;
    g8 = v1;
    g6 = 0x469e07;
    abort();
    // UNREACHABLE
}

// Address range: 0x469e18 - 0x469f3e
void function_469e18(void) {
    int32_t v1 = g8; // 0x469e1e
    char v2 = v1; // 0x469e1e_0
    int32_t v3 = g3; // 0x469e21
    int32_t v4;
    if (v2 > 3 || v2 < 0) {
        // 0x469ef7
        g6 = v3;
        g4 = v4;
        return;
    }
    int32_t v5 = 20 * v1; // 0x469e41
    char * v6 = (char *)(v3 + 0x1814 + v5); // 0x469e41_0
    if (*v6 == 0) {
        // 0x469e4b
        System__AsClass((int32_t *)g6, (int32_t *)0x4637dc);
        g3 = *(int32_t *)(*(int32_t *)(v3 + 16) + 12);
        g8 = 0x469f04;
        function_45bf7c();
        // branch -> 0x469ef7
        // 0x469ef7
        g6 = v3;
        g4 = v4;
        return;
    }
    // 0x469e6e
    *v6 = 0;
    int32_t * v7 = (int32_t *)(v3 + 0x181c + v5); // 0x469e88_0
    int32_t v8;
    if (*v7 < 1) {
        // 0x469e6e
        v8 = v3 + 0x1820;
        // branch -> 0x469ed3
    } else {
        // 0x469e92
        *v6 = 1;
        *v7 = *v7 - 1;
        g8 = v3 & -256 | v1 & 255;
        g3 = *(int32_t *)(v3 + 4);
        function_46b1f0();
        int32_t v9 = v3 + 0x1820; // 0x469ecc
        *(int32_t *)(v9 + v5) = 0;
        v8 = v9;
        // branch -> 0x469ed3
    }
    // 0x469ed3
    g8 = v3;
    if (*(int32_t *)(v8 + v5) != 0) {
        // 0x469ee6
        g8 = v3;
        *(char *)(v3 + 0x1824 + v5) = 1;
        // branch -> 0x469ef7
    }
    // 0x469ef7
    g6 = v3;
    g4 = v4;
}

// Address range: 0x469f40 - 0x469fd7
void function_469f40(void) {
    int32_t v1;
    g4 = &v1;
    char * v2 = (char *)g6; // 0x469f4d_0
    char * v3;
    memcpy((char *)&v3, (char *)g8, 16);
    int32_t v4 = g3; // 0x469f59
    System__FinalizeRecord(v2, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    char * v5;
    if (v5 != v2) {
        // 0x469f80
        g8 = (int32_t)v5;
        g3 = v4;
        function_469e18();
        // branch -> 0x469f8b
    }
    char * v6 = v3; // 0x469f8b_0
    char * v7 = v2; // 0x469f9e_0
    if (v6 != v2) {
        // 0x469f93
        g8 = (int32_t)v6;
        g3 = v4;
        function_469e18();
        v7 = v3;
        // branch -> 0x469f9e
    }
    // 0x469f9e
    if (v7 == (char *)5) {
        // 0x469fa4
        int32_t v8;
        g8 = v8;
        g3 = v4;
        function_46a0a0();
        // branch -> 0x469faf
    }
    // 0x469faf
    int32_t v9;
    g8 = v9;
    g6 = 0x469fcb;
    abort();
    // UNREACHABLE
}

// Address range: 0x469fd8 - 0x46a09f
void function_469fd8(void) {
    int32_t * v1 = (int32_t *)(g3 + 0x18cc); // 0x469fe4_0
    int32_t v2 = *v1; // 0x469fe4
    int32_t v3;
    int32_t v4; // 0x46a08e
    if (v2 < 1) {
        // 0x469fd8
        // branch -> 0x46a03a
        // 0x46a03a
        *v1 = *v1 + 1;
        int32_t * v5;
        System__DynArraySetLength((char *)1, (char *)84, *v1, v5);
        v4 = *v1;
        g8 = v4;
        *(char *)(*(int32_t *)(g3 + 0x18c0) - 1 + v4) = 1;
        // branch -> 0x46a099
    } else {
        int32_t * v6 = (int32_t *)(g3 + 0x18c0); // 0x469ffd_0
        int32_t v7 = 0; // 0x46a0323
        int32_t * v8 = (int32_t *)v2; // 0x46a07a2
        // branch -> 0x469ffa
        int32_t * v9; // 0x46a035_4
        while (true) {
            // 0x469ffa
            if (*(char *)(*v6 + v7) == 0) {
                // 0x46a00c
                *(char *)(*v6 + v7) = 1;
                int32_t v10 = *(int32_t *)(g3 + 0x18c4) - 4 * v7; // 0x46a02b
                g8 = v10;
                // branch -> 0x46a099
                // 0x46a099
                g3 = v10;
                g4 = v3;
                return;
            }
            int32_t v11 = (int32_t)v8 - 1; // 0x46a035
            v9 = (int32_t *)v11;
            if (v11 == 0) {
                // break -> 0x46a03a
                break;
            }
            v7++;
            v8 = v9;
            // continue -> 0x469ffa
        }
        // 0x46a03a
        *v1 = *v1 + 1;
        System__DynArraySetLength((char *)1, (char *)84, *v1, v9);
        v4 = *v1;
        g8 = v4;
        *(char *)(*v6 - 1 + v4) = 1;
        // branch -> 0x46a099
    }
    // 0x46a099
    g3 = *(int32_t *)(g3 + 0x18c4) - 4 * *v1;
    g4 = v3;
}

// Address range: 0x46a0a0 - 0x46a167
void function_46a0a0(void) {
    int32_t v1 = g3; // 0x46a0a9
    int32_t v2 = *(int32_t *)(v1 + 0x18c4) - g8; // 0x46a0b5
    int32_t v3 = v2; // 0x46a0bf
    if (v2 <= 0) {
        // 0x46a0bc
        v3 = v2 + 3;
        // branch -> 0x46a0bf
    }
    int32_t v4 = v3 / 4; // 0x46a0bf
    int32_t v5;
    if (v3 < -3) {
        // 0x46a11b
        g4 = v5;
        return;
    }
    // 0x46a0cb
    g8 = v1;
    if (v4 >= *(int32_t *)(v1 + 0x18cc)) {
        // 0x46a11b
        g4 = v5;
        return;
    }
    int32_t * v6 = (int32_t *)(v1 + 0x18c0); // 0x46a0dc_0
    if (*(char *)(*v6 + v4) == 0) {
        // 0x46a0eb
        System__AsClass((int32_t *)g6, (int32_t *)0x4637dc);
        g3 = *(int32_t *)(*(int32_t *)(v1 + 16) + 12);
        g8 = 0x46a128;
        function_45bf7c();
        // branch -> 0x46a11b
    } else {
        // 0x46a10b
        g8 = v4;
        *(char *)(*v6 + v4) = 0;
        // branch -> 0x46a11b
    }
    // 0x46a11b
    g4 = v5;
}

// Address range: 0x46a168 - 0x46a29e
void function_46a168(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2;
    memcpy((char *)&v2, (char *)g8, 16);
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v3;
    if (v3 == 0) {
        // 0x46a1a1
        char v4;
        if (v4 == 0) {
            // 0x46a1ad
            char v5;
            if (v5 == 0) {
                // 0x46a1b3
                uint32_t v6;
                if (v6 <= 0xffffffff) {
                    // 0x46a1b9
                    // branch -> 0x46a1bf
                }
            }
            // 0x46a1bf
            // branch -> 0x46a1c2
        }
    }
    // 0x46a1c2
    g3 = 0;
    int32_t v7;
    g8 = v7;
    g6 = 0x46a1de;
    abort();
    // UNREACHABLE
}

// Address range: 0x46a2a0 - 0x46a30b
void function_46a2a0(void) {
    struct struct_180 * v1 = (struct struct_180 *)g8; // bp-12
    int32_t v2 = g3; // 0x46a2a9
    *(char *)g8 = 0;
    *(char *)((int32_t)v1 + 1) = 0;
    *(char *)((int32_t)v1 + 2) = 0;
    v1->e1 = -1;
    v1->e2 = -1;
    v1->e3 = 0;
    v1->e4 = -1;
    v1->e5 = -1;
    g8 = 0;
    v1->e6 = 0;
    v1->e7 = 6;
    g3 = (int32_t)v1;
    v1->e7 = 0;
    g6 = v2;
}

// Address range: 0x46a30c - 0x46a3b3
void function_46a30c(void) {
    struct struct_181 * v1 = (struct struct_181 *)g8; // bp-12
    int32_t v2 = g3; // 0x46a315
    *(int32_t *)g8 = -1;
    v1->e1 = 0;
    v1->e2 = -1;
    v1->e3 = 0;
    v1->e4 = 0;
    v1->e5 = 0;
    v1->e6 = 0;
    v1->e7 = -1;
    v1->e8 = 0;
    v1->e8 = 0;
    System__LStrClr((char *)g6);
    v1->e12 = 0;
    *(int32_t *)((int32_t)v1 + 52) = 0;
    v1->e14 = 0;
    v1->e15 = 0;
    v1->e15 = 0;
    v1->e5 = 0;
    g8 = 0;
    v1->e9 = 0;
    g3 = (int32_t)v1;
    v1->e10 = 0;
    g6 = v2;
    int32_t v3;
    g4 = v3;
}

// Address range: 0x46a3b4 - 0x46a707
void function_46a3b4(void) {
    int32_t v1 = g6; // 0x46a3c1
    char v2;
    memcpy(&v2, (char *)g8, 16);
    int32_t v3 = g3; // 0x46a3cd
    int32_t v4 = &v2; // 0x46a3d0_0
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v5;
    g11 = &v5;
    int32_t v6 = 8 * (v1 & 255 | (int32_t)&v5 & 0x1fffff00); // 0x46a3ef
    unsigned char v7 = v2; // 0x46a3f5_0
    int32_t * v8; // 0x46a4e3_0
    int32_t * v9; // 0x46a521_0
    int32_t * v10; // 0x46a59d_0
    char v11; // 0x46a5ca_0
    char v12; // 0x46a5e7_0
    int32_t * v13; // 0x46a626_0
    char * v14;
    char * v15;
    char v16;
    int32_t v17;
    char * v18;
    char * v19;
    struct struct_169 * v20;
    int32_t v21;
    char v22;
    int32_t v23; // 0x46a4c9
    char v24; // 0x46a6204
    char v25; // 0x46a6205
    int32_t v26; // 0x46a6a6
    struct struct_169 * v27; // 0x46a4b4_0
    struct struct_169 * v28; // 0x46a5eb_0
    char * v29; // 0x46a6203
    struct struct_169 * v30; // 0x46a639_0
    if (v7 > -1) {
        // 0x46a3b4
        // branch -> 0x46a48b
        // 0x46a48b
        if (v21 <= -1) {
            // 0x46a495
            if (v22 != 0) {
                // 0x46a49b
                g8 = (v6 | (int32_t)v7) & 255 | (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256;
                g3 = *(int32_t *)(v3 + 4);
                function_462278();
                // branch -> 0x46a6dc
                // 0x46a6dc
                g8 = (int32_t)v15;
                abort();
                // UNREACHABLE
            }
            // 0x46a4b4
            v27 = v20;
            if (v27 == NULL) {
                // 0x46a587
                v11 = v6;
                if (v16 == 0) {
                    // 0x46a5ca
                    g8 = ((int32_t)v7 | v6 & -256 | (int32_t)(v11 | -64)) & 255 | (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256;
                    g3 = *(int32_t *)(v3 + 4);
                    function_462278();
                    // branch -> 0x46a6dc
                } else {
                    // 0x46a58d
                    g8 = ((int32_t)v7 | v6 & -256 | (int32_t)(v11 | -128)) & 255 | (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256;
                    v10 = (int32_t *)(v3 + 4);
                    g3 = *v10;
                    function_462278();
                    v14 = v18;
                    g11 = (int32_t)&v14;
                    g6 = v17;
                    g3 = *v10;
                    function_462308();
                    // branch -> 0x46a6dc
                }
                // 0x46a6dc
                g8 = (int32_t)v15;
                abort();
                // UNREACHABLE
            }
            // 0x46a4be
            g8 = (int32_t)v27;
            g3 = v3;
            function_46a798();
            v23 = g3;
            if (v23 != 0) {
                // 0x46a4cd
                if (v16 == 0) {
                    // 0x46a4d3
                    g8 = g8 & -256 | (v23 & -256 | (int32_t)((char)v6 | 64) | (int32_t)v2) & 255;
                    v8 = (int32_t *)(v3 + 4);
                    g3 = *v8;
                    function_462278();
                    if (v2 == 4) {
                        // 0x46a4f1
                        g8 = g8 & -256 | 36;
                        g3 = *v8;
                        function_462278();
                        // branch -> 0x46a4fe
                    }
                    // 0x46a4fe
                    g8 = g8 & -256 | (int32_t)v20 & 255;
                    g3 = *v8;
                    function_462278();
                    // branch -> 0x46a6dc
                    // 0x46a6dc
                    g8 = (int32_t)v15;
                    abort();
                    // UNREACHABLE
                }
            }
            // 0x46a511
            g8 = g8 & -256 | (v23 & -256 | (int32_t)((char)v6 | -128) | (int32_t)v2) & 255;
            v9 = (int32_t *)(v3 + 4);
            g3 = *v9;
            function_462278();
            if (v2 == 4) {
                // 0x46a52f
                g8 = g8 & -256 | 36;
                g3 = *v9;
                function_462278();
                // branch -> 0x46a53c
            }
            // 0x46a53c
            if (v16 != 0) {
                // 0x46a542
                v14 = v19;
                v15 = v18;
                g11 = (int32_t)&v15;
                g6 = v17 + 1000;
                g8 = *(int32_t *)(*v9 + 8);
                g3 = *(int32_t *)(*v9 + 16);
                function_461c30();
                // branch -> 0x46a574
            }
            // 0x46a574
            g8 = (int32_t)v20;
            g3 = *v9;
            function_46229c();
            // branch -> 0x46a6dc
            // 0x46a6dc
            g8 = (int32_t)v15;
            abort();
            // UNREACHABLE
        }
        // 0x46a5e7
        v12 = v6;
        v28 = v20;
        if (v28 != NULL) {
            // 0x46a5f1
            g3 = v3;
            function_46a798();
            if (g3 == 0) {
                // 0x46a606
                v25 = v12 | -124;
                // branch -> 0x46a616
            } else {
                // 0x46a600
                v25 = v12 | 68;
                // branch -> 0x46a616
            }
            // 0x46a616
            v24 = v25;
            if (v2 == -1) {
                // 0x46a61c
                v24 = v25 & 63;
                // branch -> 0x46a620
            }
            // 0x46a620
            g8 = (int32_t)v24 | (int32_t)(char *)v28 & -256;
            v13 = (int32_t *)(v3 + 4);
            g3 = *v13;
            function_462278();
            g8 = v4;
            g3 = v3;
            function_46a708();
            v30 = v20;
            if (v30 == NULL) {
                // 0x46a6b6
                if (v16 != 0) {
                    // 0x46a6bc
                    v14 = v18;
                    g11 = (int32_t)&v14;
                    g6 = v17;
                    g3 = *v13;
                    function_462308();
                    // branch -> 0x46a6dc
                }
                // 0x46a6dc
                g8 = (int32_t)v15;
                abort();
                // UNREACHABLE
            }
            // 0x46a63f
            if (v16 != 0) {
                // 0x46a645
                v14 = v19;
                v15 = v18;
                g11 = (int32_t)&v15;
                g6 = v17 + 1000;
                g8 = *(int32_t *)(*v13 + 8);
                g3 = *(int32_t *)(*v13 + 16);
                function_461c30();
                g8 = (int32_t)v20;
                g3 = *v13;
                function_46229c();
                // branch -> 0x46a6dc
                // 0x46a6dc
                g8 = (int32_t)v15;
                abort();
                // UNREACHABLE
            }
            // 0x46a687
            g8 = (int32_t)v30;
            g3 = v3;
            function_46a798();
            v26 = (int32_t)v20;
            if (g3 == 0) {
                // 0x46a6a6
                g8 = v26;
                g3 = *v13;
                function_46229c();
                // branch -> 0x46a6dc
            } else {
                // 0x46a696
                g8 = g8 & -256 | v26 & 255;
                g3 = *v13;
                function_462278();
                // branch -> 0x46a6dc
            }
            // 0x46a6dc
            g8 = (int32_t)v15;
            abort();
            // UNREACHABLE
        }
        // 0x46a60c
        if (v16 != 0) {
            // 0x46a612
            v25 = v12 | -124;
            v29 = "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40";
            // branch -> 0x46a616
        } else {
            v25 = v12 | 4;
            v29 = "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40";
        }
        // 0x46a616
        v24 = v25;
        if (v2 == -1) {
            // 0x46a61c
            v24 = v25 & 63;
            // branch -> 0x46a620
        }
        // 0x46a620
        g8 = (int32_t)v24 | (int32_t)v29 & -256;
        v13 = (int32_t *)(v3 + 4);
        g3 = *v13;
        function_462278();
        g8 = v4;
        g3 = v3;
        function_46a708();
        v30 = v20;
        if (v30 == NULL) {
            // 0x46a6b6
            if (v16 != 0) {
                // 0x46a6bc
                v14 = v18;
                g11 = (int32_t)&v14;
                g6 = v17;
                g3 = *v13;
                function_462308();
                // branch -> 0x46a6dc
            }
            // 0x46a6dc
            g8 = (int32_t)v15;
            abort();
            // UNREACHABLE
        }
        // 0x46a63f
        if (v16 != 0) {
            // 0x46a645
            v14 = v19;
            v15 = v18;
            g11 = (int32_t)&v15;
            g6 = v17 + 1000;
            g8 = *(int32_t *)(*v13 + 8);
            g3 = *(int32_t *)(*v13 + 16);
            function_461c30();
            g8 = (int32_t)v20;
            g3 = *v13;
            function_46229c();
            // branch -> 0x46a6dc
            // 0x46a6dc
            g8 = (int32_t)v15;
            abort();
            // UNREACHABLE
        }
        // 0x46a687
        g8 = (int32_t)v30;
        g3 = v3;
        function_46a798();
        v26 = (int32_t)v20;
        if (g3 == 0) {
            // 0x46a6a6
            g8 = v26;
            g3 = *v13;
            function_46229c();
            // branch -> 0x46a6dc
        } else {
            // 0x46a696
            g8 = g8 & -256 | v26 & 255;
            g3 = *v13;
            function_462278();
            // branch -> 0x46a6dc
        }
        // 0x46a6dc
        g8 = (int32_t)v15;
        abort();
        // UNREACHABLE
    }
    // 0x46a3ff
    if (v21 <= 0xffffffff) {
        // 0x46a409
        g8 = (int32_t)((char)v6 | 5) | (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256;
        int32_t * v31 = (int32_t *)(v3 + 4); // 0x46a470_0
        g3 = *v31;
        function_462278();
        if (v16 == 0) {
            // 0x46a466
            g8 = (int32_t)v20;
            g3 = *v31;
            function_46229c();
            // branch -> 0x46a6dc
        } else {
            // 0x46a40f
            v14 = v19;
            v15 = v18;
            g11 = (int32_t)&v15;
            g6 = v17 + 1000;
            g8 = *(int32_t *)(*v31 + 8);
            g3 = *(int32_t *)(*v31 + 16);
            function_461c30();
            g8 = (int32_t)v20;
            g3 = *v31;
            function_46229c();
            // branch -> 0x46a6dc
        }
        // 0x46a6dc
        g8 = (int32_t)v15;
        abort();
        // UNREACHABLE
    }
    // 0x46a48b
    if (v21 <= -1) {
        // 0x46a495
        if (v22 != 0) {
            // 0x46a49b
            g8 = (v6 | (int32_t)v7) & 255 | (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256;
            g3 = *(int32_t *)(v3 + 4);
            function_462278();
            // branch -> 0x46a6dc
            // 0x46a6dc
            g8 = (int32_t)v15;
            abort();
            // UNREACHABLE
        }
        // 0x46a4b4
        v27 = v20;
        if (v27 == NULL) {
            // 0x46a587
            v11 = v6;
            if (v16 == 0) {
                // 0x46a5ca
                g8 = ((int32_t)v7 | v6 & -256 | (int32_t)(v11 | -64)) & 255 | (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256;
                g3 = *(int32_t *)(v3 + 4);
                function_462278();
                // branch -> 0x46a6dc
            } else {
                // 0x46a58d
                g8 = ((int32_t)v7 | v6 & -256 | (int32_t)(v11 | -128)) & 255 | (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256;
                v10 = (int32_t *)(v3 + 4);
                g3 = *v10;
                function_462278();
                v14 = v18;
                g11 = (int32_t)&v14;
                g6 = v17;
                g3 = *v10;
                function_462308();
                // branch -> 0x46a6dc
            }
            // 0x46a6dc
            g8 = (int32_t)v15;
            abort();
            // UNREACHABLE
        }
        // 0x46a4be
        g8 = (int32_t)v27;
        g3 = v3;
        function_46a798();
        v23 = g3;
        if (v23 != 0) {
            // 0x46a4cd
            if (v16 == 0) {
                // 0x46a4d3
                g8 = g8 & -256 | (v23 & -256 | (int32_t)((char)v6 | 64) | (int32_t)v2) & 255;
                v8 = (int32_t *)(v3 + 4);
                g3 = *v8;
                function_462278();
                if (v2 == 4) {
                    // 0x46a4f1
                    g8 = g8 & -256 | 36;
                    g3 = *v8;
                    function_462278();
                    // branch -> 0x46a4fe
                }
                // 0x46a4fe
                g8 = g8 & -256 | (int32_t)v20 & 255;
                g3 = *v8;
                function_462278();
                // branch -> 0x46a6dc
                // 0x46a6dc
                g8 = (int32_t)v15;
                abort();
                // UNREACHABLE
            }
        }
        // 0x46a511
        g8 = g8 & -256 | (v23 & -256 | (int32_t)((char)v6 | -128) | (int32_t)v2) & 255;
        v9 = (int32_t *)(v3 + 4);
        g3 = *v9;
        function_462278();
        if (v2 == 4) {
            // 0x46a52f
            g8 = g8 & -256 | 36;
            g3 = *v9;
            function_462278();
            // branch -> 0x46a53c
        }
        // 0x46a53c
        if (v16 != 0) {
            // 0x46a542
            v14 = v19;
            v15 = v18;
            g11 = (int32_t)&v15;
            g6 = v17 + 1000;
            g8 = *(int32_t *)(*v9 + 8);
            g3 = *(int32_t *)(*v9 + 16);
            function_461c30();
            // branch -> 0x46a574
        }
        // 0x46a574
        g8 = (int32_t)v20;
        g3 = *v9;
        function_46229c();
        // branch -> 0x46a6dc
        // 0x46a6dc
        g8 = (int32_t)v15;
        abort();
        // UNREACHABLE
    }
    // 0x46a5e7
    v12 = v6;
    v28 = v20;
    if (v28 != NULL) {
        // 0x46a5f1
        g3 = v3;
        function_46a798();
        if (g3 == 0) {
            // 0x46a606
            v25 = v12 | -124;
            // branch -> 0x46a616
        } else {
            // 0x46a600
            v25 = v12 | 68;
            // branch -> 0x46a616
        }
        // 0x46a616
        v24 = v25;
        if (v2 == -1) {
            // 0x46a61c
            v24 = v25 & 63;
            // branch -> 0x46a620
        }
        // 0x46a620
        g8 = (int32_t)v24 | (int32_t)(char *)v28 & -256;
        v13 = (int32_t *)(v3 + 4);
        g3 = *v13;
        function_462278();
        g8 = v4;
        g3 = v3;
        function_46a708();
        v30 = v20;
        if (v30 == NULL) {
            // 0x46a6b6
            if (v16 != 0) {
                // 0x46a6bc
                v14 = v18;
                g11 = (int32_t)&v14;
                g6 = v17;
                g3 = *v13;
                function_462308();
                // branch -> 0x46a6dc
            }
            // 0x46a6dc
            g8 = (int32_t)v15;
            abort();
            // UNREACHABLE
        }
        // 0x46a63f
        if (v16 != 0) {
            // 0x46a645
            v14 = v19;
            v15 = v18;
            g11 = (int32_t)&v15;
            g6 = v17 + 1000;
            g8 = *(int32_t *)(*v13 + 8);
            g3 = *(int32_t *)(*v13 + 16);
            function_461c30();
            g8 = (int32_t)v20;
            g3 = *v13;
            function_46229c();
            // branch -> 0x46a6dc
            // 0x46a6dc
            g8 = (int32_t)v15;
            abort();
            // UNREACHABLE
        }
        // 0x46a687
        g8 = (int32_t)v30;
        g3 = v3;
        function_46a798();
        v26 = (int32_t)v20;
        if (g3 == 0) {
            // 0x46a6a6
            g8 = v26;
            g3 = *v13;
            function_46229c();
            // branch -> 0x46a6dc
        } else {
            // 0x46a696
            g8 = g8 & -256 | v26 & 255;
            g3 = *v13;
            function_462278();
            // branch -> 0x46a6dc
        }
        // 0x46a6dc
        g8 = (int32_t)v15;
        abort();
        // UNREACHABLE
    }
    // 0x46a60c
    if (v16 != 0) {
        // 0x46a612
        v25 = v12 | -124;
        v29 = "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40";
        // branch -> 0x46a616
    } else {
        v25 = v12 | 4;
        v29 = "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40";
    }
    // 0x46a616
    v24 = v25;
    if (v2 == -1) {
        // 0x46a61c
        v24 = v25 & 63;
        // branch -> 0x46a620
    }
    // 0x46a620
    g8 = (int32_t)v24 | (int32_t)v29 & -256;
    v13 = (int32_t *)(v3 + 4);
    g3 = *v13;
    function_462278();
    g8 = v4;
    g3 = v3;
    function_46a708();
    v30 = v20;
    if (v30 == NULL) {
        // 0x46a6b6
        if (v16 != 0) {
            // 0x46a6bc
            v14 = v18;
            g11 = (int32_t)&v14;
            g6 = v17;
            g3 = *v13;
            function_462308();
            // branch -> 0x46a6dc
        }
        // 0x46a6dc
        g8 = (int32_t)v15;
        abort();
        // UNREACHABLE
    }
    // 0x46a63f
    if (v16 != 0) {
        // 0x46a645
        v14 = v19;
        v15 = v18;
        g11 = (int32_t)&v15;
        g6 = v17 + 1000;
        g8 = *(int32_t *)(*v13 + 8);
        g3 = *(int32_t *)(*v13 + 16);
        function_461c30();
        g8 = (int32_t)v20;
        g3 = *v13;
        function_46229c();
        // branch -> 0x46a6dc
        // 0x46a6dc
        g8 = (int32_t)v15;
        abort();
        // UNREACHABLE
    }
    // 0x46a687
    g8 = (int32_t)v30;
    g3 = v3;
    function_46a798();
    v26 = (int32_t)v20;
    if (g3 == 0) {
        // 0x46a6a6
        g8 = v26;
        g3 = *v13;
        function_46229c();
        // branch -> 0x46a6dc
    } else {
        // 0x46a696
        g8 = g8 & -256 | v26 & 255;
        g3 = *v13;
        function_462278();
        // branch -> 0x46a6dc
    }
    // 0x46a6dc
    g8 = (int32_t)v15;
    abort();
    // UNREACHABLE
}

// Address range: 0x46a708 - 0x46a797
void function_46a708(void) {
    char v1;
    memcpy(&v1, (char *)g8, 16);
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v2;
    unsigned char v3;
    int32_t v4 = 64 * ((int32_t)&v2 & 0x3ffff00 | (int32_t)v3); // 0x46a73e
    char v5;
    int32_t v6; // 0x46a756
    if (v1 > -1) {
        int32_t v7 = (int32_t)v1 | v4 & -256; // 0x46a750
        v6 = v7;
        v5 = v7 | v4 & 192;
        // branch -> 0x46a756
    } else {
        // 0x46a74a
        v6 = v4;
        v5 = (char)v4 | 5;
        // branch -> 0x46a756
    }
    // 0x46a756
    unsigned char v8;
    g8 = (8 * (v6 & 0x1fffff00 | (int32_t)v8) | (int32_t)v5) & 255 | (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256;
    g3 += 4;
    function_462278();
    abort();
    // UNREACHABLE
}

// Address range: 0x46a798 - 0x46a7c3
void function_46a798(void) {
    // 0x46a798
    int32_t v1; // 0x46a7bb1
    if (g8 >= 0xffffff80) {
        // 0x46a7ae
        v1 = g8 < 128;
        // branch -> 0x46a7bb
    } else {
        v1 = 0;
    }
    // 0x46a7bb
    g3 = g3 & -256 | v1;
}

// Address range: 0x46a7c4 - 0x46a863
void function_46a7c4(void) {
    int32_t v1 = g6; // 0x46a7d2
    int32_t v2;
    int32_t v3;
    memcpy((char *)&v3, (char *)&v2, 16);
    char v4 = g8; // 0x46a7de
    int32_t v5 = g3; // 0x46a7e1
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    char v6 = v4; // 0x46a81d2
    if (*(char *)(v5 + 12) == 0) {
        // 0x46a80f
        v6 = v4 | 1;
        // branch -> 0x46a813
    }
    // 0x46a813
    char v7;
    char v8; // 0x46a81d1
    if (v7 != 0) {
        // 0x46a819
        v8 = v6 | 2;
        // branch -> 0x46a81d
    } else {
        v8 = v6;
    }
    // 0x46a81d
    g8 = (int32_t)v8 | (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256;
    g3 = *(int32_t *)(v5 + 4);
    function_462278();
    g6 = v1;
    g8 = &v3;
    g3 = v5;
    function_46a3b4();
    abort();
    // UNREACHABLE
}

// Address range: 0x46a864 - 0x46aa3f
void function_46a864(void) {
    int32_t v1 = g6; // 0x46a872
    int32_t v2;
    int32_t v3;
    memcpy((char *)&v3, (char *)&v2, 16);
    int32_t v4 = g8; // 0x46a87e
    char v5 = v4; // 0x46a87e
    int32_t v6 = g3; // 0x46a881
    int32_t v7 = &v3; // 0x46a884_0
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    char * v8;
    g11 = (int32_t)&v8;
    g3 = v6;
    int32_t * v9 = (int32_t *)(v6 + 8); // 0x46a8a3_0
    char * v10 = "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40"; // 0x46a9012
    int32_t * v11; // 0x46a906_0
    int32_t * v12; // 0x46a939_0
    int32_t * v13; // 0x46a976_0
    int32_t * v14; // 0x46a9bf_0
    int32_t * v15; // 0x46a9ee_0
    unsigned char v16;
    unsigned char v17;
    char v18;
    int32_t v19;
    char v20;
    char v21;
    int32_t v22; // 0x46a921
    int32_t v23; // 0x46a9a7
    int32_t v24; // 0x46a930
    int32_t v25; // 0x46a9b6
    if (*v9 == 0) {
        // 0x46a8ca
        if (v21 == 0) {
            // 0x46a8d0
            g11 = &v19;
            g6 = v16;
            g8 = (int32_t)v10 & -256 | v4 & 255;
            g3 = v6;
            function_46a7c4();
            // branch -> 0x46aa12
            // 0x46aa12
            abort();
            // UNREACHABLE
        }
        // 0x46a8eb
        if (v18 == 0) {
            // 0x46a9a7
            v23 = v20;
            g8 = v23;
            g3 = v6;
            function_46a798();
            v25 = g8 & -256;
            if (g3 == 0) {
                // 0x46a9b6
                g8 = v25 | 1;
                v14 = (int32_t *)(v6 + 4);
                g3 = *v14;
                function_462278();
                g6 = v17;
                g8 = v7;
                g3 = v6;
                function_46a3b4();
                g8 = v23;
                g3 = *v14;
                function_46229c();
                // branch -> 0x46aa12
            } else {
                // 0x46a9e5
                g8 = v25 | 3;
                v15 = (int32_t *)(v6 + 4);
                g3 = *v15;
                function_462278();
                g6 = v17;
                g8 = v7;
                g3 = v6;
                function_46a3b4();
                g8 = g8 & -256 | (int32_t)v20;
                g3 = *v15;
                function_462278();
                // branch -> 0x46aa12
            }
            // 0x46aa12
            abort();
            // UNREACHABLE
        }
        // 0x46a8f5
        if (v16 == 0) {
            // 0x46a8fb
            if (v5 == 0) {
                // 0x46a901
                g8 = (int32_t)v10 & -256 | 5;
                v11 = (int32_t *)(v6 + 4);
                g3 = *v11;
                function_462278();
                g8 = v20;
                g3 = *v11;
                function_46229c();
                // branch -> 0x46aa12
                // 0x46aa12
                abort();
                // UNREACHABLE
            }
        }
        // 0x46a921
        v22 = v20;
        g8 = v22;
        g3 = v6;
        function_46a798();
        v24 = g8 & -256;
        if (g3 == 0) {
            // 0x46a930
            g8 = v24 | 1;
            v12 = (int32_t *)(v6 + 4);
            g3 = *v12;
            function_462278();
            g8 = 8 * (g3 & 0x1fffff00 | (int32_t)v17) & 56 | (int32_t)v16 | g8 & -256 | 192;
            g3 = *v12;
            function_462278();
            g8 = v22;
            g3 = *v12;
            function_46229c();
            // branch -> 0x46aa12
        } else {
            // 0x46a96d
            g8 = v24 | 3;
            v13 = (int32_t *)(v6 + 4);
            g3 = *v13;
            function_462278();
            g8 = 8 * (g3 & 0x1fffff00 | (int32_t)v17) & 56 | (int32_t)v16 | g8 & -256 | 192;
            g3 = *v13;
            function_462278();
            g8 = g8 & -256 | (int32_t)v20;
            g3 = *v13;
            function_462278();
            // branch -> 0x46aa12
        }
        // 0x46aa12
        abort();
        // UNREACHABLE
    }
    // 0x46a8a9
    if (v18 != 0) {
        // 0x46a8af
        g3 = *v9;
        System__AsClass((int32_t *)v1, (int32_t *)0x4670bc);
        g8 = 0;
        function_4672a8();
        v10 = (char *)(int32_t)v16;
        // branch -> 0x46a8ca
    } else {
        v10 = "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40";
    }
    // 0x46a8ca
    if (v21 == 0) {
        // 0x46a8d0
        g11 = &v19;
        g6 = v16;
        g8 = (int32_t)v10 & -256 | v4 & 255;
        g3 = v6;
        function_46a7c4();
        // branch -> 0x46aa12
        // 0x46aa12
        abort();
        // UNREACHABLE
    }
    // 0x46a8eb
    if (v18 == 0) {
        // 0x46a9a7
        v23 = v20;
        g8 = v23;
        g3 = v6;
        function_46a798();
        v25 = g8 & -256;
        if (g3 == 0) {
            // 0x46a9b6
            g8 = v25 | 1;
            v14 = (int32_t *)(v6 + 4);
            g3 = *v14;
            function_462278();
            g6 = v17;
            g8 = v7;
            g3 = v6;
            function_46a3b4();
            g8 = v23;
            g3 = *v14;
            function_46229c();
            // branch -> 0x46aa12
        } else {
            // 0x46a9e5
            g8 = v25 | 3;
            v15 = (int32_t *)(v6 + 4);
            g3 = *v15;
            function_462278();
            g6 = v17;
            g8 = v7;
            g3 = v6;
            function_46a3b4();
            g8 = g8 & -256 | (int32_t)v20;
            g3 = *v15;
            function_462278();
            // branch -> 0x46aa12
        }
        // 0x46aa12
        abort();
        // UNREACHABLE
    }
    // 0x46a8f5
    if (v16 == 0) {
        // 0x46a8fb
        if (v5 == 0) {
            // 0x46a901
            g8 = (int32_t)v10 & -256 | 5;
            v11 = (int32_t *)(v6 + 4);
            g3 = *v11;
            function_462278();
            g8 = v20;
            g3 = *v11;
            function_46229c();
            // branch -> 0x46aa12
            // 0x46aa12
            abort();
            // UNREACHABLE
        }
    }
    // 0x46a921
    v22 = v20;
    g8 = v22;
    g3 = v6;
    function_46a798();
    v24 = g8 & -256;
    if (g3 == 0) {
        // 0x46a930
        g8 = v24 | 1;
        v12 = (int32_t *)(v6 + 4);
        g3 = *v12;
        function_462278();
        g8 = 8 * (g3 & 0x1fffff00 | (int32_t)v17) & 56 | (int32_t)v16 | g8 & -256 | 192;
        g3 = *v12;
        function_462278();
        g8 = v22;
        g3 = *v12;
        function_46229c();
        // branch -> 0x46aa12
    } else {
        // 0x46a96d
        g8 = v24 | 3;
        v13 = (int32_t *)(v6 + 4);
        g3 = *v13;
        function_462278();
        g8 = 8 * (g3 & 0x1fffff00 | (int32_t)v17) & 56 | (int32_t)v16 | g8 & -256 | 192;
        g3 = *v13;
        function_462278();
        g8 = g8 & -256 | (int32_t)v20;
        g3 = *v13;
        function_462278();
        // branch -> 0x46aa12
    }
    // 0x46aa12
    abort();
    // UNREACHABLE
}

// Address range: 0x46aa40 - 0x46aac3
void function_46aa40(void) {
    int32_t v1 = g6; // 0x46aa4e
    int32_t v2;
    int32_t v3;
    memcpy((char *)&v3, (char *)&v2, 16);
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g6 = v1 & -256 | 128;
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" ^ (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40";
    function_46a864();
    int32_t * v4;
    g11 = (int32_t)&v4;
    abort();
    // UNREACHABLE
}

// Address range: 0x46aac4 - 0x46ab47
void function_46aac4(void) {
    int32_t v1 = g6; // 0x46aad2
    int32_t v2;
    int32_t v3;
    memcpy((char *)&v3, (char *)&v2, 16);
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g6 = v1 & -256 | 128;
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 40;
    function_46a864();
    int32_t * v4;
    g11 = (int32_t)&v4;
    abort();
    // UNREACHABLE
}

// Address range: 0x46ab48 - 0x46abcb
void function_46ab48(void) {
    int32_t v1 = g6; // 0x46ab56
    int32_t v2;
    int32_t v3;
    memcpy((char *)&v3, (char *)&v2, 16);
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g6 = v1 & -256 | 128;
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 32;
    function_46a864();
    int32_t * v4;
    g11 = (int32_t)&v4;
    abort();
    // UNREACHABLE
}

// Address range: 0x46abcc - 0x46ac4f
void function_46abcc(void) {
    int32_t v1 = g6; // 0x46abda
    int32_t v2;
    int32_t v3;
    memcpy((char *)&v3, (char *)&v2, 16);
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g6 = v1 & -256 | 128;
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 8;
    function_46a864();
    int32_t * v4;
    g11 = (int32_t)&v4;
    abort();
    // UNREACHABLE
}

// Address range: 0x46ac50 - 0x46acd3
void function_46ac50(void) {
    int32_t v1 = g6; // 0x46ac5e
    int32_t v2;
    int32_t v3;
    memcpy((char *)&v3, (char *)&v2, 16);
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g6 = v1 & -256 | 128;
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 48;
    function_46a864();
    int32_t * v4;
    g11 = (int32_t)&v4;
    abort();
    // UNREACHABLE
}

// Address range: 0x46acd4 - 0x46ad57
void function_46acd4(void) {
    int32_t v1 = g6; // 0x46ace2
    int32_t v2;
    int32_t v3;
    memcpy((char *)&v3, (char *)&v2, 16);
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g6 = v1 & -256 | 128;
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 56;
    function_46a864();
    g8 = &v3;
    int32_t * v4;
    g11 = (int32_t)&v4;
    abort();
    // UNREACHABLE
}

// Address range: 0x46ad58 - 0x46ad8f
void function_46ad58(void) {
    int32_t v1 = g8; // 0x46ad61
    int32_t v2 = g3; // 0x46ad64
    g8 = v1 & -256 | 51;
    int32_t * v3 = (int32_t *)(v2 + 4); // 0x46ad6c_0
    g3 = *v3;
    function_462278();
    g8 = 8 * (g8 & 0x1fffff00 | v1 & 231) | 192 | 0x1000000 * g6 / 0x1000000 & 63;
    g3 = *v3;
    function_462278();
    g6 = v2;
    int32_t v4;
    g4 = v4;
}

// Address range: 0x46ad90 - 0x46ae0f
void function_46ad90(void) {
    int32_t v1 = g6; // 0x46ad9e
    int32_t v2;
    int32_t v3;
    memcpy((char *)&v3, (char *)&v2, 16);
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t * v4 = NULL; // bp-108
    g6 = v1 & -256 | 128;
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 132;
    function_46a864();
    g11 = (int32_t)&v4;
    g6 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x46ae10 - 0x46af4b
void function_46ae10(void) {
    int32_t v1 = g6; // 0x46ae1e
    int32_t v2;
    int32_t v3;
    memcpy((char *)&v3, (char *)&v2, 16);
    char v4 = v1; // 0x46ae27
    int32_t v5 = g3; // 0x46ae2d
    int32_t v6 = &v3; // 0x46ae30_0
    System__FinalizeRecord((char *)v1, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t v7;
    g11 = &v7;
    int32_t v8 = g8 & 255; // 0x46ae4e
    g6 = v8;
    g8 = v6;
    function_46b250();
    int32_t * v9;
    if (g3 != 0) {
        // 0x46af20
        g8 = v6;
        g6 = (int32_t)v9;
        abort();
        // UNREACHABLE
    }
    // 0x46ae64
    char v10;
    if (v10 == 0) {
        // 0x46ae6a
        int32_t v11;
        g11 = &v11;
        int32_t v12 = g6; // 0x46ae78
        int32_t v13;
        g8 = &v13;
        g3 = v5;
        function_46a864();
        int32_t * v14 = (int32_t *)(v5 + 8); // 0x46ae87_0
        if (*v14 != 0) {
            // 0x46ae91
            if (v4 != 0) {
                // 0x46ae9b
                int32_t v15;
                if (v15 == -1) {
                    // 0x46aea1
                    if (v3 == 5) {
                        // 0x46aea7
                        g3 = *v14;
                        System__AsClass((int32_t *)(v12 & -256 | 128), (int32_t *)0x4670bc);
                        g8 = v8;
                        int32_t v16;
                        g6 = v16;
                        function_4672cc();
                        // branch -> 0x46af20
                    }
                }
            }
        }
        // 0x46af20
        g8 = v6;
        g6 = (int32_t)(int32_t *)(v1 & 255);
        abort();
        // UNREACHABLE
    }
    // 0x46aec7
    int32_t v17;
    if (v4 == 0) {
        // 0x46aef3
        int32_t v18;
        g8 = &v18;
        int32_t * v19 = (int32_t *)(v5 + 4); // 0x46aefd_0
        g3 = *v19;
        function_462278();
        g6 = 0;
        g8 = v6;
        g3 = v5;
        function_46a3b4();
        g8 = v17;
        g3 = *v19;
        function_46229c();
        // branch -> 0x46af20
    } else {
        // 0x46aecd
        g8 = v8 | g8 & -256 | 184;
        int32_t * v20 = (int32_t *)(v5 + 4); // 0x46aedb_0
        g3 = *v20;
        function_462278();
        g8 = v17;
        g3 = *v20;
        function_46229c();
        // branch -> 0x46af20
    }
    // 0x46af20
    g8 = v6;
    g6 = (int32_t)v9;
    abort();
    // UNREACHABLE
}

// Address range: 0x46af4c - 0x46afe7
void function_46af4c(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g6, 16);
    int32_t v2 = g8; // 0x46af60
    int32_t v3 = g3; // 0x46af63
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    int32_t * v4;
    g11 = (int32_t)&v4;
    char v5;
    if (v5 == 0) {
        // 0x46af9f
        g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 141;
        g3 = *(int32_t *)(v3 + 4);
        function_462278();
        g6 = g6 & -256 | v2 & 255;
        g8 = &v1;
        g3 = v3;
        function_46a3b4();
        // branch -> 0x46afbf
    } else {
        int32_t * v6 = &v1;
        g11 = (int32_t)&v6;
        g6 = g6 & -256 | 1;
        g8 = v2 & 255 | (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256;
        g3 = v3;
        function_46ae10();
        // branch -> 0x46afbf
    }
    // 0x46afbf
    g6 = (int32_t)v4;
    abort();
    // UNREACHABLE
}

// Address range: 0x46afe8 - 0x46b05f
void function_46afe8(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46affc
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 247;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = g6 & -256 | 7;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46b051;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b060 - 0x46b0d7
void function_46b060(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b074
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 247;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = g6 & -256 | 6;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46b0c9;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b0d8 - 0x46b1ef
void function_46b0d8(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g6, 16);
    int32_t v2 = g8; // 0x46b0ec
    int32_t v3 = g3; // 0x46b0ef
    int32_t v4 = &v1; // 0x46b0f2_0
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    char v5;
    if (v5 == 0) {
        // 0x46b114
        if ((char)v2 == 0) {
            // 0x46b11a
            g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 247;
            g3 = *(int32_t *)(v3 + 4);
            function_462278();
            g6 = g6 & -256 | 5;
            g8 = v4;
            g3 = v3;
            function_46a3b4();
            // branch -> 0x46b1c6
        } else {
            // 0x46b139
            g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 15;
            int32_t * v6 = (int32_t *)(v3 + 4); // 0x46b13e_0
            g3 = *v6;
            function_462278();
            g8 = g8 & -256 | 175;
            g3 = *v6;
            function_462278();
            g6 = g6 & -256 | v2 & 255;
            g8 = v4;
            g3 = v3;
            function_46a3b4();
            // branch -> 0x46b1c6
        }
        // 0x46b1c6
        g6 = 0x46b1e2;
        abort();
        // UNREACHABLE
    }
    // 0x46b163
    unsigned char v7;
    int32_t v8 = v7; // 0x46b163
    g8 = v8;
    g3 = v3;
    function_46a798();
    int32_t v9 = g8 & -256; // 0x46b172
    if (g3 == 0) {
        // 0x46b172
        g8 = v9 | 105;
        int32_t * v10 = (int32_t *)(v3 + 4); // 0x46b177_0
        g3 = *v10;
        function_462278();
        g6 = g6 & -256 | v2 & 255;
        g8 = v4;
        g3 = v3;
        function_46a3b4();
        g8 = v8;
        g3 = *v10;
        function_46229c();
        // branch -> 0x46b1c6
    } else {
        // 0x46b19d
        g8 = v9 | 107;
        int32_t * v11 = (int32_t *)(v3 + 4); // 0x46b1a2_0
        g3 = *v11;
        function_462278();
        g6 = g6 & -256 | v2 & 255;
        g8 = v4;
        g3 = v3;
        function_46a3b4();
        g8 = g8 & -256 | (int32_t)v7;
        g3 = *v11;
        function_462278();
        // branch -> 0x46b1c6
    }
    // 0x46b1c6
    g6 = 0x46b1e2;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b1f0 - 0x46b213
void function_46b1f0(void) {
    int32_t v1 = g8; // 0x46b1f6
    int32_t v2 = g3; // 0x46b1f9
    g8 = v1 + 88 & 255 | v1 & -256;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = v2;
    int32_t v3;
    g4 = v3;
}

// Address range: 0x46b214 - 0x46b237
void function_46b214(void) {
    int32_t v1 = g8; // 0x46b21a
    int32_t v2 = g3; // 0x46b21d
    g8 = v1 + 80 & 255 | v1 & -256;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = v2;
    int32_t v3;
    g4 = v3;
}

// Address range: 0x46b238 - 0x46b24f
void function_46b238(void) {
    int32_t v1 = g3; // 0x46b23c
    g8 = g8 & -256 | 153;
    g3 = *(int32_t *)(v1 + 4);
    function_462278();
    g6 = v1;
    int32_t v2;
    g4 = v2;
}

// Address range: 0x46b250 - 0x46b2e3
void function_46b250(void) {
    int32_t v1;
    g4 = &v1;
    char * v2 = (char *)g6; // 0x46b25d_0
    char * v3;
    memcpy((char *)&v3, (char *)g8, 16);
    System__FinalizeRecord(v2, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    if (v3 == v2) {
        // 0x46b294
        int32_t v4;
        if (v4 == -1) {
            // 0x46b29a
            char v5;
            if (v5 == 0) {
                // 0x46b2a0
                int32_t v6;
                if (v6 == 0) {
                    // 0x46b2a6
                    char v7;
                    if (v7 == 0) {
                        // 0x46b2ac
                        // branch -> 0x46b2b6
                    }
                }
            }
        }
    }
    // 0x46b2b6
    g3 = 0;
    int32_t v8;
    g8 = v8;
    g6 = 0x46b2d2;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b2e4 - 0x46b3db
void function_46b2e4(void) {
    char v1;
    memcpy(&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b2f8
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    unsigned char v3 = v1; // 0x46b317_0
    char v4;
    if (v3 >= 0) {
        // 0x46b31d
        int32_t v5;
        if (v5 == -1) {
            // 0x46b323
            char v6;
            if (v6 == 0) {
                // 0x46b329
                int32_t v7;
                if (v7 == 0) {
                    // 0x46b32f
                    char v8;
                    if (v8 == 0) {
                        // 0x46b335
                        if (v4 == 0) {
                            // 0x46b33b
                            g8 = (int32_t)v3 | (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256;
                            g3 = v2;
                            function_46b214();
                            // branch -> 0x46b3b1
                            // 0x46b3b1
                            g6 = 0x46b3cd;
                            abort();
                            // UNREACHABLE
                        }
                    }
                }
            }
        }
    }
    // 0x46b348
    if (v4 == 0) {
        // 0x46b34e
        g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" | 255;
        g3 = *(int32_t *)(v2 + 4);
        function_462278();
        g6 = g6 & -256 | 6;
        g8 = &v1;
        g3 = v2;
        function_46a3b4();
        // branch -> 0x46b3b1
        // 0x46b3b1
        g6 = 0x46b3cd;
        abort();
        // UNREACHABLE
    }
    // 0x46b36a
    unsigned char v9;
    int32_t v10 = v9; // 0x46b36a
    g8 = v10;
    g3 = v2;
    function_46a798();
    int32_t v11 = g8 & -256; // 0x46b396
    if (g3 == 0) {
        // 0x46b396
        g8 = v11 | 104;
        int32_t * v12 = (int32_t *)(v2 + 4); // 0x46b39b_0
        g3 = *v12;
        function_462278();
        g8 = v10;
        g3 = *v12;
        function_46229c();
        // branch -> 0x46b3b1
    } else {
        // 0x46b379
        g8 = v11 | 106;
        int32_t * v13 = (int32_t *)(v2 + 4); // 0x46b37e_0
        g3 = *v13;
        function_462278();
        g8 = g8 & -256 | (int32_t)v9;
        g3 = *v13;
        function_462278();
        // branch -> 0x46b3b1
    }
    // 0x46b3b1
    g6 = 0x46b3cd;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b3dc - 0x46b403
void function_46b3dc(void) {
    int32_t v1 = g6; // 0x46b3e2
    int32_t v2 = g8; // 0x46b3e5
    g8 = v1;
    function_46a30c();
    g8 = v2;
    *(int32_t *)v1 = v2;
    int32_t v3;
    g4 = v3;
}

// Address range: 0x46b404 - 0x46b433
void function_46b404(void) {
    int32_t v1 = g6; // 0x46b40a
    int32_t v2 = g8; // 0x46b40d
    g8 = v1;
    function_46a30c();
    *(char *)(v1 + 20) = 1;
    *(int32_t *)(v1 + 24) = v2;
}

// Address range: 0x46b434 - 0x46b4ab
void function_46b434(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b448
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" | 255;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = 0;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46b49d;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b4ac - 0x46b523
void function_46b4ac(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b4c0
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" | 255;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = g6 & -256 | 1;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46b515;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b524 - 0x46b59b
void function_46b524(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b538
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 217;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = 0;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    int32_t v3;
    g8 = v3;
    g6 = 0x46b58d;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b59c - 0x46b613
void function_46b59c(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b5b0
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 219;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = 0;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46b605;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b614 - 0x46b68b
void function_46b614(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b628
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 217;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = g6 & -256 | 3;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46b67d;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b68c - 0x46b703
void function_46b68c(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b6a0
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 219;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = g6 & -256 | 3;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    abort();
    // UNREACHABLE
}

// Address range: 0x46b704 - 0x46b77b
void function_46b704(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b718
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 216;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = 0;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46b76d;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b77c - 0x46b7f3
void function_46b77c(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b790
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 218;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = 0;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46b7e5;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b7f4 - 0x46b86b
void function_46b7f4(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b808
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 216;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = g6 & -256 | 4;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46b85d;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b86c - 0x46b8e3
void function_46b86c(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b880
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 218;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = g6 & -256 | 4;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46b8d5;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b8e4 - 0x46b95b
void function_46b8e4(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b8f8
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 216;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = g6 & -256 | 1;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46b94d;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b95c - 0x46b9d3
void function_46b95c(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b970
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 218;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = g6 & -256 | 1;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46b9c5;
    abort();
    // UNREACHABLE
}

// Address range: 0x46b9d4 - 0x46ba4b
void function_46b9d4(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46b9e8
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 216;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = g6 & -256 | 6;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46ba3d;
    abort();
    // UNREACHABLE
}

// Address range: 0x46ba4c - 0x46bac3
void function_46ba4c(void) {
    int32_t v1;
    memcpy((char *)&v1, (char *)g8, 16);
    int32_t v2 = g3; // 0x46ba60
    System__FinalizeRecord((char *)g6, "\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40");
    g8 = (int32_t)"\x0e\x08\x54\x41\x43\x5f\x45\x78\x70\x72\x40" & -256 | 218;
    g3 = *(int32_t *)(v2 + 4);
    function_462278();
    g6 = g6 & -256 | 6;
    g8 = &v1;
    g3 = v2;
    function_46a3b4();
    g6 = 0x46bab5;
    abort();
    // UNREACHABLE
}

// Address range: 0x46bac4 - 0x46c00f
void function_46bac4(void) {
    int32_t v1 = g8; // 0x46baca
    int32_t v2 = g3; // 0x46bacd
    g8 = v1 & -256 | 223;
    int32_t * v3 = (int32_t *)(v2 + 4); // 0x46bad5_0
    g3 = *v3;
    function_462278();
    int32_t v4 = g8 & -256 | v1; // 0x46badd
    g8 = v4 - 16 & 255 | v4 & -256;
    g3 = *v3;
    function_462278();
    g6 = v2;
}

// Address range: 0x46c010 - 0x46c05b
void function_46c010(void) {
    int32_t v1 = g8; // 0x46c016
    int32_t * v2 = (int32_t *)(g3 + 0xfa30); // 0x46c01f_0
    g3 = *(int32_t *)(*v2 + 4);
    g8 = v1 & -256 | 232;
    function_462278();
    g8 = v1 - (*(int32_t *)(*(int32_t *)(*v2 + 4) + 8) + 4);
    g3 = *(int32_t *)(*v2 + 4);
    function_46229c();
}

// Address range: 0x46c05c - 0x46c18b
void function_46c05c(void) {
    int32_t v1; // bp-12
    g11 = &v1;
    int32_t v2 = g8; // 0x46c062
    v1 = v2;
    int32_t v3 = g3; // 0x46c065
    if (*(char *)(v3 + 4) != 0) {
        int32_t * v4 = (int32_t *)(v3 + 0xfa30); // 0x46c078_0
        g3 = *(int32_t *)(*v4 + 4);
        g8 = v2 & -256 | 81;
        function_462278();
        g3 = *(int32_t *)(*v4 + 4);
        g8 = g8 & -256 | 81;
        function_462278();
        g3 = *(int32_t *)(*v4 + 4);
        g8 = g8 & -256 | 85;
        function_462278();
        g3 = *(int32_t *)(*v4 + 4);
        g8 = g8 & -256 | 104;
        function_462278();
        g3 = *(int32_t *)(*v4 + 4);
        g8 = v1;
        function_46229c();
        g8 = 0x46bb88;
        g3 = v3;
        function_46c010();
        g3 = *(int32_t *)(*v4 + 4);
        g8 = g8 & -256 | 89;
        function_462278();
        g3 = *(int32_t *)(*v4 + 4);
        g8 = g8 & -256 | 133;
        function_462278();
        g3 = *(int32_t *)(*v4 + 4);
        g8 = g8 & -256 | 192;
        function_462278();
        g3 = *(int32_t *)(*v4 + 4);
        g8 = g8 & -256 | 15;
        function_462278();
        g3 = *(int32_t *)(*v4 + 4);
        g8 = g8 & -256 | 133;
        function_462278();
        int32_t v5 = 0;
        g11 = &v5;
        g8 = *(int32_t *)(*(int32_t *)(*v4 + 4) + 8);
        g3 = *(int32_t *)(*(int32_t *)(*v4 + 8) + 12);
        g6 = 17;
        function_461c30();
        int32_t * v6 = (int32_t *)(*(int32_t *)(*v4 + 4) + 8); // 0x46c181_0
        *v6 = *v6 + 4;
        // branch -> 0x46c185
    }
}

// Address range: 0x46c18c - 0x46c1ff
void function_46c18c(void) {
    int32_t v1 = g8; // 0x46c192
    int32_t v2 = g3; // 0x46c195
    if (*(char *)(v2 + 4) != 0) {
        int32_t * v3 = (int32_t *)(v2 + 0xfa30); // 0x46c1a4_0
        g3 = *(int32_t *)(*v3 + 4);
        g8 = v1 & -256 | 80;
        function_462278();
        g3 = *(int32_t *)(*v3 + 4);
        g8 = g8 & -256 | 104;
        function_462278();
        g3 = *(int32_t *)(*v3 + 4);
        g8 = v1;
        function_46229c();
        g8 = 0x46bbfc;
        g3 = v2;
        function_46c010();
        g3 = *(int32_t *)(*v3 + 4);
        g8 = g8 & -256 | 88;
        function_462278();
        // branch -> 0x46c1fb
    }
}

// Address range: 0x46c200 - 0x46c547
void function_46c200(void) {
    char v1 = 0;
    if (g8 != 0) {
        // 0x46c20a
        System__ClassCreate((int32_t *)g6, g8);
        v1 = g8;
        // branch -> 0x46c212
    }
    int32_t v2 = g3; // 0x46c218
    char v3;
    *(char *)(v2 + 4) = v3;
    *(int32_t *)(v2 + 0xfa2c) = g6;
    int32_t v4;
    *(int32_t *)(v2 + 0xfa30) = v4;
    g67 = v2;
    *(char *)(v2 + 5) = 0;
    *(int32_t *)(v2 + 0xfa28) = 0;
    g3 = v2;
    if (v1 == 0) {
        // 0x46c26e
        g3 = v2;
        return;
    }
    // 0x46c25f
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x46c548 - 0x46c5db
void function_46c548(void) {
    int32_t v1 = g6; // 0x46c54e
    int32_t v2 = g3; // 0x46c554
    function_46c5dc();
    if (*(int32_t *)(v2 + 12) != 0) {
        // 0x46c5c0
        g6 = v1;
        g8 = *(int32_t *)(v2 + 20);
        function_46d1bc();
        // branch -> 0x46c5d4
        // 0x46c5d4
        return;
    }
    uint32_t v3 = *(int32_t *)(v2 + 8); // 0x46c573
    int32_t v4 = v3; // 0x46c57d
    if (v3 <= 0) {
        // 0x46c57a
        v4 = v3 + 3;
        // branch -> 0x46c57d
    }
    // 0x46c57d
    int32_t v5; // 0x46c5d43
    if (v4 >= 4) {
        int32_t * v6 = (int32_t *)(v2 + 4); // 0x46c599_0
        int32_t v7 = 0; // 0x46c5d45
        int32_t v8 = 0; // 0x46c5b62
        int32_t v9 = v4 / 4; // 0x46c5b91
        // branch -> 0x46c590
        int32_t v10; // 0x46c5d44
        while (true) {
            int32_t v11 = 4 * v8; // 0x46c593
            v10 = v7;
            if (*(int32_t *)(*v6 + v11) == v1) {
                // 0x46c5a3
                *(int32_t *)(*v6 + v11) = 0;
                v10 = v7 + 1;
                // branch -> 0x46c5b6
            }
            int32_t v12 = v9 - 1; // 0x46c5b9
            if (v12 == 0) {
                // break -> 0x46c5d4
                break;
            }
            v7 = v10;
            v8++;
            v9 = v12;
            // continue -> 0x46c590
        }
        // 0x46c5d4
        v5 = v10;
        // branch -> 0x46c5d4
    } else {
        v5 = 0;
    }
    // 0x46c5d4
    g3 = v5;
}

// Address range: 0x46c5dc - 0x46c6cb
void function_46c5dc(void) {
    // 0x46c5dc
    abort();
    // UNREACHABLE
}

// Address range: 0x46c6cc - 0x46c80f
void function_46c6cc(void) {
    int32_t v1 = g3; // 0x46c6d3
    int32_t * v2 = (int32_t *)(v1 + 12); // 0x46c6d9_0
    int32_t v3 = *(int32_t *)(*v2 + 8); // 0x46c6dc
    if (v3 < 1) {
        // 0x46c809
        return;
    }
    // 0x46c6e8
    int32_t * v4;
    int32_t v5 = (int32_t)&v4; // 0x46c76c_1
    int32_t v6 = v1 + 36; // 0x46c770
    int32_t * v7 = (int32_t *)v6; // 0x46c79c_0
    int32_t v8 = 0; // 0x46c7fd5
    // branch -> 0x46c6f3
    while (true) {
        int32_t v9 = *(int32_t *)(*(int32_t *)(*v2 + 4) + 4 * v8); // 0x46c6ff
        int32_t v10; // 0x46c800
        if (*(char *)(v9 + 97) == 0) {
            // 0x46c712
            if (*(char *)(v9 + 8) == 0) {
                int32_t * v11 = (int32_t *)(v9 + 24); // 0x46c722_0
                if (*v11 != 0) {
                    // 0x46c72c
                    if (*(char *)(*v11 + 8) == 3) {
                        // 0x46c73c
                        if (*(char *)(v9 + 44) != 0) {
                            // 0x46c749
                            if (*(char *)(v9 + 99) == 0) {
                                // 0x46c756
                                if (*(int32_t *)(v9 + 40) == 0) {
                                    // 0x46c75f
                                    v4 = (int32_t *)*(int32_t *)(v9 + 76);
                                    g11 = v5;
                                    g8 = v6;
                                    g6 = *(int32_t *)(v9 + 48);
                                    g3 = v1;
                                    function_46c810();
                                    // branch -> 0x46c7fd
                                } else {
                                    int32_t v12 = *(int32_t *)(v9 + 76); // 0x46c786
                                    g3 = *v7;
                                    function_405b98();
                                    int32_t v13 = g3; // 0x46c7a4
                                    int32_t v14 = v12 == 0 ? 1 : v12; // 0x46c7aa
                                    System__DynArraySetLength((char *)1, (char *)0x46c2b4, v13 + v14, (int32_t *)g5);
                                    if (v14 >= 1) {
                                        int32_t v15 = 0; // 0x46c7f54
                                        g5 = v9;
                                        int32_t v16 = *(int32_t *)(v9 + 48); // 0x46c7ef
                                        *(int32_t *)(4 * (v15 + v13) + *v7) = v16 + 4 * v15;
                                        int32_t v17 = v14 - 1; // 0x46c7f8
                                        // branch -> 0x46c7da
                                        while (v17 != 0) {
                                            // 0x46c7da
                                            v15++;
                                            g5 = v9;
                                            v16 = *(int32_t *)(v9 + 48);
                                            *(int32_t *)(4 * (v15 + v13) + *v7) = v16 + 4 * v15;
                                            v17--;
                                            // continue -> 0x46c7da
                                        }
                                        // 0x46c7fd
                                        // branch -> 0x46c7fd
                                    }
                                }
                                // 0x46c7fd
                                v10 = v3 - 1;
                                if (v10 == 0) {
                                    // break -> 0x46c809
                                    break;
                                }
                                v8++;
                                v3 = v10;
                                // continue -> 0x46c6f3
                                continue;
                            }
                        }
                        // 0x46c7fd
                        v10 = v3 - 1;
                        if (v10 == 0) {
                            // break -> 0x46c809
                            break;
                        }
                        v8++;
                        v3 = v10;
                        // continue -> 0x46c6f3
                        continue;
                    }
                }
                // 0x46c7fd
                v10 = v3 - 1;
                if (v10 == 0) {
                    // break -> 0x46c809
                    break;
                }
                v8++;
                v3 = v10;
                // continue -> 0x46c6f3
                continue;
            }
        }
        // 0x46c7fd
        v10 = v3 - 1;
        if (v10 == 0) {
            // break -> 0x46c809
            break;
        }
        v8++;
        v3 = v10;
        // continue -> 0x46c6f3
    }
    // 0x46c809
    // branch -> 0x46c809
}

// Address range: 0x46c810 - 0x46c9ef
void function_46c810(void) {
    int32_t * v1 = (int32_t *)g5; // 0x46c816_0
    int32_t * v2 = (int32_t *)g8; // bp-12
    int32_t v3 = g3; // 0x46c81d
    int32_t v4;
    if (*(char *)(v4 + 8) != 3) {
        // 0x46c9e6
        g5 = (int32_t)v1;
        return;
    }
    // 0x46c82d
    int32_t v5;
    if (v5 >= 1) {
        int32_t * v6 = (int32_t *)(v4 + 108); // 0x46c856_0
        int32_t * v7;
        int32_t v8 = (int32_t)&v7; // 0x46c8ce_1
        int32_t v9 = 0; // 0x46c9da4
        // branch -> 0x46c844
        while (true) {
            int32_t v10 = *(int32_t *)(v4 + 72); // 0x46c847
            int32_t v11 = (int32_t)((int64_t)v10 * (int64_t)v9) + g6; // 0x46c84d
            int32_t v12 = *(int32_t *)(*v6 + 8); // 0x46c859
            int32_t v13; // 0x46c9dd
            if (v12 >= 1) {
                int32_t v14 = 0; // 0x46c9ce6
                // branch -> 0x46c870
                while (true) {
                    int32_t v15 = *(int32_t *)(*(int32_t *)(*v6 + 4) + 4 * v14); // 0x46c87c
                    int32_t v16; // 0x46c9ce
                    int32_t v17; // 0x46c9d1
                    if (*(char *)(v15 + 8) == 4) {
                        int32_t * v18 = (int32_t *)(v15 + 24); // 0x46c892_0
                        if (*v18 != 0) {
                            // 0x46c89c
                            if (*(char *)(*v18 + 8) == 3) {
                                // 0x46c8ac
                                int32_t * v19; // 0x46c8b8_0
                                if (*(char *)(v15 + 99) == 0) {
                                    // 0x46c8b5
                                    v19 = (int32_t *)(v15 + 76);
                                    if (*v19 <= 1) {
                                        // 0x46c8be
                                        if (*(int32_t *)(v15 + 40) == 0) {
                                            // 0x46c8c7
                                            v7 = (int32_t *)1;
                                            g11 = v8;
                                            g6 = *(int32_t *)(v15 + 72) + v11;
                                            g8 = *v2;
                                            g3 = v3;
                                            function_46c810();
                                            // branch -> 0x46c9ce
                                        } else {
                                            // 0x46c8e9
                                            g3 = *(int32_t *)*v2;
                                            function_405b98();
                                            int32_t v20 = g3; // 0x46c8f3
                                            System__DynArraySetLength((char *)1, (char *)0x46c2b4, v20 + 1, v1);
                                            g5 = v15;
                                            v2[v20] = *(int32_t *)(v15 + 72) + v11;
                                            // branch -> 0x46c9ce
                                        }
                                      lab_0x46c9ce_4:
                                        // 0x46c9ce
                                        v16 = v14 + 1;
                                        v17 = v12 - 1;
                                        if (v17 == 0) {
                                            // break -> 0x46c9da
                                            break;
                                        }
                                        v14 = v16;
                                        v12 = v17;
                                        // continue -> 0x46c870
                                        continue;
                                    }
                                } else {
                                    // 0x46c8ac
                                    v19 = (int32_t *)(v15 + 76);
                                    // branch -> 0x46c92a
                                }
                                // 0x46c92a
                                if (*v19 < 2) {
                                    goto lab_0x46c9ce_4;
                                }
                                // 0x46c937
                                if (*(int32_t *)(v15 + 40) == 0) {
                                    // 0x46c940
                                    v7 = (int32_t *)*v19;
                                    g11 = v8;
                                    g6 = *(int32_t *)(v15 + 72) + v11;
                                    g8 = *v2;
                                    g3 = v3;
                                    function_46c810();
                                    // branch -> 0x46c9ce
                                    goto lab_0x46c9ce_4;
                                } else {
                                    // 0x46c964
                                    g3 = *(int32_t *)*v2;
                                    function_405b98();
                                    int32_t v21 = g3; // 0x46c96e
                                    int32_t v22 = *v19; // 0x46c977
                                    System__DynArraySetLength((char *)1, (char *)0x46c2b4, v22 + v21, v1);
                                    int32_t v23 = *v19; // 0x46c994
                                    if (v23 < 1) {
                                        goto lab_0x46c9ce_4;
                                    }
                                    int32_t v24 = 0; // 0x46c9c65
                                    v2[v21] = 4 * v24 + v11 + *(int32_t *)(v15 + 72);
                                    int32_t v25 = v23 - 1; // 0x46c9c9
                                    // branch -> 0x46c9a7
                                    while (v25 != 0) {
                                        // 0x46c9a7
                                        v24++;
                                        v2[v21] = 4 * v24 + v11 + *(int32_t *)(v15 + 72);
                                        v25--;
                                        // continue -> 0x46c9a7
                                    }
                                    // 0x46c9ce
                                    // branch -> 0x46c9ce
                                    goto lab_0x46c9ce_4;
                                }
                            }
                        }
                    }
                    // 0x46c9ce
                    v16 = v14 + 1;
                    v17 = v12 - 1;
                    if (v17 == 0) {
                        // break -> 0x46c9da
                        break;
                    }
                    v14 = v16;
                    v12 = v17;
                    // continue -> 0x46c870
                }
                // 0x46c9da
                v13 = v5 - 1;
                if (v13 == 0) {
                    // break -> 0x46c9e6
                    break;
                }
                v9++;
                v5 = v13;
                // continue -> 0x46c844
                continue;
            }
            // 0x46c9da
            v13 = v5 - 1;
            if (v13 == 0) {
                // break -> 0x46c9e6
                break;
            }
            v9++;
            v5 = v13;
            // continue -> 0x46c844
        }
        // 0x46c9e6
        // branch -> 0x46c9e6
    }
    // 0x46c9e6
    g5 = (int32_t)v1;
}

// Address range: 0x46c9f0 - 0x46cae3
void function_46c9f0(void) {
    uint32_t v1 = g8; // 0x46c9f9
    int32_t v2 = g3; // 0x46c9fc
    int32_t * v3 = (int32_t *)(v2 + 40 + 4 * ((v1 / 8 ^ v1 / 0x1000) & 0x3fff)); // 0x46ca1b_0
    g3 = *v3;
    function_405b98();
    int32_t v4 = g3; // 0x46ca24
    System__DynArraySetLength((char *)1, (char *)0x46c38c, v4 + 1, (int32_t *)v4);
    g8 = 0x46c301;
    int32_t v5 = 0x46c340; // eax
    function_403c70();
    int32_t v6 = 4 * v4; // 0x46ca68
    *(int32_t *)(*v3 + v6) = v5;
    *(int32_t *)(*(int32_t *)(*v3 + v6) + 4) = v1;
    *(int32_t *)(*(int32_t *)(*v3 + v6) + 8) = g6;
    int32_t * v7 = (int32_t *)(v2 + 0x10028); // 0x46ca9a_0
    g3 = *v7;
    function_405b98();
    System__DynArraySetLength((char *)1, (char *)0x46c4a4, g3 + 1, (int32_t *)g3);
    *(int32_t *)(*v7 + 4 * g3) = v5;
    g3 = v5;
}

// Address range: 0x46cae4 - 0x46cb6b
void function_46cae4(void) {
    int32_t * v1 = (int32_t *)(g3 + 40 + 4 * ((g8 / 8 ^ g8 / 0x1000) & 0x3fff)); // 0x46cb0c_0
    g3 = *v1;
    function_405b98();
    if (g3 < 1) {
        // 0x46cb60
        // branch -> 0x46cb65
    } else {
        int32_t v2 = 0; // 0x46cb583
        int32_t v3 = g3; // 0x46cb5b2
        // branch -> 0x46cb2b
        while (true) {
            // 0x46cb2b
            if (*(int32_t *)(*(int32_t *)(*v1 + 4 * v2) + 4) == g8) {
                // 0x46cb43
                // branch -> 0x46cb65
                // 0x46cb65
                return;
            }
            int32_t v4 = v3 - 1; // 0x46cb5b
            if (v4 == 0) {
                // break -> 0x46cb60
                break;
            }
            v2++;
            v3 = v4;
            // continue -> 0x46cb2b
        }
        // 0x46cb60
        // branch -> 0x46cb60
        // 0x46cb60
        // branch -> 0x46cb65
    }
}

// Address range: 0x46cb6c - 0x46cceb
void function_46cb6c(void) {
    int32_t * v1 = (int32_t *)g5; // 0x46cb72_0
    int32_t v2 = g3; // 0x46cb76
    int32_t * v3 = (int32_t *)(v2 + 40 + 4 * ((g8 / 8 ^ g8 / 0x1000) & 0x3fff)); // 0x46cb95_0
    g3 = *v3;
    function_405b98();
    int32_t v4 = g3; // 0x46cb9e
    uint32_t v5 = v4 - 1; // 0x46cba9
    int32_t v6 = 0; // 0x46ccdf4
    int32_t * v7; // 0x46cc50_0
    int32_t v8; // 0x46cc61
    int32_t v9; // 0x46cc5b
    int32_t v10; // 0x46cc7d
    int32_t v11; // 0x46ccb76
    int32_t v12; // 0x46ccba2
    if (v5 >= 0) {
        int32_t v13 = 0; // 0x46cbf5
        int32_t v14 = v4; // 0x46ccba3
        // branch -> 0x46cbb9
        while (true) {
            int32_t v15 = *v3; // 0x46cbbf
            int32_t v16 = 4 * v13; // 0x46cbc6
            if (*(int32_t *)(*(int32_t *)(v15 + v16) + 4) == g8) {
                int32_t v17 = *(int32_t *)(*v3 + v16); // 0x46cbde
                uint32_t v18 = v4 - 2; // 0x46cbea
                if (v18 >= v13) {
                    int32_t v19 = v13; // 0x46cc195
                    int32_t v20 = 4 * v19; // 0x46cc05
                    int32_t v21 = *(int32_t *)(v20 + 4 + *v3); // 0x46cc05
                    *(int32_t *)(*v3 + v20) = v21;
                    int32_t v22 = v18 - v13; // 0x46cc1c
                    // branch -> 0x46cbf8
                    while (v22 != 0) {
                        // 0x46cbf8
                        v19++;
                        v20 = 4 * v19;
                        v21 = *(int32_t *)(v20 + 4 + *v3);
                        *(int32_t *)(*v3 + v20) = v21;
                        v22--;
                        // continue -> 0x46cbf8
                    }
                    // 0x46cc2b
                    v6 = v17;
                    // branch -> 0x46cc2b
                } else {
                    v6 = v17;
                }
            } else {
                int32_t v23 = v14 - 1; // 0x46cc26
                if (v23 == 0) {
                    v6 = 0;
                    // break -> 0x46cc2b
                    break;
                }
                v13++;
                v14 = v23;
                // continue -> 0x46cbb9
                continue;
            }
            // 0x46cc2b
            System__DynArraySetLength((char *)1, (char *)0x46c38c, v5, v1);
            v7 = (int32_t *)(v2 + 0x10028);
            g3 = *v7;
            function_405b98();
            v9 = g3;
            v8 = v9 - 1;
            if (v8 < 0) {
                // 0x46ccbf
                System__DynArraySetLength((char *)1, (char *)0x46c4a4, v8, v1);
                System__TObject__Free(1);
                return;
            }
            // 0x46cc66
            v11 = 0;
            v12 = v9;
            // branch -> 0x46cc71
            while (true) {
                // 0x46cc71
                v10 = 4 * v11;
                if (*(int32_t *)(*v7 + v10) == v6) {
                    // 0x46cc85
                    g6 = 4 * (v9 - v11 - 1);
                    g8 = v10 + 4 + *v7;
                    g3 = *v7 + v10;
                    function_407924();
                    // branch -> 0x46ccbf
                    // 0x46ccbf
                    System__DynArraySetLength((char *)1, (char *)0x46c4a4, v8, v1);
                    System__TObject__Free(1);
                    return;
                }
              lab_0x46ccb7:;
                int32_t v24 = v12 - 1; // 0x46ccba
                if (v24 == 0) {
                    // break -> 0x46ccbf
                    break;
                }
                v11++;
                v12 = v24;
                // continue -> 0x46cc71
            }
            // 0x46ccbf
            // branch -> 0x46ccbf
            // 0x46ccbf
            System__DynArraySetLength((char *)1, (char *)0x46c4a4, v8, v1);
            System__TObject__Free(1);
            return;
        }
    }
    // 0x46cc2b
    System__DynArraySetLength((char *)1, (char *)0x46c38c, v5, v1);
    v7 = (int32_t *)(v2 + 0x10028);
    g3 = *v7;
    function_405b98();
    v9 = g3;
    v8 = v9 - 1;
    if (v8 < 0) {
        // 0x46ccbf
        System__DynArraySetLength((char *)1, (char *)0x46c4a4, v8, v1);
        System__TObject__Free(1);
        return;
    }
    // 0x46cc66
    v11 = 0;
    v12 = v9;
    // branch -> 0x46cc71
    while (true) {
        // 0x46cc71
        v10 = 4 * v11;
        if (*(int32_t *)(*v7 + v10) != v6) {
            goto lab_0x46ccb7;
        }
        // 0x46cc85
        g6 = 4 * (v9 - v11 - 1);
        g8 = v10 + 4 + *v7;
        g3 = *v7 + v10;
        function_407924();
        // branch -> 0x46ccbf
        // 0x46ccbf
        System__DynArraySetLength((char *)1, (char *)0x46c4a4, v8, v1);
        System__TObject__Free(1);
        return;
    }
}

// Address range: 0x46ccec - 0x46cf83
void function_46ccec(void) {
    // 0x46ccec
    abort();
    // UNREACHABLE
}

// Address range: 0x46cf84 - 0x46d08b
void function_46cf84(void) {
    int32_t v1 = g8; // 0x46cf8a
    int32_t v2 = g3; // 0x46cf8d
    *(int32_t *)48 = v2;
    *(char *)(v2 + 32) = 0;
    int32_t * v3;
    System__DynArraySetLength((char *)1, (char *)0x46c46c, 0, v3);
    *(int32_t *)(v2 + 8) = 1;
    *(int32_t *)(v2 + 12) = *(int32_t *)(v1 + 28);
    *(int32_t *)(v2 + 20) = v1;
    System__DynArraySetLength((char *)1, (char *)0x46c2b4, 0, v3);
    int32_t v4 = 0; // 0x46d0582
    // branch -> 0x46cffb
    while (true) {
        // 0x46cffb
        System__DynArraySetLength((char *)1, (char *)0x46c38c, 0, v3);
        int32_t v5 = v4 + 1; // 0x46d01a
        if (v5 == 0x4000) {
            // 0x46d026
            g3 = *(int32_t *)(v2 + 0x10028);
            function_405b98();
            int32_t v6 = g3; // 0x46d034
            if (v6 < 1) {
                // 0x46d026
                // branch -> 0x46d060
                // 0x46d060
                System__DynArraySetLength((char *)1, (char *)0x46c4a4, 0, v3);
                g3 = v2;
                function_46c6cc();
                return;
            }
            // 0x46d039
            System__TObject__Free(1);
            int32_t v7 = (int32_t)(int32_t *)v6 - 1; // 0x46d05b
            int32_t * v8 = (int32_t *)v7; // 0x46d05b_4
            // branch -> 0x46d044
            while (v7 != 0) {
                // 0x46d044
                System__TObject__Free(1);
                v7 = (int32_t)v8 - 1;
                v8 = (int32_t *)v7;
                // continue -> 0x46d044
            }
            // 0x46d060
            System__DynArraySetLength((char *)1, (char *)0x46c4a4, 0, v8);
            g3 = v2;
            function_46c6cc();
            return;
        }
        // 0x46cffb
        v4 = v5;
        // branch -> 0x46cffb
    }
}

// Address range: 0x46d08c - 0x46d0bb
void function_46d08c(void) {
    // 0x46d08c
    function_46c9f0();
    int32_t v1;
    *(int32_t *)(g3 + 12) = v1;
}

// Address range: 0x46d0bc - 0x46d1ba
void function_46d0bc(void) {
    // 0x46d0bc
    abort();
    // UNREACHABLE
}

// Address range: 0x46d1bc - 0x46d223
void function_46d1bc(void) {
    int32_t ** v1 = (int32_t **)g8; // 0x46d1c5_0
    g3 = (int32_t)*v1;
    function_405b98();
    if (g3 == 0) {
        // 0x46d21c
        g3 = 0;
        return;
    }
    // 0x46d1dc
    g3 = (int32_t)*v1;
    function_405b98();
    int32_t * v2 = *v1; // 0x46d1e7
    int32_t v3 = g5; // 0x46d1ed
    int32_t v4 = g10; // 0x46d1ee
    int32_t v5 = g7; // 0x46d1ef
    int32_t v6 = 0; // edi
    int32_t v7 = (int32_t)*(int32_t **)g6; // 0x46d1f4_0
    int32_t * v8 = *(int32_t **)g3; // 0x46d1f7
    int32_t v9 = (int32_t)v8; // 0x46d1f7_0
    int32_t v10 = (int32_t)*(int32_t **)v2; // 0x46d1fa_0
    if (v8 != NULL) {
        int32_t v11 = 0; // 0x46d21016
        int32_t ** v12 = (int32_t **)v2;
        while (true) {
            int32_t v13 = v11; // 0x46d21015
            if ((int32_t)*v12 == v7) {
                // 0x46d207
                *v12 = (int32_t *)0;
                int32_t v14 = v6 + 1; // 0x46d209
                v6 = v14;
                v13 = v14;
                // branch -> 0x46d20a
            }
            int32_t v15 = v9 - 1; // 0x46d20d
            if (v15 == 0) {
                // 0x46d1fd
                // branch -> 0x46d210
                // 0x46d210
                g7 = v5;
                g10 = v4;
                g5 = v3;
                // branch -> 0x46d21c
                // 0x46d21c
                g3 = v13;
                return;
            }
            // 0x46d20a
            v11 = v13;
            v9 = v15;
            v10 += 4;
            v12 = (int32_t **)v2;
            // branch -> 0x46d201
        }
    }
    // 0x46d210
    g7 = v5;
    g10 = v4;
    g5 = v3;
    // branch -> 0x46d21c
    // 0x46d21c
    g3 = 0;
}

// Address range: 0x46d224 - 0x46d38b
void function_46d224(void) {
    int32_t v1 = g8; // 0x46d22a
    int32_t v2 = g3; // 0x46d22d
    g8 = *(int32_t *)(v2 + 36);
    g6 = v1;
    function_46d1bc();
    int32_t * v3 = (int32_t *)(v2 + 0x10028); // 0x46d247_0
    g3 = *v3;
    function_405b98();
    int32_t v4 = g3; // 0x46d252
    int32_t * v5; // 0x46d28a_0
    int32_t v6; // 0x46d28d
    int32_t v7; // 0x46d2c0
    int32_t v8; // 0x46d2dc
    int32_t v9; // 0x46d2b3
    int32_t v10; // 0x46d2b3
    int32_t v11; // 0x46d2d2
    int32_t v12; // 0x46d3797
    int32_t v13; // 0x46d37c3
    if (v4 >= 1) {
        int32_t v14 = 0; // 0x46d3798
        g3 = *(int32_t *)(*v3 + 4 * v14);
        g6 = v1;
        g8 = v2;
        function_46c548();
        int32_t v15 = v4 - 1; // 0x46d282
        // branch -> 0x46d262
        while (v15 != 0) {
            // 0x46d262
            v14++;
            g3 = *(int32_t *)(*v3 + 4 * v14);
            g6 = v1;
            g8 = v2;
            function_46c548();
            v15--;
            // continue -> 0x46d262
        }
        // 0x46d287
        v5 = (int32_t *)(v2 + 16);
        v6 = *(int32_t *)(*v5 + 0xfa28);
        if (v6 < 1) {
            // 0x46d385
            return;
        }
        // 0x46d29c
        v12 = 0;
        v13 = v6;
        // branch -> 0x46d2a7
        while (true) {
            // 0x46d2a7
            v9 = 32 * v12;
            v10 = *(int32_t *)((v9 | 12) + *v5);
            int32_t v16 = *(int32_t *)(v2 + 20); // 0x46d2ba
            v7 = *(int32_t *)(*(int32_t *)(v16 + 4) + 4 * v10);
            v11 = *(int32_t *)(*v5 + (v9 | 8));
            v8 = *(int32_t *)(v7 + 8);
            int32_t v17; // 0x46d37c
            if (v8 >= 1) {
              lab_0x46d2e8:;
                int32_t * v18 = (int32_t *)(v7 + 4); // 0x46d2f6_0
                int32_t v19 = 0; // 0x46d36d6
                int32_t v20 = v8; // 0x46d3702
                // branch -> 0x46d2f3
                while (true) {
                    int32_t v21 = 4 * v19; // 0x46d2fc
                    int32_t v22 = *(int32_t *)(*v18 + v21); // 0x46d2fc
                    int32_t v23 = *(int32_t *)(*(int32_t *)(v22 + 4) + 8); // 0x46d302
                    int32_t v24; // 0x46d36d
                    int32_t v25; // 0x46d370
                    if (v23 >= 1) {
                        int32_t v26 = 0; // 0x46d3655
                        // branch -> 0x46d315
                        while (true) {
                            int32_t v27 = *(int32_t *)(*v18 + v21); // 0x46d31e
                            int32_t v28 = *(int32_t *)(*(int32_t *)(v27 + 4) + 4); // 0x46d324
                            int32_t v29 = *(int32_t *)(v28 + 4 * v26); // 0x46d32a
                            int32_t * v30 = (int32_t *)(v29 + 24); // 0x46d333_0
                            if (*v30 != 0) {
                                // 0x46d339
                                if (*(char *)(*v30 + 8) == 3) {
                                    int32_t * v31 = (int32_t *)(v29 + 72); // 0x46d34b_0
                                    if (*(int32_t *)(*v31 + v11) == v1) {
                                        // 0x46d355
                                        *(int32_t *)(*v31 + v11) = 0;
                                        // branch -> 0x46d365
                                    }
                                }
                            }
                            int32_t v32 = v26 + 1; // 0x46d365
                            int32_t v33 = v23 - 1; // 0x46d368
                            if (v33 == 0) {
                                // break -> 0x46d36d
                                break;
                            }
                            v26 = v32;
                            v23 = v33;
                            // continue -> 0x46d315
                        }
                        // 0x46d36d
                        v24 = v19 + 1;
                        v25 = v20 - 1;
                        if (v25 == 0) {
                            // break -> 0x46d379
                            break;
                        }
                        v19 = v24;
                        v20 = v25;
                        // continue -> 0x46d2f3
                        continue;
                    }
                    // 0x46d36d
                    v24 = v19 + 1;
                    v25 = v20 - 1;
                    if (v25 == 0) {
                        // break -> 0x46d379
                        break;
                    }
                    v19 = v24;
                    v20 = v25;
                    // continue -> 0x46d2f3
                }
                // 0x46d379
                v17 = v13 - 1;
                if (v17 == 0) {
                    // break -> 0x46d385
                    break;
                }
                v12++;
                v13 = v17;
                // continue -> 0x46d2a7
                continue;
            }
          lab_0x46d379:
            // 0x46d379
            v17 = v13 - 1;
            if (v17 == 0) {
                // break -> 0x46d385
                break;
            }
            v12++;
            v13 = v17;
            // continue -> 0x46d2a7
        }
        // 0x46d385
        return;
    }
    // 0x46d287
    v5 = (int32_t *)(v2 + 16);
    v6 = *(int32_t *)(*v5 + 0xfa28);
    if (v6 < 1) {
        // 0x46d385
        return;
    }
    // 0x46d29c
    v12 = 0;
    v13 = v6;
    // branch -> 0x46d2a7
    while (true) {
        // 0x46d2a7
        v9 = 32 * v12;
        v10 = *(int32_t *)((v9 | 12) + *v5);
        int32_t v34 = *(int32_t *)(*(int32_t *)(v2 + 20) + 4); // 0x46d2bd
        v7 = *(int32_t *)(v34 + 4 * v10);
        v11 = *(int32_t *)(*v5 + (v9 | 8));
        v8 = *(int32_t *)(v7 + 8);
        if (v8 < 1) {
            goto lab_0x46d379;
        }
        goto lab_0x46d2e8;
    }
}

// Address range: 0x46d38c - 0x46d5b3
void function_46d38c(void) {
    // 0x46d38c
    g3 = ((struct struct_183 *)g3)->e5;
    function_45bfb8();
}

// Address range: 0x46d5b4 - 0x46d7a7
void function_46d5b4(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g68; // 0x46d5b8
    int32_t * v3 = (int32_t *)(v2 + 16); // 0x46d5bd_0
    int32_t v4 = *v3; // 0x46d5bd
    g2 = false;
    g1 = false;
    g187 = v4 == 0;
    g9 = llvm_ctpop_i32(v4) % 2 == 1;
    if (v4 == 0) {
        // 0x46d5c3
        System__FreeMem((char *)g6);
        // branch -> 0x46d5d9
    } else {
        // 0x46d5cd
        g5 = v2;
        int32_t ** v5;
        g3 = (int32_t)v5;
        ((int32_t (*)())*v3)();
        // branch -> 0x46d5d9
    }
}

// Address range: 0x46d7a8 - 0x46d89e
void function_46d7a8(void) {
    int32_t v1 = g8; // 0x46d7ae
    int32_t v2 = *(int32_t *)(v1 + 8); // 0x46d7bc
    if (v2 < 1) {
        // 0x46d867
        *(int32_t *)(v1 + 20) = -0;
        return;
    }
    int32_t * v3 = (int32_t *)(v1 + 4); // 0x46d7d6_0
    int32_t v4 = 0; // 0x46d85b9
    int32_t v5 = 0; // 0x46d8676
    // branch -> 0x46d7d3
    int32_t v6; // 0x46d8675
    while (true) {
        int32_t v7 = 4 * v4; // 0x46d7dc
        int32_t v8 = *(int32_t *)(*v3 + v7); // 0x46d7dc
        int32_t v9 = *(int32_t *)(*(int32_t *)(v8 + 4) + 8); // 0x46d7e2
        v6 = v5;
        int32_t v10; // 0x46d85e
        if (v9 >= 1) {
            int32_t v11 = 0; // 0x46d8538
            int32_t v12 = v5; // 0x46d8674
            // branch -> 0x46d7f5
            while (true) {
                int32_t v13 = *(int32_t *)(*v3 + v7); // 0x46d7fe
                int32_t v14 = *(int32_t *)(*(int32_t *)(v13 + 4) + 4); // 0x46d804
                int32_t v15 = 4 * v11; // 0x46d80a
                int32_t v16 = v12; // 0x46d8673
                if (*(int32_t *)(*(int32_t *)(v14 + v15) + 72) == 0) {
                    int32_t v17 = *(int32_t *)(*v3 + v7); // 0x46d81c
                    int32_t v18 = *(int32_t *)(*(int32_t *)(v17 + 4) + 4); // 0x46d822
                    g3 = *(int32_t *)(v18 + v15);
                    g8 = 0;
                    function_459bcc();
                    int32_t v19 = v12 - g3; // 0x46d832
                    int32_t v20 = *(int32_t *)(*v3 + v7); // 0x46d83e
                    int32_t v21 = *(int32_t *)(*(int32_t *)(v20 + 4) + 4); // 0x46d844
                    *(int32_t *)(*(int32_t *)(v21 + v15) + 72) = v19;
                    v16 = v19;
                    // branch -> 0x46d853
                }
                int32_t v22 = v11 + 1; // 0x46d853
                int32_t v23 = v9 - 1; // 0x46d856
                if (v23 == 0) {
                    v6 = v16;
                    // break -> 0x46d85b
                    break;
                }
                v11 = v22;
                v12 = v16;
                v9 = v23;
                // continue -> 0x46d7f5
            }
            // 0x46d85b
            v10 = v2 - 1;
            if (v10 == 0) {
                // break -> 0x46d867
                break;
            }
            v4++;
            v5 = v6;
            v2 = v10;
            // continue -> 0x46d7d3
            continue;
        }
        // 0x46d85b
        v10 = v2 - 1;
        if (v10 == 0) {
            // break -> 0x46d867
            break;
        }
        v4++;
        v5 = v6;
        v2 = v10;
        // continue -> 0x46d7d3
    }
    // 0x46d867
    *(int32_t *)(v1 + 20) = -v6;
}

// Address range: 0x46d8a0 - 0x46da66
void function_46d8a0(void) {
    // 0x46d8a0
    abort();
    // UNREACHABLE
}

// Address range: 0x46da68 - 0x46e16f
void function_46da68(void) {
    // 0x46da68
    abort();
    // UNREACHABLE
}

// Address range: 0x46e170 - 0x46e1ab
void function_46e170(void) {
    char * v1 = (char *)(g3 + 29); // 0x46e182_0
    if (*v1 == 0) {
        // 0x46e188
        *v1 = 1;
        System__LStrAsg((char *)g6, (char *)g8);
        *(int32_t *)(g3 + 36) = g6;
        // branch -> 0x46e1a6
    }
}

// Address range: 0x46e1ac - 0x46e28b
void function_46e1ac(void) {
    // 0x46e1ac
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x46e28c - 0x46e337
void function_46e28c(void) {
    // 0x46e28c
    if (g8 == g6) {
        // 0x46e330
        return;
    }
    char * v1 = (char *)(g8 + 9); // 0x46e2af_0
    char * v2; // 0x46e30e_0
    if (*v1 == 4) {
        // 0x46e2b5
        if (*(char *)(g6 + 9) == 4) {
            // 0x46e2be
            if (g6 == 0) {
                // 0x46e2f0
                if (*v1 != 0) {
                    // 0x46e2f9
                    if (*v1 != 3) {
                        // 0x46e302
                        if (*v1 != 8) {
                            // 0x46e32c
                            // branch -> 0x46e330
                            // 0x46e330
                            return;
                        }
                    }
                }
                // 0x46e30b
                v2 = (char *)(g6 + 9);
                if (*v2 == 0 || *v2 == 3) {
                    // 0x46e330
                    return;
                }
                // 0x46e31d
                if (*v2 != 8) {
                    // 0x46e32c
                    // branch -> 0x46e330
                }
                // 0x46e330
                return;
            }
            int32_t v3 = g6; // 0x46e2e41
            while (true) {
                // 0x46e2ca
                if (g8 == v3) {
                    // 0x46e330
                    return;
                }
                // 0x46e2d8
                if (*(char *)(v3 + 93) != 0) {
                    int32_t v4 = *(int32_t *)(v3 + 24); // 0x46e2e4
                    if (v4 == 0) {
                        // break -> 0x46e2f0
                        break;
                    }
                    v3 = v4;
                    // continue -> 0x46e2ca
                    continue;
                }
                // 0x46e2f0
                if (*v1 != 0) {
                    // 0x46e2f9
                    if (*v1 != 3) {
                        // 0x46e302
                        if (*v1 != 8) {
                            // 0x46e32c
                            // branch -> 0x46e330
                            // 0x46e330
                            return;
                        }
                    }
                }
                // 0x46e30b
                v2 = (char *)(g6 + 9);
                if (*v2 == 0 || *v2 == 3) {
                    // 0x46e330
                    return;
                }
                // 0x46e31d
                if (*v2 != 8) {
                    // 0x46e32c
                    // branch -> 0x46e330
                }
                // 0x46e330
                return;
            }
            // 0x46e2f0
            if (*v1 != 0) {
                // 0x46e2f9
                if (*v1 != 3) {
                    // 0x46e302
                    if (*v1 != 8) {
                        // 0x46e32c
                        // branch -> 0x46e330
                        // 0x46e330
                        return;
                    }
                }
            }
            // 0x46e30b
            v2 = (char *)(g6 + 9);
            if (*v2 == 0 || *v2 == 3) {
                // 0x46e330
                return;
            }
            // 0x46e31d
            if (*v2 != 8) {
                // 0x46e32c
                // branch -> 0x46e330
            }
            // 0x46e330
            return;
        }
    }
    // 0x46e2f0
    if (*v1 == 0 || *v1 == 3) {
        // 0x46e30b
        v2 = (char *)(g6 + 9);
        if (*v2 == 0 || *v2 == 3) {
            // 0x46e330
            return;
        }
        // 0x46e31d
        if (*v2 != 8) {
            // 0x46e32c
            // branch -> 0x46e330
        }
        // 0x46e330
        return;
    }
    // 0x46e302
    if (*v1 != 8) {
        // 0x46e32c
        // branch -> 0x46e330
        // 0x46e330
        return;
    }
    // 0x46e30b
    v2 = (char *)(g6 + 9);
    if (*v2 == 0 || *v2 == 3) {
        // 0x46e330
        return;
    }
    // 0x46e31d
    if (*v2 != 8) {
        // 0x46e32c
        // branch -> 0x46e330
    }
}

// Address range: 0x46e338 - 0x46e4e2
void function_46e338(void) {
    // 0x46e338
    System__LStrAddRef((char *)g6);
    g3 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x46e4e4 - 0x46e553
void function_46e4e4(void) {
    int32_t v1 = g8; // 0x46e4ea
    int32_t * v2 = (int32_t *)(v1 + 24); // 0x46e4f3_0
    int32_t * v3; // 0x46e524_0
    if (*v2 == 0) {
        // 0x46e502
        if (*v2 == 0) {
            // 0x46e50b
            g6 = g6 & -256 | 1;
            g8 = *(int32_t *)(v1 + 12);
            function_46e338();
            *v2 = g3;
            // branch -> 0x46e521
        }
        // 0x46e521
        v3 = (int32_t *)(v1 + 28);
        if (*v3 == 0) {
            // 0x46e52a
            g6 = g6 & -256 | 1;
            g8 = *(int32_t *)(v1 + 16);
            function_46e338();
            *v3 = g3;
            // branch -> 0x46e540
        }
        // 0x46e540
        *(int32_t *)(*v2 + 24) = *v3;
        // branch -> 0x46e54f
        // 0x46e54f
        return;
    }
    // 0x46e4f9
    if (*(int32_t *)(v1 + 28) != 0) {
        // 0x46e54f
        return;
    }
    // 0x46e502
    if (*v2 == 0) {
        // 0x46e50b
        g6 = g6 & -256 | 1;
        g8 = *(int32_t *)(v1 + 12);
        function_46e338();
        *v2 = g3;
        // branch -> 0x46e521
    }
    // 0x46e521
    v3 = (int32_t *)(v1 + 28);
    if (*v3 == 0) {
        // 0x46e52a
        g6 = g6 & -256 | 1;
        g8 = *(int32_t *)(v1 + 16);
        function_46e338();
        *v3 = g3;
        // branch -> 0x46e540
    }
    // 0x46e540
    *(int32_t *)(*v2 + 24) = *v3;
    // branch -> 0x46e54f
}

// Address range: 0x46e554 - 0x4705ee
void function_46e554(void) {
    // 0x46e554
    abort();
    // UNREACHABLE
}

// Address range: 0x4705f0 - 0x470b7f
void function_4705f0(void) {
    struct struct_195 * v1 = (struct struct_195 *)g8; // 0x4705f6_0
    int32_t v2 = g3; // 0x4705f9
    struct struct_195 * v3;
    struct struct_195 * v4; // 0x470640_0
    struct struct_195 * v5; // 0x4706b4_0
    struct struct_195 * v6; // 0x4706cc_0
    struct struct_195 * v7; // 0x4706e1_0
    int32_t v8; // 0x47070b
    int32_t v9; // 0x470781
    int32_t v10; // 0x4707d8
    int32_t v11; // 0x47082e
    int32_t v12; // 0x47083e
    struct struct_195 * v13; // 0x4708c4_0
    int32_t v14; // 0x47091b
    unsigned char v15; // 0x47091e
    struct struct_195 * v16; // 0x47092d_0
    struct struct_195 * v17; // 0x470954_0
    struct struct_195 * v18; // 0x470974_0
    struct struct_195 * v19; // 0x470982_0
    int32_t v20; // 0x4709a0
    struct struct_195 * v21; // 0x4709b9_0
    struct struct_195 * v22; // 0x4709d9_0
    struct struct_195 * v23; // 0x4709f0_0
    struct struct_195 * v24; // 0x470a23_0
    char v25; // 0x470831
    char v26; // 0x470841
    if (v1->e8 != 1) {
        // 0x470605
        if (v1->e8 != 3) {
            // 0x47060e
            if (v1->e8 != 4) {
                // 0x470954
                v17 = v1;
                v18 = v17;
                if (v17->e8 == 2) {
                    // 0x47095d
                    unknown_46eb68();
                    v18 = v1;
                    // branch -> 0x47096b
                }
                // 0x47096b
                v21 = v18;
                if (v18->e8 == 5) {
                    // 0x470974
                    unknown_46eb68();
                    v19 = v1;
                    if (v19->e4 == 1) {
                        // 0x47098e
                        if (v19->e8 == 0) {
                            // 0x47099a
                            v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                            *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                            v21 = v1;
                            // branch -> 0x4709b0
                        } else {
                            v21 = v19;
                        }
                    } else {
                        v21 = v19;
                    }
                }
                // 0x4709b0
                v22 = v21;
                if (v21->e8 == 6) {
                    // 0x4709b9
                    unknown_46eb68();
                    v22 = v1;
                    // branch -> 0x4709c7
                }
                // 0x4709c7
                v23 = v22;
                if (v22->e8 == 8) {
                    // 0x4709d0
                    if (v22->e1 != 0) {
                        // 0x4709d9
                        unknown_46eb68();
                        v23 = v1;
                        // branch -> 0x4709e7
                    } else {
                        v23 = v22;
                    }
                }
                // 0x4709e7
                v24 = v23;
                if (v23->e8 == 10) {
                    // 0x4709f0
                    g8 = v23->e3;
                    g3 = v2;
                    function_4705f0();
                    unknown_46eb68();
                    g8 = v1->e5;
                    g3 = v2;
                    function_4705f0();
                    v24 = v1;
                    // branch -> 0x470a1a
                }
                // 0x470a1a
                if (v24->e8 == 11) {
                    // 0x470a23
                    unknown_46eb68();
                    // branch -> 0x470a31
                }
                // 0x470a31
                g6 = v2;
                return;
            }
            // 0x47061b
            if (v1->e2 != 0) {
                // 0x470624
                unknown_46eb68();
                // branch -> 0x470632
            }
            // 0x470632
            unknown_46eb68();
            v4 = v1;
            if (v4->e8 != 1) {
                // 0x470954
                v17 = v1;
                v18 = v17;
                if (v17->e8 == 2) {
                    // 0x47095d
                    unknown_46eb68();
                    v18 = v1;
                    // branch -> 0x47096b
                }
                // 0x47096b
                v21 = v18;
                if (v18->e8 == 5) {
                    // 0x470974
                    unknown_46eb68();
                    v19 = v1;
                    if (v19->e4 == 1) {
                        // 0x47098e
                        if (v19->e8 == 0) {
                            // 0x47099a
                            v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                            *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                            v21 = v1;
                            // branch -> 0x4709b0
                        } else {
                            v21 = v19;
                        }
                    } else {
                        v21 = v19;
                    }
                }
                // 0x4709b0
                v22 = v21;
                if (v21->e8 == 6) {
                    // 0x4709b9
                    unknown_46eb68();
                    v22 = v1;
                    // branch -> 0x4709c7
                }
                // 0x4709c7
                v23 = v22;
                if (v22->e8 == 8) {
                    // 0x4709d0
                    if (v22->e1 != 0) {
                        // 0x4709d9
                        unknown_46eb68();
                        v23 = v1;
                        // branch -> 0x4709e7
                    } else {
                        v23 = v22;
                    }
                }
                // 0x4709e7
                v24 = v23;
                if (v23->e8 == 10) {
                    // 0x4709f0
                    g8 = v23->e3;
                    g3 = v2;
                    function_4705f0();
                    unknown_46eb68();
                    g8 = v1->e5;
                    g3 = v2;
                    function_4705f0();
                    v24 = v1;
                    // branch -> 0x470a1a
                }
                // 0x470a1a
                if (v24->e8 == 11) {
                    // 0x470a23
                    unknown_46eb68();
                    // branch -> 0x470a31
                }
                // 0x470a31
                g6 = v2;
                return;
            }
            // 0x47064d
            if (v4->e11 == 0) {
                // 0x470944
                g6 = *(int32_t *)(v2 + 36);
                g8 = 0;
                g3 = v2;
                function_46e170();
                // branch -> 0x470954
            } else {
                // 0x47065d
                if (v4->e4 == 0) {
                    // 0x47066d
                    if (v4->e13 != 1) {
                        // 0x470680
                        if (v4->e15 != 0) {
                            // 0x470690
                            if (*(int32_t *)((int32_t)v4->e15 + 24) == 0) {
                                // 0x47069f
                                *(int32_t *)((int32_t)v4->e15 + 24) = v4->e11;
                                v5 = v1;
                                v5->e17 = (int32_t)v5->e13 | v5->e11 & -256;
                                v6 = v1;
                                *(int32_t *)((int32_t)v6->e15 + 40) = v6->e10;
                                v7 = v1;
                                *(char *)((int32_t)v7->e15 + 99) = v7->e14;
                                *(char *)(v2 + 28) = 1;
                                // branch -> 0x470954
                                // 0x470954
                                v17 = v1;
                                v18 = v17;
                                if (v17->e8 == 2) {
                                    // 0x47095d
                                    unknown_46eb68();
                                    v18 = v1;
                                    // branch -> 0x47096b
                                }
                                // 0x47096b
                                v21 = v18;
                                if (v18->e8 == 5) {
                                    // 0x470974
                                    unknown_46eb68();
                                    v19 = v1;
                                    if (v19->e4 == 1) {
                                        // 0x47098e
                                        if (v19->e8 == 0) {
                                            // 0x47099a
                                            v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                            *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                            v21 = v1;
                                            // branch -> 0x4709b0
                                        } else {
                                            v21 = v19;
                                        }
                                    } else {
                                        v21 = v19;
                                    }
                                }
                                // 0x4709b0
                                v22 = v21;
                                if (v21->e8 == 6) {
                                    // 0x4709b9
                                    unknown_46eb68();
                                    v22 = v1;
                                    // branch -> 0x4709c7
                                }
                                // 0x4709c7
                                v23 = v22;
                                if (v22->e8 == 8) {
                                    // 0x4709d0
                                    if (v22->e1 != 0) {
                                        // 0x4709d9
                                        unknown_46eb68();
                                        v23 = v1;
                                        // branch -> 0x4709e7
                                    } else {
                                        v23 = v22;
                                    }
                                }
                                // 0x4709e7
                                v24 = v23;
                                if (v23->e8 == 10) {
                                    // 0x4709f0
                                    g8 = v23->e3;
                                    g3 = v2;
                                    function_4705f0();
                                    unknown_46eb68();
                                    g8 = v1->e5;
                                    g3 = v2;
                                    function_4705f0();
                                    v24 = v1;
                                    // branch -> 0x470a1a
                                }
                                // 0x470a1a
                                if (v24->e8 == 11) {
                                    // 0x470a23
                                    unknown_46eb68();
                                    // branch -> 0x470a31
                                }
                                // 0x470a31
                                g6 = v2;
                                return;
                            }
                            // 0x470702
                            v8 = *(int32_t *)((int32_t)v4->e15 + 40);
                            if ((int32_t)(v4->e16 + (char)v8) != v4->e10) {
                                // 0x470722
                                g8 = 0x470a40;
                                g3 = *(int32_t *)(v2 + 8);
                                function_45bf7c();
                                // branch -> 0x470a31
                                // 0x470a31
                                g6 = v2;
                                return;
                            }
                            // 0x470737
                            if (*(char *)((int32_t)v4->e15 + 99) != 0) {
                                // 0x470746
                                if (v4->e6 == 0) {
                                    // 0x470756
                                    // branch -> 0x470758
                                    // 0x470758
                                    if ((v4->e1 & -256 || 1) != (int32_t)v4->e14) {
                                        // 0x470763
                                        g8 = 0x470a80;
                                        g3 = *(int32_t *)(v2 + 8);
                                        function_45bf7c();
                                        // branch -> 0x470a31
                                        // 0x470a31
                                        g6 = v2;
                                        return;
                                    }
                                    // 0x470778
                                    v9 = *(int32_t *)((int32_t)v4->e15 + 40);
                                    if (v4->e16 + (char)v9 == 0) {
                                        // 0x470791
                                        if (*(char *)(*(int32_t *)((int32_t)v4->e15 + 24) + 8) == 3) {
                                            // 0x4707a3
                                            if (*(int32_t *)((int32_t)v4->e15 + 24) != v4->e11) {
                                                // 0x4707ba
                                                g8 = 0x470abc;
                                                g3 = *(int32_t *)(v2 + 8);
                                                function_45bf7c();
                                                // branch -> 0x470a31
                                                // 0x470a31
                                                g6 = v2;
                                                return;
                                            }
                                        }
                                    }
                                    // 0x4707cf
                                    v10 = *(int32_t *)((int32_t)v4->e15 + 40);
                                    if ((int32_t)(v4->e16 + (char)v10) == 1) {
                                        // 0x4707e7
                                        if (*(char *)(*(int32_t *)((int32_t)v4->e15 + 24) + 8) != 3) {
                                            // 0x4707f9
                                            if (*(int32_t *)((int32_t)v4->e15 + 24) != v4->e11) {
                                                // 0x470810
                                                g8 = 0x470afc;
                                                g3 = *(int32_t *)(v2 + 8);
                                                function_45bf7c();
                                                // branch -> 0x470a31
                                                // 0x470a31
                                                g6 = v2;
                                                return;
                                            }
                                        }
                                    }
                                    // 0x470825
                                    v11 = *(int32_t *)((int32_t)v4->e15 + 24);
                                    v25 = *(char *)(v11 + 8);
                                    v12 = v4->e11;
                                    v26 = v4->e13;
                                    if (((int32_t)(v26 == 3) || v12 & -256) == ((int32_t)((0x1000000 * (int32_t)v25 - 0x3000000 || 0xffffff) < 0x1ffffff) || v11 & -256)) {
                                        // 0x470861
                                        v3 = v4;
                                        if (v4->e17 != 3) {
                                            // 0x470870
                                            if (*(int32_t *)((int32_t)v4->e15 + 40) == 0) {
                                                // 0x47087f
                                                if (*(char *)((int32_t)v4->e15 + 65) != 0) {
                                                    // 0x47088e
                                                    if (v4->e13 != 3) {
                                                        // 0x47089d
                                                        if (v4->e13 != 8) {
                                                            v3 = v4;
                                                            // 0x4708d9
                                                            if (v3->e17 == 0) {
                                                                // 0x4708e8
                                                                if (*(int32_t *)((int32_t)v3->e15 + 40) == 0) {
                                                                    // 0x4708f7
                                                                    if (*(char *)((int32_t)v3->e15 + 65) != 0) {
                                                                        // 0x470906
                                                                        if (v3->e13 == 8) {
                                                                            // 0x470915
                                                                            v14 = v3->e11;
                                                                            v15 = v3->e13;
                                                                            v3->e17 = (int32_t)v15 | v14 & -256;
                                                                            v16 = v1;
                                                                            *(int32_t *)((int32_t)v16->e15 + 24) = v16->e11;
                                                                            // branch -> 0x470954
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                            // 0x470954
                                                            v17 = v1;
                                                            v18 = v17;
                                                            if (v17->e8 == 2) {
                                                                // 0x47095d
                                                                unknown_46eb68();
                                                                v18 = v1;
                                                                // branch -> 0x47096b
                                                            }
                                                            // 0x47096b
                                                            v21 = v18;
                                                            if (v18->e8 == 5) {
                                                                // 0x470974
                                                                unknown_46eb68();
                                                                v19 = v1;
                                                                if (v19->e4 == 1) {
                                                                    // 0x47098e
                                                                    if (v19->e8 == 0) {
                                                                        // 0x47099a
                                                                        v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                                                        *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                                                        v21 = v1;
                                                                        // branch -> 0x4709b0
                                                                    } else {
                                                                        v21 = v19;
                                                                    }
                                                                } else {
                                                                    v21 = v19;
                                                                }
                                                            }
                                                            // 0x4709b0
                                                            v22 = v21;
                                                            if (v21->e8 == 6) {
                                                                // 0x4709b9
                                                                unknown_46eb68();
                                                                v22 = v1;
                                                                // branch -> 0x4709c7
                                                            }
                                                            // 0x4709c7
                                                            v23 = v22;
                                                            if (v22->e8 == 8) {
                                                                // 0x4709d0
                                                                if (v22->e1 != 0) {
                                                                    // 0x4709d9
                                                                    unknown_46eb68();
                                                                    v23 = v1;
                                                                    // branch -> 0x4709e7
                                                                } else {
                                                                    v23 = v22;
                                                                }
                                                            }
                                                            // 0x4709e7
                                                            v24 = v23;
                                                            if (v23->e8 == 10) {
                                                                // 0x4709f0
                                                                g8 = v23->e3;
                                                                g3 = v2;
                                                                function_4705f0();
                                                                unknown_46eb68();
                                                                g8 = v1->e5;
                                                                g3 = v2;
                                                                function_4705f0();
                                                                v24 = v1;
                                                                // branch -> 0x470a1a
                                                            }
                                                            // 0x470a1a
                                                            if (v24->e8 == 11) {
                                                                // 0x470a23
                                                                unknown_46eb68();
                                                                // branch -> 0x470a31
                                                            }
                                                            // 0x470a31
                                                            g6 = v2;
                                                            return;
                                                        }
                                                    }
                                                    // 0x4708ac
                                                    v4->e17 = (int32_t)v4->e13 | v4->e11 & -256;
                                                    v13 = v1;
                                                    *(int32_t *)((int32_t)v13->e15 + 24) = v13->e11;
                                                    v3 = v1;
                                                    // branch -> 0x4708d9
                                                } else {
                                                    v3 = v4;
                                                }
                                            } else {
                                                v3 = v4;
                                            }
                                        }
                                        // 0x4708d9
                                        if (v3->e17 == 0) {
                                            // 0x4708e8
                                            if (*(int32_t *)((int32_t)v3->e15 + 40) == 0) {
                                                // 0x4708f7
                                                if (*(char *)((int32_t)v3->e15 + 65) != 0) {
                                                    // 0x470906
                                                    if (v3->e13 == 8) {
                                                        // 0x470915
                                                        v14 = v3->e11;
                                                        v15 = v3->e13;
                                                        v3->e17 = (int32_t)v15 | v14 & -256;
                                                        v16 = v1;
                                                        *(int32_t *)((int32_t)v16->e15 + 24) = v16->e11;
                                                        // branch -> 0x470954
                                                    }
                                                }
                                            }
                                        }
                                        // 0x470954
                                        v17 = v1;
                                        v18 = v17;
                                        if (v17->e8 == 2) {
                                            // 0x47095d
                                            unknown_46eb68();
                                            v18 = v1;
                                            // branch -> 0x47096b
                                        }
                                        // 0x47096b
                                        v21 = v18;
                                        if (v18->e8 == 5) {
                                            // 0x470974
                                            unknown_46eb68();
                                            v19 = v1;
                                            if (v19->e4 == 1) {
                                                // 0x47098e
                                                if (v19->e8 == 0) {
                                                    // 0x47099a
                                                    v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                                    *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                                    v21 = v1;
                                                    // branch -> 0x4709b0
                                                } else {
                                                    v21 = v19;
                                                }
                                            } else {
                                                v21 = v19;
                                            }
                                        }
                                        // 0x4709b0
                                        v22 = v21;
                                        if (v21->e8 == 6) {
                                            // 0x4709b9
                                            unknown_46eb68();
                                            v22 = v1;
                                            // branch -> 0x4709c7
                                        }
                                        // 0x4709c7
                                        v23 = v22;
                                        if (v22->e8 == 8) {
                                            // 0x4709d0
                                            if (v22->e1 != 0) {
                                                // 0x4709d9
                                                unknown_46eb68();
                                                v23 = v1;
                                                // branch -> 0x4709e7
                                            } else {
                                                v23 = v22;
                                            }
                                        }
                                        // 0x4709e7
                                        v24 = v23;
                                        if (v23->e8 == 10) {
                                            // 0x4709f0
                                            g8 = v23->e3;
                                            g3 = v2;
                                            function_4705f0();
                                            unknown_46eb68();
                                            g8 = v1->e5;
                                            g3 = v2;
                                            function_4705f0();
                                            v24 = v1;
                                            // branch -> 0x470a1a
                                        }
                                        // 0x470a1a
                                        if (v24->e8 == 11) {
                                            // 0x470a23
                                            unknown_46eb68();
                                            // branch -> 0x470a31
                                        }
                                    } else {
                                        // 0x47084c
                                        g8 = 0x470b54;
                                        g3 = *(int32_t *)(v2 + 8);
                                        function_45bf7c();
                                        // branch -> 0x470a31
                                    }
                                    // 0x470a31
                                    g6 = v2;
                                    return;
                                }
                            }
                            // 0x470752
                            // branch -> 0x470758
                            // 0x470758
                            if (0 != (int32_t)v4->e14) {
                                // 0x470763
                                g8 = 0x470a80;
                                g3 = *(int32_t *)(v2 + 8);
                                function_45bf7c();
                                // branch -> 0x470a31
                                // 0x470a31
                                g6 = v2;
                                return;
                            }
                            // 0x470778
                            v9 = *(int32_t *)((int32_t)v4->e15 + 40);
                            if (v4->e16 + (char)v9 == 0) {
                                // 0x470791
                                if (*(char *)(*(int32_t *)((int32_t)v4->e15 + 24) + 8) == 3) {
                                    // 0x4707a3
                                    if (*(int32_t *)((int32_t)v4->e15 + 24) != v4->e11) {
                                        // 0x4707ba
                                        g8 = 0x470abc;
                                        g3 = *(int32_t *)(v2 + 8);
                                        function_45bf7c();
                                        // branch -> 0x470a31
                                        // 0x470a31
                                        g6 = v2;
                                        return;
                                    }
                                }
                            }
                            // 0x4707cf
                            v10 = *(int32_t *)((int32_t)v4->e15 + 40);
                            if ((int32_t)(v4->e16 + (char)v10) == 1) {
                                // 0x4707e7
                                if (*(char *)(*(int32_t *)((int32_t)v4->e15 + 24) + 8) != 3) {
                                    // 0x4707f9
                                    if (*(int32_t *)((int32_t)v4->e15 + 24) != v4->e11) {
                                        // 0x470810
                                        g8 = 0x470afc;
                                        g3 = *(int32_t *)(v2 + 8);
                                        function_45bf7c();
                                        // branch -> 0x470a31
                                        // 0x470a31
                                        g6 = v2;
                                        return;
                                    }
                                }
                            }
                            // 0x470825
                            v11 = *(int32_t *)((int32_t)v4->e15 + 24);
                            v25 = *(char *)(v11 + 8);
                            v12 = v4->e11;
                            v26 = v4->e13;
                            if (((int32_t)(v26 == 3) || v12 & -256) == ((int32_t)((0x1000000 * (int32_t)v25 - 0x3000000 || 0xffffff) < 0x1ffffff) || v11 & -256)) {
                                // 0x470861
                                v3 = v4;
                                if (v4->e17 != 3) {
                                    // 0x470870
                                    if (*(int32_t *)((int32_t)v4->e15 + 40) == 0) {
                                        // 0x47087f
                                        if (*(char *)((int32_t)v4->e15 + 65) != 0) {
                                            // 0x47088e
                                            if (v4->e13 != 3) {
                                                // 0x47089d
                                                if (v4->e13 != 8) {
                                                    v3 = v4;
                                                    // 0x4708d9
                                                    if (v3->e17 == 0) {
                                                        // 0x4708e8
                                                        if (*(int32_t *)((int32_t)v3->e15 + 40) == 0) {
                                                            // 0x4708f7
                                                            if (*(char *)((int32_t)v3->e15 + 65) != 0) {
                                                                // 0x470906
                                                                if (v3->e13 == 8) {
                                                                    // 0x470915
                                                                    v14 = v3->e11;
                                                                    v15 = v3->e13;
                                                                    v3->e17 = (int32_t)v15 | v14 & -256;
                                                                    v16 = v1;
                                                                    *(int32_t *)((int32_t)v16->e15 + 24) = v16->e11;
                                                                    // branch -> 0x470954
                                                                }
                                                            }
                                                        }
                                                    }
                                                    // 0x470954
                                                    v17 = v1;
                                                    v18 = v17;
                                                    if (v17->e8 == 2) {
                                                        // 0x47095d
                                                        unknown_46eb68();
                                                        v18 = v1;
                                                        // branch -> 0x47096b
                                                    }
                                                    // 0x47096b
                                                    v21 = v18;
                                                    if (v18->e8 == 5) {
                                                        // 0x470974
                                                        unknown_46eb68();
                                                        v19 = v1;
                                                        if (v19->e4 == 1) {
                                                            // 0x47098e
                                                            if (v19->e8 == 0) {
                                                                // 0x47099a
                                                                v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                                                *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                                                v21 = v1;
                                                                // branch -> 0x4709b0
                                                            } else {
                                                                v21 = v19;
                                                            }
                                                        } else {
                                                            v21 = v19;
                                                        }
                                                    }
                                                    // 0x4709b0
                                                    v22 = v21;
                                                    if (v21->e8 == 6) {
                                                        // 0x4709b9
                                                        unknown_46eb68();
                                                        v22 = v1;
                                                        // branch -> 0x4709c7
                                                    }
                                                    // 0x4709c7
                                                    v23 = v22;
                                                    if (v22->e8 == 8) {
                                                        // 0x4709d0
                                                        if (v22->e1 != 0) {
                                                            // 0x4709d9
                                                            unknown_46eb68();
                                                            v23 = v1;
                                                            // branch -> 0x4709e7
                                                        } else {
                                                            v23 = v22;
                                                        }
                                                    }
                                                    // 0x4709e7
                                                    v24 = v23;
                                                    if (v23->e8 == 10) {
                                                        // 0x4709f0
                                                        g8 = v23->e3;
                                                        g3 = v2;
                                                        function_4705f0();
                                                        unknown_46eb68();
                                                        g8 = v1->e5;
                                                        g3 = v2;
                                                        function_4705f0();
                                                        v24 = v1;
                                                        // branch -> 0x470a1a
                                                    }
                                                    // 0x470a1a
                                                    if (v24->e8 == 11) {
                                                        // 0x470a23
                                                        unknown_46eb68();
                                                        // branch -> 0x470a31
                                                    }
                                                    // 0x470a31
                                                    g6 = v2;
                                                    return;
                                                }
                                            }
                                            // 0x4708ac
                                            v4->e17 = (int32_t)v4->e13 | v4->e11 & -256;
                                            v13 = v1;
                                            *(int32_t *)((int32_t)v13->e15 + 24) = v13->e11;
                                            v3 = v1;
                                            // branch -> 0x4708d9
                                        } else {
                                            v3 = v4;
                                        }
                                    } else {
                                        v3 = v4;
                                    }
                                }
                                // 0x4708d9
                                if (v3->e17 == 0) {
                                    // 0x4708e8
                                    if (*(int32_t *)((int32_t)v3->e15 + 40) == 0) {
                                        // 0x4708f7
                                        if (*(char *)((int32_t)v3->e15 + 65) != 0) {
                                            // 0x470906
                                            if (v3->e13 == 8) {
                                                // 0x470915
                                                v14 = v3->e11;
                                                v15 = v3->e13;
                                                v3->e17 = (int32_t)v15 | v14 & -256;
                                                v16 = v1;
                                                *(int32_t *)((int32_t)v16->e15 + 24) = v16->e11;
                                                // branch -> 0x470954
                                            }
                                        }
                                    }
                                }
                                // 0x470954
                                v17 = v1;
                                v18 = v17;
                                if (v17->e8 == 2) {
                                    // 0x47095d
                                    unknown_46eb68();
                                    v18 = v1;
                                    // branch -> 0x47096b
                                }
                                // 0x47096b
                                v21 = v18;
                                if (v18->e8 == 5) {
                                    // 0x470974
                                    unknown_46eb68();
                                    v19 = v1;
                                    if (v19->e4 == 1) {
                                        // 0x47098e
                                        if (v19->e8 == 0) {
                                            // 0x47099a
                                            v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                            *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                            v21 = v1;
                                            // branch -> 0x4709b0
                                        } else {
                                            v21 = v19;
                                        }
                                    } else {
                                        v21 = v19;
                                    }
                                }
                                // 0x4709b0
                                v22 = v21;
                                if (v21->e8 == 6) {
                                    // 0x4709b9
                                    unknown_46eb68();
                                    v22 = v1;
                                    // branch -> 0x4709c7
                                }
                                // 0x4709c7
                                v23 = v22;
                                if (v22->e8 == 8) {
                                    // 0x4709d0
                                    if (v22->e1 != 0) {
                                        // 0x4709d9
                                        unknown_46eb68();
                                        v23 = v1;
                                        // branch -> 0x4709e7
                                    } else {
                                        v23 = v22;
                                    }
                                }
                                // 0x4709e7
                                v24 = v23;
                                if (v23->e8 == 10) {
                                    // 0x4709f0
                                    g8 = v23->e3;
                                    g3 = v2;
                                    function_4705f0();
                                    unknown_46eb68();
                                    g8 = v1->e5;
                                    g3 = v2;
                                    function_4705f0();
                                    v24 = v1;
                                    // branch -> 0x470a1a
                                }
                                // 0x470a1a
                                if (v24->e8 == 11) {
                                    // 0x470a23
                                    unknown_46eb68();
                                    // branch -> 0x470a31
                                }
                            } else {
                                // 0x47084c
                                g8 = 0x470b54;
                                g3 = *(int32_t *)(v2 + 8);
                                function_45bf7c();
                                // branch -> 0x470a31
                            }
                            // 0x470a31
                            g6 = v2;
                            return;
                        }
                    }
                }
            }
            // 0x470954
            v17 = v1;
            v18 = v17;
            if (v17->e8 == 2) {
                // 0x47095d
                unknown_46eb68();
                v18 = v1;
                // branch -> 0x47096b
            }
            // 0x47096b
            v21 = v18;
            if (v18->e8 == 5) {
                // 0x470974
                unknown_46eb68();
                v19 = v1;
                if (v19->e4 == 1) {
                    // 0x47098e
                    if (v19->e8 == 0) {
                        // 0x47099a
                        v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                        *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                        v21 = v1;
                        // branch -> 0x4709b0
                    } else {
                        v21 = v19;
                    }
                } else {
                    v21 = v19;
                }
            }
            // 0x4709b0
            v22 = v21;
            if (v21->e8 == 6) {
                // 0x4709b9
                unknown_46eb68();
                v22 = v1;
                // branch -> 0x4709c7
            }
            // 0x4709c7
            v23 = v22;
            if (v22->e8 == 8) {
                // 0x4709d0
                if (v22->e1 != 0) {
                    // 0x4709d9
                    unknown_46eb68();
                    v23 = v1;
                    // branch -> 0x4709e7
                } else {
                    v23 = v22;
                }
            }
            // 0x4709e7
            v24 = v23;
            if (v23->e8 == 10) {
                // 0x4709f0
                g8 = v23->e3;
                g3 = v2;
                function_4705f0();
                unknown_46eb68();
                g8 = v1->e5;
                g3 = v2;
                function_4705f0();
                v24 = v1;
                // branch -> 0x470a1a
            }
            // 0x470a1a
            if (v24->e8 == 11) {
                // 0x470a23
                unknown_46eb68();
                // branch -> 0x470a31
            }
            // 0x470a31
            g6 = v2;
            return;
        }
        // 0x47061b
        if (v1->e2 != 0) {
            // 0x470624
            unknown_46eb68();
            // branch -> 0x470632
        }
        // 0x470632
        unknown_46eb68();
        v4 = v1;
        if (v4->e8 == 1) {
            // 0x47064d
            if (v4->e11 == 0) {
                // 0x470944
                g6 = *(int32_t *)(v2 + 36);
                g8 = 0;
                g3 = v2;
                function_46e170();
                // branch -> 0x470954
            } else {
                // 0x47065d
                if (v4->e4 == 0) {
                    // 0x47066d
                    if (v4->e13 != 1) {
                        // 0x470680
                        if (v4->e15 != 0) {
                            // 0x470690
                            if (*(int32_t *)((int32_t)v4->e15 + 24) == 0) {
                                // 0x47069f
                                *(int32_t *)((int32_t)v4->e15 + 24) = v4->e11;
                                v5 = v1;
                                v5->e17 = (int32_t)v5->e13 | v5->e11 & -256;
                                v6 = v1;
                                *(int32_t *)((int32_t)v6->e15 + 40) = v6->e10;
                                v7 = v1;
                                *(char *)((int32_t)v7->e15 + 99) = v7->e14;
                                *(char *)(v2 + 28) = 1;
                                // branch -> 0x470954
                                // 0x470954
                                v17 = v1;
                                v18 = v17;
                                if (v17->e8 == 2) {
                                    // 0x47095d
                                    unknown_46eb68();
                                    v18 = v1;
                                    // branch -> 0x47096b
                                }
                                // 0x47096b
                                v21 = v18;
                                if (v18->e8 == 5) {
                                    // 0x470974
                                    unknown_46eb68();
                                    v19 = v1;
                                    if (v19->e4 == 1) {
                                        // 0x47098e
                                        if (v19->e8 == 0) {
                                            // 0x47099a
                                            v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                            *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                            v21 = v1;
                                            // branch -> 0x4709b0
                                        } else {
                                            v21 = v19;
                                        }
                                    } else {
                                        v21 = v19;
                                    }
                                }
                                // 0x4709b0
                                v22 = v21;
                                if (v21->e8 == 6) {
                                    // 0x4709b9
                                    unknown_46eb68();
                                    v22 = v1;
                                    // branch -> 0x4709c7
                                }
                                // 0x4709c7
                                v23 = v22;
                                if (v22->e8 == 8) {
                                    // 0x4709d0
                                    if (v22->e1 != 0) {
                                        // 0x4709d9
                                        unknown_46eb68();
                                        v23 = v1;
                                        // branch -> 0x4709e7
                                    } else {
                                        v23 = v22;
                                    }
                                }
                                // 0x4709e7
                                v24 = v23;
                                if (v23->e8 == 10) {
                                    // 0x4709f0
                                    g8 = v23->e3;
                                    g3 = v2;
                                    function_4705f0();
                                    unknown_46eb68();
                                    g8 = v1->e5;
                                    g3 = v2;
                                    function_4705f0();
                                    v24 = v1;
                                    // branch -> 0x470a1a
                                }
                                // 0x470a1a
                                if (v24->e8 == 11) {
                                    // 0x470a23
                                    unknown_46eb68();
                                    // branch -> 0x470a31
                                }
                            } else {
                                // 0x470702
                                v8 = *(int32_t *)((int32_t)v4->e15 + 40);
                                if ((int32_t)(v4->e16 + (char)v8) == v4->e10) {
                                    // 0x470737
                                    if (*(char *)((int32_t)v4->e15 + 99) != 0) {
                                        // 0x470746
                                        if (v4->e6 == 0) {
                                            // 0x470756
                                            // branch -> 0x470758
                                            // 0x470758
                                            if ((v4->e1 & -256 || 1) != (int32_t)v4->e14) {
                                                // 0x470763
                                                g8 = 0x470a80;
                                                g3 = *(int32_t *)(v2 + 8);
                                                function_45bf7c();
                                                // branch -> 0x470a31
                                                // 0x470a31
                                                g6 = v2;
                                                return;
                                            }
                                            // 0x470778
                                            v9 = *(int32_t *)((int32_t)v4->e15 + 40);
                                            if (v4->e16 + (char)v9 == 0) {
                                                // 0x470791
                                                if (*(char *)(*(int32_t *)((int32_t)v4->e15 + 24) + 8) == 3) {
                                                    // 0x4707a3
                                                    if (*(int32_t *)((int32_t)v4->e15 + 24) != v4->e11) {
                                                        // 0x4707ba
                                                        g8 = 0x470abc;
                                                        g3 = *(int32_t *)(v2 + 8);
                                                        function_45bf7c();
                                                        // branch -> 0x470a31
                                                        // 0x470a31
                                                        g6 = v2;
                                                        return;
                                                    }
                                                }
                                            }
                                            // 0x4707cf
                                            v10 = *(int32_t *)((int32_t)v4->e15 + 40);
                                            if ((int32_t)(v4->e16 + (char)v10) == 1) {
                                                // 0x4707e7
                                                if (*(char *)(*(int32_t *)((int32_t)v4->e15 + 24) + 8) != 3) {
                                                    // 0x4707f9
                                                    if (*(int32_t *)((int32_t)v4->e15 + 24) != v4->e11) {
                                                        // 0x470810
                                                        g8 = 0x470afc;
                                                        g3 = *(int32_t *)(v2 + 8);
                                                        function_45bf7c();
                                                        // branch -> 0x470a31
                                                        // 0x470a31
                                                        g6 = v2;
                                                        return;
                                                    }
                                                }
                                            }
                                            // 0x470825
                                            v11 = *(int32_t *)((int32_t)v4->e15 + 24);
                                            v25 = *(char *)(v11 + 8);
                                            v12 = v4->e11;
                                            v26 = v4->e13;
                                            if (((int32_t)(v26 == 3) || v12 & -256) == ((int32_t)((0x1000000 * (int32_t)v25 - 0x3000000 || 0xffffff) < 0x1ffffff) || v11 & -256)) {
                                                // 0x470861
                                                v3 = v4;
                                                if (v4->e17 != 3) {
                                                    // 0x470870
                                                    if (*(int32_t *)((int32_t)v4->e15 + 40) == 0) {
                                                        // 0x47087f
                                                        if (*(char *)((int32_t)v4->e15 + 65) != 0) {
                                                            // 0x47088e
                                                            if (v4->e13 != 3) {
                                                                // 0x47089d
                                                                if (v4->e13 != 8) {
                                                                    v3 = v4;
                                                                    // 0x4708d9
                                                                    if (v3->e17 == 0) {
                                                                        // 0x4708e8
                                                                        if (*(int32_t *)((int32_t)v3->e15 + 40) == 0) {
                                                                            // 0x4708f7
                                                                            if (*(char *)((int32_t)v3->e15 + 65) != 0) {
                                                                                // 0x470906
                                                                                if (v3->e13 == 8) {
                                                                                    // 0x470915
                                                                                    v14 = v3->e11;
                                                                                    v15 = v3->e13;
                                                                                    v3->e17 = (int32_t)v15 | v14 & -256;
                                                                                    v16 = v1;
                                                                                    *(int32_t *)((int32_t)v16->e15 + 24) = v16->e11;
                                                                                    // branch -> 0x470954
                                                                                }
                                                                            }
                                                                        }
                                                                    }
                                                                    // 0x470954
                                                                    v17 = v1;
                                                                    v18 = v17;
                                                                    if (v17->e8 == 2) {
                                                                        // 0x47095d
                                                                        unknown_46eb68();
                                                                        v18 = v1;
                                                                        // branch -> 0x47096b
                                                                    }
                                                                    // 0x47096b
                                                                    v21 = v18;
                                                                    if (v18->e8 == 5) {
                                                                        // 0x470974
                                                                        unknown_46eb68();
                                                                        v19 = v1;
                                                                        if (v19->e4 == 1) {
                                                                            // 0x47098e
                                                                            if (v19->e8 == 0) {
                                                                                // 0x47099a
                                                                                v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                                                                *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                                                                v21 = v1;
                                                                                // branch -> 0x4709b0
                                                                            } else {
                                                                                v21 = v19;
                                                                            }
                                                                        } else {
                                                                            v21 = v19;
                                                                        }
                                                                    }
                                                                    // 0x4709b0
                                                                    v22 = v21;
                                                                    if (v21->e8 == 6) {
                                                                        // 0x4709b9
                                                                        unknown_46eb68();
                                                                        v22 = v1;
                                                                        // branch -> 0x4709c7
                                                                    }
                                                                    // 0x4709c7
                                                                    v23 = v22;
                                                                    if (v22->e8 == 8) {
                                                                        // 0x4709d0
                                                                        if (v22->e1 != 0) {
                                                                            // 0x4709d9
                                                                            unknown_46eb68();
                                                                            v23 = v1;
                                                                            // branch -> 0x4709e7
                                                                        } else {
                                                                            v23 = v22;
                                                                        }
                                                                    }
                                                                    // 0x4709e7
                                                                    v24 = v23;
                                                                    if (v23->e8 == 10) {
                                                                        // 0x4709f0
                                                                        g8 = v23->e3;
                                                                        g3 = v2;
                                                                        function_4705f0();
                                                                        unknown_46eb68();
                                                                        g8 = v1->e5;
                                                                        g3 = v2;
                                                                        function_4705f0();
                                                                        v24 = v1;
                                                                        // branch -> 0x470a1a
                                                                    }
                                                                    // 0x470a1a
                                                                    if (v24->e8 == 11) {
                                                                        // 0x470a23
                                                                        unknown_46eb68();
                                                                        // branch -> 0x470a31
                                                                    }
                                                                    // 0x470a31
                                                                    g6 = v2;
                                                                    return;
                                                                }
                                                            }
                                                            // 0x4708ac
                                                            v4->e17 = (int32_t)v4->e13 | v4->e11 & -256;
                                                            v13 = v1;
                                                            *(int32_t *)((int32_t)v13->e15 + 24) = v13->e11;
                                                            v3 = v1;
                                                            // branch -> 0x4708d9
                                                        } else {
                                                            v3 = v4;
                                                        }
                                                    } else {
                                                        v3 = v4;
                                                    }
                                                }
                                                // 0x4708d9
                                                if (v3->e17 == 0) {
                                                    // 0x4708e8
                                                    if (*(int32_t *)((int32_t)v3->e15 + 40) == 0) {
                                                        // 0x4708f7
                                                        if (*(char *)((int32_t)v3->e15 + 65) != 0) {
                                                            // 0x470906
                                                            if (v3->e13 == 8) {
                                                                // 0x470915
                                                                v14 = v3->e11;
                                                                v15 = v3->e13;
                                                                v3->e17 = (int32_t)v15 | v14 & -256;
                                                                v16 = v1;
                                                                *(int32_t *)((int32_t)v16->e15 + 24) = v16->e11;
                                                                // branch -> 0x470954
                                                            }
                                                        }
                                                    }
                                                }
                                                // 0x470954
                                                v17 = v1;
                                                v18 = v17;
                                                if (v17->e8 == 2) {
                                                    // 0x47095d
                                                    unknown_46eb68();
                                                    v18 = v1;
                                                    // branch -> 0x47096b
                                                }
                                                // 0x47096b
                                                v21 = v18;
                                                if (v18->e8 == 5) {
                                                    // 0x470974
                                                    unknown_46eb68();
                                                    v19 = v1;
                                                    if (v19->e4 == 1) {
                                                        // 0x47098e
                                                        if (v19->e8 == 0) {
                                                            // 0x47099a
                                                            v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                                            *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                                            v21 = v1;
                                                            // branch -> 0x4709b0
                                                        } else {
                                                            v21 = v19;
                                                        }
                                                    } else {
                                                        v21 = v19;
                                                    }
                                                }
                                                // 0x4709b0
                                                v22 = v21;
                                                if (v21->e8 == 6) {
                                                    // 0x4709b9
                                                    unknown_46eb68();
                                                    v22 = v1;
                                                    // branch -> 0x4709c7
                                                }
                                                // 0x4709c7
                                                v23 = v22;
                                                if (v22->e8 == 8) {
                                                    // 0x4709d0
                                                    if (v22->e1 != 0) {
                                                        // 0x4709d9
                                                        unknown_46eb68();
                                                        v23 = v1;
                                                        // branch -> 0x4709e7
                                                    } else {
                                                        v23 = v22;
                                                    }
                                                }
                                                // 0x4709e7
                                                v24 = v23;
                                                if (v23->e8 == 10) {
                                                    // 0x4709f0
                                                    g8 = v23->e3;
                                                    g3 = v2;
                                                    function_4705f0();
                                                    unknown_46eb68();
                                                    g8 = v1->e5;
                                                    g3 = v2;
                                                    function_4705f0();
                                                    v24 = v1;
                                                    // branch -> 0x470a1a
                                                }
                                                // 0x470a1a
                                                if (v24->e8 == 11) {
                                                    // 0x470a23
                                                    unknown_46eb68();
                                                    // branch -> 0x470a31
                                                }
                                            } else {
                                                // 0x47084c
                                                g8 = 0x470b54;
                                                g3 = *(int32_t *)(v2 + 8);
                                                function_45bf7c();
                                                // branch -> 0x470a31
                                            }
                                            // 0x470a31
                                            g6 = v2;
                                            return;
                                        }
                                    }
                                    // 0x470752
                                    // branch -> 0x470758
                                    // 0x470758
                                    if (0 != (int32_t)v4->e14) {
                                        // 0x470763
                                        g8 = 0x470a80;
                                        g3 = *(int32_t *)(v2 + 8);
                                        function_45bf7c();
                                        // branch -> 0x470a31
                                        // 0x470a31
                                        g6 = v2;
                                        return;
                                    }
                                    // 0x470778
                                    v9 = *(int32_t *)((int32_t)v4->e15 + 40);
                                    if (v4->e16 + (char)v9 == 0) {
                                        // 0x470791
                                        if (*(char *)(*(int32_t *)((int32_t)v4->e15 + 24) + 8) == 3) {
                                            // 0x4707a3
                                            if (*(int32_t *)((int32_t)v4->e15 + 24) != v4->e11) {
                                                // 0x4707ba
                                                g8 = 0x470abc;
                                                g3 = *(int32_t *)(v2 + 8);
                                                function_45bf7c();
                                                // branch -> 0x470a31
                                                // 0x470a31
                                                g6 = v2;
                                                return;
                                            }
                                        }
                                    }
                                    // 0x4707cf
                                    v10 = *(int32_t *)((int32_t)v4->e15 + 40);
                                    if ((int32_t)(v4->e16 + (char)v10) == 1) {
                                        // 0x4707e7
                                        if (*(char *)(*(int32_t *)((int32_t)v4->e15 + 24) + 8) != 3) {
                                            // 0x4707f9
                                            if (*(int32_t *)((int32_t)v4->e15 + 24) != v4->e11) {
                                                // 0x470810
                                                g8 = 0x470afc;
                                                g3 = *(int32_t *)(v2 + 8);
                                                function_45bf7c();
                                                // branch -> 0x470a31
                                                // 0x470a31
                                                g6 = v2;
                                                return;
                                            }
                                        }
                                    }
                                    // 0x470825
                                    v11 = *(int32_t *)((int32_t)v4->e15 + 24);
                                    v25 = *(char *)(v11 + 8);
                                    v12 = v4->e11;
                                    v26 = v4->e13;
                                    if (((int32_t)(v26 == 3) || v12 & -256) == ((int32_t)((0x1000000 * (int32_t)v25 - 0x3000000 || 0xffffff) < 0x1ffffff) || v11 & -256)) {
                                        // 0x470861
                                        v3 = v4;
                                        if (v4->e17 != 3) {
                                            // 0x470870
                                            if (*(int32_t *)((int32_t)v4->e15 + 40) == 0) {
                                                // 0x47087f
                                                if (*(char *)((int32_t)v4->e15 + 65) != 0) {
                                                    // 0x47088e
                                                    if (v4->e13 != 3) {
                                                        // 0x47089d
                                                        if (v4->e13 != 8) {
                                                            v3 = v4;
                                                            // 0x4708d9
                                                            if (v3->e17 == 0) {
                                                                // 0x4708e8
                                                                if (*(int32_t *)((int32_t)v3->e15 + 40) == 0) {
                                                                    // 0x4708f7
                                                                    if (*(char *)((int32_t)v3->e15 + 65) != 0) {
                                                                        // 0x470906
                                                                        if (v3->e13 == 8) {
                                                                            // 0x470915
                                                                            v14 = v3->e11;
                                                                            v15 = v3->e13;
                                                                            v3->e17 = (int32_t)v15 | v14 & -256;
                                                                            v16 = v1;
                                                                            *(int32_t *)((int32_t)v16->e15 + 24) = v16->e11;
                                                                            // branch -> 0x470954
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                            // 0x470954
                                                            v17 = v1;
                                                            v18 = v17;
                                                            if (v17->e8 == 2) {
                                                                // 0x47095d
                                                                unknown_46eb68();
                                                                v18 = v1;
                                                                // branch -> 0x47096b
                                                            }
                                                            // 0x47096b
                                                            v21 = v18;
                                                            if (v18->e8 == 5) {
                                                                // 0x470974
                                                                unknown_46eb68();
                                                                v19 = v1;
                                                                if (v19->e4 == 1) {
                                                                    // 0x47098e
                                                                    if (v19->e8 == 0) {
                                                                        // 0x47099a
                                                                        v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                                                        *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                                                        v21 = v1;
                                                                        // branch -> 0x4709b0
                                                                    } else {
                                                                        v21 = v19;
                                                                    }
                                                                } else {
                                                                    v21 = v19;
                                                                }
                                                            }
                                                            // 0x4709b0
                                                            v22 = v21;
                                                            if (v21->e8 == 6) {
                                                                // 0x4709b9
                                                                unknown_46eb68();
                                                                v22 = v1;
                                                                // branch -> 0x4709c7
                                                            }
                                                            // 0x4709c7
                                                            v23 = v22;
                                                            if (v22->e8 == 8) {
                                                                // 0x4709d0
                                                                if (v22->e1 != 0) {
                                                                    // 0x4709d9
                                                                    unknown_46eb68();
                                                                    v23 = v1;
                                                                    // branch -> 0x4709e7
                                                                } else {
                                                                    v23 = v22;
                                                                }
                                                            }
                                                            // 0x4709e7
                                                            v24 = v23;
                                                            if (v23->e8 == 10) {
                                                                // 0x4709f0
                                                                g8 = v23->e3;
                                                                g3 = v2;
                                                                function_4705f0();
                                                                unknown_46eb68();
                                                                g8 = v1->e5;
                                                                g3 = v2;
                                                                function_4705f0();
                                                                v24 = v1;
                                                                // branch -> 0x470a1a
                                                            }
                                                            // 0x470a1a
                                                            if (v24->e8 == 11) {
                                                                // 0x470a23
                                                                unknown_46eb68();
                                                                // branch -> 0x470a31
                                                            }
                                                            // 0x470a31
                                                            g6 = v2;
                                                            return;
                                                        }
                                                    }
                                                    // 0x4708ac
                                                    v4->e17 = (int32_t)v4->e13 | v4->e11 & -256;
                                                    v13 = v1;
                                                    *(int32_t *)((int32_t)v13->e15 + 24) = v13->e11;
                                                    v3 = v1;
                                                    // branch -> 0x4708d9
                                                } else {
                                                    v3 = v4;
                                                }
                                            } else {
                                                v3 = v4;
                                            }
                                        }
                                        // 0x4708d9
                                        if (v3->e17 == 0) {
                                            // 0x4708e8
                                            if (*(int32_t *)((int32_t)v3->e15 + 40) == 0) {
                                                // 0x4708f7
                                                if (*(char *)((int32_t)v3->e15 + 65) != 0) {
                                                    // 0x470906
                                                    if (v3->e13 == 8) {
                                                        // 0x470915
                                                        v14 = v3->e11;
                                                        v15 = v3->e13;
                                                        v3->e17 = (int32_t)v15 | v14 & -256;
                                                        v16 = v1;
                                                        *(int32_t *)((int32_t)v16->e15 + 24) = v16->e11;
                                                        // branch -> 0x470954
                                                    }
                                                }
                                            }
                                        }
                                        // 0x470954
                                        v17 = v1;
                                        v18 = v17;
                                        if (v17->e8 == 2) {
                                            // 0x47095d
                                            unknown_46eb68();
                                            v18 = v1;
                                            // branch -> 0x47096b
                                        }
                                        // 0x47096b
                                        v21 = v18;
                                        if (v18->e8 == 5) {
                                            // 0x470974
                                            unknown_46eb68();
                                            v19 = v1;
                                            if (v19->e4 == 1) {
                                                // 0x47098e
                                                if (v19->e8 == 0) {
                                                    // 0x47099a
                                                    v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                                    *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                                    v21 = v1;
                                                    // branch -> 0x4709b0
                                                } else {
                                                    v21 = v19;
                                                }
                                            } else {
                                                v21 = v19;
                                            }
                                        }
                                        // 0x4709b0
                                        v22 = v21;
                                        if (v21->e8 == 6) {
                                            // 0x4709b9
                                            unknown_46eb68();
                                            v22 = v1;
                                            // branch -> 0x4709c7
                                        }
                                        // 0x4709c7
                                        v23 = v22;
                                        if (v22->e8 == 8) {
                                            // 0x4709d0
                                            if (v22->e1 != 0) {
                                                // 0x4709d9
                                                unknown_46eb68();
                                                v23 = v1;
                                                // branch -> 0x4709e7
                                            } else {
                                                v23 = v22;
                                            }
                                        }
                                        // 0x4709e7
                                        v24 = v23;
                                        if (v23->e8 == 10) {
                                            // 0x4709f0
                                            g8 = v23->e3;
                                            g3 = v2;
                                            function_4705f0();
                                            unknown_46eb68();
                                            g8 = v1->e5;
                                            g3 = v2;
                                            function_4705f0();
                                            v24 = v1;
                                            // branch -> 0x470a1a
                                        }
                                        // 0x470a1a
                                        if (v24->e8 == 11) {
                                            // 0x470a23
                                            unknown_46eb68();
                                            // branch -> 0x470a31
                                        }
                                    } else {
                                        // 0x47084c
                                        g8 = 0x470b54;
                                        g3 = *(int32_t *)(v2 + 8);
                                        function_45bf7c();
                                        // branch -> 0x470a31
                                    }
                                    // 0x470a31
                                    g6 = v2;
                                    return;
                                }
                                // 0x470722
                                g8 = 0x470a40;
                                g3 = *(int32_t *)(v2 + 8);
                                function_45bf7c();
                                // branch -> 0x470a31
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                    }
                }
            }
            // 0x470954
            v17 = v1;
            v18 = v17;
            if (v17->e8 == 2) {
                // 0x47095d
                unknown_46eb68();
                v18 = v1;
                // branch -> 0x47096b
            }
            // 0x47096b
            v21 = v18;
            if (v18->e8 == 5) {
                // 0x470974
                unknown_46eb68();
                v19 = v1;
                if (v19->e4 == 1) {
                    // 0x47098e
                    if (v19->e8 == 0) {
                        // 0x47099a
                        v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                        *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                        v21 = v1;
                        // branch -> 0x4709b0
                    } else {
                        v21 = v19;
                    }
                } else {
                    v21 = v19;
                }
            }
            // 0x4709b0
            v22 = v21;
            if (v21->e8 == 6) {
                // 0x4709b9
                unknown_46eb68();
                v22 = v1;
                // branch -> 0x4709c7
            }
            // 0x4709c7
            v23 = v22;
            if (v22->e8 == 8) {
                // 0x4709d0
                if (v22->e1 != 0) {
                    // 0x4709d9
                    unknown_46eb68();
                    v23 = v1;
                    // branch -> 0x4709e7
                } else {
                    v23 = v22;
                }
            }
            // 0x4709e7
            v24 = v23;
            if (v23->e8 == 10) {
                // 0x4709f0
                g8 = v23->e3;
                g3 = v2;
                function_4705f0();
                unknown_46eb68();
                g8 = v1->e5;
                g3 = v2;
                function_4705f0();
                v24 = v1;
                // branch -> 0x470a1a
            }
            // 0x470a1a
            if (v24->e8 == 11) {
                // 0x470a23
                unknown_46eb68();
                // branch -> 0x470a31
            }
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // 0x470954
        v17 = v1;
        v18 = v17;
        if (v17->e8 == 2) {
            // 0x47095d
            unknown_46eb68();
            v18 = v1;
            // branch -> 0x47096b
        }
        // 0x47096b
        v21 = v18;
        if (v18->e8 == 5) {
            // 0x470974
            unknown_46eb68();
            v19 = v1;
            if (v19->e4 == 1) {
                // 0x47098e
                if (v19->e8 == 0) {
                    // 0x47099a
                    v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                    *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                    v21 = v1;
                    // branch -> 0x4709b0
                } else {
                    v21 = v19;
                }
            } else {
                v21 = v19;
            }
        }
        // 0x4709b0
        v22 = v21;
        if (v21->e8 == 6) {
            // 0x4709b9
            unknown_46eb68();
            v22 = v1;
            // branch -> 0x4709c7
        }
        // 0x4709c7
        v23 = v22;
        if (v22->e8 == 8) {
            // 0x4709d0
            if (v22->e1 != 0) {
                // 0x4709d9
                unknown_46eb68();
                v23 = v1;
                // branch -> 0x4709e7
            } else {
                v23 = v22;
            }
        }
        // 0x4709e7
        v24 = v23;
        if (v23->e8 == 10) {
            // 0x4709f0
            g8 = v23->e3;
            g3 = v2;
            function_4705f0();
            unknown_46eb68();
            g8 = v1->e5;
            g3 = v2;
            function_4705f0();
            v24 = v1;
            // branch -> 0x470a1a
        }
        // 0x470a1a
        if (v24->e8 == 11) {
            // 0x470a23
            unknown_46eb68();
            // branch -> 0x470a31
        }
        // Detected a possible infinite recursion (goto support failed); quitting...
    }
    // 0x47061b
    if (v1->e2 != 0) {
        // 0x470624
        unknown_46eb68();
        // branch -> 0x470632
    }
    // 0x470632
    unknown_46eb68();
    v4 = v1;
    if (v4->e8 == 1) {
        // 0x47064d
        if (v4->e11 == 0) {
            // 0x470944
            g6 = *(int32_t *)(v2 + 36);
            g8 = 0;
            g3 = v2;
            function_46e170();
            // branch -> 0x470954
        } else {
            // 0x47065d
            if (v4->e4 == 0) {
                // 0x47066d
                if (v4->e13 != 1) {
                    // 0x470680
                    if (v4->e15 != 0) {
                        // 0x470690
                        if (*(int32_t *)((int32_t)v4->e15 + 24) == 0) {
                            // 0x47069f
                            *(int32_t *)((int32_t)v4->e15 + 24) = v4->e11;
                            v5 = v1;
                            v5->e17 = (int32_t)v5->e13 | v5->e11 & -256;
                            v6 = v1;
                            *(int32_t *)((int32_t)v6->e15 + 40) = v6->e10;
                            v7 = v1;
                            *(char *)((int32_t)v7->e15 + 99) = v7->e14;
                            *(char *)(v2 + 28) = 1;
                            // branch -> 0x470954
                            // 0x470954
                            v17 = v1;
                            v18 = v17;
                            if (v17->e8 == 2) {
                                // 0x47095d
                                unknown_46eb68();
                                v18 = v1;
                                // branch -> 0x47096b
                            }
                            // 0x47096b
                            v21 = v18;
                            if (v18->e8 == 5) {
                                // 0x470974
                                unknown_46eb68();
                                v19 = v1;
                                if (v19->e4 == 1) {
                                    // 0x47098e
                                    if (v19->e8 == 0) {
                                        // 0x47099a
                                        v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                        *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                        v21 = v1;
                                        // branch -> 0x4709b0
                                    } else {
                                        v21 = v19;
                                    }
                                } else {
                                    v21 = v19;
                                }
                            }
                            // 0x4709b0
                            v22 = v21;
                            if (v21->e8 == 6) {
                                // 0x4709b9
                                unknown_46eb68();
                                v22 = v1;
                                // branch -> 0x4709c7
                            }
                            // 0x4709c7
                            v23 = v22;
                            if (v22->e8 == 8) {
                                // 0x4709d0
                                if (v22->e1 != 0) {
                                    // 0x4709d9
                                    unknown_46eb68();
                                    v23 = v1;
                                    // branch -> 0x4709e7
                                } else {
                                    v23 = v22;
                                }
                            }
                            // 0x4709e7
                            v24 = v23;
                            if (v23->e8 == 10) {
                                // 0x4709f0
                                g8 = v23->e3;
                                g3 = v2;
                                function_4705f0();
                                unknown_46eb68();
                                g8 = v1->e5;
                                g3 = v2;
                                function_4705f0();
                                v24 = v1;
                                // branch -> 0x470a1a
                            }
                            // 0x470a1a
                            if (v24->e8 == 11) {
                                // 0x470a23
                                unknown_46eb68();
                                // branch -> 0x470a31
                            }
                        } else {
                            // 0x470702
                            v8 = *(int32_t *)((int32_t)v4->e15 + 40);
                            if ((int32_t)(v4->e16 + (char)v8) == v4->e10) {
                                // 0x470737
                                if (*(char *)((int32_t)v4->e15 + 99) != 0) {
                                    // 0x470746
                                    if (v4->e6 == 0) {
                                        // 0x470756
                                        // branch -> 0x470758
                                        // 0x470758
                                        if ((v4->e1 & -256 || 1) == (int32_t)v4->e14) {
                                            // 0x470778
                                            v9 = *(int32_t *)((int32_t)v4->e15 + 40);
                                            if (v4->e16 + (char)v9 == 0) {
                                                // 0x470791
                                                if (*(char *)(*(int32_t *)((int32_t)v4->e15 + 24) + 8) == 3) {
                                                    // 0x4707a3
                                                    if (*(int32_t *)((int32_t)v4->e15 + 24) != v4->e11) {
                                                        // 0x4707ba
                                                        g8 = 0x470abc;
                                                        g3 = *(int32_t *)(v2 + 8);
                                                        function_45bf7c();
                                                        // branch -> 0x470a31
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                }
                                            }
                                            // 0x4707cf
                                            v10 = *(int32_t *)((int32_t)v4->e15 + 40);
                                            if ((int32_t)(v4->e16 + (char)v10) == 1) {
                                                // 0x4707e7
                                                if (*(char *)(*(int32_t *)((int32_t)v4->e15 + 24) + 8) != 3) {
                                                    // 0x4707f9
                                                    if (*(int32_t *)((int32_t)v4->e15 + 24) != v4->e11) {
                                                        // 0x470810
                                                        g8 = 0x470afc;
                                                        g3 = *(int32_t *)(v2 + 8);
                                                        function_45bf7c();
                                                        // branch -> 0x470a31
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                }
                                            }
                                            // 0x470825
                                            v11 = *(int32_t *)((int32_t)v4->e15 + 24);
                                            v25 = *(char *)(v11 + 8);
                                            v12 = v4->e11;
                                            v26 = v4->e13;
                                            if (((int32_t)(v26 == 3) || v12 & -256) == ((int32_t)((0x1000000 * (int32_t)v25 - 0x3000000 || 0xffffff) < 0x1ffffff) || v11 & -256)) {
                                                // 0x470861
                                                v3 = v4;
                                                if (v4->e17 != 3) {
                                                    // 0x470870
                                                    if (*(int32_t *)((int32_t)v4->e15 + 40) == 0) {
                                                        // 0x47087f
                                                        if (*(char *)((int32_t)v4->e15 + 65) != 0) {
                                                            // 0x47088e
                                                            if (v4->e13 != 3) {
                                                                // 0x47089d
                                                                if (v4->e13 != 8) {
                                                                    v3 = v4;
                                                                    // 0x4708d9
                                                                    if (v3->e17 == 0) {
                                                                        // 0x4708e8
                                                                        if (*(int32_t *)((int32_t)v3->e15 + 40) == 0) {
                                                                            // 0x4708f7
                                                                            if (*(char *)((int32_t)v3->e15 + 65) != 0) {
                                                                                // 0x470906
                                                                                if (v3->e13 == 8) {
                                                                                    // 0x470915
                                                                                    v14 = v3->e11;
                                                                                    v15 = v3->e13;
                                                                                    v3->e17 = (int32_t)v15 | v14 & -256;
                                                                                    v16 = v1;
                                                                                    *(int32_t *)((int32_t)v16->e15 + 24) = v16->e11;
                                                                                    // branch -> 0x470954
                                                                                }
                                                                            }
                                                                        }
                                                                    }
                                                                    // 0x470954
                                                                    v17 = v1;
                                                                    v18 = v17;
                                                                    if (v17->e8 == 2) {
                                                                        // 0x47095d
                                                                        unknown_46eb68();
                                                                        v18 = v1;
                                                                        // branch -> 0x47096b
                                                                    }
                                                                    // 0x47096b
                                                                    v21 = v18;
                                                                    if (v18->e8 == 5) {
                                                                        // 0x470974
                                                                        unknown_46eb68();
                                                                        v19 = v1;
                                                                        if (v19->e4 == 1) {
                                                                            // 0x47098e
                                                                            if (v19->e8 == 0) {
                                                                                // 0x47099a
                                                                                v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                                                                *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                                                                v21 = v1;
                                                                                // branch -> 0x4709b0
                                                                            } else {
                                                                                v21 = v19;
                                                                            }
                                                                        } else {
                                                                            v21 = v19;
                                                                        }
                                                                    }
                                                                    // 0x4709b0
                                                                    v22 = v21;
                                                                    if (v21->e8 == 6) {
                                                                        // 0x4709b9
                                                                        unknown_46eb68();
                                                                        v22 = v1;
                                                                        // branch -> 0x4709c7
                                                                    }
                                                                    // 0x4709c7
                                                                    v23 = v22;
                                                                    if (v22->e8 == 8) {
                                                                        // 0x4709d0
                                                                        if (v22->e1 != 0) {
                                                                            // 0x4709d9
                                                                            unknown_46eb68();
                                                                            v23 = v1;
                                                                            // branch -> 0x4709e7
                                                                        } else {
                                                                            v23 = v22;
                                                                        }
                                                                    }
                                                                    // 0x4709e7
                                                                    v24 = v23;
                                                                    if (v23->e8 == 10) {
                                                                        // 0x4709f0
                                                                        g8 = v23->e3;
                                                                        g3 = v2;
                                                                        function_4705f0();
                                                                        unknown_46eb68();
                                                                        g8 = v1->e5;
                                                                        g3 = v2;
                                                                        function_4705f0();
                                                                        v24 = v1;
                                                                        // branch -> 0x470a1a
                                                                    }
                                                                    // 0x470a1a
                                                                    if (v24->e8 == 11) {
                                                                        // 0x470a23
                                                                        unknown_46eb68();
                                                                        // branch -> 0x470a31
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x4708ac
                                                            v4->e17 = (int32_t)v4->e13 | v4->e11 & -256;
                                                            v13 = v1;
                                                            *(int32_t *)((int32_t)v13->e15 + 24) = v13->e11;
                                                            v3 = v1;
                                                            // branch -> 0x4708d9
                                                        } else {
                                                            v3 = v4;
                                                        }
                                                    } else {
                                                        v3 = v4;
                                                    }
                                                }
                                                // 0x4708d9
                                                if (v3->e17 == 0) {
                                                    // 0x4708e8
                                                    if (*(int32_t *)((int32_t)v3->e15 + 40) == 0) {
                                                        // 0x4708f7
                                                        if (*(char *)((int32_t)v3->e15 + 65) != 0) {
                                                            // 0x470906
                                                            if (v3->e13 == 8) {
                                                                // 0x470915
                                                                v14 = v3->e11;
                                                                v15 = v3->e13;
                                                                v3->e17 = (int32_t)v15 | v14 & -256;
                                                                v16 = v1;
                                                                *(int32_t *)((int32_t)v16->e15 + 24) = v16->e11;
                                                                // branch -> 0x470954
                                                            }
                                                        }
                                                    }
                                                }
                                                // 0x470954
                                                v17 = v1;
                                                v18 = v17;
                                                if (v17->e8 == 2) {
                                                    // 0x47095d
                                                    unknown_46eb68();
                                                    v18 = v1;
                                                    // branch -> 0x47096b
                                                }
                                                // 0x47096b
                                                v21 = v18;
                                                if (v18->e8 == 5) {
                                                    // 0x470974
                                                    unknown_46eb68();
                                                    v19 = v1;
                                                    if (v19->e4 == 1) {
                                                        // 0x47098e
                                                        if (v19->e8 == 0) {
                                                            // 0x47099a
                                                            v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                                            *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                                            v21 = v1;
                                                            // branch -> 0x4709b0
                                                        } else {
                                                            v21 = v19;
                                                        }
                                                    } else {
                                                        v21 = v19;
                                                    }
                                                }
                                                // 0x4709b0
                                                v22 = v21;
                                                if (v21->e8 == 6) {
                                                    // 0x4709b9
                                                    unknown_46eb68();
                                                    v22 = v1;
                                                    // branch -> 0x4709c7
                                                }
                                                // 0x4709c7
                                                v23 = v22;
                                                if (v22->e8 == 8) {
                                                    // 0x4709d0
                                                    if (v22->e1 != 0) {
                                                        // 0x4709d9
                                                        unknown_46eb68();
                                                        v23 = v1;
                                                        // branch -> 0x4709e7
                                                    } else {
                                                        v23 = v22;
                                                    }
                                                }
                                                // 0x4709e7
                                                v24 = v23;
                                                if (v23->e8 == 10) {
                                                    // 0x4709f0
                                                    g8 = v23->e3;
                                                    g3 = v2;
                                                    function_4705f0();
                                                    unknown_46eb68();
                                                    g8 = v1->e5;
                                                    g3 = v2;
                                                    function_4705f0();
                                                    v24 = v1;
                                                    // branch -> 0x470a1a
                                                }
                                                // 0x470a1a
                                                if (v24->e8 == 11) {
                                                    // 0x470a23
                                                    unknown_46eb68();
                                                    // branch -> 0x470a31
                                                }
                                            } else {
                                                // 0x47084c
                                                g8 = 0x470b54;
                                                g3 = *(int32_t *)(v2 + 8);
                                                function_45bf7c();
                                                // branch -> 0x470a31
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        } else {
                                            // 0x470763
                                            g8 = 0x470a80;
                                            g3 = *(int32_t *)(v2 + 8);
                                            function_45bf7c();
                                            // branch -> 0x470a31
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                }
                                // 0x470752
                                // branch -> 0x470758
                                // 0x470758
                                if (0 == (int32_t)v4->e14) {
                                    // 0x470778
                                    v9 = *(int32_t *)((int32_t)v4->e15 + 40);
                                    if (v4->e16 + (char)v9 == 0) {
                                        // 0x470791
                                        if (*(char *)(*(int32_t *)((int32_t)v4->e15 + 24) + 8) == 3) {
                                            // 0x4707a3
                                            if (*(int32_t *)((int32_t)v4->e15 + 24) != v4->e11) {
                                                // 0x4707ba
                                                g8 = 0x470abc;
                                                g3 = *(int32_t *)(v2 + 8);
                                                function_45bf7c();
                                                // branch -> 0x470a31
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                        }
                                    }
                                    // 0x4707cf
                                    v10 = *(int32_t *)((int32_t)v4->e15 + 40);
                                    if ((int32_t)(v4->e16 + (char)v10) == 1) {
                                        // 0x4707e7
                                        if (*(char *)(*(int32_t *)((int32_t)v4->e15 + 24) + 8) != 3) {
                                            // 0x4707f9
                                            if (*(int32_t *)((int32_t)v4->e15 + 24) != v4->e11) {
                                                // 0x470810
                                                g8 = 0x470afc;
                                                g3 = *(int32_t *)(v2 + 8);
                                                function_45bf7c();
                                                // branch -> 0x470a31
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                        }
                                    }
                                    // 0x470825
                                    v11 = *(int32_t *)((int32_t)v4->e15 + 24);
                                    v25 = *(char *)(v11 + 8);
                                    v12 = v4->e11;
                                    v26 = v4->e13;
                                    if (((int32_t)(v26 == 3) || v12 & -256) == ((int32_t)((0x1000000 * (int32_t)v25 - 0x3000000 || 0xffffff) < 0x1ffffff) || v11 & -256)) {
                                        // 0x470861
                                        v3 = v4;
                                        if (v4->e17 != 3) {
                                            // 0x470870
                                            if (*(int32_t *)((int32_t)v4->e15 + 40) == 0) {
                                                // 0x47087f
                                                if (*(char *)((int32_t)v4->e15 + 65) != 0) {
                                                    // 0x47088e
                                                    if (v4->e13 != 3) {
                                                        // 0x47089d
                                                        if (v4->e13 != 8) {
                                                            v3 = v4;
                                                            // 0x4708d9
                                                            if (v3->e17 == 0) {
                                                                // 0x4708e8
                                                                if (*(int32_t *)((int32_t)v3->e15 + 40) == 0) {
                                                                    // 0x4708f7
                                                                    if (*(char *)((int32_t)v3->e15 + 65) != 0) {
                                                                        // 0x470906
                                                                        if (v3->e13 == 8) {
                                                                            // 0x470915
                                                                            v14 = v3->e11;
                                                                            v15 = v3->e13;
                                                                            v3->e17 = (int32_t)v15 | v14 & -256;
                                                                            v16 = v1;
                                                                            *(int32_t *)((int32_t)v16->e15 + 24) = v16->e11;
                                                                            // branch -> 0x470954
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                            // 0x470954
                                                            v17 = v1;
                                                            v18 = v17;
                                                            if (v17->e8 == 2) {
                                                                // 0x47095d
                                                                unknown_46eb68();
                                                                v18 = v1;
                                                                // branch -> 0x47096b
                                                            }
                                                            // 0x47096b
                                                            v21 = v18;
                                                            if (v18->e8 == 5) {
                                                                // 0x470974
                                                                unknown_46eb68();
                                                                v19 = v1;
                                                                if (v19->e4 == 1) {
                                                                    // 0x47098e
                                                                    if (v19->e8 == 0) {
                                                                        // 0x47099a
                                                                        v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                                                        *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                                                        v21 = v1;
                                                                        // branch -> 0x4709b0
                                                                    } else {
                                                                        v21 = v19;
                                                                    }
                                                                } else {
                                                                    v21 = v19;
                                                                }
                                                            }
                                                            // 0x4709b0
                                                            v22 = v21;
                                                            if (v21->e8 == 6) {
                                                                // 0x4709b9
                                                                unknown_46eb68();
                                                                v22 = v1;
                                                                // branch -> 0x4709c7
                                                            }
                                                            // 0x4709c7
                                                            v23 = v22;
                                                            if (v22->e8 == 8) {
                                                                // 0x4709d0
                                                                if (v22->e1 != 0) {
                                                                    // 0x4709d9
                                                                    unknown_46eb68();
                                                                    v23 = v1;
                                                                    // branch -> 0x4709e7
                                                                } else {
                                                                    v23 = v22;
                                                                }
                                                            }
                                                            // 0x4709e7
                                                            v24 = v23;
                                                            if (v23->e8 == 10) {
                                                                // 0x4709f0
                                                                g8 = v23->e3;
                                                                g3 = v2;
                                                                function_4705f0();
                                                                unknown_46eb68();
                                                                g8 = v1->e5;
                                                                g3 = v2;
                                                                function_4705f0();
                                                                v24 = v1;
                                                                // branch -> 0x470a1a
                                                            }
                                                            // 0x470a1a
                                                            if (v24->e8 == 11) {
                                                                // 0x470a23
                                                                unknown_46eb68();
                                                                // branch -> 0x470a31
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // 0x4708ac
                                                    v4->e17 = (int32_t)v4->e13 | v4->e11 & -256;
                                                    v13 = v1;
                                                    *(int32_t *)((int32_t)v13->e15 + 24) = v13->e11;
                                                    v3 = v1;
                                                    // branch -> 0x4708d9
                                                } else {
                                                    v3 = v4;
                                                }
                                            } else {
                                                v3 = v4;
                                            }
                                        }
                                        // 0x4708d9
                                        if (v3->e17 == 0) {
                                            // 0x4708e8
                                            if (*(int32_t *)((int32_t)v3->e15 + 40) == 0) {
                                                // 0x4708f7
                                                if (*(char *)((int32_t)v3->e15 + 65) != 0) {
                                                    // 0x470906
                                                    if (v3->e13 == 8) {
                                                        // 0x470915
                                                        v14 = v3->e11;
                                                        v15 = v3->e13;
                                                        v3->e17 = (int32_t)v15 | v14 & -256;
                                                        v16 = v1;
                                                        *(int32_t *)((int32_t)v16->e15 + 24) = v16->e11;
                                                        // branch -> 0x470954
                                                    }
                                                }
                                            }
                                        }
                                        // 0x470954
                                        v17 = v1;
                                        v18 = v17;
                                        if (v17->e8 == 2) {
                                            // 0x47095d
                                            unknown_46eb68();
                                            v18 = v1;
                                            // branch -> 0x47096b
                                        }
                                        // 0x47096b
                                        v21 = v18;
                                        if (v18->e8 == 5) {
                                            // 0x470974
                                            unknown_46eb68();
                                            v19 = v1;
                                            if (v19->e4 == 1) {
                                                // 0x47098e
                                                if (v19->e8 == 0) {
                                                    // 0x47099a
                                                    v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                                                    *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                                                    v21 = v1;
                                                    // branch -> 0x4709b0
                                                } else {
                                                    v21 = v19;
                                                }
                                            } else {
                                                v21 = v19;
                                            }
                                        }
                                        // 0x4709b0
                                        v22 = v21;
                                        if (v21->e8 == 6) {
                                            // 0x4709b9
                                            unknown_46eb68();
                                            v22 = v1;
                                            // branch -> 0x4709c7
                                        }
                                        // 0x4709c7
                                        v23 = v22;
                                        if (v22->e8 == 8) {
                                            // 0x4709d0
                                            if (v22->e1 != 0) {
                                                // 0x4709d9
                                                unknown_46eb68();
                                                v23 = v1;
                                                // branch -> 0x4709e7
                                            } else {
                                                v23 = v22;
                                            }
                                        }
                                        // 0x4709e7
                                        v24 = v23;
                                        if (v23->e8 == 10) {
                                            // 0x4709f0
                                            g8 = v23->e3;
                                            g3 = v2;
                                            function_4705f0();
                                            unknown_46eb68();
                                            g8 = v1->e5;
                                            g3 = v2;
                                            function_4705f0();
                                            v24 = v1;
                                            // branch -> 0x470a1a
                                        }
                                        // 0x470a1a
                                        if (v24->e8 == 11) {
                                            // 0x470a23
                                            unknown_46eb68();
                                            // branch -> 0x470a31
                                        }
                                    } else {
                                        // 0x47084c
                                        g8 = 0x470b54;
                                        g3 = *(int32_t *)(v2 + 8);
                                        function_45bf7c();
                                        // branch -> 0x470a31
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                } else {
                                    // 0x470763
                                    g8 = 0x470a80;
                                    g3 = *(int32_t *)(v2 + 8);
                                    function_45bf7c();
                                    // branch -> 0x470a31
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            } else {
                                // 0x470722
                                g8 = 0x470a40;
                                g3 = *(int32_t *)(v2 + 8);
                                function_45bf7c();
                                // branch -> 0x470a31
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                }
            }
        }
        // 0x470954
        v17 = v1;
        v18 = v17;
        if (v17->e8 == 2) {
            // 0x47095d
            unknown_46eb68();
            v18 = v1;
            // branch -> 0x47096b
        }
        // 0x47096b
        v21 = v18;
        if (v18->e8 == 5) {
            // 0x470974
            unknown_46eb68();
            v19 = v1;
            if (v19->e4 == 1) {
                // 0x47098e
                if (v19->e8 == 0) {
                    // 0x47099a
                    v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                    *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                    v21 = v1;
                    // branch -> 0x4709b0
                } else {
                    v21 = v19;
                }
            } else {
                v21 = v19;
            }
        }
        // 0x4709b0
        v22 = v21;
        if (v21->e8 == 6) {
            // 0x4709b9
            unknown_46eb68();
            v22 = v1;
            // branch -> 0x4709c7
        }
        // 0x4709c7
        v23 = v22;
        if (v22->e8 == 8) {
            // 0x4709d0
            if (v22->e1 != 0) {
                // 0x4709d9
                unknown_46eb68();
                v23 = v1;
                // branch -> 0x4709e7
            } else {
                v23 = v22;
            }
        }
        // 0x4709e7
        v24 = v23;
        if (v23->e8 == 10) {
            // 0x4709f0
            g8 = v23->e3;
            g3 = v2;
            function_4705f0();
            unknown_46eb68();
            g8 = v1->e5;
            g3 = v2;
            function_4705f0();
            v24 = v1;
            // branch -> 0x470a1a
        }
        // 0x470a1a
        if (v24->e8 == 11) {
            // 0x470a23
            unknown_46eb68();
            // branch -> 0x470a31
        }
        // Detected a possible infinite recursion (goto support failed); quitting...
    }
    // 0x470954
    v17 = v1;
    v18 = v17;
    if (v17->e8 == 2) {
        // 0x47095d
        unknown_46eb68();
        v18 = v1;
        // branch -> 0x47096b
    }
    // 0x47096b
    v21 = v18;
    if (v18->e8 == 5) {
        // 0x470974
        unknown_46eb68();
        v19 = v1;
        if (v19->e4 == 1) {
            // 0x47098e
            if (v19->e8 == 0) {
                // 0x47099a
                v20 = *(int32_t *)(*(int32_t *)(v2 + 40) + 4);
                *(char *)(*(int32_t *)(4 * (int32_t)v19->e6 + v20) + 36) = 1;
                v21 = v1;
                // branch -> 0x4709b0
            } else {
                v21 = v19;
            }
        } else {
            v21 = v19;
        }
    }
    // 0x4709b0
    v22 = v21;
    if (v21->e8 == 6) {
        // 0x4709b9
        unknown_46eb68();
        v22 = v1;
        // branch -> 0x4709c7
    }
    // 0x4709c7
    v23 = v22;
    if (v22->e8 == 8) {
        // 0x4709d0
        if (v22->e1 != 0) {
            // 0x4709d9
            unknown_46eb68();
            v23 = v1;
            // branch -> 0x4709e7
        } else {
            v23 = v22;
        }
        // 0x4709e7
        v24 = v23;
        if (v23->e8 == 10) {
            // 0x4709f0
            g8 = v23->e3;
            g3 = v2;
            function_4705f0();
            unknown_46eb68();
            g8 = v1->e5;
            g3 = v2;
            function_4705f0();
            v24 = v1;
            // branch -> 0x470a1a
        }
        // 0x470a1a
        if (v24->e8 == 11) {
            // 0x470a23
            unknown_46eb68();
            // branch -> 0x470a31
        }
        // Detected a possible infinite recursion (goto support failed); quitting...
    }
    // 0x4709e7
    v24 = v23;
    if (v23->e8 == 10) {
        // 0x4709f0
        g8 = v23->e3;
        g3 = v2;
        function_4705f0();
        unknown_46eb68();
        g8 = v1->e5;
        g3 = v2;
        function_4705f0();
        v24 = v1;
        // branch -> 0x470a1a
    }
    // 0x470a1a
    if (v24->e8 == 11) {
        // 0x470a23
        unknown_46eb68();
        // branch -> 0x470a31
    }
    // Detected a possible infinite recursion (goto support failed); quitting...
}

// Address range: 0x470b80 - 0x470c2b
void function_470b80(void) {
    int32_t v1 = g8; // 0x470b86
    int32_t v2 = g3; // 0x470b89
    if (*(char *)(v1 + 36) != 0) {
        // 0x470c27
        return;
    }
    int32_t v3 = *(int32_t *)(v1 + 12); // 0x470ba4
    int32_t v4; // 0x470bec
    int32_t v5; // 0x470c1f3
    int32_t v6; // 0x470c221
    if (v3 < 0) {
        // 0x470be9
        v4 = *(int32_t *)(v1 + 20);
        if (v4 >= 1) {
            // 0x470bf4
            v5 = 0;
            v6 = v4;
            // branch -> 0x470bff
            while (true) {
                // 0x470bff
                g8 = *(int32_t *)(*(int32_t *)(v1 + 16) + 4 * v5);
                g3 = v2;
                function_4705f0();
                if (*(char *)(*(int32_t *)(v2 + 8) + 4) == 0) {
                  lab_0x470c1f:;
                    int32_t v7 = v6 - 1; // 0x470c22
                    if (v7 == 0) {
                        // break -> 0x470c27
                        break;
                    }
                    v5++;
                    v6 = v7;
                    // continue -> 0x470bff
                    continue;
                }
                // 0x470c27
                // branch -> 0x470c27
                // 0x470c27
                return;
            }
            // 0x470c27
            // branch -> 0x470c27
        }
    } else {
        int32_t * v8 = (int32_t *)(v2 + 40); // 0x470bb3_0
        // branch -> 0x470bb0
        while (true) {
            int32_t v9 = *(int32_t *)(*v8 + 4); // 0x470bb6
            int32_t v10 = 4 * v3; // 0x470bbc
            if (*(char *)(*(int32_t *)(v9 + v10) + 36) == 0) {
                int32_t v11 = *(int32_t *)(*v8 + 4); // 0x470bd4
                uint32_t v12 = *(int32_t *)(*(int32_t *)(v11 + v10) + 12); // 0x470bdd
                if (v12 <= 0xffffffff) {
                    // break -> 0x470be9
                    break;
                }
                v3 = v12;
                // continue -> 0x470bb0
                continue;
            }
        }
        // 0x470be9
        v4 = *(int32_t *)(v1 + 20);
        if (v4 >= 1) {
            // 0x470bf4
            v5 = 0;
            v6 = v4;
            // branch -> 0x470bff
            while (true) {
                // 0x470bff
                g8 = *(int32_t *)(*(int32_t *)(v1 + 16) + 4 * v5);
                g3 = v2;
                function_4705f0();
                if (*(char *)(*(int32_t *)(v2 + 8) + 4) == 0) {
                    goto lab_0x470c1f;
                }
                // 0x470c27
                // branch -> 0x470c27
                // 0x470c27
                return;
            }
        }
    }
}

// Address range: 0x470c2c - 0x470c9f
void function_470c2c(void) {
    int32_t v1 = g8; // 0x470c32
    int32_t v2 = g3; // 0x470c35
    *(int32_t *)(v2 + 40) = v1;
    int32_t v3 = *(int32_t *)(v1 + 8); // 0x470c44
    if (v3 < 1) {
        // 0x470c9a
        return;
    }
    int32_t * v4 = (int32_t *)(v1 + 4); // 0x470c5a_0
    int32_t v5 = 0; // 0x470c922
    // branch -> 0x470c57
    while (true) {
        int32_t v6 = 4 * v5; // 0x470c60
        *(int32_t *)(v2 + 44) = *(int32_t *)(*v4 + v6);
        *(int32_t *)(v1 + 12) = v5;
        g8 = *(int32_t *)(*v4 + v6);
        g3 = v2;
        function_470b80();
        if (*(char *)(*(int32_t *)(v2 + 8) + 4) == 0) {
            int32_t v7 = v3 - 1; // 0x470c95
            if (v7 == 0) {
                // break -> 0x470c9a
                break;
            }
            v5++;
            v3 = v7;
            // continue -> 0x470c57
            continue;
        }
        // 0x470c9a
        return;
    }
}

// Address range: 0x470ca0 - 0x471376
void function_470ca0(void) {
    // 0x470ca0
    abort();
    // UNREACHABLE
}

// Address range: 0x471378 - 0x471907
void function_471378(void) {
    int32_t v1 = g3; // 0x47137c
    g6 = g6 & -256 | 5;
    g8 = 0x4714a4;
    function_458cfc();
    int32_t * v2 = (int32_t *)(v1 + 44); // 0x471398_0
    *v2 = g3;
    g6 = g6 & -256 | 5;
    g8 = 0x4714b0;
    function_458cfc();
    *(char *)(g3 + 10) = 1;
    g6 = g6 & -256 | 5;
    g8 = 0x4714c0;
    function_458cfc();
    g6 = g6 & -256 | 5;
    g8 = 0x4714d0;
    function_458cfc();
    int32_t * v3 = (int32_t *)(v1 + 48); // 0x4713e4_0
    *v3 = g3;
    g6 = g6 & -256 | 5;
    g8 = 0x4714e0;
    function_458cfc();
    int32_t * v4 = (int32_t *)(v1 + 52); // 0x471400_0
    *v4 = g3;
    g6 = g6 & -256 | 5;
    g8 = 0x4714f0;
    function_458cfc();
    int32_t * v5 = (int32_t *)(v1 + 56); // 0x47141c_0
    *v5 = g3;
    g6 = g6 & -256 | 5;
    g8 = 0x471500;
    function_458cfc();
    *(int32_t *)(v1 + 60) = g3;
    g6 = g6 & -256 | 5;
    g8 = 0x471510;
    function_458cfc();
    int32_t * v6 = (int32_t *)(v1 + 64); // 0x471454_0
    *v6 = g3;
    *(int32_t *)(*v2 + 72) = 4;
    *(int32_t *)(*v3 + 72) = 4;
    *(int32_t *)(*v4 + 72) = 4;
    *(int32_t *)(*v5 + 72) = 4;
    *(int32_t *)(*v6 + 72) = 4;
}

// Address range: 0x471908 - 0x4719f7
void function_471908(void) {
    char v1 = g8; // 0x47190e
    if (v1 == 0) {
        // 0x47191a
        // branch -> 0x471923
    }
    // 0x471923
    if (v1 == 1) {
        // 0x471929
        // branch -> 0x471932
    }
    // 0x471932
    if (v1 == 3) {
        // 0x471938
        // branch -> 0x471941
    }
    // 0x471941
    if (v1 == 8) {
        // 0x471947
        // branch -> 0x471950
    }
}

// Address range: 0x4719f8 - 0x471c03
void function_4719f8(void) {
    int32_t * v1 = (int32_t *)(g3 + 4); // 0x471a04_0
    g3 = *v1;
    function_405b98();
    int32_t v2 = g3; // 0x471a0c
    int32_t v3 = v2 - 1; // 0x471a0c
    g3 = v3;
    if (v3 < 0) {
        // 0x471b86
        return;
    }
    int32_t v4 = 0; // 0x471b7a7
    // branch -> 0x471a20
    while (true) {
        int32_t v5 = 4 * v4; // 0x471a29
        int32_t v6 = *(int32_t *)(*v1 + v5); // 0x471a85
        int32_t * v7;
        int32_t v8; // 0x471b72
        int32_t v9; // 0x471b7d
        if (*(char *)(*(int32_t *)(*v1 + v5) + 68) == 0) {
            int32_t v10 = *(int32_t *)(v6 + 8); // 0x471a88
            if (v10 >= 1) {
                int32_t v11 = 0; // 0x471b395
                // branch -> 0x471a9f
                while (true) {
                    int32_t v12 = *(int32_t *)(*v1 + v5); // 0x471aa8
                    int32_t v13 = 4 * v11; // 0x471ab1
                    int32_t v14 = *(int32_t *)(*(int32_t *)(v12 + 4) + v13); // 0x471ab1
                    int32_t v15 = *(int32_t *)(v14 + 20); // 0x471ab4
                    int32_t v16; // 0x471b39
                    int32_t v17; // 0x471b28
                    int32_t v18; // 0x471b31
                    int32_t v19; // 0x471b3c
                    if (v15 < 1) {
                        // 0x471a9f
                        // branch -> 0x471af2
                    } else {
                        // 0x471abc
                        System__TObject__Free(1);
                        int32_t v20 = (int32_t)(int32_t *)v15 - 1; // 0x471aed
                        int32_t * v21 = (int32_t *)v20; // 0x471aed_4
                        v7 = v21;
                        // branch -> 0x471ac7
                        while (v20 != 0) {
                            // 0x471ac7
                            System__TObject__Free(1);
                            v20 = (int32_t)v7 - 1;
                            v21 = (int32_t *)v20;
                            v7 = v21;
                            // continue -> 0x471ac7
                        }
                        // 0x471af2
                        System__DynArraySetLength((char *)1, (char *)0x459128, 0, v21);
                        v17 = *(int32_t *)(*v1 + v5);
                        v18 = *(int32_t *)(*(int32_t *)(v17 + 4) + v13);
                        *(int32_t *)(v18 + 20) = 0;
                        v16 = v11 + 1;
                        v19 = v10 - 1;
                        if (v19 == 0) {
                            // break -> 0x471b45
                            break;
                        }
                        v11 = v16;
                        v10 = v19;
                        // continue -> 0x471a9f
                        continue;
                    }
                    // 0x471af2
                    System__DynArraySetLength((char *)1, (char *)0x459128, 0, v7);
                    v17 = *(int32_t *)(*v1 + v5);
                    v18 = *(int32_t *)(*(int32_t *)(v17 + 4) + v13);
                    *(int32_t *)(v18 + 20) = 0;
                    v16 = v11 + 1;
                    v19 = v10 - 1;
                    if (v19 == 0) {
                        // break -> 0x471b45
                        break;
                    }
                    v11 = v16;
                    v10 = v19;
                    // continue -> 0x471a9f
                }
                // 0x471b45
                System__DynArraySetLength((char *)1, (char *)0x459238, 0, v7);
                v8 = *(int32_t *)(*v1 + v5);
                g3 = v8;
                *(int32_t *)(v8 + 40) = 0;
                v9 = v2 - 1;
                if (v9 == 0) {
                    // break -> 0x471b86
                    break;
                }
                v4++;
                v2 = v9;
                // continue -> 0x471a20
                continue;
            }
          lab_0x471b45:
            // 0x471b45
            System__DynArraySetLength((char *)1, (char *)0x459238, 0, v7);
            v8 = *(int32_t *)(*v1 + v5);
            g3 = v8;
            *(int32_t *)(v8 + 40) = 0;
            v9 = v2 - 1;
            if (v9 == 0) {
                // break -> 0x471b86
                break;
            }
            v4++;
            v2 = v9;
            // continue -> 0x471a20
            continue;
        } else {
            int32_t v22 = *(int32_t *)(v6 + 40); // 0x471a3e
            if (v22 < 1) {
                goto lab_0x471b45;
            }
            System__TObject__Free(1);
            // branch -> 0x471a55
            while (v22 != 1) {
                // 0x471a55
                v22--;
                System__TObject__Free(1);
                // continue -> 0x471a55
            }
            // 0x471b45
            System__DynArraySetLength((char *)1, (char *)0x459238, 0, v7);
            v8 = *(int32_t *)(*v1 + v5);
            g3 = v8;
            *(int32_t *)(v8 + 40) = 0;
            v9 = v2 - 1;
            if (v9 == 0) {
                // break -> 0x471b86
                break;
            }
            v4++;
            v2 = v9;
            // continue -> 0x471a20
            continue;
        }
    }
}

// Address range: 0x471c04 - 0x471c63
void function_471c04(void) {
    // 0x471c04
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x471c64 - 0x471cef
void function_471c64(void) {
    int32_t v1 = g8; // 0x471c6a
    int32_t * v2 = (int32_t *)(v1 + 8); // 0x471c73_0
    int32_t v3 = *v2; // 0x471c73
    *v2 = *v2 + 1;
    int32_t v4 = *v2; // 0x471c82
    System__DynArraySetLength((char *)1, (char *)0x459214, v4, (int32_t *)v3);
    g8 = 0x459201;
    function_403c70();
    int32_t * v5 = (int32_t *)(v1 + 4); // 0x471cae_0
    g6 = v3;
    int32_t v6 = 4 * v3; // 0x471cb4
    *(int32_t *)(*v5 + v6) = 0x4591b8;
    int32_t v7 = *(int32_t *)(v1 + 12); // 0x471cc6
    *(int32_t *)(*(int32_t *)(*v5 + v6) + 12) = v7;
    g8 = v7 & -256 | 1;
    function_403c70();
    *(int32_t *)(*(int32_t *)(*v5 + v6) + 4) = 0x4580a4;
}

// Address range: 0x471cf0 - 0x471fa7
void function_471cf0(void) {
    // 0x471cf0
    uint32_t v1;
    if (v1 < 0) {
        // 0x471d0d
        System__LStrAddRef((char *)g6);
        abort();
        // UNREACHABLE
    }
    // branch -> 0x471d06
    for (int32_t i = v1 / 4; i >= 0; i--) {
        // continue -> 0x471d06
    }
    // branch -> 0x471d0d
    // 0x471d0d
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x471fa8 - 0x472017
void function_471fa8(void) {
    int32_t * v1 = (int32_t *)(g3 + 20); // 0x471fb4_0
    *v1 = *v1 + 1;
    int32_t v2 = *v1; // 0x471fc3
    int32_t * v3;
    System__DynArraySetLength((char *)1, (char *)0x4712c0, v2, v3);
    int32_t v4 = unknown_459b18(); // 0x471fe7
    int32_t * v5 = (int32_t *)(g3 + 4); // 0x471fef_0
    int32_t v6 = 4 * *v1; // 0x471ff5
    *(int32_t *)(*v5 + v6) = v4;
    *(int32_t *)(*(int32_t *)(*v5 + v6) + 20) = 0;
}

// Address range: 0x472018 - 0x4723b7
void function_472018(void) {
    int32_t v1 = g6; // 0x47201e
    int32_t v2 = g8; // 0x472021
    int32_t v3 = g3; // 0x472024
    int32_t * v4 = (int32_t *)(v3 + 8); // 0x47202a_0
    g3 = *v4;
    function_405b98();
    int32_t v5 = g3; // 0x472032
    int32_t * v6;
    int32_t v7; // 0x4720e7
    int32_t v8; // 0x472117
    if (v5 < 1) {
        // 0x4720dc
        g3 = *v4;
        function_405b98();
        v7 = g3;
        System__DynArraySetLength((char *)1, (char *)0x4712e4, v7 + 1, v6);
        v8 = 12 * v7;
        *(int32_t *)(*v4 + v8) = v2;
        *(int32_t *)(v8 + 4 + *v4) = v1;
        *(int32_t *)(v1 + 80) = v7;
        if (*(int32_t *)(v2 + 68) >= 1) {
            // 0x47213f
            // branch -> 0x472146
        }
        // 0x472146
        return;
    }
    int32_t * v9 = NULL; // 0x4720d0_42
    // branch -> 0x472046
    while (true) {
        int32_t v10 = (int32_t)v9; // 0x472046
        int32_t v11 = 12 * v10; // 0x472052
        int32_t v12; // 0x4720d3
        if (*(int32_t *)(*v4 + v11) == v2) {
            int32_t v13 = v11 + 4; // 0x472070
            int32_t v14 = *(int32_t *)(*v4 + v13); // 0x472070
            char v15;
            if (v15 == 0) {
                // 0x472060
                g8 = v14;
                g6 = v1;
                g3 = v3;
                function_472018();
                // branch -> 0x472146
                // 0x472146
                return;
            }
            int32_t v16 = *(int32_t *)(*(int32_t *)(*v4 + v11) + 32); // 0x4720a6
            if (*(int32_t *)(v14 + 32) == v16) {
                // 0x4720ab
                g8 = *(int32_t *)(*v4 + v13);
                g6 = v1;
                g3 = v3;
                function_472018();
                // branch -> 0x472146
                // 0x472146
                return;
            }
            // 0x4720d0
            v12 = v5 - 1;
            if (v12 == 0) {
                // break -> 0x4720dc
                break;
            }
            v9 = (int32_t *)(v10 + 1);
            v5 = v12;
            // continue -> 0x472046
            continue;
        } else {
            // 0x4720d0
            v12 = v5 - 1;
            if (v12 == 0) {
                // break -> 0x4720dc
                break;
            }
            v9 = (int32_t *)(v10 + 1);
            v5 = v12;
            // continue -> 0x472046
            continue;
        }
    }
    // 0x4720dc
    // branch -> 0x4720dc
    // 0x4720dc
    g3 = *v4;
    function_405b98();
    v7 = g3;
    System__DynArraySetLength((char *)1, (char *)0x4712e4, v7 + 1, v6);
    v8 = 12 * v7;
    *(int32_t *)(*v4 + v8) = v2;
    *(int32_t *)(v8 + 4 + *v4) = v1;
    *(int32_t *)(v1 + 80) = v7;
    if (*(int32_t *)(v2 + 68) >= 1) {
        // 0x47213f
        // branch -> 0x472146
    }
}

// Address range: 0x4723b8 - 0x4723fb
void function_4723b8(void) {
    // 0x4723b8
    function_4727bc();
    unknown_461b3c();
}

// Address range: 0x4723fc - 0x472443
void function_4723fc(void) {
    // 0x4723fc
    g3 = g8;
    char * v1;
    int32_t v2 = function_404e18(v1); // 0x472410
    if (v2 < 1) {
        // 0x47243b
        return;
    }
    int32_t v3 = 1; // 0x4724332
    // branch -> 0x472423
    while (true) {
        // 0x472423
        if (*(char *)(g8 - 1 + v3) == 10) {
            // 0x472430
            // branch -> 0x472433
        }
        int32_t v4 = v2 - 1; // 0x472436
        if (v4 == 0) {
            // break -> 0x47243b
            break;
        }
        v3++;
        v2 = v4;
        // continue -> 0x472423
    }
}

// Address range: 0x472444 - 0x4725ef
void function_472444(void) {
    // 0x472444
    int32_t * v1;
    int32_t * v2 = v1; // bp-24
    int32_t * v3 = (int32_t *)g6; // 0x47244a_0
    function_4725f0();
    if (g3 == 0) {
        // 0x4724f4
        *v3 = -1;
        // branch -> 0x472504
        // 0x472504
        return;
    }
    int32_t * v4 = (int32_t *)(g3 + 4); // 0x472475_0
    int32_t v5 = *(int32_t *)(*(int32_t *)(*v4 + 4 * *v3) + 12); // 0x472490
    v2 = (int32_t *)((int32_t)v1 - v5);
    g3 = *(int32_t *)(*(int32_t *)(*v4 + 4 * *v3) + 4);
    function_404e18((char *)&v2);
    int32_t v6 = unknown_426f30(); // 0x4724b1
    if (v6 < 1) {
        // 0x472504
        return;
    }
    int32_t * v7 = (int32_t *)1; // 0x4724ea_42
    while (true) {
        int32_t v8 = *(int32_t *)(*v4 + 4 * *v3); // 0x4724cf
        int32_t v9 = (int32_t)v7; // 0x4724d5
        if (*(char *)(v9 - 1 + *(int32_t *)(v8 + 4)) == 10) {
            // 0x4724df
            // branch -> 0x4724e2
        }
        // 0x4724e2
        if (v2 != v7) {
            int32_t v10 = v6 - 1; // 0x4724ed
            if (v10 == 0) {
                // break -> 0x472504
                break;
            }
            v7 = (int32_t *)(v9 + 1);
            v6 = v10;
            // continue -> 0x4724c4
            continue;
        }
        // 0x472504
        return;
    }
}

// Address range: 0x4725f0 - 0x4726a3
void function_4725f0(void) {
    int32_t * v1 = (int32_t *)g6; // 0x4725f6_0
    int32_t * v2 = (int32_t *)(g3 + 4); // 0x472609_0
    g3 = *v2;
    function_405b98();
    int32_t v3 = g3 - 1; // 0x472611
    int32_t v4 = -1; // 0x47268a2
    int32_t v5 = v3; // 0x47269810
    int32_t * v6;
    int32_t v7; // 0x47267a
    int32_t v8; // 0x472690
    int32_t v9; // 0x47267a
    if (v3 >= 0) {
        int32_t v10 = 0; // 0x4726513
        int32_t v11 = g3; // 0x4726541
        // branch -> 0x472621
        int32_t v12; // 0x47269811
        while (true) {
            int32_t v13 = 4 * v10; // 0x47262a
            uint32_t v14 = *(int32_t *)(*(int32_t *)(*v2 + v13) + 20); // 0x47262d
            v12 = v14;
            if (v14 <= g8) {
                int32_t v15 = *(int32_t *)(*(int32_t *)(*v2 + v13) + 24); // 0x472641
                if (v15 > g8) {
                    // 0x472649
                    v4 = v10;
                    // branch -> 0x472659
                    // 0x472659
                    if (v4 <= -1) {
                        // 0x472698
                        g3 = v10 & -256;
                        return;
                    }
                    // 0x472665
                    *v1 = v4;
                    v9 = 4 * v4;
                    v7 = *(int32_t *)(*v2 + v9);
                    v8 = *(int32_t *)(*(int32_t *)(*v2 + v9) + 12);
                    *v6 = v8 + g8 - *(int32_t *)(v7 + 20) + 1;
                    // branch -> 0x472698
                    // 0x472698
                    g3 = (int32_t)v6 & -256 | 1;
                    return;
                }
                v12 = v15;
            }
            int32_t v16 = v11 - 1; // 0x472654
            if (v16 == 0) {
                // break -> 0x472659
                break;
            }
            v10++;
            v11 = v16;
            // continue -> 0x472621
        }
        // 0x472659
        v4 = -1;
        v5 = v12;
        // branch -> 0x472659
    }
    int32_t v17 = 0; // 0x4726984
    if (v4 > -1) {
        // 0x472665
        *v1 = v4;
        v9 = 4 * v4;
        v7 = *(int32_t *)(*v2 + v9);
        v8 = *(int32_t *)(*(int32_t *)(*v2 + v9) + 12);
        *v6 = v8 + g8 - *(int32_t *)(v7 + 20) + 1;
        v5 = (int32_t)v6;
        v17 = 1;
        // branch -> 0x472698
    }
    // 0x472698
    g3 = v5 & -256 | v17;
}

// Address range: 0x4726a4 - 0x4727bb
void function_4726a4(void) {
    // 0x4726a4
    abort();
    // UNREACHABLE
}

// Address range: 0x4727bc - 0x47284f
void function_4727bc(void) {
    int32_t v1;
    g11 = &v1;
    int32_t v2 = unknown_458a50(); // 0x4727d7
    v1 = v2;
    if (v2 == 0) {
        // 0x47284a
        return;
    }
    // 0x4727e5
    *(char *)(v2 + 44) = 1;
    *(int32_t *)(v1 + 48) = g6;
    int32_t v3 = v1; // 0x4727f5
    int32_t v4 = v3; // 0x47281e
    if (*(char *)(v3 + 8) == 2) {
        int32_t v5 = 0;
        g11 = &v5;
        unknown_461b3c();
        v4 = v1;
        // branch -> 0x47281e
    }
    // 0x47281e
    if (*(char *)(v4 + 8) == 3) {
        // 0x472827
        unknown_461b3c();
        // branch -> 0x47284a
    }
}

// Address range: 0x472850 - 0x4728cf
void function_472850(void) {
    // 0x472850
    if (unknown_458a50() == 0) {
        // 0x4728c9
        return;
    }
    int32_t v1 = unknown_458a50(); // 0x472882
    if (v1 == 0) {
        // 0x4728c9
        return;
    }
    // 0x472890
    *(char *)(v1 + 44) = 1;
    int32_t v2;
    *(int32_t *)(v1 + 48) = v2;
    if (*(char *)(v1 + 8) == 6) {
        // 0x4728a9
        unknown_461b3c();
        // branch -> 0x4728c9
    }
}

// Address range: 0x4728d0 - 0x472973
void function_4728d0(void) {
    int32_t v1 = g3; // 0x4728d6
    function_46419c();
    if (*(char *)(*(int32_t *)(v1 + 24) + 4) == 0) {
        int32_t * v2 = (int32_t *)(v1 + 12); // 0x4728fb_0
        int32_t v3 = *(int32_t *)(*(int32_t *)(*v2 + 28) + 8); // 0x472901
        if (v3 >= 1) {
            int32_t v4 = 0; // 0x4729572
            // branch -> 0x472914
            while (true) {
                int32_t v5 = *(int32_t *)(*v2 + 28); // 0x47291a
                int32_t v6 = *(int32_t *)(*(int32_t *)(v5 + 4) + 4 * v4); // 0x472923
                if (*(char *)(v6 + 8) == 0) {
                    // 0x472932
                    if (*(char *)(v6 + 44) != 0) {
                        // 0x47293b
                        if (*(char *)(v6 + 97) == 0) {
                            // 0x472944
                            if (*(int32_t *)(v6 + 40) != 0) {
                                // 0x47294d
                                *(int32_t *)*(int32_t *)(v6 + 48) = 0;
                                // branch -> 0x472957
                            }
                        }
                    }
                }
                int32_t v7 = v3 - 1; // 0x47295a
                if (v7 == 0) {
                    // break -> 0x47295f
                    break;
                }
                v4++;
                v3 = v7;
                // continue -> 0x472914
            }
            // 0x47295f
            g3 = *v2;
            function_4719f8();
            // branch -> 0x47296a
            // 0x47296a
            return;
        }
        // 0x47295f
        g3 = *v2;
        function_4719f8();
        // branch -> 0x47296a
    }
}

// Address range: 0x472974 - 0x4729a3
void function_472974(void) {
    int32_t v1 = g3; // 0x472978
    int32_t v2 = *(int32_t *)(*(int32_t *)(v1 + 16) + 24); // 0x472981
    int32_t * v3 = (int32_t *)(v1 + 20); // 0x472987_0
    *(int32_t *)(*v3 + 16) = v2;
    g8 = *(int32_t *)(v1 + 12);
    g3 = *v3;
    function_46cf84();
}

// Address range: 0x4729a4 - 0x472abf
void function_4729a4(void) {
    // 0x4729a4
    abort();
    // UNREACHABLE
}

// Address range: 0x472ac0 - 0x47318e
void function_472ac0(void) {
    // 0x472ac0
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x473194 - 0x47327f
void function_473194(void) {
    int32_t v1 = g6; // 0x47319f
    int32_t v2 = g8; // 0x4731a2
    int32_t v3 = g3; // 0x4731a5
    function_4732d4();
    int32_t * v4 = (int32_t *)(v3 + 8); // 0x4731b6_0
    *v4 = v2;
    int32_t v5 = 0x7fffffff;
    if (v1 != 0) {
        // 0x4731c8
        v5 = v1;
        // branch -> 0x4731ce
    }
    int32_t * v6 = (int32_t *)(v3 + 4); // 0x4731d3_0
    *v6 = 0;
    if (*v4 == 0) {
        // 0x47327a
        return;
    }
    // branch -> 0x473253
  lab_0x473253:;
    int32_t v7; // 0x473238
    while (true) {
        // 0x473253
        if (*v6 < v5) {
            // 0x47325e
            g3 = v3 + 16;
            g8 = v2;
            function_475228();
            if (g3 > 0) {
                // 0x4731eb
                int32_t v8;
                Sysutils__AllocMem((int32_t)&v8);
                int32_t v9 = 174; // 0x4731f5
                memcpy((char *)v9, (char *)&v8, 41);
                *(int16_t *)v9 = (int16_t)v8;
                *(int32_t *)(v9 + 166) = v2;
                *(int32_t *)(v9 + 170) = *v6;
                Classes__TList__Add((char *)g6);
                int32_t v10;
                v7 = v2 + v10;
                *v6 = *v6 + v10;
                int32_t v11;
                if (v11 == 0x1005) {
                    // break -> 0x47324d
                    break;
                }
                v2 = v7;
                // continue -> 0x473253
                continue;
            }
        }
      lab_0x47327a:
        // 0x47327a
        return;
    }
    // 0x47324d
    if (v1 == 0) {
        // break (via goto) -> 0x47327a
        goto lab_0x47327a;
    }
    v2 = v7;
    // continue (via goto) -> 0x473253
    goto lab_0x473253;
}

// Address range: 0x473280 - 0x47329b
void function_473280(void) {
    int32_t v1 = g3; // 0x473286
    g3 = *(int32_t *)(*(int32_t *)(v1 + 12) + 8);
    g6 = v1;
}

// Address range: 0x47329c - 0x4732d3
void function_47329c(void) {
    int32_t v1 = *(int32_t *)(g3 + 12); // eax
    Classes__TList__Get(g6);
    memcpy((char *)g6, (char *)v1, 43);
    *(int16_t *)g6 = *(int16_t *)v1;
}

// Address range: 0x4732d4 - 0x473473
void function_4732d4(void) {
    int32_t v1;
    g4 = &v1;
    int32_t * v2 = (int32_t *)(g3 + 12); // 0x4732e0_0
    int32_t v3 = *(int32_t *)(*v2 + 8) - 1; // 0x4732e6
    uint32_t v4 = llvm_ctpop_i32(v3); // 0x4732e6
    g2 = false;
    g1 = false;
    g187 = v3 == 0;
    g9 = v4 % 2 == 1;
    int32_t v5; // 0x473317
    int32_t v6; // 0x473314
    if (v3 < 0) {
        // 0x473311
        v6 = *v2;
        g3 = v6;
        v5 = *(int32_t *)v6;
        g8 = v5;
        ((int32_t (*)())*(int32_t *)(v5 + 8))();
        return;
    }
    Classes__TList__Get(g6);
    System__FreeMem((char *)g6);
    int32_t v7 = v3 - 1; // 0x473308
    g2 = (v7 & 15) > 30;
    g1 = v3 != 0;
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    while (v3 != 0) {
        // 0x4732ef
        v3 = v7;
        Classes__TList__Get(g6);
        System__FreeMem((char *)g6);
        v7 = v3 - 1;
        g2 = (v7 & 15) > 30;
        g1 = v3 != 0;
        g187 = v3 == 0;
        g9 = llvm_ctpop_i32(v3) % 2 == 1;
        // continue -> 0x4732ef
    }
    // 0x473311
    v6 = *v2;
    g3 = v6;
    v5 = *(int32_t *)v6;
    g8 = v5;
    ((int32_t (*)())*(int32_t *)(v5 + 8))();
}

// Address range: 0x473474 - 0x4734ff
void function_473474(void) {
    int32_t v1;
    g4 = &v1;
    uint32_t v2 = g6; // 0x47347a
    int32_t v3 = g3; // 0x473480
    g3 = v2;
    g2 = (v2 & 15) > 23;
    g1 = v2 < 8;
    int32_t v4 = v2 - 8; // 0x473486
    g187 = v4 == 0;
    g9 = llvm_ctpop_i32(v4) % 2 == 1;
    if (v2 > 8) {
        // 0x4734e8
        *(int32_t *)v3 = *(int32_t *)g8;
        // branch -> 0x4734f2
    } else {
        // 0x47348b
        ((int32_t (*)())g14[v2])();
        char * v5 = (char *)(g5 - 0x49f007bb); // 0x4734b5_0
        *v5 = (char)(g6 + (int32_t)*v5);
        char * v6 = (char *)(g5 + 0x289fc55); // 0x4734bb_0
        *v6 = (char)(g6 + (int32_t)*v6);
        // branch -> 0x4734f2
    }
}

// Address range: 0x473500 - 0x47353f
void function_473500(void) {
    struct struct_104 * v1 = (struct struct_104 *)g8; // 0x473506_0
    v1->e0 = g3 / 64 & 3;
    v1->e1 = g3 / 8 & 7;
    v1->e2 = g3 & 7;
}

// Address range: 0x473540 - 0x473607
void function_473540(void) {
    int32_t v1 = g8; // 0x473549
    int32_t v2 = g3; // 0x47354c
    int32_t v3 = g28; // bp-36
    g8 = &v3;
    g3 = (int32_t)*(char *)v1 | v1 & -256;
    function_473500();
    int32_t * v4; // 0x4735dc_0
    int32_t * v5; // 0x4735f2_0
    uint32_t v6; // 0x4735d1
    int32_t v7; // 0x4735d6
    uint32_t v8; // 0x4735c3
    if (g30 == 5) {
        // 0x473584
        if (g6 == 0) {
            // 0x47358a
            unknown_4733e8();
            int32_t * v9 = (int32_t *)(v2 + 115); // 0x4735a3_0
            *v9 = *v9 | 0x3000000;
            // branch -> 0x4735c3
            // 0x4735c3
            v8 = v3;
            if (v8 >= 1) {
                // 0x4735c9
                v6 = v8 & 31;
                v7 = 1;
                if (v6 != 0) {
                    // if_4735d1_0_true
                    v7 = 1 << v6;
                    // branch -> after_if_4735d1_0
                }
                // after_if_4735d1_0
                *(int32_t *)(v2 + 99) = v7;
                v4 = (int32_t *)(v2 + 115);
                *v4 = *v4 | 1;
                // branch -> 0x4735e0
            }
            // 0x4735e0
            if (g29 != 4) {
                // 0x4735e6
                *(int32_t *)(v2 + 103) = g29;
                v5 = (int32_t *)(v2 + 115);
                *v5 = *v5 | 0x1000;
                // branch -> 0x4735f9
            }
            // 0x4735f9
            g3 = 5;
            return;
        }
    }
    // 0x4735b0
    *(int32_t *)(v2 + 107) = g30;
    int32_t * v10 = (int32_t *)(v2 + 115); // 0x4735bc_0
    *v10 = *v10 | 0x100000;
    // branch -> 0x4735c3
    // 0x4735c3
    v8 = v3;
    if (v8 >= 1) {
        // 0x4735c9
        v6 = v8 & 31;
        v7 = 1;
        if (v6 != 0) {
            // if_4735d1_0_true
            v7 = 1 << v6;
            // branch -> after_if_4735d1_0
        }
        // after_if_4735d1_0
        *(int32_t *)(v2 + 99) = v7;
        v4 = (int32_t *)(v2 + 115);
        *v4 = *v4 | 1;
        // branch -> 0x4735e0
    }
    // 0x4735e0
    if (g29 != 4) {
        // 0x4735e6
        *(int32_t *)(v2 + 103) = g29;
        v5 = (int32_t *)(v2 + 115);
        *v5 = *v5 | 0x1000;
        // branch -> 0x4735f9
    }
    // 0x4735f9
    g3 = 1;
}

// Address range: 0x473608 - 0x4736bb
void function_473608(void) {
    int32_t v1 = g3 + 143; // 0x47361a
    int32_t v2; // 0x4736b31
    if (*(int32_t *)v1 == 0) {
        // 0x473623
        v2 = 0;
        // branch -> 0x473646
    } else {
        // 0x47362a
        v2 = *(int32_t *)(g3 + 167) == 0 ? 1 : 2;
        // branch -> 0x473646
    }
    int32_t v3 = 24 * v2; // 0x47364f
    *(int32_t *)(v3 + v1) = 1;
    *(int32_t *)(g3 + 123 + v3) = g8;
    *(int32_t *)(g3 + 127 + v3) = g6;
    int32_t v4;
    *(int32_t *)(g3 + 131 + v3) = v4;
    int32_t v5;
    *(int32_t *)(g3 + 135 + v3) = v5;
    int32_t v6;
    *(int32_t *)(g3 + 139 + v3) = v6;
    g3 = v2;
}

// Address range: 0x4736bc - 0x4738ff
void function_4736bc(void) {
    int32_t v1 = g6; // 0x4736c2
    int32_t v2 = g8; // 0x4736c5
    int32_t v3 = g3; // 0x4736c8
    int32_t v4 = g25; // bp-40
    int32_t * v5 = (int32_t *)g27; // 0x4736e3_0
    g8 = &v4;
    g3 = (int32_t)*(char *)v2 | v2 & -256;
    function_473500();
    int32_t v6;
    int32_t * v7;
    int32_t v8;
    if (v8 != 1) {
        // 0x4738d6
        *(int32_t *)v1 = g26 + v6;
        *v7 = *v7 | 256;
        // branch -> 0x4738ef
        // 0x4738ef
        g3 = (int32_t)NULL;
        return;
    }
    int32_t v9 = v4; // 0x473704
    if (v9 == 3) {
        // 0x47370a
        *(int32_t *)v1 = g27 + v6;
        *v7 = *v7 & -3841;
        *v7 = *v7 | 256;
        // branch -> 0x47389d
        // 0x47389d
        if (*(int32_t *)(v3 + 115) != 0) {
            // 0x4738a6
            g6 = *(int32_t *)(v3 + 103);
            g8 = *(int32_t *)(v3 + 99);
            g3 = v3;
            function_473608();
            *(int32_t *)v1 = g3;
            // branch -> 0x4738ef
        }
        // 0x4738ef
        g3 = (int32_t)(int32_t *)1;
        return;
    }
    // 0x47372c
    int32_t * v10; // 0x4738ef_05
    if (v9 == 0) {
        // 0x473736
        int32_t * v11; // 0x4738ef_03
        if (v5 == (int32_t *)5) {
            // 0x47373c
            if (*(int32_t *)(v3 + 95) == 0) {
                // 0x47376b
                unknown_4733e8();
                int32_t * v12 = (int32_t *)(v3 + 115); // 0x473784_0
                *v12 = *v12 | 0x3000000;
                v11 = (int32_t *)5;
                // branch -> 0x4737c0
            } else {
                // 0x473745
                unknown_4733e8();
                int32_t * v13 = (int32_t *)(v3 + 115); // 0x47375e_0
                *v13 = *v13 | 0x2000000;
                v11 = (int32_t *)3;
                // branch -> 0x4737c0
            }
            // 0x4737c0
            *v7 = *v7 & -3841;
            *v7 = *v7 | 1280;
            // branch -> 0x47389d
            // 0x47389d
            if (*(int32_t *)(v3 + 115) != 0) {
                // 0x4738a6
                g6 = *(int32_t *)(v3 + 103);
                g8 = *(int32_t *)(v3 + 99);
                g3 = v3;
                function_473608();
                *(int32_t *)v1 = g3;
                // branch -> 0x4738ef
            }
            // 0x4738ef
            g3 = (int32_t)v11;
            return;
        }
        // 0x473791
        if (v5 == (int32_t *)4) {
            // 0x473797
            g8 = v2 + 1;
            g3 = v3;
            g6 = 0;
            function_473540();
            v11 = (int32_t *)(g3 + 1);
            // branch -> 0x4737c0
        } else {
            // 0x4737ad
            *(int32_t *)(v3 + 107) = g27;
            int32_t * v14 = (int32_t *)(v3 + 115); // 0x4737b9_0
            *v14 = *v14 | 0x100000;
            v11 = (int32_t *)1;
            // branch -> 0x4737c0
        }
        // 0x4737c0
        *v7 = *v7 & -3841;
        *v7 = *v7 | 1280;
        // branch -> 0x47389d
        // 0x47389d
        if (*(int32_t *)(v3 + 115) != 0) {
            // 0x4738a6
            g6 = *(int32_t *)(v3 + 103);
            g8 = *(int32_t *)(v3 + 99);
            g3 = v3;
            function_473608();
            *(int32_t *)v1 = g3;
            // branch -> 0x4738ef
        }
        // 0x4738ef
        g3 = (int32_t)v11;
        return;
    } else {
        // 0x4737d7
        if (v5 == (int32_t *)4) {
            // 0x4737dd
            g8 = v2 + 1;
            g3 = v3;
            g6 = v9;
            function_473540();
            v10 = (int32_t *)(g3 + 1);
            // branch -> 0x473816
        } else {
            // 0x4737fc
            *(int32_t *)(v3 + 107) = g27;
            int32_t * v15 = (int32_t *)(v3 + 115); // 0x47380f_0
            *v15 = *v15 | 0x100000;
            v10 = (int32_t *)1;
            // branch -> 0x473816
        }
        // 0x473816
        if (v4 != 1) {
            // 0x47383e
            int32_t v16;
            if (*(int32_t *)(v3 + 95) == 0) {
                // 0x47386a
                unknown_4733e8();
                int32_t * v17 = (int32_t *)(v3 + 115); // 0x473880_0
                *v17 = *v17 | 0x3000000;
                v16 = (int32_t)v10 + 4;
                // branch -> 0x47388b
            } else {
                // 0x473847
                unknown_4733e8();
                int32_t * v18 = (int32_t *)(v3 + 115); // 0x47385d_0
                *v18 = *v18 | 0x2000000;
                v16 = (int32_t)v10 + 2;
                // branch -> 0x47388b
            }
            // 0x47388b
            *v7 = *v7 & -3841;
            *v7 = *v7 | 1280;
            // branch -> 0x47389d
            // 0x47389d
            if (*(int32_t *)(v3 + 115) != 0) {
                // 0x4738a6
                g6 = *(int32_t *)(v3 + 103);
                g8 = *(int32_t *)(v3 + 99);
                g3 = v3;
                function_473608();
                *(int32_t *)v1 = g3;
                // branch -> 0x4738ef
            }
            // 0x4738ef
            g3 = (int32_t)(int32_t *)v16;
            return;
        }
        // 0x47381c
        unknown_4733e8();
        int32_t * v19 = (int32_t *)(v3 + 115); // 0x473832_0
        *v19 = *v19 | 0x1000000;
        // branch -> 0x47388b
        // 0x47388b
        *v7 = *v7 & -3841;
        *v7 = *v7 | 1280;
        // branch -> 0x47389d
    }
    // 0x47389d
    if (*(int32_t *)(v3 + 115) != 0) {
        // 0x4738a6
        g6 = *(int32_t *)(v3 + 103);
        g8 = *(int32_t *)(v3 + 99);
        g3 = v3;
        function_473608();
        *(int32_t *)v1 = g3;
        // branch -> 0x4738ef
    }
    // 0x4738ef
    g3 = (int32_t)(int32_t *)((int32_t)v10 + 1);
}

// Address range: 0x473900 - 0x47399b
void function_473900(void) {
    int32_t * v1 = (int32_t *)g8; // 0x473909_0
    int32_t v2 = g3 & -0x10000000; // 0x473912
    if (v2 == 0) {
        // 0x473996
        return;
    }
    // 0x473920
    int32_t v3; // 0x4739911
    if (v2 > 0x40000000) {
        // 0x47394a
        if (v2 != 0x50000000) {
            // 0x473951
            v3 = v2 == 0x60000000 ? 0x60000 : 0x40000;
            // branch -> 0x47398e
        } else {
            v3 = 0x50000;
        }
        // 0x47398e
        *v1 = *v1 | v3;
        // branch -> 0x473996
        // 0x473996
        return;
    }
    // 0x473931
    if (v2 == 0x40000000) {
        // 0x47398e
        *v1 = *v1 | 0x10000;
        // branch -> 0x473996
        // 0x473996
        return;
    }
    // 0x473933
    if (v2 == 0x10000000) {
        // 0x47398e
        *v1 = *v1 | 0x20000;
        // branch -> 0x473996
        // 0x473996
        return;
    }
    // 0x47393a
    if (v2 != 0x20000000) {
        // 0x473941
        v3 = 0x40000;
        // branch -> 0x47398e
    } else {
        v3 = 0x30000;
    }
    // 0x47398e
    *v1 = *v1 | v3;
    // branch -> 0x473996
}

// Address range: 0x47399c - 0x474483
void function_47399c(void) {
    struct struct_4 v1; // 0x473b63_4
    struct struct_4 v2; // 0x473f5b_4
    struct struct_4 v3; // 0x473fb0_4
    struct struct_4 v4; // 0x474003_4
    struct struct_4 v5; // 0x474058_4
    struct struct_4 v6; // 0x4740ab_4
    struct struct_4 v7; // 0x4740fb_4
    struct struct_4 v8; // 0x47412e_4
    struct struct_4 v9; // 0x474163_4
    struct struct_4 v10; // 0x474196_4
    struct struct_4 v11; // 0x4741c9_4
    struct struct_4 v12; // 0x4741fc_4
    struct struct_4 v13; // 0x47422f_4
    struct struct_4 v14; // 0x47424e_0
    struct struct_4 v15; // 0x4742a8_0
    struct struct_4 v16; // 0x4742d4_0
    struct struct_4 v17; // 0x47433d_0
    struct struct_4 v18; // 0x47437f_0
    struct struct_4 v19; // 0x4743de_0
    struct struct_4 v20; // 0x47442b_0
    struct struct_4 * v21;
    g11 = (int32_t)&v21;
    int32_t v22 = g6; // 0x4739a2
    int32_t v23 = g8; // 0x4739a5
    int32_t v24 = g3; // 0x4739a8
    int32_t ** v25 = (int32_t **)*(int32_t *)(v23 + 40); // bp-76
    int32_t * v26 = (int32_t *)*(int32_t *)(v23 + 8); // bp-88
    int32_t v27;
    int32_t ** v28 = (int32_t **)(v27 + 16); // bp-100
    v21 = (struct struct_4 *)(v27 + 32);
    int32_t v29 = v24 + 99; // 0x473a29
    g8 = 24;
    function_407938();
    int32_t * v30 = (int32_t *)(v24 + 95); // 0x473a42_0
    *v30 = *(int32_t *)(v24 + 20) & 2;
    char * v31 = (char *)(v23 + 24); // 0x473a48_0
    if (*v31 != 0) {
        // 0x473a4e
        Sysutils__StrLCat((char *)15, v31, (int32_t)v21->e0);
        // branch -> 0x473a64
    }
    int32_t * v32 = (int32_t *)(v27 + 28); // 0x473a6d_0
    *v32 = *v32 | *(int32_t *)(v23 + 4);
    int32_t v33 = *v32 & -0x100000; // 0x473a76
    *v32 = *v32 & 0xfffff;
    unsigned char v34 = *(char *)(v24 + 33); // 0x473a8b
    int32_t v35 = v34; // 0x47439123
    int32_t v36;
    int32_t v37;
    int32_t v38;
    int32_t * v39; // 0x4740b3_0
    int32_t v40; // 0x4740b3_1
    int32_t v41; // 0x474211_0
    struct struct_4 * v42; // 0x4743f3_0
    int32_t v43; // 0x4743f3_1
    struct struct_4 * v44;
    struct struct_4 * v45;
    int32_t v46;
    int32_t * v47;
    char v48;
    char v49;
    int32_t ** v50;
    int32_t * v51;
    int32_t * v52;
    uint32_t v53; // 0x473b28
    int32_t v54; // 0x473b37
    unsigned char v55; // 0x473ac3
    int32_t v56; // 0x47447330
    int32_t v57; // 0x47442124
    int32_t v58; // 0x473b42
    int32_t v59; // 0x473d2322
    if (v48 != 4) {
        // 0x473a98
        if (v34 == 4) {
            // 0x473a9e
            *v30 = 1;
            v35 = 2;
            // branch -> 0x473ac0
        } else {
            // 0x473ab1
            *v30 = 0;
            v35 = 4;
            // branch -> 0x473ac0
        }
        // 0x473ac0
        v55 = *(char *)(v24 + 34);
        v59 = v55;
        if (v48 != 2) {
            // 0x473ad0
            v59 = v55 == 4 ? 2 : 4;
            // branch -> 0x473ae6
        }
        // 0x473ae6
        if (v49 != 16) {
            // 0x473aec
            *v32 = *v32 | 0x400000;
            // branch -> 0x473af6
        }
        // 0x473af6
        if (v49 != 32) {
            // 0x473afc
            *v32 = *v32 | 0x200000;
            // branch -> 0x473b06
        }
        // 0x473b06
        if (v49 == -128) {
            // 0x473b0c
            // branch -> 0x473b12
        }
        // 0x473b12
        *v32 = *v32 | 0x100000;
        v36 = v59 == 4 ? 4 : 2;
        v38 = v59 == 4 ? 0x300000 : 0x200000;
        v41 = &v46;
        v39 = (int32_t *)v29;
        v40 = (int32_t)&v47;
        v42 = (struct struct_4 *)v29;
        v43 = (int32_t)&v45;
        v56 = 0;
        v37 = 0;
        v57 = 0;
        // branch -> 0x473b21
        for (uint32_t i = 0; i < 3; i++) {
            // 0x473b21
            v51 = v26;
            v53 = v51[i] & 0xff0000;
            v54 = v51[i] & -0x1000000;
            v58 = v51[i];
            v44 = v21;
            *v44 = (struct struct_4){
                .e0 = NULL,
                .e1 = 0
            };
            v52 = v44->e0;
            v1 = (struct struct_4){
                .e0 = NULL,
                .e1 = 0
            };
            v1.e0 = (int32_t *)((int32_t)v52 | v58 & 0xffff);
            *v44 = v1;
            v50 = v25;
            if (*v50 == NULL) {
              lab_0x473b6f:;
                // 0x473b6f
                char * v60;
                if (v60[i] == 1) {
                    // 0x473b8e
                    int32_t v61;
                    int32_t v62; // 0x47442126
                    if (v54 > 0xb000000) {
                        // 0x473c0d
                        if (v54 > 0x20000000) {
                            int32_t v63 = v54 - 0x30000000; // 0x473c4b
                            if (v54 != 0x30000000) {
                                int32_t v64 = v54 - 0x40000000; // 0x473c56
                                if (v63 != 0x10000000) {
                                    // 0x473c61
                                    v61 = v64 == 0x10000000 ? 4 : v37;
                                    v62 = v64 == 0x10000000 ? 0xb00000 : v57;
                                    // branch -> 0x473e19
                                } else {
                                    v61 = 4;
                                    v62 = 0x900000;
                                }
                            } else {
                                v61 = 4;
                                v62 = 0x800000;
                            }
                        } else {
                            // 0x473c14
                            if (v54 != 0x20000000) {
                                int32_t v65 = v54 - 0xd000000; // 0x473c1a
                                if (v54 == 0xd000000) {
                                    // 0x473cd9
                                    v61 = v36;
                                    v62 = v38;
                                    // branch -> 0x473e19
                                } else {
                                    int32_t v66 = v54 - 0xe000000; // 0x473c25
                                    if (v65 != 0x1000000) {
                                        int32_t v67 = v54 - 0xf000000; // 0x473c30
                                        if (v66 == 0x1000000) {
                                            // 0x473dfd
                                            v61 = v35;
                                            v62 = v35 == 4 ? 0x400000 : 0x300000;
                                            // branch -> 0x473e19
                                        } else {
                                            // 0x473c3b
                                            v61 = v67 == 0x1000000 ? 4 : v37;
                                            v62 = v67 == 0x1000000 ? 0x600000 : v57;
                                            // branch -> 0x473e19
                                        }
                                        // 0x473e19
                                        if (v61 != 1) {
                                          lab_0x473e28_7:
                                            // 0x473e28
                                            if (v61 != 2) {
                                                // 0x473e37
                                                // branch -> 0x473e3c
                                            }
                                        }
                                      lab_0x473e3c_7:;
                                        // 0x473e3c
                                        int32_t v68;
                                        int32_t v69; // 0x47447331
                                        int32_t v70; // 0x47442125
                                        if (v53 > 0xa0000) {
                                            // 0x473ebb
                                            if (v53 > 0xf0000) {
                                                int32_t v71 = v53 - 0x100000; // 0x473ef9
                                                if (v53 == 0x100000) {
                                                    // 0x474203
                                                    v45 = (struct struct_4 *)v44->e0;
                                                    v46 = 2;
                                                    g11 = v41;
                                                    g6 = (int32_t)*v28;
                                                    g3 = v24;
                                                    g8 = v22;
                                                    function_4736bc();
                                                    struct struct_4 * v72 = v21;
                                                    int32_t * v73 = v72->e0;
                                                    v13 = (struct struct_4){
                                                        .e0 = NULL,
                                                        .e1 = 0
                                                    };
                                                    v13.e0 = (int32_t *)((int32_t)v73 | v62);
                                                    *v72 = v13;
                                                    v69 = v56;
                                                    // branch -> 0x474466
                                                } else {
                                                    int32_t v74 = v53 - 0x110000; // 0x473f04
                                                    int32_t v75; // 0x47409e
                                                    if (v71 == 0x10000) {
                                                        // 0x47407c
                                                        v45 = (struct struct_4 *)v44->e0;
                                                        v46 = 1;
                                                        g6 = (int32_t)*v28;
                                                        g3 = v24;
                                                        g8 = v22;
                                                        function_4736bc();
                                                        v75 = g3;
                                                        struct struct_4 * v76 = v21;
                                                        int32_t * v77 = v76->e0;
                                                        v6 = (struct struct_4){
                                                            .e0 = NULL,
                                                            .e1 = 0
                                                        };
                                                        v6.e0 = (int32_t *)((int32_t)v77 | v62);
                                                        *v76 = v6;
                                                        v47 = v39;
                                                        g11 = v40;
                                                        g8 = (int32_t)v76->e0;
                                                        g3 = v33;
                                                        function_473900();
                                                        // branch -> 0x474466
                                                    } else {
                                                        int32_t v78 = v53 - 0x120000; // 0x473f0f
                                                        if (v74 == 0x10000) {
                                                            int32_t * v79 = v44->e0;
                                                            v19 = (struct struct_4){
                                                                .e0 = NULL,
                                                                .e1 = 0
                                                            };
                                                            v19.e0 = (int32_t *)(v62 | (int32_t)v79 | 0x2100);
                                                            *v44 = v19;
                                                            *v28 = (int32_t *)6;
                                                            v45 = v42;
                                                            g11 = v43;
                                                            g8 = (int32_t)v21->e0;
                                                            g3 = 0x30000000;
                                                            function_473900();
                                                            // branch -> 0x474466
                                                        } else {
                                                            // 0x473f1a
                                                            if (v78 == 0x10000) {
                                                                int32_t * v80 = v44->e0;
                                                                v20 = (struct struct_4){
                                                                    .e0 = NULL,
                                                                    .e1 = 0
                                                                };
                                                                v20.e0 = (int32_t *)(v62 | (int32_t)v80 | 0x2100);
                                                                *v44 = v20;
                                                                *v28 = (int32_t *)7;
                                                                v45 = v42;
                                                                g11 = v43;
                                                                g8 = (int32_t)v21->e0;
                                                                g3 = 0x40000000;
                                                                function_473900();
                                                                // branch -> 0x474466
                                                            } else {
                                                              lab_0x47445b_3:
                                                                // 0x47445b
                                                                *v44 = (struct struct_4){
                                                                    .e0 = NULL,
                                                                    .e1 = 0
                                                                };
                                                                // branch -> 0x474466
                                                            }
                                                            // 0x474466
                                                            // PHI copies at the loop end
                                                            v37 = v61;
                                                            v57 = v62;
                                                            // loop 0x473b21 end
                                                            continue;
                                                        }
                                                        // 0x474466
                                                        // PHI copies at the loop end
                                                        v37 = v61;
                                                        v57 = v62;
                                                        // loop 0x473b21 end
                                                        continue;
                                                    }
                                                    // 0x474466
                                                    // PHI copies at the loop end
                                                    v56 += v75;
                                                    v37 = v61;
                                                    v57 = v62;
                                                    // loop 0x473b21 end
                                                    continue;
                                                }
                                              lab_0x474466_5:
                                                // 0x474466
                                                // PHI copies at the loop end
                                                v56 = v69;
                                                v37 = v61;
                                                v57 = v62;
                                                // loop 0x473b21 end
                                                continue;
                                            } else {
                                                // 0x473ec2
                                                if (v53 == 0xf0000) {
                                                    // 0x4741d0
                                                    v45 = (struct struct_4 *)v44->e0;
                                                    v46 = 2;
                                                    g11 = v41;
                                                    g6 = (int32_t)*v28;
                                                    g3 = v24;
                                                    g8 = v22;
                                                    function_4736bc();
                                                    struct struct_4 * v81 = v21;
                                                    int32_t * v82 = v81->e0;
                                                    v12 = (struct struct_4){
                                                        .e0 = NULL,
                                                        .e1 = 0
                                                    };
                                                    v12.e0 = (int32_t *)((int32_t)v82 | v62);
                                                    *v81 = v12;
                                                    v69 = v56;
                                                    // branch -> 0x474466
                                                    goto lab_0x474466_5;
                                                } else {
                                                    int32_t v83 = v53 - 0xb0000; // 0x473ec8
                                                    if (v53 == 0xb0000) {
                                                        // 0x47416a
                                                        v45 = (struct struct_4 *)v44->e0;
                                                        v46 = 2;
                                                        g11 = v41;
                                                        g6 = (int32_t)*v28;
                                                        g3 = v24;
                                                        g8 = v22;
                                                        function_4736bc();
                                                        struct struct_4 * v84 = v21;
                                                        int32_t * v85 = v84->e0;
                                                        v10 = (struct struct_4){
                                                            .e0 = NULL,
                                                            .e1 = 0
                                                        };
                                                        v10.e0 = (int32_t *)((int32_t)v85 | v62);
                                                        *v84 = v10;
                                                        v69 = v56;
                                                        // branch -> 0x474466
                                                        goto lab_0x474466_5;
                                                    } else {
                                                        int32_t v86 = v53 - 0xc0000; // 0x473ed3
                                                        if (v83 == 0x10000) {
                                                            // 0x473fd4
                                                            v45 = (struct struct_4 *)v44->e0;
                                                            v46 = 1;
                                                            g6 = (int32_t)*v28;
                                                            g3 = v24;
                                                            g8 = v22;
                                                            function_4736bc();
                                                            int32_t v87 = g3; // 0x473ff6
                                                            struct struct_4 * v88 = v21;
                                                            int32_t * v89 = v88->e0;
                                                            v4 = (struct struct_4){
                                                                .e0 = NULL,
                                                                .e1 = 0
                                                            };
                                                            v4.e0 = (int32_t *)((int32_t)v89 | v62);
                                                            *v88 = v4;
                                                            v47 = v39;
                                                            g11 = v40;
                                                            g8 = (int32_t)v88->e0;
                                                            g3 = v33;
                                                            function_473900();
                                                            v69 = v87 + v56;
                                                            // branch -> 0x474466
                                                            goto lab_0x474466_5;
                                                        } else {
                                                            int32_t v90 = v53 - 0xd0000; // 0x473ede
                                                            if (v86 == 0x10000) {
                                                                // 0x474027
                                                                v45 = (struct struct_4 *)v44->e0;
                                                                v46 = 1;
                                                                g6 = (int32_t)*v28;
                                                                g3 = v24;
                                                                g8 = v22;
                                                                function_4736bc();
                                                                int32_t v91 = g3; // 0x47404b
                                                                struct struct_4 * v92 = v21;
                                                                int32_t * v93 = v92->e0;
                                                                v5 = (struct struct_4){
                                                                    .e0 = NULL,
                                                                    .e1 = 0
                                                                };
                                                                v5.e0 = (int32_t *)((int32_t)v93 | v62);
                                                                *v92 = v5;
                                                                v47 = v39;
                                                                g11 = v40;
                                                                g8 = (int32_t)v92->e0;
                                                                g3 = v33;
                                                                function_473900();
                                                                v69 = v91 + v56;
                                                                // branch -> 0x474466
                                                                goto lab_0x474466_5;
                                                            } else {
                                                                // 0x473ee9
                                                                if (v90 != 0x10000) {
                                                                    goto lab_0x47445b_3;
                                                                }
                                                                // 0x47419d
                                                                v45 = (struct struct_4 *)v44->e0;
                                                                v46 = 2;
                                                                g11 = v41;
                                                                g6 = (int32_t)*v28;
                                                                g3 = v24;
                                                                g8 = v22;
                                                                function_4736bc();
                                                                struct struct_4 * v94 = v21;
                                                                int32_t * v95 = v94->e0;
                                                                v11 = (struct struct_4){
                                                                    .e0 = NULL,
                                                                    .e1 = 0
                                                                };
                                                                v11.e0 = (int32_t *)((int32_t)v95 | v62);
                                                                *v94 = v11;
                                                                v69 = v56;
                                                                // branch -> 0x474466
                                                                goto lab_0x474466_5;
                                                            }
                                                            // 0x474466
                                                            // PHI copies at the loop end
                                                            v56 = v69;
                                                            v37 = v68;
                                                            v57 = v70;
                                                            // loop 0x473b21 end
                                                            continue;
                                                        }
                                                        // 0x474466
                                                        // PHI copies at the loop end
                                                        v56 = v69;
                                                        v37 = v68;
                                                        v57 = v70;
                                                        // loop 0x473b21 end
                                                        continue;
                                                    }
                                                    // 0x474466
                                                    // PHI copies at the loop end
                                                    v56 = v69;
                                                    v37 = v68;
                                                    v57 = v70;
                                                    // loop 0x473b21 end
                                                    continue;
                                                }
                                                // 0x474466
                                                // PHI copies at the loop end
                                                v56 = v69;
                                                v37 = v68;
                                                v57 = v70;
                                                // loop 0x473b21 end
                                                continue;
                                            }
                                          lab_0x474466_10:
                                            // 0x474466
                                            // PHI copies at the loop end
                                            v56 = v69;
                                            v37 = v61;
                                            v57 = v62;
                                            // loop 0x473b21 end
                                            continue;
                                        } else {
                                            // 0x473e46
                                            if (v53 == 0xa0000) {
                                                int32_t * v96 = v44->e0;
                                                v18 = (struct struct_4){
                                                    .e0 = NULL,
                                                    .e1 = 0
                                                };
                                                v18.e0 = (int32_t *)(v62 | (int32_t)v96 | 0x1700);
                                                *v44 = v18;
                                                g8 = v56 + v22;
                                                g3 = (int32_t)*v28;
                                                g6 = v35;
                                                function_473474();
                                                v45 = v42;
                                                g11 = v43;
                                                g8 = (int32_t)v21->e0;
                                                g3 = v33;
                                                function_473900();
                                                v69 = v61 + v56;
                                                // branch -> 0x474466
                                                goto lab_0x474466_10;
                                            } else {
                                                // 0x473e4c
                                                if (v53 > 0x50000) {
                                                    int32_t v97 = v53 - 0x60000; // 0x473e8a
                                                    if (v53 == 0x60000) {
                                                        // 0x474135
                                                        v45 = (struct struct_4 *)v44->e0;
                                                        v46 = 2;
                                                        g11 = v41;
                                                        g6 = (int32_t)*v28;
                                                        g3 = v24;
                                                        g8 = v22;
                                                        function_4736bc();
                                                        struct struct_4 * v98 = v21;
                                                        int32_t * v99 = v98->e0;
                                                        v9 = (struct struct_4){
                                                            .e0 = NULL,
                                                            .e1 = 0
                                                        };
                                                        v9.e0 = (int32_t *)((int32_t)v99 | v62);
                                                        *v98 = v9;
                                                        v69 = v56;
                                                        // branch -> 0x474466
                                                        goto lab_0x474466_10;
                                                    } else {
                                                        int32_t v100 = v53 - 0x70000; // 0x473e95
                                                        if (v97 == 0x10000) {
                                                            int32_t * v101 = v44->e0;
                                                            v16 = (struct struct_4){
                                                                .e0 = NULL,
                                                                .e1 = 0
                                                            };
                                                            v16.e0 = (int32_t *)(v62 | (int32_t)v101 | 512);
                                                            *v44 = v16;
                                                            g8 = v56 + v22;
                                                            g3 = (int32_t)*v28;
                                                            g6 = v61;
                                                            if (v44->e0 == (int32_t *)16) {
                                                                // 0x4742fd
                                                                function_473474();
                                                                // branch -> 0x474315
                                                            } else {
                                                                // 0x4742e3
                                                                unknown_4733e8();
                                                                // branch -> 0x474315
                                                            }
                                                            // 0x474315
                                                            v69 = v61 + v56;
                                                            // branch -> 0x474466
                                                            goto lab_0x474466_10;
                                                        } else {
                                                            int32_t v102 = v53 - 0x80000; // 0x473ea0
                                                            if (v100 == 0x10000) {
                                                                int32_t * v103 = v44->e0;
                                                                v17 = (struct struct_4){
                                                                    .e0 = NULL,
                                                                    .e1 = 0
                                                                };
                                                                v17.e0 = (int32_t *)(v62 | (int32_t)v103 | 0x1300);
                                                                *v44 = v17;
                                                                g8 = v56 + v22;
                                                                g3 = (int32_t)*v28;
                                                                g6 = v61;
                                                                function_473474();
                                                                v69 = v61 + v56;
                                                                // branch -> 0x474466
                                                                goto lab_0x474466_10;
                                                            } else {
                                                                // 0x473eab
                                                                if (v102 != 0x10000) {
                                                                    goto lab_0x47445b_3;
                                                                }
                                                                // 0x473f7f
                                                                v45 = (struct struct_4 *)v44->e0;
                                                                v46 = 1;
                                                                g6 = (int32_t)*v28;
                                                                g3 = v24;
                                                                g8 = v22;
                                                                function_4736bc();
                                                                int32_t v104 = g3; // 0x473fa3
                                                                struct struct_4 * v105 = v21;
                                                                int32_t * v106 = v105->e0;
                                                                v3 = (struct struct_4){
                                                                    .e0 = NULL,
                                                                    .e1 = 0
                                                                };
                                                                v3.e0 = (int32_t *)((int32_t)v106 | v62);
                                                                *v105 = v3;
                                                                v47 = v39;
                                                                g11 = v40;
                                                                g8 = (int32_t)v105->e0;
                                                                g3 = v33;
                                                                function_473900();
                                                                v69 = v104 + v56;
                                                                // branch -> 0x474466
                                                                goto lab_0x474466_10;
                                                            }
                                                            // 0x474466
                                                            // PHI copies at the loop end
                                                            v56 = v69;
                                                            v37 = v68;
                                                            v57 = v70;
                                                            // loop 0x473b21 end
                                                            continue;
                                                        }
                                                        // 0x474466
                                                        // PHI copies at the loop end
                                                        v56 = v69;
                                                        v37 = v68;
                                                        v57 = v70;
                                                        // loop 0x473b21 end
                                                        continue;
                                                    }
                                                  lab_0x474466_15:
                                                    // 0x474466
                                                    // PHI copies at the loop end
                                                    v56 = v69;
                                                    v37 = v61;
                                                    v57 = v62;
                                                    // loop 0x473b21 end
                                                    continue;
                                                } else {
                                                    // 0x473e53
                                                    if (v53 == 0x50000) {
                                                        int32_t * v107 = v44->e0;
                                                        v15 = (struct struct_4){
                                                            .e0 = NULL,
                                                            .e1 = 0
                                                        };
                                                        v15.e0 = (int32_t *)(v62 | (int32_t)v107 | 256);
                                                        *v44 = v15;
                                                        *v28 = (int32_t *)80;
                                                        v69 = v56;
                                                        // branch -> 0x474466
                                                        goto lab_0x474466_15;
                                                    } else {
                                                        int32_t v108 = v53 - 0x10000; // 0x473e59
                                                        if (v53 == 0x10000) {
                                                            int32_t * v109 = v44->e0;
                                                            v14 = (struct struct_4){
                                                                .e0 = NULL,
                                                                .e1 = 0
                                                            };
                                                            v14.e0 = (int32_t *)(v62 | (int32_t)v109 | 1024);
                                                            *v44 = v14;
                                                            g8 = v56 + v22;
                                                            g3 = (int32_t)*v28;
                                                            g6 = v35;
                                                            function_473474();
                                                            v45 = v42;
                                                            g11 = v43;
                                                            g8 = (int32_t)v21->e0;
                                                            g3 = v33;
                                                            function_473900();
                                                            v69 = v61 + v56;
                                                            // branch -> 0x474466
                                                            goto lab_0x474466_15;
                                                        } else {
                                                            int32_t v110 = v53 - 0x20000; // 0x473e64
                                                            if (v108 == 0x10000) {
                                                                // 0x4740cf
                                                                v45 = (struct struct_4 *)v44->e0;
                                                                v46 = 2;
                                                                g11 = v41;
                                                                g6 = (int32_t)*v28;
                                                                g3 = v24;
                                                                g8 = v22;
                                                                function_4736bc();
                                                                struct struct_4 * v111 = v21;
                                                                int32_t * v112 = v111->e0;
                                                                v7 = (struct struct_4){
                                                                    .e0 = NULL,
                                                                    .e1 = 0
                                                                };
                                                                v7.e0 = (int32_t *)((int32_t)v112 | v62);
                                                                *v111 = v7;
                                                                v69 = v56;
                                                                // branch -> 0x474466
                                                                goto lab_0x474466_15;
                                                            } else {
                                                                int32_t v113 = v53 - 0x30000; // 0x473e6f
                                                                if (v110 == 0x10000) {
                                                                    // 0x474102
                                                                    v45 = (struct struct_4 *)v44->e0;
                                                                    v46 = 2;
                                                                    g11 = v41;
                                                                    g6 = (int32_t)*v28;
                                                                    g3 = v24;
                                                                    g8 = v22;
                                                                    function_4736bc();
                                                                    struct struct_4 * v114 = v21;
                                                                    int32_t * v115 = v114->e0;
                                                                    v8 = (struct struct_4){
                                                                        .e0 = NULL,
                                                                        .e1 = 0
                                                                    };
                                                                    v8.e0 = (int32_t *)((int32_t)v115 | v62);
                                                                    *v114 = v8;
                                                                    v69 = v56;
                                                                    // branch -> 0x474466
                                                                    goto lab_0x474466_15;
                                                                } else {
                                                                    // 0x473e7a
                                                                    if (v113 != 0x10000) {
                                                                        goto lab_0x47445b_3;
                                                                    }
                                                                    // 0x473f2a
                                                                    v45 = (struct struct_4 *)v44->e0;
                                                                    v46 = 1;
                                                                    g6 = (int32_t)*v28;
                                                                    g3 = v24;
                                                                    g8 = v22;
                                                                    function_4736bc();
                                                                    int32_t v116 = g3; // 0x473f4e
                                                                    struct struct_4 * v117 = v21;
                                                                    int32_t * v118 = v117->e0;
                                                                    v2 = (struct struct_4){
                                                                        .e0 = NULL,
                                                                        .e1 = 0
                                                                    };
                                                                    v2.e0 = (int32_t *)((int32_t)v118 | v62);
                                                                    *v117 = v2;
                                                                    v47 = v39;
                                                                    g11 = v40;
                                                                    g8 = (int32_t)v117->e0;
                                                                    g3 = v33;
                                                                    function_473900();
                                                                    v69 = v116 + v56;
                                                                    // branch -> 0x474466
                                                                    goto lab_0x474466_15;
                                                                }
                                                                // 0x474466
                                                                // PHI copies at the loop end
                                                                v56 = v69;
                                                                v37 = v68;
                                                                v57 = v70;
                                                                // loop 0x473b21 end
                                                                continue;
                                                            }
                                                            // 0x474466
                                                            // PHI copies at the loop end
                                                            v56 = v69;
                                                            v37 = v68;
                                                            v57 = v70;
                                                            // loop 0x473b21 end
                                                            continue;
                                                        }
                                                        // 0x474466
                                                        // PHI copies at the loop end
                                                        v56 = v69;
                                                        v37 = v68;
                                                        v57 = v70;
                                                        // loop 0x473b21 end
                                                        continue;
                                                    }
                                                    // 0x474466
                                                    // PHI copies at the loop end
                                                    v56 = v69;
                                                    v37 = v68;
                                                    v57 = v70;
                                                    // loop 0x473b21 end
                                                    continue;
                                                }
                                                // 0x474466
                                                // PHI copies at the loop end
                                                v56 = v69;
                                                v37 = v68;
                                                v57 = v70;
                                                // loop 0x473b21 end
                                                continue;
                                            }
                                            // 0x474466
                                            // PHI copies at the loop end
                                            v56 = v69;
                                            v37 = v68;
                                            v57 = v70;
                                            // loop 0x473b21 end
                                            continue;
                                        }
                                      lab_0x474466_16:
                                        // 0x474466
                                        // PHI copies at the loop end
                                        // loop 0x473b21 end
                                        continue;
                                    } else {
                                        v61 = 2;
                                        v62 = 0x200000;
                                    }
                                }
                                // 0x473e19
                                if (v61 == 1) {
                                    goto lab_0x473e3c_7;
                                }
                                goto lab_0x473e28_7;
                            } else {
                                v61 = 4;
                                v62 = 0x700000;
                            }
                        }
                      lab_0x473e19_5:
                        // 0x473e19
                        if (v61 == 1) {
                            goto lab_0x473e3c_7;
                        }
                        goto lab_0x473e28_7;
                    } else {
                        // 0x473b98
                        if (v54 == 0xb000000) {
                            v61 = 16;
                            v62 = 0x500000;
                            goto lab_0x473e19_5;
                        }
                        // 0x473b9e
                        if (v54 > 0x5000000) {
                            int32_t v119 = v54 - 0x6000000; // 0x473bdc
                            if (v54 == 0x6000000) {
                                // 0x473d0d
                                v61 = v59 == 4 ? 6 : 4;
                                v62 = v59 == 4 ? 0x400000 : 0x300000;
                                // branch -> 0x473e19
                                goto lab_0x473e19_5;
                            } else {
                                int32_t v120 = v54 - 0x8000000; // 0x473be7
                                if (v119 == 0x2000000) {
                                    v61 = 16;
                                    v62 = 0x500000;
                                    goto lab_0x473e19_5;
                                }
                                int32_t v121 = v54 - 0x9000000; // 0x473bf2
                                if (v120 == 0x1000000) {
                                    v61 = 8;
                                    v62 = 0x400000;
                                    goto lab_0x473e19_5;
                                }
                                // 0x473bfd
                                v61 = v121 == 0x1000000 ? 6 : v37;
                                v62 = v121 == 0x1000000 ? 0x400000 : v57;
                                // branch -> 0x473e19
                                goto lab_0x473e19_5;
                            }
                          lab_0x473e19_10:
                            // 0x473e19
                            if (v61 == 1) {
                                goto lab_0x473e3c_7;
                            }
                            goto lab_0x473e28_7;
                        } else {
                            // 0x473ba5
                            if (v54 == 0x5000000) {
                                v61 = 16;
                                v62 = 0x500000;
                                goto lab_0x473e19_10;
                            }
                            int32_t v122 = v54 - 0x1000000; // 0x473bab
                            if (v54 == 0x1000000) {
                                // 0x473ca5
                                v61 = v36;
                                v62 = v38;
                                // branch -> 0x473e19
                                goto lab_0x473e19_10;
                            } else {
                                int32_t v123 = v54 - 0x2000000; // 0x473bb6
                                if (v122 == 0x1000000) {
                                    v61 = 1;
                                    v62 = 0x100000;
                                    goto lab_0x473e19_10;
                                }
                                int32_t v124 = v54 - 0x3000000; // 0x473bc1
                                if (v123 == 0x1000000) {
                                    // 0x473c71
                                    v61 = v59 == 4 ? 2 : 1;
                                    v62 = v59 == 4 ? 0x200000 : 0x100000;
                                    // branch -> 0x473e19
                                    goto lab_0x473e19_10;
                                } else {
                                    // 0x473bcc
                                    v61 = v124 == 0x1000000 ? 4 : v37;
                                    v62 = v124 == 0x1000000 ? 0x300000 : v57;
                                    // branch -> 0x473e19
                                    goto lab_0x473e19_10;
                                }
                                // 0x473e19
                                if (v61 == 1) {
                                    goto lab_0x473e3c_7;
                                }
                                goto lab_0x473e28_7;
                            }
                            // 0x473e19
                            if (v61 == 1) {
                                goto lab_0x473e3c_7;
                            }
                            goto lab_0x473e28_7;
                        }
                        // 0x473e19
                        if (v61 == 1) {
                            goto lab_0x473e3c_7;
                        }
                        goto lab_0x473e28_7;
                    }
                    // 0x473e19
                    if (v61 == 1) {
                        goto lab_0x473e3c_7;
                    }
                    goto lab_0x473e28_7;
                }
            }
          lab_0x473b79:
            // 0x473b79
            *v28 = *v50;
            // branch -> 0x474466
            goto lab_0x474466_16;
        }
        // 0x474473
        return;
    }
    // 0x473ac0
    v55 = *(char *)(v24 + 34);
    v59 = v55;
    if (v48 != 2) {
        // 0x473ad0
        v59 = v55 == 4 ? 2 : 4;
        // branch -> 0x473ae6
    }
    // 0x473ae6
    if (v49 != 16) {
        // 0x473aec
        *v32 = *v32 | 0x400000;
        // branch -> 0x473af6
    }
    // 0x473af6
    if (v49 != 32) {
        // 0x473afc
        *v32 = *v32 | 0x200000;
        // branch -> 0x473b06
    }
    // 0x473b06
    if (v49 == -128) {
        // 0x473b0c
        // branch -> 0x473b12
    }
    // 0x473b12
    *v32 = *v32 | 0x100000;
    v36 = v59 == 4 ? 4 : 2;
    v38 = v59 == 4 ? 0x300000 : 0x200000;
    v41 = &v46;
    v39 = (int32_t *)v29;
    v40 = (int32_t)&v47;
    v42 = (struct struct_4 *)v29;
    v43 = (int32_t)&v45;
    v56 = 0;
    v37 = 0;
    v57 = 0;
    // branch -> 0x473b21
    for (uint32_t i = 0; i < 3; i++) {
        // 0x473b21
        v51 = v26;
        v53 = v51[i] & 0xff0000;
        v54 = v51[i] & -0x1000000;
        v58 = v51[i];
        v44 = v21;
        *v44 = (struct struct_4){
            .e0 = NULL,
            .e1 = 0
        };
        v52 = v44->e0;
        v1 = (struct struct_4){
            .e0 = NULL,
            .e1 = 0
        };
        v1.e0 = (int32_t *)((int32_t)v52 | v58 & 0xffff);
        *v44 = v1;
        v50 = v25;
        if (*v50 == NULL) {
            goto lab_0x473b6f;
        }
        goto lab_0x473b79;
    }
}

// Address range: 0x474484 - 0x474c5f
void function_474484(void) {
    // 0x474484
    if (*(int32_t *)(g3 + 75) > g8) {
        // 0x4744a5
        // branch -> 0x4744b8
    }
}

// Address range: 0x474c60 - 0x475227
void function_474c60(void) {
    // 0x474c60
    *(int32_t *)(g3 + 75) = 86;
    Sysutils__AllocMem(g6);
    *(int32_t *)(g3 + 71) = 1720;
    Sysutils__AllocMem(g6);
    *(int32_t *)(g3 + 79) = 840;
    unknown_474bfc();
    unknown_474bfc();
    unknown_474bfc();
    unknown_474bfc();
    unknown_474bfc();
    unknown_474bfc();
    unknown_474bfc();
    unknown_474bfc();
    unknown_474bfc();
    unknown_474bfc();
    int32_t v1 = 1; // 0x474dc8
    // branch -> 0x474c98
    while (v1 != 8) {
        // 0x474c98
        unknown_474bfc();
        unknown_474bfc();
        unknown_474bfc();
        unknown_474bfc();
        unknown_474bfc();
        unknown_474bfc();
        unknown_474bfc();
        unknown_474bfc();
        unknown_474bfc();
        unknown_474bfc();
        v1++;
        // continue -> 0x474c98
    }
    // 0x474dd5
    unknown_474bfc();
    unknown_474bfc();
    unknown_474bfc();
    unknown_474bfc();
    unknown_474bfc();
    unknown_474bfc();
}

// Address range: 0x475228 - 0x475476
void function_475228(void) {
    char * v1 = (char *)g6; // bp-16
    g8 = 56;
    function_407938();
    int32_t v2;
    int32_t v3 = &v2; // 0x4752e4
    int32_t v4 = v3 + 1; // ebp
    *(int32_t *)(v3 - 283) = v3 - 67;
    *(char *)(v4 - 280) = 6;
    *(int32_t *)(v4 - 276) = v4 - 140;
    *(char *)(v4 - 272) = 6;
    v2 = v4 - 284;
    int32_t v5 = 1; // bp-8
    Sysutils__StrLFmt("%-9s%s", 102, (char *)&v5, &v2, 0);
    int32_t v6 = v4; // 0x47537e
    char * v7 = "%-9s%s"; // 0x4753ad1
    if (*(char *)(v4 - 204) != 0) {
        // 0x47532d
        *(int32_t *)(v4 - 284) = *(int32_t *)(v4 - 20);
        *(char *)(v4 - 280) = 6;
        *(int32_t *)(v4 - 276) = v4 - 204;
        *(char *)(v4 - 272) = 6;
        v1 = (char *)1;
        int32_t v8 = *(int32_t *)(v4 - 20); // 0x475359
        Sysutils__StrLen("%-9s%s");
        Sysutils__StrLFmt("%s, %s", 102 - v8, v1, (int32_t *)(v4 - 284), v5);
        v6 = v4;
        v7 = "%s, %s";
        // branch -> 0x475375
    }
    int32_t v9 = v6; // 0x4753c6
    if (*(char *)(v6 - 268) != 0) {
        // 0x47537e
        *(int32_t *)(v6 - 284) = *(int32_t *)(v6 - 20);
        *(char *)(v4 - 280) = 6;
        *(int32_t *)(v4 - 276) = v4 - 268;
        *(char *)(v4 - 272) = 6;
        int32_t v10 = *(int32_t *)(v4 - 20); // 0x4753aa
        Sysutils__StrLen(v7);
        Sysutils__StrLFmt("%s, %s", 102 - v10, (char *)1, (int32_t *)(v4 - 284), (int32_t)v1);
        v9 = v4;
        // branch -> 0x4753c6
    }
    int32_t v11 = *(int32_t *)(v9 - 4); // 0x4753c6
    int32_t v12 = *(int32_t *)(v9 - 12); // 0x4753c9
    memcpy((char *)(v12 + 142), (char *)(v11 + 99), 6);
    int32_t v13 = *(int32_t *)(v4 - 48); // 0x4753df
    *(int32_t *)(*(int32_t *)(v4 - 12) + 110) = v13;
    int32_t v14 = *(int32_t *)(v4 - 44); // 0x4753e8
    *(int32_t *)(*(int32_t *)(v4 - 12) + 114) = v14;
    int32_t v15 = *(int32_t *)(v4 - 60); // 0x4753f1
    *(int32_t *)(*(int32_t *)(v4 - 12) + 118) = v15;
    int32_t v16 = *(int32_t *)(v4 - 40); // 0x4753fa
    *(int32_t *)(*(int32_t *)(v4 - 12) + 122) = v16;
    int32_t v17 = *(int32_t *)(v4 - 56); // 0x475403
    *(int32_t *)(*(int32_t *)(v4 - 12) + 126) = v17;
    int32_t v18 = *(int32_t *)(v4 - 36); // 0x47540c
    *(int32_t *)(*(int32_t *)(v4 - 12) + 130) = v18;
    int32_t v19 = *(int32_t *)(v4 - 52); // 0x475418
    *(int32_t *)(*(int32_t *)(v4 - 12) + 134) = v19;
    int32_t * v20 = (int32_t *)(v4 - 32); // 0x475421_0
    int32_t v21 = v4; // 0x475436
    if (*v20 != 0) {
        // 0x475427
        *(int32_t *)(*(int32_t *)(v4 - 12) + 118) = *v20;
        v21 = v4;
        // branch -> 0x475430
    }
    int32_t * v22 = (int32_t *)(v21 - 28); // 0x475430_0
    int32_t v23 = v21; // 0x475445
    if (*v22 != 0) {
        // 0x475436
        *(int32_t *)(*(int32_t *)(v21 - 12) + 126) = *v22;
        v23 = v4;
        // branch -> 0x47543f
    }
    int32_t * v24 = (int32_t *)(v23 - 24); // 0x47543f_0
    int32_t v25; // 0x475451
    if (*v24 != 0) {
        // 0x475445
        *(int32_t *)(*(int32_t *)(v23 - 12) + 134) = *v24;
        v25 = v4;
        // branch -> 0x475451
    } else {
        v25 = v23;
    }
    int32_t v26 = *(int32_t *)(v25 - 16); // 0x475454
    *(int32_t *)(*(int32_t *)(v25 - 12) + 138) = v26;
    g3 = *(int32_t *)(v4 - 16);
    g11 = v4 + 8;
}

// Address range: 0x475478 - 0x47550b
void function_475478(void) {
    int32_t v1 = 0; // bp-24
    int32_t v2 = 0; // 0x475485
    // branch -> 0x475483
    while (true) {
        int32_t lpName = *(int32_t *)(12 * v2 + 0x4bd084); // 0x47548b
        int32_t * hResInfo2 = FindResourceA((int32_t *)g61, (char *)lpName, (char *)10); // 0x475499
        int32_t hResInfo = (int32_t)hResInfo2; // 0x4754a1
        int32_t v3; // 0x4754fb
        if (hResInfo2 != NULL) {
            int32_t v4 = SizeofResource((int32_t *)g61, hResInfo); // 0x4754b1
            int32_t * hResData = LoadResource((int32_t *)g61, hResInfo2); // 0x4754c3
            if (hResData != NULL) {
                char * v5 = LockResource(hResData); // 0x4754d5
                int32_t v6 = (int32_t)v5; // 0x4754dd
                if (v5 != NULL) {
                    // 0x4754e3
                    g3 = g31[v1];
                    g6 = v4;
                    g8 = v6;
                    function_40791c();
                    // branch -> 0x4754fb
                }
                // 0x4754fb
                v3 = v1 + 1;
                v1 = v3;
                if (v3 == 41) {
                    // break -> 0x475508
                    break;
                }
                v2 = v3;
                // continue -> 0x475483
                continue;
            }
            // 0x4754fb
            v3 = v1 + 1;
            v1 = v3;
            if (v3 == 41) {
                // break -> 0x475508
                break;
            }
            v2 = v3;
            // continue -> 0x475483
            continue;
        }
        // 0x4754fb
        v3 = v1 + 1;
        v1 = v3;
        if (v3 == 41) {
            // break -> 0x475508
            break;
        }
        v2 = v3;
        // continue -> 0x475483
    }
}

// Address range: 0x47550c - 0x475527
void function_47550c(void) {
    // 0x47550c
    return;
}

// Address range: 0x475528 - 0x475547
void function_475528(void) {
    // 0x475528
    return;
}

// Address range: 0x475548 - 0x475567
void function_475548(void) {
    // 0x475548
    return;
}

// Address range: 0x475568 - 0x4757bf
void function_475568(void) {
    // 0x475568
    return;
}

// Address range: 0x4757c0 - 0x4757f6
void function_4757c0(void) {
    int32_t v1 = *(int32_t *)(*(int32_t *)(g4 - 4) + 48); // 0x4757c3
    *(char *)*(int32_t *)(g4 - 8) = *(char *)(4 * g3 + v1);
    int32_t * v2 = (int32_t *)(g4 - 8); // 0x4757ce_0
    *v2 = *v2 + 1;
    function_4757f7();
}

// Address range: 0x4757f7 - 0x475a2f
void function_4757f7(void) {
    // 0x4757f7
    *(char *)*(int32_t *)(g4 - 8) = -93;
    int32_t * v1 = (int32_t *)(g4 - 8); // 0x4757fd_0
    *v1 = *v1 + 1;
    int32_t v2 = *(int32_t *)(*(int32_t *)(g4 - 4) + 48); // 0x475809
    int32_t v3 = *(int32_t *)(12 * *(int32_t *)(g4 - 12) + 8 + v2); // 0x47580c
    *(int32_t *)*(int32_t *)(g4 - 8) = v3;
    int32_t * v4 = (int32_t *)(g4 - 8); // 0x475815_0
    *v4 = *v4 + 4;
    int32_t * v5 = (int32_t *)(g4 - 12); // 0x475819_0
    *v5 = *v5 + 1;
    int32_t * v6 = (int32_t *)(g4 - 24); // 0x47581c_0
    *v6 = *v6 - 1;
    *(char *)*(int32_t *)(g4 - 8) = -95;
    int32_t * v7 = (int32_t *)(g4 - 8); // 0x47582b_0
    *v7 = *v7 + 1;
    *(int32_t *)*(int32_t *)(g4 - 8) = 0x4d5b80;
    int32_t * v8 = (int32_t *)(g4 - 8); // 0x475837_0
    *v8 = *v8 + 4;
    *(int16_t *)*(int32_t *)(g4 - 8) = 3465;
    int32_t * v9 = (int32_t *)(g4 - 8); // 0x475843_0
    *v9 = *v9 + 2;
    *(int32_t *)*(int32_t *)(g4 - 8) = 0x4d5b7c;
    int32_t * v10 = (int32_t *)(g4 - 8); // 0x475850_0
    *v10 = *v10 + 4;
    *(int16_t *)*(int32_t *)(g4 - 8) = 0x2589;
    int32_t * v11 = (int32_t *)(g4 - 8); // 0x47585c_0
    *v11 = *v11 + 2;
    *(int32_t *)*(int32_t *)(g4 - 8) = 0x4d5b88;
    int32_t * v12 = (int32_t *)(g4 - 8); // 0x475869_0
    *v12 = *v12 + 4;
    *(int16_t *)*(int32_t *)(g4 - 8) = 0x2d89;
    int32_t * v13 = (int32_t *)(g4 - 8); // 0x475875_0
    *v13 = *v13 + 2;
    *(int32_t *)*(int32_t *)(g4 - 8) = 0x4d5b8c;
    int32_t * v14 = (int32_t *)(g4 - 8); // 0x475882_0
    *v14 = *v14 + 4;
    *(int16_t *)*(int32_t *)(g4 - 8) = 0x3589;
    int32_t * v15 = (int32_t *)(g4 - 8); // 0x47588e_0
    *v15 = *v15 + 2;
    *(int32_t *)*(int32_t *)(g4 - 8) = 0x4d5b90;
    int32_t * v16 = (int32_t *)(g4 - 8); // 0x47589b_0
    *v16 = *v16 + 4;
    *(int16_t *)*(int32_t *)(g4 - 8) = 0x3d89;
    int32_t * v17 = (int32_t *)(g4 - 8); // 0x4758a7_0
    *v17 = *v17 + 2;
    *(int32_t *)*(int32_t *)(g4 - 8) = 0x4d5b94;
    int32_t * v18 = (int32_t *)(g4 - 8); // 0x4758b4_0
    *v18 = *v18 + 4;
    *(int16_t *)*(int32_t *)(g4 - 8) = 0x1d89;
    int32_t * v19 = (int32_t *)(g4 - 8); // 0x4758c0_0
    *v19 = *v19 + 2;
    *(int32_t *)*(int32_t *)(g4 - 8) = 0x4d5b98;
    int32_t * v20 = (int32_t *)(g4 - 8); // 0x4758cd_0
    *v20 = *v20 + 4;
    *(int16_t *)*(int32_t *)(g4 - 8) = 0x1589;
    int32_t * v21 = (int32_t *)(g4 - 8); // 0x4758d9_0
    *v21 = *v21 + 2;
    *(int32_t *)*(int32_t *)(g4 - 8) = 0x4d5b84;
    int32_t * v22 = (int32_t *)(g4 - 8); // 0x4758e6_0
    *v22 = *v22 + 4;
    if (*(char *)(*(int32_t *)(g4 - 4) + 40) != 0) {
        // 0x4758f3
        *(char *)*(int32_t *)(g4 - 8) = 96;
        int32_t * v23 = (int32_t *)(g4 - 8); // 0x4758f9_0
        *v23 = *v23 + 1;
        // branch -> 0x4758fc
    }
    // 0x4758fc
    *(char *)*(int32_t *)(g4 - 8) = 104;
    int32_t * v24 = (int32_t *)(g4 - 8); // 0x475902_0
    *v24 = *v24 + 1;
    int32_t v25 = *(int32_t *)(*(int32_t *)(g4 - 4) + 44); // 0x47590b
    *(int32_t *)*(int32_t *)(g4 - 8) = v25;
    int32_t * v26 = (int32_t *)(g4 - 8); // 0x475910_0
    *v26 = *v26 + 4;
    *(int16_t *)*(int32_t *)(g4 - 8) = 0x15ff;
    int32_t * v27 = (int32_t *)(g4 - 8); // 0x47591c_0
    *v27 = *v27 + 2;
    *(int32_t *)*(int32_t *)(g4 - 8) = 0x4d5b78;
    int32_t * v28 = (int32_t *)(g4 - 8); // 0x47592a_0
    *v28 = *v28 + 4;
    int32_t v29 = g4; // 0x475949
    if (*(char *)(*(int32_t *)(g4 - 4) + 40) != 0) {
        // 0x475937
        *(char *)*(int32_t *)(g4 - 8) = 97;
        int32_t * v30 = (int32_t *)(g4 - 8); // 0x47593d_0
        *v30 = *v30 + 1;
        v29 = g4;
        // branch -> 0x475940
    }
    // 0x475940
    if (*(char *)(*(int32_t *)(v29 - 4) + 60) != 0) {
        // 0x475949
        *(char *)*(int32_t *)(v29 - 8) = -117;
        int32_t * v31 = (int32_t *)(g4 - 8); // 0x47594f_0
        *v31 = *v31 + 1;
        *(int32_t *)(*(int32_t *)(g4 - 4) + 64) = *(int32_t *)(g4 - 8);
        *(char *)*(int32_t *)(g4 - 8) = 5;
        int32_t * v32 = (int32_t *)(g4 - 8); // 0x475961_0
        *v32 = *v32 + 1;
        *(int32_t *)*(int32_t *)(g4 - 8) = 0x4d5b9c;
        int32_t * v33 = (int32_t *)(g4 - 8); // 0x47596d_0
        *v33 = *v33 + 4;
        // branch -> 0x475971
    }
    // 0x475971
    Windows__FillMemory((char *)(g6 & -256 | 144), 5, 0);
    *(int32_t *)(*(int32_t *)(g4 - 4) + 32) = *(int32_t *)(g4 - 8);
    int32_t * v34 = (int32_t *)(g4 - 8); // 0x475989_0
    *v34 = *v34 + 5;
    int32_t * v35 = (int32_t *)(g4 - 4); // 0x47598d_0
    int32_t * v36; // 0x475a02_0
    int32_t * v37; // 0x475a0e_0
    int32_t * v38; // 0x475a15_0
    int32_t v39; // 0x475a05
    int32_t v40; // 0x475a12
    int32_t v41; // 0x475a18
    if (*(char *)(*v35 + 42) == 0) {
        // 0x475996
        if (*(char *)(*v35 + 20) == 0) {
            // 0x47599f
            g6 = *(int32_t *)(*v35 + 8);
            g8 = *(int32_t *)(*v35 + 4);
            g3 = *(int32_t *)(g4 - 8);
            function_407924();
            int32_t * v42 = (int32_t *)(g4 - 4); // 0x4759b3_0
            int32_t * v43; // 0x4759f9_0
            int32_t v44; // 0x4759f9
            if (*(char *)*(int32_t *)(*v42 + 4) != -24) {
                // 0x4759be
                if (*(char *)*(int32_t *)(*v42 + 4) != -23) {
                    v44 = g4;
                    // 0x4759f3
                    v43 = (int32_t *)(v44 - 8);
                    *v43 = *v43 + *(int32_t *)(*(int32_t *)(v44 - 4) + 8);
                    // branch -> 0x4759fc
                    // 0x4759fc
                    *(char *)*(int32_t *)(g4 - 8) = -23;
                    v36 = (int32_t *)(g4 - 8);
                    *v36 = *v36 + 1;
                    v39 = g4;
                    *(int32_t *)(*(int32_t *)(v39 - 4) + 28) = *(int32_t *)(v39 - 8);
                    v37 = (int32_t *)(g4 - 8);
                    *v37 = *v37 + 4;
                    v40 = g4;
                    v38 = (int32_t *)(v40 - 4);
                    v41 = *(int32_t *)(*v38 + 12);
                    *(int32_t *)(*v38 + 16) = *(int32_t *)(v40 - 8) - v41;
                    g72 = *(int32_t *)(g4 - 8);
                    return;
                }
            }
            // 0x4759c9
            *(int32_t *)(g4 - 16) = *(int32_t *)(*(int32_t *)(*v42 + 4) + 1);
            int32_t v45 = *(int32_t *)(*(int32_t *)(g4 - 4) + 4); // 0x4759db
            int32_t v46 = *(int32_t *)(g4 - 8); // 0x4759e1
            *(int32_t *)(g4 - 20) = *(int32_t *)(g4 - 16) + 5 + v45 - v46 - 5;
            *(int32_t *)(*(int32_t *)(g4 - 8) + 1) = *(int32_t *)(g4 - 20);
            v44 = g4;
            // branch -> 0x4759f3
            // 0x4759f3
            v43 = (int32_t *)(v44 - 8);
            *v43 = *v43 + *(int32_t *)(*(int32_t *)(v44 - 4) + 8);
            // branch -> 0x4759fc
        }
    }
    // 0x4759fc
    *(char *)*(int32_t *)(g4 - 8) = -23;
    v36 = (int32_t *)(g4 - 8);
    *v36 = *v36 + 1;
    v39 = g4;
    *(int32_t *)(*(int32_t *)(v39 - 4) + 28) = *(int32_t *)(v39 - 8);
    v37 = (int32_t *)(g4 - 8);
    *v37 = *v37 + 4;
    v40 = g4;
    v38 = (int32_t *)(v40 - 4);
    v41 = *(int32_t *)(*v38 + 12);
    *(int32_t *)(*v38 + 16) = *(int32_t *)(v40 - 8) - v41;
    g72 = *(int32_t *)(g4 - 8);
}

// Address range: 0x475a30 - 0x475a7f
void function_475a30(void) {
    // 0x475a30
    unknown_475698();
    int32_t * v1 = (int32_t *)(g3 + 4); // 0x475a44_0
    int32_t v2 = *v1; // 0x475a44
    int32_t v3 = *(int32_t *)(g3 + 8); // 0x475a4f
    Windows__FillMemory((char *)(g6 & -256 | 144), v3, (char)v2);
    *(char *)v2 = -23;
    *(int32_t *)(v2 + 1) = *(int32_t *)(g3 + 12) - *v1 - 5;
    g6 = g3;
}

// Address range: 0x475a80 - 0x475aab
void function_475a80(void) {
    int32_t v1 = *(int32_t *)(g3 + 64); // 0x475a9a
    *(char *)v1 = (char)(8 * (g3 & 0x1fffff00 | g8 & 255) | 5);
    *(int32_t *)(g3 + 56) = g6;
}

// Address range: 0x475aac - 0x475b0f
int32_t function_475aac(char * a1, char * a2) {
    // 0x475aac
    if (g8 < 1) {
        uint32_t v1 = *(int32_t *)(g3 + 8) + *(int32_t *)(g3 + 4); // 0x475adf
        int32_t * v2 = (int32_t *)(g3 + 28); // 0x475ae5_0
        uint32_t v3 = *v2 + 4; // 0x475ae8
        g1 = v1 < v3;
        *(int32_t *)*v2 = v1 - v3;
        // branch -> 0x475af5
    } else {
        int32_t * v4 = (int32_t *)(g3 + 28); // 0x475ac1_0
        uint32_t v5 = *v4 + 4; // 0x475ac4
        g1 = g8 < v5;
        *(int32_t *)*v4 = g8 - v5;
        // branch -> 0x475af5
    }
    int32_t * v6 = (int32_t *)(g3 + 32); // 0x475af8_0
    *(char *)*v6 = -112;
    int32_t v7 = *v6; // 0x475b01
    g2 = (v7 & 15) > 14;
    int32_t result = v7 + 1; // 0x475b04
    g187 = result == 0;
    g9 = llvm_ctpop_i32(result) % 2 == 1;
    *(int32_t *)result = -0x6f6f6f70;
    g6 = g3;
    int32_t v8;
    g4 = v8;
    return result;
}

// Address range: 0x475b10 - 0x475b67
void function_475b10(void) {
    int32_t * v1 = (int32_t *)(g3 + 32); // 0x475b1f_0
    *(char *)*v1 = -23;
    if ((int32_t *)g8 < (int32_t *)1) {
        int32_t v2 = *(int32_t *)(g3 + 8); // 0x475b4d
        int32_t v3 = *v1; // 0x475b5e
        *(int32_t *)(v3 + 1) = v2 + *(int32_t *)(g3 + 4) - (*v1 + 5);
        // branch -> 0x475b64
    } else {
        // 0x475b2b
        *(int32_t *)(*v1 + 1) = g8 - (*v1 + 5);
        // branch -> 0x475b64
    }
}

// Address range: 0x475b68 - 0x475d5b
void function_475b68(void) {
    int32_t v1 = g6; // 0x475b6e
    int32_t v2 = g8; // 0x475b71
    int32_t v3 = g70; // 0x475b77
    g70 = v3 + 1;
    int32_t * v4;
    System__DynArraySetLength((char *)1, (char *)124, v3 + 2, v4);
    g8 = 1;
    function_403c70();
    g6 = g70;
    *(int32_t *)(4 * g70 + g71) = 56;
    int32_t v5 = *(int32_t *)(4 * g70 + g71); // 0x475bc2
    *(int32_t *)(v5 + 52) = 0x1000000 * g3 / 0x1000000;
    *(int32_t *)(*(int32_t *)(4 * g70 + g71) + 36) = v1;
    *(int32_t *)(*(int32_t *)(4 * g70 + g71) + 4) = v2;
    System__DynArraySetLength((char *)1, (char *)0x4755d0, v1 + 1, v4);
    char v6;
    char v7;
    char v8;
    int32_t v9;
    char v10;
    char v11;
    int32_t v12; // 0x475cf0
    if ((int32_t *)v1 < (int32_t *)1) {
        // 0x475c9b
        *(int32_t *)(*(int32_t *)(4 * g70 + g71) + 8) = v9;
        *(char *)(*(int32_t *)(4 * g70 + g71) + 40) = v8;
        *(char *)(*(int32_t *)(4 * g70 + g71) + 42) = v7;
        *(char *)(*(int32_t *)(4 * g70 + g71) + 41) = v6;
        v12 = g70;
        *(int32_t *)(*(int32_t *)(4 * v12 + g71) + 44) = v12;
        *(char *)(*(int32_t *)(4 * g70 + g71) + 60) = 0;
        *(char *)(*(int32_t *)(4 * g70 + g71) + 20) = v11;
        if (v10 == 0) {
            // 0x475d2e
            g3 = *(int32_t *)(4 * g70 + g71);
            function_475a30();
            // branch -> 0x475d41
        }
        // 0x475d41
        g3 = *(int32_t *)(4 * g70 + g71);
        return;
    }
    int32_t v13 = 1; // 0x475c932
    int32_t v14 = *(int32_t *)(*(int32_t *)(4 * g70 + g71) + 48); // 0x475c3b
    int32_t v15 = 4 * v13; // 0x475c47
    int32_t v16 = 12 * v13; // 0x475c4a
    *(int32_t *)(v14 + v16) = v15;
    int32_t v17 = *(int32_t *)(*(int32_t *)(4 * g70 + g71) + 48); // 0x475c5b
    int32_t v18 = g73 + v15 - 4; // 0x475c70
    g6 = v18;
    *(int32_t *)(v16 + 8 + v17) = v18;
    int32_t v19 = *(int32_t *)(*(int32_t *)(4 * g70 + g71) + 48); // 0x475c85
    *(char *)(v16 + 4 + v19) = 0;
    int32_t v20 = v1 - 1; // 0x475c96
    while (v20 != 0) {
        // 0x475c2d
        v13++;
        v14 = *(int32_t *)(*(int32_t *)(4 * g70 + g71) + 48);
        v15 = 4 * v13;
        v16 = 12 * v13;
        *(int32_t *)(v14 + v16) = v15;
        v17 = *(int32_t *)(*(int32_t *)(4 * g70 + g71) + 48);
        v18 = g73 + v15 - 4;
        g6 = v18;
        *(int32_t *)(v16 + 8 + v17) = v18;
        v19 = *(int32_t *)(*(int32_t *)(4 * g70 + g71) + 48);
        *(char *)(v16 + 4 + v19) = 0;
        v20--;
        // continue -> 0x475c2d
    }
    // 0x475c9b
    *(int32_t *)(*(int32_t *)(4 * g70 + g71) + 8) = v9;
    *(char *)(*(int32_t *)(4 * g70 + g71) + 40) = v8;
    *(char *)(*(int32_t *)(4 * g70 + g71) + 42) = v7;
    *(char *)(*(int32_t *)(4 * g70 + g71) + 41) = v6;
    v12 = g70;
    *(int32_t *)(*(int32_t *)(4 * v12 + g71) + 44) = v12;
    *(char *)(*(int32_t *)(4 * g70 + g71) + 60) = 0;
    *(char *)(*(int32_t *)(4 * g70 + g71) + 20) = v11;
    if (v10 == 0) {
        // 0x475d2e
        g3 = *(int32_t *)(4 * g70 + g71);
        function_475a30();
        // branch -> 0x475d41
    }
    // 0x475d41
    g3 = *(int32_t *)(4 * g70 + g71);
}

// Address range: 0x475d5c - 0x475df7
void function_475d5c(void) {
    int32_t v1 = g8; // 0x475d65
    int32_t v2 = g3; // 0x475d68
    g3 = 0x47318c;
    TTab_Create();
    int32_t v3 = g3; // 0x475d77
    g6 = v1;
    g8 = v2;
    function_473194();
    g3 = v3;
    function_473280();
    int32_t v4 = g3; // 0x475d98
    if (v4 < 1) {
        // 0x475ddf
        System__TObject__Free(v1 + 15);
        // branch -> 0x475dee
    } else {
        int32_t v5 = 0; // 0x475dc73
        // branch -> 0x475da8
        int32_t v6;
        while (true) {
            // 0x475da8
            g3 = v3;
            function_47329c();
            int32_t v7;
            int32_t v8 = v5 + v7; // 0x475dbc
            if (v8 >= v1) {
                // 0x475dc7
                System__TObject__Free((int32_t)&v6);
                // branch -> 0x475dee
                // 0x475dee
                return;
            }
            int32_t v9 = v4 - 1; // 0x475dda
            if (v9 == 0) {
                // break -> 0x475ddf
                break;
            }
            v5 = v8;
            v4 = v9;
            // continue -> 0x475da8
        }
        // 0x475ddf
        // branch -> 0x475ddf
        // 0x475ddf
        System__TObject__Free((int32_t)&v6);
        // branch -> 0x475dee
    }
}

// Address range: 0x475df8 - 0x475ea7
void function_475df8(void) {
    int32_t v1 = g8; // 0x475e01
    int32_t v2 = g3; // 0x475e04
    g8 = 5;
    g3 = v1;
    function_475d5c();
    g8 = v1;
    g3 = v2;
    function_475b68();
    int32_t v3 = g3; // 0x475e38
    char v4;
    if (v4 == 0) {
        // 0x475e56
        return;
    }
    // 0x475e41
    *(char *)(v3 + 60) = 1;
    char v5;
    if (v5 == 0) {
        // 0x475e4e
        g3 = v3;
        function_475a30();
        // branch -> 0x475e56
    }
}

// Address range: 0x475ea8 - 0x475ed3
void function_475ea8(void) {
    int32_t v1 = g3; // 0x475eb4
    g3 = v1 & g8 | g6 & (v1 ^ -1);
}

// Address range: 0x475ed4 - 0x475eff
void function_475ed4(void) {
    // 0x475ed4
    g3 = g3 & g6 | g8 & (g6 ^ -1);
}

// Address range: 0x475f00 - 0x475f23
void function_475f00(void) {
    // 0x475f00
    g3 = g3 ^ g8 ^ g6;
}

// Address range: 0x475f24 - 0x475f47
void function_475f24(void) {
    // 0x475f24
    g3 = (g3 | g6 ^ -1) ^ g8;
}

// Address range: 0x475f48 - 0x475f77
void function_475f48(void) {
    uint32_t v1 = g8 & 31; // 0x475f5a
    int32_t v2 = g3; // 0x475f69
    if (v1 != 0) {
        // if_475f5a_0_true
        v2 = g3 << v1;
        // branch -> after_if_475f5a_0
    }
    uint32_t v3 = 32 - g8 & 31; // 0x475f67
    int32_t v4; // 0x475f69
    if (v3 != 0) {
        // if_475f67_0_true
        v4 = g3 >> v3;
        // branch -> after_if_475f67_0
    } else {
        v4 = g3;
    }
    // after_if_475f67_0
    g3 = v4 | v2;
}

// Address range: 0x475f78 - 0x475fc7
void function_475f78(void) {
    int32_t v1 = g6; // 0x475f7e
    int32_t v2 = g8; // 0x475f81
    int32_t * v3 = (int32_t *)g3; // 0x475f84_0
    int32_t v4;
    g6 = v4;
    g8 = v1;
    g3 = v2;
    function_475ea8();
    int32_t v5;
    int32_t v6;
    *v3 = g3 + v5 + *v3 + v6;
    g3 = *v3;
    int32_t v7;
    g8 = v7;
    function_475f48();
    *v3 = g3;
    *v3 = *v3 + v2;
}

// Address range: 0x475fc8 - 0x476017
void function_475fc8(void) {
    int32_t v1 = g6; // 0x475fce
    int32_t v2 = g8; // 0x475fd1
    int32_t * v3 = (int32_t *)g3; // 0x475fd4_0
    int32_t v4;
    g6 = v4;
    g8 = v1;
    g3 = v2;
    function_475ed4();
    int32_t v5;
    int32_t v6;
    *v3 = g3 + v5 + *v3 + v6;
    g3 = *v3;
    int32_t v7;
    g8 = v7;
    function_475f48();
    *v3 = g3;
    *v3 = *v3 + v2;
}

// Address range: 0x476018 - 0x476067
void function_476018(void) {
    int32_t v1 = g6; // 0x47601e
    int32_t v2 = g8; // 0x476021
    int32_t * v3 = (int32_t *)g3; // 0x476024_0
    int32_t v4;
    g6 = v4;
    g8 = v1;
    g3 = v2;
    function_475f00();
    int32_t v5;
    int32_t v6;
    *v3 = g3 + v5 + *v3 + v6;
    g3 = *v3;
    int32_t v7;
    g8 = v7;
    function_475f48();
    *v3 = g3;
    *v3 = *v3 + v2;
}

// Address range: 0x476068 - 0x4760b7
void function_476068(void) {
    int32_t v1 = g6; // 0x47606e
    int32_t v2 = g8; // 0x476071
    int32_t * v3 = (int32_t *)g3; // 0x476074_0
    int32_t v4;
    g6 = v4;
    g8 = v1;
    g3 = v2;
    function_475f24();
    int32_t v5;
    int32_t v6;
    *v3 = g3 + v5 + *v3 + v6;
    g3 = *v3;
    int32_t v7;
    g8 = v7;
    function_475f48();
    *v3 = g3;
    *v3 = *v3 + v2;
}

// Address range: 0x4760b8 - 0x476147
void function_4760b8(void) {
    char * v1 = (char *)g8; // 0x4760c1_0
    if (g6 != 0) {
        int32_t v2 = 0; // 0x4761392
        int32_t v3 = 0; // 0x47613c1
        *(char *)(v3 + g3) = v1[v2];
        char v4 = v1[v2]; // 0x4760f3
        *(char *)(g3 + 1 + v3) = (char)((int32_t)v4 / 256);
        char v5 = v1[v2]; // 0x47610b
        *(char *)(g3 + 2 + v3) = (char)((int32_t)v5 / 0x10000);
        char v6 = v1[v2]; // 0x476123
        *(char *)(g3 + 3 + v3) = (char)((int32_t)v6 / 0x1000000);
        int32_t v7 = v3 + 4; // 0x476135
        // branch -> 0x4760d9
        while (v7 < g6) {
            // 0x4760d9
            // 0x4760d9
            v2++;
            v3 = v7;
            *(char *)(v3 + g3) = v1[v2];
            v4 = v1[v2];
            *(char *)(g3 + 1 + v3) = (char)((int32_t)v4 / 256);
            v5 = v1[v2];
            *(char *)(g3 + 2 + v3) = (char)((int32_t)v5 / 0x10000);
            v6 = v1[v2];
            *(char *)(g3 + 3 + v3) = (char)((int32_t)v6 / 0x1000000);
            v7 = v3 + 4;
            // branch -> 0x4760d9
        }
        // 0x476144
        return;
    }
}

// Address range: 0x476148 - 0x4761bf
void function_476148(void) {
    // 0x476148
    if (g6 != 0) {
        int32_t v1 = 0; // 0x4761b02
        int32_t v2 = 0; // 0x4761b31
        unsigned char v3 = *(char *)(v2 + g8); // 0x47616f
        unsigned char v4 = *(char *)(g8 + 1 + v2); // 0x476179
        unsigned char v5 = *(char *)(g8 + 2 + v2); // 0x476189
        unsigned char v6 = *(char *)(g8 + 3 + v2); // 0x476199
        ((int32_t *)g3)[v1] = 0x1000000 * (int32_t)v6 | 0x10000 * (int32_t)v5 | 256 * (int32_t)v4 | (int32_t)v3;
        int32_t v7 = v2 + 4; // 0x4761ac
        // branch -> 0x476169
        while (v7 < g6) {
            // 0x476169
            // 0x476169
            v1++;
            v2 = v7;
            v3 = *(char *)(v2 + g8);
            v4 = *(char *)(g8 + 1 + v2);
            v5 = *(char *)(g8 + 2 + v2);
            v6 = *(char *)(g8 + 3 + v2);
            ((int32_t *)g3)[v1] = 0x1000000 * (int32_t)v6 | 0x10000 * (int32_t)v5 | 256 * (int32_t)v4 | (int32_t)v3;
            v7 = v2 + 4;
            // branch -> 0x476169
        }
        // 0x4761bb
        return;
    }
}

// Address range: 0x4761c0 - 0x4761e3
void function_4761c0(void) {
    // 0x4761c0
    System__Move((char *)g6, (char *)g3, g6);
}

// Address range: 0x4761e4 - 0x476207
void function_4761e4(void) {
    int32_t v1 = g8; // bp-12
    System__FillChar((char *)&v1, g6, (char)g6);
}

// Address range: 0x476208 - 0x4769bf
void function_476208(void) {
    int32_t v1 = g3; // 0x476211
    struct struct_210 * v2 = (struct struct_210 *)v1; // 0x476211_0
    int32_t * v3 = (int32_t *)*(int32_t *)v1;
    int32_t * v4 = v2->e1;
    int32_t * v5 = v2->e2;
    int32_t * v6 = v2->e3;
    int32_t v7;
    g3 = &v7;
    g6 = 64;
    function_476148();
    int32_t v8 = (int32_t)&v3; // 0x476256_0
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    function_475f78();
    int32_t v9 = (int32_t)&v6; // 0x476273_0
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    function_475f78();
    int32_t v10 = (int32_t)&v5; // 0x476290_0
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    function_475f78();
    int32_t v11 = (int32_t)&v4; // 0x4762ad_0
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    function_475f78();
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    function_475f78();
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    function_475f78();
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    function_475f78();
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    function_475f78();
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    function_475f78();
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    function_475f78();
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    function_475f78();
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    function_475f78();
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    function_475f78();
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    function_475f78();
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    function_475f78();
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    function_475f78();
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    function_475fc8();
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    function_475fc8();
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    function_475fc8();
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    function_475fc8();
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    function_475fc8();
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    function_475fc8();
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    function_475fc8();
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    function_475fc8();
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    function_475fc8();
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    function_475fc8();
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    function_475fc8();
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    function_475fc8();
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    function_475fc8();
    int32_t v12 = g11; // 0x476597
    *(int32_t *)(v12 - 8) = 9;
    int32_t v13 = v12 - 12; // 0x47659a
    *(int32_t *)v13 = -0x3105c08;
    g11 = v13;
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    *(int32_t *)(v12 - 16) = 0x4765ad;
    function_475fc8();
    int32_t v14 = g11; // 0x4765b0
    *(int32_t *)(v14 - 4) = (int32_t)v4;
    int32_t v15;
    *(int32_t *)(v14 - 8) = v15;
    *(int32_t *)(v14 - 12) = 14;
    int32_t v16 = v14 - 16; // 0x4765b7
    *(int32_t *)v16 = 0x676f02d9;
    g11 = v16;
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    *(int32_t *)(v14 - 20) = 0x4765ca;
    function_475fc8();
    int32_t v17 = g11; // 0x4765cd
    *(int32_t *)(v17 - 4) = (int32_t)v3;
    int32_t v18;
    *(int32_t *)(v17 - 8) = v18;
    *(int32_t *)(v17 - 12) = 20;
    int32_t v19 = v17 - 16; // 0x4765d4
    *(int32_t *)v19 = -0x72d5b376;
    g11 = v19;
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    *(int32_t *)(v17 - 20) = 0x4765e7;
    function_475fc8();
    int32_t v20 = g11; // 0x4765ea
    *(int32_t *)(v20 - 4) = (int32_t)v6;
    int32_t v21;
    *(int32_t *)(v20 - 8) = v21;
    *(int32_t *)(v20 - 12) = 4;
    int32_t v22 = v20 - 16; // 0x4765f1
    *(int32_t *)v22 = -0x5c6be;
    g11 = v22;
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    *(int32_t *)(v20 - 20) = 0x476604;
    function_476018();
    int32_t v23 = g11; // 0x476607
    *(int32_t *)(v23 - 4) = (int32_t)v5;
    int32_t v24;
    *(int32_t *)(v23 - 8) = v24;
    *(int32_t *)(v23 - 12) = 11;
    int32_t v25 = v23 - 16; // 0x47660e
    *(int32_t *)v25 = -0x788e097f;
    g11 = v25;
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    *(int32_t *)(v23 - 20) = 0x476621;
    function_476018();
    int32_t v26 = g11; // 0x476624
    *(int32_t *)(v26 - 4) = (int32_t)v4;
    int32_t v27;
    *(int32_t *)(v26 - 8) = v27;
    *(int32_t *)(v26 - 12) = 16;
    int32_t v28 = v26 - 16; // 0x47662b
    *(int32_t *)v28 = 0x6d9d6122;
    g11 = v28;
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    *(int32_t *)(v26 - 20) = 0x47663e;
    function_476018();
    int32_t v29 = g11; // 0x476641
    *(int32_t *)(v29 - 4) = (int32_t)v3;
    int32_t v30;
    *(int32_t *)(v29 - 8) = v30;
    *(int32_t *)(v29 - 12) = 23;
    int32_t v31 = v29 - 16; // 0x476648
    *(int32_t *)v31 = -0x21ac7f4;
    g11 = v31;
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    *(int32_t *)(v29 - 20) = 0x47665b;
    function_476018();
    int32_t v32 = g11; // 0x47665e
    *(int32_t *)(v32 - 4) = (int32_t)v6;
    int32_t v33;
    *(int32_t *)(v32 - 8) = v33;
    *(int32_t *)(v32 - 12) = 4;
    int32_t v34 = v32 - 16; // 0x476665
    *(int32_t *)v34 = -0x5b4115bc;
    g11 = v34;
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    *(int32_t *)(v32 - 20) = 0x476678;
    function_476018();
    int32_t v35 = g11; // 0x47667b
    *(int32_t *)(v35 - 4) = (int32_t)v5;
    int32_t v36;
    *(int32_t *)(v35 - 8) = v36;
    *(int32_t *)(v35 - 12) = 11;
    int32_t v37 = v35 - 16; // 0x476682
    *(int32_t *)v37 = 0x4bdecfa9;
    g11 = v37;
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    *(int32_t *)(v35 - 20) = 0x476695;
    function_476018();
    int32_t v38 = g11; // 0x476698
    *(int32_t *)(v38 - 4) = (int32_t)v4;
    *(int32_t *)(v38 - 8) = v15;
    *(int32_t *)(v38 - 12) = 16;
    int32_t v39 = v38 - 16; // 0x47669f
    *(int32_t *)v39 = -0x944b4a0;
    g11 = v39;
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    *(int32_t *)(v38 - 20) = 0x4766b2;
    function_476018();
    int32_t v40 = g11; // 0x4766b5
    *(int32_t *)(v40 - 4) = (int32_t)v3;
    int32_t v41;
    *(int32_t *)(v40 - 8) = v41;
    *(int32_t *)(v40 - 12) = 23;
    int32_t v42 = v40 - 16; // 0x4766bc
    *(int32_t *)v42 = -0x41404390;
    g11 = v42;
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    *(int32_t *)(v40 - 20) = 0x4766cf;
    function_476018();
    int32_t v43 = g11; // 0x4766d2
    *(int32_t *)(v43 - 4) = (int32_t)v6;
    int32_t v44;
    *(int32_t *)(v43 - 8) = v44;
    *(int32_t *)(v43 - 12) = 4;
    int32_t v45 = v43 - 16; // 0x4766d9
    *(int32_t *)v45 = 0x289b7ec6;
    g11 = v45;
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    *(int32_t *)(v43 - 20) = 0x4766ec;
    function_476018();
    int32_t v46 = g11; // 0x4766ef
    *(int32_t *)(v46 - 4) = (int32_t)v5;
    *(int32_t *)(v46 - 8) = v7;
    *(int32_t *)(v46 - 12) = 11;
    int32_t v47 = v46 - 16; // 0x4766f6
    *(int32_t *)v47 = -0x155ed806;
    g11 = v47;
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    *(int32_t *)(v46 - 20) = 0x476709;
    function_476018();
    int32_t v48 = g11; // 0x47670c
    *(int32_t *)(v48 - 4) = (int32_t)v4;
    int32_t v49;
    *(int32_t *)(v48 - 8) = v49;
    *(int32_t *)(v48 - 12) = 16;
    int32_t v50 = v48 - 16; // 0x476713
    *(int32_t *)v50 = -0x2b10cf7b;
    g11 = v50;
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    *(int32_t *)(v48 - 20) = 0x476726;
    function_476018();
    int32_t v51 = g11; // 0x476729
    *(int32_t *)(v51 - 4) = (int32_t)v3;
    int32_t v52;
    *(int32_t *)(v51 - 8) = v52;
    *(int32_t *)(v51 - 12) = 23;
    int32_t v53 = v51 - 16; // 0x476730
    *(int32_t *)v53 = 0x4881d05;
    g11 = v53;
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    *(int32_t *)(v51 - 20) = 0x476743;
    function_476018();
    int32_t v54 = g11; // 0x476746
    *(int32_t *)(v54 - 4) = (int32_t)v6;
    int32_t v55;
    *(int32_t *)(v54 - 8) = v55;
    *(int32_t *)(v54 - 12) = 4;
    int32_t v56 = v54 - 16; // 0x47674d
    *(int32_t *)v56 = -0x262b2fc7;
    g11 = v56;
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    *(int32_t *)(v54 - 20) = 0x476760;
    function_476018();
    int32_t v57 = g11; // 0x476763
    *(int32_t *)(v57 - 4) = (int32_t)v5;
    *(int32_t *)(v57 - 8) = v18;
    *(int32_t *)(v57 - 12) = 11;
    int32_t v58 = v57 - 16; // 0x47676a
    *(int32_t *)v58 = -0x1924661b;
    g11 = v58;
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    *(int32_t *)(v57 - 20) = 0x47677d;
    function_476018();
    int32_t v59 = g11; // 0x476780
    *(int32_t *)(v59 - 4) = (int32_t)v4;
    int32_t v60;
    *(int32_t *)(v59 - 8) = v60;
    *(int32_t *)(v59 - 12) = 16;
    int32_t v61 = v59 - 16; // 0x476787
    *(int32_t *)v61 = 0x1fa27cf8;
    g11 = v61;
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    *(int32_t *)(v59 - 20) = 0x47679a;
    function_476018();
    int32_t v62 = g11; // 0x47679d
    *(int32_t *)(v62 - 4) = (int32_t)v3;
    int32_t v63;
    *(int32_t *)(v62 - 8) = v63;
    *(int32_t *)(v62 - 12) = 23;
    int32_t v64 = v62 - 16; // 0x4767a4
    *(int32_t *)v64 = -0x3b53a99b;
    g11 = v64;
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    *(int32_t *)(v62 - 20) = 0x4767b7;
    function_476018();
    int32_t v65 = g11; // 0x4767ba
    *(int32_t *)(v65 - 4) = (int32_t)v6;
    *(int32_t *)(v65 - 8) = v7;
    *(int32_t *)(v65 - 12) = 6;
    int32_t v66 = v65 - 16; // 0x4767c1
    *(int32_t *)v66 = -0xbd6ddbc;
    g11 = v66;
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    *(int32_t *)(v65 - 20) = 0x4767d4;
    function_476068();
    int32_t v67 = g11; // 0x4767d7
    *(int32_t *)(v67 - 4) = (int32_t)v5;
    *(int32_t *)(v67 - 8) = v15;
    *(int32_t *)(v67 - 12) = 10;
    int32_t v68 = v67 - 16; // 0x4767de
    *(int32_t *)v68 = 0x432aff97;
    g11 = v68;
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    *(int32_t *)(v67 - 20) = 0x4767f1;
    function_476068();
    int32_t v69 = g11; // 0x4767f4
    *(int32_t *)(v69 - 4) = (int32_t)v4;
    *(int32_t *)(v69 - 8) = v30;
    *(int32_t *)(v69 - 12) = 15;
    int32_t v70 = v69 - 16; // 0x4767fb
    *(int32_t *)v70 = -0x546bdc59;
    g11 = v70;
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    *(int32_t *)(v69 - 20) = 0x47680e;
    function_476068();
    int32_t v71 = g11; // 0x476811
    *(int32_t *)(v71 - 4) = (int32_t)v3;
    *(int32_t *)(v71 - 8) = v21;
    *(int32_t *)(v71 - 12) = 21;
    int32_t v72 = v71 - 16; // 0x476818
    *(int32_t *)v72 = -0x36c5fc7;
    g11 = v72;
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    *(int32_t *)(v71 - 20) = 0x47682b;
    function_476068();
    int32_t v73 = g11; // 0x47682e
    *(int32_t *)(v73 - 4) = (int32_t)v6;
    *(int32_t *)(v73 - 8) = v18;
    *(int32_t *)(v73 - 12) = 6;
    int32_t v74 = v73 - 16; // 0x476835
    *(int32_t *)v74 = 0x655b59c3;
    g11 = v74;
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    *(int32_t *)(v73 - 20) = 0x476848;
    function_476068();
    int32_t v75 = g11; // 0x47684b
    *(int32_t *)(v75 - 4) = (int32_t)v5;
    *(int32_t *)(v75 - 8) = v49;
    *(int32_t *)(v75 - 12) = 10;
    int32_t v76 = v75 - 16; // 0x476852
    *(int32_t *)v76 = -0x70f3336e;
    g11 = v76;
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    *(int32_t *)(v75 - 20) = 0x476865;
    function_476068();
    int32_t v77 = g11; // 0x476868
    *(int32_t *)(v77 - 4) = (int32_t)v4;
    *(int32_t *)(v77 - 8) = v41;
    *(int32_t *)(v77 - 12) = 15;
    int32_t v78 = v77 - 16; // 0x47686f
    *(int32_t *)v78 = -0x100b83;
    g11 = v78;
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    *(int32_t *)(v77 - 20) = 0x476882;
    function_476068();
    int32_t v79 = g11; // 0x476885
    *(int32_t *)(v79 - 4) = (int32_t)v3;
    *(int32_t *)(v79 - 8) = v33;
    *(int32_t *)(v79 - 12) = 21;
    int32_t v80 = v79 - 16; // 0x47688c
    *(int32_t *)v80 = -0x7a7ba22f;
    g11 = v80;
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    *(int32_t *)(v79 - 20) = 0x47689f;
    function_476068();
    int32_t v81 = g11; // 0x4768a2
    *(int32_t *)(v81 - 4) = (int32_t)v6;
    *(int32_t *)(v81 - 8) = v24;
    *(int32_t *)(v81 - 12) = 6;
    int32_t v82 = v81 - 16; // 0x4768a9
    *(int32_t *)v82 = 0x6fa87e4f;
    g11 = v82;
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    *(int32_t *)(v81 - 20) = 0x4768bc;
    function_476068();
    int32_t v83 = g11; // 0x4768bf
    *(int32_t *)(v83 - 4) = (int32_t)v5;
    *(int32_t *)(v83 - 8) = v60;
    *(int32_t *)(v83 - 12) = 10;
    int32_t v84 = v83 - 16; // 0x4768c6
    *(int32_t *)v84 = -0x1d31920;
    g11 = v84;
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    *(int32_t *)(v83 - 20) = 0x4768d9;
    function_476068();
    int32_t v85 = g11; // 0x4768dc
    *(int32_t *)(v85 - 4) = (int32_t)v4;
    *(int32_t *)(v85 - 8) = v52;
    *(int32_t *)(v85 - 12) = 15;
    int32_t v86 = v85 - 16; // 0x4768e3
    *(int32_t *)v86 = -0x5cfebcec;
    g11 = v86;
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    *(int32_t *)(v85 - 20) = 0x4768f6;
    function_476068();
    int32_t v87 = g11; // 0x4768f9
    *(int32_t *)(v87 - 4) = (int32_t)v3;
    *(int32_t *)(v87 - 8) = v44;
    *(int32_t *)(v87 - 12) = 21;
    int32_t v88 = v87 - 16; // 0x476900
    *(int32_t *)v88 = 0x4e0811a1;
    g11 = v88;
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    *(int32_t *)(v87 - 20) = 0x476913;
    function_476068();
    int32_t v89 = g11; // 0x476916
    *(int32_t *)(v89 - 4) = (int32_t)v6;
    *(int32_t *)(v89 - 8) = v36;
    *(int32_t *)(v89 - 12) = 6;
    int32_t v90 = v89 - 16; // 0x47691d
    *(int32_t *)v90 = -0x8ac817e;
    g11 = v90;
    g3 = v8;
    g6 = (int32_t)v5;
    g8 = (int32_t)v4;
    *(int32_t *)(v89 - 20) = 0x476930;
    function_476068();
    int32_t v91 = g11; // 0x476933
    *(int32_t *)(v91 - 4) = (int32_t)v5;
    *(int32_t *)(v91 - 8) = v27;
    *(int32_t *)(v91 - 12) = 10;
    int32_t v92 = v91 - 16; // 0x47693a
    *(int32_t *)v92 = -0x42c50dcb;
    g11 = v92;
    g3 = v9;
    g6 = (int32_t)v4;
    g8 = (int32_t)v3;
    *(int32_t *)(v91 - 20) = 0x47694d;
    function_476068();
    int32_t v93 = g11; // 0x476950
    *(int32_t *)(v93 - 4) = (int32_t)v4;
    *(int32_t *)(v93 - 8) = v63;
    *(int32_t *)(v93 - 12) = 15;
    int32_t v94 = v93 - 16; // 0x476957
    *(int32_t *)v94 = 0x2ad7d2bb;
    g11 = v94;
    g3 = v10;
    g6 = (int32_t)v3;
    g8 = (int32_t)v6;
    *(int32_t *)(v93 - 20) = 0x47696a;
    function_476068();
    int32_t v95 = g11; // 0x47696d
    *(int32_t *)(v95 - 4) = (int32_t)v3;
    *(int32_t *)(v95 - 8) = v55;
    *(int32_t *)(v95 - 12) = 21;
    int32_t v96 = v95 - 16; // 0x476974
    *(int32_t *)v96 = -0x14792c6f;
    g11 = v96;
    g3 = v11;
    g6 = (int32_t)v6;
    g8 = (int32_t)v5;
    *(int32_t *)(v95 - 20) = 0x476987;
    function_476068();
    *(int32_t *)v2 = *(int32_t *)v2 + (int32_t)v3;
    int32_t * v97 = v2->e1; // 0x476995
    v2->e1 = (int32_t *)((int32_t)v97 + (int32_t)v4);
    int32_t * v98 = v2->e2; // 0x47699e
    v2->e2 = (int32_t *)((int32_t)v98 + (int32_t)v5);
    int32_t * v99 = v2->e3; // 0x4769a7
    v2->e3 = (int32_t *)((int32_t)v99 + (int32_t)v6);
    g6 = 64;
    g8 = 0;
    *(int32_t *)(g11 - 4) = 0x4769b9;
    function_4761e4();
}

// Address range: 0x4769c0 - 0x4769ff
void function_4769c0(void) {
    struct struct_30 * v1 = (struct struct_30 *)g3; // bp-8
    g1 = false;
    g2 = false;
    g187 = true;
    g9 = false;
    System__FillChar(NULL, 88, (char)g3);
    v1->e0 = 0x67452301;
    v1->e1 = -0x10325477;
    v1->e2 = -0x67452302;
    v1->e3 = 0x10325476;
    g6 = (int32_t)v1;
    int32_t v2;
    g4 = v2;
}

// Address range: 0x476a00 - 0x476adb
void function_476a00(void) {
    uint32_t v1 = g6; // 0x476a07
    int32_t v2 = g8; // 0x476a0a
    int32_t v3 = g3; // 0x476a0d
    int32_t * v4 = (int32_t *)(v3 + 16); // 0x476a13_0
    int32_t v5 = *v4 / 8 & 63; // 0x476a19
    uint32_t v6 = 8 * v1; // 0x476a22
    *v4 = *v4 + v6;
    int32_t * v7; // 0x476a3e_0
    if (*v4 < v6) {
        // 0x476a3b
        v7 = (int32_t *)(v3 + 20);
        *v7 = *v7 + 1;
        // branch -> 0x476a41
    } else {
        // 0x476a00
        v7 = (int32_t *)(v3 + 20);
        // branch -> 0x476a41
    }
    // 0x476a41
    *v7 = *v7 + v1 / 0x20000000;
    int32_t v8 = 64 - v5; // 0x476a52
    int32_t v9 = v3 + 24;
    int32_t v10;
    if (v1 < v8) {
        v10 = 0;
        // 0x476ab7
        g3 = v5 + v9;
        g6 = v1 - v10;
        g8 = v10 + v2;
        function_4761c0();
        return;
    }
    // 0x476a60
    g3 = v5 + v9;
    g6 = v8;
    g8 = v2;
    function_4761c0();
    g8 = v9;
    g3 = v3;
    function_476208();
    v10 = v8;
    if (v8 + 63 >= v1) {
        // 0x476ab7
        g3 = v9;
        g6 = v1 - v10;
        g8 = v10 + v2;
        function_4761c0();
        return;
    }
    g8 = v8 + v2;
    g3 = v3;
    function_476208();
    int32_t v11 = v8 + 64; // 0x476a9c
    v10 = v11;
    while (v8 + 127 < v1) {
        // 0x476a8b
        v8 = v11;
        g8 = v8 + v2;
        g3 = v3;
        function_476208();
        v11 = v8 + 64;
        v10 = v11;
        // continue -> 0x476a8b
    }
    // 0x476ab7
    g3 = v9;
    g6 = v1 - v10;
    g8 = v10 + v2;
    function_4761c0();
}

// Address range: 0x476adc - 0x476b6b
void function_476adc(void) {
    int32_t v1 = g8; // 0x476ae2
    int32_t v2 = g3; // 0x476ae5
    int32_t v3 = v1 + 16; // 0x476aeb
    g8 = v3;
    int32_t v4;
    int32_t v5 = &v4; // 0x476aee_0
    g3 = v5;
    g6 = 8;
    function_4760b8();
    uint32_t v6 = *(int32_t *)v3 / 8 & 63; // 0x476b04
    g8 = 0x4bd588;
    g3 = v1;
    g6 = (v6 > 55 ? 120 : 56) - v6;
    function_476a00();
    g8 = v5;
    g3 = v1;
    g6 = 8;
    function_476a00();
    g8 = v1;
    g3 = v2;
    g6 = 16;
    function_4760b8();
    g6 = 88;
    g8 = 0;
    function_4761e4();
}

// Address range: 0x476b6c - 0x476bc7
void function_476b6c(void) {
    // 0x476b6c
    Classes__TFileStream((char *)g3, (int16_t)(g8 & 0xff00 | 1));
    abort();
    // UNREACHABLE
}

// Address range: 0x476bc8 - 0x476c87
void function_476bc8(void) {
    struct struct_212 * v1 = (struct struct_212 *)g3; // bp-8
    int32_t v2;
    g3 = &v2;
    function_4769c0();
    g3 = (int32_t)v1;
    int32_t v3 = *(int32_t *)v1; // 0x476be7
    g8 = v3;
    ((int32_t (*)())*(int32_t *)v3)();
    Classes__TStream__GetPosition(g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x476c88 - 0x477107
void function_476c88(void) {
    struct struct_30 * v1 = (struct struct_30 *)g8; // 0x476c8e_0
    struct struct_30 * v2 = (struct struct_30 *)g3; // 0x476c91_0
    int32_t v3 = *(int32_t *)g3; // 0x476c9b
    int32_t v4 = v3; // 0x476cd2
    int32_t v5 = 0; // 0x476cd21
    if (v3 == v1->e0) {
        int32_t v6 = v2->e1; // 0x476ca7
        if (v6 == v1->e1) {
            int32_t v7 = v2->e2; // 0x476cb5
            if (v7 == v1->e2) {
                int32_t v8 = v2->e3; // 0x476cc3
                v4 = v8;
                v5 = v8 == v1->e3;
                // branch -> 0x476cd2
            } else {
                v4 = v7;
                v5 = 0;
            }
        } else {
            v4 = v6;
            v5 = 0;
        }
    }
    // 0x476cd2
    g3 = v4 & -256 | v5;
}

// Address range: 0x477108 - 0x477123
void function_477108(void) {
    // 0x477108
    g6 = 8;
    function_477124();
    int32_t v1;
    g4 = v1;
}

// Address range: 0x477124 - 0x47746b
void function_477124(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g10; // 0x47712b
    int32_t v3 = g6; // 0x47712c
    int32_t v4 = g8; // 0x47712f
    int32_t v5 = g3; // 0x477132
    g10 = v5;
    char * v6;
    if (v6 != NULL) {
        // 0x477142
        if (((int32_t)*v6 || (int32_t)v6 & -256) == g34) {
            // 0x47714c
            int32_t v7;
            if (v7 == 56) {
                // 0x47715c
                if (v5 == 0) {
                    // 0x477160
                    // branch -> 0x477355
                } else {
                    // 0x47716a
                    *(int32_t *)(v5 + 24) = 0;
                    int32_t * v8 = (int32_t *)(g10 + 32); // 0x47716f_0
                    if (*v8 == 0) {
                        // 0x477175
                        *v8 = 0x476dc4;
                        g6 = 0;
                        *(int32_t *)(g10 + 40) = 0;
                        // branch -> 0x477181
                    }
                    int32_t * v9 = (int32_t *)(g10 + 36); // 0x477181_0
                    if (*v9 == 0) {
                        // 0x477187
                        *v9 = 0x476de8;
                        // branch -> 0x47718e
                    }
                    uint32_t v10 = v4 == -1 ? 6 : v4; // 0x47712f
                    int32_t v11;
                    int32_t v12; // 0x47722e1
                    uint32_t v13; // 0x4772394
                    if (v11 > -1) {
                        // 0x4771ab
                        if (v11 >= 16) {
                            // 0x4771b1
                            v13 = v11 - 16;
                            v12 = 2;
                            // branch -> 0x4771bc
                        } else {
                            v13 = v11;
                            v12 = 1;
                        }
                    } else {
                        // 0x4771a1
                        v13 = -v11;
                        v12 = 0;
                        // branch -> 0x4771bc
                    }
                    // 0x4771bc
                    uint32_t v14;
                    if (v14 >= 1) {
                        // 0x4771c2
                        if (v14 <= 9) {
                            // 0x4771c8
                            if ((char)v3 == 8) {
                                int32_t v15 = v13 - 8; // 0x4771ce
                                uint32_t v16 = llvm_ctpop_i32(v15); // 0x4771ce
                                if (v13 >= 8) {
                                    // 0x4771d4
                                    if (v13 <= 15) {
                                        // 0x4771da
                                        if (v10 >= 0) {
                                            // 0x4771e0
                                            if (v10 <= 9) {
                                                // 0x4771e6
                                                uint32_t v17;
                                                if (v17 >= 0) {
                                                    // 0x4771ec
                                                    if (v17 < 5) {
                                                        // 0x4771fc
                                                        g2 = (v13 & 15) > 23;
                                                        g1 = v13 < 8;
                                                        g187 = v15 == 0;
                                                        g9 = v16 % 2 == 1;
                                                        int32_t v18 = v13 == 8 ? 9 : v13; // 0x4772394
                                                        g6 = 0x16c0;
                                                        g8 = 1;
                                                        int32_t v19 = g10; // 0x477213
                                                        g3 = *(int32_t *)(v19 + 40);
                                                        ((int32_t (*)())*(int32_t *)(v19 + 32))();
                                                        int32_t v20 = g3; // 0x477219
                                                        g5 = v20;
                                                        if (v20 == 0) {
                                                            // 0x47721f
                                                            // branch -> 0x477355
                                                        } else {
                                                            // 0x477229
                                                            *(int32_t *)(g10 + 28) = v20;
                                                            *(int32_t *)g5 = g10;
                                                            *(int32_t *)(g5 + 24) = v12;
                                                            *(int32_t *)(g5 + 28) = 0;
                                                            int32_t v21 = 1; // edx
                                                            *(int32_t *)(g5 + 48) = v18;
                                                            uint32_t v22 = v18 & 31; // 0x477246
                                                            int32_t v23 = v21; // 0x477246
                                                            int32_t v24 = v23; // 0x477248
                                                            if (v22 != 0) {
                                                                int32_t v25 = v23 << v22; // 0x477246
                                                                v21 = v25;
                                                                v24 = v25;
                                                                // branch -> after_if_477246_0
                                                            }
                                                            // after_if_477246_0
                                                            *(int32_t *)(g5 + 44) = v24;
                                                            *(int32_t *)(g5 + 52) = v21 - 1;
                                                            v21 = 1;
                                                            int32_t v26 = v14 + 7; // 0x477257
                                                            *(int32_t *)(g5 + 80) = v26;
                                                            uint32_t v27 = v26 & 31; // 0x47725f
                                                            int32_t v28 = v21; // 0x47725f
                                                            int32_t v29 = v28; // 0x477261
                                                            if (v27 != 0) {
                                                                int32_t v30 = v28 << v27; // 0x47725f
                                                                v21 = v30;
                                                                v29 = v30;
                                                                // branch -> after_if_47725f_0
                                                            }
                                                            // after_if_47725f_0
                                                            *(int32_t *)(g5 + 76) = v29;
                                                            *(int32_t *)(g5 + 84) = v21 - 1;
                                                            int32_t v31 = g5; // 0x47726a
                                                            uint32_t v32 = *(int32_t *)(v31 + 80); // 0x47726a
                                                            g1 = v32 > 0xfffffffc;
                                                            g2 = (v32 + 3 & 15) > 16;
                                                            uint32_t v33 = v32 + 2; // 0x477275
                                                            g187 = v33 == 0;
                                                            g9 = llvm_ctpop_i32(v33) % 2 == 1;
                                                            *(int32_t *)(v31 + 88) = v33 / 3;
                                                            g6 = 2;
                                                            int32_t v34 = g10; // 0x477280
                                                            g3 = *(int32_t *)(v34 + 40);
                                                            g8 = *(int32_t *)(g5 + 44);
                                                            ((int32_t (*)())*(int32_t *)(v34 + 32))();
                                                            *(int32_t *)(g5 + 56) = g3;
                                                            g6 = 2;
                                                            g8 = *(int32_t *)(g5 + 44);
                                                            int32_t v35 = g10; // 0x477294
                                                            g3 = *(int32_t *)(v35 + 40);
                                                            ((int32_t (*)())*(int32_t *)(v35 + 32))();
                                                            *(int32_t *)(g5 + 64) = g3;
                                                            g6 = 2;
                                                            g8 = *(int32_t *)(g5 + 76);
                                                            int32_t v36 = g10; // 0x4772a5
                                                            g3 = *(int32_t *)(v36 + 40);
                                                            ((int32_t (*)())*(int32_t *)(v36 + 32))();
                                                            *(int32_t *)(g5 + 68) = g3;
                                                            g2 = (v14 & 15) > 9;
                                                            g1 = false;
                                                            int32_t v37 = v14 + 6; // 0x4772b1
                                                            g187 = v37 == 0;
                                                            g9 = llvm_ctpop_i32(v37) % 2 == 1;
                                                            int32_t v38 = 1; // eax
                                                            uint32_t v39 = v37 & 31; // 0x4772b9
                                                            int32_t v40 = 1; // 0x4772bb
                                                            if (v39 != 0) {
                                                                int32_t v41 = 1 << v39; // 0x4772b9
                                                                g1 = false;
                                                                g187 = false;
                                                                g9 = llvm_ctpop_i32(v41) % 2 == 1;
                                                                v38 = v41;
                                                                v40 = v41;
                                                                // branch -> after_if_4772b9_0
                                                            }
                                                            // after_if_4772b9_0
                                                            *(int32_t *)(g5 + 0x169c) = v40;
                                                            g6 = 4;
                                                            g8 = v38;
                                                            int32_t v42 = g10; // 0x4772c8
                                                            g3 = *(int32_t *)(v42 + 40);
                                                            ((int32_t (*)())*(int32_t *)(v42 + 32))();
                                                            *(int32_t *)(g5 + 8) = g3;
                                                            int32_t v43 = g5; // 0x4772d1
                                                            *(int32_t *)(v43 + 12) = 4 * *(int32_t *)(v43 + 0x169c);
                                                            int32_t v44 = g5; // 0x4772dd
                                                            if (*(int32_t *)(v44 + 56) != 0) {
                                                                // 0x4772e3
                                                                if (*(int32_t *)(v44 + 64) != 0) {
                                                                    // 0x4772e9
                                                                    if (*(int32_t *)(v44 + 68) != 0) {
                                                                        // 0x4772ef
                                                                        if (*(int32_t *)(v44 + 8) != 0) {
                                                                            // 0x477312
                                                                            *(int32_t *)(v44 + 0x16a4) = g3 + (*(int32_t *)(v44 + 0x169c) & -2);
                                                                            int32_t v45 = g5; // 0x477324
                                                                            int32_t v46 = 3 * *(int32_t *)(v45 + 0x169c) + *(int32_t *)(v45 + 8); // 0x47732d
                                                                            *(int32_t *)(v45 + 0x1698) = v46;
                                                                            *(int32_t *)(g5 + 132) = v10;
                                                                            g3 = g10;
                                                                            *(int32_t *)(g5 + 136) = v17;
                                                                            g6 = v46 & -256 | v3 & 255;
                                                                            *(char *)(g5 + 36) = 8;
                                                                            function_47746c();
                                                                            // branch -> 0x477355
                                                                            // 0x477355
                                                                            g10 = v2;
                                                                            return;
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                            // 0x4772f5
                                                            *(int32_t *)(v44 + 4) = 666;
                                                            *(int32_t *)(g10 + 24) = 92;
                                                            g3 = g10;
                                                            function_477fa4();
                                                            // branch -> 0x477355
                                                        }
                                                        // 0x477355
                                                        g10 = v2;
                                                        return;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                    // 0x4771f2
                    // branch -> 0x477355
                }
                // 0x477355
                g10 = v2;
                return;
            }
        }
    }
    // 0x477152
    // branch -> 0x477355
    // 0x477355
    g10 = v2;
}

// Address range: 0x47746c - 0x4776b3
void function_47746c(void) {
    int32_t v1 = g3; // 0x47746e
    g10 = v1;
    if (v1 == 0 || *(int32_t *)(v1 + 28) == 0 || *(int32_t *)(v1 + 32) == 0 || *(int32_t *)(v1 + 36) == 0) {
        // 0x477486
        return;
    }
    // 0x47748e
    *(int32_t *)(v1 + 20) = 0;
    *(int32_t *)(g10 + 8) = 0;
    *(int32_t *)(g10 + 24) = 0;
    *(int32_t *)(g10 + 44) = 2;
    int32_t v2 = *(int32_t *)(g10 + 28); // 0x4774a4
    g5 = v2;
    *(int32_t *)(v2 + 20) = 0;
    int32_t v3 = g5; // 0x4774aa
    *(int32_t *)(v3 + 16) = *(int32_t *)(v3 + 8);
    int32_t v4 = g5; // 0x4774b0
    int32_t * v5 = (int32_t *)(v4 + 24); // 0x4774b0_0
    uint32_t v6 = *v5; // 0x4774b0
    if (v6 <= 0xffffffff) {
        // 0x4774b7
        *v5 = -v6;
        v4 = g5;
        // branch -> 0x4774bc
    }
    // 0x4774bc
    *(int32_t *)(v4 + 4) = *(int32_t *)(v4 + 24) == 0 ? 113 : 42;
    g6 = 0;
    g8 = 0;
    g3 = 0;
    if (*(int32_t *)(g5 + 24) == 2) {
        // 0x4774d7
        function_47d23c();
        // branch -> 0x4774ef
    } else {
        // 0x4774e4
        unknown_476e00();
        // branch -> 0x4774ef
    }
    // 0x4774ef
    *(int32_t *)(g10 + 48) = g3;
    *(int32_t *)(g5 + 40) = 0;
    g3 = g5;
    function_47b32c();
    g3 = g5;
    function_478258();
}

// Address range: 0x4776b4 - 0x4776db
void function_4776b4(void) {
    int32_t * v1 = (int32_t *)(g3 + 20); // 0x4776b5_0
    *v1 = *v1 + 1;
    *(char *)(*v1 + *(int32_t *)(g3 + 8)) = (char)(g8 / 256);
    int32_t * v2 = (int32_t *)(g3 + 20); // 0x4776ca_0
    g6 = *v2;
    *v2 = *v2 + 1;
    *(char *)(g6 + *(int32_t *)(g3 + 8)) = (char)g8;
    int32_t v3;
    g5 = v3;
}

// Address range: 0x4776dc - 0x47772f
void function_4776dc(void) {
    int32_t v1 = g3; // 0x4776dd
    int32_t v2 = g10; // bp-8
    int32_t v3 = &v2; // 0x4776df_0
    g11 = v3;
    int32_t v4 = *(int32_t *)(v1 + 28); // 0x4776e0
    g3 = v4;
    int32_t v5 = *(int32_t *)(v1 + 16); // 0x4776e3
    int32_t v6 = *(int32_t *)(v4 + 20); // 0x4776e6
    int32_t v7 = v6; // esi
    int32_t v8 = v6; // 0x4776ef
    if (v6 > v5) {
        // 0x4776ed
        v7 = v5;
        v8 = v5;
        // branch -> 0x4776ef
    }
    // 0x4776ef
    int32_t v9;
    if (v8 == 0) {
        // 0x47772a
        g10 = v2;
        g5 = v9;
        return;
    }
    // 0x4776f3
    unknown_476db0();
    g11 = v3;
    int32_t * v10 = (int32_t *)(v1 + 12); // 0x477706_0
    *v10 = *v10 + v7;
    int32_t * v11 = (int32_t *)(*(int32_t *)(v1 + 28) + 16); // 0x47770c_0
    *v11 = v7 + *v11;
    int32_t * v12 = (int32_t *)(v1 + 20); // 0x47770f_0
    *v12 = v7 + *v12;
    int32_t * v13 = (int32_t *)(v1 + 16); // 0x477712_0
    *v13 = *v13 - v7;
    int32_t v14 = *(int32_t *)(v1 + 28); // 0x477715
    g6 = v14;
    int32_t * v15 = (int32_t *)(v14 + 20); // 0x477718_0
    *v15 = *v15 - v7;
    int32_t v16 = *(int32_t *)(v1 + 28); // 0x47771b
    g3 = v16;
    if (*(int32_t *)(v16 + 20) == 0) {
        // 0x477724
        *(int32_t *)(v16 + 16) = *(int32_t *)(v16 + 8);
        // branch -> 0x47772a
    }
    // 0x47772a
    g10 = v2;
    g5 = v9;
}

// Address range: 0x477730 - 0x477fa3
void function_477730(void) {
    int32_t v1 = g10; // 0x477731
    int32_t v2 = g7; // 0x477732
    int32_t v3 = g4; // 0x477733
    int32_t v4;
    g11 = &v4;
    int32_t v5 = g8; // 0x477737
    g7 = v5;
    int32_t v6 = g3; // 0x477739
    g10 = v6;
    if (v6 != 0) {
        int32_t v7 = *(int32_t *)(v6 + 28); // 0x47773f
        if (v7 != 0) {
            // 0x477745
            if (v5 <= 4) {
                // 0x47774a
                if (v5 > -1) {
                    // 0x477758
                    g5 = v7;
                    if (*(int32_t *)(v6 + 12) != 0) {
                        // 0x477761
                        int32_t v8;
                        if (*(int32_t *)v6 == 0) {
                            // 0x477766
                            if (*(int32_t *)(v6 + 4) != 0) {
                                // 0x47777a
                                *(int32_t *)(v6 + 24) = (int32_t)g32[0];
                                g3 = -2;
                                // branch -> 0x477f9c
                                // 0x477f9c
                                g4 = v8;
                                g7 = v3;
                                g10 = v2;
                                g5 = v1;
                                return;
                            }
                        }
                        // 0x47776c
                        if (*(int32_t *)(v7 + 4) == 666) {
                            // 0x477775
                            if (v5 != 4) {
                                // 0x47777a
                                *(int32_t *)(v6 + 24) = (int32_t)g32[0];
                                g3 = -2;
                                // branch -> 0x477f9c
                                // 0x477f9c
                                g4 = v8;
                                g7 = v3;
                                g10 = v2;
                                g5 = v1;
                                return;
                            }
                        }
                        // 0x47778c
                        if (*(int32_t *)(v6 + 16) == 0) {
                            // 0x477792
                            g3 = -5;
                            *(int32_t *)(v6 + 24) = (int32_t)g33[0];
                            // branch -> 0x477f9c
                        } else {
                            // 0x4777a5
                            *(int32_t *)v7 = v6;
                            int32_t * v9 = (int32_t *)(g5 + 40); // 0x4777a7_0
                            v4 = *v9;
                            *v9 = g7;
                            int32_t v10 = g5; // 0x4777b0
                            int32_t * v11 = (int32_t *)(v10 + 4); // 0x4777b0_0
                            int32_t * v12; // 0x477a96_0
                            int32_t * v13; // 0x477b09_0
                            int32_t * v14; // 0x477b43_0
                            int32_t * v15; // 0x477bbd_0
                            int32_t * v16; // 0x477bd1_0
                            int32_t * v17; // 0x477c27_0
                            int32_t * v18; // 0x477c41_0
                            int32_t v19; // ebp
                            int32_t v20; // 0x477a96
                            int32_t v21; // 0x477ac8
                            int32_t v22; // 0x477b28
                            int32_t v23; // 0x477b4a
                            int32_t v24; // 0x477b5d
                            int32_t v25; // 0x477ba9
                            int32_t v26; // 0x477bc3
                            int32_t v27; // 0x477bf6
                            int32_t v28; // 0x477c27
                            int32_t v29; // 0x477c57
                            int32_t v30; // 0x477b1a
                            uint32_t v31; // 0x477b23
                            uint32_t v32; // 0x477b88
                            int32_t v33; // 0x477ba9
                            int32_t v34; // 0x477bc6
                            unsigned char v35; // 0x477bc9
                            int32_t v36; // 0x477bd7
                            uint32_t v37; // 0x477bf1
                            uint32_t v38; // 0x477b23
                            uint32_t v39; // 0x477b88
                            int32_t v40; // 0x477bc9
                            uint32_t v41; // 0x477bf1
                            char v42; // 0x477c0b_08
                            if (*v11 == 42) {
                                // 0x4777ba
                                int32_t * v43; // 0x477cec_0
                                int32_t * v44; // 0x477d0d_0
                                int32_t * v45; // 0x477d2a_0
                                int32_t v46; // ecx
                                int32_t v47; // 0x477cec
                                int32_t v48; // 0x477d18
                                int32_t v49; // 0x477cf2
                                int32_t v50; // 0x477cfb
                                char v51; // 0x477d21
                                int32_t v52; // 0x477d30
                                uint32_t v53; // 0x477d33
                                if (*(int32_t *)(v10 + 24) == 2) {
                                    // 0x4777c4
                                    g6 = 0;
                                    g8 = 0;
                                    g3 = 0;
                                    function_47d23c();
                                    *(int32_t *)(g10 + 48) = g3;
                                    int32_t * v54 = (int32_t *)(g5 + 20); // 0x4777d2_0
                                    *v54 = *v54 + 1;
                                    *(char *)(*v54 + *(int32_t *)(g5 + 8)) = 31;
                                    int32_t * v55 = (int32_t *)(g5 + 20); // 0x4777df_0
                                    *v55 = *v55 + 1;
                                    int32_t v56 = *(int32_t *)(g5 + 8); // 0x4777e5
                                    *(char *)(*v55 + v56) = -117;
                                    int32_t * v57 = (int32_t *)(g5 + 20); // 0x4777ec_0
                                    *v57 = *v57 + 1;
                                    int32_t v58 = *(int32_t *)(g5 + 8); // 0x4777f2
                                    *(char *)(*v57 + v58) = 8;
                                    int32_t v59 = g5; // 0x4777f9
                                    int32_t * v60 = (int32_t *)(v59 + 28); // 0x4777f9_0
                                    int32_t v61 = *v60; // 0x4777f9
                                    int32_t v62; // eax
                                    uint32_t v63; // 0x477da3
                                    uint32_t v64; // 0x477d86
                                    int32_t v65; // 0x477de6
                                    int32_t v66; // 0x477d5d
                                    int32_t v67; // 0x477d6a
                                    int32_t v68; // 0x477d70
                                    int32_t v69; // 0x477d80
                                    int32_t v70; // 0x477dc5
                                    uint32_t v71; // 0x477da3
                                    int32_t v72; // 0x477dac
                                    int32_t v73; // 0x477dc5
                                    int32_t v74; // 0x477dcb
                                    int32_t v75; // 0x477df1
                                    int32_t v76; // 0x477da3
                                    if (v61 == 0) {
                                        int32_t * v77 = (int32_t *)(v59 + 20); // 0x477803_0
                                        *v77 = *v77 + 1;
                                        *(char *)(*v77 + *(int32_t *)(g5 + 8)) = 0;
                                        int32_t * v78 = (int32_t *)(g5 + 20); // 0x477810_0
                                        *v78 = *v78 + 1;
                                        *(char *)(*v78 + *(int32_t *)(g5 + 8)) = 0;
                                        int32_t * v79 = (int32_t *)(g5 + 20); // 0x47781d_0
                                        *v79 = *v79 + 1;
                                        *(char *)(*v79 + *(int32_t *)(g5 + 8)) = 0;
                                        int32_t * v80 = (int32_t *)(g5 + 20); // 0x47782a_0
                                        *v80 = *v80 + 1;
                                        *(char *)(*v80 + *(int32_t *)(g5 + 8)) = 0;
                                        int32_t * v81 = (int32_t *)(g5 + 20); // 0x477837_0
                                        *v81 = *v81 + 1;
                                        int32_t v82 = *(int32_t *)(g5 + 8); // 0x47783d
                                        v46 = v82;
                                        *(char *)(*v81 + v82) = 0;
                                        int32_t * v83 = (int32_t *)(g5 + 20); // 0x477844_0
                                        v62 = *v83;
                                        *v83 = *v83 + 1;
                                        int32_t v84 = g5; // 0x47784a
                                        int32_t * v85 = (int32_t *)(v84 + 132); // 0x47784a_0
                                        int32_t v86 = *(int32_t *)(v84 + 8); // 0x477851
                                        int32_t * v87; // 0x477875_0
                                        char v88;
                                        int32_t v89; // 0x477875
                                        if (*v85 == 9) {
                                            // 0x477856
                                            g6 = v46 & -256 | 2;
                                            v88 = 2;
                                            // branch -> 0x477872
                                        } else {
                                            // 0x47785a
                                            if (*(int32_t *)(v84 + 136) <= 1) {
                                                // 0x477863
                                                if (*v85 > 1) {
                                                    // 0x477870
                                                    g6 = 0;
                                                    // branch -> 0x477872
                                                    // 0x477872
                                                    *(char *)(v62 + v86) = 0;
                                                    v87 = (int32_t *)(g5 + 20);
                                                    v89 = *v87;
                                                    *v87 = v89 + 1;
                                                    *(char *)(*(int32_t *)(g5 + 8) + v89) = 11;
                                                    *(int32_t *)(g5 + 4) = 113;
                                                    // branch -> 0x477a96
                                                    // 0x477a96
                                                    v20 = g5;
                                                    v12 = (int32_t *)(v20 + 4);
                                                    if (*v12 == 69) {
                                                        // 0x477aa0
                                                        int32_t * v90; // 0x477ec1_0
                                                        int32_t * v91; // 0x477ed2_0
                                                        int32_t * v92; // 0x477ee6_0
                                                        int32_t * v93; // 0x477efa_0
                                                        int32_t * v94; // 0x477f0e_0
                                                        int32_t * v95; // 0x477f1f_0
                                                        int32_t * v96; // 0x477f33_0
                                                        int32_t * v97; // 0x477f47_0
                                                        int32_t * v98; // 0x477f81_0
                                                        int32_t v99; // 0x477e5e
                                                        int32_t v100; // 0x477ea7
                                                        int32_t v101; // 0x477f81
                                                        int32_t v102; // 0x477f8d
                                                        int32_t v103; // 0x477e61
                                                        int32_t v104; // 0x477ea7
                                                        char v105; // 0x477eca
                                                        int32_t v106; // 0x477ed8
                                                        uint32_t v107; // 0x477edb
                                                        int32_t v108; // 0x477eec
                                                        uint32_t v109; // 0x477eef
                                                        int32_t v110; // 0x477f25
                                                        uint32_t v111; // 0x477f28
                                                        int32_t v112; // 0x477f39
                                                        uint32_t v113; // 0x477f3c
                                                        int32_t v114; // 0x477f4d
                                                        uint32_t v115; // 0x477f50
                                                        uint32_t v116; // 0x477f81
                                                        int32_t v117; // 0x477f06
                                                        if (*(int32_t *)(*(int32_t *)(v20 + 28) + 16) == 0) {
                                                            // 0x477b56
                                                            *v12 = 73;
                                                            // branch -> 0x477b5d
                                                        } else {
                                                            // 0x477aad
                                                            g4 = *(int32_t *)(v20 + 20);
                                                            v21 = v20;
                                                            // branch -> 0x477b09
                                                            while (true) {
                                                                // 0x477b09
                                                                v13 = (int32_t *)(v21 + 28);
                                                                v22 = v21;
                                                                if ((*(int32_t *)(*v13 + 20) & 0xffff) > *(int32_t *)(v21 + 32)) {
                                                                  lab_0x477ab2_6:;
                                                                    int32_t * v118 = (int32_t *)(v21 + 20); // 0x477ab2_0
                                                                    int32_t v119 = v21; // 0x477afa
                                                                    if (*v118 == *(int32_t *)(v21 + 12)) {
                                                                        // 0x477aba
                                                                        if (*(int32_t *)(*v13 + 44) != 0) {
                                                                            uint32_t v120 = g4; // 0x477ac3
                                                                            uint32_t v121 = *v118; // 0x477ac3
                                                                            if (v120 < v121) {
                                                                                // 0x477ac8
                                                                                g6 = v121 - v120;
                                                                                g8 = *(int32_t *)(v21 + 8) + v120;
                                                                                g3 = *(int32_t *)(g10 + 48);
                                                                                function_47d23c();
                                                                                *(int32_t *)(g10 + 48) = g3;
                                                                                // branch -> 0x477add
                                                                            }
                                                                        }
                                                                        // 0x477add
                                                                        g3 = g10;
                                                                        function_4776dc();
                                                                        int32_t v122 = g5; // 0x477ae4
                                                                        int32_t v123 = *(int32_t *)(v122 + 20); // 0x477ae4
                                                                        g4 = v123;
                                                                        if (v123 == *(int32_t *)(v122 + 12)) {
                                                                            v22 = v122;
                                                                            // 0x477b1a
                                                                            v30 = *(int32_t *)(v22 + 28);
                                                                            g6 = v30;
                                                                            v23 = v22;
                                                                            if (*(int32_t *)(v30 + 44) != 0) {
                                                                                // 0x477b23
                                                                                v31 = g4;
                                                                                v38 = *(int32_t *)(v22 + 20);
                                                                                if (v31 < v38) {
                                                                                    // 0x477b28
                                                                                    g6 = v38 - v31;
                                                                                    g8 = *(int32_t *)(v22 + 8) + v31;
                                                                                    g3 = *(int32_t *)(g10 + 48);
                                                                                    function_47d23c();
                                                                                    *(int32_t *)(g10 + 48) = g3;
                                                                                    v23 = g5;
                                                                                    // branch -> 0x477b3d
                                                                                } else {
                                                                                    v23 = v22;
                                                                                }
                                                                            }
                                                                            // 0x477b3d
                                                                            v14 = (int32_t *)(v23 + 32);
                                                                            if (*(int32_t *)(*(int32_t *)(v23 + 28) + 20) == *v14) {
                                                                                // 0x477b48
                                                                                g6 = 0;
                                                                                *v14 = 0;
                                                                                *(int32_t *)(g5 + 4) = 73;
                                                                                // branch -> 0x477b5d
                                                                            }
                                                                            // 0x477b5d
                                                                            v24 = g5;
                                                                            if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                                                                // 0x477b88
                                                                                v32 = g4;
                                                                                v39 = *(int32_t *)(v24 + 20);
                                                                                if (v32 < v39) {
                                                                                    // 0x477b8d
                                                                                    g6 = v39 - v32;
                                                                                    g8 = *(int32_t *)(v24 + 8) + v32;
                                                                                    g3 = *(int32_t *)(g10 + 48);
                                                                                    function_47d23c();
                                                                                    *(int32_t *)(g10 + 48) = g3;
                                                                                    // branch -> 0x477ba2
                                                                                }
                                                                            }
                                                                            // 0x477ba2
                                                                            g3 = g10;
                                                                            function_4776dc();
                                                                            v25 = g5;
                                                                            v33 = *(int32_t *)(v25 + 20);
                                                                            v19 = v33;
                                                                            v27 = v25;
                                                                            v42 = 1;
                                                                            if (v33 != *(int32_t *)(v25 + 12)) {
                                                                                // 0x477bbd
                                                                                v15 = (int32_t *)(v25 + 32);
                                                                                *v15 = *v15 + 1;
                                                                                v26 = g5;
                                                                                v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                                                                v35 = *(char *)(*v15 + v34);
                                                                                v40 = v35;
                                                                                v16 = (int32_t *)(v26 + 20);
                                                                                *v16 = *v16 + 1;
                                                                                v36 = *(int32_t *)(g5 + 8);
                                                                                g6 = v36;
                                                                                g3 = v40 & -256 | v40;
                                                                                *(char *)(*v16 + v36) = v35;
                                                                                unknown_477b77();
                                                                                v27 = g5;
                                                                                v42 = v35;
                                                                                // branch -> 0x477be8
                                                                            }
                                                                            // 0x477be8
                                                                            if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                                                                // 0x477bf1
                                                                                v37 = v19;
                                                                                v41 = *(int32_t *)(v27 + 20);
                                                                                if (v37 < v41) {
                                                                                    // 0x477bf6
                                                                                    g6 = v41 - v37;
                                                                                    g8 = *(int32_t *)(v27 + 8) + v37;
                                                                                    function_47d23c();
                                                                                    // branch -> 0x477c0b
                                                                                }
                                                                            }
                                                                            // 0x477c0b
                                                                            if (v42 == 0) {
                                                                                // 0x477c12
                                                                                g6 = 0;
                                                                                *(int32_t *)(g5 + 32) = 0;
                                                                                *(int32_t *)(g5 + 4) = 91;
                                                                                // branch -> 0x477c27
                                                                            }
                                                                            // 0x477c27
                                                                            v28 = g5;
                                                                            v17 = (int32_t *)(v28 + 4);
                                                                            if (*v17 == 91) {
                                                                                // 0x477c31
                                                                                if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                                                                    // 0x477ce5
                                                                                    *v17 = 103;
                                                                                    // branch -> 0x477cec
                                                                                } else {
                                                                                    // 0x477c3e
                                                                                    v19 = *(int32_t *)(v28 + 20);
                                                                                    v29 = v28;
                                                                                    // branch -> 0x477c41
                                                                                    int32_t v124; // 0x477cc0
                                                                                    uint32_t v125; // 0x477cbb
                                                                                    uint32_t v126; // 0x477cbb
                                                                                    char v127; // 0x477cd5_09
                                                                                    while (true) {
                                                                                        // 0x477c41
                                                                                        v18 = (int32_t *)(v29 + 20);
                                                                                        int32_t * v128; // 0x477c87_0
                                                                                        int32_t * v129; // 0x477c9b_0
                                                                                        int32_t v130; // 0x477c8d
                                                                                        int32_t v131;
                                                                                        int32_t v132; // 0x477c90
                                                                                        unsigned char v133; // 0x477c93
                                                                                        int32_t v134; // 0x477ca1
                                                                                        if (*v18 == *(int32_t *)(v29 + 12)) {
                                                                                          lab_0x477c49_14:
                                                                                            // 0x477c49
                                                                                            if (*(int32_t *)(*(int32_t *)(v29 + 28) + 44) != 0) {
                                                                                                uint32_t v135 = v19; // 0x477c52
                                                                                                uint32_t v136 = *v18; // 0x477c52
                                                                                                if (v135 < v136) {
                                                                                                    // 0x477c57
                                                                                                    g6 = v136 - v135;
                                                                                                    g8 = *(int32_t *)(v29 + 8) + v135;
                                                                                                    g3 = *(int32_t *)(g10 + 48);
                                                                                                    function_47d23c();
                                                                                                    *(int32_t *)(g10 + 48) = g3;
                                                                                                    // branch -> 0x477c6c
                                                                                                }
                                                                                            }
                                                                                            // 0x477c6c
                                                                                            g3 = g10;
                                                                                            function_4776dc();
                                                                                            int32_t v137 = g5; // 0x477c73
                                                                                            int32_t v138 = *(int32_t *)(v137 + 20); // 0x477c73
                                                                                            v19 = v138;
                                                                                            if (v138 != *(int32_t *)(v137 + 12)) {
                                                                                                // 0x477c87
                                                                                                v128 = (int32_t *)(v137 + 32);
                                                                                                *v128 = *v128 + 1;
                                                                                                v130 = g5;
                                                                                                v132 = *(int32_t *)(*(int32_t *)(v130 + 28) + 36);
                                                                                                v133 = *(char *)(*v128 + v132);
                                                                                                g3 = v133;
                                                                                                v129 = (int32_t *)(v130 + 20);
                                                                                                *v129 = *v129 + 1;
                                                                                                v134 = *(int32_t *)(g5 + 8);
                                                                                                g6 = v134;
                                                                                                *(char *)(*v129 + v134) = v133;
                                                                                                v131 = g5;
                                                                                                if (v133 == 0) {
                                                                                                    v124 = v131;
                                                                                                    v127 = 0;
                                                                                                    // break -> 0x477cb2
                                                                                                    break;
                                                                                                }
                                                                                                v29 = v131;
                                                                                                // continue -> 0x477c41
                                                                                                continue;
                                                                                            } else {
                                                                                                v124 = v137;
                                                                                                v127 = 1;
                                                                                            }
                                                                                        } else {
                                                                                          lab_0x477c87_14:
                                                                                            // 0x477c87
                                                                                            v128 = (int32_t *)(v29 + 32);
                                                                                            *v128 = *v128 + 1;
                                                                                            v130 = g5;
                                                                                            v132 = *(int32_t *)(*(int32_t *)(v130 + 28) + 36);
                                                                                            v133 = *(char *)(*v128 + v132);
                                                                                            g3 = v133;
                                                                                            v129 = (int32_t *)(v130 + 20);
                                                                                            *v129 = *v129 + 1;
                                                                                            v134 = *(int32_t *)(g5 + 8);
                                                                                            g6 = v134;
                                                                                            *(char *)(*v129 + v134) = v133;
                                                                                            v131 = g5;
                                                                                            if (v133 == 0) {
                                                                                                v124 = v131;
                                                                                                v127 = 0;
                                                                                                // break -> 0x477cb2
                                                                                                break;
                                                                                            }
                                                                                            v29 = v131;
                                                                                            // continue -> 0x477c41
                                                                                            continue;
                                                                                        }
                                                                                        // 0x477cb2
                                                                                        if (*(int32_t *)(*(int32_t *)(v124 + 28) + 44) != 0) {
                                                                                            // 0x477cbb
                                                                                            v125 = v19;
                                                                                            v126 = *(int32_t *)(v124 + 20);
                                                                                            if (v125 < v126) {
                                                                                                // 0x477cc0
                                                                                                g6 = v126 - v125;
                                                                                                g8 = *(int32_t *)(v124 + 8) + v125;
                                                                                                function_47d23c();
                                                                                                // branch -> 0x477cd5
                                                                                            }
                                                                                        }
                                                                                        // 0x477cd5
                                                                                        if (v127 == 0) {
                                                                                            // 0x477cdc
                                                                                            *(int32_t *)(g5 + 4) = 103;
                                                                                            // branch -> 0x477cec
                                                                                        }
                                                                                    }
                                                                                    // 0x477cb2
                                                                                    if (*(int32_t *)(*(int32_t *)(v124 + 28) + 44) != 0) {
                                                                                        // 0x477cbb
                                                                                        v125 = v19;
                                                                                        v126 = *(int32_t *)(v124 + 20);
                                                                                        if (v125 < v126) {
                                                                                            // 0x477cc0
                                                                                            g6 = v126 - v125;
                                                                                            g8 = *(int32_t *)(v124 + 8) + v125;
                                                                                            function_47d23c();
                                                                                            // branch -> 0x477cd5
                                                                                        }
                                                                                    }
                                                                                    // 0x477cd5
                                                                                    if (v127 == 0) {
                                                                                        // 0x477cdc
                                                                                        *(int32_t *)(g5 + 4) = 103;
                                                                                        // branch -> 0x477cec
                                                                                    }
                                                                                }
                                                                                // 0x477cec
                                                                                v47 = g5;
                                                                                v43 = (int32_t *)(v47 + 4);
                                                                                if (*v43 == 103) {
                                                                                    // 0x477cf2
                                                                                    v49 = *(int32_t *)(v47 + 28);
                                                                                    g6 = v49;
                                                                                    if (*(int32_t *)(v49 + 44) == 0) {
                                                                                        // 0x477d56
                                                                                        *v43 = 113;
                                                                                        // branch -> 0x477d5d
                                                                                    } else {
                                                                                        // 0x477cfb
                                                                                        v50 = *(int32_t *)(v47 + 20);
                                                                                        g3 = v50;
                                                                                        v48 = v47;
                                                                                        if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                                            // 0x477d06
                                                                                            function_4776dc();
                                                                                            v48 = g5;
                                                                                            // branch -> 0x477d0d
                                                                                        }
                                                                                        // 0x477d0d
                                                                                        v44 = (int32_t *)(v48 + 20);
                                                                                        if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                                                            // 0x477d18
                                                                                            *v44 = *v44 + 1;
                                                                                            v51 = *(char *)(g10 + 48);
                                                                                            *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                                            v45 = (int32_t *)(g5 + 20);
                                                                                            v46 = *v45;
                                                                                            *v45 = *v45 + 1;
                                                                                            v52 = *(int32_t *)(g5 + 8);
                                                                                            g3 = v52;
                                                                                            v53 = *(int32_t *)(g10 + 48);
                                                                                            *(char *)(v46 + v52) = (char)(v53 / 256);
                                                                                            g6 = 0;
                                                                                            g8 = 0;
                                                                                            function_47d23c();
                                                                                            *(int32_t *)(g10 + 48) = 0;
                                                                                            *(int32_t *)(g5 + 4) = 113;
                                                                                            // branch -> 0x477d5d
                                                                                        }
                                                                                    }
                                                                                    // 0x477d5d
                                                                                    v66 = g5;
                                                                                    if (*(int32_t *)(v66 + 20) == 0) {
                                                                                        // 0x477d80
                                                                                        v69 = g10;
                                                                                        if (*(int32_t *)(v69 + 4) == 0) {
                                                                                            // 0x477d86
                                                                                            v64 = g7;
                                                                                            if (v64 <= v4) {
                                                                                                // 0x477d8b
                                                                                                if (v64 != 4) {
                                                                                                    // 0x477d90
                                                                                                    g3 = -5;
                                                                                                    *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                                                    // branch -> 0x477f9c
                                                                                                    // 0x477f9c
                                                                                                    g4 = v8;
                                                                                                    g7 = v3;
                                                                                                    g10 = v2;
                                                                                                    g5 = v1;
                                                                                                    return;
                                                                                                }
                                                                                                v70 = v69;
                                                                                                v65 = v66;
                                                                                            } else {
                                                                                                v70 = v69;
                                                                                                v65 = v66;
                                                                                            }
                                                                                        } else {
                                                                                            v70 = v69;
                                                                                            v65 = v66;
                                                                                        }
                                                                                    } else {
                                                                                        // 0x477d63
                                                                                        function_4776dc();
                                                                                        v67 = g10;
                                                                                        v68 = g5;
                                                                                        if (*(int32_t *)(v67 + 16) == 0) {
                                                                                            // 0x477d70
                                                                                            *(int32_t *)(v68 + 40) = -1;
                                                                                            g3 = 0;
                                                                                            // branch -> 0x477f9c
                                                                                            // 0x477f9c
                                                                                            g4 = v8;
                                                                                            g7 = v3;
                                                                                            g10 = v2;
                                                                                            g5 = v1;
                                                                                            return;
                                                                                        }
                                                                                        v70 = v67;
                                                                                        v65 = v68;
                                                                                    }
                                                                                    // 0x477da3
                                                                                    v71 = *(int32_t *)(v65 + 4);
                                                                                    v76 = v71 - 666;
                                                                                    v63 = llvm_ctpop_i32(v76);
                                                                                    v72 = *(int32_t *)(v70 + 4);
                                                                                    v73 = v72;
                                                                                    if (v71 == 666) {
                                                                                        // 0x477dac
                                                                                        if (v72 != 0) {
                                                                                            // 0x477db2
                                                                                            g3 = -5;
                                                                                            *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                                            // branch -> 0x477f9c
                                                                                            // 0x477f9c
                                                                                            g4 = v8;
                                                                                            g7 = v3;
                                                                                            g10 = v2;
                                                                                            g5 = v1;
                                                                                            return;
                                                                                        }
                                                                                        v73 = 0;
                                                                                    }
                                                                                    // 0x477dc5
                                                                                    g2 = false;
                                                                                    g1 = false;
                                                                                    g187 = v73 == 0;
                                                                                    g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                                                    if (v73 == 0) {
                                                                                        // 0x477dcb
                                                                                        v74 = *(int32_t *)(v65 + 116);
                                                                                        g2 = false;
                                                                                        g1 = false;
                                                                                        g187 = v74 == 0;
                                                                                        g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                                                        if (v74 == 0) {
                                                                                            // 0x477dd1
                                                                                            if (g7 != 0) {
                                                                                                // 0x477dd9
                                                                                                g2 = (v71 & 15) > 25;
                                                                                                g1 = v71 < 666;
                                                                                                g187 = v76 == 0;
                                                                                                g9 = v63 % 2 == 1;
                                                                                                if (v71 != 666) {
                                                                                                    // 0x477de6
                                                                                                    v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                                                    g4 = v75;
                                                                                                    g8 = g7;
                                                                                                    ((int32_t (*)())v75)();
                                                                                                    int32_t v139; // 0x477f9f11
                                                                                                    if (v65 != 2) {
                                                                                                        // 0x477e07
                                                                                                        if (v65 != 3) {
                                                                                                            // 0x477e15
                                                                                                            if (v65 != 0) {
                                                                                                                // 0x477e1c
                                                                                                                if (v65 != 2) {
                                                                                                                    // 0x477e37
                                                                                                                    v139 = v65;
                                                                                                                    if (v65 == 1) {
                                                                                                                        // 0x477e3e
                                                                                                                        if (g7 == 1) {
                                                                                                                            // 0x477e43
                                                                                                                            g3 = g5;
                                                                                                                            function_47c528();
                                                                                                                            // branch -> 0x477e80
                                                                                                                        } else {
                                                                                                                            // 0x477e4c
                                                                                                                            g6 = 0;
                                                                                                                            g8 = 0;
                                                                                                                            g3 = g5;
                                                                                                                            function_47c46c();
                                                                                                                            if (g7 == 3) {
                                                                                                                                // 0x477e5e
                                                                                                                                v99 = g5;
                                                                                                                                v103 = *(int32_t *)(v99 + 76);
                                                                                                                                g6 = v103;
                                                                                                                                *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                                                g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                                                unknown_476d98();
                                                                                                                                // branch -> 0x477e80
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x477e80
                                                                                                                        function_4776dc();
                                                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                            // 0x477e8d
                                                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                                                            g3 = 0;
                                                                                                                            // branch -> 0x477f9c
                                                                                                                            // 0x477f9c
                                                                                                                            g4 = 1;
                                                                                                                            g7 = v3;
                                                                                                                            g10 = v2;
                                                                                                                            g5 = v1;
                                                                                                                            return;
                                                                                                                        }
                                                                                                                        v139 = 1;
                                                                                                                    }
                                                                                                                    // 0x477e9b
                                                                                                                    if (g7 != 4) {
                                                                                                                        // 0x477ea0
                                                                                                                        g3 = 0;
                                                                                                                        // branch -> 0x477f9c
                                                                                                                        // 0x477f9c
                                                                                                                        g4 = v139;
                                                                                                                        g7 = v3;
                                                                                                                        g10 = v2;
                                                                                                                        g5 = v1;
                                                                                                                        return;
                                                                                                                    }
                                                                                                                    // 0x477ea7
                                                                                                                    v100 = g5;
                                                                                                                    v104 = *(int32_t *)(v100 + 24);
                                                                                                                    if (v104 <= 0) {
                                                                                                                        // 0x477eae
                                                                                                                        g3 = 1;
                                                                                                                        // branch -> 0x477f9c
                                                                                                                        // 0x477f9c
                                                                                                                        g4 = v139;
                                                                                                                        g7 = v3;
                                                                                                                        g10 = v2;
                                                                                                                        g5 = v1;
                                                                                                                        return;
                                                                                                                    }
                                                                                                                    // 0x477eb8
                                                                                                                    if (v104 == 2) {
                                                                                                                        // 0x477ec1
                                                                                                                        v90 = (int32_t *)(v100 + 20);
                                                                                                                        *v90 = *v90 + 1;
                                                                                                                        v105 = *(char *)(g10 + 48);
                                                                                                                        *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                                        v91 = (int32_t *)(g5 + 20);
                                                                                                                        *v91 = *v91 + 1;
                                                                                                                        v106 = *(int32_t *)(g5 + 8);
                                                                                                                        v107 = *(int32_t *)(g10 + 48);
                                                                                                                        *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                                        v92 = (int32_t *)(g5 + 20);
                                                                                                                        *v92 = *v92 + 1;
                                                                                                                        v108 = *(int32_t *)(g5 + 8);
                                                                                                                        v109 = *(int32_t *)(g10 + 48);
                                                                                                                        *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                                        v93 = (int32_t *)(g5 + 20);
                                                                                                                        *v93 = *v93 + 1;
                                                                                                                        v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                        *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                                        v94 = (int32_t *)(g5 + 20);
                                                                                                                        *v94 = *v94 + 1;
                                                                                                                        *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                        v95 = (int32_t *)(g5 + 20);
                                                                                                                        *v95 = *v95 + 1;
                                                                                                                        v110 = *(int32_t *)(g5 + 8);
                                                                                                                        v111 = *(int32_t *)(g10 + 8);
                                                                                                                        *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                                        v96 = (int32_t *)(g5 + 20);
                                                                                                                        *v96 = *v96 + 1;
                                                                                                                        v112 = *(int32_t *)(g5 + 8);
                                                                                                                        v113 = *(int32_t *)(g10 + 8);
                                                                                                                        *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                                        v97 = (int32_t *)(g5 + 20);
                                                                                                                        *v97 = *v97 + 1;
                                                                                                                        v114 = *(int32_t *)(g5 + 8);
                                                                                                                        g6 = v114;
                                                                                                                        v115 = *(int32_t *)(g10 + 8);
                                                                                                                        *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                                        // branch -> 0x477f7a
                                                                                                                    } else {
                                                                                                                        // 0x477f5d
                                                                                                                        g3 = v100;
                                                                                                                        g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                        function_4776b4();
                                                                                                                        g3 = g5;
                                                                                                                        g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                        function_4776b4();
                                                                                                                        // branch -> 0x477f7a
                                                                                                                    }
                                                                                                                    // 0x477f7a
                                                                                                                    g3 = g10;
                                                                                                                    function_4776dc();
                                                                                                                    v101 = g5;
                                                                                                                    v98 = (int32_t *)(v101 + 24);
                                                                                                                    v116 = *v98;
                                                                                                                    v102 = v101;
                                                                                                                    if (v116 >= 1) {
                                                                                                                        // 0x477f88
                                                                                                                        *v98 = -v116;
                                                                                                                        v102 = g5;
                                                                                                                        // branch -> 0x477f8d
                                                                                                                    }
                                                                                                                    // 0x477f8d
                                                                                                                    if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                                        // 0x477f97
                                                                                                                        g3 = 1;
                                                                                                                        // branch -> 0x477f9c
                                                                                                                        // 0x477f9c
                                                                                                                        g4 = v139;
                                                                                                                        g7 = v3;
                                                                                                                        g10 = v2;
                                                                                                                        g5 = v1;
                                                                                                                        return;
                                                                                                                    }
                                                                                                                    // 0x477f93
                                                                                                                    g3 = 0;
                                                                                                                    // branch -> 0x477f9c
                                                                                                                    // 0x477f9c
                                                                                                                    g4 = v139;
                                                                                                                    g7 = v3;
                                                                                                                    g10 = v2;
                                                                                                                    g5 = v1;
                                                                                                                    return;
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x477e23
                                                                                                            if (*(int32_t *)(g10 + 16) != 0) {
                                                                                                                // 0x477e30
                                                                                                                g3 = 0;
                                                                                                                // branch -> 0x477f9c
                                                                                                                // 0x477f9c
                                                                                                                g4 = v65;
                                                                                                                g7 = v3;
                                                                                                                g10 = v2;
                                                                                                                g5 = v1;
                                                                                                                return;
                                                                                                            }
                                                                                                            // 0x477e29
                                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                                            // branch -> 0x477e30
                                                                                                            // 0x477e30
                                                                                                            g3 = 0;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // 0x477f9c
                                                                                                            g4 = v65;
                                                                                                            g7 = v3;
                                                                                                            g10 = v2;
                                                                                                            g5 = v1;
                                                                                                            return;
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x477e0e
                                                                                                    *(int32_t *)(g5 + 4) = 666;
                                                                                                    // branch -> 0x477e15
                                                                                                    // 0x477e15
                                                                                                    if (v65 != 0) {
                                                                                                        // 0x477e1c
                                                                                                        if (v65 != 2) {
                                                                                                            // 0x477e37
                                                                                                            v139 = v65;
                                                                                                            if (v65 == 1) {
                                                                                                                // 0x477e3e
                                                                                                                if (g7 == 1) {
                                                                                                                    // 0x477e43
                                                                                                                    g3 = g5;
                                                                                                                    function_47c528();
                                                                                                                    // branch -> 0x477e80
                                                                                                                } else {
                                                                                                                    // 0x477e4c
                                                                                                                    g6 = 0;
                                                                                                                    g8 = 0;
                                                                                                                    g3 = g5;
                                                                                                                    function_47c46c();
                                                                                                                    if (g7 == 3) {
                                                                                                                        // 0x477e5e
                                                                                                                        v99 = g5;
                                                                                                                        v103 = *(int32_t *)(v99 + 76);
                                                                                                                        g6 = v103;
                                                                                                                        *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                                        g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                                        unknown_476d98();
                                                                                                                        // branch -> 0x477e80
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x477e80
                                                                                                                function_4776dc();
                                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                    // 0x477e8d
                                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                                    g3 = 0;
                                                                                                                    // branch -> 0x477f9c
                                                                                                                    // 0x477f9c
                                                                                                                    g4 = 1;
                                                                                                                    g7 = v3;
                                                                                                                    g10 = v2;
                                                                                                                    g5 = v1;
                                                                                                                    return;
                                                                                                                }
                                                                                                                v139 = 1;
                                                                                                            }
                                                                                                            // 0x477e9b
                                                                                                            if (g7 != 4) {
                                                                                                                // 0x477ea0
                                                                                                                g3 = 0;
                                                                                                                // branch -> 0x477f9c
                                                                                                                // 0x477f9c
                                                                                                                g4 = v139;
                                                                                                                g7 = v3;
                                                                                                                g10 = v2;
                                                                                                                g5 = v1;
                                                                                                                return;
                                                                                                            }
                                                                                                            // 0x477ea7
                                                                                                            v100 = g5;
                                                                                                            v104 = *(int32_t *)(v100 + 24);
                                                                                                            if (v104 <= 0) {
                                                                                                                // 0x477eae
                                                                                                                g3 = 1;
                                                                                                                // branch -> 0x477f9c
                                                                                                                // 0x477f9c
                                                                                                                g4 = v139;
                                                                                                                g7 = v3;
                                                                                                                g10 = v2;
                                                                                                                g5 = v1;
                                                                                                                return;
                                                                                                            }
                                                                                                            // 0x477eb8
                                                                                                            if (v104 == 2) {
                                                                                                                // 0x477ec1
                                                                                                                v90 = (int32_t *)(v100 + 20);
                                                                                                                *v90 = *v90 + 1;
                                                                                                                v105 = *(char *)(g10 + 48);
                                                                                                                *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                                v91 = (int32_t *)(g5 + 20);
                                                                                                                *v91 = *v91 + 1;
                                                                                                                v106 = *(int32_t *)(g5 + 8);
                                                                                                                v107 = *(int32_t *)(g10 + 48);
                                                                                                                *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                                v92 = (int32_t *)(g5 + 20);
                                                                                                                *v92 = *v92 + 1;
                                                                                                                v108 = *(int32_t *)(g5 + 8);
                                                                                                                v109 = *(int32_t *)(g10 + 48);
                                                                                                                *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                                v93 = (int32_t *)(g5 + 20);
                                                                                                                *v93 = *v93 + 1;
                                                                                                                v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                                v94 = (int32_t *)(g5 + 20);
                                                                                                                *v94 = *v94 + 1;
                                                                                                                *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                v95 = (int32_t *)(g5 + 20);
                                                                                                                *v95 = *v95 + 1;
                                                                                                                v110 = *(int32_t *)(g5 + 8);
                                                                                                                v111 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                                v96 = (int32_t *)(g5 + 20);
                                                                                                                *v96 = *v96 + 1;
                                                                                                                v112 = *(int32_t *)(g5 + 8);
                                                                                                                v113 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                                v97 = (int32_t *)(g5 + 20);
                                                                                                                *v97 = *v97 + 1;
                                                                                                                v114 = *(int32_t *)(g5 + 8);
                                                                                                                g6 = v114;
                                                                                                                v115 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                                // branch -> 0x477f7a
                                                                                                            } else {
                                                                                                                // 0x477f5d
                                                                                                                g3 = v100;
                                                                                                                g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                function_4776b4();
                                                                                                                g3 = g5;
                                                                                                                g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                function_4776b4();
                                                                                                                // branch -> 0x477f7a
                                                                                                            }
                                                                                                            // 0x477f7a
                                                                                                            g3 = g10;
                                                                                                            function_4776dc();
                                                                                                            v101 = g5;
                                                                                                            v98 = (int32_t *)(v101 + 24);
                                                                                                            v116 = *v98;
                                                                                                            v102 = v101;
                                                                                                            if (v116 >= 1) {
                                                                                                                // 0x477f88
                                                                                                                *v98 = -v116;
                                                                                                                v102 = g5;
                                                                                                                // branch -> 0x477f8d
                                                                                                            }
                                                                                                            // 0x477f8d
                                                                                                            if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                                // 0x477f97
                                                                                                                g3 = 1;
                                                                                                                // branch -> 0x477f9c
                                                                                                                // 0x477f9c
                                                                                                                g4 = v139;
                                                                                                                g7 = v3;
                                                                                                                g10 = v2;
                                                                                                                g5 = v1;
                                                                                                                return;
                                                                                                            }
                                                                                                            // 0x477f93
                                                                                                            g3 = 0;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // 0x477f9c
                                                                                                            g4 = v139;
                                                                                                            g7 = v3;
                                                                                                            g10 = v2;
                                                                                                            g5 = v1;
                                                                                                            return;
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x477e23
                                                                                                    if (*(int32_t *)(g10 + 16) != 0) {
                                                                                                        // 0x477e30
                                                                                                        g3 = 0;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // 0x477f9c
                                                                                                        g4 = v65;
                                                                                                        g7 = v3;
                                                                                                        g10 = v2;
                                                                                                        g5 = v1;
                                                                                                        return;
                                                                                                    }
                                                                                                    // 0x477e29
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    // branch -> 0x477e30
                                                                                                    // 0x477e30
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // 0x477f9c
                                                                                                    g4 = v65;
                                                                                                    g7 = v3;
                                                                                                    g10 = v2;
                                                                                                    g5 = v1;
                                                                                                    return;
                                                                                                }
                                                                                            }
                                                                                            // 0x477e9b
                                                                                            if (g7 == 4) {
                                                                                                // 0x477ea7
                                                                                                v100 = g5;
                                                                                                v104 = *(int32_t *)(v100 + 24);
                                                                                                if (v104 > 0) {
                                                                                                    // 0x477eb8
                                                                                                    if (v104 == 2) {
                                                                                                        // 0x477ec1
                                                                                                        v90 = (int32_t *)(v100 + 20);
                                                                                                        *v90 = *v90 + 1;
                                                                                                        v105 = *(char *)(g10 + 48);
                                                                                                        *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                        v91 = (int32_t *)(g5 + 20);
                                                                                                        *v91 = *v91 + 1;
                                                                                                        v106 = *(int32_t *)(g5 + 8);
                                                                                                        v107 = *(int32_t *)(g10 + 48);
                                                                                                        *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                        v92 = (int32_t *)(g5 + 20);
                                                                                                        *v92 = *v92 + 1;
                                                                                                        v108 = *(int32_t *)(g5 + 8);
                                                                                                        v109 = *(int32_t *)(g10 + 48);
                                                                                                        *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                        v93 = (int32_t *)(g5 + 20);
                                                                                                        *v93 = *v93 + 1;
                                                                                                        v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                        *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                        v94 = (int32_t *)(g5 + 20);
                                                                                                        *v94 = *v94 + 1;
                                                                                                        *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                        v95 = (int32_t *)(g5 + 20);
                                                                                                        *v95 = *v95 + 1;
                                                                                                        v110 = *(int32_t *)(g5 + 8);
                                                                                                        v111 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                        v96 = (int32_t *)(g5 + 20);
                                                                                                        *v96 = *v96 + 1;
                                                                                                        v112 = *(int32_t *)(g5 + 8);
                                                                                                        v113 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                        v97 = (int32_t *)(g5 + 20);
                                                                                                        *v97 = *v97 + 1;
                                                                                                        v114 = *(int32_t *)(g5 + 8);
                                                                                                        g6 = v114;
                                                                                                        v115 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                        // branch -> 0x477f7a
                                                                                                    } else {
                                                                                                        // 0x477f5d
                                                                                                        g3 = v100;
                                                                                                        g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                        function_4776b4();
                                                                                                        g3 = g5;
                                                                                                        g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                        function_4776b4();
                                                                                                        // branch -> 0x477f7a
                                                                                                    }
                                                                                                    // 0x477f7a
                                                                                                    g3 = g10;
                                                                                                    function_4776dc();
                                                                                                    v101 = g5;
                                                                                                    v98 = (int32_t *)(v101 + 24);
                                                                                                    v116 = *v98;
                                                                                                    v102 = v101;
                                                                                                    if (v116 >= 1) {
                                                                                                        // 0x477f88
                                                                                                        *v98 = -v116;
                                                                                                        v102 = g5;
                                                                                                        // branch -> 0x477f8d
                                                                                                    }
                                                                                                    // 0x477f8d
                                                                                                    if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                        // 0x477f97
                                                                                                        g3 = 1;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x477f93
                                                                                                        g3 = 0;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x477eae
                                                                                                    g3 = 1;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                // 0x477ea0
                                                                                                g3 = 0;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x477de6
                                                                                    v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                                    g4 = v75;
                                                                                    g8 = g7;
                                                                                    ((int32_t (*)())v75)();
                                                                                    if (v65 != 2) {
                                                                                        // 0x477e07
                                                                                        if (v65 != 3) {
                                                                                            // 0x477e15
                                                                                            if (v65 != 0) {
                                                                                                // 0x477e1c
                                                                                                if (v65 != 2) {
                                                                                                    // 0x477e37
                                                                                                    if (v65 == 1) {
                                                                                                        // 0x477e3e
                                                                                                        if (g7 == 1) {
                                                                                                            // 0x477e43
                                                                                                            g3 = g5;
                                                                                                            function_47c528();
                                                                                                            // branch -> 0x477e80
                                                                                                        } else {
                                                                                                            // 0x477e4c
                                                                                                            g6 = 0;
                                                                                                            g8 = 0;
                                                                                                            g3 = g5;
                                                                                                            function_47c46c();
                                                                                                            if (g7 == 3) {
                                                                                                                // 0x477e5e
                                                                                                                v99 = g5;
                                                                                                                v103 = *(int32_t *)(v99 + 76);
                                                                                                                g6 = v103;
                                                                                                                *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                                g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                                unknown_476d98();
                                                                                                                // branch -> 0x477e80
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x477e80
                                                                                                        function_4776dc();
                                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                            // 0x477e8d
                                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                                            g3 = 0;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x477e9b
                                                                                                    if (g7 == 4) {
                                                                                                        // 0x477ea7
                                                                                                        v100 = g5;
                                                                                                        v104 = *(int32_t *)(v100 + 24);
                                                                                                        if (v104 > 0) {
                                                                                                            // 0x477eb8
                                                                                                            if (v104 == 2) {
                                                                                                                // 0x477ec1
                                                                                                                v90 = (int32_t *)(v100 + 20);
                                                                                                                *v90 = *v90 + 1;
                                                                                                                v105 = *(char *)(g10 + 48);
                                                                                                                *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                                v91 = (int32_t *)(g5 + 20);
                                                                                                                *v91 = *v91 + 1;
                                                                                                                v106 = *(int32_t *)(g5 + 8);
                                                                                                                v107 = *(int32_t *)(g10 + 48);
                                                                                                                *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                                v92 = (int32_t *)(g5 + 20);
                                                                                                                *v92 = *v92 + 1;
                                                                                                                v108 = *(int32_t *)(g5 + 8);
                                                                                                                v109 = *(int32_t *)(g10 + 48);
                                                                                                                *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                                v93 = (int32_t *)(g5 + 20);
                                                                                                                *v93 = *v93 + 1;
                                                                                                                v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                                v94 = (int32_t *)(g5 + 20);
                                                                                                                *v94 = *v94 + 1;
                                                                                                                *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                v95 = (int32_t *)(g5 + 20);
                                                                                                                *v95 = *v95 + 1;
                                                                                                                v110 = *(int32_t *)(g5 + 8);
                                                                                                                v111 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                                v96 = (int32_t *)(g5 + 20);
                                                                                                                *v96 = *v96 + 1;
                                                                                                                v112 = *(int32_t *)(g5 + 8);
                                                                                                                v113 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                                v97 = (int32_t *)(g5 + 20);
                                                                                                                *v97 = *v97 + 1;
                                                                                                                v114 = *(int32_t *)(g5 + 8);
                                                                                                                g6 = v114;
                                                                                                                v115 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                                // branch -> 0x477f7a
                                                                                                            } else {
                                                                                                                // 0x477f5d
                                                                                                                g3 = v100;
                                                                                                                g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                function_4776b4();
                                                                                                                g3 = g5;
                                                                                                                g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                function_4776b4();
                                                                                                                // branch -> 0x477f7a
                                                                                                            }
                                                                                                            // 0x477f7a
                                                                                                            g3 = g10;
                                                                                                            function_4776dc();
                                                                                                            v101 = g5;
                                                                                                            v98 = (int32_t *)(v101 + 24);
                                                                                                            v116 = *v98;
                                                                                                            v102 = v101;
                                                                                                            if (v116 >= 1) {
                                                                                                                // 0x477f88
                                                                                                                *v98 = -v116;
                                                                                                                v102 = g5;
                                                                                                                // branch -> 0x477f8d
                                                                                                            }
                                                                                                            // 0x477f8d
                                                                                                            if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                                // 0x477f97
                                                                                                                g3 = 1;
                                                                                                                // branch -> 0x477f9c
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            } else {
                                                                                                                // 0x477f93
                                                                                                                g3 = 0;
                                                                                                                // branch -> 0x477f9c
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        } else {
                                                                                                            // 0x477eae
                                                                                                            g3 = 1;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x477ea0
                                                                                                        g3 = 0;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x477e23
                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                // 0x477e29
                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                // branch -> 0x477e30
                                                                                                // 0x477e30
                                                                                                g3 = 0;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // 0x477e30
                                                                                            g3 = 0;
                                                                                            // branch -> 0x477f9c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x477e0e
                                                                                    *(int32_t *)(g5 + 4) = 666;
                                                                                    // branch -> 0x477e15
                                                                                    // 0x477e15
                                                                                    if (v65 != 0) {
                                                                                        // 0x477e1c
                                                                                        if (v65 != 2) {
                                                                                            // 0x477e37
                                                                                            if (v65 == 1) {
                                                                                                // 0x477e3e
                                                                                                if (g7 == 1) {
                                                                                                    // 0x477e43
                                                                                                    g3 = g5;
                                                                                                    function_47c528();
                                                                                                    // branch -> 0x477e80
                                                                                                } else {
                                                                                                    // 0x477e4c
                                                                                                    g6 = 0;
                                                                                                    g8 = 0;
                                                                                                    g3 = g5;
                                                                                                    function_47c46c();
                                                                                                    if (g7 == 3) {
                                                                                                        // 0x477e5e
                                                                                                        v99 = g5;
                                                                                                        v103 = *(int32_t *)(v99 + 76);
                                                                                                        g6 = v103;
                                                                                                        *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                        g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                        unknown_476d98();
                                                                                                        // branch -> 0x477e80
                                                                                                    }
                                                                                                }
                                                                                                // 0x477e80
                                                                                                function_4776dc();
                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                    // 0x477e8d
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x477e9b
                                                                                            if (g7 == 4) {
                                                                                                // 0x477ea7
                                                                                                v100 = g5;
                                                                                                v104 = *(int32_t *)(v100 + 24);
                                                                                                if (v104 > 0) {
                                                                                                    // 0x477eb8
                                                                                                    if (v104 == 2) {
                                                                                                        // 0x477ec1
                                                                                                        v90 = (int32_t *)(v100 + 20);
                                                                                                        *v90 = *v90 + 1;
                                                                                                        v105 = *(char *)(g10 + 48);
                                                                                                        *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                        v91 = (int32_t *)(g5 + 20);
                                                                                                        *v91 = *v91 + 1;
                                                                                                        v106 = *(int32_t *)(g5 + 8);
                                                                                                        v107 = *(int32_t *)(g10 + 48);
                                                                                                        *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                        v92 = (int32_t *)(g5 + 20);
                                                                                                        *v92 = *v92 + 1;
                                                                                                        v108 = *(int32_t *)(g5 + 8);
                                                                                                        v109 = *(int32_t *)(g10 + 48);
                                                                                                        *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                        v93 = (int32_t *)(g5 + 20);
                                                                                                        *v93 = *v93 + 1;
                                                                                                        v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                        *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                        v94 = (int32_t *)(g5 + 20);
                                                                                                        *v94 = *v94 + 1;
                                                                                                        *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                        v95 = (int32_t *)(g5 + 20);
                                                                                                        *v95 = *v95 + 1;
                                                                                                        v110 = *(int32_t *)(g5 + 8);
                                                                                                        v111 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                        v96 = (int32_t *)(g5 + 20);
                                                                                                        *v96 = *v96 + 1;
                                                                                                        v112 = *(int32_t *)(g5 + 8);
                                                                                                        v113 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                        v97 = (int32_t *)(g5 + 20);
                                                                                                        *v97 = *v97 + 1;
                                                                                                        v114 = *(int32_t *)(g5 + 8);
                                                                                                        g6 = v114;
                                                                                                        v115 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                        // branch -> 0x477f7a
                                                                                                    } else {
                                                                                                        // 0x477f5d
                                                                                                        g3 = v100;
                                                                                                        g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                        function_4776b4();
                                                                                                        g3 = g5;
                                                                                                        g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                        function_4776b4();
                                                                                                        // branch -> 0x477f7a
                                                                                                    }
                                                                                                    // 0x477f7a
                                                                                                    g3 = g10;
                                                                                                    function_4776dc();
                                                                                                    v101 = g5;
                                                                                                    v98 = (int32_t *)(v101 + 24);
                                                                                                    v116 = *v98;
                                                                                                    v102 = v101;
                                                                                                    if (v116 >= 1) {
                                                                                                        // 0x477f88
                                                                                                        *v98 = -v116;
                                                                                                        v102 = g5;
                                                                                                        // branch -> 0x477f8d
                                                                                                    }
                                                                                                    // 0x477f8d
                                                                                                    if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                        // 0x477f97
                                                                                                        g3 = 1;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x477f93
                                                                                                        g3 = 0;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x477eae
                                                                                                    g3 = 1;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                // 0x477ea0
                                                                                                g3 = 0;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x477e23
                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                        // 0x477e29
                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                        // branch -> 0x477e30
                                                                                        // 0x477e30
                                                                                        g3 = 0;
                                                                                        // branch -> 0x477f9c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // 0x477e30
                                                                                    g3 = 0;
                                                                                    // branch -> 0x477f9c
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // 0x477d5d
                                                                                v66 = g5;
                                                                                if (*(int32_t *)(v66 + 20) == 0) {
                                                                                    // 0x477d80
                                                                                    v69 = g10;
                                                                                    if (*(int32_t *)(v69 + 4) == 0) {
                                                                                        // 0x477d86
                                                                                        v64 = g7;
                                                                                        if (v64 <= v4) {
                                                                                            // 0x477d8b
                                                                                            if (v64 != 4) {
                                                                                                // 0x477d90
                                                                                                g3 = -5;
                                                                                                *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                v70 = v69;
                                                                                                v65 = v66;
                                                                                            }
                                                                                        } else {
                                                                                            v70 = v69;
                                                                                            v65 = v66;
                                                                                        }
                                                                                    } else {
                                                                                        v70 = v69;
                                                                                        v65 = v66;
                                                                                    }
                                                                                } else {
                                                                                    // 0x477d63
                                                                                    function_4776dc();
                                                                                    v67 = g10;
                                                                                    v68 = g5;
                                                                                    if (*(int32_t *)(v67 + 16) == 0) {
                                                                                        // 0x477d70
                                                                                        *(int32_t *)(v68 + 40) = -1;
                                                                                        g3 = 0;
                                                                                        // branch -> 0x477f9c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        v70 = v67;
                                                                                        v65 = v68;
                                                                                    }
                                                                                }
                                                                                // 0x477da3
                                                                                v71 = *(int32_t *)(v65 + 4);
                                                                                v76 = v71 - 666;
                                                                                v63 = llvm_ctpop_i32(v76);
                                                                                v72 = *(int32_t *)(v70 + 4);
                                                                                v73 = v72;
                                                                                if (v71 == 666) {
                                                                                    // 0x477dac
                                                                                    if (v72 != 0) {
                                                                                        // 0x477db2
                                                                                        g3 = -5;
                                                                                        *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                                        // branch -> 0x477f9c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        v73 = 0;
                                                                                    }
                                                                                }
                                                                                // 0x477dc5
                                                                                g2 = false;
                                                                                g1 = false;
                                                                                g187 = v73 == 0;
                                                                                g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                                                if (v73 == 0) {
                                                                                    // 0x477dcb
                                                                                    v74 = *(int32_t *)(v65 + 116);
                                                                                    g2 = false;
                                                                                    g1 = false;
                                                                                    g187 = v74 == 0;
                                                                                    g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                                                    if (v74 == 0) {
                                                                                        // 0x477dd1
                                                                                        if (g7 != 0) {
                                                                                            // 0x477dd9
                                                                                            g2 = (v71 & 15) > 25;
                                                                                            g1 = v71 < 666;
                                                                                            g187 = v76 == 0;
                                                                                            g9 = v63 % 2 == 1;
                                                                                            if (v71 != 666) {
                                                                                                // 0x477de6
                                                                                                v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                                                g4 = v75;
                                                                                                g8 = g7;
                                                                                                ((int32_t (*)())v75)();
                                                                                                if (v65 != 2) {
                                                                                                    // 0x477e07
                                                                                                    if (v65 != 3) {
                                                                                                        // 0x477e15
                                                                                                        if (v65 != 0) {
                                                                                                            // 0x477e1c
                                                                                                            if (v65 != 2) {
                                                                                                                // 0x477e37
                                                                                                                if (v65 == 1) {
                                                                                                                    // 0x477e3e
                                                                                                                    if (g7 == 1) {
                                                                                                                        // 0x477e43
                                                                                                                        g3 = g5;
                                                                                                                        function_47c528();
                                                                                                                        // branch -> 0x477e80
                                                                                                                    } else {
                                                                                                                        // 0x477e4c
                                                                                                                        g6 = 0;
                                                                                                                        g8 = 0;
                                                                                                                        g3 = g5;
                                                                                                                        function_47c46c();
                                                                                                                        if (g7 == 3) {
                                                                                                                            // 0x477e5e
                                                                                                                            v99 = g5;
                                                                                                                            v103 = *(int32_t *)(v99 + 76);
                                                                                                                            g6 = v103;
                                                                                                                            *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                                            g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                                            unknown_476d98();
                                                                                                                            // branch -> 0x477e80
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x477e80
                                                                                                                    function_4776dc();
                                                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                        // 0x477e8d
                                                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                                                        g3 = 0;
                                                                                                                        // branch -> 0x477f9c
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x477e9b
                                                                                                                if (g7 == 4) {
                                                                                                                    // 0x477ea7
                                                                                                                    v100 = g5;
                                                                                                                    v104 = *(int32_t *)(v100 + 24);
                                                                                                                    if (v104 > 0) {
                                                                                                                        // 0x477eb8
                                                                                                                        if (v104 == 2) {
                                                                                                                            // 0x477ec1
                                                                                                                            v90 = (int32_t *)(v100 + 20);
                                                                                                                            *v90 = *v90 + 1;
                                                                                                                            v105 = *(char *)(g10 + 48);
                                                                                                                            *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                                            v91 = (int32_t *)(g5 + 20);
                                                                                                                            *v91 = *v91 + 1;
                                                                                                                            v106 = *(int32_t *)(g5 + 8);
                                                                                                                            v107 = *(int32_t *)(g10 + 48);
                                                                                                                            *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                                            v92 = (int32_t *)(g5 + 20);
                                                                                                                            *v92 = *v92 + 1;
                                                                                                                            v108 = *(int32_t *)(g5 + 8);
                                                                                                                            v109 = *(int32_t *)(g10 + 48);
                                                                                                                            *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                                            v93 = (int32_t *)(g5 + 20);
                                                                                                                            *v93 = *v93 + 1;
                                                                                                                            v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                            *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                                            v94 = (int32_t *)(g5 + 20);
                                                                                                                            *v94 = *v94 + 1;
                                                                                                                            *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                            v95 = (int32_t *)(g5 + 20);
                                                                                                                            *v95 = *v95 + 1;
                                                                                                                            v110 = *(int32_t *)(g5 + 8);
                                                                                                                            v111 = *(int32_t *)(g10 + 8);
                                                                                                                            *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                                            v96 = (int32_t *)(g5 + 20);
                                                                                                                            *v96 = *v96 + 1;
                                                                                                                            v112 = *(int32_t *)(g5 + 8);
                                                                                                                            v113 = *(int32_t *)(g10 + 8);
                                                                                                                            *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                                            v97 = (int32_t *)(g5 + 20);
                                                                                                                            *v97 = *v97 + 1;
                                                                                                                            v114 = *(int32_t *)(g5 + 8);
                                                                                                                            g6 = v114;
                                                                                                                            v115 = *(int32_t *)(g10 + 8);
                                                                                                                            *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                                            // branch -> 0x477f7a
                                                                                                                        } else {
                                                                                                                            // 0x477f5d
                                                                                                                            g3 = v100;
                                                                                                                            g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                            function_4776b4();
                                                                                                                            g3 = g5;
                                                                                                                            g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                            function_4776b4();
                                                                                                                            // branch -> 0x477f7a
                                                                                                                        }
                                                                                                                        // 0x477f7a
                                                                                                                        g3 = g10;
                                                                                                                        function_4776dc();
                                                                                                                        v101 = g5;
                                                                                                                        v98 = (int32_t *)(v101 + 24);
                                                                                                                        v116 = *v98;
                                                                                                                        v102 = v101;
                                                                                                                        if (v116 >= 1) {
                                                                                                                            // 0x477f88
                                                                                                                            *v98 = -v116;
                                                                                                                            v102 = g5;
                                                                                                                            // branch -> 0x477f8d
                                                                                                                        }
                                                                                                                        // 0x477f8d
                                                                                                                        if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                                            // 0x477f97
                                                                                                                            g3 = 1;
                                                                                                                            // branch -> 0x477f9c
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        } else {
                                                                                                                            // 0x477f93
                                                                                                                            g3 = 0;
                                                                                                                            // branch -> 0x477f9c
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x477eae
                                                                                                                        g3 = 1;
                                                                                                                        // branch -> 0x477f9c
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                } else {
                                                                                                                    // 0x477ea0
                                                                                                                    g3 = 0;
                                                                                                                    // branch -> 0x477f9c
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x477e23
                                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                            // 0x477e29
                                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                                            // branch -> 0x477e30
                                                                                                            // 0x477e30
                                                                                                            g3 = 0;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // 0x477e30
                                                                                                        g3 = 0;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x477e0e
                                                                                                *(int32_t *)(g5 + 4) = 666;
                                                                                                // branch -> 0x477e15
                                                                                                // 0x477e15
                                                                                                if (v65 != 0) {
                                                                                                    // 0x477e1c
                                                                                                    if (v65 != 2) {
                                                                                                        // 0x477e37
                                                                                                        if (v65 == 1) {
                                                                                                            // 0x477e3e
                                                                                                            if (g7 == 1) {
                                                                                                                // 0x477e43
                                                                                                                g3 = g5;
                                                                                                                function_47c528();
                                                                                                                // branch -> 0x477e80
                                                                                                            } else {
                                                                                                                // 0x477e4c
                                                                                                                g6 = 0;
                                                                                                                g8 = 0;
                                                                                                                g3 = g5;
                                                                                                                function_47c46c();
                                                                                                                if (g7 == 3) {
                                                                                                                    // 0x477e5e
                                                                                                                    v99 = g5;
                                                                                                                    v103 = *(int32_t *)(v99 + 76);
                                                                                                                    g6 = v103;
                                                                                                                    *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                                    g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                                    unknown_476d98();
                                                                                                                    // branch -> 0x477e80
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x477e80
                                                                                                            function_4776dc();
                                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                // 0x477e8d
                                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                                g3 = 0;
                                                                                                                // branch -> 0x477f9c
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x477e9b
                                                                                                        if (g7 == 4) {
                                                                                                            // 0x477ea7
                                                                                                            v100 = g5;
                                                                                                            v104 = *(int32_t *)(v100 + 24);
                                                                                                            if (v104 > 0) {
                                                                                                                // 0x477eb8
                                                                                                                if (v104 == 2) {
                                                                                                                    // 0x477ec1
                                                                                                                    v90 = (int32_t *)(v100 + 20);
                                                                                                                    *v90 = *v90 + 1;
                                                                                                                    v105 = *(char *)(g10 + 48);
                                                                                                                    *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                                    v91 = (int32_t *)(g5 + 20);
                                                                                                                    *v91 = *v91 + 1;
                                                                                                                    v106 = *(int32_t *)(g5 + 8);
                                                                                                                    v107 = *(int32_t *)(g10 + 48);
                                                                                                                    *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                                    v92 = (int32_t *)(g5 + 20);
                                                                                                                    *v92 = *v92 + 1;
                                                                                                                    v108 = *(int32_t *)(g5 + 8);
                                                                                                                    v109 = *(int32_t *)(g10 + 48);
                                                                                                                    *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                                    v93 = (int32_t *)(g5 + 20);
                                                                                                                    *v93 = *v93 + 1;
                                                                                                                    v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                    *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                                    v94 = (int32_t *)(g5 + 20);
                                                                                                                    *v94 = *v94 + 1;
                                                                                                                    *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                    v95 = (int32_t *)(g5 + 20);
                                                                                                                    *v95 = *v95 + 1;
                                                                                                                    v110 = *(int32_t *)(g5 + 8);
                                                                                                                    v111 = *(int32_t *)(g10 + 8);
                                                                                                                    *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                                    v96 = (int32_t *)(g5 + 20);
                                                                                                                    *v96 = *v96 + 1;
                                                                                                                    v112 = *(int32_t *)(g5 + 8);
                                                                                                                    v113 = *(int32_t *)(g10 + 8);
                                                                                                                    *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                                    v97 = (int32_t *)(g5 + 20);
                                                                                                                    *v97 = *v97 + 1;
                                                                                                                    v114 = *(int32_t *)(g5 + 8);
                                                                                                                    g6 = v114;
                                                                                                                    v115 = *(int32_t *)(g10 + 8);
                                                                                                                    *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                                    // branch -> 0x477f7a
                                                                                                                } else {
                                                                                                                    // 0x477f5d
                                                                                                                    g3 = v100;
                                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                    function_4776b4();
                                                                                                                    g3 = g5;
                                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                    function_4776b4();
                                                                                                                    // branch -> 0x477f7a
                                                                                                                }
                                                                                                                // 0x477f7a
                                                                                                                g3 = g10;
                                                                                                                function_4776dc();
                                                                                                                v101 = g5;
                                                                                                                v98 = (int32_t *)(v101 + 24);
                                                                                                                v116 = *v98;
                                                                                                                v102 = v101;
                                                                                                                if (v116 >= 1) {
                                                                                                                    // 0x477f88
                                                                                                                    *v98 = -v116;
                                                                                                                    v102 = g5;
                                                                                                                    // branch -> 0x477f8d
                                                                                                                }
                                                                                                                // 0x477f8d
                                                                                                                if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                                    // 0x477f97
                                                                                                                    g3 = 1;
                                                                                                                    // branch -> 0x477f9c
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                } else {
                                                                                                                    // 0x477f93
                                                                                                                    g3 = 0;
                                                                                                                    // branch -> 0x477f9c
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            } else {
                                                                                                                // 0x477eae
                                                                                                                g3 = 1;
                                                                                                                // branch -> 0x477f9c
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        } else {
                                                                                                            // 0x477ea0
                                                                                                            g3 = 0;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x477e23
                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                    // 0x477e29
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    // branch -> 0x477e30
                                                                                                    // 0x477e30
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // 0x477e30
                                                                                                g3 = 0;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x477e9b
                                                                                        if (g7 == 4) {
                                                                                            // 0x477ea7
                                                                                            v100 = g5;
                                                                                            v104 = *(int32_t *)(v100 + 24);
                                                                                            if (v104 > 0) {
                                                                                                // 0x477eb8
                                                                                                if (v104 == 2) {
                                                                                                    // 0x477ec1
                                                                                                    v90 = (int32_t *)(v100 + 20);
                                                                                                    *v90 = *v90 + 1;
                                                                                                    v105 = *(char *)(g10 + 48);
                                                                                                    *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                    v91 = (int32_t *)(g5 + 20);
                                                                                                    *v91 = *v91 + 1;
                                                                                                    v106 = *(int32_t *)(g5 + 8);
                                                                                                    v107 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                    v92 = (int32_t *)(g5 + 20);
                                                                                                    *v92 = *v92 + 1;
                                                                                                    v108 = *(int32_t *)(g5 + 8);
                                                                                                    v109 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                    v93 = (int32_t *)(g5 + 20);
                                                                                                    *v93 = *v93 + 1;
                                                                                                    v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                    *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                    v94 = (int32_t *)(g5 + 20);
                                                                                                    *v94 = *v94 + 1;
                                                                                                    *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                    v95 = (int32_t *)(g5 + 20);
                                                                                                    *v95 = *v95 + 1;
                                                                                                    v110 = *(int32_t *)(g5 + 8);
                                                                                                    v111 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                    v96 = (int32_t *)(g5 + 20);
                                                                                                    *v96 = *v96 + 1;
                                                                                                    v112 = *(int32_t *)(g5 + 8);
                                                                                                    v113 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                    v97 = (int32_t *)(g5 + 20);
                                                                                                    *v97 = *v97 + 1;
                                                                                                    v114 = *(int32_t *)(g5 + 8);
                                                                                                    g6 = v114;
                                                                                                    v115 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                    // branch -> 0x477f7a
                                                                                                } else {
                                                                                                    // 0x477f5d
                                                                                                    g3 = v100;
                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                    function_4776b4();
                                                                                                    g3 = g5;
                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                    function_4776b4();
                                                                                                    // branch -> 0x477f7a
                                                                                                }
                                                                                                // 0x477f7a
                                                                                                g3 = g10;
                                                                                                function_4776dc();
                                                                                                v101 = g5;
                                                                                                v98 = (int32_t *)(v101 + 24);
                                                                                                v116 = *v98;
                                                                                                v102 = v101;
                                                                                                if (v116 >= 1) {
                                                                                                    // 0x477f88
                                                                                                    *v98 = -v116;
                                                                                                    v102 = g5;
                                                                                                    // branch -> 0x477f8d
                                                                                                }
                                                                                                // 0x477f8d
                                                                                                if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                    // 0x477f97
                                                                                                    g3 = 1;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x477f93
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                // 0x477eae
                                                                                                g3 = 1;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            // 0x477ea0
                                                                                            g3 = 0;
                                                                                            // branch -> 0x477f9c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x477de6
                                                                                v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                                g4 = v75;
                                                                                g8 = g7;
                                                                                ((int32_t (*)())v75)();
                                                                                if (v65 != 2) {
                                                                                    // 0x477e07
                                                                                    if (v65 != 3) {
                                                                                        // 0x477e15
                                                                                        if (v65 != 0) {
                                                                                            // 0x477e1c
                                                                                            if (v65 != 2) {
                                                                                                // 0x477e37
                                                                                                if (v65 == 1) {
                                                                                                    // 0x477e3e
                                                                                                    if (g7 == 1) {
                                                                                                        // 0x477e43
                                                                                                        g3 = g5;
                                                                                                        function_47c528();
                                                                                                        // branch -> 0x477e80
                                                                                                    } else {
                                                                                                        // 0x477e4c
                                                                                                        g6 = 0;
                                                                                                        g8 = 0;
                                                                                                        g3 = g5;
                                                                                                        function_47c46c();
                                                                                                        if (g7 == 3) {
                                                                                                            // 0x477e5e
                                                                                                            v99 = g5;
                                                                                                            v103 = *(int32_t *)(v99 + 76);
                                                                                                            g6 = v103;
                                                                                                            *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                            g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                            unknown_476d98();
                                                                                                            // branch -> 0x477e80
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x477e80
                                                                                                    function_4776dc();
                                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                        // 0x477e8d
                                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                                        g3 = 0;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x477e9b
                                                                                                if (g7 == 4) {
                                                                                                    // 0x477ea7
                                                                                                    v100 = g5;
                                                                                                    v104 = *(int32_t *)(v100 + 24);
                                                                                                    if (v104 > 0) {
                                                                                                        // 0x477eb8
                                                                                                        if (v104 == 2) {
                                                                                                            // 0x477ec1
                                                                                                            v90 = (int32_t *)(v100 + 20);
                                                                                                            *v90 = *v90 + 1;
                                                                                                            v105 = *(char *)(g10 + 48);
                                                                                                            *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                            v91 = (int32_t *)(g5 + 20);
                                                                                                            *v91 = *v91 + 1;
                                                                                                            v106 = *(int32_t *)(g5 + 8);
                                                                                                            v107 = *(int32_t *)(g10 + 48);
                                                                                                            *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                            v92 = (int32_t *)(g5 + 20);
                                                                                                            *v92 = *v92 + 1;
                                                                                                            v108 = *(int32_t *)(g5 + 8);
                                                                                                            v109 = *(int32_t *)(g10 + 48);
                                                                                                            *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                            v93 = (int32_t *)(g5 + 20);
                                                                                                            *v93 = *v93 + 1;
                                                                                                            v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                            *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                            v94 = (int32_t *)(g5 + 20);
                                                                                                            *v94 = *v94 + 1;
                                                                                                            *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                            v95 = (int32_t *)(g5 + 20);
                                                                                                            *v95 = *v95 + 1;
                                                                                                            v110 = *(int32_t *)(g5 + 8);
                                                                                                            v111 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                            v96 = (int32_t *)(g5 + 20);
                                                                                                            *v96 = *v96 + 1;
                                                                                                            v112 = *(int32_t *)(g5 + 8);
                                                                                                            v113 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                            v97 = (int32_t *)(g5 + 20);
                                                                                                            *v97 = *v97 + 1;
                                                                                                            v114 = *(int32_t *)(g5 + 8);
                                                                                                            g6 = v114;
                                                                                                            v115 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                            // branch -> 0x477f7a
                                                                                                        } else {
                                                                                                            // 0x477f5d
                                                                                                            g3 = v100;
                                                                                                            g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                            function_4776b4();
                                                                                                            g3 = g5;
                                                                                                            g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                            function_4776b4();
                                                                                                            // branch -> 0x477f7a
                                                                                                        }
                                                                                                        // 0x477f7a
                                                                                                        g3 = g10;
                                                                                                        function_4776dc();
                                                                                                        v101 = g5;
                                                                                                        v98 = (int32_t *)(v101 + 24);
                                                                                                        v116 = *v98;
                                                                                                        v102 = v101;
                                                                                                        if (v116 >= 1) {
                                                                                                            // 0x477f88
                                                                                                            *v98 = -v116;
                                                                                                            v102 = g5;
                                                                                                            // branch -> 0x477f8d
                                                                                                        }
                                                                                                        // 0x477f8d
                                                                                                        if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                            // 0x477f97
                                                                                                            g3 = 1;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        } else {
                                                                                                            // 0x477f93
                                                                                                            g3 = 0;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x477eae
                                                                                                        g3 = 1;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x477ea0
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x477e23
                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                            // 0x477e29
                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                            // branch -> 0x477e30
                                                                                            // 0x477e30
                                                                                            g3 = 0;
                                                                                            // branch -> 0x477f9c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // 0x477e30
                                                                                        g3 = 0;
                                                                                        // branch -> 0x477f9c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x477e0e
                                                                                *(int32_t *)(g5 + 4) = 666;
                                                                                // branch -> 0x477e15
                                                                                // 0x477e15
                                                                                if (v65 != 0) {
                                                                                    // 0x477e1c
                                                                                    if (v65 != 2) {
                                                                                        // 0x477e37
                                                                                        if (v65 == 1) {
                                                                                            // 0x477e3e
                                                                                            if (g7 == 1) {
                                                                                                // 0x477e43
                                                                                                g3 = g5;
                                                                                                function_47c528();
                                                                                                // branch -> 0x477e80
                                                                                            } else {
                                                                                                // 0x477e4c
                                                                                                g6 = 0;
                                                                                                g8 = 0;
                                                                                                g3 = g5;
                                                                                                function_47c46c();
                                                                                                if (g7 == 3) {
                                                                                                    // 0x477e5e
                                                                                                    v99 = g5;
                                                                                                    v103 = *(int32_t *)(v99 + 76);
                                                                                                    g6 = v103;
                                                                                                    *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                    g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                    unknown_476d98();
                                                                                                    // branch -> 0x477e80
                                                                                                }
                                                                                            }
                                                                                            // 0x477e80
                                                                                            function_4776dc();
                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                // 0x477e8d
                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                g3 = 0;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x477e9b
                                                                                        if (g7 == 4) {
                                                                                            // 0x477ea7
                                                                                            v100 = g5;
                                                                                            v104 = *(int32_t *)(v100 + 24);
                                                                                            if (v104 > 0) {
                                                                                                // 0x477eb8
                                                                                                if (v104 == 2) {
                                                                                                    // 0x477ec1
                                                                                                    v90 = (int32_t *)(v100 + 20);
                                                                                                    *v90 = *v90 + 1;
                                                                                                    v105 = *(char *)(g10 + 48);
                                                                                                    *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                    v91 = (int32_t *)(g5 + 20);
                                                                                                    *v91 = *v91 + 1;
                                                                                                    v106 = *(int32_t *)(g5 + 8);
                                                                                                    v107 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                    v92 = (int32_t *)(g5 + 20);
                                                                                                    *v92 = *v92 + 1;
                                                                                                    v108 = *(int32_t *)(g5 + 8);
                                                                                                    v109 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                    v93 = (int32_t *)(g5 + 20);
                                                                                                    *v93 = *v93 + 1;
                                                                                                    v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                    *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                    v94 = (int32_t *)(g5 + 20);
                                                                                                    *v94 = *v94 + 1;
                                                                                                    *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                    v95 = (int32_t *)(g5 + 20);
                                                                                                    *v95 = *v95 + 1;
                                                                                                    v110 = *(int32_t *)(g5 + 8);
                                                                                                    v111 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                    v96 = (int32_t *)(g5 + 20);
                                                                                                    *v96 = *v96 + 1;
                                                                                                    v112 = *(int32_t *)(g5 + 8);
                                                                                                    v113 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                    v97 = (int32_t *)(g5 + 20);
                                                                                                    *v97 = *v97 + 1;
                                                                                                    v114 = *(int32_t *)(g5 + 8);
                                                                                                    g6 = v114;
                                                                                                    v115 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                    // branch -> 0x477f7a
                                                                                                } else {
                                                                                                    // 0x477f5d
                                                                                                    g3 = v100;
                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                    function_4776b4();
                                                                                                    g3 = g5;
                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                    function_4776b4();
                                                                                                    // branch -> 0x477f7a
                                                                                                }
                                                                                                // 0x477f7a
                                                                                                g3 = g10;
                                                                                                function_4776dc();
                                                                                                v101 = g5;
                                                                                                v98 = (int32_t *)(v101 + 24);
                                                                                                v116 = *v98;
                                                                                                v102 = v101;
                                                                                                if (v116 >= 1) {
                                                                                                    // 0x477f88
                                                                                                    *v98 = -v116;
                                                                                                    v102 = g5;
                                                                                                    // branch -> 0x477f8d
                                                                                                }
                                                                                                // 0x477f8d
                                                                                                if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                    // 0x477f97
                                                                                                    g3 = 1;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x477f93
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                // 0x477eae
                                                                                                g3 = 1;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            // 0x477ea0
                                                                                            g3 = 0;
                                                                                            // branch -> 0x477f9c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x477e23
                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                    // 0x477e29
                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                    // branch -> 0x477e30
                                                                                    // 0x477e30
                                                                                    g3 = 0;
                                                                                    // branch -> 0x477f9c
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // 0x477e30
                                                                                g3 = 0;
                                                                                // branch -> 0x477f9c
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // 0x477cec
                                                                            v47 = g5;
                                                                            v43 = (int32_t *)(v47 + 4);
                                                                            if (*v43 == 103) {
                                                                                // 0x477cf2
                                                                                v49 = *(int32_t *)(v47 + 28);
                                                                                g6 = v49;
                                                                                if (*(int32_t *)(v49 + 44) == 0) {
                                                                                    // 0x477d56
                                                                                    *v43 = 113;
                                                                                    // branch -> 0x477d5d
                                                                                } else {
                                                                                    // 0x477cfb
                                                                                    v50 = *(int32_t *)(v47 + 20);
                                                                                    g3 = v50;
                                                                                    v48 = v47;
                                                                                    if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                                        // 0x477d06
                                                                                        function_4776dc();
                                                                                        v48 = g5;
                                                                                        // branch -> 0x477d0d
                                                                                    }
                                                                                    // 0x477d0d
                                                                                    v44 = (int32_t *)(v48 + 20);
                                                                                    if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                                                        // 0x477d18
                                                                                        *v44 = *v44 + 1;
                                                                                        v51 = *(char *)(g10 + 48);
                                                                                        *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                                        v45 = (int32_t *)(g5 + 20);
                                                                                        v46 = *v45;
                                                                                        *v45 = *v45 + 1;
                                                                                        v52 = *(int32_t *)(g5 + 8);
                                                                                        g3 = v52;
                                                                                        v53 = *(int32_t *)(g10 + 48);
                                                                                        *(char *)(v46 + v52) = (char)(v53 / 256);
                                                                                        g6 = 0;
                                                                                        g8 = 0;
                                                                                        function_47d23c();
                                                                                        *(int32_t *)(g10 + 48) = 0;
                                                                                        *(int32_t *)(g5 + 4) = 113;
                                                                                        // branch -> 0x477d5d
                                                                                    }
                                                                                }
                                                                                // 0x477d5d
                                                                                v66 = g5;
                                                                                if (*(int32_t *)(v66 + 20) == 0) {
                                                                                    // 0x477d80
                                                                                    v69 = g10;
                                                                                    if (*(int32_t *)(v69 + 4) == 0) {
                                                                                        // 0x477d86
                                                                                        v64 = g7;
                                                                                        if (v64 <= v4) {
                                                                                            // 0x477d8b
                                                                                            if (v64 != 4) {
                                                                                                // 0x477d90
                                                                                                g3 = -5;
                                                                                                *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                v70 = v69;
                                                                                                v65 = v66;
                                                                                            }
                                                                                        } else {
                                                                                            v70 = v69;
                                                                                            v65 = v66;
                                                                                        }
                                                                                    } else {
                                                                                        v70 = v69;
                                                                                        v65 = v66;
                                                                                    }
                                                                                } else {
                                                                                    // 0x477d63
                                                                                    function_4776dc();
                                                                                    v67 = g10;
                                                                                    v68 = g5;
                                                                                    if (*(int32_t *)(v67 + 16) == 0) {
                                                                                        // 0x477d70
                                                                                        *(int32_t *)(v68 + 40) = -1;
                                                                                        g3 = 0;
                                                                                        // branch -> 0x477f9c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        v70 = v67;
                                                                                        v65 = v68;
                                                                                    }
                                                                                }
                                                                                // 0x477da3
                                                                                v71 = *(int32_t *)(v65 + 4);
                                                                                v76 = v71 - 666;
                                                                                v63 = llvm_ctpop_i32(v76);
                                                                                v72 = *(int32_t *)(v70 + 4);
                                                                                v73 = v72;
                                                                                if (v71 == 666) {
                                                                                    // 0x477dac
                                                                                    if (v72 != 0) {
                                                                                        // 0x477db2
                                                                                        g3 = -5;
                                                                                        *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                                        // branch -> 0x477f9c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        v73 = 0;
                                                                                    }
                                                                                }
                                                                                // 0x477dc5
                                                                                g2 = false;
                                                                                g1 = false;
                                                                                g187 = v73 == 0;
                                                                                g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                                                if (v73 == 0) {
                                                                                    // 0x477dcb
                                                                                    v74 = *(int32_t *)(v65 + 116);
                                                                                    g2 = false;
                                                                                    g1 = false;
                                                                                    g187 = v74 == 0;
                                                                                    g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                                                    if (v74 == 0) {
                                                                                        // 0x477dd1
                                                                                        if (g7 != 0) {
                                                                                            // 0x477dd9
                                                                                            g2 = (v71 & 15) > 25;
                                                                                            g1 = v71 < 666;
                                                                                            g187 = v76 == 0;
                                                                                            g9 = v63 % 2 == 1;
                                                                                            if (v71 != 666) {
                                                                                                // 0x477de6
                                                                                                v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                                                g4 = v75;
                                                                                                g8 = g7;
                                                                                                ((int32_t (*)())v75)();
                                                                                                if (v65 != 2) {
                                                                                                    // 0x477e07
                                                                                                    if (v65 != 3) {
                                                                                                        // 0x477e15
                                                                                                        if (v65 != 0) {
                                                                                                            // 0x477e1c
                                                                                                            if (v65 != 2) {
                                                                                                                // 0x477e37
                                                                                                                if (v65 == 1) {
                                                                                                                    // 0x477e3e
                                                                                                                    if (g7 == 1) {
                                                                                                                        // 0x477e43
                                                                                                                        g3 = g5;
                                                                                                                        function_47c528();
                                                                                                                        // branch -> 0x477e80
                                                                                                                    } else {
                                                                                                                        // 0x477e4c
                                                                                                                        g6 = 0;
                                                                                                                        g8 = 0;
                                                                                                                        g3 = g5;
                                                                                                                        function_47c46c();
                                                                                                                        if (g7 == 3) {
                                                                                                                            // 0x477e5e
                                                                                                                            v99 = g5;
                                                                                                                            v103 = *(int32_t *)(v99 + 76);
                                                                                                                            g6 = v103;
                                                                                                                            *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                                            g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                                            unknown_476d98();
                                                                                                                            // branch -> 0x477e80
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x477e80
                                                                                                                    function_4776dc();
                                                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                        // 0x477e8d
                                                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                                                        g3 = 0;
                                                                                                                        // branch -> 0x477f9c
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x477e9b
                                                                                                                if (g7 == 4) {
                                                                                                                    // 0x477ea7
                                                                                                                    v100 = g5;
                                                                                                                    v104 = *(int32_t *)(v100 + 24);
                                                                                                                    if (v104 > 0) {
                                                                                                                        // 0x477eb8
                                                                                                                        if (v104 == 2) {
                                                                                                                            // 0x477ec1
                                                                                                                            v90 = (int32_t *)(v100 + 20);
                                                                                                                            *v90 = *v90 + 1;
                                                                                                                            v105 = *(char *)(g10 + 48);
                                                                                                                            *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                                            v91 = (int32_t *)(g5 + 20);
                                                                                                                            *v91 = *v91 + 1;
                                                                                                                            v106 = *(int32_t *)(g5 + 8);
                                                                                                                            v107 = *(int32_t *)(g10 + 48);
                                                                                                                            *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                                            v92 = (int32_t *)(g5 + 20);
                                                                                                                            *v92 = *v92 + 1;
                                                                                                                            v108 = *(int32_t *)(g5 + 8);
                                                                                                                            v109 = *(int32_t *)(g10 + 48);
                                                                                                                            *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                                            v93 = (int32_t *)(g5 + 20);
                                                                                                                            *v93 = *v93 + 1;
                                                                                                                            v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                            *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                                            v94 = (int32_t *)(g5 + 20);
                                                                                                                            *v94 = *v94 + 1;
                                                                                                                            *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                            v95 = (int32_t *)(g5 + 20);
                                                                                                                            *v95 = *v95 + 1;
                                                                                                                            v110 = *(int32_t *)(g5 + 8);
                                                                                                                            v111 = *(int32_t *)(g10 + 8);
                                                                                                                            *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                                            v96 = (int32_t *)(g5 + 20);
                                                                                                                            *v96 = *v96 + 1;
                                                                                                                            v112 = *(int32_t *)(g5 + 8);
                                                                                                                            v113 = *(int32_t *)(g10 + 8);
                                                                                                                            *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                                            v97 = (int32_t *)(g5 + 20);
                                                                                                                            *v97 = *v97 + 1;
                                                                                                                            v114 = *(int32_t *)(g5 + 8);
                                                                                                                            g6 = v114;
                                                                                                                            v115 = *(int32_t *)(g10 + 8);
                                                                                                                            *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                                            // branch -> 0x477f7a
                                                                                                                        } else {
                                                                                                                            // 0x477f5d
                                                                                                                            g3 = v100;
                                                                                                                            g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                            function_4776b4();
                                                                                                                            g3 = g5;
                                                                                                                            g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                            function_4776b4();
                                                                                                                            // branch -> 0x477f7a
                                                                                                                        }
                                                                                                                        // 0x477f7a
                                                                                                                        g3 = g10;
                                                                                                                        function_4776dc();
                                                                                                                        v101 = g5;
                                                                                                                        v98 = (int32_t *)(v101 + 24);
                                                                                                                        v116 = *v98;
                                                                                                                        v102 = v101;
                                                                                                                        if (v116 >= 1) {
                                                                                                                            // 0x477f88
                                                                                                                            *v98 = -v116;
                                                                                                                            v102 = g5;
                                                                                                                            // branch -> 0x477f8d
                                                                                                                        }
                                                                                                                        // 0x477f8d
                                                                                                                        if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                                            // 0x477f97
                                                                                                                            g3 = 1;
                                                                                                                            // branch -> 0x477f9c
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        } else {
                                                                                                                            // 0x477f93
                                                                                                                            g3 = 0;
                                                                                                                            // branch -> 0x477f9c
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x477eae
                                                                                                                        g3 = 1;
                                                                                                                        // branch -> 0x477f9c
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                } else {
                                                                                                                    // 0x477ea0
                                                                                                                    g3 = 0;
                                                                                                                    // branch -> 0x477f9c
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x477e23
                                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                            // 0x477e29
                                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                                            // branch -> 0x477e30
                                                                                                            // 0x477e30
                                                                                                            g3 = 0;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // 0x477e30
                                                                                                        g3 = 0;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x477e0e
                                                                                                *(int32_t *)(g5 + 4) = 666;
                                                                                                // branch -> 0x477e15
                                                                                                // 0x477e15
                                                                                                if (v65 != 0) {
                                                                                                    // 0x477e1c
                                                                                                    if (v65 != 2) {
                                                                                                        // 0x477e37
                                                                                                        if (v65 == 1) {
                                                                                                            // 0x477e3e
                                                                                                            if (g7 == 1) {
                                                                                                                // 0x477e43
                                                                                                                g3 = g5;
                                                                                                                function_47c528();
                                                                                                                // branch -> 0x477e80
                                                                                                            } else {
                                                                                                                // 0x477e4c
                                                                                                                g6 = 0;
                                                                                                                g8 = 0;
                                                                                                                g3 = g5;
                                                                                                                function_47c46c();
                                                                                                                if (g7 == 3) {
                                                                                                                    // 0x477e5e
                                                                                                                    v99 = g5;
                                                                                                                    v103 = *(int32_t *)(v99 + 76);
                                                                                                                    g6 = v103;
                                                                                                                    *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                                    g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                                    unknown_476d98();
                                                                                                                    // branch -> 0x477e80
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x477e80
                                                                                                            function_4776dc();
                                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                // 0x477e8d
                                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                                g3 = 0;
                                                                                                                // branch -> 0x477f9c
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x477e9b
                                                                                                        if (g7 == 4) {
                                                                                                            // 0x477ea7
                                                                                                            v100 = g5;
                                                                                                            v104 = *(int32_t *)(v100 + 24);
                                                                                                            if (v104 > 0) {
                                                                                                                // 0x477eb8
                                                                                                                if (v104 == 2) {
                                                                                                                    // 0x477ec1
                                                                                                                    v90 = (int32_t *)(v100 + 20);
                                                                                                                    *v90 = *v90 + 1;
                                                                                                                    v105 = *(char *)(g10 + 48);
                                                                                                                    *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                                    v91 = (int32_t *)(g5 + 20);
                                                                                                                    *v91 = *v91 + 1;
                                                                                                                    v106 = *(int32_t *)(g5 + 8);
                                                                                                                    v107 = *(int32_t *)(g10 + 48);
                                                                                                                    *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                                    v92 = (int32_t *)(g5 + 20);
                                                                                                                    *v92 = *v92 + 1;
                                                                                                                    v108 = *(int32_t *)(g5 + 8);
                                                                                                                    v109 = *(int32_t *)(g10 + 48);
                                                                                                                    *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                                    v93 = (int32_t *)(g5 + 20);
                                                                                                                    *v93 = *v93 + 1;
                                                                                                                    v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                    *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                                    v94 = (int32_t *)(g5 + 20);
                                                                                                                    *v94 = *v94 + 1;
                                                                                                                    *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                    v95 = (int32_t *)(g5 + 20);
                                                                                                                    *v95 = *v95 + 1;
                                                                                                                    v110 = *(int32_t *)(g5 + 8);
                                                                                                                    v111 = *(int32_t *)(g10 + 8);
                                                                                                                    *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                                    v96 = (int32_t *)(g5 + 20);
                                                                                                                    *v96 = *v96 + 1;
                                                                                                                    v112 = *(int32_t *)(g5 + 8);
                                                                                                                    v113 = *(int32_t *)(g10 + 8);
                                                                                                                    *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                                    v97 = (int32_t *)(g5 + 20);
                                                                                                                    *v97 = *v97 + 1;
                                                                                                                    v114 = *(int32_t *)(g5 + 8);
                                                                                                                    g6 = v114;
                                                                                                                    v115 = *(int32_t *)(g10 + 8);
                                                                                                                    *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                                    // branch -> 0x477f7a
                                                                                                                } else {
                                                                                                                    // 0x477f5d
                                                                                                                    g3 = v100;
                                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                    function_4776b4();
                                                                                                                    g3 = g5;
                                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                    function_4776b4();
                                                                                                                    // branch -> 0x477f7a
                                                                                                                }
                                                                                                                // 0x477f7a
                                                                                                                g3 = g10;
                                                                                                                function_4776dc();
                                                                                                                v101 = g5;
                                                                                                                v98 = (int32_t *)(v101 + 24);
                                                                                                                v116 = *v98;
                                                                                                                v102 = v101;
                                                                                                                if (v116 >= 1) {
                                                                                                                    // 0x477f88
                                                                                                                    *v98 = -v116;
                                                                                                                    v102 = g5;
                                                                                                                    // branch -> 0x477f8d
                                                                                                                }
                                                                                                                // 0x477f8d
                                                                                                                if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                                    // 0x477f97
                                                                                                                    g3 = 1;
                                                                                                                    // branch -> 0x477f9c
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                } else {
                                                                                                                    // 0x477f93
                                                                                                                    g3 = 0;
                                                                                                                    // branch -> 0x477f9c
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            } else {
                                                                                                                // 0x477eae
                                                                                                                g3 = 1;
                                                                                                                // branch -> 0x477f9c
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        } else {
                                                                                                            // 0x477ea0
                                                                                                            g3 = 0;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x477e23
                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                    // 0x477e29
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    // branch -> 0x477e30
                                                                                                    // 0x477e30
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // 0x477e30
                                                                                                g3 = 0;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x477e9b
                                                                                        if (g7 == 4) {
                                                                                            // 0x477ea7
                                                                                            v100 = g5;
                                                                                            v104 = *(int32_t *)(v100 + 24);
                                                                                            if (v104 > 0) {
                                                                                                // 0x477eb8
                                                                                                if (v104 == 2) {
                                                                                                    // 0x477ec1
                                                                                                    v90 = (int32_t *)(v100 + 20);
                                                                                                    *v90 = *v90 + 1;
                                                                                                    v105 = *(char *)(g10 + 48);
                                                                                                    *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                    v91 = (int32_t *)(g5 + 20);
                                                                                                    *v91 = *v91 + 1;
                                                                                                    v106 = *(int32_t *)(g5 + 8);
                                                                                                    v107 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                    v92 = (int32_t *)(g5 + 20);
                                                                                                    *v92 = *v92 + 1;
                                                                                                    v108 = *(int32_t *)(g5 + 8);
                                                                                                    v109 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                    v93 = (int32_t *)(g5 + 20);
                                                                                                    *v93 = *v93 + 1;
                                                                                                    v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                    *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                    v94 = (int32_t *)(g5 + 20);
                                                                                                    *v94 = *v94 + 1;
                                                                                                    *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                    v95 = (int32_t *)(g5 + 20);
                                                                                                    *v95 = *v95 + 1;
                                                                                                    v110 = *(int32_t *)(g5 + 8);
                                                                                                    v111 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                    v96 = (int32_t *)(g5 + 20);
                                                                                                    *v96 = *v96 + 1;
                                                                                                    v112 = *(int32_t *)(g5 + 8);
                                                                                                    v113 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                    v97 = (int32_t *)(g5 + 20);
                                                                                                    *v97 = *v97 + 1;
                                                                                                    v114 = *(int32_t *)(g5 + 8);
                                                                                                    g6 = v114;
                                                                                                    v115 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                    // branch -> 0x477f7a
                                                                                                } else {
                                                                                                    // 0x477f5d
                                                                                                    g3 = v100;
                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                    function_4776b4();
                                                                                                    g3 = g5;
                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                    function_4776b4();
                                                                                                    // branch -> 0x477f7a
                                                                                                }
                                                                                                // 0x477f7a
                                                                                                g3 = g10;
                                                                                                function_4776dc();
                                                                                                v101 = g5;
                                                                                                v98 = (int32_t *)(v101 + 24);
                                                                                                v116 = *v98;
                                                                                                v102 = v101;
                                                                                                if (v116 >= 1) {
                                                                                                    // 0x477f88
                                                                                                    *v98 = -v116;
                                                                                                    v102 = g5;
                                                                                                    // branch -> 0x477f8d
                                                                                                }
                                                                                                // 0x477f8d
                                                                                                if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                    // 0x477f97
                                                                                                    g3 = 1;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x477f93
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                // 0x477eae
                                                                                                g3 = 1;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            // 0x477ea0
                                                                                            g3 = 0;
                                                                                            // branch -> 0x477f9c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x477de6
                                                                                v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                                g4 = v75;
                                                                                g8 = g7;
                                                                                ((int32_t (*)())v75)();
                                                                                if (v65 != 2) {
                                                                                    // 0x477e07
                                                                                    if (v65 != 3) {
                                                                                        // 0x477e15
                                                                                        if (v65 != 0) {
                                                                                            // 0x477e1c
                                                                                            if (v65 != 2) {
                                                                                                // 0x477e37
                                                                                                if (v65 == 1) {
                                                                                                    // 0x477e3e
                                                                                                    if (g7 == 1) {
                                                                                                        // 0x477e43
                                                                                                        g3 = g5;
                                                                                                        function_47c528();
                                                                                                        // branch -> 0x477e80
                                                                                                    } else {
                                                                                                        // 0x477e4c
                                                                                                        g6 = 0;
                                                                                                        g8 = 0;
                                                                                                        g3 = g5;
                                                                                                        function_47c46c();
                                                                                                        if (g7 == 3) {
                                                                                                            // 0x477e5e
                                                                                                            v99 = g5;
                                                                                                            v103 = *(int32_t *)(v99 + 76);
                                                                                                            g6 = v103;
                                                                                                            *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                            g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                            unknown_476d98();
                                                                                                            // branch -> 0x477e80
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x477e80
                                                                                                    function_4776dc();
                                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                        // 0x477e8d
                                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                                        g3 = 0;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x477e9b
                                                                                                if (g7 == 4) {
                                                                                                    // 0x477ea7
                                                                                                    v100 = g5;
                                                                                                    v104 = *(int32_t *)(v100 + 24);
                                                                                                    if (v104 > 0) {
                                                                                                        // 0x477eb8
                                                                                                        if (v104 == 2) {
                                                                                                            // 0x477ec1
                                                                                                            v90 = (int32_t *)(v100 + 20);
                                                                                                            *v90 = *v90 + 1;
                                                                                                            v105 = *(char *)(g10 + 48);
                                                                                                            *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                            v91 = (int32_t *)(g5 + 20);
                                                                                                            *v91 = *v91 + 1;
                                                                                                            v106 = *(int32_t *)(g5 + 8);
                                                                                                            v107 = *(int32_t *)(g10 + 48);
                                                                                                            *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                            v92 = (int32_t *)(g5 + 20);
                                                                                                            *v92 = *v92 + 1;
                                                                                                            v108 = *(int32_t *)(g5 + 8);
                                                                                                            v109 = *(int32_t *)(g10 + 48);
                                                                                                            *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                            v93 = (int32_t *)(g5 + 20);
                                                                                                            *v93 = *v93 + 1;
                                                                                                            v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                            *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                            v94 = (int32_t *)(g5 + 20);
                                                                                                            *v94 = *v94 + 1;
                                                                                                            *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                            v95 = (int32_t *)(g5 + 20);
                                                                                                            *v95 = *v95 + 1;
                                                                                                            v110 = *(int32_t *)(g5 + 8);
                                                                                                            v111 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                            v96 = (int32_t *)(g5 + 20);
                                                                                                            *v96 = *v96 + 1;
                                                                                                            v112 = *(int32_t *)(g5 + 8);
                                                                                                            v113 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                            v97 = (int32_t *)(g5 + 20);
                                                                                                            *v97 = *v97 + 1;
                                                                                                            v114 = *(int32_t *)(g5 + 8);
                                                                                                            g6 = v114;
                                                                                                            v115 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                            // branch -> 0x477f7a
                                                                                                        } else {
                                                                                                            // 0x477f5d
                                                                                                            g3 = v100;
                                                                                                            g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                            function_4776b4();
                                                                                                            g3 = g5;
                                                                                                            g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                            function_4776b4();
                                                                                                            // branch -> 0x477f7a
                                                                                                        }
                                                                                                        // 0x477f7a
                                                                                                        g3 = g10;
                                                                                                        function_4776dc();
                                                                                                        v101 = g5;
                                                                                                        v98 = (int32_t *)(v101 + 24);
                                                                                                        v116 = *v98;
                                                                                                        v102 = v101;
                                                                                                        if (v116 >= 1) {
                                                                                                            // 0x477f88
                                                                                                            *v98 = -v116;
                                                                                                            v102 = g5;
                                                                                                            // branch -> 0x477f8d
                                                                                                        }
                                                                                                        // 0x477f8d
                                                                                                        if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                            // 0x477f97
                                                                                                            g3 = 1;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        } else {
                                                                                                            // 0x477f93
                                                                                                            g3 = 0;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x477eae
                                                                                                        g3 = 1;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x477ea0
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x477e23
                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                            // 0x477e29
                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                            // branch -> 0x477e30
                                                                                            // 0x477e30
                                                                                            g3 = 0;
                                                                                            // branch -> 0x477f9c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // 0x477e30
                                                                                        g3 = 0;
                                                                                        // branch -> 0x477f9c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x477e0e
                                                                                *(int32_t *)(g5 + 4) = 666;
                                                                                // branch -> 0x477e15
                                                                                // 0x477e15
                                                                                if (v65 != 0) {
                                                                                    // 0x477e1c
                                                                                    if (v65 != 2) {
                                                                                        // 0x477e37
                                                                                        if (v65 == 1) {
                                                                                            // 0x477e3e
                                                                                            if (g7 == 1) {
                                                                                                // 0x477e43
                                                                                                g3 = g5;
                                                                                                function_47c528();
                                                                                                // branch -> 0x477e80
                                                                                            } else {
                                                                                                // 0x477e4c
                                                                                                g6 = 0;
                                                                                                g8 = 0;
                                                                                                g3 = g5;
                                                                                                function_47c46c();
                                                                                                if (g7 == 3) {
                                                                                                    // 0x477e5e
                                                                                                    v99 = g5;
                                                                                                    v103 = *(int32_t *)(v99 + 76);
                                                                                                    g6 = v103;
                                                                                                    *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                    g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                    unknown_476d98();
                                                                                                    // branch -> 0x477e80
                                                                                                }
                                                                                            }
                                                                                            // 0x477e80
                                                                                            function_4776dc();
                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                // 0x477e8d
                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                g3 = 0;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x477e9b
                                                                                        if (g7 == 4) {
                                                                                            // 0x477ea7
                                                                                            v100 = g5;
                                                                                            v104 = *(int32_t *)(v100 + 24);
                                                                                            if (v104 > 0) {
                                                                                                // 0x477eb8
                                                                                                if (v104 == 2) {
                                                                                                    // 0x477ec1
                                                                                                    v90 = (int32_t *)(v100 + 20);
                                                                                                    *v90 = *v90 + 1;
                                                                                                    v105 = *(char *)(g10 + 48);
                                                                                                    *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                    v91 = (int32_t *)(g5 + 20);
                                                                                                    *v91 = *v91 + 1;
                                                                                                    v106 = *(int32_t *)(g5 + 8);
                                                                                                    v107 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                    v92 = (int32_t *)(g5 + 20);
                                                                                                    *v92 = *v92 + 1;
                                                                                                    v108 = *(int32_t *)(g5 + 8);
                                                                                                    v109 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                    v93 = (int32_t *)(g5 + 20);
                                                                                                    *v93 = *v93 + 1;
                                                                                                    v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                    *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                    v94 = (int32_t *)(g5 + 20);
                                                                                                    *v94 = *v94 + 1;
                                                                                                    *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                    v95 = (int32_t *)(g5 + 20);
                                                                                                    *v95 = *v95 + 1;
                                                                                                    v110 = *(int32_t *)(g5 + 8);
                                                                                                    v111 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                    v96 = (int32_t *)(g5 + 20);
                                                                                                    *v96 = *v96 + 1;
                                                                                                    v112 = *(int32_t *)(g5 + 8);
                                                                                                    v113 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                    v97 = (int32_t *)(g5 + 20);
                                                                                                    *v97 = *v97 + 1;
                                                                                                    v114 = *(int32_t *)(g5 + 8);
                                                                                                    g6 = v114;
                                                                                                    v115 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                    // branch -> 0x477f7a
                                                                                                } else {
                                                                                                    // 0x477f5d
                                                                                                    g3 = v100;
                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                    function_4776b4();
                                                                                                    g3 = g5;
                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                    function_4776b4();
                                                                                                    // branch -> 0x477f7a
                                                                                                }
                                                                                                // 0x477f7a
                                                                                                g3 = g10;
                                                                                                function_4776dc();
                                                                                                v101 = g5;
                                                                                                v98 = (int32_t *)(v101 + 24);
                                                                                                v116 = *v98;
                                                                                                v102 = v101;
                                                                                                if (v116 >= 1) {
                                                                                                    // 0x477f88
                                                                                                    *v98 = -v116;
                                                                                                    v102 = g5;
                                                                                                    // branch -> 0x477f8d
                                                                                                }
                                                                                                // 0x477f8d
                                                                                                if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                    // 0x477f97
                                                                                                    g3 = 1;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x477f93
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                // 0x477eae
                                                                                                g3 = 1;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            // 0x477ea0
                                                                                            g3 = 0;
                                                                                            // branch -> 0x477f9c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x477e23
                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                    // 0x477e29
                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                    // branch -> 0x477e30
                                                                                    // 0x477e30
                                                                                    g3 = 0;
                                                                                    // branch -> 0x477f9c
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // 0x477e30
                                                                                g3 = 0;
                                                                                // branch -> 0x477f9c
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // 0x477d5d
                                                                            v66 = g5;
                                                                            if (*(int32_t *)(v66 + 20) == 0) {
                                                                                // 0x477d80
                                                                                v69 = g10;
                                                                                if (*(int32_t *)(v69 + 4) == 0) {
                                                                                    // 0x477d86
                                                                                    v64 = g7;
                                                                                    if (v64 <= v4) {
                                                                                        // 0x477d8b
                                                                                        if (v64 != 4) {
                                                                                            // 0x477d90
                                                                                            g3 = -5;
                                                                                            *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                                            // branch -> 0x477f9c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            v70 = v69;
                                                                                            v65 = v66;
                                                                                        }
                                                                                    } else {
                                                                                        v70 = v69;
                                                                                        v65 = v66;
                                                                                    }
                                                                                } else {
                                                                                    v70 = v69;
                                                                                    v65 = v66;
                                                                                }
                                                                            } else {
                                                                                // 0x477d63
                                                                                function_4776dc();
                                                                                v67 = g10;
                                                                                v68 = g5;
                                                                                if (*(int32_t *)(v67 + 16) == 0) {
                                                                                    // 0x477d70
                                                                                    *(int32_t *)(v68 + 40) = -1;
                                                                                    g3 = 0;
                                                                                    // branch -> 0x477f9c
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                } else {
                                                                                    v70 = v67;
                                                                                    v65 = v68;
                                                                                }
                                                                            }
                                                                            // 0x477da3
                                                                            v71 = *(int32_t *)(v65 + 4);
                                                                            v76 = v71 - 666;
                                                                            v63 = llvm_ctpop_i32(v76);
                                                                            v72 = *(int32_t *)(v70 + 4);
                                                                            v73 = v72;
                                                                            if (v71 == 666) {
                                                                                // 0x477dac
                                                                                if (v72 != 0) {
                                                                                    // 0x477db2
                                                                                    g3 = -5;
                                                                                    *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                                    // branch -> 0x477f9c
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                } else {
                                                                                    v73 = 0;
                                                                                }
                                                                            }
                                                                            // 0x477dc5
                                                                            g2 = false;
                                                                            g1 = false;
                                                                            g187 = v73 == 0;
                                                                            g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                                            if (v73 == 0) {
                                                                                // 0x477dcb
                                                                                v74 = *(int32_t *)(v65 + 116);
                                                                                g2 = false;
                                                                                g1 = false;
                                                                                g187 = v74 == 0;
                                                                                g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                                                if (v74 == 0) {
                                                                                    // 0x477dd1
                                                                                    if (g7 != 0) {
                                                                                        // 0x477dd9
                                                                                        g2 = (v71 & 15) > 25;
                                                                                        g1 = v71 < 666;
                                                                                        g187 = v76 == 0;
                                                                                        g9 = v63 % 2 == 1;
                                                                                        if (v71 != 666) {
                                                                                            // 0x477de6
                                                                                            v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                                            g4 = v75;
                                                                                            g8 = g7;
                                                                                            ((int32_t (*)())v75)();
                                                                                            if (v65 != 2) {
                                                                                                // 0x477e07
                                                                                                if (v65 != 3) {
                                                                                                    // 0x477e15
                                                                                                    if (v65 != 0) {
                                                                                                        // 0x477e1c
                                                                                                        if (v65 != 2) {
                                                                                                            // 0x477e37
                                                                                                            if (v65 == 1) {
                                                                                                                // 0x477e3e
                                                                                                                if (g7 == 1) {
                                                                                                                    // 0x477e43
                                                                                                                    g3 = g5;
                                                                                                                    function_47c528();
                                                                                                                    // branch -> 0x477e80
                                                                                                                } else {
                                                                                                                    // 0x477e4c
                                                                                                                    g6 = 0;
                                                                                                                    g8 = 0;
                                                                                                                    g3 = g5;
                                                                                                                    function_47c46c();
                                                                                                                    if (g7 == 3) {
                                                                                                                        // 0x477e5e
                                                                                                                        v99 = g5;
                                                                                                                        v103 = *(int32_t *)(v99 + 76);
                                                                                                                        g6 = v103;
                                                                                                                        *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                                        g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                                        unknown_476d98();
                                                                                                                        // branch -> 0x477e80
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x477e80
                                                                                                                function_4776dc();
                                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                    // 0x477e8d
                                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                                    g3 = 0;
                                                                                                                    // branch -> 0x477f9c
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x477e9b
                                                                                                            if (g7 == 4) {
                                                                                                                // 0x477ea7
                                                                                                                v100 = g5;
                                                                                                                v104 = *(int32_t *)(v100 + 24);
                                                                                                                if (v104 > 0) {
                                                                                                                    // 0x477eb8
                                                                                                                    if (v104 == 2) {
                                                                                                                        // 0x477ec1
                                                                                                                        v90 = (int32_t *)(v100 + 20);
                                                                                                                        *v90 = *v90 + 1;
                                                                                                                        v105 = *(char *)(g10 + 48);
                                                                                                                        *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                                        v91 = (int32_t *)(g5 + 20);
                                                                                                                        *v91 = *v91 + 1;
                                                                                                                        v106 = *(int32_t *)(g5 + 8);
                                                                                                                        v107 = *(int32_t *)(g10 + 48);
                                                                                                                        *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                                        v92 = (int32_t *)(g5 + 20);
                                                                                                                        *v92 = *v92 + 1;
                                                                                                                        v108 = *(int32_t *)(g5 + 8);
                                                                                                                        v109 = *(int32_t *)(g10 + 48);
                                                                                                                        *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                                        v93 = (int32_t *)(g5 + 20);
                                                                                                                        *v93 = *v93 + 1;
                                                                                                                        v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                        *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                                        v94 = (int32_t *)(g5 + 20);
                                                                                                                        *v94 = *v94 + 1;
                                                                                                                        *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                        v95 = (int32_t *)(g5 + 20);
                                                                                                                        *v95 = *v95 + 1;
                                                                                                                        v110 = *(int32_t *)(g5 + 8);
                                                                                                                        v111 = *(int32_t *)(g10 + 8);
                                                                                                                        *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                                        v96 = (int32_t *)(g5 + 20);
                                                                                                                        *v96 = *v96 + 1;
                                                                                                                        v112 = *(int32_t *)(g5 + 8);
                                                                                                                        v113 = *(int32_t *)(g10 + 8);
                                                                                                                        *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                                        v97 = (int32_t *)(g5 + 20);
                                                                                                                        *v97 = *v97 + 1;
                                                                                                                        v114 = *(int32_t *)(g5 + 8);
                                                                                                                        g6 = v114;
                                                                                                                        v115 = *(int32_t *)(g10 + 8);
                                                                                                                        *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                                        // branch -> 0x477f7a
                                                                                                                    } else {
                                                                                                                        // 0x477f5d
                                                                                                                        g3 = v100;
                                                                                                                        g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                        function_4776b4();
                                                                                                                        g3 = g5;
                                                                                                                        g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                        function_4776b4();
                                                                                                                        // branch -> 0x477f7a
                                                                                                                    }
                                                                                                                    // 0x477f7a
                                                                                                                    g3 = g10;
                                                                                                                    function_4776dc();
                                                                                                                    v101 = g5;
                                                                                                                    v98 = (int32_t *)(v101 + 24);
                                                                                                                    v116 = *v98;
                                                                                                                    v102 = v101;
                                                                                                                    if (v116 >= 1) {
                                                                                                                        // 0x477f88
                                                                                                                        *v98 = -v116;
                                                                                                                        v102 = g5;
                                                                                                                        // branch -> 0x477f8d
                                                                                                                    }
                                                                                                                    // 0x477f8d
                                                                                                                    if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                                        // 0x477f97
                                                                                                                        g3 = 1;
                                                                                                                        // branch -> 0x477f9c
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    } else {
                                                                                                                        // 0x477f93
                                                                                                                        g3 = 0;
                                                                                                                        // branch -> 0x477f9c
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                } else {
                                                                                                                    // 0x477eae
                                                                                                                    g3 = 1;
                                                                                                                    // branch -> 0x477f9c
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            } else {
                                                                                                                // 0x477ea0
                                                                                                                g3 = 0;
                                                                                                                // branch -> 0x477f9c
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x477e23
                                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                        // 0x477e29
                                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                                        // branch -> 0x477e30
                                                                                                        // 0x477e30
                                                                                                        g3 = 0;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x477e0e
                                                                                            *(int32_t *)(g5 + 4) = 666;
                                                                                            // branch -> 0x477e15
                                                                                            // 0x477e15
                                                                                            if (v65 != 0) {
                                                                                                // 0x477e1c
                                                                                                if (v65 != 2) {
                                                                                                    // 0x477e37
                                                                                                    if (v65 == 1) {
                                                                                                        // 0x477e3e
                                                                                                        if (g7 == 1) {
                                                                                                            // 0x477e43
                                                                                                            g3 = g5;
                                                                                                            function_47c528();
                                                                                                            // branch -> 0x477e80
                                                                                                        } else {
                                                                                                            // 0x477e4c
                                                                                                            g6 = 0;
                                                                                                            g8 = 0;
                                                                                                            g3 = g5;
                                                                                                            function_47c46c();
                                                                                                            if (g7 == 3) {
                                                                                                                // 0x477e5e
                                                                                                                v99 = g5;
                                                                                                                v103 = *(int32_t *)(v99 + 76);
                                                                                                                g6 = v103;
                                                                                                                *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                                g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                                unknown_476d98();
                                                                                                                // branch -> 0x477e80
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x477e80
                                                                                                        function_4776dc();
                                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                            // 0x477e8d
                                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                                            g3 = 0;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x477e9b
                                                                                                    if (g7 == 4) {
                                                                                                        // 0x477ea7
                                                                                                        v100 = g5;
                                                                                                        v104 = *(int32_t *)(v100 + 24);
                                                                                                        if (v104 > 0) {
                                                                                                            // 0x477eb8
                                                                                                            if (v104 == 2) {
                                                                                                                // 0x477ec1
                                                                                                                v90 = (int32_t *)(v100 + 20);
                                                                                                                *v90 = *v90 + 1;
                                                                                                                v105 = *(char *)(g10 + 48);
                                                                                                                *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                                v91 = (int32_t *)(g5 + 20);
                                                                                                                *v91 = *v91 + 1;
                                                                                                                v106 = *(int32_t *)(g5 + 8);
                                                                                                                v107 = *(int32_t *)(g10 + 48);
                                                                                                                *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                                v92 = (int32_t *)(g5 + 20);
                                                                                                                *v92 = *v92 + 1;
                                                                                                                v108 = *(int32_t *)(g5 + 8);
                                                                                                                v109 = *(int32_t *)(g10 + 48);
                                                                                                                *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                                v93 = (int32_t *)(g5 + 20);
                                                                                                                *v93 = *v93 + 1;
                                                                                                                v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                                v94 = (int32_t *)(g5 + 20);
                                                                                                                *v94 = *v94 + 1;
                                                                                                                *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                v95 = (int32_t *)(g5 + 20);
                                                                                                                *v95 = *v95 + 1;
                                                                                                                v110 = *(int32_t *)(g5 + 8);
                                                                                                                v111 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                                v96 = (int32_t *)(g5 + 20);
                                                                                                                *v96 = *v96 + 1;
                                                                                                                v112 = *(int32_t *)(g5 + 8);
                                                                                                                v113 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                                v97 = (int32_t *)(g5 + 20);
                                                                                                                *v97 = *v97 + 1;
                                                                                                                v114 = *(int32_t *)(g5 + 8);
                                                                                                                g6 = v114;
                                                                                                                v115 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                                // branch -> 0x477f7a
                                                                                                            } else {
                                                                                                                // 0x477f5d
                                                                                                                g3 = v100;
                                                                                                                g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                function_4776b4();
                                                                                                                g3 = g5;
                                                                                                                g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                function_4776b4();
                                                                                                                // branch -> 0x477f7a
                                                                                                            }
                                                                                                            // 0x477f7a
                                                                                                            g3 = g10;
                                                                                                            function_4776dc();
                                                                                                            v101 = g5;
                                                                                                            v98 = (int32_t *)(v101 + 24);
                                                                                                            v116 = *v98;
                                                                                                            v102 = v101;
                                                                                                            if (v116 >= 1) {
                                                                                                                // 0x477f88
                                                                                                                *v98 = -v116;
                                                                                                                v102 = g5;
                                                                                                                // branch -> 0x477f8d
                                                                                                            }
                                                                                                            // 0x477f8d
                                                                                                            if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                                // 0x477f97
                                                                                                                g3 = 1;
                                                                                                                // branch -> 0x477f9c
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            } else {
                                                                                                                // 0x477f93
                                                                                                                g3 = 0;
                                                                                                                // branch -> 0x477f9c
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        } else {
                                                                                                            // 0x477eae
                                                                                                            g3 = 1;
                                                                                                            // branch -> 0x477f9c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x477ea0
                                                                                                        g3 = 0;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x477e23
                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                // 0x477e29
                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                // branch -> 0x477e30
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x477e9b
                                                                                    if (g7 == 4) {
                                                                                        // 0x477ea7
                                                                                        v100 = g5;
                                                                                        v104 = *(int32_t *)(v100 + 24);
                                                                                        if (v104 > 0) {
                                                                                            // 0x477eb8
                                                                                            if (v104 == 2) {
                                                                                                // 0x477ec1
                                                                                                v90 = (int32_t *)(v100 + 20);
                                                                                                *v90 = *v90 + 1;
                                                                                                v105 = *(char *)(g10 + 48);
                                                                                                *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                v91 = (int32_t *)(g5 + 20);
                                                                                                *v91 = *v91 + 1;
                                                                                                v106 = *(int32_t *)(g5 + 8);
                                                                                                v107 = *(int32_t *)(g10 + 48);
                                                                                                *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                v92 = (int32_t *)(g5 + 20);
                                                                                                *v92 = *v92 + 1;
                                                                                                v108 = *(int32_t *)(g5 + 8);
                                                                                                v109 = *(int32_t *)(g10 + 48);
                                                                                                *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                v93 = (int32_t *)(g5 + 20);
                                                                                                *v93 = *v93 + 1;
                                                                                                v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                v94 = (int32_t *)(g5 + 20);
                                                                                                *v94 = *v94 + 1;
                                                                                                *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                v95 = (int32_t *)(g5 + 20);
                                                                                                *v95 = *v95 + 1;
                                                                                                v110 = *(int32_t *)(g5 + 8);
                                                                                                v111 = *(int32_t *)(g10 + 8);
                                                                                                *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                v96 = (int32_t *)(g5 + 20);
                                                                                                *v96 = *v96 + 1;
                                                                                                v112 = *(int32_t *)(g5 + 8);
                                                                                                v113 = *(int32_t *)(g10 + 8);
                                                                                                *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                v97 = (int32_t *)(g5 + 20);
                                                                                                *v97 = *v97 + 1;
                                                                                                v114 = *(int32_t *)(g5 + 8);
                                                                                                g6 = v114;
                                                                                                v115 = *(int32_t *)(g10 + 8);
                                                                                                *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                // branch -> 0x477f7a
                                                                                            } else {
                                                                                                // 0x477f5d
                                                                                                g3 = v100;
                                                                                                g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                function_4776b4();
                                                                                                g3 = g5;
                                                                                                g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                function_4776b4();
                                                                                                // branch -> 0x477f7a
                                                                                            }
                                                                                            // 0x477f7a
                                                                                            g3 = g10;
                                                                                            function_4776dc();
                                                                                            v101 = g5;
                                                                                            v98 = (int32_t *)(v101 + 24);
                                                                                            v116 = *v98;
                                                                                            v102 = v101;
                                                                                            if (v116 >= 1) {
                                                                                                // 0x477f88
                                                                                                *v98 = -v116;
                                                                                                v102 = g5;
                                                                                                // branch -> 0x477f8d
                                                                                            }
                                                                                            // 0x477f8d
                                                                                            if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                // 0x477f97
                                                                                                g3 = 1;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                // 0x477f93
                                                                                                g3 = 0;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            // 0x477eae
                                                                                            g3 = 1;
                                                                                            // branch -> 0x477f9c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        // 0x477ea0
                                                                                        g3 = 0;
                                                                                        // branch -> 0x477f9c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x477de6
                                                                            v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                            g4 = v75;
                                                                            g8 = g7;
                                                                            ((int32_t (*)())v75)();
                                                                            if (v65 != 2) {
                                                                                // 0x477e07
                                                                                if (v65 != 3) {
                                                                                    // 0x477e15
                                                                                    if (v65 != 0) {
                                                                                        // 0x477e1c
                                                                                        if (v65 != 2) {
                                                                                            // 0x477e37
                                                                                            if (v65 == 1) {
                                                                                                // 0x477e3e
                                                                                                if (g7 == 1) {
                                                                                                    // 0x477e43
                                                                                                    g3 = g5;
                                                                                                    function_47c528();
                                                                                                    // branch -> 0x477e80
                                                                                                } else {
                                                                                                    // 0x477e4c
                                                                                                    g6 = 0;
                                                                                                    g8 = 0;
                                                                                                    g3 = g5;
                                                                                                    function_47c46c();
                                                                                                    if (g7 == 3) {
                                                                                                        // 0x477e5e
                                                                                                        v99 = g5;
                                                                                                        v103 = *(int32_t *)(v99 + 76);
                                                                                                        g6 = v103;
                                                                                                        *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                        g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                        unknown_476d98();
                                                                                                        // branch -> 0x477e80
                                                                                                    }
                                                                                                }
                                                                                                // 0x477e80
                                                                                                function_4776dc();
                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                    // 0x477e8d
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x477e9b
                                                                                            if (g7 == 4) {
                                                                                                // 0x477ea7
                                                                                                v100 = g5;
                                                                                                v104 = *(int32_t *)(v100 + 24);
                                                                                                if (v104 > 0) {
                                                                                                    // 0x477eb8
                                                                                                    if (v104 == 2) {
                                                                                                        // 0x477ec1
                                                                                                        v90 = (int32_t *)(v100 + 20);
                                                                                                        *v90 = *v90 + 1;
                                                                                                        v105 = *(char *)(g10 + 48);
                                                                                                        *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                        v91 = (int32_t *)(g5 + 20);
                                                                                                        *v91 = *v91 + 1;
                                                                                                        v106 = *(int32_t *)(g5 + 8);
                                                                                                        v107 = *(int32_t *)(g10 + 48);
                                                                                                        *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                        v92 = (int32_t *)(g5 + 20);
                                                                                                        *v92 = *v92 + 1;
                                                                                                        v108 = *(int32_t *)(g5 + 8);
                                                                                                        v109 = *(int32_t *)(g10 + 48);
                                                                                                        *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                        v93 = (int32_t *)(g5 + 20);
                                                                                                        *v93 = *v93 + 1;
                                                                                                        v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                        *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                        v94 = (int32_t *)(g5 + 20);
                                                                                                        *v94 = *v94 + 1;
                                                                                                        *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                        v95 = (int32_t *)(g5 + 20);
                                                                                                        *v95 = *v95 + 1;
                                                                                                        v110 = *(int32_t *)(g5 + 8);
                                                                                                        v111 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                        v96 = (int32_t *)(g5 + 20);
                                                                                                        *v96 = *v96 + 1;
                                                                                                        v112 = *(int32_t *)(g5 + 8);
                                                                                                        v113 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                        v97 = (int32_t *)(g5 + 20);
                                                                                                        *v97 = *v97 + 1;
                                                                                                        v114 = *(int32_t *)(g5 + 8);
                                                                                                        g6 = v114;
                                                                                                        v115 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                        // branch -> 0x477f7a
                                                                                                    } else {
                                                                                                        // 0x477f5d
                                                                                                        g3 = v100;
                                                                                                        g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                        function_4776b4();
                                                                                                        g3 = g5;
                                                                                                        g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                        function_4776b4();
                                                                                                        // branch -> 0x477f7a
                                                                                                    }
                                                                                                    // 0x477f7a
                                                                                                    g3 = g10;
                                                                                                    function_4776dc();
                                                                                                    v101 = g5;
                                                                                                    v98 = (int32_t *)(v101 + 24);
                                                                                                    v116 = *v98;
                                                                                                    v102 = v101;
                                                                                                    if (v116 >= 1) {
                                                                                                        // 0x477f88
                                                                                                        *v98 = -v116;
                                                                                                        v102 = g5;
                                                                                                        // branch -> 0x477f8d
                                                                                                    }
                                                                                                    // 0x477f8d
                                                                                                    if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                        // 0x477f97
                                                                                                        g3 = 1;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x477f93
                                                                                                        g3 = 0;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x477eae
                                                                                                    g3 = 1;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                // 0x477ea0
                                                                                                g3 = 0;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x477e23
                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                        // 0x477e29
                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                        // branch -> 0x477e30
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x477e0e
                                                                            *(int32_t *)(g5 + 4) = 666;
                                                                            // branch -> 0x477e15
                                                                            // 0x477e15
                                                                            if (v65 != 0) {
                                                                                // 0x477e1c
                                                                                if (v65 != 2) {
                                                                                    // 0x477e37
                                                                                    if (v65 == 1) {
                                                                                        // 0x477e3e
                                                                                        if (g7 == 1) {
                                                                                            // 0x477e43
                                                                                            g3 = g5;
                                                                                            function_47c528();
                                                                                            // branch -> 0x477e80
                                                                                        } else {
                                                                                            // 0x477e4c
                                                                                            g6 = 0;
                                                                                            g8 = 0;
                                                                                            g3 = g5;
                                                                                            function_47c46c();
                                                                                            if (g7 == 3) {
                                                                                                // 0x477e5e
                                                                                                v99 = g5;
                                                                                                v103 = *(int32_t *)(v99 + 76);
                                                                                                g6 = v103;
                                                                                                *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                unknown_476d98();
                                                                                                // branch -> 0x477e80
                                                                                            }
                                                                                        }
                                                                                        // 0x477e80
                                                                                        function_4776dc();
                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                            // 0x477e8d
                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                            g3 = 0;
                                                                                            // branch -> 0x477f9c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x477e9b
                                                                                    if (g7 == 4) {
                                                                                        // 0x477ea7
                                                                                        v100 = g5;
                                                                                        v104 = *(int32_t *)(v100 + 24);
                                                                                        if (v104 > 0) {
                                                                                            // 0x477eb8
                                                                                            if (v104 == 2) {
                                                                                                // 0x477ec1
                                                                                                v90 = (int32_t *)(v100 + 20);
                                                                                                *v90 = *v90 + 1;
                                                                                                v105 = *(char *)(g10 + 48);
                                                                                                *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                v91 = (int32_t *)(g5 + 20);
                                                                                                *v91 = *v91 + 1;
                                                                                                v106 = *(int32_t *)(g5 + 8);
                                                                                                v107 = *(int32_t *)(g10 + 48);
                                                                                                *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                v92 = (int32_t *)(g5 + 20);
                                                                                                *v92 = *v92 + 1;
                                                                                                v108 = *(int32_t *)(g5 + 8);
                                                                                                v109 = *(int32_t *)(g10 + 48);
                                                                                                *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                v93 = (int32_t *)(g5 + 20);
                                                                                                *v93 = *v93 + 1;
                                                                                                v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                v94 = (int32_t *)(g5 + 20);
                                                                                                *v94 = *v94 + 1;
                                                                                                *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                v95 = (int32_t *)(g5 + 20);
                                                                                                *v95 = *v95 + 1;
                                                                                                v110 = *(int32_t *)(g5 + 8);
                                                                                                v111 = *(int32_t *)(g10 + 8);
                                                                                                *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                v96 = (int32_t *)(g5 + 20);
                                                                                                *v96 = *v96 + 1;
                                                                                                v112 = *(int32_t *)(g5 + 8);
                                                                                                v113 = *(int32_t *)(g10 + 8);
                                                                                                *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                v97 = (int32_t *)(g5 + 20);
                                                                                                *v97 = *v97 + 1;
                                                                                                v114 = *(int32_t *)(g5 + 8);
                                                                                                g6 = v114;
                                                                                                v115 = *(int32_t *)(g10 + 8);
                                                                                                *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                // branch -> 0x477f7a
                                                                                            } else {
                                                                                                // 0x477f5d
                                                                                                g3 = v100;
                                                                                                g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                function_4776b4();
                                                                                                g3 = g5;
                                                                                                g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                function_4776b4();
                                                                                                // branch -> 0x477f7a
                                                                                            }
                                                                                            // 0x477f7a
                                                                                            g3 = g10;
                                                                                            function_4776dc();
                                                                                            v101 = g5;
                                                                                            v98 = (int32_t *)(v101 + 24);
                                                                                            v116 = *v98;
                                                                                            v102 = v101;
                                                                                            if (v116 >= 1) {
                                                                                                // 0x477f88
                                                                                                *v98 = -v116;
                                                                                                v102 = g5;
                                                                                                // branch -> 0x477f8d
                                                                                            }
                                                                                            // 0x477f8d
                                                                                            if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                // 0x477f97
                                                                                                g3 = 1;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                // 0x477f93
                                                                                                g3 = 0;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            // 0x477eae
                                                                                            g3 = 1;
                                                                                            // branch -> 0x477f9c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        // 0x477ea0
                                                                                        g3 = 0;
                                                                                        // branch -> 0x477f9c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x477e23
                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                // 0x477e29
                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                // branch -> 0x477e30
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v119 = v122;
                                                                        }
                                                                    }
                                                                    int32_t v140 = *(int32_t *)(v119 + 28); // 0x477aee
                                                                    int32_t v141 = *(int32_t *)(v119 + 32); // 0x477af4
                                                                    unsigned char v142 = *(char *)(v141 + *(int32_t *)(v140 + 16)); // 0x477af7
                                                                    v62 = (int32_t)v142 | v140 & -256;
                                                                    int32_t * v143 = (int32_t *)(v119 + 20); // 0x477afa_0
                                                                    *v143 = *v143 + 1;
                                                                    int32_t v144 = *(int32_t *)(g5 + 8); // 0x477b00
                                                                    *(char *)(*v143 + v144) = (char)v62;
                                                                    int32_t * v145 = (int32_t *)(g5 + 32); // 0x477b06_0
                                                                    *v145 = *v145 + 1;
                                                                    v21 = g5;
                                                                    // branch -> 0x477b09
                                                                    continue;
                                                                }
                                                                // 0x477b1a
                                                                v30 = *(int32_t *)(v22 + 28);
                                                                g6 = v30;
                                                                v23 = v22;
                                                                if (*(int32_t *)(v30 + 44) != 0) {
                                                                    // 0x477b23
                                                                    v31 = g4;
                                                                    v38 = *(int32_t *)(v22 + 20);
                                                                    if (v31 < v38) {
                                                                        // 0x477b28
                                                                        g6 = v38 - v31;
                                                                        g8 = *(int32_t *)(v22 + 8) + v31;
                                                                        g3 = *(int32_t *)(g10 + 48);
                                                                        function_47d23c();
                                                                        *(int32_t *)(g10 + 48) = g3;
                                                                        v23 = g5;
                                                                        // branch -> 0x477b3d
                                                                    } else {
                                                                        v23 = v22;
                                                                    }
                                                                }
                                                                // 0x477b3d
                                                                v14 = (int32_t *)(v23 + 32);
                                                                if (*(int32_t *)(*(int32_t *)(v23 + 28) + 20) == *v14) {
                                                                    // 0x477b48
                                                                    g6 = 0;
                                                                    *v14 = 0;
                                                                    *(int32_t *)(g5 + 4) = 73;
                                                                    // branch -> 0x477b5d
                                                                }
                                                            }
                                                        }
                                                        // 0x477b5d
                                                        v24 = g5;
                                                        if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                                            // 0x477b88
                                                            v32 = g4;
                                                            v39 = *(int32_t *)(v24 + 20);
                                                            if (v32 < v39) {
                                                                // 0x477b8d
                                                                g6 = v39 - v32;
                                                                g8 = *(int32_t *)(v24 + 8) + v32;
                                                                g3 = *(int32_t *)(g10 + 48);
                                                                function_47d23c();
                                                                *(int32_t *)(g10 + 48) = g3;
                                                                // branch -> 0x477ba2
                                                            }
                                                        }
                                                        // 0x477ba2
                                                        g3 = g10;
                                                        function_4776dc();
                                                        v25 = g5;
                                                        v33 = *(int32_t *)(v25 + 20);
                                                        v19 = v33;
                                                        v27 = v25;
                                                        v42 = 1;
                                                        if (v33 != *(int32_t *)(v25 + 12)) {
                                                            // 0x477bbd
                                                            v15 = (int32_t *)(v25 + 32);
                                                            *v15 = *v15 + 1;
                                                            v26 = g5;
                                                            v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                                            v35 = *(char *)(*v15 + v34);
                                                            v40 = v35;
                                                            v62 = v40;
                                                            v16 = (int32_t *)(v26 + 20);
                                                            *v16 = *v16 + 1;
                                                            v36 = *(int32_t *)(g5 + 8);
                                                            g6 = v36;
                                                            g3 = v62 & -256 | v40;
                                                            *(char *)(*v16 + v36) = v35;
                                                            unknown_477b77();
                                                            v27 = g5;
                                                            v42 = v35;
                                                            // branch -> 0x477be8
                                                        }
                                                        // 0x477be8
                                                        if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                                            // 0x477bf1
                                                            v37 = v19;
                                                            v41 = *(int32_t *)(v27 + 20);
                                                            if (v37 < v41) {
                                                                // 0x477bf6
                                                                g6 = v41 - v37;
                                                                g8 = *(int32_t *)(v27 + 8) + v37;
                                                                function_47d23c();
                                                                // branch -> 0x477c0b
                                                            }
                                                        }
                                                        // 0x477c0b
                                                        if (v42 == 0) {
                                                            // 0x477c12
                                                            g6 = 0;
                                                            *(int32_t *)(g5 + 32) = 0;
                                                            *(int32_t *)(g5 + 4) = 91;
                                                            // branch -> 0x477c27
                                                        }
                                                        // 0x477c27
                                                        v28 = g5;
                                                        v17 = (int32_t *)(v28 + 4);
                                                        if (*v17 == 91) {
                                                            // 0x477c31
                                                            if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                                                // 0x477ce5
                                                                *v17 = 103;
                                                                // branch -> 0x477cec
                                                            } else {
                                                                // 0x477c3e
                                                                v19 = *(int32_t *)(v28 + 20);
                                                                v29 = v28;
                                                                // branch -> 0x477c41
                                                                while (true) {
                                                                    // 0x477c41
                                                                    v18 = (int32_t *)(v29 + 20);
                                                                    if (*v18 == *(int32_t *)(v29 + 12)) {
                                                                        goto lab_0x477c49_14;
                                                                    }
                                                                    goto lab_0x477c87_14;
                                                                }
                                                            }
                                                            // 0x477cec
                                                            v47 = g5;
                                                            v43 = (int32_t *)(v47 + 4);
                                                            if (*v43 == 103) {
                                                                // 0x477cf2
                                                                v49 = *(int32_t *)(v47 + 28);
                                                                g6 = v49;
                                                                if (*(int32_t *)(v49 + 44) == 0) {
                                                                    // 0x477d56
                                                                    *v43 = 113;
                                                                    // branch -> 0x477d5d
                                                                } else {
                                                                    // 0x477cfb
                                                                    v50 = *(int32_t *)(v47 + 20);
                                                                    g3 = v50;
                                                                    v48 = v47;
                                                                    if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                        // 0x477d06
                                                                        function_4776dc();
                                                                        v48 = g5;
                                                                        // branch -> 0x477d0d
                                                                    }
                                                                    // 0x477d0d
                                                                    v44 = (int32_t *)(v48 + 20);
                                                                    if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                                        // 0x477d18
                                                                        *v44 = *v44 + 1;
                                                                        v51 = *(char *)(g10 + 48);
                                                                        *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                        v45 = (int32_t *)(g5 + 20);
                                                                        v46 = *v45;
                                                                        *v45 = *v45 + 1;
                                                                        v52 = *(int32_t *)(g5 + 8);
                                                                        g3 = v52;
                                                                        v53 = *(int32_t *)(g10 + 48);
                                                                        *(char *)(v46 + v52) = (char)(v53 / 256);
                                                                        g6 = 0;
                                                                        g8 = 0;
                                                                        function_47d23c();
                                                                        *(int32_t *)(g10 + 48) = 0;
                                                                        *(int32_t *)(g5 + 4) = 113;
                                                                        // branch -> 0x477d5d
                                                                    }
                                                                }
                                                                // 0x477d5d
                                                                v66 = g5;
                                                                if (*(int32_t *)(v66 + 20) == 0) {
                                                                    // 0x477d80
                                                                    v69 = g10;
                                                                    if (*(int32_t *)(v69 + 4) == 0) {
                                                                        // 0x477d86
                                                                        v64 = g7;
                                                                        if (v64 <= v4) {
                                                                            // 0x477d8b
                                                                            if (v64 != 4) {
                                                                                // 0x477d90
                                                                                g3 = -5;
                                                                                *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                                // branch -> 0x477f9c
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            } else {
                                                                                v70 = v69;
                                                                                v65 = v66;
                                                                            }
                                                                        } else {
                                                                            v70 = v69;
                                                                            v65 = v66;
                                                                        }
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    // 0x477d63
                                                                    function_4776dc();
                                                                    v67 = g10;
                                                                    v68 = g5;
                                                                    if (*(int32_t *)(v67 + 16) == 0) {
                                                                        // 0x477d70
                                                                        *(int32_t *)(v68 + 40) = -1;
                                                                        g3 = 0;
                                                                        // branch -> 0x477f9c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v70 = v67;
                                                                        v65 = v68;
                                                                    }
                                                                }
                                                                // 0x477da3
                                                                v71 = *(int32_t *)(v65 + 4);
                                                                v76 = v71 - 666;
                                                                v63 = llvm_ctpop_i32(v76);
                                                                v72 = *(int32_t *)(v70 + 4);
                                                                v73 = v72;
                                                                if (v71 == 666) {
                                                                    // 0x477dac
                                                                    if (v72 != 0) {
                                                                        // 0x477db2
                                                                        g3 = -5;
                                                                        *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                        // branch -> 0x477f9c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v73 = 0;
                                                                    }
                                                                }
                                                                // 0x477dc5
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v73 == 0;
                                                                g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                                if (v73 == 0) {
                                                                    // 0x477dcb
                                                                    v74 = *(int32_t *)(v65 + 116);
                                                                    g2 = false;
                                                                    g1 = false;
                                                                    g187 = v74 == 0;
                                                                    g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                                    if (v74 == 0) {
                                                                        // 0x477dd1
                                                                        if (g7 != 0) {
                                                                            // 0x477dd9
                                                                            g2 = (v71 & 15) > 25;
                                                                            g1 = v71 < 666;
                                                                            g187 = v76 == 0;
                                                                            g9 = v63 % 2 == 1;
                                                                            if (v71 != 666) {
                                                                                // 0x477de6
                                                                                v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                                g4 = v75;
                                                                                g8 = g7;
                                                                                ((int32_t (*)())v75)();
                                                                                if (v65 != 2) {
                                                                                    // 0x477e07
                                                                                    if (v65 != 3) {
                                                                                        // 0x477e15
                                                                                        if (v65 != 0) {
                                                                                            // 0x477e1c
                                                                                            if (v65 != 2) {
                                                                                                // 0x477e37
                                                                                                if (v65 == 1) {
                                                                                                    // 0x477e3e
                                                                                                    if (g7 == 1) {
                                                                                                        // 0x477e43
                                                                                                        g3 = g5;
                                                                                                        function_47c528();
                                                                                                        // branch -> 0x477e80
                                                                                                    } else {
                                                                                                        // 0x477e4c
                                                                                                        g6 = 0;
                                                                                                        g8 = 0;
                                                                                                        g3 = g5;
                                                                                                        function_47c46c();
                                                                                                        if (g7 == 3) {
                                                                                                            // 0x477e5e
                                                                                                            v99 = g5;
                                                                                                            v103 = *(int32_t *)(v99 + 76);
                                                                                                            g6 = v103;
                                                                                                            *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                            g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                            unknown_476d98();
                                                                                                            // branch -> 0x477e80
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x477e80
                                                                                                    function_4776dc();
                                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                        // 0x477e8d
                                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                                        g3 = 0;
                                                                                                        // branch -> 0x477f9c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x477e9b
                                                                                                if (g7 == 4) {
                                                                                                    // 0x477ea7
                                                                                                    v100 = g5;
                                                                                                    v104 = *(int32_t *)(v100 + 24);
                                                                                                    v62 = v104;
                                                                                                    if (v104 > 0) {
                                                                                                        // 0x477eb8
                                                                                                        if (v104 == 2) {
                                                                                                            // 0x477ec1
                                                                                                            v90 = (int32_t *)(v100 + 20);
                                                                                                            *v90 = *v90 + 1;
                                                                                                            v105 = *(char *)(g10 + 48);
                                                                                                            *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                            v91 = (int32_t *)(g5 + 20);
                                                                                                            *v91 = *v91 + 1;
                                                                                                            v106 = *(int32_t *)(g5 + 8);
                                                                                                            v107 = *(int32_t *)(g10 + 48);
                                                                                                            *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                            v92 = (int32_t *)(g5 + 20);
                                                                                                            *v92 = *v92 + 1;
                                                                                                            v108 = *(int32_t *)(g5 + 8);
                                                                                                            v109 = *(int32_t *)(g10 + 48);
                                                                                                            *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                            v93 = (int32_t *)(g5 + 20);
                                                                                                            *v93 = *v93 + 1;
                                                                                                            v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                            v62 = v117;
                                                                                                            *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                            v94 = (int32_t *)(g5 + 20);
                                                                                                            *v94 = *v94 + 1;
                                                                                                            *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                            v95 = (int32_t *)(g5 + 20);
                                                                                                            *v95 = *v95 + 1;
                                                                                                            v110 = *(int32_t *)(g5 + 8);
                                                                                                            v111 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                            v96 = (int32_t *)(g5 + 20);
                                                                                                            *v96 = *v96 + 1;
                                                                                                            v112 = *(int32_t *)(g5 + 8);
                                                                                                            v113 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                            v97 = (int32_t *)(g5 + 20);
                                                                                                            *v97 = *v97 + 1;
                                                                                                            v114 = *(int32_t *)(g5 + 8);
                                                                                                            g6 = v114;
                                                                                                            v115 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                            // branch -> 0x477f7a
                                                                                                        } else {
                                                                                                            // 0x477f5d
                                                                                                            g3 = v100;
                                                                                                            g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                            function_4776b4();
                                                                                                            g3 = g5;
                                                                                                            g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                            function_4776b4();
                                                                                                            // branch -> 0x477f7a
                                                                                                        }
                                                                                                        // 0x477f7a
                                                                                                        g3 = g10;
                                                                                                        function_4776dc();
                                                                                                        v101 = g5;
                                                                                                        v98 = (int32_t *)(v101 + 24);
                                                                                                        v116 = *v98;
                                                                                                        v102 = v101;
                                                                                                        if (v116 >= 1) {
                                                                                                            // 0x477f88
                                                                                                            *v98 = -v116;
                                                                                                            v102 = g5;
                                                                                                            // branch -> 0x477f8d
                                                                                                        }
                                                                                                        // 0x477f8d
                                                                                                        if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                            // 0x477f97
                                                                                                            g3 = 1;
                                                                                                            // branch -> 0x477f9c
                                                                                                        } else {
                                                                                                            // 0x477f93
                                                                                                            g3 = 0;
                                                                                                            // branch -> 0x477f9c
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    } else {
                                                                                                        // 0x477eae
                                                                                                        g3 = 1;
                                                                                                        // branch -> 0x477f9c
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                } else {
                                                                                                    // 0x477ea0
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x477e23
                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                            // 0x477e29
                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                            // branch -> 0x477e30
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x477e0e
                                                                                *(int32_t *)(g5 + 4) = 666;
                                                                                // branch -> 0x477e15
                                                                                // 0x477e15
                                                                                if (v65 != 0) {
                                                                                    // 0x477e1c
                                                                                    if (v65 != 2) {
                                                                                        // 0x477e37
                                                                                        if (v65 == 1) {
                                                                                            // 0x477e3e
                                                                                            if (g7 == 1) {
                                                                                                // 0x477e43
                                                                                                g3 = g5;
                                                                                                function_47c528();
                                                                                                // branch -> 0x477e80
                                                                                            } else {
                                                                                                // 0x477e4c
                                                                                                g6 = 0;
                                                                                                g8 = 0;
                                                                                                g3 = g5;
                                                                                                function_47c46c();
                                                                                                if (g7 == 3) {
                                                                                                    // 0x477e5e
                                                                                                    v99 = g5;
                                                                                                    v103 = *(int32_t *)(v99 + 76);
                                                                                                    g6 = v103;
                                                                                                    *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                    g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                    unknown_476d98();
                                                                                                    // branch -> 0x477e80
                                                                                                }
                                                                                            }
                                                                                            // 0x477e80
                                                                                            function_4776dc();
                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                // 0x477e8d
                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                g3 = 0;
                                                                                                // branch -> 0x477f9c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x477e9b
                                                                                        if (g7 == 4) {
                                                                                            // 0x477ea7
                                                                                            v100 = g5;
                                                                                            v104 = *(int32_t *)(v100 + 24);
                                                                                            v62 = v104;
                                                                                            if (v104 > 0) {
                                                                                                // 0x477eb8
                                                                                                if (v104 == 2) {
                                                                                                    // 0x477ec1
                                                                                                    v90 = (int32_t *)(v100 + 20);
                                                                                                    *v90 = *v90 + 1;
                                                                                                    v105 = *(char *)(g10 + 48);
                                                                                                    *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                                    v91 = (int32_t *)(g5 + 20);
                                                                                                    *v91 = *v91 + 1;
                                                                                                    v106 = *(int32_t *)(g5 + 8);
                                                                                                    v107 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                                    v92 = (int32_t *)(g5 + 20);
                                                                                                    *v92 = *v92 + 1;
                                                                                                    v108 = *(int32_t *)(g5 + 8);
                                                                                                    v109 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                                    v93 = (int32_t *)(g5 + 20);
                                                                                                    *v93 = *v93 + 1;
                                                                                                    v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                    v62 = v117;
                                                                                                    *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                                    v94 = (int32_t *)(g5 + 20);
                                                                                                    *v94 = *v94 + 1;
                                                                                                    *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                    v95 = (int32_t *)(g5 + 20);
                                                                                                    *v95 = *v95 + 1;
                                                                                                    v110 = *(int32_t *)(g5 + 8);
                                                                                                    v111 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                                    v96 = (int32_t *)(g5 + 20);
                                                                                                    *v96 = *v96 + 1;
                                                                                                    v112 = *(int32_t *)(g5 + 8);
                                                                                                    v113 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                                    v97 = (int32_t *)(g5 + 20);
                                                                                                    *v97 = *v97 + 1;
                                                                                                    v114 = *(int32_t *)(g5 + 8);
                                                                                                    g6 = v114;
                                                                                                    v115 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                                    // branch -> 0x477f7a
                                                                                                } else {
                                                                                                    // 0x477f5d
                                                                                                    g3 = v100;
                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                    function_4776b4();
                                                                                                    g3 = g5;
                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                    function_4776b4();
                                                                                                    // branch -> 0x477f7a
                                                                                                }
                                                                                                // 0x477f7a
                                                                                                g3 = g10;
                                                                                                function_4776dc();
                                                                                                v101 = g5;
                                                                                                v98 = (int32_t *)(v101 + 24);
                                                                                                v116 = *v98;
                                                                                                v102 = v101;
                                                                                                if (v116 >= 1) {
                                                                                                    // 0x477f88
                                                                                                    *v98 = -v116;
                                                                                                    v102 = g5;
                                                                                                    // branch -> 0x477f8d
                                                                                                }
                                                                                                // 0x477f8d
                                                                                                if (*(int32_t *)(v102 + 20) == 0) {
                                                                                                    // 0x477f97
                                                                                                    g3 = 1;
                                                                                                    // branch -> 0x477f9c
                                                                                                } else {
                                                                                                    // 0x477f93
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                // 0x477eae
                                                                                                g3 = 1;
                                                                                                // branch -> 0x477f9c
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            // 0x477ea0
                                                                                            g3 = 0;
                                                                                            // branch -> 0x477f9c
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x477e23
                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                    // 0x477e29
                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                    // branch -> 0x477e30
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x477e9b
                                                                        if (g7 == 4) {
                                                                            // 0x477ea7
                                                                            v100 = g5;
                                                                            v104 = *(int32_t *)(v100 + 24);
                                                                            v62 = v104;
                                                                            if (v104 > 0) {
                                                                                // 0x477eb8
                                                                                if (v104 == 2) {
                                                                                    // 0x477ec1
                                                                                    v90 = (int32_t *)(v100 + 20);
                                                                                    *v90 = *v90 + 1;
                                                                                    v105 = *(char *)(g10 + 48);
                                                                                    *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                    v91 = (int32_t *)(g5 + 20);
                                                                                    *v91 = *v91 + 1;
                                                                                    v106 = *(int32_t *)(g5 + 8);
                                                                                    v107 = *(int32_t *)(g10 + 48);
                                                                                    *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                    v92 = (int32_t *)(g5 + 20);
                                                                                    *v92 = *v92 + 1;
                                                                                    v108 = *(int32_t *)(g5 + 8);
                                                                                    v109 = *(int32_t *)(g10 + 48);
                                                                                    *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                    v93 = (int32_t *)(g5 + 20);
                                                                                    *v93 = *v93 + 1;
                                                                                    v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                    v62 = v117;
                                                                                    *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                    v94 = (int32_t *)(g5 + 20);
                                                                                    *v94 = *v94 + 1;
                                                                                    *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                    v95 = (int32_t *)(g5 + 20);
                                                                                    *v95 = *v95 + 1;
                                                                                    v110 = *(int32_t *)(g5 + 8);
                                                                                    v111 = *(int32_t *)(g10 + 8);
                                                                                    *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                    v96 = (int32_t *)(g5 + 20);
                                                                                    *v96 = *v96 + 1;
                                                                                    v112 = *(int32_t *)(g5 + 8);
                                                                                    v113 = *(int32_t *)(g10 + 8);
                                                                                    *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                    v97 = (int32_t *)(g5 + 20);
                                                                                    *v97 = *v97 + 1;
                                                                                    v114 = *(int32_t *)(g5 + 8);
                                                                                    g6 = v114;
                                                                                    v115 = *(int32_t *)(g10 + 8);
                                                                                    *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                    // branch -> 0x477f7a
                                                                                } else {
                                                                                    // 0x477f5d
                                                                                    g3 = v100;
                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                    function_4776b4();
                                                                                    g3 = g5;
                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                    function_4776b4();
                                                                                    // branch -> 0x477f7a
                                                                                }
                                                                                // 0x477f7a
                                                                                g3 = g10;
                                                                                function_4776dc();
                                                                                v101 = g5;
                                                                                v98 = (int32_t *)(v101 + 24);
                                                                                v116 = *v98;
                                                                                v102 = v101;
                                                                                if (v116 >= 1) {
                                                                                    // 0x477f88
                                                                                    *v98 = -v116;
                                                                                    v102 = g5;
                                                                                    // branch -> 0x477f8d
                                                                                }
                                                                                // 0x477f8d
                                                                                if (*(int32_t *)(v102 + 20) == 0) {
                                                                                    // 0x477f97
                                                                                    g3 = 1;
                                                                                    // branch -> 0x477f9c
                                                                                } else {
                                                                                    // 0x477f93
                                                                                    g3 = 0;
                                                                                    // branch -> 0x477f9c
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            } else {
                                                                                // 0x477eae
                                                                                g3 = 1;
                                                                                // branch -> 0x477f9c
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            // 0x477ea0
                                                                            g3 = 0;
                                                                            // branch -> 0x477f9c
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // 0x477de6
                                                                v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                g4 = v75;
                                                                g8 = g7;
                                                                ((int32_t (*)())v75)();
                                                                if (v65 != 2) {
                                                                    // 0x477e07
                                                                    if (v65 != 3) {
                                                                        // 0x477e15
                                                                        if (v65 != 0) {
                                                                            // 0x477e1c
                                                                            if (v65 != 2) {
                                                                                // 0x477e37
                                                                                if (v65 == 1) {
                                                                                    // 0x477e3e
                                                                                    if (g7 == 1) {
                                                                                        // 0x477e43
                                                                                        g3 = g5;
                                                                                        function_47c528();
                                                                                        // branch -> 0x477e80
                                                                                    } else {
                                                                                        // 0x477e4c
                                                                                        g6 = 0;
                                                                                        g8 = 0;
                                                                                        g3 = g5;
                                                                                        function_47c46c();
                                                                                        if (g7 == 3) {
                                                                                            // 0x477e5e
                                                                                            v99 = g5;
                                                                                            v103 = *(int32_t *)(v99 + 76);
                                                                                            g6 = v103;
                                                                                            *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                            g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                            unknown_476d98();
                                                                                            // branch -> 0x477e80
                                                                                        }
                                                                                    }
                                                                                    // 0x477e80
                                                                                    function_4776dc();
                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                        // 0x477e8d
                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                        g3 = 0;
                                                                                        // branch -> 0x477f9c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x477e9b
                                                                                if (g7 == 4) {
                                                                                    // 0x477ea7
                                                                                    v100 = g5;
                                                                                    v104 = *(int32_t *)(v100 + 24);
                                                                                    v62 = v104;
                                                                                    if (v104 > 0) {
                                                                                        // 0x477eb8
                                                                                        if (v104 == 2) {
                                                                                            // 0x477ec1
                                                                                            v90 = (int32_t *)(v100 + 20);
                                                                                            *v90 = *v90 + 1;
                                                                                            v105 = *(char *)(g10 + 48);
                                                                                            *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                            v91 = (int32_t *)(g5 + 20);
                                                                                            *v91 = *v91 + 1;
                                                                                            v106 = *(int32_t *)(g5 + 8);
                                                                                            v107 = *(int32_t *)(g10 + 48);
                                                                                            *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                            v92 = (int32_t *)(g5 + 20);
                                                                                            *v92 = *v92 + 1;
                                                                                            v108 = *(int32_t *)(g5 + 8);
                                                                                            v109 = *(int32_t *)(g10 + 48);
                                                                                            *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                            v93 = (int32_t *)(g5 + 20);
                                                                                            *v93 = *v93 + 1;
                                                                                            v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                            v62 = v117;
                                                                                            *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                            v94 = (int32_t *)(g5 + 20);
                                                                                            *v94 = *v94 + 1;
                                                                                            *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                            v95 = (int32_t *)(g5 + 20);
                                                                                            *v95 = *v95 + 1;
                                                                                            v110 = *(int32_t *)(g5 + 8);
                                                                                            v111 = *(int32_t *)(g10 + 8);
                                                                                            *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                            v96 = (int32_t *)(g5 + 20);
                                                                                            *v96 = *v96 + 1;
                                                                                            v112 = *(int32_t *)(g5 + 8);
                                                                                            v113 = *(int32_t *)(g10 + 8);
                                                                                            *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                            v97 = (int32_t *)(g5 + 20);
                                                                                            *v97 = *v97 + 1;
                                                                                            v114 = *(int32_t *)(g5 + 8);
                                                                                            g6 = v114;
                                                                                            v115 = *(int32_t *)(g10 + 8);
                                                                                            *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                            // branch -> 0x477f7a
                                                                                        } else {
                                                                                            // 0x477f5d
                                                                                            g3 = v100;
                                                                                            g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                            function_4776b4();
                                                                                            g3 = g5;
                                                                                            g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                            function_4776b4();
                                                                                            // branch -> 0x477f7a
                                                                                        }
                                                                                        // 0x477f7a
                                                                                        g3 = g10;
                                                                                        function_4776dc();
                                                                                        v101 = g5;
                                                                                        v98 = (int32_t *)(v101 + 24);
                                                                                        v116 = *v98;
                                                                                        v102 = v101;
                                                                                        if (v116 >= 1) {
                                                                                            // 0x477f88
                                                                                            *v98 = -v116;
                                                                                            v102 = g5;
                                                                                            // branch -> 0x477f8d
                                                                                        }
                                                                                        // 0x477f8d
                                                                                        if (*(int32_t *)(v102 + 20) == 0) {
                                                                                            // 0x477f97
                                                                                            g3 = 1;
                                                                                            // branch -> 0x477f9c
                                                                                        } else {
                                                                                            // 0x477f93
                                                                                            g3 = 0;
                                                                                            // branch -> 0x477f9c
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        // 0x477eae
                                                                                        g3 = 1;
                                                                                        // branch -> 0x477f9c
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                } else {
                                                                                    // 0x477ea0
                                                                                    g3 = 0;
                                                                                    // branch -> 0x477f9c
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x477e23
                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                            // 0x477e29
                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                            // branch -> 0x477e30
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // 0x477e0e
                                                                *(int32_t *)(g5 + 4) = 666;
                                                                // branch -> 0x477e15
                                                                // 0x477e15
                                                                if (v65 != 0) {
                                                                    // 0x477e1c
                                                                    if (v65 != 2) {
                                                                        // 0x477e37
                                                                        if (v65 == 1) {
                                                                            // 0x477e3e
                                                                            if (g7 == 1) {
                                                                                // 0x477e43
                                                                                g3 = g5;
                                                                                function_47c528();
                                                                                // branch -> 0x477e80
                                                                            } else {
                                                                                // 0x477e4c
                                                                                g6 = 0;
                                                                                g8 = 0;
                                                                                g3 = g5;
                                                                                function_47c46c();
                                                                                if (g7 == 3) {
                                                                                    // 0x477e5e
                                                                                    v99 = g5;
                                                                                    v103 = *(int32_t *)(v99 + 76);
                                                                                    g6 = v103;
                                                                                    *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                    g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                    unknown_476d98();
                                                                                    // branch -> 0x477e80
                                                                                }
                                                                            }
                                                                            // 0x477e80
                                                                            function_4776dc();
                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                // 0x477e8d
                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                g3 = 0;
                                                                                // branch -> 0x477f9c
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x477e9b
                                                                        if (g7 == 4) {
                                                                            // 0x477ea7
                                                                            v100 = g5;
                                                                            v104 = *(int32_t *)(v100 + 24);
                                                                            v62 = v104;
                                                                            if (v104 > 0) {
                                                                                // 0x477eb8
                                                                                if (v104 == 2) {
                                                                                    // 0x477ec1
                                                                                    v90 = (int32_t *)(v100 + 20);
                                                                                    *v90 = *v90 + 1;
                                                                                    v105 = *(char *)(g10 + 48);
                                                                                    *(char *)(*v90 + *(int32_t *)(g5 + 8)) = v105;
                                                                                    v91 = (int32_t *)(g5 + 20);
                                                                                    *v91 = *v91 + 1;
                                                                                    v106 = *(int32_t *)(g5 + 8);
                                                                                    v107 = *(int32_t *)(g10 + 48);
                                                                                    *(char *)(*v91 + v106) = (char)(v107 / 256);
                                                                                    v92 = (int32_t *)(g5 + 20);
                                                                                    *v92 = *v92 + 1;
                                                                                    v108 = *(int32_t *)(g5 + 8);
                                                                                    v109 = *(int32_t *)(g10 + 48);
                                                                                    *(char *)(*v92 + v108) = (char)(v109 / 0x10000);
                                                                                    v93 = (int32_t *)(g5 + 20);
                                                                                    *v93 = *v93 + 1;
                                                                                    v117 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                    v62 = v117;
                                                                                    *(char *)(*v93 + *(int32_t *)(g5 + 8)) = (char)v117;
                                                                                    v94 = (int32_t *)(g5 + 20);
                                                                                    *v94 = *v94 + 1;
                                                                                    *(char *)(*v94 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                    v95 = (int32_t *)(g5 + 20);
                                                                                    *v95 = *v95 + 1;
                                                                                    v110 = *(int32_t *)(g5 + 8);
                                                                                    v111 = *(int32_t *)(g10 + 8);
                                                                                    *(char *)(*v95 + v110) = (char)(v111 / 256);
                                                                                    v96 = (int32_t *)(g5 + 20);
                                                                                    *v96 = *v96 + 1;
                                                                                    v112 = *(int32_t *)(g5 + 8);
                                                                                    v113 = *(int32_t *)(g10 + 8);
                                                                                    *(char *)(*v96 + v112) = (char)(v113 / 0x10000);
                                                                                    v97 = (int32_t *)(g5 + 20);
                                                                                    *v97 = *v97 + 1;
                                                                                    v114 = *(int32_t *)(g5 + 8);
                                                                                    g6 = v114;
                                                                                    v115 = *(int32_t *)(g10 + 8);
                                                                                    *(char *)(*v97 + v114) = (char)(v115 / 0x1000000);
                                                                                    // branch -> 0x477f7a
                                                                                } else {
                                                                                    // 0x477f5d
                                                                                    g3 = v100;
                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                    function_4776b4();
                                                                                    g3 = g5;
                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                    function_4776b4();
                                                                                    // branch -> 0x477f7a
                                                                                }
                                                                                // 0x477f7a
                                                                                g3 = g10;
                                                                                function_4776dc();
                                                                                v101 = g5;
                                                                                v98 = (int32_t *)(v101 + 24);
                                                                                v116 = *v98;
                                                                                v102 = v101;
                                                                                if (v116 >= 1) {
                                                                                    // 0x477f88
                                                                                    *v98 = -v116;
                                                                                    v102 = g5;
                                                                                    // branch -> 0x477f8d
                                                                                }
                                                                                // 0x477f8d
                                                                                if (*(int32_t *)(v102 + 20) == 0) {
                                                                                    // 0x477f97
                                                                                    g3 = 1;
                                                                                    // branch -> 0x477f9c
                                                                                } else {
                                                                                    // 0x477f93
                                                                                    g3 = 0;
                                                                                    // branch -> 0x477f9c
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            } else {
                                                                                // 0x477eae
                                                                                g3 = 1;
                                                                                // branch -> 0x477f9c
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            // 0x477ea0
                                                                            g3 = 0;
                                                                            // branch -> 0x477f9c
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // 0x477e23
                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                    // 0x477e29
                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                    // branch -> 0x477e30
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // 0x477d5d
                                                            v66 = g5;
                                                            if (*(int32_t *)(v66 + 20) == 0) {
                                                                // 0x477d80
                                                                v69 = g10;
                                                                if (*(int32_t *)(v69 + 4) == 0) {
                                                                    // 0x477d86
                                                                    v64 = g7;
                                                                    if (v64 <= v4) {
                                                                        // 0x477d8b
                                                                        if (v64 != 4) {
                                                                            // 0x477d90
                                                                            g3 = -5;
                                                                            *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                            // branch -> 0x477f9c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v70 = v69;
                                                                            v65 = v66;
                                                                        }
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                // 0x477d63
                                                                function_4776dc();
                                                                v67 = g10;
                                                                v68 = g5;
                                                                if (*(int32_t *)(v67 + 16) == 0) {
                                                                    // 0x477d70
                                                                    *(int32_t *)(v68 + 40) = -1;
                                                                    g3 = 0;
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v70 = v67;
                                                                    v65 = v68;
                                                                }
                                                            }
                                                            // 0x477da3
                                                            v71 = *(int32_t *)(v65 + 4);
                                                            v76 = v71 - 666;
                                                            v63 = llvm_ctpop_i32(v76);
                                                            v72 = *(int32_t *)(v70 + 4);
                                                            v73 = v72;
                                                            if (v71 == 666) {
                                                                // 0x477dac
                                                                if (v72 != 0) {
                                                                    // 0x477db2
                                                                    g3 = -5;
                                                                    *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v73 = 0;
                                                                }
                                                            }
                                                            // 0x477dc5
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v73 == 0;
                                                            g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                            if (v73 == 0) {
                                                                // 0x477dcb
                                                                v74 = *(int32_t *)(v65 + 116);
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v74 == 0;
                                                                g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                                if (v74 == 0) {
                                                                    // 0x477dd1
                                                                    if (g7 != 0) {
                                                                        // 0x477dd9
                                                                        g2 = (v71 & 15) > 25;
                                                                        g1 = v71 < 666;
                                                                        g187 = v76 == 0;
                                                                        g9 = v63 % 2 == 1;
                                                                        if (v71 != 666) {
                                                                            // 0x477de6
                                                                            v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                            g4 = v75;
                                                                            g8 = g7;
                                                                            ((int32_t (*)())v75)();
                                                                            if (v65 != 2) {
                                                                                // 0x477e07
                                                                                if (v65 != 3) {
                                                                                    // 0x477e15
                                                                                    if (v65 != 0) {
                                                                                        // 0x477e1c
                                                                                        if (v65 != 2) {
                                                                                            // 0x477e37
                                                                                            if (v65 == 1) {
                                                                                                // 0x477e3e
                                                                                                if (g7 == 1) {
                                                                                                    // 0x477e43
                                                                                                    g3 = g5;
                                                                                                    function_47c528();
                                                                                                    // branch -> 0x477e80
                                                                                                } else {
                                                                                                    // 0x477e4c
                                                                                                    g6 = 0;
                                                                                                    g8 = 0;
                                                                                                    g3 = g5;
                                                                                                    function_47c46c();
                                                                                                    if (g7 == 3) {
                                                                                                        // 0x477e5e
                                                                                                        v99 = g5;
                                                                                                        v103 = *(int32_t *)(v99 + 76);
                                                                                                        g6 = v103;
                                                                                                        *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                        g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                        unknown_476d98();
                                                                                                        // branch -> 0x477e80
                                                                                                    }
                                                                                                }
                                                                                                // 0x477e80
                                                                                                function_4776dc();
                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                    // 0x477e8d
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x477e23
                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                        // 0x477e29
                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                        // branch -> 0x477e30
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x477e0e
                                                                            *(int32_t *)(g5 + 4) = 666;
                                                                            // branch -> 0x477e15
                                                                            // 0x477e15
                                                                            if (v65 != 0) {
                                                                                // 0x477e1c
                                                                                if (v65 != 2) {
                                                                                    // 0x477e37
                                                                                    if (v65 == 1) {
                                                                                        // 0x477e3e
                                                                                        if (g7 == 1) {
                                                                                            // 0x477e43
                                                                                            g3 = g5;
                                                                                            function_47c528();
                                                                                            // branch -> 0x477e80
                                                                                        } else {
                                                                                            // 0x477e4c
                                                                                            g6 = 0;
                                                                                            g8 = 0;
                                                                                            g3 = g5;
                                                                                            function_47c46c();
                                                                                            if (g7 == 3) {
                                                                                                // 0x477e5e
                                                                                                v99 = g5;
                                                                                                v103 = *(int32_t *)(v99 + 76);
                                                                                                g6 = v103;
                                                                                                *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                unknown_476d98();
                                                                                                // branch -> 0x477e80
                                                                                            }
                                                                                        }
                                                                                        // 0x477e80
                                                                                        function_4776dc();
                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                            // 0x477e8d
                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                            g3 = 0;
                                                                                            // branch -> 0x477f9c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x477e23
                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                // 0x477e29
                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                // branch -> 0x477e30
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x477de6
                                                            v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                            g4 = v75;
                                                            g8 = g7;
                                                            ((int32_t (*)())v75)();
                                                            if (v65 != 2) {
                                                                // 0x477e07
                                                                if (v65 != 3) {
                                                                    // 0x477e15
                                                                    if (v65 != 0) {
                                                                        // 0x477e1c
                                                                        if (v65 != 2) {
                                                                            // 0x477e37
                                                                            if (v65 == 1) {
                                                                                // 0x477e3e
                                                                                if (g7 == 1) {
                                                                                    // 0x477e43
                                                                                    g3 = g5;
                                                                                    function_47c528();
                                                                                    // branch -> 0x477e80
                                                                                } else {
                                                                                    // 0x477e4c
                                                                                    g6 = 0;
                                                                                    g8 = 0;
                                                                                    g3 = g5;
                                                                                    function_47c46c();
                                                                                    if (g7 == 3) {
                                                                                        // 0x477e5e
                                                                                        v99 = g5;
                                                                                        v103 = *(int32_t *)(v99 + 76);
                                                                                        g6 = v103;
                                                                                        *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                        g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                        unknown_476d98();
                                                                                        // branch -> 0x477e80
                                                                                    }
                                                                                }
                                                                                // 0x477e80
                                                                                function_4776dc();
                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                    // 0x477e8d
                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                    g3 = 0;
                                                                                    // branch -> 0x477f9c
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // 0x477e23
                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                        // 0x477e29
                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                        // branch -> 0x477e30
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x477e0e
                                                            *(int32_t *)(g5 + 4) = 666;
                                                            // branch -> 0x477e15
                                                            // 0x477e15
                                                            if (v65 != 0) {
                                                                // 0x477e1c
                                                                if (v65 != 2) {
                                                                    // 0x477e37
                                                                    if (v65 == 1) {
                                                                        // 0x477e3e
                                                                        if (g7 == 1) {
                                                                            // 0x477e43
                                                                            g3 = g5;
                                                                            function_47c528();
                                                                            // branch -> 0x477e80
                                                                        } else {
                                                                            // 0x477e4c
                                                                            g6 = 0;
                                                                            g8 = 0;
                                                                            g3 = g5;
                                                                            function_47c46c();
                                                                            if (g7 == 3) {
                                                                                // 0x477e5e
                                                                                v99 = g5;
                                                                                v103 = *(int32_t *)(v99 + 76);
                                                                                g6 = v103;
                                                                                *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                unknown_476d98();
                                                                                // branch -> 0x477e80
                                                                            }
                                                                        }
                                                                        // 0x477e80
                                                                        function_4776dc();
                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                            // 0x477e8d
                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                            g3 = 0;
                                                                            // branch -> 0x477f9c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x477e23
                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                // 0x477e29
                                                                *(int32_t *)(g5 + 40) = -1;
                                                                // branch -> 0x477e30
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // 0x477cec
                                                        v47 = g5;
                                                        v43 = (int32_t *)(v47 + 4);
                                                        if (*v43 == 103) {
                                                            // 0x477cf2
                                                            v49 = *(int32_t *)(v47 + 28);
                                                            g6 = v49;
                                                            if (*(int32_t *)(v49 + 44) == 0) {
                                                                // 0x477d56
                                                                *v43 = 113;
                                                                // branch -> 0x477d5d
                                                            } else {
                                                                // 0x477cfb
                                                                v50 = *(int32_t *)(v47 + 20);
                                                                g3 = v50;
                                                                v48 = v47;
                                                                if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                    // 0x477d06
                                                                    function_4776dc();
                                                                    v48 = g5;
                                                                    // branch -> 0x477d0d
                                                                }
                                                                // 0x477d0d
                                                                v44 = (int32_t *)(v48 + 20);
                                                                if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                                    // 0x477d18
                                                                    *v44 = *v44 + 1;
                                                                    v51 = *(char *)(g10 + 48);
                                                                    *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                    v45 = (int32_t *)(g5 + 20);
                                                                    v46 = *v45;
                                                                    *v45 = *v45 + 1;
                                                                    v52 = *(int32_t *)(g5 + 8);
                                                                    g3 = v52;
                                                                    v53 = *(int32_t *)(g10 + 48);
                                                                    *(char *)(v46 + v52) = (char)(v53 / 256);
                                                                    g6 = 0;
                                                                    g8 = 0;
                                                                    function_47d23c();
                                                                    *(int32_t *)(g10 + 48) = 0;
                                                                    *(int32_t *)(g5 + 4) = 113;
                                                                    // branch -> 0x477d5d
                                                                }
                                                            }
                                                            // 0x477d5d
                                                            v66 = g5;
                                                            if (*(int32_t *)(v66 + 20) == 0) {
                                                                // 0x477d80
                                                                v69 = g10;
                                                                if (*(int32_t *)(v69 + 4) == 0) {
                                                                    // 0x477d86
                                                                    v64 = g7;
                                                                    if (v64 <= v4) {
                                                                        // 0x477d8b
                                                                        if (v64 != 4) {
                                                                            // 0x477d90
                                                                            g3 = -5;
                                                                            *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                            // branch -> 0x477f9c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v70 = v69;
                                                                            v65 = v66;
                                                                        }
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                // 0x477d63
                                                                function_4776dc();
                                                                v67 = g10;
                                                                v68 = g5;
                                                                if (*(int32_t *)(v67 + 16) == 0) {
                                                                    // 0x477d70
                                                                    *(int32_t *)(v68 + 40) = -1;
                                                                    g3 = 0;
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v70 = v67;
                                                                    v65 = v68;
                                                                }
                                                            }
                                                            // 0x477da3
                                                            v71 = *(int32_t *)(v65 + 4);
                                                            v76 = v71 - 666;
                                                            v63 = llvm_ctpop_i32(v76);
                                                            v72 = *(int32_t *)(v70 + 4);
                                                            v73 = v72;
                                                            if (v71 == 666) {
                                                                // 0x477dac
                                                                if (v72 != 0) {
                                                                    // 0x477db2
                                                                    g3 = -5;
                                                                    *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v73 = 0;
                                                                }
                                                            }
                                                            // 0x477dc5
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v73 == 0;
                                                            g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                            if (v73 == 0) {
                                                                // 0x477dcb
                                                                v74 = *(int32_t *)(v65 + 116);
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v74 == 0;
                                                                g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                                if (v74 == 0) {
                                                                    // 0x477dd1
                                                                    if (g7 != 0) {
                                                                        // 0x477dd9
                                                                        g2 = (v71 & 15) > 25;
                                                                        g1 = v71 < 666;
                                                                        g187 = v76 == 0;
                                                                        g9 = v63 % 2 == 1;
                                                                        if (v71 != 666) {
                                                                            // 0x477de6
                                                                            v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                            g4 = v75;
                                                                            g8 = g7;
                                                                            ((int32_t (*)())v75)();
                                                                            if (v65 != 2) {
                                                                                // 0x477e07
                                                                                if (v65 != 3) {
                                                                                    // 0x477e15
                                                                                    if (v65 != 0) {
                                                                                        // 0x477e1c
                                                                                        if (v65 != 2) {
                                                                                            // 0x477e37
                                                                                            if (v65 == 1) {
                                                                                                // 0x477e3e
                                                                                                if (g7 == 1) {
                                                                                                    // 0x477e43
                                                                                                    g3 = g5;
                                                                                                    function_47c528();
                                                                                                    // branch -> 0x477e80
                                                                                                } else {
                                                                                                    // 0x477e4c
                                                                                                    g6 = 0;
                                                                                                    g8 = 0;
                                                                                                    g3 = g5;
                                                                                                    function_47c46c();
                                                                                                    if (g7 == 3) {
                                                                                                        // 0x477e5e
                                                                                                        v99 = g5;
                                                                                                        v103 = *(int32_t *)(v99 + 76);
                                                                                                        g6 = v103;
                                                                                                        *(int16_t *)(*(int32_t *)(v99 + 68) - 2 + 2 * v103) = 0;
                                                                                                        g3 = 2 * (*(int32_t *)(g5 + 76) - 1);
                                                                                                        unknown_476d98();
                                                                                                        // branch -> 0x477e80
                                                                                                    }
                                                                                                }
                                                                                                // 0x477e80
                                                                                                function_4776dc();
                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                    // 0x477e8d
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    g3 = 0;
                                                                                                    // branch -> 0x477f9c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x477e23
                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                        // 0x477e29
                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                        // branch -> 0x477e30
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x477e0e
                                                                            *(int32_t *)(g5 + 4) = 666;
                                                                            // branch -> 0x477e15
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x477de6
                                                            v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                            g4 = v75;
                                                            g8 = g7;
                                                            ((int32_t (*)())v75)();
                                                            if (v65 != 2) {
                                                                // 0x477e07
                                                                if (v65 != 3) {
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x477e0e
                                                            *(int32_t *)(g5 + 4) = 666;
                                                            // branch -> 0x477e15
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // 0x477d5d
                                                        v66 = g5;
                                                        if (*(int32_t *)(v66 + 20) == 0) {
                                                            // 0x477d80
                                                            v69 = g10;
                                                            if (*(int32_t *)(v69 + 4) == 0) {
                                                                // 0x477d86
                                                                v64 = g7;
                                                                if (v64 <= v4) {
                                                                    // 0x477d8b
                                                                    if (v64 != 4) {
                                                                        // 0x477d90
                                                                        g3 = -5;
                                                                        *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                        // branch -> 0x477f9c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                v70 = v69;
                                                                v65 = v66;
                                                            }
                                                        } else {
                                                            // 0x477d63
                                                            function_4776dc();
                                                            v67 = g10;
                                                            v68 = g5;
                                                            if (*(int32_t *)(v67 + 16) == 0) {
                                                                // 0x477d70
                                                                *(int32_t *)(v68 + 40) = -1;
                                                                g3 = 0;
                                                                // branch -> 0x477f9c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v70 = v67;
                                                                v65 = v68;
                                                            }
                                                        }
                                                        // 0x477da3
                                                        v71 = *(int32_t *)(v65 + 4);
                                                        v76 = v71 - 666;
                                                        v63 = llvm_ctpop_i32(v76);
                                                        v72 = *(int32_t *)(v70 + 4);
                                                        v73 = v72;
                                                        if (v71 == 666) {
                                                            // 0x477dac
                                                            if (v72 != 0) {
                                                                // 0x477db2
                                                                g3 = -5;
                                                                *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                // branch -> 0x477f9c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v73 = 0;
                                                            }
                                                        }
                                                        // 0x477dc5
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v73 == 0;
                                                        g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                        if (v73 == 0) {
                                                            // 0x477dcb
                                                            v74 = *(int32_t *)(v65 + 116);
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v74 == 0;
                                                            g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                            if (v74 == 0) {
                                                                // 0x477dd1
                                                                if (g7 != 0) {
                                                                    // 0x477dd9
                                                                    g2 = (v71 & 15) > 25;
                                                                    g1 = v71 < 666;
                                                                    g187 = v76 == 0;
                                                                    g9 = v63 % 2 == 1;
                                                                    if (v71 != 666) {
                                                                        // 0x477de6
                                                                        v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                        g4 = v75;
                                                                        g8 = g7;
                                                                        ((int32_t (*)())v75)();
                                                                        if (v65 != 2) {
                                                                            // 0x477e07
                                                                            if (v65 != 3) {
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x477e0e
                                                                        *(int32_t *)(g5 + 4) = 666;
                                                                        // branch -> 0x477e15
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x477de6
                                                        v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                        g4 = v75;
                                                        g8 = g7;
                                                        ((int32_t (*)())v75)();
                                                        if (v65 != 2) {
                                                            // 0x477e07
                                                            if (v65 != 3) {
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x477e0e
                                                        *(int32_t *)(g5 + 4) = 666;
                                                        // branch -> 0x477e15
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x477b5d
                                                    v24 = g5;
                                                    if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                                        // 0x477b88
                                                        v32 = g4;
                                                        v39 = *(int32_t *)(v24 + 20);
                                                        if (v32 < v39) {
                                                            // 0x477b8d
                                                            g6 = v39 - v32;
                                                            g8 = *(int32_t *)(v24 + 8) + v32;
                                                            g3 = *(int32_t *)(g10 + 48);
                                                            function_47d23c();
                                                            *(int32_t *)(g10 + 48) = g3;
                                                            // branch -> 0x477ba2
                                                        }
                                                    }
                                                    // 0x477ba2
                                                    g3 = g10;
                                                    function_4776dc();
                                                    v25 = g5;
                                                    v33 = *(int32_t *)(v25 + 20);
                                                    v19 = v33;
                                                    v27 = v25;
                                                    v42 = 1;
                                                    if (v33 != *(int32_t *)(v25 + 12)) {
                                                        // 0x477bbd
                                                        v15 = (int32_t *)(v25 + 32);
                                                        *v15 = *v15 + 1;
                                                        v26 = g5;
                                                        v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                                        v35 = *(char *)(*v15 + v34);
                                                        v40 = v35;
                                                        v62 = v40;
                                                        v16 = (int32_t *)(v26 + 20);
                                                        *v16 = *v16 + 1;
                                                        v36 = *(int32_t *)(g5 + 8);
                                                        g6 = v36;
                                                        g3 = v62 & -256 | v40;
                                                        *(char *)(*v16 + v36) = v35;
                                                        unknown_477b77();
                                                        v27 = g5;
                                                        v42 = v35;
                                                        // branch -> 0x477be8
                                                    }
                                                    // 0x477be8
                                                    if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                                        // 0x477bf1
                                                        v37 = v19;
                                                        v41 = *(int32_t *)(v27 + 20);
                                                        if (v37 < v41) {
                                                            // 0x477bf6
                                                            g6 = v41 - v37;
                                                            g8 = *(int32_t *)(v27 + 8) + v37;
                                                            function_47d23c();
                                                            // branch -> 0x477c0b
                                                        }
                                                    }
                                                    // 0x477c0b
                                                    if (v42 == 0) {
                                                        // 0x477c12
                                                        g6 = 0;
                                                        *(int32_t *)(g5 + 32) = 0;
                                                        *(int32_t *)(g5 + 4) = 91;
                                                        // branch -> 0x477c27
                                                    }
                                                    // 0x477c27
                                                    v28 = g5;
                                                    v17 = (int32_t *)(v28 + 4);
                                                    if (*v17 == 91) {
                                                        // 0x477c31
                                                        if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                                            // 0x477ce5
                                                            *v17 = 103;
                                                            // branch -> 0x477cec
                                                        } else {
                                                            // 0x477c3e
                                                            v19 = *(int32_t *)(v28 + 20);
                                                            v29 = v28;
                                                            // branch -> 0x477c41
                                                            while (true) {
                                                                // 0x477c41
                                                                v18 = (int32_t *)(v29 + 20);
                                                                if (*v18 == *(int32_t *)(v29 + 12)) {
                                                                    goto lab_0x477c49_14;
                                                                }
                                                                goto lab_0x477c87_14;
                                                            }
                                                        }
                                                        // 0x477cec
                                                        v47 = g5;
                                                        v43 = (int32_t *)(v47 + 4);
                                                        if (*v43 == 103) {
                                                            // 0x477cf2
                                                            v49 = *(int32_t *)(v47 + 28);
                                                            g6 = v49;
                                                            if (*(int32_t *)(v49 + 44) == 0) {
                                                                // 0x477d56
                                                                *v43 = 113;
                                                                // branch -> 0x477d5d
                                                            } else {
                                                                // 0x477cfb
                                                                v50 = *(int32_t *)(v47 + 20);
                                                                g3 = v50;
                                                                v48 = v47;
                                                                if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                    // 0x477d06
                                                                    function_4776dc();
                                                                    v48 = g5;
                                                                    // branch -> 0x477d0d
                                                                }
                                                                // 0x477d0d
                                                                v44 = (int32_t *)(v48 + 20);
                                                                if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                                    // 0x477d18
                                                                    *v44 = *v44 + 1;
                                                                    v51 = *(char *)(g10 + 48);
                                                                    *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                    v45 = (int32_t *)(g5 + 20);
                                                                    v46 = *v45;
                                                                    *v45 = *v45 + 1;
                                                                    v52 = *(int32_t *)(g5 + 8);
                                                                    g3 = v52;
                                                                    v53 = *(int32_t *)(g10 + 48);
                                                                    *(char *)(v46 + v52) = (char)(v53 / 256);
                                                                    g6 = 0;
                                                                    g8 = 0;
                                                                    function_47d23c();
                                                                    *(int32_t *)(g10 + 48) = 0;
                                                                    *(int32_t *)(g5 + 4) = 113;
                                                                    // branch -> 0x477d5d
                                                                }
                                                            }
                                                            // 0x477d5d
                                                            v66 = g5;
                                                            if (*(int32_t *)(v66 + 20) == 0) {
                                                                // 0x477d80
                                                                v69 = g10;
                                                                if (*(int32_t *)(v69 + 4) == 0) {
                                                                    // 0x477d86
                                                                    v64 = g7;
                                                                    if (v64 <= v4) {
                                                                        // 0x477d8b
                                                                        if (v64 != 4) {
                                                                            // 0x477d90
                                                                            g3 = -5;
                                                                            *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                            // branch -> 0x477f9c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v70 = v69;
                                                                            v65 = v66;
                                                                        }
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                // 0x477d63
                                                                function_4776dc();
                                                                v67 = g10;
                                                                v68 = g5;
                                                                if (*(int32_t *)(v67 + 16) == 0) {
                                                                    // 0x477d70
                                                                    *(int32_t *)(v68 + 40) = -1;
                                                                    g3 = 0;
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v70 = v67;
                                                                    v65 = v68;
                                                                }
                                                            }
                                                            // 0x477da3
                                                            v71 = *(int32_t *)(v65 + 4);
                                                            v76 = v71 - 666;
                                                            v63 = llvm_ctpop_i32(v76);
                                                            v72 = *(int32_t *)(v70 + 4);
                                                            v73 = v72;
                                                            if (v71 == 666) {
                                                                // 0x477dac
                                                                if (v72 != 0) {
                                                                    // 0x477db2
                                                                    g3 = -5;
                                                                    *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v73 = 0;
                                                                }
                                                            }
                                                            // 0x477dc5
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v73 == 0;
                                                            g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                            if (v73 == 0) {
                                                                // 0x477dcb
                                                                v74 = *(int32_t *)(v65 + 116);
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v74 == 0;
                                                                g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                                if (v74 == 0) {
                                                                    // 0x477dd1
                                                                    if (g7 != 0) {
                                                                        // 0x477dd9
                                                                        g2 = (v71 & 15) > 25;
                                                                        g1 = v71 < 666;
                                                                        g187 = v76 == 0;
                                                                        g9 = v63 % 2 == 1;
                                                                        if (v71 != 666) {
                                                                            // 0x477de6
                                                                            v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                            g4 = v75;
                                                                            g8 = g7;
                                                                            ((int32_t (*)())v75)();
                                                                            if (v65 != 2) {
                                                                                // 0x477e07
                                                                                if (v65 != 3) {
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x477e0e
                                                                            *(int32_t *)(g5 + 4) = 666;
                                                                            // branch -> 0x477e15
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x477de6
                                                            v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                            g4 = v75;
                                                            g8 = g7;
                                                            ((int32_t (*)())v75)();
                                                            if (v65 != 2) {
                                                                // 0x477e07
                                                                if (v65 != 3) {
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x477e0e
                                                            *(int32_t *)(g5 + 4) = 666;
                                                            // branch -> 0x477e15
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // 0x477d5d
                                                        v66 = g5;
                                                        if (*(int32_t *)(v66 + 20) == 0) {
                                                            // 0x477d80
                                                            v69 = g10;
                                                            if (*(int32_t *)(v69 + 4) == 0) {
                                                                // 0x477d86
                                                                v64 = g7;
                                                                if (v64 <= v4) {
                                                                    // 0x477d8b
                                                                    if (v64 != 4) {
                                                                        // 0x477d90
                                                                        g3 = -5;
                                                                        *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                        // branch -> 0x477f9c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                v70 = v69;
                                                                v65 = v66;
                                                            }
                                                        } else {
                                                            // 0x477d63
                                                            function_4776dc();
                                                            v67 = g10;
                                                            v68 = g5;
                                                            if (*(int32_t *)(v67 + 16) == 0) {
                                                                // 0x477d70
                                                                *(int32_t *)(v68 + 40) = -1;
                                                                g3 = 0;
                                                                // branch -> 0x477f9c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v70 = v67;
                                                                v65 = v68;
                                                            }
                                                        }
                                                        // 0x477da3
                                                        v71 = *(int32_t *)(v65 + 4);
                                                        v76 = v71 - 666;
                                                        v63 = llvm_ctpop_i32(v76);
                                                        v72 = *(int32_t *)(v70 + 4);
                                                        v73 = v72;
                                                        if (v71 == 666) {
                                                            // 0x477dac
                                                            if (v72 != 0) {
                                                                // 0x477db2
                                                                g3 = -5;
                                                                *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                // branch -> 0x477f9c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v73 = 0;
                                                            }
                                                        }
                                                        // 0x477dc5
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v73 == 0;
                                                        g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                        if (v73 == 0) {
                                                            // 0x477dcb
                                                            v74 = *(int32_t *)(v65 + 116);
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v74 == 0;
                                                            g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                            if (v74 == 0) {
                                                                // 0x477dd1
                                                                if (g7 != 0) {
                                                                    // 0x477dd9
                                                                    g2 = (v71 & 15) > 25;
                                                                    g1 = v71 < 666;
                                                                    g187 = v76 == 0;
                                                                    g9 = v63 % 2 == 1;
                                                                    if (v71 != 666) {
                                                                        // 0x477de6
                                                                        v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                        g4 = v75;
                                                                        g8 = g7;
                                                                        ((int32_t (*)())v75)();
                                                                        if (v65 != 2) {
                                                                            // 0x477e07
                                                                            if (v65 != 3) {
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x477e0e
                                                                        *(int32_t *)(g5 + 4) = 666;
                                                                        // branch -> 0x477e15
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x477de6
                                                        v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                        g4 = v75;
                                                        g8 = g7;
                                                        ((int32_t (*)())v75)();
                                                        if (v65 != 2) {
                                                            // 0x477e07
                                                            if (v65 != 3) {
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x477e0e
                                                        *(int32_t *)(g5 + 4) = 666;
                                                        // branch -> 0x477e15
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x477cec
                                                    v47 = g5;
                                                    v43 = (int32_t *)(v47 + 4);
                                                    if (*v43 == 103) {
                                                        // 0x477cf2
                                                        v49 = *(int32_t *)(v47 + 28);
                                                        g6 = v49;
                                                        if (*(int32_t *)(v49 + 44) == 0) {
                                                            // 0x477d56
                                                            *v43 = 113;
                                                            // branch -> 0x477d5d
                                                        } else {
                                                            // 0x477cfb
                                                            v50 = *(int32_t *)(v47 + 20);
                                                            g3 = v50;
                                                            v48 = v47;
                                                            if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                // 0x477d06
                                                                function_4776dc();
                                                                v48 = g5;
                                                                // branch -> 0x477d0d
                                                            }
                                                            // 0x477d0d
                                                            v44 = (int32_t *)(v48 + 20);
                                                            if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                                // 0x477d18
                                                                *v44 = *v44 + 1;
                                                                v51 = *(char *)(g10 + 48);
                                                                *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                v45 = (int32_t *)(g5 + 20);
                                                                v46 = *v45;
                                                                *v45 = *v45 + 1;
                                                                v52 = *(int32_t *)(g5 + 8);
                                                                g3 = v52;
                                                                v53 = *(int32_t *)(g10 + 48);
                                                                *(char *)(v46 + v52) = (char)(v53 / 256);
                                                                g6 = 0;
                                                                g8 = 0;
                                                                function_47d23c();
                                                                *(int32_t *)(g10 + 48) = 0;
                                                                *(int32_t *)(g5 + 4) = 113;
                                                                // branch -> 0x477d5d
                                                            }
                                                        }
                                                        // 0x477d5d
                                                        v66 = g5;
                                                        if (*(int32_t *)(v66 + 20) == 0) {
                                                            // 0x477d80
                                                            v69 = g10;
                                                            if (*(int32_t *)(v69 + 4) == 0) {
                                                                // 0x477d86
                                                                v64 = g7;
                                                                if (v64 <= v4) {
                                                                    // 0x477d8b
                                                                    if (v64 != 4) {
                                                                        // 0x477d90
                                                                        g3 = -5;
                                                                        *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                        // branch -> 0x477f9c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                v70 = v69;
                                                                v65 = v66;
                                                            }
                                                        } else {
                                                            // 0x477d63
                                                            function_4776dc();
                                                            v67 = g10;
                                                            v68 = g5;
                                                            if (*(int32_t *)(v67 + 16) == 0) {
                                                                // 0x477d70
                                                                *(int32_t *)(v68 + 40) = -1;
                                                                g3 = 0;
                                                                // branch -> 0x477f9c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v70 = v67;
                                                                v65 = v68;
                                                            }
                                                        }
                                                        // 0x477da3
                                                        v71 = *(int32_t *)(v65 + 4);
                                                        v76 = v71 - 666;
                                                        v63 = llvm_ctpop_i32(v76);
                                                        v72 = *(int32_t *)(v70 + 4);
                                                        v73 = v72;
                                                        if (v71 == 666) {
                                                            // 0x477dac
                                                            if (v72 != 0) {
                                                                // 0x477db2
                                                                g3 = -5;
                                                                *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                // branch -> 0x477f9c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v73 = 0;
                                                            }
                                                        }
                                                        // 0x477dc5
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v73 == 0;
                                                        g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                        if (v73 == 0) {
                                                            // 0x477dcb
                                                            v74 = *(int32_t *)(v65 + 116);
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v74 == 0;
                                                            g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                            if (v74 == 0) {
                                                                // 0x477dd1
                                                                if (g7 != 0) {
                                                                    // 0x477dd9
                                                                    g2 = (v71 & 15) > 25;
                                                                    g1 = v71 < 666;
                                                                    g187 = v76 == 0;
                                                                    g9 = v63 % 2 == 1;
                                                                    if (v71 != 666) {
                                                                        // 0x477de6
                                                                        v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                        g4 = v75;
                                                                        g8 = g7;
                                                                        ((int32_t (*)())v75)();
                                                                        if (v65 != 2) {
                                                                            // 0x477e07
                                                                            if (v65 != 3) {
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x477e0e
                                                                        *(int32_t *)(g5 + 4) = 666;
                                                                        // branch -> 0x477e15
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x477de6
                                                        v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                        g4 = v75;
                                                        g8 = g7;
                                                        ((int32_t (*)())v75)();
                                                        if (v65 != 2) {
                                                            // 0x477e07
                                                            if (v65 != 3) {
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x477e0e
                                                        *(int32_t *)(g5 + 4) = 666;
                                                        // branch -> 0x477e15
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x477d5d
                                                    v66 = g5;
                                                    if (*(int32_t *)(v66 + 20) == 0) {
                                                        // 0x477d80
                                                        v69 = g10;
                                                        if (*(int32_t *)(v69 + 4) == 0) {
                                                            // 0x477d86
                                                            v64 = g7;
                                                            if (v64 <= v4) {
                                                                // 0x477d8b
                                                                if (v64 != 4) {
                                                                    // 0x477d90
                                                                    g3 = -5;
                                                                    *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                v70 = v69;
                                                                v65 = v66;
                                                            }
                                                        } else {
                                                            v70 = v69;
                                                            v65 = v66;
                                                        }
                                                    } else {
                                                        // 0x477d63
                                                        function_4776dc();
                                                        v67 = g10;
                                                        v68 = g5;
                                                        if (*(int32_t *)(v67 + 16) == 0) {
                                                            // 0x477d70
                                                            *(int32_t *)(v68 + 40) = -1;
                                                            g3 = 0;
                                                            // branch -> 0x477f9c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v70 = v67;
                                                            v65 = v68;
                                                        }
                                                    }
                                                    // 0x477da3
                                                    v71 = *(int32_t *)(v65 + 4);
                                                    v76 = v71 - 666;
                                                    v63 = llvm_ctpop_i32(v76);
                                                    v72 = *(int32_t *)(v70 + 4);
                                                    v73 = v72;
                                                    if (v71 == 666) {
                                                        // 0x477dac
                                                        if (v72 != 0) {
                                                            // 0x477db2
                                                            g3 = -5;
                                                            *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                            // branch -> 0x477f9c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v73 = 0;
                                                        }
                                                    }
                                                    // 0x477dc5
                                                    g2 = false;
                                                    g1 = false;
                                                    g187 = v73 == 0;
                                                    g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                    if (v73 == 0) {
                                                        // 0x477dcb
                                                        v74 = *(int32_t *)(v65 + 116);
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v74 == 0;
                                                        g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                        if (v74 == 0) {
                                                            // 0x477dd1
                                                            if (g7 != 0) {
                                                                // 0x477dd9
                                                                g2 = (v71 & 15) > 25;
                                                                g1 = v71 < 666;
                                                                g187 = v76 == 0;
                                                                g9 = v63 % 2 == 1;
                                                                if (v71 != 666) {
                                                                    // 0x477de6
                                                                    v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                    g4 = v75;
                                                                    g8 = g7;
                                                                    ((int32_t (*)())v75)();
                                                                    if (v65 != 2) {
                                                                        // 0x477e07
                                                                        if (v65 != 3) {
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // 0x477e0e
                                                                    *(int32_t *)(g5 + 4) = 666;
                                                                    // branch -> 0x477e15
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // 0x477de6
                                                    v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                    g4 = v75;
                                                    g8 = g7;
                                                    ((int32_t (*)())v75)();
                                                    if (v65 != 2) {
                                                        // 0x477e07
                                                        if (v65 != 3) {
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // 0x477e0e
                                                    *(int32_t *)(g5 + 4) = 666;
                                                    // branch -> 0x477e15
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // 0x47786c
                                            g6 = v46 & -256 | 4;
                                            v88 = 4;
                                            // branch -> 0x477872
                                        }
                                        // 0x477872
                                        *(char *)(v62 + v86) = v88;
                                        v87 = (int32_t *)(g5 + 20);
                                        v89 = *v87;
                                        *v87 = v89 + 1;
                                        *(char *)(*(int32_t *)(g5 + 8) + v89) = 11;
                                        *(int32_t *)(g5 + 4) = 113;
                                        // branch -> 0x477a96
                                    } else {
                                        // 0x47788e
                                        int32_t v146; // 0x4778ab
                                        if (*(int32_t *)v61 == 0) {
                                            // 0x47789a
                                            v146 = 0;
                                            // branch -> 0x47789c
                                        } else {
                                            // 0x477896
                                            v146 = v58 & -256 | 1;
                                            // branch -> 0x47789c
                                        }
                                        // 0x47789c
                                        int32_t v147;
                                        if (*(int32_t *)(*v60 + 44) == 0) {
                                            // 0x4778a9
                                            v147 = 0;
                                            // branch -> 0x4778ab
                                        } else {
                                            // 0x4778a5
                                            v147 = v56 & -256 | 2;
                                            // branch -> 0x4778ab
                                        }
                                        int32_t v148 = v146 & -256; // 0x4778ab
                                        int32_t v149 = *v60; // 0x4778ad
                                        int32_t v150; // 0x4778cb
                                        if (*(int32_t *)(v149 + 16) == 0) {
                                            // 0x4778b6
                                            v150 = 0;
                                            // branch -> 0x4778bc
                                        } else {
                                            // 0x4778ba
                                            v150 = v149 & -256 | 4;
                                            // branch -> 0x4778bc
                                        }
                                        // 0x4778bc
                                        int32_t v151; // 0x4778dc
                                        if (*(int32_t *)(*v60 + 28) == 0) {
                                            // 0x4778c7
                                            v151 = 0;
                                            // branch -> 0x4778cd
                                        } else {
                                            // 0x4778cb
                                            v151 = v150 & -256 | 8;
                                            // branch -> 0x4778cd
                                        }
                                        int32_t v152 = v151 + (v150 + v147 + v146 & 255 | v148); // 0x4778cd
                                        int32_t v153;
                                        if (*(int32_t *)(*v60 + 36) == 0) {
                                            // 0x4778d8
                                            v153 = 0;
                                            // branch -> 0x4778de
                                        } else {
                                            // 0x4778dc
                                            v153 = v151 & -256 | 16;
                                            // branch -> 0x4778de
                                        }
                                        int32_t * v154 = (int32_t *)(v59 + 20); // 0x4778e0_0
                                        v46 = *v154;
                                        *v154 = *v154 + 1;
                                        int32_t v155 = *(int32_t *)(g5 + 8); // 0x4778e6
                                        int32_t v156 = v153 + v152 & 255 | v148; // 0x4778e9
                                        *(char *)(v46 + v155) = (char)v156;
                                        int32_t * v157 = (int32_t *)(g5 + 20); // 0x4778ec_0
                                        *v157 = *v157 + 1;
                                        int32_t v158 = g5; // 0x4778f2
                                        char v159 = *(char *)(*(int32_t *)(v158 + 28) + 4); // 0x4778f8
                                        *(char *)(*v157 + *(int32_t *)(v158 + 8)) = v159;
                                        int32_t * v160 = (int32_t *)(g5 + 20); // 0x477900_0
                                        *v160 = *v160 + 1;
                                        int32_t v161 = g5; // 0x477906
                                        int32_t v162 = *(int32_t *)(v161 + 8); // 0x477906
                                        uint32_t v163 = *(int32_t *)(*(int32_t *)(v161 + 28) + 4); // 0x47790c
                                        *(char *)(*v160 + v162) = (char)(v163 / 256);
                                        int32_t * v164 = (int32_t *)(g5 + 20); // 0x477917_0
                                        *v164 = *v164 + 1;
                                        int32_t v165 = g5; // 0x47791d
                                        int32_t v166 = *(int32_t *)(v165 + 8); // 0x47791d
                                        uint32_t v167 = *(int32_t *)(*(int32_t *)(v165 + 28) + 4); // 0x477923
                                        *(char *)(*v164 + v166) = (char)(v167 / 0x10000);
                                        int32_t * v168 = (int32_t *)(g5 + 20); // 0x47792e_0
                                        *v168 = *v168 + 1;
                                        int32_t v169 = g5; // 0x477934
                                        int32_t v170 = *(int32_t *)(v169 + 8); // 0x477934
                                        int32_t v171 = *(int32_t *)(*(int32_t *)(v169 + 28) + 4) / 0x1000000; // 0x47793d
                                        *(char *)(*v168 + v170) = (char)v171;
                                        int32_t * v172 = (int32_t *)(g5 + 20); // 0x477945_0
                                        int32_t v173 = *v172; // edx
                                        *v172 = *v172 + 1;
                                        int32_t v174 = g5; // 0x47794b
                                        int32_t * v175 = (int32_t *)(v174 + 132); // 0x47794b_0
                                        int32_t v176 = *(int32_t *)(v174 + 8); // 0x477952
                                        int32_t * v177; // 0x477976_0
                                        int32_t * v178; // 0x477993_0
                                        int32_t * v179; // 0x4779a8_0
                                        int32_t v180; // 0x47797c
                                        int32_t v181; // 0x47798a
                                        int32_t v182; // 0x4779ae
                                        int32_t v183; // 0x4779c9
                                        int32_t v184; // 0x4779dc
                                        char v185;
                                        int32_t v186; // 0x47797c
                                        char v187; // 0x477982
                                        int32_t v188; // 0x47798a
                                        char v189; // 0x4779a1
                                        int32_t v190; // 0x4779ae
                                        int32_t v191; // 0x4779b7
                                        if (*v175 == 9) {
                                            // 0x477957
                                            v185 = 2;
                                            // branch -> 0x477973
                                        } else {
                                            // 0x47795b
                                            if (*(int32_t *)(v174 + 136) <= 1) {
                                                // 0x477964
                                                if (*v175 > 1) {
                                                    // 0x477971
                                                    // branch -> 0x477973
                                                    // 0x477973
                                                    *(char *)(v173 + v176) = 0;
                                                    v177 = (int32_t *)(g5 + 20);
                                                    v173 = *v177;
                                                    *v177 = *v177 + 1;
                                                    v180 = g5;
                                                    v186 = *(int32_t *)(v180 + 8);
                                                    g6 = v186;
                                                    v187 = *(char *)(*(int32_t *)(v180 + 28) + 12);
                                                    *(char *)(v173 + v186) = v187;
                                                    v181 = g5;
                                                    v188 = *(int32_t *)(v181 + 28);
                                                    v62 = v188;
                                                    v183 = v181;
                                                    if (*(int32_t *)(v188 + 16) != 0) {
                                                        // 0x477993
                                                        v178 = (int32_t *)(v181 + 20);
                                                        v173 = *v178;
                                                        *v178 = *v178 + 1;
                                                        v189 = *(char *)(v62 + 20);
                                                        *(char *)(v173 + *(int32_t *)(g5 + 8)) = v189;
                                                        v179 = (int32_t *)(g5 + 20);
                                                        *v179 = *v179 + 1;
                                                        v182 = g5;
                                                        v190 = *(int32_t *)(v182 + 8);
                                                        v191 = *(int32_t *)(*(int32_t *)(v182 + 28) + 20) / 256;
                                                        g6 = v191;
                                                        *(char *)(*v179 + v190) = (char)v191;
                                                        v183 = g5;
                                                        // branch -> 0x4779c0
                                                    }
                                                    // 0x4779c0
                                                    v184 = v183;
                                                    if (*(int32_t *)(*(int32_t *)(v183 + 28) + 44) != 0) {
                                                        // 0x4779c9
                                                        g6 = *(int32_t *)(v183 + 20);
                                                        g8 = *(int32_t *)(v183 + 8);
                                                        g3 = *(int32_t *)(g10 + 48);
                                                        function_47d23c();
                                                        *(int32_t *)(g10 + 48) = g3;
                                                        v184 = g5;
                                                        // branch -> 0x4779da
                                                    }
                                                    // 0x4779da
                                                    *(int32_t *)(v184 + 32) = 0;
                                                    *(int32_t *)(g5 + 4) = 69;
                                                    // branch -> 0x477a96
                                                    // 0x477a96
                                                    v20 = g5;
                                                    v12 = (int32_t *)(v20 + 4);
                                                    int32_t v192; // 0x477d10
                                                    if (*v12 == 69) {
                                                        // 0x477aa0
                                                        if (*(int32_t *)(*(int32_t *)(v20 + 28) + 16) == 0) {
                                                            // 0x477b56
                                                            *v12 = 73;
                                                            // branch -> 0x477b5d
                                                        } else {
                                                            // 0x477aad
                                                            g4 = *(int32_t *)(v20 + 20);
                                                            v21 = v20;
                                                            // branch -> 0x477b09
                                                            while (true) {
                                                                // 0x477b09
                                                                v13 = (int32_t *)(v21 + 28);
                                                                if ((*(int32_t *)(*v13 + 20) & 0xffff) > *(int32_t *)(v21 + 32)) {
                                                                    goto lab_0x477ab2_6;
                                                                }
                                                                v22 = v21;
                                                                // 0x477b1a
                                                                v30 = *(int32_t *)(v22 + 28);
                                                                g6 = v30;
                                                                v23 = v22;
                                                                if (*(int32_t *)(v30 + 44) != 0) {
                                                                    // 0x477b23
                                                                    v31 = g4;
                                                                    v38 = *(int32_t *)(v22 + 20);
                                                                    if (v31 < v38) {
                                                                        // 0x477b28
                                                                        g6 = v38 - v31;
                                                                        g8 = *(int32_t *)(v22 + 8) + v31;
                                                                        g3 = *(int32_t *)(g10 + 48);
                                                                        function_47d23c();
                                                                        *(int32_t *)(g10 + 48) = g3;
                                                                        v23 = g5;
                                                                        // branch -> 0x477b3d
                                                                    } else {
                                                                        v23 = v22;
                                                                    }
                                                                }
                                                                // 0x477b3d
                                                                v14 = (int32_t *)(v23 + 32);
                                                                if (*(int32_t *)(*(int32_t *)(v23 + 28) + 20) == *v14) {
                                                                    // 0x477b48
                                                                    g6 = 0;
                                                                    *v14 = 0;
                                                                    *(int32_t *)(g5 + 4) = 73;
                                                                    // branch -> 0x477b5d
                                                                }
                                                            }
                                                        }
                                                        // 0x477b5d
                                                        v24 = g5;
                                                        if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                                            // 0x477b88
                                                            v32 = g4;
                                                            v39 = *(int32_t *)(v24 + 20);
                                                            if (v32 < v39) {
                                                                // 0x477b8d
                                                                g6 = v39 - v32;
                                                                g8 = *(int32_t *)(v24 + 8) + v32;
                                                                g3 = *(int32_t *)(g10 + 48);
                                                                function_47d23c();
                                                                *(int32_t *)(g10 + 48) = g3;
                                                                // branch -> 0x477ba2
                                                            }
                                                        }
                                                        // 0x477ba2
                                                        g3 = g10;
                                                        function_4776dc();
                                                        v25 = g5;
                                                        v33 = *(int32_t *)(v25 + 20);
                                                        v19 = v33;
                                                        v27 = v25;
                                                        v42 = 1;
                                                        if (v33 != *(int32_t *)(v25 + 12)) {
                                                            // 0x477bbd
                                                            v15 = (int32_t *)(v25 + 32);
                                                            *v15 = *v15 + 1;
                                                            v26 = g5;
                                                            v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                                            v35 = *(char *)(*v15 + v34);
                                                            v40 = v35;
                                                            v16 = (int32_t *)(v26 + 20);
                                                            v173 = *v16;
                                                            *v16 = *v16 + 1;
                                                            v36 = *(int32_t *)(g5 + 8);
                                                            g6 = v36;
                                                            g3 = v40 & -256 | v40;
                                                            *(char *)(v173 + v36) = v35;
                                                            unknown_477b77();
                                                            v27 = g5;
                                                            v42 = v35;
                                                            // branch -> 0x477be8
                                                        }
                                                        // 0x477be8
                                                        if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                                            // 0x477bf1
                                                            v37 = v19;
                                                            v41 = *(int32_t *)(v27 + 20);
                                                            if (v37 < v41) {
                                                                // 0x477bf6
                                                                g6 = v41 - v37;
                                                                g8 = *(int32_t *)(v27 + 8) + v37;
                                                                function_47d23c();
                                                                // branch -> 0x477c0b
                                                            }
                                                        }
                                                        // 0x477c0b
                                                        if (v42 == 0) {
                                                            // 0x477c12
                                                            g6 = 0;
                                                            *(int32_t *)(g5 + 32) = 0;
                                                            *(int32_t *)(g5 + 4) = 91;
                                                            // branch -> 0x477c27
                                                        }
                                                        // 0x477c27
                                                        v28 = g5;
                                                        v17 = (int32_t *)(v28 + 4);
                                                        if (*v17 == 91) {
                                                            // 0x477c31
                                                            if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                                                // 0x477ce5
                                                                *v17 = 103;
                                                                // branch -> 0x477cec
                                                            } else {
                                                                // 0x477c3e
                                                                v19 = *(int32_t *)(v28 + 20);
                                                                v29 = v28;
                                                                // branch -> 0x477c41
                                                                while (true) {
                                                                    // 0x477c41
                                                                    v18 = (int32_t *)(v29 + 20);
                                                                    if (*v18 == *(int32_t *)(v29 + 12)) {
                                                                        goto lab_0x477c49_14;
                                                                    }
                                                                    goto lab_0x477c87_14;
                                                                }
                                                            }
                                                            // 0x477cec
                                                            v47 = g5;
                                                            v43 = (int32_t *)(v47 + 4);
                                                            if (*v43 == 103) {
                                                                // 0x477cf2
                                                                v49 = *(int32_t *)(v47 + 28);
                                                                g6 = v49;
                                                                if (*(int32_t *)(v49 + 44) == 0) {
                                                                    // 0x477d56
                                                                    *v43 = 113;
                                                                    // branch -> 0x477d5d
                                                                } else {
                                                                    // 0x477cfb
                                                                    v50 = *(int32_t *)(v47 + 20);
                                                                    g3 = v50;
                                                                    v48 = v47;
                                                                    if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                        // 0x477d06
                                                                        function_4776dc();
                                                                        v48 = g5;
                                                                        // branch -> 0x477d0d
                                                                    }
                                                                    // 0x477d0d
                                                                    v44 = (int32_t *)(v48 + 20);
                                                                    v192 = *v44 + 2;
                                                                    v173 = v192;
                                                                    if (v192 <= *(int32_t *)(v48 + 12)) {
                                                                        // 0x477d18
                                                                        *v44 = *v44 + 1;
                                                                        v51 = *(char *)(g10 + 48);
                                                                        *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                        v45 = (int32_t *)(g5 + 20);
                                                                        v46 = *v45;
                                                                        *v45 = *v45 + 1;
                                                                        v52 = *(int32_t *)(g5 + 8);
                                                                        g3 = v52;
                                                                        v53 = *(int32_t *)(g10 + 48);
                                                                        *(char *)(v46 + v52) = (char)(v53 / 256);
                                                                        g6 = 0;
                                                                        g8 = 0;
                                                                        function_47d23c();
                                                                        *(int32_t *)(g10 + 48) = 0;
                                                                        *(int32_t *)(g5 + 4) = 113;
                                                                        // branch -> 0x477d5d
                                                                    }
                                                                }
                                                                // 0x477d5d
                                                                v66 = g5;
                                                                if (*(int32_t *)(v66 + 20) == 0) {
                                                                    // 0x477d80
                                                                    v69 = g10;
                                                                    if (*(int32_t *)(v69 + 4) == 0) {
                                                                        // 0x477d86
                                                                        v64 = g7;
                                                                        if (v64 <= v4) {
                                                                            // 0x477d8b
                                                                            if (v64 != 4) {
                                                                                // 0x477d90
                                                                                g3 = -5;
                                                                                *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                                // branch -> 0x477f9c
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            } else {
                                                                                v70 = v69;
                                                                                v65 = v66;
                                                                            }
                                                                        } else {
                                                                            v70 = v69;
                                                                            v65 = v66;
                                                                        }
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    // 0x477d63
                                                                    function_4776dc();
                                                                    v67 = g10;
                                                                    v68 = g5;
                                                                    if (*(int32_t *)(v67 + 16) == 0) {
                                                                        // 0x477d70
                                                                        *(int32_t *)(v68 + 40) = -1;
                                                                        g3 = 0;
                                                                        // branch -> 0x477f9c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v70 = v67;
                                                                        v65 = v68;
                                                                    }
                                                                }
                                                                // 0x477da3
                                                                v71 = *(int32_t *)(v65 + 4);
                                                                v76 = v71 - 666;
                                                                v63 = llvm_ctpop_i32(v76);
                                                                v72 = *(int32_t *)(v70 + 4);
                                                                v73 = v72;
                                                                if (v71 == 666) {
                                                                    // 0x477dac
                                                                    if (v72 != 0) {
                                                                        // 0x477db2
                                                                        g3 = -5;
                                                                        *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                        // branch -> 0x477f9c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v73 = 0;
                                                                    }
                                                                }
                                                                // 0x477dc5
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v73 == 0;
                                                                g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                                if (v73 == 0) {
                                                                    // 0x477dcb
                                                                    v74 = *(int32_t *)(v65 + 116);
                                                                    g2 = false;
                                                                    g1 = false;
                                                                    g187 = v74 == 0;
                                                                    g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                                    if (v74 == 0) {
                                                                        // 0x477dd1
                                                                        if (g7 != 0) {
                                                                            // 0x477dd9
                                                                            g2 = (v71 & 15) > 25;
                                                                            g1 = v71 < 666;
                                                                            g187 = v76 == 0;
                                                                            g9 = v63 % 2 == 1;
                                                                            if (v71 != 666) {
                                                                                // 0x477de6
                                                                                v75 = *(int32_t *)(12 * *(int32_t *)(v65 + 132) + 0x4bd5f8);
                                                                                g4 = v75;
                                                                                g8 = g7;
                                                                                ((int32_t (*)())v75)();
                                                                                if (v65 != 2) {
                                                                                    // 0x477e07
                                                                                    if (v65 != 3) {
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x477e0e
                                                                                *(int32_t *)(g5 + 4) = 666;
                                                                                // branch -> 0x477e15
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // 0x477d5d
                                                            v66 = g5;
                                                            if (*(int32_t *)(v66 + 20) == 0) {
                                                                // 0x477d80
                                                                v69 = g10;
                                                                if (*(int32_t *)(v69 + 4) == 0) {
                                                                    // 0x477d86
                                                                    v64 = g7;
                                                                    if (v64 <= v4) {
                                                                        // 0x477d8b
                                                                        if (v64 != 4) {
                                                                            // 0x477d90
                                                                            g3 = -5;
                                                                            *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                            // branch -> 0x477f9c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v70 = v69;
                                                                            v65 = v66;
                                                                        }
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                // 0x477d63
                                                                function_4776dc();
                                                                v67 = g10;
                                                                v68 = g5;
                                                                if (*(int32_t *)(v67 + 16) == 0) {
                                                                    // 0x477d70
                                                                    *(int32_t *)(v68 + 40) = -1;
                                                                    g3 = 0;
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v70 = v67;
                                                                    v65 = v68;
                                                                }
                                                            }
                                                            // 0x477da3
                                                            v71 = *(int32_t *)(v65 + 4);
                                                            v76 = v71 - 666;
                                                            v63 = llvm_ctpop_i32(v76);
                                                            v72 = *(int32_t *)(v70 + 4);
                                                            v73 = v72;
                                                            if (v71 == 666) {
                                                                // 0x477dac
                                                                if (v72 != 0) {
                                                                    // 0x477db2
                                                                    g3 = -5;
                                                                    *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v73 = 0;
                                                                }
                                                            }
                                                            // 0x477dc5
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v73 == 0;
                                                            g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                            if (v73 == 0) {
                                                                // 0x477dcb
                                                                v74 = *(int32_t *)(v65 + 116);
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v74 == 0;
                                                                g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                                if (v74 == 0) {
                                                                    // 0x477dd1
                                                                    if (g7 != 0) {
                                                                        // 0x477dd9
                                                                        g2 = (v71 & 15) > 25;
                                                                        g1 = v71 < 666;
                                                                        g187 = v76 == 0;
                                                                        g9 = v63 % 2 == 1;
                                                                        if (v71 != 666) {
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // 0x477cec
                                                        v47 = g5;
                                                        v43 = (int32_t *)(v47 + 4);
                                                        if (*v43 == 103) {
                                                            // 0x477cf2
                                                            v49 = *(int32_t *)(v47 + 28);
                                                            g6 = v49;
                                                            if (*(int32_t *)(v49 + 44) == 0) {
                                                                // 0x477d56
                                                                *v43 = 113;
                                                                // branch -> 0x477d5d
                                                            } else {
                                                                // 0x477cfb
                                                                v50 = *(int32_t *)(v47 + 20);
                                                                g3 = v50;
                                                                v48 = v47;
                                                                if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                    // 0x477d06
                                                                    function_4776dc();
                                                                    v48 = g5;
                                                                    // branch -> 0x477d0d
                                                                }
                                                                // 0x477d0d
                                                                v44 = (int32_t *)(v48 + 20);
                                                                v192 = *v44 + 2;
                                                                v173 = v192;
                                                                if (v192 <= *(int32_t *)(v48 + 12)) {
                                                                    // 0x477d18
                                                                    *v44 = *v44 + 1;
                                                                    v51 = *(char *)(g10 + 48);
                                                                    *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                    v45 = (int32_t *)(g5 + 20);
                                                                    v46 = *v45;
                                                                    *v45 = *v45 + 1;
                                                                    v52 = *(int32_t *)(g5 + 8);
                                                                    g3 = v52;
                                                                    v53 = *(int32_t *)(g10 + 48);
                                                                    *(char *)(v46 + v52) = (char)(v53 / 256);
                                                                    g6 = 0;
                                                                    g8 = 0;
                                                                    function_47d23c();
                                                                    *(int32_t *)(g10 + 48) = 0;
                                                                    *(int32_t *)(g5 + 4) = 113;
                                                                    // branch -> 0x477d5d
                                                                }
                                                            }
                                                            // 0x477d5d
                                                            v66 = g5;
                                                            if (*(int32_t *)(v66 + 20) == 0) {
                                                                // 0x477d80
                                                                v69 = g10;
                                                                if (*(int32_t *)(v69 + 4) == 0) {
                                                                    // 0x477d86
                                                                    v64 = g7;
                                                                    if (v64 <= v4) {
                                                                        // 0x477d8b
                                                                        if (v64 != 4) {
                                                                            // 0x477d90
                                                                            g3 = -5;
                                                                            *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                            // branch -> 0x477f9c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v70 = v69;
                                                                            v65 = v66;
                                                                        }
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                // 0x477d63
                                                                function_4776dc();
                                                                v67 = g10;
                                                                v68 = g5;
                                                                if (*(int32_t *)(v67 + 16) == 0) {
                                                                    // 0x477d70
                                                                    *(int32_t *)(v68 + 40) = -1;
                                                                    g3 = 0;
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v70 = v67;
                                                                    v65 = v68;
                                                                }
                                                            }
                                                            // 0x477da3
                                                            v71 = *(int32_t *)(v65 + 4);
                                                            v76 = v71 - 666;
                                                            v63 = llvm_ctpop_i32(v76);
                                                            v72 = *(int32_t *)(v70 + 4);
                                                            v73 = v72;
                                                            if (v71 == 666) {
                                                                // 0x477dac
                                                                if (v72 != 0) {
                                                                    // 0x477db2
                                                                    g3 = -5;
                                                                    *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v73 = 0;
                                                                }
                                                            }
                                                            // 0x477dc5
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v73 == 0;
                                                            g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                            if (v73 == 0) {
                                                                // 0x477dcb
                                                                v74 = *(int32_t *)(v65 + 116);
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v74 == 0;
                                                                g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                                if (v74 == 0) {
                                                                    // 0x477dd1
                                                                    if (g7 != 0) {
                                                                        // 0x477dd9
                                                                        g2 = (v71 & 15) > 25;
                                                                        g1 = v71 < 666;
                                                                        g187 = v76 == 0;
                                                                        g9 = v63 % 2 == 1;
                                                                        if (v71 != 666) {
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // 0x477d5d
                                                        v66 = g5;
                                                        if (*(int32_t *)(v66 + 20) == 0) {
                                                            // 0x477d80
                                                            v69 = g10;
                                                            if (*(int32_t *)(v69 + 4) == 0) {
                                                                // 0x477d86
                                                                v64 = g7;
                                                                if (v64 <= v4) {
                                                                    // 0x477d8b
                                                                    if (v64 != 4) {
                                                                        // 0x477d90
                                                                        g3 = -5;
                                                                        *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                        // branch -> 0x477f9c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                v70 = v69;
                                                                v65 = v66;
                                                            }
                                                        } else {
                                                            // 0x477d63
                                                            function_4776dc();
                                                            v67 = g10;
                                                            v68 = g5;
                                                            if (*(int32_t *)(v67 + 16) == 0) {
                                                                // 0x477d70
                                                                *(int32_t *)(v68 + 40) = -1;
                                                                g3 = 0;
                                                                // branch -> 0x477f9c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v70 = v67;
                                                                v65 = v68;
                                                            }
                                                        }
                                                        // 0x477da3
                                                        v71 = *(int32_t *)(v65 + 4);
                                                        v76 = v71 - 666;
                                                        v63 = llvm_ctpop_i32(v76);
                                                        v72 = *(int32_t *)(v70 + 4);
                                                        v73 = v72;
                                                        if (v71 == 666) {
                                                            // 0x477dac
                                                            if (v72 != 0) {
                                                                // 0x477db2
                                                                g3 = -5;
                                                                *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                // branch -> 0x477f9c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v73 = 0;
                                                            }
                                                        }
                                                        // 0x477dc5
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v73 == 0;
                                                        g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                        if (v73 == 0) {
                                                            // 0x477dcb
                                                            v74 = *(int32_t *)(v65 + 116);
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v74 == 0;
                                                            g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                            if (v74 == 0) {
                                                                // 0x477dd1
                                                                if (g7 != 0) {
                                                                    // 0x477dd9
                                                                    g2 = (v71 & 15) > 25;
                                                                    g1 = v71 < 666;
                                                                    g187 = v76 == 0;
                                                                    g9 = v63 % 2 == 1;
                                                                    if (v71 != 666) {
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x477b5d
                                                    v24 = g5;
                                                    if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                                        // 0x477b88
                                                        v32 = g4;
                                                        v39 = *(int32_t *)(v24 + 20);
                                                        if (v32 < v39) {
                                                            // 0x477b8d
                                                            g6 = v39 - v32;
                                                            g8 = *(int32_t *)(v24 + 8) + v32;
                                                            g3 = *(int32_t *)(g10 + 48);
                                                            function_47d23c();
                                                            *(int32_t *)(g10 + 48) = g3;
                                                            // branch -> 0x477ba2
                                                        }
                                                    }
                                                    // 0x477ba2
                                                    g3 = g10;
                                                    function_4776dc();
                                                    v25 = g5;
                                                    v33 = *(int32_t *)(v25 + 20);
                                                    v19 = v33;
                                                    v27 = v25;
                                                    v42 = 1;
                                                    if (v33 != *(int32_t *)(v25 + 12)) {
                                                        // 0x477bbd
                                                        v15 = (int32_t *)(v25 + 32);
                                                        *v15 = *v15 + 1;
                                                        v26 = g5;
                                                        v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                                        v35 = *(char *)(*v15 + v34);
                                                        v40 = v35;
                                                        v16 = (int32_t *)(v26 + 20);
                                                        v173 = *v16;
                                                        *v16 = *v16 + 1;
                                                        v36 = *(int32_t *)(g5 + 8);
                                                        g6 = v36;
                                                        g3 = v40 & -256 | v40;
                                                        *(char *)(v173 + v36) = v35;
                                                        unknown_477b77();
                                                        v27 = g5;
                                                        v42 = v35;
                                                        // branch -> 0x477be8
                                                    }
                                                    // 0x477be8
                                                    if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                                        // 0x477bf1
                                                        v37 = v19;
                                                        v41 = *(int32_t *)(v27 + 20);
                                                        if (v37 < v41) {
                                                            // 0x477bf6
                                                            g6 = v41 - v37;
                                                            g8 = *(int32_t *)(v27 + 8) + v37;
                                                            function_47d23c();
                                                            // branch -> 0x477c0b
                                                        }
                                                    }
                                                    // 0x477c0b
                                                    if (v42 == 0) {
                                                        // 0x477c12
                                                        g6 = 0;
                                                        *(int32_t *)(g5 + 32) = 0;
                                                        *(int32_t *)(g5 + 4) = 91;
                                                        // branch -> 0x477c27
                                                    }
                                                    // 0x477c27
                                                    v28 = g5;
                                                    v17 = (int32_t *)(v28 + 4);
                                                    if (*v17 == 91) {
                                                        // 0x477c31
                                                        if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                                            // 0x477ce5
                                                            *v17 = 103;
                                                            // branch -> 0x477cec
                                                        } else {
                                                            // 0x477c3e
                                                            v19 = *(int32_t *)(v28 + 20);
                                                            v29 = v28;
                                                            // branch -> 0x477c41
                                                            while (true) {
                                                                // 0x477c41
                                                                v18 = (int32_t *)(v29 + 20);
                                                                if (*v18 == *(int32_t *)(v29 + 12)) {
                                                                    goto lab_0x477c49_14;
                                                                }
                                                                goto lab_0x477c87_14;
                                                            }
                                                        }
                                                        // 0x477cec
                                                        v47 = g5;
                                                        v43 = (int32_t *)(v47 + 4);
                                                        if (*v43 == 103) {
                                                            // 0x477cf2
                                                            v49 = *(int32_t *)(v47 + 28);
                                                            g6 = v49;
                                                            if (*(int32_t *)(v49 + 44) == 0) {
                                                                // 0x477d56
                                                                *v43 = 113;
                                                                // branch -> 0x477d5d
                                                            } else {
                                                                // 0x477cfb
                                                                v50 = *(int32_t *)(v47 + 20);
                                                                g3 = v50;
                                                                v48 = v47;
                                                                if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                    // 0x477d06
                                                                    function_4776dc();
                                                                    v48 = g5;
                                                                    // branch -> 0x477d0d
                                                                }
                                                                // 0x477d0d
                                                                v44 = (int32_t *)(v48 + 20);
                                                                v192 = *v44 + 2;
                                                                v173 = v192;
                                                                if (v192 <= *(int32_t *)(v48 + 12)) {
                                                                    // 0x477d18
                                                                    *v44 = *v44 + 1;
                                                                    v51 = *(char *)(g10 + 48);
                                                                    *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                    v45 = (int32_t *)(g5 + 20);
                                                                    v46 = *v45;
                                                                    *v45 = *v45 + 1;
                                                                    v52 = *(int32_t *)(g5 + 8);
                                                                    g3 = v52;
                                                                    v53 = *(int32_t *)(g10 + 48);
                                                                    *(char *)(v46 + v52) = (char)(v53 / 256);
                                                                    g6 = 0;
                                                                    g8 = 0;
                                                                    function_47d23c();
                                                                    *(int32_t *)(g10 + 48) = 0;
                                                                    *(int32_t *)(g5 + 4) = 113;
                                                                    // branch -> 0x477d5d
                                                                }
                                                            }
                                                            // 0x477d5d
                                                            v66 = g5;
                                                            if (*(int32_t *)(v66 + 20) == 0) {
                                                                // 0x477d80
                                                                v69 = g10;
                                                                if (*(int32_t *)(v69 + 4) == 0) {
                                                                    // 0x477d86
                                                                    v64 = g7;
                                                                    if (v64 <= v4) {
                                                                        // 0x477d8b
                                                                        if (v64 != 4) {
                                                                            // 0x477d90
                                                                            g3 = -5;
                                                                            *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                            // branch -> 0x477f9c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v70 = v69;
                                                                            v65 = v66;
                                                                        }
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                // 0x477d63
                                                                function_4776dc();
                                                                v67 = g10;
                                                                v68 = g5;
                                                                if (*(int32_t *)(v67 + 16) == 0) {
                                                                    // 0x477d70
                                                                    *(int32_t *)(v68 + 40) = -1;
                                                                    g3 = 0;
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v70 = v67;
                                                                    v65 = v68;
                                                                }
                                                            }
                                                            // 0x477da3
                                                            v71 = *(int32_t *)(v65 + 4);
                                                            v76 = v71 - 666;
                                                            v63 = llvm_ctpop_i32(v76);
                                                            v72 = *(int32_t *)(v70 + 4);
                                                            v73 = v72;
                                                            if (v71 == 666) {
                                                                // 0x477dac
                                                                if (v72 != 0) {
                                                                    // 0x477db2
                                                                    g3 = -5;
                                                                    *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v73 = 0;
                                                                }
                                                            }
                                                            // 0x477dc5
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v73 == 0;
                                                            g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                            if (v73 == 0) {
                                                                // 0x477dcb
                                                                v74 = *(int32_t *)(v65 + 116);
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v74 == 0;
                                                                g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                                if (v74 == 0) {
                                                                    // 0x477dd1
                                                                    if (g7 != 0) {
                                                                        // 0x477dd9
                                                                        g2 = (v71 & 15) > 25;
                                                                        g1 = v71 < 666;
                                                                        g187 = v76 == 0;
                                                                        g9 = v63 % 2 == 1;
                                                                        if (v71 != 666) {
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // 0x477d5d
                                                        v66 = g5;
                                                        if (*(int32_t *)(v66 + 20) == 0) {
                                                            // 0x477d80
                                                            v69 = g10;
                                                            if (*(int32_t *)(v69 + 4) == 0) {
                                                                // 0x477d86
                                                                v64 = g7;
                                                                if (v64 <= v4) {
                                                                    // 0x477d8b
                                                                    if (v64 != 4) {
                                                                        // 0x477d90
                                                                        g3 = -5;
                                                                        *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                        // branch -> 0x477f9c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                v70 = v69;
                                                                v65 = v66;
                                                            }
                                                        } else {
                                                            // 0x477d63
                                                            function_4776dc();
                                                            v67 = g10;
                                                            v68 = g5;
                                                            if (*(int32_t *)(v67 + 16) == 0) {
                                                                // 0x477d70
                                                                *(int32_t *)(v68 + 40) = -1;
                                                                g3 = 0;
                                                                // branch -> 0x477f9c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v70 = v67;
                                                                v65 = v68;
                                                            }
                                                        }
                                                        // 0x477da3
                                                        v71 = *(int32_t *)(v65 + 4);
                                                        v76 = v71 - 666;
                                                        v63 = llvm_ctpop_i32(v76);
                                                        v72 = *(int32_t *)(v70 + 4);
                                                        v73 = v72;
                                                        if (v71 == 666) {
                                                            // 0x477dac
                                                            if (v72 != 0) {
                                                                // 0x477db2
                                                                g3 = -5;
                                                                *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                // branch -> 0x477f9c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v73 = 0;
                                                            }
                                                        }
                                                        // 0x477dc5
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v73 == 0;
                                                        g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                        if (v73 == 0) {
                                                            // 0x477dcb
                                                            v74 = *(int32_t *)(v65 + 116);
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v74 == 0;
                                                            g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                            if (v74 == 0) {
                                                                // 0x477dd1
                                                                if (g7 != 0) {
                                                                    // 0x477dd9
                                                                    g2 = (v71 & 15) > 25;
                                                                    g1 = v71 < 666;
                                                                    g187 = v76 == 0;
                                                                    g9 = v63 % 2 == 1;
                                                                    if (v71 != 666) {
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x477cec
                                                    v47 = g5;
                                                    v43 = (int32_t *)(v47 + 4);
                                                    if (*v43 == 103) {
                                                        // 0x477cf2
                                                        v49 = *(int32_t *)(v47 + 28);
                                                        g6 = v49;
                                                        if (*(int32_t *)(v49 + 44) == 0) {
                                                            // 0x477d56
                                                            *v43 = 113;
                                                            // branch -> 0x477d5d
                                                        } else {
                                                            // 0x477cfb
                                                            v50 = *(int32_t *)(v47 + 20);
                                                            g3 = v50;
                                                            v48 = v47;
                                                            if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                // 0x477d06
                                                                function_4776dc();
                                                                v48 = g5;
                                                                // branch -> 0x477d0d
                                                            }
                                                            // 0x477d0d
                                                            v44 = (int32_t *)(v48 + 20);
                                                            v192 = *v44 + 2;
                                                            v173 = v192;
                                                            if (v192 <= *(int32_t *)(v48 + 12)) {
                                                                // 0x477d18
                                                                *v44 = *v44 + 1;
                                                                v51 = *(char *)(g10 + 48);
                                                                *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                v45 = (int32_t *)(g5 + 20);
                                                                v46 = *v45;
                                                                *v45 = *v45 + 1;
                                                                v52 = *(int32_t *)(g5 + 8);
                                                                g3 = v52;
                                                                v53 = *(int32_t *)(g10 + 48);
                                                                *(char *)(v46 + v52) = (char)(v53 / 256);
                                                                g6 = 0;
                                                                g8 = 0;
                                                                function_47d23c();
                                                                *(int32_t *)(g10 + 48) = 0;
                                                                *(int32_t *)(g5 + 4) = 113;
                                                                // branch -> 0x477d5d
                                                            }
                                                        }
                                                        // 0x477d5d
                                                        v66 = g5;
                                                        if (*(int32_t *)(v66 + 20) == 0) {
                                                            // 0x477d80
                                                            v69 = g10;
                                                            if (*(int32_t *)(v69 + 4) == 0) {
                                                                // 0x477d86
                                                                v64 = g7;
                                                                if (v64 <= v4) {
                                                                    // 0x477d8b
                                                                    if (v64 != 4) {
                                                                        // 0x477d90
                                                                        g3 = -5;
                                                                        *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                        // branch -> 0x477f9c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v70 = v69;
                                                                        v65 = v66;
                                                                    }
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                v70 = v69;
                                                                v65 = v66;
                                                            }
                                                        } else {
                                                            // 0x477d63
                                                            function_4776dc();
                                                            v67 = g10;
                                                            v68 = g5;
                                                            if (*(int32_t *)(v67 + 16) == 0) {
                                                                // 0x477d70
                                                                *(int32_t *)(v68 + 40) = -1;
                                                                g3 = 0;
                                                                // branch -> 0x477f9c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v70 = v67;
                                                                v65 = v68;
                                                            }
                                                        }
                                                        // 0x477da3
                                                        v71 = *(int32_t *)(v65 + 4);
                                                        v76 = v71 - 666;
                                                        v63 = llvm_ctpop_i32(v76);
                                                        v72 = *(int32_t *)(v70 + 4);
                                                        v73 = v72;
                                                        if (v71 == 666) {
                                                            // 0x477dac
                                                            if (v72 != 0) {
                                                                // 0x477db2
                                                                g3 = -5;
                                                                *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                                // branch -> 0x477f9c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v73 = 0;
                                                            }
                                                        }
                                                        // 0x477dc5
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v73 == 0;
                                                        g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                        if (v73 == 0) {
                                                            // 0x477dcb
                                                            v74 = *(int32_t *)(v65 + 116);
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v74 == 0;
                                                            g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                            if (v74 == 0) {
                                                                // 0x477dd1
                                                                if (g7 != 0) {
                                                                    // 0x477dd9
                                                                    g2 = (v71 & 15) > 25;
                                                                    g1 = v71 < 666;
                                                                    g187 = v76 == 0;
                                                                    g9 = v63 % 2 == 1;
                                                                    if (v71 != 666) {
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x477d5d
                                                    v66 = g5;
                                                    if (*(int32_t *)(v66 + 20) == 0) {
                                                        // 0x477d80
                                                        v69 = g10;
                                                        if (*(int32_t *)(v69 + 4) == 0) {
                                                            // 0x477d86
                                                            v64 = g7;
                                                            if (v64 <= v4) {
                                                                // 0x477d8b
                                                                if (v64 != 4) {
                                                                    // 0x477d90
                                                                    g3 = -5;
                                                                    *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                    // branch -> 0x477f9c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v70 = v69;
                                                                    v65 = v66;
                                                                }
                                                            } else {
                                                                v70 = v69;
                                                                v65 = v66;
                                                            }
                                                        } else {
                                                            v70 = v69;
                                                            v65 = v66;
                                                        }
                                                    } else {
                                                        // 0x477d63
                                                        function_4776dc();
                                                        v67 = g10;
                                                        v68 = g5;
                                                        if (*(int32_t *)(v67 + 16) == 0) {
                                                            // 0x477d70
                                                            *(int32_t *)(v68 + 40) = -1;
                                                            g3 = 0;
                                                            // branch -> 0x477f9c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v70 = v67;
                                                            v65 = v68;
                                                        }
                                                    }
                                                    // 0x477da3
                                                    v71 = *(int32_t *)(v65 + 4);
                                                    v76 = v71 - 666;
                                                    v63 = llvm_ctpop_i32(v76);
                                                    v72 = *(int32_t *)(v70 + 4);
                                                    v73 = v72;
                                                    if (v71 == 666) {
                                                        // 0x477dac
                                                        if (v72 != 0) {
                                                            // 0x477db2
                                                            g3 = -5;
                                                            *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                            // branch -> 0x477f9c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v73 = 0;
                                                        }
                                                    }
                                                    // 0x477dc5
                                                    g2 = false;
                                                    g1 = false;
                                                    g187 = v73 == 0;
                                                    g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                    if (v73 == 0) {
                                                        // 0x477dcb
                                                        v74 = *(int32_t *)(v65 + 116);
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v74 == 0;
                                                        g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                        if (v74 == 0) {
                                                            // 0x477dd1
                                                            if (g7 != 0) {
                                                                // 0x477dd9
                                                                g2 = (v71 & 15) > 25;
                                                                g1 = v71 < 666;
                                                                g187 = v76 == 0;
                                                                g9 = v63 % 2 == 1;
                                                                if (v71 != 666) {
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // 0x47796d
                                            v185 = 4;
                                            // branch -> 0x477973
                                        }
                                        // 0x477973
                                        *(char *)(v173 + v176) = v185;
                                        v177 = (int32_t *)(g5 + 20);
                                        *v177 = *v177 + 1;
                                        v180 = g5;
                                        v186 = *(int32_t *)(v180 + 8);
                                        g6 = v186;
                                        v187 = *(char *)(*(int32_t *)(v180 + 28) + 12);
                                        *(char *)(*v177 + v186) = v187;
                                        v181 = g5;
                                        v188 = *(int32_t *)(v181 + 28);
                                        v183 = v181;
                                        if (*(int32_t *)(v188 + 16) != 0) {
                                            // 0x477993
                                            v178 = (int32_t *)(v181 + 20);
                                            *v178 = *v178 + 1;
                                            v189 = *(char *)(v188 + 20);
                                            *(char *)(*v178 + *(int32_t *)(g5 + 8)) = v189;
                                            v179 = (int32_t *)(g5 + 20);
                                            *v179 = *v179 + 1;
                                            v182 = g5;
                                            v190 = *(int32_t *)(v182 + 8);
                                            v191 = *(int32_t *)(*(int32_t *)(v182 + 28) + 20) / 256;
                                            g6 = v191;
                                            *(char *)(*v179 + v190) = (char)v191;
                                            v183 = g5;
                                            // branch -> 0x4779c0
                                        }
                                        // 0x4779c0
                                        v184 = v183;
                                        if (*(int32_t *)(*(int32_t *)(v183 + 28) + 44) != 0) {
                                            // 0x4779c9
                                            g6 = *(int32_t *)(v183 + 20);
                                            g8 = *(int32_t *)(v183 + 8);
                                            g3 = *(int32_t *)(g10 + 48);
                                            function_47d23c();
                                            *(int32_t *)(g10 + 48) = g3;
                                            v184 = g5;
                                            // branch -> 0x4779da
                                        }
                                        // 0x4779da
                                        *(int32_t *)(v184 + 32) = 0;
                                        *(int32_t *)(g5 + 4) = 69;
                                        // branch -> 0x477a96
                                    }
                                    // 0x477a96
                                    v20 = g5;
                                    v12 = (int32_t *)(v20 + 4);
                                    if (*v12 == 69) {
                                        // 0x477aa0
                                        if (*(int32_t *)(*(int32_t *)(v20 + 28) + 16) == 0) {
                                            // 0x477b56
                                            *v12 = 73;
                                            // branch -> 0x477b5d
                                        } else {
                                            // 0x477aad
                                            g4 = *(int32_t *)(v20 + 20);
                                            v21 = v20;
                                            // branch -> 0x477b09
                                            while (true) {
                                                // 0x477b09
                                                v13 = (int32_t *)(v21 + 28);
                                                if ((*(int32_t *)(*v13 + 20) & 0xffff) > *(int32_t *)(v21 + 32)) {
                                                    goto lab_0x477ab2_6;
                                                }
                                                v22 = v21;
                                                // 0x477b1a
                                                v30 = *(int32_t *)(v22 + 28);
                                                g6 = v30;
                                                v23 = v22;
                                                if (*(int32_t *)(v30 + 44) != 0) {
                                                    // 0x477b23
                                                    v31 = g4;
                                                    v38 = *(int32_t *)(v22 + 20);
                                                    if (v31 < v38) {
                                                        // 0x477b28
                                                        g6 = v38 - v31;
                                                        g8 = *(int32_t *)(v22 + 8) + v31;
                                                        g3 = *(int32_t *)(g10 + 48);
                                                        function_47d23c();
                                                        *(int32_t *)(g10 + 48) = g3;
                                                        v23 = g5;
                                                        // branch -> 0x477b3d
                                                    } else {
                                                        v23 = v22;
                                                    }
                                                }
                                                // 0x477b3d
                                                v14 = (int32_t *)(v23 + 32);
                                                if (*(int32_t *)(*(int32_t *)(v23 + 28) + 20) == *v14) {
                                                    // 0x477b48
                                                    g6 = 0;
                                                    *v14 = 0;
                                                    *(int32_t *)(g5 + 4) = 73;
                                                    // branch -> 0x477b5d
                                                }
                                            }
                                        }
                                        // 0x477b5d
                                        v24 = g5;
                                        if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                            // 0x477b88
                                            v32 = g4;
                                            v39 = *(int32_t *)(v24 + 20);
                                            if (v32 < v39) {
                                                // 0x477b8d
                                                g6 = v39 - v32;
                                                g8 = *(int32_t *)(v24 + 8) + v32;
                                                g3 = *(int32_t *)(g10 + 48);
                                                function_47d23c();
                                                *(int32_t *)(g10 + 48) = g3;
                                                // branch -> 0x477ba2
                                            }
                                        }
                                        // 0x477ba2
                                        g3 = g10;
                                        function_4776dc();
                                        v25 = g5;
                                        v33 = *(int32_t *)(v25 + 20);
                                        v19 = v33;
                                        v27 = v25;
                                        v42 = 1;
                                        if (v33 != *(int32_t *)(v25 + 12)) {
                                            // 0x477bbd
                                            v15 = (int32_t *)(v25 + 32);
                                            *v15 = *v15 + 1;
                                            v26 = g5;
                                            v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                            v35 = *(char *)(*v15 + v34);
                                            v40 = v35;
                                            v16 = (int32_t *)(v26 + 20);
                                            *v16 = *v16 + 1;
                                            v36 = *(int32_t *)(g5 + 8);
                                            g6 = v36;
                                            g3 = v40 & -256 | v40;
                                            *(char *)(*v16 + v36) = v35;
                                            unknown_477b77();
                                            v27 = g5;
                                            v42 = v35;
                                            // branch -> 0x477be8
                                        }
                                        // 0x477be8
                                        if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                            // 0x477bf1
                                            v37 = v19;
                                            v41 = *(int32_t *)(v27 + 20);
                                            if (v37 < v41) {
                                                // 0x477bf6
                                                g6 = v41 - v37;
                                                g8 = *(int32_t *)(v27 + 8) + v37;
                                                function_47d23c();
                                                // branch -> 0x477c0b
                                            }
                                        }
                                        // 0x477c0b
                                        if (v42 == 0) {
                                            // 0x477c12
                                            g6 = 0;
                                            *(int32_t *)(g5 + 32) = 0;
                                            *(int32_t *)(g5 + 4) = 91;
                                            // branch -> 0x477c27
                                        }
                                        // 0x477c27
                                        v28 = g5;
                                        v17 = (int32_t *)(v28 + 4);
                                        if (*v17 == 91) {
                                            // 0x477c31
                                            if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                                // 0x477ce5
                                                *v17 = 103;
                                                // branch -> 0x477cec
                                            } else {
                                                // 0x477c3e
                                                v19 = *(int32_t *)(v28 + 20);
                                                v29 = v28;
                                                // branch -> 0x477c41
                                                while (true) {
                                                    // 0x477c41
                                                    v18 = (int32_t *)(v29 + 20);
                                                    if (*v18 == *(int32_t *)(v29 + 12)) {
                                                        goto lab_0x477c49_14;
                                                    }
                                                    goto lab_0x477c87_14;
                                                }
                                            }
                                            // 0x477cec
                                            v47 = g5;
                                            v43 = (int32_t *)(v47 + 4);
                                            if (*v43 == 103) {
                                                // 0x477cf2
                                                v49 = *(int32_t *)(v47 + 28);
                                                g6 = v49;
                                                if (*(int32_t *)(v49 + 44) == 0) {
                                                    // 0x477d56
                                                    *v43 = 113;
                                                    // branch -> 0x477d5d
                                                } else {
                                                    // 0x477cfb
                                                    v50 = *(int32_t *)(v47 + 20);
                                                    g3 = v50;
                                                    v48 = v47;
                                                    if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                        // 0x477d06
                                                        function_4776dc();
                                                        v48 = g5;
                                                        // branch -> 0x477d0d
                                                    }
                                                    // 0x477d0d
                                                    v44 = (int32_t *)(v48 + 20);
                                                    if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                        // 0x477d18
                                                        *v44 = *v44 + 1;
                                                        v51 = *(char *)(g10 + 48);
                                                        *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                        v45 = (int32_t *)(g5 + 20);
                                                        v46 = *v45;
                                                        *v45 = *v45 + 1;
                                                        v52 = *(int32_t *)(g5 + 8);
                                                        g3 = v52;
                                                        v53 = *(int32_t *)(g10 + 48);
                                                        *(char *)(v46 + v52) = (char)(v53 / 256);
                                                        g6 = 0;
                                                        g8 = 0;
                                                        function_47d23c();
                                                        *(int32_t *)(g10 + 48) = 0;
                                                        *(int32_t *)(g5 + 4) = 113;
                                                        // branch -> 0x477d5d
                                                    }
                                                }
                                                // 0x477d5d
                                                v66 = g5;
                                                if (*(int32_t *)(v66 + 20) == 0) {
                                                    // 0x477d80
                                                    v69 = g10;
                                                    if (*(int32_t *)(v69 + 4) == 0) {
                                                        // 0x477d86
                                                        v64 = g7;
                                                        if (v64 <= v4) {
                                                            // 0x477d8b
                                                            if (v64 != 4) {
                                                                // 0x477d90
                                                                g3 = -5;
                                                                *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                                // branch -> 0x477f9c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v70 = v69;
                                                                v65 = v66;
                                                            }
                                                        } else {
                                                            v70 = v69;
                                                            v65 = v66;
                                                        }
                                                    } else {
                                                        v70 = v69;
                                                        v65 = v66;
                                                    }
                                                } else {
                                                    // 0x477d63
                                                    function_4776dc();
                                                    v67 = g10;
                                                    v68 = g5;
                                                    if (*(int32_t *)(v67 + 16) == 0) {
                                                        // 0x477d70
                                                        *(int32_t *)(v68 + 40) = -1;
                                                        g3 = 0;
                                                        // branch -> 0x477f9c
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    } else {
                                                        v70 = v67;
                                                        v65 = v68;
                                                    }
                                                }
                                                // 0x477da3
                                                v71 = *(int32_t *)(v65 + 4);
                                                v76 = v71 - 666;
                                                v63 = llvm_ctpop_i32(v76);
                                                v72 = *(int32_t *)(v70 + 4);
                                                v73 = v72;
                                                if (v71 == 666) {
                                                    // 0x477dac
                                                    if (v72 != 0) {
                                                        // 0x477db2
                                                        g3 = -5;
                                                        *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                        // branch -> 0x477f9c
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    } else {
                                                        v73 = 0;
                                                    }
                                                }
                                                // 0x477dc5
                                                g2 = false;
                                                g1 = false;
                                                g187 = v73 == 0;
                                                g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                                if (v73 == 0) {
                                                    // 0x477dcb
                                                    v74 = *(int32_t *)(v65 + 116);
                                                    g2 = false;
                                                    g1 = false;
                                                    g187 = v74 == 0;
                                                    g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                    if (v74 == 0) {
                                                        // 0x477dd1
                                                        if (g7 != 0) {
                                                            // 0x477dd9
                                                            g2 = (v71 & 15) > 25;
                                                            g1 = v71 < 666;
                                                            g187 = v76 == 0;
                                                            g9 = v63 % 2 == 1;
                                                            if (v71 != 666) {
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                            // 0x477d5d
                                            v66 = g5;
                                            if (*(int32_t *)(v66 + 20) == 0) {
                                                // 0x477d80
                                                v69 = g10;
                                                if (*(int32_t *)(v69 + 4) == 0) {
                                                    // 0x477d86
                                                    v64 = g7;
                                                    if (v64 <= v4) {
                                                        // 0x477d8b
                                                        if (v64 != 4) {
                                                            // 0x477d90
                                                            g3 = -5;
                                                            *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                            // branch -> 0x477f9c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v70 = v69;
                                                            v65 = v66;
                                                        }
                                                    } else {
                                                        v70 = v69;
                                                        v65 = v66;
                                                    }
                                                } else {
                                                    v70 = v69;
                                                    v65 = v66;
                                                }
                                            } else {
                                                // 0x477d63
                                                function_4776dc();
                                                v67 = g10;
                                                v68 = g5;
                                                if (*(int32_t *)(v67 + 16) == 0) {
                                                    // 0x477d70
                                                    *(int32_t *)(v68 + 40) = -1;
                                                    g3 = 0;
                                                    // branch -> 0x477f9c
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                } else {
                                                    v70 = v67;
                                                    v65 = v68;
                                                }
                                            }
                                            // 0x477da3
                                            v71 = *(int32_t *)(v65 + 4);
                                            v76 = v71 - 666;
                                            v63 = llvm_ctpop_i32(v76);
                                            v72 = *(int32_t *)(v70 + 4);
                                            v73 = v72;
                                            if (v71 == 666) {
                                                // 0x477dac
                                                if (v72 != 0) {
                                                    // 0x477db2
                                                    g3 = -5;
                                                    *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                    // branch -> 0x477f9c
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                } else {
                                                    v73 = 0;
                                                }
                                            }
                                            // 0x477dc5
                                            g2 = false;
                                            g1 = false;
                                            g187 = v73 == 0;
                                            g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                            if (v73 == 0) {
                                                // 0x477dcb
                                                v74 = *(int32_t *)(v65 + 116);
                                                g2 = false;
                                                g1 = false;
                                                g187 = v74 == 0;
                                                g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                if (v74 == 0) {
                                                    // 0x477dd1
                                                    if (g7 != 0) {
                                                        // 0x477dd9
                                                        g2 = (v71 & 15) > 25;
                                                        g1 = v71 < 666;
                                                        g187 = v76 == 0;
                                                        g9 = v63 % 2 == 1;
                                                        if (v71 != 666) {
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                        // 0x477cec
                                        v47 = g5;
                                        v43 = (int32_t *)(v47 + 4);
                                        if (*v43 == 103) {
                                            // 0x477cf2
                                            v49 = *(int32_t *)(v47 + 28);
                                            g6 = v49;
                                            if (*(int32_t *)(v49 + 44) == 0) {
                                                // 0x477d56
                                                *v43 = 113;
                                                // branch -> 0x477d5d
                                            } else {
                                                // 0x477cfb
                                                v50 = *(int32_t *)(v47 + 20);
                                                g3 = v50;
                                                v48 = v47;
                                                if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                    // 0x477d06
                                                    function_4776dc();
                                                    v48 = g5;
                                                    // branch -> 0x477d0d
                                                }
                                                // 0x477d0d
                                                v44 = (int32_t *)(v48 + 20);
                                                if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                    // 0x477d18
                                                    *v44 = *v44 + 1;
                                                    v51 = *(char *)(g10 + 48);
                                                    *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                    v45 = (int32_t *)(g5 + 20);
                                                    v46 = *v45;
                                                    *v45 = *v45 + 1;
                                                    v52 = *(int32_t *)(g5 + 8);
                                                    g3 = v52;
                                                    v53 = *(int32_t *)(g10 + 48);
                                                    *(char *)(v46 + v52) = (char)(v53 / 256);
                                                    g6 = 0;
                                                    g8 = 0;
                                                    function_47d23c();
                                                    *(int32_t *)(g10 + 48) = 0;
                                                    *(int32_t *)(g5 + 4) = 113;
                                                    // branch -> 0x477d5d
                                                }
                                            }
                                            // 0x477d5d
                                            v66 = g5;
                                            if (*(int32_t *)(v66 + 20) == 0) {
                                                // 0x477d80
                                                v69 = g10;
                                                if (*(int32_t *)(v69 + 4) == 0) {
                                                    // 0x477d86
                                                    v64 = g7;
                                                    if (v64 <= v4) {
                                                        // 0x477d8b
                                                        if (v64 != 4) {
                                                            // 0x477d90
                                                            g3 = -5;
                                                            *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                            // branch -> 0x477f9c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v70 = v69;
                                                            v65 = v66;
                                                        }
                                                    } else {
                                                        v70 = v69;
                                                        v65 = v66;
                                                    }
                                                } else {
                                                    v70 = v69;
                                                    v65 = v66;
                                                }
                                            } else {
                                                // 0x477d63
                                                function_4776dc();
                                                v67 = g10;
                                                v68 = g5;
                                                if (*(int32_t *)(v67 + 16) == 0) {
                                                    // 0x477d70
                                                    *(int32_t *)(v68 + 40) = -1;
                                                    g3 = 0;
                                                    // branch -> 0x477f9c
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                } else {
                                                    v70 = v67;
                                                    v65 = v68;
                                                }
                                            }
                                            // 0x477da3
                                            v71 = *(int32_t *)(v65 + 4);
                                            v76 = v71 - 666;
                                            v63 = llvm_ctpop_i32(v76);
                                            v72 = *(int32_t *)(v70 + 4);
                                            v73 = v72;
                                            if (v71 == 666) {
                                                // 0x477dac
                                                if (v72 != 0) {
                                                    // 0x477db2
                                                    g3 = -5;
                                                    *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                    // branch -> 0x477f9c
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                } else {
                                                    v73 = 0;
                                                }
                                            }
                                            // 0x477dc5
                                            g2 = false;
                                            g1 = false;
                                            g187 = v73 == 0;
                                            g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                            if (v73 == 0) {
                                                // 0x477dcb
                                                v74 = *(int32_t *)(v65 + 116);
                                                g2 = false;
                                                g1 = false;
                                                g187 = v74 == 0;
                                                g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                if (v74 == 0) {
                                                    // 0x477dd1
                                                    if (g7 != 0) {
                                                        // 0x477dd9
                                                        g2 = (v71 & 15) > 25;
                                                        g1 = v71 < 666;
                                                        g187 = v76 == 0;
                                                        g9 = v63 % 2 == 1;
                                                        if (v71 != 666) {
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                        // 0x477d5d
                                        v66 = g5;
                                        if (*(int32_t *)(v66 + 20) == 0) {
                                            // 0x477d80
                                            v69 = g10;
                                            if (*(int32_t *)(v69 + 4) == 0) {
                                                // 0x477d86
                                                v64 = g7;
                                                if (v64 <= v4) {
                                                    // 0x477d8b
                                                    if (v64 != 4) {
                                                        // 0x477d90
                                                        g3 = -5;
                                                        *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                        // branch -> 0x477f9c
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    } else {
                                                        v70 = v69;
                                                        v65 = v66;
                                                    }
                                                } else {
                                                    v70 = v69;
                                                    v65 = v66;
                                                }
                                            } else {
                                                v70 = v69;
                                                v65 = v66;
                                            }
                                        } else {
                                            // 0x477d63
                                            function_4776dc();
                                            v67 = g10;
                                            v68 = g5;
                                            if (*(int32_t *)(v67 + 16) == 0) {
                                                // 0x477d70
                                                *(int32_t *)(v68 + 40) = -1;
                                                g3 = 0;
                                                // branch -> 0x477f9c
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            } else {
                                                v70 = v67;
                                                v65 = v68;
                                            }
                                        }
                                        // 0x477da3
                                        v71 = *(int32_t *)(v65 + 4);
                                        v76 = v71 - 666;
                                        v63 = llvm_ctpop_i32(v76);
                                        v72 = *(int32_t *)(v70 + 4);
                                        v73 = v72;
                                        if (v71 == 666) {
                                            // 0x477dac
                                            if (v72 != 0) {
                                                // 0x477db2
                                                g3 = -5;
                                                *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                // branch -> 0x477f9c
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            } else {
                                                v73 = 0;
                                            }
                                        }
                                        // 0x477dc5
                                        g2 = false;
                                        g1 = false;
                                        g187 = v73 == 0;
                                        g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                        if (v73 == 0) {
                                            // 0x477dcb
                                            v74 = *(int32_t *)(v65 + 116);
                                            g2 = false;
                                            g1 = false;
                                            g187 = v74 == 0;
                                            g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                            if (v74 == 0) {
                                                // 0x477dd1
                                                if (g7 != 0) {
                                                    // 0x477dd9
                                                    g2 = (v71 & 15) > 25;
                                                    g1 = v71 < 666;
                                                    g187 = v76 == 0;
                                                    g9 = v63 % 2 == 1;
                                                    if (v71 != 666) {
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // 0x477b5d
                                    v24 = g5;
                                    if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                        // 0x477b88
                                        v32 = g4;
                                        v39 = *(int32_t *)(v24 + 20);
                                        if (v32 < v39) {
                                            // 0x477b8d
                                            g6 = v39 - v32;
                                            g8 = *(int32_t *)(v24 + 8) + v32;
                                            g3 = *(int32_t *)(g10 + 48);
                                            function_47d23c();
                                            *(int32_t *)(g10 + 48) = g3;
                                            // branch -> 0x477ba2
                                        }
                                    }
                                    // 0x477ba2
                                    g3 = g10;
                                    function_4776dc();
                                    v25 = g5;
                                    v33 = *(int32_t *)(v25 + 20);
                                    v19 = v33;
                                    v27 = v25;
                                    v42 = 1;
                                    if (v33 != *(int32_t *)(v25 + 12)) {
                                        // 0x477bbd
                                        v15 = (int32_t *)(v25 + 32);
                                        *v15 = *v15 + 1;
                                        v26 = g5;
                                        v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                        v35 = *(char *)(*v15 + v34);
                                        v40 = v35;
                                        v16 = (int32_t *)(v26 + 20);
                                        *v16 = *v16 + 1;
                                        v36 = *(int32_t *)(g5 + 8);
                                        g6 = v36;
                                        g3 = v40 & -256 | v40;
                                        *(char *)(*v16 + v36) = v35;
                                        unknown_477b77();
                                        v27 = g5;
                                        v42 = v35;
                                        // branch -> 0x477be8
                                    }
                                    // 0x477be8
                                    if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                        // 0x477bf1
                                        v37 = v19;
                                        v41 = *(int32_t *)(v27 + 20);
                                        if (v37 < v41) {
                                            // 0x477bf6
                                            g6 = v41 - v37;
                                            g8 = *(int32_t *)(v27 + 8) + v37;
                                            function_47d23c();
                                            // branch -> 0x477c0b
                                        }
                                    }
                                    // 0x477c0b
                                    if (v42 == 0) {
                                        // 0x477c12
                                        g6 = 0;
                                        *(int32_t *)(g5 + 32) = 0;
                                        *(int32_t *)(g5 + 4) = 91;
                                        // branch -> 0x477c27
                                    }
                                    // 0x477c27
                                    v28 = g5;
                                    v17 = (int32_t *)(v28 + 4);
                                    if (*v17 == 91) {
                                        // 0x477c31
                                        if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                            // 0x477ce5
                                            *v17 = 103;
                                            // branch -> 0x477cec
                                        } else {
                                            // 0x477c3e
                                            v19 = *(int32_t *)(v28 + 20);
                                            v29 = v28;
                                            // branch -> 0x477c41
                                            while (true) {
                                                // 0x477c41
                                                v18 = (int32_t *)(v29 + 20);
                                                if (*v18 == *(int32_t *)(v29 + 12)) {
                                                    goto lab_0x477c49_14;
                                                }
                                                goto lab_0x477c87_14;
                                            }
                                        }
                                        // 0x477cec
                                        v47 = g5;
                                        v43 = (int32_t *)(v47 + 4);
                                        if (*v43 == 103) {
                                            // 0x477cf2
                                            v49 = *(int32_t *)(v47 + 28);
                                            g6 = v49;
                                            if (*(int32_t *)(v49 + 44) == 0) {
                                                // 0x477d56
                                                *v43 = 113;
                                                // branch -> 0x477d5d
                                            } else {
                                                // 0x477cfb
                                                v50 = *(int32_t *)(v47 + 20);
                                                g3 = v50;
                                                v48 = v47;
                                                if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                    // 0x477d06
                                                    function_4776dc();
                                                    v48 = g5;
                                                    // branch -> 0x477d0d
                                                }
                                                // 0x477d0d
                                                v44 = (int32_t *)(v48 + 20);
                                                if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                    // 0x477d18
                                                    *v44 = *v44 + 1;
                                                    v51 = *(char *)(g10 + 48);
                                                    *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                    v45 = (int32_t *)(g5 + 20);
                                                    v46 = *v45;
                                                    *v45 = *v45 + 1;
                                                    v52 = *(int32_t *)(g5 + 8);
                                                    g3 = v52;
                                                    v53 = *(int32_t *)(g10 + 48);
                                                    *(char *)(v46 + v52) = (char)(v53 / 256);
                                                    g6 = 0;
                                                    g8 = 0;
                                                    function_47d23c();
                                                    *(int32_t *)(g10 + 48) = 0;
                                                    *(int32_t *)(g5 + 4) = 113;
                                                    // branch -> 0x477d5d
                                                }
                                            }
                                            // 0x477d5d
                                            v66 = g5;
                                            if (*(int32_t *)(v66 + 20) == 0) {
                                                // 0x477d80
                                                v69 = g10;
                                                if (*(int32_t *)(v69 + 4) == 0) {
                                                    // 0x477d86
                                                    v64 = g7;
                                                    if (v64 <= v4) {
                                                        // 0x477d8b
                                                        if (v64 != 4) {
                                                            // 0x477d90
                                                            g3 = -5;
                                                            *(int32_t *)(v69 + 24) = (int32_t)g33[0];
                                                            // branch -> 0x477f9c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v70 = v69;
                                                            v65 = v66;
                                                        }
                                                    } else {
                                                        v70 = v69;
                                                        v65 = v66;
                                                    }
                                                } else {
                                                    v70 = v69;
                                                    v65 = v66;
                                                }
                                            } else {
                                                // 0x477d63
                                                function_4776dc();
                                                v67 = g10;
                                                v68 = g5;
                                                if (*(int32_t *)(v67 + 16) == 0) {
                                                    // 0x477d70
                                                    *(int32_t *)(v68 + 40) = -1;
                                                    g3 = 0;
                                                    // branch -> 0x477f9c
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                } else {
                                                    v70 = v67;
                                                    v65 = v68;
                                                }
                                            }
                                            // 0x477da3
                                            v71 = *(int32_t *)(v65 + 4);
                                            v76 = v71 - 666;
                                            v63 = llvm_ctpop_i32(v76);
                                            v72 = *(int32_t *)(v70 + 4);
                                            v73 = v72;
                                            if (v71 == 666) {
                                                // 0x477dac
                                                if (v72 != 0) {
                                                    // 0x477db2
                                                    g3 = -5;
                                                    *(int32_t *)(v70 + 24) = (int32_t)g33[0];
                                                    // branch -> 0x477f9c
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                } else {
                                                    v73 = 0;
                                                }
                                            }
                                            // 0x477dc5
                                            g2 = false;
                                            g1 = false;
                                            g187 = v73 == 0;
                                            g9 = llvm_ctpop_i32(v73) % 2 == 1;
                                            if (v73 == 0) {
                                                // 0x477dcb
                                                v74 = *(int32_t *)(v65 + 116);
                                                g2 = false;
                                                g1 = false;
                                                g187 = v74 == 0;
                                                g9 = llvm_ctpop_i32(v74) % 2 == 1;
                                                if (v74 == 0) {
                                                    // 0x477dd1
                                                    if (g7 != 0) {
                                                        // 0x477dd9
                                                        g2 = (v71 & 15) > 25;
                                                        g1 = v71 < 666;
                                                        g187 = v76 == 0;
                                                        g9 = v63 % 2 == 1;
                                                        if (v71 != 666) {
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // 0x477cec
                                    v47 = g5;
                                    v43 = (int32_t *)(v47 + 4);
                                    if (*v43 == 103) {
                                        // 0x477cf2
                                        v49 = *(int32_t *)(v47 + 28);
                                        g6 = v49;
                                        if (*(int32_t *)(v49 + 44) == 0) {
                                            // 0x477d56
                                            *v43 = 113;
                                            // branch -> 0x477d5d
                                        } else {
                                            // 0x477cfb
                                            v50 = *(int32_t *)(v47 + 20);
                                            g3 = v50;
                                            v48 = v47;
                                            if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                // 0x477d06
                                                function_4776dc();
                                                v48 = g5;
                                                // branch -> 0x477d0d
                                            }
                                            // 0x477d0d
                                            v44 = (int32_t *)(v48 + 20);
                                            if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                // 0x477d18
                                                *v44 = *v44 + 1;
                                                v51 = *(char *)(g10 + 48);
                                                *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                v45 = (int32_t *)(g5 + 20);
                                                v46 = *v45;
                                                *v45 = *v45 + 1;
                                                v52 = *(int32_t *)(g5 + 8);
                                                g3 = v52;
                                                v53 = *(int32_t *)(g10 + 48);
                                                *(char *)(v46 + v52) = (char)(v53 / 256);
                                                g6 = 0;
                                                g8 = 0;
                                                function_47d23c();
                                                *(int32_t *)(g10 + 48) = 0;
                                                *(int32_t *)(g5 + 4) = 113;
                                                // branch -> 0x477d5d
                                            }
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                } else {
                                    int32_t v193 = 0x1000 * *(int32_t *)(v10 + 48) - 0x8000 | 2048; // 0x4779f7
                                    int32_t v194; // 0x477a53
                                    int32_t v195; // 0x477a36
                                    int32_t v196; // 0x477a65
                                    if (*(int32_t *)(v10 + 136) <= 1) {
                                        int32_t v197 = *(int32_t *)(v10 + 132); // 0x477a03
                                        if (v197 > 1) {
                                            // 0x477a10
                                            int32_t v198; // 0x477a33
                                            if (v197 > 5) {
                                                // 0x477a22
                                                if (v197 == 6) {
                                                    // 0x477a27
                                                    v198 = 128;
                                                    // branch -> 0x477a33
                                                } else {
                                                    // 0x477a2e
                                                    v198 = 192;
                                                    // branch -> 0x477a33
                                                }
                                                // 0x477a33
                                                v195 = v198 | v193;
                                                v194 = v195;
                                                if (*(int32_t *)(v10 + 108) != 0) {
                                                    // 0x477a3e
                                                    v194 = v195 | 32;
                                                    // branch -> 0x477a41
                                                }
                                                // 0x477a41
                                                g4 = 31;
                                                v46 = (v194 % 31 ^ 31) + v194;
                                                g3 = v10;
                                                *v11 = 113;
                                                g8 = v46;
                                                function_4776b4();
                                                v196 = g5;
                                                if (*(int32_t *)(v196 + 108) != 0) {
                                                    // 0x477a6b
                                                    g3 = v196;
                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                    function_4776b4();
                                                    g3 = g5;
                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                    function_4776b4();
                                                    // branch -> 0x477a88
                                                }
                                                // 0x477a88
                                                g6 = 0;
                                                *(int32_t *)(g10 + 48) = unknown_476e00();
                                                // branch -> 0x477a96
                                                // 0x477a96
                                                v20 = g5;
                                                v12 = (int32_t *)(v20 + 4);
                                                if (*v12 == 69) {
                                                    // 0x477aa0
                                                    if (*(int32_t *)(*(int32_t *)(v20 + 28) + 16) == 0) {
                                                        // 0x477b56
                                                        *v12 = 73;
                                                        // branch -> 0x477b5d
                                                    } else {
                                                        // 0x477aad
                                                        g4 = *(int32_t *)(v20 + 20);
                                                        v21 = v20;
                                                        // branch -> 0x477b09
                                                        while (true) {
                                                            // 0x477b09
                                                            v13 = (int32_t *)(v21 + 28);
                                                            if ((*(int32_t *)(*v13 + 20) & 0xffff) > *(int32_t *)(v21 + 32)) {
                                                                goto lab_0x477ab2_6;
                                                            }
                                                            v22 = v21;
                                                            // 0x477b1a
                                                            v30 = *(int32_t *)(v22 + 28);
                                                            g6 = v30;
                                                            v23 = v22;
                                                            if (*(int32_t *)(v30 + 44) != 0) {
                                                                // 0x477b23
                                                                v31 = g4;
                                                                v38 = *(int32_t *)(v22 + 20);
                                                                if (v31 < v38) {
                                                                    // 0x477b28
                                                                    g6 = v38 - v31;
                                                                    g8 = *(int32_t *)(v22 + 8) + v31;
                                                                    g3 = *(int32_t *)(g10 + 48);
                                                                    function_47d23c();
                                                                    *(int32_t *)(g10 + 48) = g3;
                                                                    v23 = g5;
                                                                    // branch -> 0x477b3d
                                                                } else {
                                                                    v23 = v22;
                                                                }
                                                            }
                                                            // 0x477b3d
                                                            v14 = (int32_t *)(v23 + 32);
                                                            if (*(int32_t *)(*(int32_t *)(v23 + 28) + 20) == *v14) {
                                                                // 0x477b48
                                                                g6 = 0;
                                                                *v14 = 0;
                                                                *(int32_t *)(g5 + 4) = 73;
                                                                // branch -> 0x477b5d
                                                            }
                                                        }
                                                    }
                                                    // 0x477b5d
                                                    v24 = g5;
                                                    if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                                        // 0x477b88
                                                        v32 = g4;
                                                        v39 = *(int32_t *)(v24 + 20);
                                                        if (v32 < v39) {
                                                            // 0x477b8d
                                                            g6 = v39 - v32;
                                                            g8 = *(int32_t *)(v24 + 8) + v32;
                                                            g3 = *(int32_t *)(g10 + 48);
                                                            function_47d23c();
                                                            *(int32_t *)(g10 + 48) = g3;
                                                            // branch -> 0x477ba2
                                                        }
                                                    }
                                                    // 0x477ba2
                                                    g3 = g10;
                                                    function_4776dc();
                                                    v25 = g5;
                                                    v33 = *(int32_t *)(v25 + 20);
                                                    v19 = v33;
                                                    v27 = v25;
                                                    v42 = 1;
                                                    if (v33 != *(int32_t *)(v25 + 12)) {
                                                        // 0x477bbd
                                                        v15 = (int32_t *)(v25 + 32);
                                                        *v15 = *v15 + 1;
                                                        v26 = g5;
                                                        v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                                        v35 = *(char *)(*v15 + v34);
                                                        v40 = v35;
                                                        v16 = (int32_t *)(v26 + 20);
                                                        *v16 = *v16 + 1;
                                                        v36 = *(int32_t *)(g5 + 8);
                                                        g6 = v36;
                                                        g3 = v40 & -256 | v40;
                                                        *(char *)(*v16 + v36) = v35;
                                                        unknown_477b77();
                                                        v27 = g5;
                                                        v42 = v35;
                                                        // branch -> 0x477be8
                                                    }
                                                    // 0x477be8
                                                    if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                                        // 0x477bf1
                                                        v37 = v19;
                                                        v41 = *(int32_t *)(v27 + 20);
                                                        if (v37 < v41) {
                                                            // 0x477bf6
                                                            g6 = v41 - v37;
                                                            g8 = *(int32_t *)(v27 + 8) + v37;
                                                            function_47d23c();
                                                            // branch -> 0x477c0b
                                                        }
                                                    }
                                                    // 0x477c0b
                                                    if (v42 == 0) {
                                                        // 0x477c12
                                                        g6 = 0;
                                                        *(int32_t *)(g5 + 32) = 0;
                                                        *(int32_t *)(g5 + 4) = 91;
                                                        // branch -> 0x477c27
                                                    }
                                                    // 0x477c27
                                                    v28 = g5;
                                                    v17 = (int32_t *)(v28 + 4);
                                                    if (*v17 == 91) {
                                                        // 0x477c31
                                                        if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                                            // 0x477ce5
                                                            *v17 = 103;
                                                            // branch -> 0x477cec
                                                        } else {
                                                            // 0x477c3e
                                                            v19 = *(int32_t *)(v28 + 20);
                                                            v29 = v28;
                                                            // branch -> 0x477c41
                                                            while (true) {
                                                                // 0x477c41
                                                                v18 = (int32_t *)(v29 + 20);
                                                                if (*v18 == *(int32_t *)(v29 + 12)) {
                                                                    goto lab_0x477c49_14;
                                                                }
                                                                goto lab_0x477c87_14;
                                                            }
                                                        }
                                                        // 0x477cec
                                                        v47 = g5;
                                                        v43 = (int32_t *)(v47 + 4);
                                                        if (*v43 == 103) {
                                                            // 0x477cf2
                                                            v49 = *(int32_t *)(v47 + 28);
                                                            g6 = v49;
                                                            if (*(int32_t *)(v49 + 44) == 0) {
                                                                // 0x477d56
                                                                *v43 = 113;
                                                                // branch -> 0x477d5d
                                                            } else {
                                                                // 0x477cfb
                                                                v50 = *(int32_t *)(v47 + 20);
                                                                g3 = v50;
                                                                v48 = v47;
                                                                if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                    // 0x477d06
                                                                    function_4776dc();
                                                                    v48 = g5;
                                                                    // branch -> 0x477d0d
                                                                }
                                                                // 0x477d0d
                                                                v44 = (int32_t *)(v48 + 20);
                                                                if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                                    // 0x477d18
                                                                    *v44 = *v44 + 1;
                                                                    v51 = *(char *)(g10 + 48);
                                                                    *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                    v45 = (int32_t *)(g5 + 20);
                                                                    v46 = *v45;
                                                                    *v45 = *v45 + 1;
                                                                    v52 = *(int32_t *)(g5 + 8);
                                                                    g3 = v52;
                                                                    v53 = *(int32_t *)(g10 + 48);
                                                                    *(char *)(v46 + v52) = (char)(v53 / 256);
                                                                    g6 = 0;
                                                                    g8 = 0;
                                                                    function_47d23c();
                                                                    *(int32_t *)(g10 + 48) = 0;
                                                                    *(int32_t *)(g5 + 4) = 113;
                                                                    // branch -> 0x477d5d
                                                                }
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x477cec
                                                    v47 = g5;
                                                    v43 = (int32_t *)(v47 + 4);
                                                    if (*v43 == 103) {
                                                        // 0x477cf2
                                                        v49 = *(int32_t *)(v47 + 28);
                                                        g6 = v49;
                                                        if (*(int32_t *)(v49 + 44) == 0) {
                                                            // 0x477d56
                                                            *v43 = 113;
                                                            // branch -> 0x477d5d
                                                        } else {
                                                            // 0x477cfb
                                                            v50 = *(int32_t *)(v47 + 20);
                                                            g3 = v50;
                                                            v48 = v47;
                                                            if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                // 0x477d06
                                                                function_4776dc();
                                                                v48 = g5;
                                                                // branch -> 0x477d0d
                                                            }
                                                            // 0x477d0d
                                                            v44 = (int32_t *)(v48 + 20);
                                                            if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                                // 0x477d18
                                                                *v44 = *v44 + 1;
                                                                v51 = *(char *)(g10 + 48);
                                                                *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                v45 = (int32_t *)(g5 + 20);
                                                                v46 = *v45;
                                                                *v45 = *v45 + 1;
                                                                v52 = *(int32_t *)(g5 + 8);
                                                                g3 = v52;
                                                                v53 = *(int32_t *)(g10 + 48);
                                                                *(char *)(v46 + v52) = (char)(v53 / 256);
                                                                g6 = 0;
                                                                g8 = 0;
                                                                function_47d23c();
                                                                *(int32_t *)(g10 + 48) = 0;
                                                                *(int32_t *)(g5 + 4) = 113;
                                                                // branch -> 0x477d5d
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // 0x477b5d
                                                v24 = g5;
                                                if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                                    // 0x477b88
                                                    v32 = g4;
                                                    v39 = *(int32_t *)(v24 + 20);
                                                    if (v32 < v39) {
                                                        // 0x477b8d
                                                        g6 = v39 - v32;
                                                        g8 = *(int32_t *)(v24 + 8) + v32;
                                                        g3 = *(int32_t *)(g10 + 48);
                                                        function_47d23c();
                                                        *(int32_t *)(g10 + 48) = g3;
                                                        // branch -> 0x477ba2
                                                    }
                                                }
                                                // 0x477ba2
                                                g3 = g10;
                                                function_4776dc();
                                                v25 = g5;
                                                v33 = *(int32_t *)(v25 + 20);
                                                v19 = v33;
                                                v27 = v25;
                                                v42 = 1;
                                                if (v33 != *(int32_t *)(v25 + 12)) {
                                                    // 0x477bbd
                                                    v15 = (int32_t *)(v25 + 32);
                                                    *v15 = *v15 + 1;
                                                    v26 = g5;
                                                    v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                                    v35 = *(char *)(*v15 + v34);
                                                    v40 = v35;
                                                    v16 = (int32_t *)(v26 + 20);
                                                    *v16 = *v16 + 1;
                                                    v36 = *(int32_t *)(g5 + 8);
                                                    g6 = v36;
                                                    g3 = v40 & -256 | v40;
                                                    *(char *)(*v16 + v36) = v35;
                                                    unknown_477b77();
                                                    v27 = g5;
                                                    v42 = v35;
                                                    // branch -> 0x477be8
                                                }
                                                // 0x477be8
                                                if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                                    // 0x477bf1
                                                    v37 = v19;
                                                    v41 = *(int32_t *)(v27 + 20);
                                                    if (v37 < v41) {
                                                        // 0x477bf6
                                                        g6 = v41 - v37;
                                                        g8 = *(int32_t *)(v27 + 8) + v37;
                                                        function_47d23c();
                                                        // branch -> 0x477c0b
                                                    }
                                                }
                                                // 0x477c0b
                                                if (v42 == 0) {
                                                    // 0x477c12
                                                    g6 = 0;
                                                    *(int32_t *)(g5 + 32) = 0;
                                                    *(int32_t *)(g5 + 4) = 91;
                                                    // branch -> 0x477c27
                                                }
                                                // 0x477c27
                                                v28 = g5;
                                                v17 = (int32_t *)(v28 + 4);
                                                if (*v17 == 91) {
                                                    // 0x477c31
                                                    if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                                        // 0x477ce5
                                                        *v17 = 103;
                                                        // branch -> 0x477cec
                                                    } else {
                                                        // 0x477c3e
                                                        v19 = *(int32_t *)(v28 + 20);
                                                        v29 = v28;
                                                        // branch -> 0x477c41
                                                        while (true) {
                                                            // 0x477c41
                                                            v18 = (int32_t *)(v29 + 20);
                                                            if (*v18 == *(int32_t *)(v29 + 12)) {
                                                                goto lab_0x477c49_14;
                                                            }
                                                            goto lab_0x477c87_14;
                                                        }
                                                    }
                                                    // 0x477cec
                                                    v47 = g5;
                                                    v43 = (int32_t *)(v47 + 4);
                                                    if (*v43 == 103) {
                                                        // 0x477cf2
                                                        v49 = *(int32_t *)(v47 + 28);
                                                        g6 = v49;
                                                        if (*(int32_t *)(v49 + 44) == 0) {
                                                            // 0x477d56
                                                            *v43 = 113;
                                                            // branch -> 0x477d5d
                                                        } else {
                                                            // 0x477cfb
                                                            v50 = *(int32_t *)(v47 + 20);
                                                            g3 = v50;
                                                            v48 = v47;
                                                            if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                // 0x477d06
                                                                function_4776dc();
                                                                v48 = g5;
                                                                // branch -> 0x477d0d
                                                            }
                                                            // 0x477d0d
                                                            v44 = (int32_t *)(v48 + 20);
                                                            if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                                // 0x477d18
                                                                *v44 = *v44 + 1;
                                                                v51 = *(char *)(g10 + 48);
                                                                *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                v45 = (int32_t *)(g5 + 20);
                                                                *v45 = *v45 + 1;
                                                                v52 = *(int32_t *)(g5 + 8);
                                                                g3 = v52;
                                                                v53 = *(int32_t *)(g10 + 48);
                                                                *(char *)(*v45 + v52) = (char)(v53 / 256);
                                                                g6 = 0;
                                                                g8 = 0;
                                                                function_47d23c();
                                                                *(int32_t *)(g10 + 48) = 0;
                                                                *(int32_t *)(g5 + 4) = 113;
                                                                // branch -> 0x477d5d
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // 0x477cec
                                                v47 = g5;
                                                v43 = (int32_t *)(v47 + 4);
                                                if (*v43 == 103) {
                                                    // 0x477cf2
                                                    v49 = *(int32_t *)(v47 + 28);
                                                    g6 = v49;
                                                    if (*(int32_t *)(v49 + 44) == 0) {
                                                        // 0x477d56
                                                        *v43 = 113;
                                                        // branch -> 0x477d5d
                                                    } else {
                                                        // 0x477cfb
                                                        v50 = *(int32_t *)(v47 + 20);
                                                        g3 = v50;
                                                        v48 = v47;
                                                        if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                            // 0x477d06
                                                            function_4776dc();
                                                            v48 = g5;
                                                            // branch -> 0x477d0d
                                                        }
                                                        // 0x477d0d
                                                        v44 = (int32_t *)(v48 + 20);
                                                        if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                            // 0x477d18
                                                            *v44 = *v44 + 1;
                                                            v51 = *(char *)(g10 + 48);
                                                            *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                            v45 = (int32_t *)(g5 + 20);
                                                            *v45 = *v45 + 1;
                                                            v52 = *(int32_t *)(g5 + 8);
                                                            g3 = v52;
                                                            v53 = *(int32_t *)(g10 + 48);
                                                            *(char *)(*v45 + v52) = (char)(v53 / 256);
                                                            g6 = 0;
                                                            g8 = 0;
                                                            function_47d23c();
                                                            *(int32_t *)(g10 + 48) = 0;
                                                            *(int32_t *)(g5 + 4) = 113;
                                                            // branch -> 0x477d5d
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            } else {
                                                // 0x477a1b
                                                v198 = 64;
                                                // branch -> 0x477a33
                                            }
                                            // 0x477a33
                                            v195 = v198 | v193;
                                            v194 = v195;
                                            if (*(int32_t *)(v10 + 108) != 0) {
                                                // 0x477a3e
                                                v194 = v195 | 32;
                                                // branch -> 0x477a41
                                            }
                                            // 0x477a41
                                            g4 = 31;
                                            v46 = (v194 % 31 ^ 31) + v194;
                                            g3 = v10;
                                            *v11 = 113;
                                            g8 = v46;
                                            function_4776b4();
                                            v196 = g5;
                                            if (*(int32_t *)(v196 + 108) != 0) {
                                                // 0x477a6b
                                                g3 = v196;
                                                g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                function_4776b4();
                                                g3 = g5;
                                                g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                function_4776b4();
                                                // branch -> 0x477a88
                                            }
                                            // 0x477a88
                                            g6 = 0;
                                            *(int32_t *)(g10 + 48) = unknown_476e00();
                                            // branch -> 0x477a96
                                            // 0x477a96
                                            v20 = g5;
                                            v12 = (int32_t *)(v20 + 4);
                                            if (*v12 == 69) {
                                                // 0x477aa0
                                                if (*(int32_t *)(*(int32_t *)(v20 + 28) + 16) == 0) {
                                                    // 0x477b56
                                                    *v12 = 73;
                                                    // branch -> 0x477b5d
                                                } else {
                                                    // 0x477aad
                                                    g4 = *(int32_t *)(v20 + 20);
                                                    v21 = v20;
                                                    // branch -> 0x477b09
                                                    while (true) {
                                                        // 0x477b09
                                                        v13 = (int32_t *)(v21 + 28);
                                                        if ((*(int32_t *)(*v13 + 20) & 0xffff) > *(int32_t *)(v21 + 32)) {
                                                            goto lab_0x477ab2_6;
                                                        }
                                                        v22 = v21;
                                                        // 0x477b1a
                                                        v30 = *(int32_t *)(v22 + 28);
                                                        g6 = v30;
                                                        v23 = v22;
                                                        if (*(int32_t *)(v30 + 44) != 0) {
                                                            // 0x477b23
                                                            v31 = g4;
                                                            v38 = *(int32_t *)(v22 + 20);
                                                            if (v31 < v38) {
                                                                // 0x477b28
                                                                g6 = v38 - v31;
                                                                g8 = *(int32_t *)(v22 + 8) + v31;
                                                                g3 = *(int32_t *)(g10 + 48);
                                                                function_47d23c();
                                                                *(int32_t *)(g10 + 48) = g3;
                                                                v23 = g5;
                                                                // branch -> 0x477b3d
                                                            } else {
                                                                v23 = v22;
                                                            }
                                                        }
                                                        // 0x477b3d
                                                        v14 = (int32_t *)(v23 + 32);
                                                        if (*(int32_t *)(*(int32_t *)(v23 + 28) + 20) == *v14) {
                                                            // 0x477b48
                                                            g6 = 0;
                                                            *v14 = 0;
                                                            *(int32_t *)(g5 + 4) = 73;
                                                            // branch -> 0x477b5d
                                                        }
                                                    }
                                                }
                                                // 0x477b5d
                                                v24 = g5;
                                                if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                                    // 0x477b88
                                                    v32 = g4;
                                                    v39 = *(int32_t *)(v24 + 20);
                                                    if (v32 < v39) {
                                                        // 0x477b8d
                                                        g6 = v39 - v32;
                                                        g8 = *(int32_t *)(v24 + 8) + v32;
                                                        g3 = *(int32_t *)(g10 + 48);
                                                        function_47d23c();
                                                        *(int32_t *)(g10 + 48) = g3;
                                                        // branch -> 0x477ba2
                                                    }
                                                }
                                                // 0x477ba2
                                                g3 = g10;
                                                function_4776dc();
                                                v25 = g5;
                                                v33 = *(int32_t *)(v25 + 20);
                                                v19 = v33;
                                                v27 = v25;
                                                v42 = 1;
                                                if (v33 != *(int32_t *)(v25 + 12)) {
                                                    // 0x477bbd
                                                    v15 = (int32_t *)(v25 + 32);
                                                    *v15 = *v15 + 1;
                                                    v26 = g5;
                                                    v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                                    v35 = *(char *)(*v15 + v34);
                                                    v40 = v35;
                                                    v16 = (int32_t *)(v26 + 20);
                                                    *v16 = *v16 + 1;
                                                    v36 = *(int32_t *)(g5 + 8);
                                                    g6 = v36;
                                                    g3 = v40 & -256 | v40;
                                                    *(char *)(*v16 + v36) = v35;
                                                    unknown_477b77();
                                                    v27 = g5;
                                                    v42 = v35;
                                                    // branch -> 0x477be8
                                                }
                                                // 0x477be8
                                                if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                                    // 0x477bf1
                                                    v37 = v19;
                                                    v41 = *(int32_t *)(v27 + 20);
                                                    if (v37 < v41) {
                                                        // 0x477bf6
                                                        g6 = v41 - v37;
                                                        g8 = *(int32_t *)(v27 + 8) + v37;
                                                        function_47d23c();
                                                        // branch -> 0x477c0b
                                                    }
                                                }
                                                // 0x477c0b
                                                if (v42 == 0) {
                                                    // 0x477c12
                                                    g6 = 0;
                                                    *(int32_t *)(g5 + 32) = 0;
                                                    *(int32_t *)(g5 + 4) = 91;
                                                    // branch -> 0x477c27
                                                }
                                                // 0x477c27
                                                v28 = g5;
                                                v17 = (int32_t *)(v28 + 4);
                                                if (*v17 == 91) {
                                                    // 0x477c31
                                                    if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                                        // 0x477ce5
                                                        *v17 = 103;
                                                        // branch -> 0x477cec
                                                    } else {
                                                        // 0x477c3e
                                                        v19 = *(int32_t *)(v28 + 20);
                                                        v29 = v28;
                                                        // branch -> 0x477c41
                                                        while (true) {
                                                            // 0x477c41
                                                            v18 = (int32_t *)(v29 + 20);
                                                            if (*v18 == *(int32_t *)(v29 + 12)) {
                                                                goto lab_0x477c49_14;
                                                            }
                                                            goto lab_0x477c87_14;
                                                        }
                                                    }
                                                    // 0x477cec
                                                    v47 = g5;
                                                    v43 = (int32_t *)(v47 + 4);
                                                    if (*v43 == 103) {
                                                        // 0x477cf2
                                                        v49 = *(int32_t *)(v47 + 28);
                                                        g6 = v49;
                                                        if (*(int32_t *)(v49 + 44) == 0) {
                                                            // 0x477d56
                                                            *v43 = 113;
                                                            // branch -> 0x477d5d
                                                        } else {
                                                            // 0x477cfb
                                                            v50 = *(int32_t *)(v47 + 20);
                                                            g3 = v50;
                                                            v48 = v47;
                                                            if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                                // 0x477d06
                                                                function_4776dc();
                                                                v48 = g5;
                                                                // branch -> 0x477d0d
                                                            }
                                                            // 0x477d0d
                                                            v44 = (int32_t *)(v48 + 20);
                                                            if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                                // 0x477d18
                                                                *v44 = *v44 + 1;
                                                                v51 = *(char *)(g10 + 48);
                                                                *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                                v45 = (int32_t *)(g5 + 20);
                                                                v46 = *v45;
                                                                *v45 = *v45 + 1;
                                                                v52 = *(int32_t *)(g5 + 8);
                                                                g3 = v52;
                                                                v53 = *(int32_t *)(g10 + 48);
                                                                *(char *)(v46 + v52) = (char)(v53 / 256);
                                                                g6 = 0;
                                                                g8 = 0;
                                                                function_47d23c();
                                                                *(int32_t *)(g10 + 48) = 0;
                                                                *(int32_t *)(g5 + 4) = 113;
                                                                // branch -> 0x477d5d
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // 0x477cec
                                                v47 = g5;
                                                v43 = (int32_t *)(v47 + 4);
                                                if (*v43 == 103) {
                                                    // 0x477cf2
                                                    v49 = *(int32_t *)(v47 + 28);
                                                    g6 = v49;
                                                    if (*(int32_t *)(v49 + 44) == 0) {
                                                        // 0x477d56
                                                        *v43 = 113;
                                                        // branch -> 0x477d5d
                                                    } else {
                                                        // 0x477cfb
                                                        v50 = *(int32_t *)(v47 + 20);
                                                        g3 = v50;
                                                        v48 = v47;
                                                        if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                            // 0x477d06
                                                            function_4776dc();
                                                            v48 = g5;
                                                            // branch -> 0x477d0d
                                                        }
                                                        // 0x477d0d
                                                        v44 = (int32_t *)(v48 + 20);
                                                        if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                            // 0x477d18
                                                            *v44 = *v44 + 1;
                                                            v51 = *(char *)(g10 + 48);
                                                            *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                            v45 = (int32_t *)(g5 + 20);
                                                            v46 = *v45;
                                                            *v45 = *v45 + 1;
                                                            v52 = *(int32_t *)(g5 + 8);
                                                            g3 = v52;
                                                            v53 = *(int32_t *)(g10 + 48);
                                                            *(char *)(v46 + v52) = (char)(v53 / 256);
                                                            g6 = 0;
                                                            g8 = 0;
                                                            function_47d23c();
                                                            *(int32_t *)(g10 + 48) = 0;
                                                            *(int32_t *)(g5 + 4) = 113;
                                                            // branch -> 0x477d5d
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                            // 0x477b5d
                                            v24 = g5;
                                            if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                                // 0x477b88
                                                v32 = g4;
                                                v39 = *(int32_t *)(v24 + 20);
                                                if (v32 < v39) {
                                                    // 0x477b8d
                                                    g6 = v39 - v32;
                                                    g8 = *(int32_t *)(v24 + 8) + v32;
                                                    g3 = *(int32_t *)(g10 + 48);
                                                    function_47d23c();
                                                    *(int32_t *)(g10 + 48) = g3;
                                                    // branch -> 0x477ba2
                                                }
                                            }
                                            // 0x477ba2
                                            g3 = g10;
                                            function_4776dc();
                                            v25 = g5;
                                            v33 = *(int32_t *)(v25 + 20);
                                            v19 = v33;
                                            v27 = v25;
                                            v42 = 1;
                                            if (v33 != *(int32_t *)(v25 + 12)) {
                                                // 0x477bbd
                                                v15 = (int32_t *)(v25 + 32);
                                                *v15 = *v15 + 1;
                                                v26 = g5;
                                                v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                                v35 = *(char *)(*v15 + v34);
                                                v40 = v35;
                                                v16 = (int32_t *)(v26 + 20);
                                                *v16 = *v16 + 1;
                                                v36 = *(int32_t *)(g5 + 8);
                                                g6 = v36;
                                                g3 = v40 & -256 | v40;
                                                *(char *)(*v16 + v36) = v35;
                                                unknown_477b77();
                                                v27 = g5;
                                                v42 = v35;
                                                // branch -> 0x477be8
                                            }
                                            // 0x477be8
                                            if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                                // 0x477bf1
                                                v37 = v19;
                                                v41 = *(int32_t *)(v27 + 20);
                                                if (v37 < v41) {
                                                    // 0x477bf6
                                                    g6 = v41 - v37;
                                                    g8 = *(int32_t *)(v27 + 8) + v37;
                                                    function_47d23c();
                                                    // branch -> 0x477c0b
                                                }
                                            }
                                            // 0x477c0b
                                            if (v42 == 0) {
                                                // 0x477c12
                                                g6 = 0;
                                                *(int32_t *)(g5 + 32) = 0;
                                                *(int32_t *)(g5 + 4) = 91;
                                                // branch -> 0x477c27
                                            }
                                            // 0x477c27
                                            v28 = g5;
                                            v17 = (int32_t *)(v28 + 4);
                                            if (*v17 == 91) {
                                                // 0x477c31
                                                if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                                    // 0x477ce5
                                                    *v17 = 103;
                                                    // branch -> 0x477cec
                                                } else {
                                                    // 0x477c3e
                                                    v19 = *(int32_t *)(v28 + 20);
                                                    v29 = v28;
                                                    // branch -> 0x477c41
                                                    while (true) {
                                                        // 0x477c41
                                                        v18 = (int32_t *)(v29 + 20);
                                                        if (*v18 == *(int32_t *)(v29 + 12)) {
                                                            goto lab_0x477c49_14;
                                                        }
                                                        goto lab_0x477c87_14;
                                                    }
                                                }
                                                // 0x477cec
                                                v47 = g5;
                                                v43 = (int32_t *)(v47 + 4);
                                                if (*v43 == 103) {
                                                    // 0x477cf2
                                                    v49 = *(int32_t *)(v47 + 28);
                                                    g6 = v49;
                                                    if (*(int32_t *)(v49 + 44) == 0) {
                                                        // 0x477d56
                                                        *v43 = 113;
                                                        // branch -> 0x477d5d
                                                    } else {
                                                        // 0x477cfb
                                                        v50 = *(int32_t *)(v47 + 20);
                                                        g3 = v50;
                                                        v48 = v47;
                                                        if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                            // 0x477d06
                                                            function_4776dc();
                                                            v48 = g5;
                                                            // branch -> 0x477d0d
                                                        }
                                                        // 0x477d0d
                                                        v44 = (int32_t *)(v48 + 20);
                                                        if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                            // 0x477d18
                                                            *v44 = *v44 + 1;
                                                            v51 = *(char *)(g10 + 48);
                                                            *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                            v45 = (int32_t *)(g5 + 20);
                                                            *v45 = *v45 + 1;
                                                            v52 = *(int32_t *)(g5 + 8);
                                                            g3 = v52;
                                                            v53 = *(int32_t *)(g10 + 48);
                                                            *(char *)(*v45 + v52) = (char)(v53 / 256);
                                                            g6 = 0;
                                                            g8 = 0;
                                                            function_47d23c();
                                                            *(int32_t *)(g10 + 48) = 0;
                                                            *(int32_t *)(g5 + 4) = 113;
                                                            // branch -> 0x477d5d
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                            // 0x477cec
                                            v47 = g5;
                                            v43 = (int32_t *)(v47 + 4);
                                            if (*v43 == 103) {
                                                // 0x477cf2
                                                v49 = *(int32_t *)(v47 + 28);
                                                g6 = v49;
                                                if (*(int32_t *)(v49 + 44) == 0) {
                                                    // 0x477d56
                                                    *v43 = 113;
                                                    // branch -> 0x477d5d
                                                } else {
                                                    // 0x477cfb
                                                    v50 = *(int32_t *)(v47 + 20);
                                                    g3 = v50;
                                                    v48 = v47;
                                                    if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                        // 0x477d06
                                                        function_4776dc();
                                                        v48 = g5;
                                                        // branch -> 0x477d0d
                                                    }
                                                    // 0x477d0d
                                                    v44 = (int32_t *)(v48 + 20);
                                                    if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                        // 0x477d18
                                                        *v44 = *v44 + 1;
                                                        v51 = *(char *)(g10 + 48);
                                                        *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                        v45 = (int32_t *)(g5 + 20);
                                                        *v45 = *v45 + 1;
                                                        v52 = *(int32_t *)(g5 + 8);
                                                        g3 = v52;
                                                        v53 = *(int32_t *)(g10 + 48);
                                                        *(char *)(*v45 + v52) = (char)(v53 / 256);
                                                        g6 = 0;
                                                        g8 = 0;
                                                        function_47d23c();
                                                        *(int32_t *)(g10 + 48) = 0;
                                                        *(int32_t *)(g5 + 4) = 113;
                                                        // branch -> 0x477d5d
                                                    }
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                    }
                                    // 0x477a0c
                                    // branch -> 0x477a33
                                    // 0x477a33
                                    v195 = v193;
                                    v194 = v195;
                                    if (*(int32_t *)(v10 + 108) != 0) {
                                        // 0x477a3e
                                        v194 = v195 | 32;
                                        // branch -> 0x477a41
                                    }
                                    // 0x477a41
                                    g4 = 31;
                                    v46 = (v194 % 31 ^ 31) + v194;
                                    g3 = v10;
                                    *v11 = 113;
                                    g8 = v46;
                                    function_4776b4();
                                    v196 = g5;
                                    if (*(int32_t *)(v196 + 108) != 0) {
                                        // 0x477a6b
                                        g3 = v196;
                                        g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                        function_4776b4();
                                        g3 = g5;
                                        g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                        function_4776b4();
                                        // branch -> 0x477a88
                                    }
                                    // 0x477a88
                                    g6 = 0;
                                    *(int32_t *)(g10 + 48) = unknown_476e00();
                                    // branch -> 0x477a96
                                }
                                // 0x477a96
                                v20 = g5;
                                v12 = (int32_t *)(v20 + 4);
                                if (*v12 == 69) {
                                    // 0x477aa0
                                    if (*(int32_t *)(*(int32_t *)(v20 + 28) + 16) == 0) {
                                        // 0x477b56
                                        *v12 = 73;
                                        // branch -> 0x477b5d
                                    } else {
                                        // 0x477aad
                                        g4 = *(int32_t *)(v20 + 20);
                                        v21 = v20;
                                        // branch -> 0x477b09
                                        while (true) {
                                            // 0x477b09
                                            v13 = (int32_t *)(v21 + 28);
                                            if ((*(int32_t *)(*v13 + 20) & 0xffff) > *(int32_t *)(v21 + 32)) {
                                                goto lab_0x477ab2_6;
                                            }
                                            v22 = v21;
                                            // 0x477b1a
                                            v30 = *(int32_t *)(v22 + 28);
                                            g6 = v30;
                                            v23 = v22;
                                            if (*(int32_t *)(v30 + 44) != 0) {
                                                // 0x477b23
                                                v31 = g4;
                                                v38 = *(int32_t *)(v22 + 20);
                                                if (v31 < v38) {
                                                    // 0x477b28
                                                    g6 = v38 - v31;
                                                    g8 = *(int32_t *)(v22 + 8) + v31;
                                                    g3 = *(int32_t *)(g10 + 48);
                                                    function_47d23c();
                                                    *(int32_t *)(g10 + 48) = g3;
                                                    v23 = g5;
                                                    // branch -> 0x477b3d
                                                } else {
                                                    v23 = v22;
                                                }
                                            }
                                            // 0x477b3d
                                            v14 = (int32_t *)(v23 + 32);
                                            if (*(int32_t *)(*(int32_t *)(v23 + 28) + 20) == *v14) {
                                                // 0x477b48
                                                g6 = 0;
                                                *v14 = 0;
                                                *(int32_t *)(g5 + 4) = 73;
                                                // branch -> 0x477b5d
                                            }
                                        }
                                    }
                                    // 0x477b5d
                                    v24 = g5;
                                    if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                        // 0x477b88
                                        v32 = g4;
                                        v39 = *(int32_t *)(v24 + 20);
                                        if (v32 < v39) {
                                            // 0x477b8d
                                            g6 = v39 - v32;
                                            g8 = *(int32_t *)(v24 + 8) + v32;
                                            g3 = *(int32_t *)(g10 + 48);
                                            function_47d23c();
                                            *(int32_t *)(g10 + 48) = g3;
                                            // branch -> 0x477ba2
                                        }
                                    }
                                    // 0x477ba2
                                    g3 = g10;
                                    function_4776dc();
                                    v25 = g5;
                                    v33 = *(int32_t *)(v25 + 20);
                                    v19 = v33;
                                    v27 = v25;
                                    v42 = 1;
                                    if (v33 != *(int32_t *)(v25 + 12)) {
                                        // 0x477bbd
                                        v15 = (int32_t *)(v25 + 32);
                                        *v15 = *v15 + 1;
                                        v26 = g5;
                                        v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                        v35 = *(char *)(*v15 + v34);
                                        v40 = v35;
                                        v16 = (int32_t *)(v26 + 20);
                                        *v16 = *v16 + 1;
                                        v36 = *(int32_t *)(g5 + 8);
                                        g6 = v36;
                                        g3 = v40 & -256 | v40;
                                        *(char *)(*v16 + v36) = v35;
                                        unknown_477b77();
                                        v27 = g5;
                                        v42 = v35;
                                        // branch -> 0x477be8
                                    }
                                    // 0x477be8
                                    if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                        // 0x477bf1
                                        v37 = v19;
                                        v41 = *(int32_t *)(v27 + 20);
                                        if (v37 < v41) {
                                            // 0x477bf6
                                            g6 = v41 - v37;
                                            g8 = *(int32_t *)(v27 + 8) + v37;
                                            function_47d23c();
                                            // branch -> 0x477c0b
                                        }
                                    }
                                    // 0x477c0b
                                    if (v42 == 0) {
                                        // 0x477c12
                                        g6 = 0;
                                        *(int32_t *)(g5 + 32) = 0;
                                        *(int32_t *)(g5 + 4) = 91;
                                        // branch -> 0x477c27
                                    }
                                    // 0x477c27
                                    v28 = g5;
                                    v17 = (int32_t *)(v28 + 4);
                                    if (*v17 == 91) {
                                        // 0x477c31
                                        if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                            // 0x477ce5
                                            *v17 = 103;
                                            // branch -> 0x477cec
                                        } else {
                                            // 0x477c3e
                                            v19 = *(int32_t *)(v28 + 20);
                                            v29 = v28;
                                            // branch -> 0x477c41
                                            while (true) {
                                                // 0x477c41
                                                v18 = (int32_t *)(v29 + 20);
                                                if (*v18 == *(int32_t *)(v29 + 12)) {
                                                    goto lab_0x477c49_14;
                                                }
                                                goto lab_0x477c87_14;
                                            }
                                        }
                                        // 0x477cec
                                        v47 = g5;
                                        v43 = (int32_t *)(v47 + 4);
                                        if (*v43 == 103) {
                                            // 0x477cf2
                                            v49 = *(int32_t *)(v47 + 28);
                                            g6 = v49;
                                            if (*(int32_t *)(v49 + 44) == 0) {
                                                // 0x477d56
                                                *v43 = 113;
                                                // branch -> 0x477d5d
                                            } else {
                                                // 0x477cfb
                                                v50 = *(int32_t *)(v47 + 20);
                                                g3 = v50;
                                                v48 = v47;
                                                if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                    // 0x477d06
                                                    function_4776dc();
                                                    v48 = g5;
                                                    // branch -> 0x477d0d
                                                }
                                                // 0x477d0d
                                                v44 = (int32_t *)(v48 + 20);
                                                if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                    // 0x477d18
                                                    *v44 = *v44 + 1;
                                                    v51 = *(char *)(g10 + 48);
                                                    *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                    v45 = (int32_t *)(g5 + 20);
                                                    v46 = *v45;
                                                    *v45 = *v45 + 1;
                                                    v52 = *(int32_t *)(g5 + 8);
                                                    g3 = v52;
                                                    v53 = *(int32_t *)(g10 + 48);
                                                    *(char *)(v46 + v52) = (char)(v53 / 256);
                                                    g6 = 0;
                                                    g8 = 0;
                                                    function_47d23c();
                                                    *(int32_t *)(g10 + 48) = 0;
                                                    *(int32_t *)(g5 + 4) = 113;
                                                    // branch -> 0x477d5d
                                                }
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // 0x477cec
                                    v47 = g5;
                                    v43 = (int32_t *)(v47 + 4);
                                    if (*v43 == 103) {
                                        // 0x477cf2
                                        v49 = *(int32_t *)(v47 + 28);
                                        g6 = v49;
                                        if (*(int32_t *)(v49 + 44) == 0) {
                                            // 0x477d56
                                            *v43 = 113;
                                            // branch -> 0x477d5d
                                        } else {
                                            // 0x477cfb
                                            v50 = *(int32_t *)(v47 + 20);
                                            g3 = v50;
                                            v48 = v47;
                                            if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                // 0x477d06
                                                function_4776dc();
                                                v48 = g5;
                                                // branch -> 0x477d0d
                                            }
                                            // 0x477d0d
                                            v44 = (int32_t *)(v48 + 20);
                                            if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                // 0x477d18
                                                *v44 = *v44 + 1;
                                                v51 = *(char *)(g10 + 48);
                                                *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                v45 = (int32_t *)(g5 + 20);
                                                v46 = *v45;
                                                *v45 = *v45 + 1;
                                                v52 = *(int32_t *)(g5 + 8);
                                                g3 = v52;
                                                v53 = *(int32_t *)(g10 + 48);
                                                *(char *)(v46 + v52) = (char)(v53 / 256);
                                                g6 = 0;
                                                g8 = 0;
                                                function_47d23c();
                                                *(int32_t *)(g10 + 48) = 0;
                                                *(int32_t *)(g5 + 4) = 113;
                                                // branch -> 0x477d5d
                                            }
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                                // 0x477b5d
                                v24 = g5;
                                if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                    // 0x477b88
                                    v32 = g4;
                                    v39 = *(int32_t *)(v24 + 20);
                                    if (v32 < v39) {
                                        // 0x477b8d
                                        g6 = v39 - v32;
                                        g8 = *(int32_t *)(v24 + 8) + v32;
                                        g3 = *(int32_t *)(g10 + 48);
                                        function_47d23c();
                                        *(int32_t *)(g10 + 48) = g3;
                                        // branch -> 0x477ba2
                                    }
                                }
                                // 0x477ba2
                                g3 = g10;
                                function_4776dc();
                                v25 = g5;
                                v33 = *(int32_t *)(v25 + 20);
                                v19 = v33;
                                v27 = v25;
                                v42 = 1;
                                if (v33 != *(int32_t *)(v25 + 12)) {
                                    // 0x477bbd
                                    v15 = (int32_t *)(v25 + 32);
                                    *v15 = *v15 + 1;
                                    v26 = g5;
                                    v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                    v35 = *(char *)(*v15 + v34);
                                    v40 = v35;
                                    v16 = (int32_t *)(v26 + 20);
                                    *v16 = *v16 + 1;
                                    v36 = *(int32_t *)(g5 + 8);
                                    g6 = v36;
                                    g3 = v40 & -256 | v40;
                                    *(char *)(*v16 + v36) = v35;
                                    unknown_477b77();
                                    v27 = g5;
                                    v42 = v35;
                                    // branch -> 0x477be8
                                }
                                // 0x477be8
                                if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                    // 0x477bf1
                                    v37 = v19;
                                    v41 = *(int32_t *)(v27 + 20);
                                    if (v37 < v41) {
                                        // 0x477bf6
                                        g6 = v41 - v37;
                                        g8 = *(int32_t *)(v27 + 8) + v37;
                                        function_47d23c();
                                        // branch -> 0x477c0b
                                    }
                                }
                                // 0x477c0b
                                if (v42 == 0) {
                                    // 0x477c12
                                    g6 = 0;
                                    *(int32_t *)(g5 + 32) = 0;
                                    *(int32_t *)(g5 + 4) = 91;
                                    // branch -> 0x477c27
                                }
                                // 0x477c27
                                v28 = g5;
                                v17 = (int32_t *)(v28 + 4);
                                if (*v17 == 91) {
                                    // 0x477c31
                                    if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                        // 0x477ce5
                                        *v17 = 103;
                                        // branch -> 0x477cec
                                    } else {
                                        // 0x477c3e
                                        v19 = *(int32_t *)(v28 + 20);
                                        v29 = v28;
                                        // branch -> 0x477c41
                                        while (true) {
                                            // 0x477c41
                                            v18 = (int32_t *)(v29 + 20);
                                            if (*v18 == *(int32_t *)(v29 + 12)) {
                                                goto lab_0x477c49_14;
                                            }
                                            goto lab_0x477c87_14;
                                        }
                                    }
                                    // 0x477cec
                                    v47 = g5;
                                    v43 = (int32_t *)(v47 + 4);
                                    if (*v43 == 103) {
                                        // 0x477cf2
                                        v49 = *(int32_t *)(v47 + 28);
                                        g6 = v49;
                                        if (*(int32_t *)(v49 + 44) == 0) {
                                            // 0x477d56
                                            *v43 = 113;
                                            // branch -> 0x477d5d
                                        } else {
                                            // 0x477cfb
                                            v50 = *(int32_t *)(v47 + 20);
                                            g3 = v50;
                                            v48 = v47;
                                            if (v50 + 2 > *(int32_t *)(v47 + 12)) {
                                                // 0x477d06
                                                function_4776dc();
                                                v48 = g5;
                                                // branch -> 0x477d0d
                                            }
                                            // 0x477d0d
                                            v44 = (int32_t *)(v48 + 20);
                                            if (*v44 + 2 <= *(int32_t *)(v48 + 12)) {
                                                // 0x477d18
                                                *v44 = *v44 + 1;
                                                v51 = *(char *)(g10 + 48);
                                                *(char *)(*v44 + *(int32_t *)(g5 + 8)) = v51;
                                                v45 = (int32_t *)(g5 + 20);
                                                v46 = *v45;
                                                *v45 = *v45 + 1;
                                                v52 = *(int32_t *)(g5 + 8);
                                                g3 = v52;
                                                v53 = *(int32_t *)(g10 + 48);
                                                *(char *)(v46 + v52) = (char)(v53 / 256);
                                                g6 = 0;
                                                g8 = 0;
                                                function_47d23c();
                                                *(int32_t *)(g10 + 48) = 0;
                                                *(int32_t *)(g5 + 4) = 113;
                                                // branch -> 0x477d5d
                                            }
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // 0x477a96
                            v20 = g5;
                            v12 = (int32_t *)(v20 + 4);
                            if (*v12 == 69) {
                                // 0x477aa0
                                if (*(int32_t *)(*(int32_t *)(v20 + 28) + 16) == 0) {
                                    // 0x477b56
                                    *v12 = 73;
                                    // branch -> 0x477b5d
                                } else {
                                    // 0x477aad
                                    g4 = *(int32_t *)(v20 + 20);
                                    v21 = v20;
                                    // branch -> 0x477b09
                                    while (true) {
                                        // 0x477b09
                                        v13 = (int32_t *)(v21 + 28);
                                        if ((*(int32_t *)(*v13 + 20) & 0xffff) > *(int32_t *)(v21 + 32)) {
                                            goto lab_0x477ab2_6;
                                        }
                                        v22 = v21;
                                        // 0x477b1a
                                        v30 = *(int32_t *)(v22 + 28);
                                        g6 = v30;
                                        v23 = v22;
                                        if (*(int32_t *)(v30 + 44) != 0) {
                                            // 0x477b23
                                            v31 = g4;
                                            v38 = *(int32_t *)(v22 + 20);
                                            if (v31 < v38) {
                                                // 0x477b28
                                                g6 = v38 - v31;
                                                g8 = *(int32_t *)(v22 + 8) + v31;
                                                g3 = *(int32_t *)(g10 + 48);
                                                function_47d23c();
                                                *(int32_t *)(g10 + 48) = g3;
                                                v23 = g5;
                                                // branch -> 0x477b3d
                                            } else {
                                                v23 = v22;
                                            }
                                        }
                                        // 0x477b3d
                                        v14 = (int32_t *)(v23 + 32);
                                        if (*(int32_t *)(*(int32_t *)(v23 + 28) + 20) == *v14) {
                                            // 0x477b48
                                            g6 = 0;
                                            *v14 = 0;
                                            *(int32_t *)(g5 + 4) = 73;
                                            // branch -> 0x477b5d
                                        }
                                    }
                                }
                                // 0x477b5d
                                v24 = g5;
                                if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                    // 0x477b88
                                    v32 = g4;
                                    v39 = *(int32_t *)(v24 + 20);
                                    if (v32 < v39) {
                                        // 0x477b8d
                                        g6 = v39 - v32;
                                        g8 = *(int32_t *)(v24 + 8) + v32;
                                        g3 = *(int32_t *)(g10 + 48);
                                        function_47d23c();
                                        *(int32_t *)(g10 + 48) = g3;
                                        // branch -> 0x477ba2
                                    }
                                }
                                // 0x477ba2
                                g3 = g10;
                                function_4776dc();
                                v25 = g5;
                                v33 = *(int32_t *)(v25 + 20);
                                v19 = v33;
                                v27 = v25;
                                v42 = 1;
                                if (v33 != *(int32_t *)(v25 + 12)) {
                                    // 0x477bbd
                                    v15 = (int32_t *)(v25 + 32);
                                    *v15 = *v15 + 1;
                                    v26 = g5;
                                    v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                    v35 = *(char *)(*v15 + v34);
                                    v40 = v35;
                                    v16 = (int32_t *)(v26 + 20);
                                    *v16 = *v16 + 1;
                                    v36 = *(int32_t *)(g5 + 8);
                                    g6 = v36;
                                    g3 = v40 & -256 | v40;
                                    *(char *)(*v16 + v36) = v35;
                                    unknown_477b77();
                                    v27 = g5;
                                    v42 = v35;
                                    // branch -> 0x477be8
                                }
                                // 0x477be8
                                if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                    // 0x477bf1
                                    v37 = v19;
                                    v41 = *(int32_t *)(v27 + 20);
                                    if (v37 < v41) {
                                        // 0x477bf6
                                        g6 = v41 - v37;
                                        g8 = *(int32_t *)(v27 + 8) + v37;
                                        function_47d23c();
                                        // branch -> 0x477c0b
                                    }
                                }
                                // 0x477c0b
                                if (v42 == 0) {
                                    // 0x477c12
                                    g6 = 0;
                                    *(int32_t *)(g5 + 32) = 0;
                                    *(int32_t *)(g5 + 4) = 91;
                                    // branch -> 0x477c27
                                }
                                // 0x477c27
                                v28 = g5;
                                v17 = (int32_t *)(v28 + 4);
                                if (*v17 == 91) {
                                    // 0x477c31
                                    if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                        // 0x477ce5
                                        *v17 = 103;
                                        // branch -> 0x477cec
                                    } else {
                                        // 0x477c3e
                                        v19 = *(int32_t *)(v28 + 20);
                                        v29 = v28;
                                        // branch -> 0x477c41
                                        while (true) {
                                            // 0x477c41
                                            v18 = (int32_t *)(v29 + 20);
                                            if (*v18 == *(int32_t *)(v29 + 12)) {
                                                goto lab_0x477c49_14;
                                            }
                                            goto lab_0x477c87_14;
                                        }
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // 0x477b5d
                            v24 = g5;
                            if (*(int32_t *)(*(int32_t *)(v24 + 28) + 44) != 0) {
                                // 0x477b88
                                v32 = g4;
                                v39 = *(int32_t *)(v24 + 20);
                                if (v32 < v39) {
                                    // 0x477b8d
                                    g6 = v39 - v32;
                                    g8 = *(int32_t *)(v24 + 8) + v32;
                                    g3 = *(int32_t *)(g10 + 48);
                                    function_47d23c();
                                    *(int32_t *)(g10 + 48) = g3;
                                    // branch -> 0x477ba2
                                }
                            }
                            // 0x477ba2
                            g3 = g10;
                            function_4776dc();
                            v25 = g5;
                            v33 = *(int32_t *)(v25 + 20);
                            v19 = v33;
                            v27 = v25;
                            v42 = 1;
                            if (v33 != *(int32_t *)(v25 + 12)) {
                                // 0x477bbd
                                v15 = (int32_t *)(v25 + 32);
                                *v15 = *v15 + 1;
                                v26 = g5;
                                v34 = *(int32_t *)(*(int32_t *)(v26 + 28) + 28);
                                v35 = *(char *)(*v15 + v34);
                                v40 = v35;
                                v16 = (int32_t *)(v26 + 20);
                                *v16 = *v16 + 1;
                                v36 = *(int32_t *)(g5 + 8);
                                g6 = v36;
                                g3 = v40 & -256 | v40;
                                *(char *)(*v16 + v36) = v35;
                                unknown_477b77();
                                v27 = g5;
                                v42 = v35;
                                // branch -> 0x477be8
                            }
                            // 0x477be8
                            if (*(int32_t *)(*(int32_t *)(v27 + 28) + 44) != 0) {
                                // 0x477bf1
                                v37 = v19;
                                v41 = *(int32_t *)(v27 + 20);
                                if (v37 < v41) {
                                    // 0x477bf6
                                    g6 = v41 - v37;
                                    g8 = *(int32_t *)(v27 + 8) + v37;
                                    function_47d23c();
                                    // branch -> 0x477c0b
                                }
                            }
                            // 0x477c0b
                            if (v42 == 0) {
                                // 0x477c12
                                g6 = 0;
                                *(int32_t *)(g5 + 32) = 0;
                                *(int32_t *)(g5 + 4) = 91;
                                // branch -> 0x477c27
                            }
                            // 0x477c27
                            v28 = g5;
                            v17 = (int32_t *)(v28 + 4);
                            if (*v17 == 91) {
                                // 0x477c31
                                if (*(int32_t *)(*(int32_t *)(v28 + 28) + 36) == 0) {
                                    // 0x477ce5
                                    *v17 = 103;
                                    // branch -> 0x477cec
                                } else {
                                    // 0x477c3e
                                    v19 = *(int32_t *)(v28 + 20);
                                    v29 = v28;
                                    // branch -> 0x477c41
                                    while (true) {
                                        // 0x477c41
                                        v18 = (int32_t *)(v29 + 20);
                                        if (*v18 == *(int32_t *)(v29 + 12)) {
                                            goto lab_0x477c49_14;
                                        }
                                        goto lab_0x477c87_14;
                                    }
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // 0x47777a
                    *(int32_t *)(v6 + 24) = (int32_t)g32[0];
                    g3 = -2;
                    // branch -> 0x477f9c
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
            }
            // 0x47774e
            g3 = -2;
            // branch -> 0x477f9c
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // 0x47774e
        g3 = -2;
        // branch -> 0x477f9c
        // Detected a possible infinite recursion (goto support failed); quitting...
    }
    // 0x47774e
    g3 = -2;
    // branch -> 0x477f9c
    // Detected a possible infinite recursion (goto support failed); quitting...
}

// Address range: 0x477fa4 - 0x4781ef
void function_477fa4(void) {
    int32_t v1 = g3; // 0x477fa6
    g5 = v1;
    if (v1 == 0) {
        // 0x477fb2
        g3 = -2;
        return;
    }
    int32_t * v2 = (int32_t *)(v1 + 28); // 0x477fac_0
    int32_t v3 = *v2; // 0x477fac
    if (v3 == 0) {
        // 0x477fb2
        g3 = -2;
        return;
    }
    int32_t v4 = *(int32_t *)(v3 + 4); // 0x477fbd
    g10 = v4;
    int32_t v5;
    int32_t v6; // 0x47800c
    int32_t v7; // 0x47801e
    int32_t v8; // 0x478030
    int32_t v9; // 0x47803c
    int32_t v10; // 0x477ff1
    int32_t v11; // 0x478003
    int32_t v12; // 0x478015
    int32_t v13; // 0x478027
    if (v4 == 42 || v4 == 69 || v4 == 73 || v4 == 91 || v4 == 103 || v4 == 113) {
        // 0x477fee
        v10 = *(int32_t *)(*v2 + 8);
        g1 = false;
        g2 = false;
        g187 = v10 == 0;
        g9 = llvm_ctpop_i32(v10) % 2 == 1;
        v6 = v1;
        if (v10 != 0) {
            // 0x477ff8
            g8 = v10;
            g3 = *(int32_t *)(v1 + 40);
            ((int32_t (*)())*(int32_t *)(v1 + 36))();
            v6 = g5;
            // branch -> 0x478000
        }
        // 0x478000
        v11 = *(int32_t *)(*(int32_t *)(v6 + 28) + 68);
        g1 = false;
        g2 = false;
        g187 = v11 == 0;
        g9 = llvm_ctpop_i32(v11) % 2 == 1;
        v7 = v6;
        if (v11 != 0) {
            // 0x47800a
            g8 = v11;
            g3 = *(int32_t *)(v6 + 40);
            ((int32_t (*)())*(int32_t *)(v6 + 36))();
            v7 = g5;
            // branch -> 0x478012
        }
        // 0x478012
        v12 = *(int32_t *)(*(int32_t *)(v7 + 28) + 64);
        g1 = false;
        g2 = false;
        g187 = v12 == 0;
        g9 = llvm_ctpop_i32(v12) % 2 == 1;
        v8 = v7;
        if (v12 != 0) {
            // 0x47801c
            g8 = v12;
            g3 = *(int32_t *)(v7 + 40);
            ((int32_t (*)())*(int32_t *)(v7 + 36))();
            v8 = g5;
            // branch -> 0x478024
        }
        // 0x478024
        v13 = *(int32_t *)(*(int32_t *)(v8 + 28) + 56);
        g1 = false;
        g2 = false;
        g187 = v13 == 0;
        g9 = llvm_ctpop_i32(v13) % 2 == 1;
        v9 = v8;
        if (v13 != 0) {
            // 0x47802e
            g8 = v13;
            g3 = *(int32_t *)(v8 + 40);
            ((int32_t (*)())*(int32_t *)(v8 + 36))();
            v9 = g5;
            // branch -> 0x478036
        }
        // 0x478036
        g8 = *(int32_t *)(v9 + 28);
        g3 = *(int32_t *)(v9 + 40);
        ((int32_t (*)())*(int32_t *)(v9 + 36))();
        *(int32_t *)(g5 + 28) = 0;
        if (g10 != 113) {
            // 0x478050
            v5 = 0;
            // branch -> 0x478052
        } else {
            v5 = -3;
        }
        // 0x478052
        g3 = v5;
        return;
    }
    // 0x477fde
    if (v4 != 666) {
        // 0x477fe6
        g3 = -2;
        return;
    }
    // 0x477fee
    v10 = *(int32_t *)(*v2 + 8);
    g1 = false;
    g2 = false;
    g187 = v10 == 0;
    g9 = llvm_ctpop_i32(v10) % 2 == 1;
    v6 = v1;
    if (v10 != 0) {
        // 0x477ff8
        g8 = v10;
        g3 = *(int32_t *)(v1 + 40);
        ((int32_t (*)())*(int32_t *)(v1 + 36))();
        v6 = g5;
        // branch -> 0x478000
    }
    // 0x478000
    v11 = *(int32_t *)(*(int32_t *)(v6 + 28) + 68);
    g1 = false;
    g2 = false;
    g187 = v11 == 0;
    g9 = llvm_ctpop_i32(v11) % 2 == 1;
    v7 = v6;
    if (v11 != 0) {
        // 0x47800a
        g8 = v11;
        g3 = *(int32_t *)(v6 + 40);
        ((int32_t (*)())*(int32_t *)(v6 + 36))();
        v7 = g5;
        // branch -> 0x478012
    }
    // 0x478012
    v12 = *(int32_t *)(*(int32_t *)(v7 + 28) + 64);
    g1 = false;
    g2 = false;
    g187 = v12 == 0;
    g9 = llvm_ctpop_i32(v12) % 2 == 1;
    v8 = v7;
    if (v12 != 0) {
        // 0x47801c
        g8 = v12;
        g3 = *(int32_t *)(v7 + 40);
        ((int32_t (*)())*(int32_t *)(v7 + 36))();
        v8 = g5;
        // branch -> 0x478024
    }
    // 0x478024
    v13 = *(int32_t *)(*(int32_t *)(v8 + 28) + 56);
    g1 = false;
    g2 = false;
    g187 = v13 == 0;
    g9 = llvm_ctpop_i32(v13) % 2 == 1;
    v9 = v8;
    if (v13 != 0) {
        // 0x47802e
        g8 = v13;
        g3 = *(int32_t *)(v8 + 40);
        ((int32_t (*)())*(int32_t *)(v8 + 36))();
        v9 = g5;
        // branch -> 0x478036
    }
    // 0x478036
    g8 = *(int32_t *)(v9 + 28);
    g3 = *(int32_t *)(v9 + 40);
    ((int32_t (*)())*(int32_t *)(v9 + 36))();
    *(int32_t *)(g5 + 28) = 0;
    if (g10 != 113) {
        // 0x478050
        v5 = 0;
        // branch -> 0x478052
    } else {
        v5 = -3;
    }
    // 0x478052
    g3 = v5;
}

// Address range: 0x4781f0 - 0x478257
void function_4781f0(void) {
    int32_t v1 = g3; // 0x4781f1
    g5 = v1;
    int32_t v2 = g10; // 0x4781f3
    int32_t * v3 = (int32_t *)(v1 + 4); // 0x4781f5_0
    int32_t v4 = *v3; // 0x4781f5
    g10 = v4;
    g7 = g8;
    int32_t v5 = g6; // 0x4781fa
    int32_t v6 = v4; // 0x478208
    if (v5 < v4) {
        // 0x4781fe
        g10 = v5;
        v6 = v5;
        // branch -> 0x478200
    }
    // 0x478200
    if (v6 == 0) {
        // 0x478204
        g3 = 0;
        // branch -> 0x478251
    } else {
        // 0x478208
        *v3 = *v3 - v6;
        int32_t v7 = g5; // 0x47820b
        int32_t * v8 = (int32_t *)(v7 + 28); // 0x47820b_0
        if (*(int32_t *)(*v8 + 24) == 1) {
            // 0x478214
            *(int32_t *)(g5 + 48) = unknown_476e00();
            // branch -> 0x47823d
        } else {
            // 0x478225
            if (*(int32_t *)(*v8 + 24) == 2) {
                // 0x47822e
                g6 = g10;
                g8 = *(int32_t *)v7;
                g3 = *(int32_t *)(v7 + 48);
                function_47d23c();
                *(int32_t *)(g5 + 48) = g3;
                // branch -> 0x47823d
            }
        }
        // 0x47823d
        unknown_476db0();
        g3 = g10;
        int32_t * v9 = (int32_t *)g5; // 0x47824c_0
        *v9 = *v9 + g10;
        int32_t * v10 = (int32_t *)(g5 + 8); // 0x47824e_0
        *v10 = g10 + *v10;
        // branch -> 0x478251
    }
    // 0x478251
    g10 = v2;
    int32_t v11;
    g5 = v11;
}

// Address range: 0x478258 - 0x478303
void function_478258(void) {
    // 0x478258
    *(int32_t *)(g3 + 60) = 2 * *(int32_t *)(g3 + 44);
    *(int16_t *)(*(int32_t *)(g3 + 68) - 2 + 2 * *(int32_t *)(g3 + 76)) = 0;
    unknown_476d98();
    uint16_t v1 = *(int16_t *)(12 * *(int32_t *)(g3 + 132) + 0x4bd5f2); // 0x47828e
    *(int32_t *)(g3 + 128) = (int32_t)v1;
    uint16_t v2 = *(int16_t *)(12 * *(int32_t *)(g3 + 132) + 0x4bd5f0); // 0x4782a5
    *(int32_t *)(g3 + 140) = (int32_t)v2;
    uint16_t v3 = *(int16_t *)(12 * *(int32_t *)(g3 + 132) + 0x4bd5f4); // 0x4782bc
    *(int32_t *)(g3 + 144) = (int32_t)v3;
    uint16_t v4 = *(int16_t *)(12 * *(int32_t *)(g3 + 132) + 0x4bd5f6); // 0x4782d5
    *(int32_t *)(g3 + 124) = (int32_t)v4;
    *(int32_t *)(g3 + 108) = 0;
    *(int32_t *)(g3 + 92) = 0;
    *(int32_t *)(g3 + 116) = 0;
    *(int32_t *)(g3 + 120) = 2;
    *(int32_t *)(g3 + 96) = 2;
    *(int32_t *)(g3 + 104) = 0;
    g6 = 0;
    *(int32_t *)(g3 + 72) = 0;
}

// Address range: 0x478304 - 0x47847b
void function_478304(void) {
    int32_t v1 = g8; // bp-40
    uint32_t v2 = *(int32_t *)(g3 + 124); // 0x47830d
    int32_t * v3 = (int32_t *)(g3 + 108); // 0x478314_0
    uint32_t v4 = *v3; // 0x478314
    int32_t * v5 = (int32_t *)(g3 + 56); // 0x478317_0
    int32_t * v6 = (int32_t *)(g3 + 120); // 0x47831a_0
    int32_t v7 = *v6; // 0x47831a
    uint32_t v8 = *(int32_t *)(g3 + 144); // 0x47831d
    int32_t v9 = *v5 + v4; // 0x478327
    int32_t * v10 = (int32_t *)(g3 + 44); // 0x478329_0
    uint32_t v11;
    if (v4 > *v10 - 262) {
        // 0x478336
        v11 = *v3 - (*v10 - 262);
        // branch -> 0x478348
    } else {
        // 0x478346
        v11 = 0;
        // branch -> 0x478348
    }
    int32_t v12 = *(int32_t *)(g3 + 64); // 0x47834c
    int32_t v13 = *(int32_t *)(g3 + 52); // 0x478353
    int32_t v14 = *v3 + *v5 + 258; // edx
    int32_t v15 = v2; // 0x4784594
    if (*v6 >= *(int32_t *)(g3 + 140)) {
        // 0x478380
        v15 = v2 / 4;
        // branch -> 0x478385
    }
    uint32_t v16 = *(int32_t *)(g3 + 116); // 0x478385
    int32_t v17 = g8; // 0x478424
    int32_t v18 = v7; // 0x478420
    char v19 = *(char *)(v7 + v9); // 0x47843a9
    char v20 = *(char *)(v9 - 1 + v7); // 0x4784327
    // branch -> 0x478392
    while (true) {
        int32_t v21 = *(int32_t *)(g3 + 56) + v17; // 0x478395
        unsigned char v22 = *(char *)(v21 + v18); // 0x478398
        int32_t v23 = v16 & -256; // 0x478398
        int32_t v24 = v18; // 0x47839812
        char v25 = v19; // 0x47843a8
        char v26 = v20; // 0x4784326
        int32_t v27; // 0x47844c
        if (((int32_t)v22 || v23) == (int32_t)v19) {
            unsigned char v28 = *(char *)(v18 - 1 + v21); // 0x4783a5
            if (((int32_t)v28 || v23) == (int32_t)v20) {
                unsigned char v29 = *(char *)v21; // 0x4783b3
                if (((int32_t)v29 || v23) == (int32_t)*(char *)v9) {
                    int32_t v30 = (int32_t)*(char *)(v21 + 1) | v23; // 0x4783be
                    if (v30 == (int32_t)*(char *)(v9 + 1)) {
                        int32_t v31 = v21 + 2; // 0x4783ca
                        int32_t v32 = v9 + 2; // 0x4783c9
                        // branch -> 0x4783c9
                        int32_t v33; // 0x478418
                        int32_t v34; // 0x47840d
                        int32_t v35; // 0x47840f
                        int32_t v36; // 0x478441
                        while (true) {
                            int32_t v37 = v32 + 1; // 0x4783c9
                            int32_t v38 = v30 & -256; // 0x4783cb
                            char v39 = *(char *)(v31 + 1); // 0x4783cd
                            v35 = v37;
                            if (((int32_t)*(char *)v37 || v38) == (int32_t)v39) {
                                int32_t v40 = v32 + 2; // 0x4783d1
                                char v41 = *(char *)(v31 + 2); // 0x4783d5
                                if (((int32_t)*(char *)v40 || v38) == (int32_t)v41) {
                                    int32_t v42 = v32 + 3; // 0x4783d9
                                    char v43 = *(char *)(v31 + 3); // 0x4783dd
                                    if (((int32_t)*(char *)v42 || v38) == (int32_t)v43) {
                                        int32_t v44 = v32 + 4; // 0x4783e1
                                        char v45 = *(char *)(v31 + 4); // 0x4783e5
                                        if (((int32_t)*(char *)v44 || v38) == (int32_t)v45) {
                                            int32_t v46 = v32 + 5; // 0x4783e9
                                            char v47 = *(char *)(v31 + 5); // 0x4783ed
                                            if (((int32_t)*(char *)v46 || v38) == (int32_t)v47) {
                                                int32_t v48 = v32 + 6; // 0x4783f1
                                                char v49 = *(char *)(v31 + 6); // 0x4783f5
                                                if (((int32_t)*(char *)v48 || v38) == (int32_t)v49) {
                                                    int32_t v50 = v32 + 7; // 0x4783f9
                                                    char v51 = *(char *)(v31 + 7); // 0x4783fd
                                                    if (((int32_t)*(char *)v50 || v38) == (int32_t)v51) {
                                                        int32_t v52 = v32 + 8; // 0x478401
                                                        int32_t v53 = v31 + 8; // 0x478402
                                                        int32_t v54 = (int32_t)*(char *)v52 | v38; // 0x478403
                                                        if (v54 == (int32_t)*(char *)v53) {
                                                            // 0x478409
                                                            if (v14 <= v52) {
                                                                v35 = v52;
                                                                // break -> 0x47840d
                                                                break;
                                                            }
                                                            v30 = v54;
                                                            v31 = v53;
                                                            v32 = v52;
                                                            // continue -> 0x4783c9
                                                            continue;
                                                        } else {
                                                            v35 = v52;
                                                        }
                                                    } else {
                                                        v35 = v50;
                                                    }
                                                } else {
                                                    v35 = v48;
                                                }
                                            } else {
                                                v35 = v46;
                                            }
                                        } else {
                                            v35 = v44;
                                        }
                                    } else {
                                        v35 = v42;
                                    }
                                } else {
                                    v35 = v40;
                                }
                            }
                            // 0x47840d
                            v34 = v14;
                            v33 = v35 - v34 + 258;
                            if (v18 < v33) {
                              lab_0x478424:
                                // 0x478424
                                *(int32_t *)(g3 + 112) = v17;
                                int32_t v55 = v33; // 0x47842a
                                if (v55 < (v16 < v8 ? v16 : v8)) {
                                    int32_t v56 = v34 - 258; // 0x478432
                                    v36 = v1;
                                    v24 = v55;
                                    v25 = *(char *)(v56 + v55);
                                    v26 = *(char *)(v55 - 1 + v56);
                                    // branch -> 0x478441
                                  lab_0x478441:
                                    // 0x478441
                                    v27 = (int32_t)*(int16_t *)(2 * (v36 & v13) + v12);
                                    v1 = v27;
                                    if (v27 > v11) {
                                      lab_0x478459:;
                                        int32_t v57 = v15 - 1; // 0x478459
                                        if (v57 != 0) {
                                            // 0x478459
                                            v17 = v27;
                                            v18 = v24;
                                            v19 = v25;
                                            v20 = v26;
                                            v15 = v57;
                                            // branch -> 0x478392
                                            break;
                                        }
                                    }
                                }
                                // 0x478463
                                return;
                            }
                        }
                        // 0x47840d
                        v34 = v14;
                        v33 = v35 - v34 + 258;
                        if (v18 < v33) {
                            goto lab_0x478424;
                        }
                        v36 = v17;
                        v24 = v18;
                        v25 = v19;
                        v26 = v20;
                        goto lab_0x478441;
                    } else {
                        v24 = v18;
                        v25 = v19;
                        v26 = v20;
                    }
                } else {
                    v24 = v18;
                    v25 = v19;
                    v26 = v20;
                }
            } else {
                v24 = v18;
                v25 = v19;
                v26 = v20;
            }
        }
        // 0x478441
        v27 = (int32_t)*(int16_t *)(2 * (v17 & v13) + v12);
        v1 = v27;
        if (v27 > v11) {
            goto lab_0x478459;
        }
        // 0x478463
        return;
    }
}

// Address range: 0x47847c - 0x47851b
void function_47847c(void) {
    int32_t * v1 = (int32_t *)(g3 + 56); // 0x47847f_0
    int32_t v2 = *(int32_t *)(g3 + 108) + *v1; // 0x478485
    int32_t v3 = g8 + *v1; // 0x478488
    int32_t v4 = v2 & -256; // 0x47848e
    uint32_t v5 = v2 + 258; // 0x478490
    char v6 = *(char *)v2; // 0x478496
    if (((int32_t)*(char *)v3 || v4) == (int32_t)v6) {
        int32_t v7 = (int32_t)*(char *)(v3 + 1) | v4; // 0x47849a
        if (v7 == (int32_t)*(char *)(v2 + 1)) {
            int32_t v8 = v3 + 2; // 0x4784b0
            int32_t v9 = v2 + 2; // 0x4784af
            // branch -> 0x4784af
            int32_t v10; // 0x4784e7
            int32_t v11; // 0x4784fa
            while (true) {
                int32_t v12 = v9 + 1; // 0x4784af
                int32_t v13 = v7 & -256; // 0x4784b1
                char v14 = *(char *)(v8 + 1); // 0x4784b3
                int32_t v15 = v12; // 0x4784f3
                if (((int32_t)*(char *)v12 || v13) == (int32_t)v14) {
                    int32_t v16 = v9 + 2; // 0x4784b7
                    char v17 = *(char *)(v8 + 2); // 0x4784bb
                    if (((int32_t)*(char *)v16 || v13) == (int32_t)v17) {
                        int32_t v18 = v9 + 3; // 0x4784bf
                        char v19 = *(char *)(v8 + 3); // 0x4784c3
                        if (((int32_t)*(char *)v18 || v13) == (int32_t)v19) {
                            int32_t v20 = v9 + 4; // 0x4784c7
                            char v21 = *(char *)(v8 + 4); // 0x4784cb
                            if (((int32_t)*(char *)v20 || v13) == (int32_t)v21) {
                                int32_t v22 = v9 + 5; // 0x4784cf
                                char v23 = *(char *)(v8 + 5); // 0x4784d3
                                if (((int32_t)*(char *)v22 || v13) == (int32_t)v23) {
                                    int32_t v24 = v9 + 6; // 0x4784d7
                                    char v25 = *(char *)(v8 + 6); // 0x4784db
                                    if (((int32_t)*(char *)v24 || v13) == (int32_t)v25) {
                                        int32_t v26 = v9 + 7; // 0x4784df
                                        char v27 = *(char *)(v8 + 7); // 0x4784e3
                                        if (((int32_t)*(char *)v26 || v13) == (int32_t)v27) {
                                            // 0x4784e7
                                            v10 = v9 + 8;
                                            int32_t v28 = v8 + 8; // 0x4784e8
                                            int32_t v29 = (int32_t)*(char *)v10 | v13; // 0x4784e9
                                            if (v29 == (int32_t)*(char *)v28) {
                                                // 0x4784ef
                                                if (v5 <= v10) {
                                                    // break -> 0x4784f3
                                                    break;
                                                }
                                                v7 = v29;
                                                v8 = v28;
                                                v9 = v10;
                                                // continue -> 0x4784af
                                                continue;
                                            } else {
                                                v15 = v10;
                                            }
                                        } else {
                                            v15 = v26;
                                        }
                                    } else {
                                        v15 = v24;
                                    }
                                } else {
                                    v15 = v22;
                                }
                            } else {
                                v15 = v20;
                            }
                        } else {
                            v15 = v18;
                        }
                    } else {
                        v15 = v16;
                    }
                }
                // 0x4784f3
                v11 = 258 - (v5 - v15);
                if (v11 <= 2) {
                    // 0x478501
                    // branch -> 0x478517
                    // 0x478517
                    return;
                }
                // 0x478508
                *(int32_t *)(g3 + 112) = g8;
                if (*(int32_t *)(g3 + 116) < v11) {
                    // 0x478512
                    // branch -> 0x478515
                    // 0x478515
                    // branch -> 0x478517
                    // 0x478517
                    return;
                }
                // 0x478515
                // branch -> 0x478517
                // 0x478517
                return;
            }
            // 0x4784f3
            v11 = 258 - (v5 - v10);
            if (v11 > 2) {
                // 0x478508
                *(int32_t *)(g3 + 112) = g8;
                if (*(int32_t *)(g3 + 116) < v11) {
                    // 0x478512
                    // branch -> 0x478515
                }
                // 0x478515
                // branch -> 0x478517
            }
            // 0x478517
            return;
        }
    }
    // 0x4784a2
    // branch -> 0x478517
}

// Address range: 0x47851c - 0x478e8f
void function_47851c(void) {
    int32_t v1 = g3; // 0x47851f
    g5 = v1;
    int32_t v2 = *(int32_t *)(v1 + 44); // 0x478523
    g10 = v2;
    // branch -> 0x478526
    while (true) {
      lab_0x478526:;
        int32_t v3 = *(int32_t *)(v1 + 116); // 0x478529
        int32_t * v4 = (int32_t *)(v1 + 108); // 0x47852c_0
        int32_t v5 = *(int32_t *)(v1 + 60) - v3 - *v4; // 0x47852c
        g7 = v5;
        int32_t v6 = v1; // 0x4785dc
        int32_t v7; // 0x4785ca
        if (v2 - 262 + *(int32_t *)(v1 + 44) <= *v4) {
            // 0x47855a
            unknown_476db0();
            int32_t * v8 = (int32_t *)(g5 + 112); // 0x47856e_0
            *v8 = *v8 - g10;
            int32_t * v9 = (int32_t *)(g5 + 108); // 0x478571_0
            *v9 = *v9 - g10;
            int32_t * v10 = (int32_t *)(g5 + 92); // 0x478574_0
            *v10 = *v10 - v2;
            int32_t v11 = g5; // 0x478577
            int32_t v12 = *(int32_t *)(v11 + 76); // 0x478577
            int32_t v13 = v12; // eax
            int32_t v14 = *(int32_t *)(v11 + 68) + 2 * v12; // 0x478581
            // branch -> 0x478581
            while (true) {
                int32_t v15 = v14 - 2; // 0x478581
                int32_t v16 = v15; // edx
                int16_t * v17 = (int16_t *)v15; // 0x478584_0
                uint32_t v18 = (int32_t)*v17; // 0x478584
                uint32_t v19 = g10; // 0x47858a
                int32_t v20 = 0;
                if (v18 >= v19) {
                    // 0x47858f
                    v20 = v18 - v19 & 0xffff;
                    // branch -> 0x47859a
                }
                // 0x47859a
                *v17 = (int16_t)v20;
                int32_t v21 = v13 - 1; // 0x47859d
                v13 = v21;
                if (v21 == 0) {
                    int32_t v22 = g10; // 0x4785a0
                    v13 = v22;
                    int32_t v23 = v22; // 0x4785bb
                    int32_t v24 = *(int32_t *)(g5 + 64) + 2 * v22; // 0x4785a9
                    // branch -> 0x4785a9
                    while (true) {
                        int32_t v25 = v24 - 2; // 0x4785a9
                        v16 = v25;
                        int16_t * v26 = (int16_t *)v25; // 0x4785ac_0
                        uint32_t v27 = (int32_t)*v26; // 0x4785ac
                        int32_t v28 = 0;
                        if (v27 >= v23) {
                            // 0x4785b7
                            v28 = v27 - v23 & 0xffff;
                            // branch -> 0x4785c2
                        }
                        // 0x4785c2
                        *v26 = (int16_t)v28;
                        int32_t v29 = v13 - 1; // 0x4785c5
                        v13 = v29;
                        if (v29 == 0) {
                            int32_t v30 = g10 + g7; // 0x4785c8
                            g7 = v30;
                            v5 = v30;
                            v6 = g5;
                            // branch -> 0x4785ca
                            // 0x4785ca
                            v7 = *(int32_t *)v6;
                            if (*(int32_t *)(v7 + 4) == 0) {
                                // 0x478627
                                return;
                            }
                          lab_0x4785d2:
                            // 0x4785d2
                            g6 = v5;
                            g3 = v7;
                            int32_t v31 = *(int32_t *)(v6 + 116); // 0x4785dc
                            g8 = v31 + *(int32_t *)(v6 + 108) + *(int32_t *)(v6 + 56);
                            function_4781f0();
                            int32_t * v32 = (int32_t *)(g5 + 116); // 0x4785e4_0
                            *v32 = g3 + *v32;
                            int32_t v33 = g5; // 0x4785e7
                            int32_t v34 = v33; // 0x47861b
                            if (*(int32_t *)(v33 + 116) >= 3) {
                                int32_t v35 = *(int32_t *)(v33 + 108); // 0x4785f0
                                int32_t v36 = (int32_t)*(char *)(v35 + *(int32_t *)(v33 + 56)); // 0x4785f3
                                *(int32_t *)(v33 + 72) = v36;
                                int32_t v37 = g5; // 0x4785fa
                                uint32_t v38 = *(int32_t *)(v37 + 88) & 31; // 0x4785fd
                                int32_t v39 = v36; // 0x47860a
                                if (v38 != 0) {
                                    // if_4785fd_0_true
                                    v39 = v36 << v38;
                                    // branch -> after_if_4785fd_0
                                }
                                int32_t v40 = *(int32_t *)(v37 + 108); // 0x478602
                                unsigned char v41 = *(char *)(*(int32_t *)(v37 + 56) + 1 + v40); // 0x478605
                                int32_t v42 = *(int32_t *)(v37 + 84); // 0x47860c
                                *(int32_t *)(v37 + 72) = ((int32_t)v41 ^ v39) & v42;
                                v34 = g5;
                                // branch -> 0x478612
                            }
                            // 0x478612
                            if (*(int32_t *)(v34 + 116) > 261 || *(int32_t *)(*(int32_t *)v34 + 4) == 0) {
                                // 0x478627
                                return;
                            }
                            // 0x47861b
                            v2 = g10;
                            v1 = v34;
                            // branch -> 0x478526
                            goto lab_0x478526;
                        } else {
                            // 0x4785c2
                            v23 = g10;
                            v24 = v16;
                            // branch -> 0x4785a9
                            continue;
                        }
                    }
                } else {
                    // 0x47859a
                    v14 = v16;
                    // branch -> 0x478581
                    continue;
                }
            }
        }
        // 0x4785ca
        v7 = *(int32_t *)v6;
        if (*(int32_t *)(v7 + 4) != 0) {
            goto lab_0x4785d2;
        }
        // 0x478627
        return;
    }
}

// Address range: 0x478e90 - 0x47938b
void function_478e90(void) {
    struct struct_216 * v1 = (struct struct_216 *)g3; // 0x478e96_0
    struct struct_216 * v2 = v1; // bp-80
    int32_t * v3 = v1->e7; // 0x478e9c
    struct struct_215 * v4 = (struct struct_215 *)v3; // bp-76
    int32_t v5 = *(int32_t *)g3 - 1; // 0x478ea8
    int32_t v6 = v1->e1 - 5 + v5; // 0x478eb6
    char * v7 = (char *)v6; // 0x478eba_0
    int32_t v8 = v1->e3 - 1; // 0x478ec7
    int32_t v9 = v8; // ebx
    int32_t v10 = v1->e4; // 0x478eca
    uint32_t v11 = v10 - 257 + v8; // 0x478ed6
    int32_t v12 = (int32_t)v3; // 0x478ee0
    int32_t v13 = v3[10]; // 0x478ee4
    uint32_t v14 = v3[12]; // 0x478efa
    char * v15 = (char *)v3[13]; // bp-44
    int32_t v16 = *(int32_t *)(v12 + 76); // 0x478f26
    int32_t v17 = *(int32_t *)(v12 + 80); // 0x478f31
    uint32_t v18 = *(int32_t *)(v12 + 84) & 31; // 0x478f44
    int32_t v19 = 1; // 0x478f46
    if (v18 != 0) {
        // if_478f44_0_true
        v19 = 1 << v18;
        // branch -> after_if_478f44_0
    }
    uint32_t v20 = *(int32_t *)(v12 + 88) & 31; // 0x478f57
    int32_t v21 = 1; // 0x478f59
    if (v20 != 0) {
        // if_478f57_0_true
        v21 = 1 << v20;
        // branch -> after_if_478f57_0
    }
    // after_if_478f57_0
    unsigned char v22;
    int32_t v23 = v22; // 0x478fae
    uint32_t v24 = v23 & 31; // 0x478fb5
    char v25;
    int32_t v26 = v25; // 0x47928e
    int32_t v27 = v8; // 0x478fc6
    int32_t v28 = *(int32_t *)(v12 + 60); // 0x47937b37
    int32_t v29 = *(int32_t *)(v12 + 56); // 0x47937025
    char * v30 = (char *)v5; // bp+012
    // branch -> 0x478f5e
    while (true) {
        int32_t v31 = v28; // 0x47937b36
        int32_t v32 = v29; // 0x47937024
        char * v33 = v30; // bp+011
        if (v28 <= 14) {
            int32_t v34 = (int32_t)v30; // 0x478f65
            int32_t v35 = (int32_t)*(char *)(v34 + 1); // 0x478f73
            uint32_t v36 = v28 & 31; // 0x478f75
            int32_t v37 = v35; // 0x478f77
            if (v36 != 0) {
                // if_478f75_0_true
                v37 = v35 << v36;
                // branch -> after_if_478f75_0
            }
            char * v38 = (char *)(v34 + 2); // 0x478f80_4
            int32_t v39 = (int32_t)*v38; // 0x478f8e
            uint32_t v40 = v28 + 8 & 31; // 0x478f90
            int32_t v41 = v39; // 0x478f92
            if (v40 != 0) {
                // if_478f90_0_true
                v41 = v39 << v40;
                // branch -> after_if_478f90_0
            }
            // after_if_478f90_0
            v31 = v28 + 16;
            v32 = v37 + v29 + v41;
            v33 = v38;
            // branch -> 0x478fae
        }
        int32_t v42 = *(int32_t *)(4 * (v32 & v19 - 1) + v16); // 0x478fa7
        int32_t v43 = v32 >> v24; // 0x478fb5
        int32_t v44 = v31 - v23; // 0x478fb9
        int32_t v45 = v42 & 255; // 0x478fbd
        uint32_t v46; // 0x479302
        int32_t v47;
        int32_t v48; // 0x4792fa
        int32_t v49; // 0x4792f3
        int32_t v50; // 0x479304
        char * v51; // 0x479333_07
        uint32_t v52; // 0x479348
        int32_t v53; // 0x47937026
        int32_t v54; // 0x47937b28
        uint32_t v55; // 0x47937b29
        uint32_t v56; // 0x4792f0
        int32_t v57; // 0x479308
        if ((char)v42 == 0) {
            int32_t v58 = v27 + 1; // 0x478fc6
            v9 = v58;
            *(char *)v58 = v25;
            v54 = v44;
            v53 = v43;
            v51 = v33;
            // branch -> 0x4792d3
          lab_0x4792d3_6:
            // 0x4792d3
            if (v51 < v7) {
                int32_t v59 = v9; // 0x4792dd
                if (v59 >= v11) {
                    // break -> 0x4792e7
                    break;
                }
                v27 = v59;
                v28 = v54;
                v29 = v53;
                v30 = v51;
                // continue -> 0x478f5e
                continue;
            } else {
                v55 = v54;
            }
            // 0x4792e7
            v56 = v55 / 8;
            v49 = (int32_t)v51 - v56;
            v48 = v55 - 8 * v56;
            v46 = v48 & 31;
            v50 = 0;
            if (v46 != 0) {
                // if_479302_0_true
                v50 = (1 << v46) - 1;
                // branch -> after_if_479302_0
            }
            // after_if_479302_0
            v57 = v50 & v53;
            *(int32_t *)v2 = v49 + 1;
            v2->e3 = v9 + 1;
            if ((char *)v49 < v7) {
                // 0x479326
                v47 = v6 - v49 + 5;
                // branch -> 0x479342
            } else {
                // 0x479333
                v47 = 5 - (v49 - v6);
                // branch -> 0x479342
            }
            // 0x479342
            v2->e1 = v47;
            v52 = v9;
            if (v52 < v11) {
                // 0x47934e
                // branch -> 0x479366
                // 0x479366
                v2->e4 = v11 - v52 + 257;
                *(int32_t *)((int32_t)v4 + 56) = v57;
                *(int32_t *)((int32_t)v4 + 60) = v48;
                return;
            }
            // 0x47935b
            // branch -> 0x479366
            // 0x479366
            v2->e4 = 257 - (v52 - v11);
            *(int32_t *)((int32_t)v4 + 56) = v57;
            *(int32_t *)((int32_t)v4 + 60) = v48;
            return;
        }
        // 0x478fd2
        if (v45 == 16) {
            // 0x4792af
            v4->e0 = 11;
            v55 = v44;
            // branch -> 0x4792e7
            // 0x4792e7
            v56 = v55 / 8;
            v49 = (int32_t)v33 - v56;
            v48 = v55 - 8 * v56;
            v46 = v48 & 31;
            v50 = 0;
            if (v46 != 0) {
                // if_479302_0_true
                v50 = (1 << v46) - 1;
                // branch -> after_if_479302_0
            }
            // after_if_479302_0
            v57 = v50 & v43;
            *(int32_t *)v2 = v49 + 1;
            v2->e3 = v9 + 1;
            if ((char *)v49 < v7) {
                // 0x479326
                v47 = v6 - v49 + 5;
                // branch -> 0x479342
            } else {
                // 0x479333
                v47 = 5 - (v49 - v6);
                // branch -> 0x479342
            }
            // 0x479342
            v2->e1 = v47;
            v52 = v9;
            if (v52 < v11) {
                // 0x47934e
                // branch -> 0x479366
                // 0x479366
                v2->e4 = v11 - v52 + 257;
                *(int32_t *)((int32_t)v4 + 56) = v57;
                *(int32_t *)((int32_t)v4 + 60) = v48;
                return;
            }
            // 0x47935b
            // branch -> 0x479366
            // 0x479366
            v2->e4 = 257 - (v52 - v11);
            *(int32_t *)((int32_t)v4 + 56) = v57;
            *(int32_t *)((int32_t)v4 + 60) = v48;
            return;
        }
        int32_t v60 = v26; // eax
        uint32_t v61 = v42 & 15; // 0x478fe3
        uint32_t v62 = v26; // 0x47913f
        int32_t v63 = v44; // 0x47937b33
        int32_t v64 = v43; // 0x47937021
        char * v65 = v33; // bp+010
        if (v61 != 0) {
            int32_t v66 = v44; // 0x47937b34
            int32_t v67 = v43; // 0x47937016
            char * v68 = v33; // 0x479333_06
            if (v61 > v44) {
                char * v69 = (char *)((int32_t)v33 + 1); // 0x478ff0_4
                int32_t v70 = (int32_t)*v69; // 0x478ffc
                uint32_t v71 = v44 & 31; // 0x478fff
                int32_t v72 = v70; // 0x479001
                if (v71 != 0) {
                    // if_478fff_0_true
                    v72 = v70 << v71;
                    // branch -> after_if_478fff_0
                }
                // after_if_478fff_0
                v66 = v44 + 8;
                v67 = v72 + v43;
                v68 = v69;
                // branch -> if_479011_0_true
            }
            int32_t v73 = (v67 & (1 << v61) - 1) + v26; // 0x479018
            v60 = v73;
            v62 = v73;
            v63 = v66 - v61;
            v64 = v67 >> v61;
            v65 = v68;
            // branch -> 0x479024
        }
        int32_t v74 = v63; // 0x47937b32
        int32_t v75 = v64; // 0x47937020
        char * v76 = v65; // 0x479333_09
        if (v63 <= 14) {
            int32_t v77 = (int32_t)v65; // 0x47902b
            int32_t v78 = (int32_t)*(char *)(v77 + 1); // 0x479037
            uint32_t v79 = v63 & 31; // 0x47903a
            int32_t v80 = v78; // 0x47903c
            if (v79 != 0) {
                // if_47903a_0_true
                v80 = v78 << v79;
                // branch -> after_if_47903a_0
            }
            char * v81 = (char *)(v77 + 2); // 0x479045_4
            int32_t v82 = (int32_t)*v81; // 0x479051
            uint32_t v83 = v63 + 8 & 31; // 0x479054
            int32_t v84 = v82; // 0x479056
            if (v83 != 0) {
                // if_479054_0_true
                v84 = v82 << v83;
                // branch -> after_if_479054_0
            }
            // after_if_479054_0
            v74 = v63 + 16;
            v75 = v80 + v64 + v84;
            v76 = v81;
            // branch -> 0x479072
        }
        int32_t v85 = *(int32_t *)(4 * (v75 & v21 - 1) + v17); // 0x47906b
        int32_t v86 = v75 >> v24; // 0x479079
        int32_t v87 = v74 - v23; // 0x47907d
        if ((char)v85 == 16) {
            // 0x479260
            v2->e6 = (int32_t)"invalid distance code";
            v4->e0 = 27;
            v55 = v87;
            // branch -> 0x4792e7
        } else {
            uint32_t v88 = v85 & 15; // 0x479097
            int32_t v89 = v87; // 0x47937b30
            int32_t v90 = v86; // 0x47937017
            char * v91 = v76; // 0x479333_08
            if (v88 > v87) {
                int32_t v92 = (int32_t)v76; // 0x4790a0
                char * v93 = (char *)(v92 + 1); // 0x4790a0_4
                int32_t v94 = (int32_t)*v93; // 0x4790ac
                uint32_t v95 = v87 & 31; // 0x4790af
                int32_t v96 = v94; // 0x4790b1
                if (v95 != 0) {
                    // if_4790af_0_true
                    v96 = v94 << v95;
                    // branch -> after_if_4790af_0
                }
                int32_t v97 = v96 + v86; // 0x4790b1
                int32_t v98 = v87 + 8; // 0x4790b5
                if (v88 > v98) {
                    char * v99 = (char *)(v92 + 2); // 0x4790c0_4
                    int32_t v100 = (int32_t)*v99; // 0x4790cc
                    uint32_t v101 = v98 & 31; // 0x4790cf
                    int32_t v102 = v100; // 0x4790d1
                    if (v101 != 0) {
                        // if_4790cf_0_true
                        v102 = v100 << v101;
                        // branch -> after_if_4790cf_0
                    }
                    // after_if_4790cf_0
                    v89 = v87 + 16;
                    v90 = v102 + v97;
                    v91 = v99;
                    // branch -> 0x4790da
                } else {
                    v89 = v98;
                    v90 = v97;
                    v91 = v93;
                }
            }
            int32_t v103 = 1; // 0x4790e3
            if (v88 != 0) {
                // if_4790e1_0_true
                v103 = 1 << v88;
                // branch -> after_if_4790e1_0
            }
            int32_t v104 = v90; // 0x47937027
            if (v88 != 0) {
                // if_4790ea_0_true
                v104 = v90 >> v88;
                // branch -> after_if_4790ea_0
            }
            int32_t v105 = v89 - v88; // 0x4790ee
            uint32_t v106 = v27 - (v10 - g8 + v8); // 0x4790f4
            int32_t v107 = (v103 - 1 & v90) + v26; // 0x4790f8
            int32_t v108 = v107; // edi
            int32_t v109; // ecx
            int32_t v110; // edx
            if (v106 < v107) {
                uint32_t v111 = v107 - v106; // 0x479104
                int32_t v112 = v111; // esi
                if (v111 > v3[11]) {
                    // 0x47910e
                    v2->e6 = (int32_t)"invalid distance too far back";
                    v4->e0 = 27;
                    v55 = v105;
                    // branch -> 0x4792e7
                } else {
                    int32_t v113 = (int32_t)*v15 - 1; // 0x47912b
                    int32_t v114; // 0x47914c
                    int32_t v115; // 0x4791b5
                    int32_t v116; // 0x4791b0
                    int32_t v117; // 0x4791d9
                    if (v14 == 0) {
                        int32_t v118 = v13 - v111; // 0x479137
                        v109 = v118;
                        int32_t v119 = v113 + v118; // 0x479139
                        v110 = v119;
                        int32_t v120 = v62 - v111; // 0x47913b
                        if (v62 > v111) {
                            // 0x47913f
                            v60 = v120;
                            int32_t v121 = v119; // 0x479142
                            int32_t v122 = v27; // 0x479141
                            // branch -> 0x479141
                            while (true) {
                                int32_t v123 = v122 + 1; // 0x479141
                                v9 = v123;
                                int32_t v124 = v121 + 1; // 0x479142
                                v110 = v124;
                                unsigned char v125 = *(char *)v124; // 0x479143
                                v109 = (int32_t)v125 | v118 & -256;
                                *(char *)v123 = v125;
                                int32_t v126 = v112 - 1; // 0x479147
                                v112 = v126;
                                int32_t v127 = v9; // 0x47914a
                                if (v126 == 0) {
                                    // 0x47914a
                                    v114 = v127 - v108;
                                    v110 = v114;
                                    // branch -> 0x4791b0
                                  lab_0x4791b0_5:
                                    // 0x4791b0
                                    v116 = v60;
                                    v117 = v116;
                                    if (v116 >= 2 && v116 != 2) {
                                        v115 = v114;
                                      lab_0x4791b5_2:
                                        while (true) {
                                            int32_t v128 = v9 + 1; // 0x4791b6
                                            unsigned char v129 = *(char *)(v115 + 1); // 0x4791b7
                                            *(char *)v128 = v129;
                                            int32_t v130 = v128 + 1; // 0x4791bc
                                            int32_t v131 = v115 + 2; // 0x4791bd
                                            unsigned char v132 = *(char *)v131; // 0x4791bd
                                            int32_t v133 = v109 & -256 | (int32_t)v129; // 0x4791bd
                                            v110 = v131 + 1;
                                            *(char *)v130 = v132;
                                            int32_t v134 = v130 + 1; // 0x4791c2
                                            v9 = v134;
                                            unsigned char v135 = *(char *)v110; // 0x4791c3
                                            int32_t v136 = v133 & -256 | (int32_t)v132; // 0x4791c3
                                            v109 = v136 & -256 | (int32_t)v135;
                                            v60 -= 3;
                                            *(char *)v134 = v135;
                                            if (v60 > 2) {
                                                // 0x4791b5
                                                v115 = v110;
                                                // branch -> 0x4791b5
                                                continue;
                                            }
                                        }
                                        // 0x4792e7
                                        v56 = v55 / 8;
                                        char * v137; // bp+013
                                        v49 = (int32_t)v137 - v56;
                                        v48 = v55 - 8 * v56;
                                        v46 = v48 & 31;
                                        v50 = 0;
                                        if (v46 != 0) {
                                            // if_479302_0_true
                                            v50 = (1 << v46) - 1;
                                            // branch -> after_if_479302_0
                                        }
                                        // after_if_479302_0
                                        int32_t v138; // 0x47937014
                                        v57 = v50 & v138;
                                        *(int32_t *)v2 = v49 + 1;
                                        v2->e3 = v9 + 1;
                                        if ((char *)v49 < v7) {
                                            // 0x479326
                                            v47 = v6 - v49 + 5;
                                            // branch -> 0x479342
                                        } else {
                                            // 0x479333
                                            v47 = 5 - (v49 - v6);
                                            // branch -> 0x479342
                                        }
                                        // 0x479342
                                        v2->e1 = v47;
                                        v52 = v9;
                                        if (v52 < v11) {
                                            // 0x47934e
                                            // branch -> 0x479366
                                            // 0x479366
                                            v2->e4 = v11 - v52 + 257;
                                            *(int32_t *)((int32_t)v4 + 56) = v57;
                                            *(int32_t *)((int32_t)v4 + 60) = v48;
                                            return;
                                        }
                                        // 0x47935b
                                        // branch -> 0x479366
                                        // 0x479366
                                        v2->e4 = 257 - (v52 - v11);
                                        *(int32_t *)((int32_t)v4 + 56) = v57;
                                        *(int32_t *)((int32_t)v4 + 60) = v48;
                                        return;
                                    }
                                  lab_0x4791cf_2:
                                    // 0x4791cf
                                    if (v117 == 0) {
                                        v54 = v105;
                                        v53 = v104;
                                        v51 = v91;
                                        goto lab_0x4792d3_6;
                                    }
                                    int32_t v139 = v110 + 1; // 0x4791d7
                                    v110 = v139;
                                    int32_t v140 = v9 + 1; // 0x4791d8
                                    v9 = v140;
                                    *(char *)v140 = *(char *)v139;
                                    if (false || v117 == 1) {
                                        v54 = v105;
                                        v53 = v104;
                                        v51 = v91;
                                        goto lab_0x4792d3_6;
                                    }
                                    int32_t v141 = v9 + 1; // 0x4791e6
                                    v9 = v141;
                                    *(char *)v141 = *(char *)(v110 + 1);
                                    v54 = v105;
                                    v53 = v104;
                                    v51 = v91;
                                    // branch -> 0x4792d3
                                    goto lab_0x4792d3_6;
                                } else {
                                    // 0x479141
                                    v118 = v109;
                                    v121 = v110;
                                    v122 = v127;
                                    // branch -> 0x479141
                                    continue;
                                }
                            }
                        } else {
                            v114 = v119;
                        }
                    } else {
                        int32_t v142 = v111 - v14; // 0x479150
                        if (v111 > v14) {
                            int32_t v143 = v14 + v13 - v111; // 0x47915e
                            v109 = v143;
                            int32_t v144 = v113 + v143; // 0x479160
                            v110 = v144;
                            v112 = v142;
                            int32_t v145 = v62 - v142; // 0x479166
                            if (v62 <= v142) {
                                v114 = v144;
                                goto lab_0x4791b0_5;
                            }
                            // 0x47916a
                            v60 = v145;
                            int32_t v146 = v27; // 0x47916c
                            // branch -> 0x47916c
                            while (true) {
                                int32_t v147 = v146 + 1; // 0x47916c
                                v9 = v147;
                                int32_t v148 = v144 + 1; // 0x47916d
                                v110 = v148;
                                unsigned char v149 = *(char *)v148; // 0x47916e
                                v109 = (int32_t)v149 | v143 & -256;
                                *(char *)v147 = v149;
                                int32_t v150 = v112 - 1; // 0x479172
                                v112 = v150;
                                if (v150 == 0) {
                                    int32_t v151 = (int32_t)*v15 - 1; // 0x479179
                                    v110 = v151;
                                    uint32_t v152 = v60; // 0x47917a
                                    int32_t v153 = v152 - v14; // 0x47917a
                                    if (v152 <= v14) {
                                        v114 = v151;
                                        goto lab_0x4791b0_5;
                                    }
                                    // 0x479180
                                    v112 = v14;
                                    v60 = v153;
                                    // branch -> 0x479186
                                    while (true) {
                                        int32_t v154 = v9 + 1; // 0x479186
                                        v9 = v154;
                                        int32_t v155 = v151 + 1; // 0x479187
                                        v110 = v155;
                                        unsigned char v156 = v15[v155]; // 0x479188
                                        v109 = v109 & -256 | (int32_t)v156;
                                        *(char *)v154 = v156;
                                        int32_t v157 = v112 - 1; // 0x47918c
                                        v112 = v157;
                                        if (v157 == 0) {
                                            int32_t v158 = v9 - v108; // 0x479191
                                            v110 = v158;
                                            v114 = v158;
                                            // branch -> 0x4791b0
                                            goto lab_0x4791b0_5;
                                        } else {
                                            // 0x479186
                                            v151 = v110;
                                            // branch -> 0x479186
                                            continue;
                                        }
                                    }
                                } else {
                                    // 0x47916c
                                    v143 = v109;
                                    v144 = v110;
                                    v146 = v9;
                                    // branch -> 0x47916c
                                    continue;
                                }
                            }
                        } else {
                            int32_t v159 = v14 - v111; // 0x479199
                            v109 = v159;
                            int32_t v160 = v113 + v159; // 0x47919b
                            v110 = v160;
                            int32_t v161 = v62 - v111; // 0x47919d
                            if (v62 <= v111) {
                                v114 = v160;
                                goto lab_0x4791b0_5;
                            }
                            // 0x4791a1
                            v60 = v161;
                            int32_t v162 = v27; // 0x4791a3
                            // branch -> 0x4791a3
                            while (true) {
                                int32_t v163 = v162 + 1; // 0x4791a3
                                v9 = v163;
                                int32_t v164 = v160 + 1; // 0x4791a4
                                v110 = v164;
                                unsigned char v165 = *(char *)v164; // 0x4791a5
                                v109 = (int32_t)v165 | v159 & -256;
                                *(char *)v163 = v165;
                                int32_t v166 = v112 - 1; // 0x4791a9
                                v112 = v166;
                                int32_t v167 = v9; // 0x4791ac
                                if (v166 == 0) {
                                    int32_t v168 = v167 - v108; // 0x4791ae
                                    v110 = v168;
                                    v114 = v168;
                                    // branch -> 0x4791b0
                                    goto lab_0x4791b0_5;
                                } else {
                                    // 0x4791a3
                                    v159 = v109;
                                    v160 = v110;
                                    v162 = v167;
                                    // branch -> 0x4791a3
                                    continue;
                                }
                            }
                        }
                    }
                    // 0x4791b0
                    v116 = v60;
                    if (v116 < 2 || v116 == 2) {
                        v117 = v116;
                        goto lab_0x4791cf_2;
                    }
                    v115 = v114;
                    goto lab_0x4791b5_2;
                }
                // 0x4792e7
                v56 = v55 / 8;
                v49 = (int32_t)v91 - v56;
                v48 = v55 - 8 * v56;
                v46 = v48 & 31;
                v50 = 0;
                if (v46 != 0) {
                    // if_479302_0_true
                    v50 = (1 << v46) - 1;
                    // branch -> after_if_479302_0
                }
                // after_if_479302_0
                v57 = v50 & v104;
                *(int32_t *)v2 = v49 + 1;
                v2->e3 = v9 + 1;
                if ((char *)v49 < v7) {
                    // 0x479326
                    v47 = v6 - v49 + 5;
                    // branch -> 0x479342
                } else {
                    // 0x479333
                    v47 = 5 - (v49 - v6);
                    // branch -> 0x479342
                }
                // 0x479342
                v2->e1 = v47;
                v52 = v9;
                if (v52 < v11) {
                    // 0x47934e
                    // branch -> 0x479366
                    // 0x479366
                    v2->e4 = v11 - v52 + 257;
                    *(int32_t *)((int32_t)v4 + 56) = v57;
                    *(int32_t *)((int32_t)v4 + 60) = v48;
                    return;
                }
                // 0x47935b
                // branch -> 0x479366
                // 0x479366
                v2->e4 = 257 - (v52 - v11);
                *(int32_t *)((int32_t)v4 + 56) = v57;
                *(int32_t *)((int32_t)v4 + 60) = v48;
                return;
            }
            int32_t v169 = v27; // 0x4791f6
            int32_t v170 = v27 - v107; // 0x4791f5
            // branch -> 0x4791f5
            while (true) {
                int32_t v171 = v169 + 1; // 0x4791f6
                unsigned char v172 = *(char *)(v170 + 1); // 0x4791f7
                *(char *)v171 = v172;
                int32_t v173 = v171 + 1; // 0x4791fc
                int32_t v174 = v170 + 2; // 0x4791fd
                unsigned char v175 = *(char *)v174; // 0x4791fd
                v110 = v174 + 1;
                *(char *)v173 = v175;
                int32_t v176 = v173 + 1; // 0x479202
                v9 = v176;
                unsigned char v177 = *(char *)v110; // 0x479203
                int32_t v178 = ((int32_t)v172 | v88 & -256) & -256 | (int32_t)v175; // 0x479203
                v109 = v178 & -256 | (int32_t)v177;
                v60 -= 3;
                *(char *)v176 = v177;
                if (v60 > 2) {
                    // 0x4791f5
                    v88 = v109;
                    v169 = v9;
                    v170 = v110;
                    // branch -> 0x4791f5
                    continue;
                } else {
                    // 0x47920f
                    if (v60 == 0) {
                        v54 = v105;
                        v53 = v104;
                        v51 = v91;
                        goto lab_0x4792d3_6;
                    }
                    int32_t v179 = v110 + 1; // 0x479217
                    v110 = v179;
                    int32_t v180 = v9 + 1; // 0x479218
                    v9 = v180;
                    *(char *)v180 = *(char *)v179;
                    if (v60 < 2) {
                        v54 = v105;
                        v53 = v104;
                        v51 = v91;
                        goto lab_0x4792d3_6;
                    }
                    int32_t v181 = v9 + 1; // 0x479226
                    v9 = v181;
                    *(char *)v181 = *(char *)(v110 + 1);
                    v54 = v105;
                    v53 = v104;
                    v51 = v91;
                    // branch -> 0x4792d3
                    goto lab_0x4792d3_6;
                }
            }
        }
        // 0x4792e7
        v56 = v55 / 8;
        v49 = (int32_t)v76 - v56;
        v48 = v55 - 8 * v56;
        v46 = v48 & 31;
        v50 = 0;
        if (v46 != 0) {
            // if_479302_0_true
            v50 = (1 << v46) - 1;
            // branch -> after_if_479302_0
        }
        // after_if_479302_0
        v57 = v50 & v86;
        *(int32_t *)v2 = v49 + 1;
        v2->e3 = v9 + 1;
        if ((char *)v49 < v7) {
            // 0x479326
            v47 = v6 - v49 + 5;
            // branch -> 0x479342
        } else {
            // 0x479333
            v47 = 5 - (v49 - v6);
            // branch -> 0x479342
        }
        // 0x479342
        v2->e1 = v47;
        v52 = v9;
        if (v52 < v11) {
            // 0x47934e
            // branch -> 0x479366
            // 0x479366
            v2->e4 = v11 - v52 + 257;
            *(int32_t *)((int32_t)v4 + 56) = v57;
            *(int32_t *)((int32_t)v4 + 60) = v48;
            return;
        }
        // 0x47935b
        // branch -> 0x479366
        // 0x479366
        v2->e4 = 257 - (v52 - v11);
        *(int32_t *)((int32_t)v4 + 56) = v57;
        *(int32_t *)((int32_t)v4 + 60) = v48;
        return;
    }
}

// Address range: 0x47938c - 0x479447
void function_47938c(void) {
    // 0x47938c
    if (g3 == 0) {
        // 0x479396
        return;
    }
    int32_t v1 = *(int32_t *)(g3 + 28); // 0x479390
    if (v1 == 0) {
        // 0x479396
        return;
    }
    int32_t v2 = 0; // ecx
    *(int32_t *)(v1 + 28) = 0;
    *(int32_t *)(g3 + 20) = v2;
    *(int32_t *)(g3 + 8) = v2;
    *(int32_t *)(g3 + 24) = 0;
    *(int32_t *)(g3 + 48) = 1;
    *(int32_t *)v1 = 0;
    *(int32_t *)(v1 + 4) = 0;
    *(int32_t *)(v1 + 12) = 0;
    *(int32_t *)(v1 + 20) = 0x8000;
    *(int32_t *)(v1 + 32) = 0;
    *(int32_t *)(v1 + 40) = 0;
    *(int32_t *)(v1 + 44) = 0;
    *(int32_t *)(v1 + 48) = 0;
    *(int32_t *)(v1 + 56) = 0;
    int32_t v3 = v1 + 1328; // eax
    *(int32_t *)(v1 + 60) = 0;
    *(int32_t *)(v1 + 108) = v3;
    *(int32_t *)(v1 + 80) = v3;
    *(int32_t *)(v1 + 76) = v3;
}

// Address range: 0x479448 - 0x47951b
void function_479448(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g6; // 0x47944b
    int32_t v3 = g10; // 0x47944d
    int32_t v4 = g8; // 0x479451
    g10 = v4;
    int32_t v5 = g3; // 0x479453
    g5 = v5;
    if (v2 != 0) {
        // 0x47945b
        if (((int32_t)*(char *)v2 || v4 & -256) == g35) {
            // 0x479468
            int32_t v6;
            if (v6 == 56) {
                // 0x479478
                if (v5 == 0) {
                    // 0x47947c
                    // branch -> 0x479513
                    // 0x479513
                    g10 = v3;
                    g6 = v2;
                    return;
                }
                // 0x479486
                *(int32_t *)(v5 + 24) = 0;
                int32_t v7 = g5; // 0x47948b
                int32_t * v8 = (int32_t *)(v7 + 32); // 0x47948b_0
                if (*v8 == 0) {
                    // 0x479491
                    *v8 = 0x476dc4;
                    *(int32_t *)(g5 + 40) = 0;
                    v7 = g5;
                    // branch -> 0x47949d
                }
                int32_t * v9 = (int32_t *)(v7 + 36); // 0x47949d_0
                int32_t v10 = *v9; // 0x47949d
                g2 = false;
                g1 = false;
                g187 = v10 == 0;
                g9 = llvm_ctpop_i32(v10) % 2 == 1;
                if (v10 == 0) {
                    // 0x4794a3
                    *v9 = 0x476de8;
                    v7 = g5;
                    // branch -> 0x4794aa
                }
                // 0x4794aa
                g6 = 0x2530;
                g8 = 1;
                g3 = *(int32_t *)(v7 + 40);
                ((int32_t (*)())*(int32_t *)(v7 + 32))();
                int32_t v11 = g3; // 0x4794ba
                if (v11 == 0) {
                    // 0x4794be
                    // branch -> 0x479513
                } else {
                    // 0x4794c5
                    *(int32_t *)(g5 + 28) = v11;
                    int32_t v12 = g10; // 0x4794c8
                    if (v12 > -1) {
                        int32_t v13 = v12 / 16 + 1; // 0x4794da
                        g6 = v13;
                        *(int32_t *)(g3 + 8) = v13;
                        if (v12 <= 47) {
                            // 0x4794e3
                            g10 &= 15;
                            // branch -> 0x4794e6
                        }
                    } else {
                        // 0x4794cc
                        g10 = -v12;
                        *(int32_t *)(g3 + 8) = 0;
                        // branch -> 0x4794e6
                    }
                    uint32_t v14 = g10; // 0x4794e6
                    int32_t v15 = v14 & 15; // 0x4794e6
                    g2 = v15 > 23;
                    g1 = v14 < 8;
                    int32_t v16 = v14 - 8; // 0x4794e6
                    g187 = v16 == 0;
                    g9 = llvm_ctpop_i32(v16) % 2 == 1;
                    if (!((v16 < 0 ^ (7 - v14 & v14) < 0))) {
                        // 0x4794eb
                        g2 = v15 > 30;
                        g1 = v14 < 15;
                        int32_t v17 = v14 - 15; // 0x4794eb
                        g187 = v17 == 0;
                        g9 = llvm_ctpop_i32(v17) % 2 == 1;
                        if (v17 == 0 || v17 < 0 ^ (14 - v14 & v14) < 0) {
                            // 0x479504
                            *(int32_t *)(g3 + 36) = v14;
                            *(int32_t *)(g3 + 52) = 0;
                            g3 = g5;
                            function_47938c();
                            // branch -> 0x479513
                            // 0x479513
                            g10 = v3;
                            g6 = v2;
                            return;
                        }
                    }
                    // 0x4794f0
                    g8 = g3;
                    int32_t v18 = g5; // 0x4794f2
                    g3 = *(int32_t *)(v18 + 40);
                    ((int32_t (*)())*(int32_t *)(v18 + 36))();
                    *(int32_t *)(g5 + 28) = 0;
                    // branch -> 0x479513
                }
                // 0x479513
                g10 = v3;
                g6 = v2;
                return;
            }
        }
    }
    // 0x47946e
    // branch -> 0x479513
    // 0x479513
    g10 = v3;
    g6 = v2;
}

// Address range: 0x47951c - 0x47952b
void function_47951c(void) {
    int32_t v1 = g8; // 0x479522
    g8 = 15;
    g6 = v1;
    function_479448();
}

// Address range: 0x47952c - 0x47954b
void function_47952c(void) {
    // 0x47952c
    *(int32_t *)(g3 + 76) = 0x4bd6f4;
    *(int32_t *)(g3 + 84) = 9;
    *(int32_t *)(g3 + 80) = 0x4bdef4;
    *(int32_t *)(g3 + 88) = 5;
}

// Address range: 0x47954c - 0x47964f
void function_47954c(void) {
    int32_t v1 = g10; // 0x47954d
    int32_t v2 = g7; // 0x47954e
    int32_t v3; // bp-16
    int32_t v4 = &v3; // 0x47954f_0
    g11 = v4;
    g7 = g8;
    int32_t v5 = g3; // 0x479552
    v3 = v5;
    int32_t v6 = *(int32_t *)(v5 + 28); // 0x479558
    g5 = v6;
    int32_t v7 = *(int32_t *)(v6 + 52); // 0x47955b
    g2 = false;
    g1 = false;
    g187 = v7 == 0;
    g9 = llvm_ctpop_i32(v7) % 2 == 1;
    int32_t v8 = v6; // 0x47959f
    int32_t v9;
    if (v7 == 0) {
        // 0x479561
        g8 = 1;
        uint32_t v10 = *(int32_t *)(v6 + 36) & 31; // 0x479569
        if (v10 != 0) {
            int32_t v11 = 1 << v10; // 0x479569
            g1 = false;
            g187 = false;
            g9 = llvm_ctpop_i32(v11) % 2 == 1;
            g8 = v11;
            // branch -> after_if_479569_0
        }
        // after_if_479569_0
        g10 = v5;
        g6 = 1;
        g3 = *(int32_t *)(v5 + 40);
        ((int32_t (*)())*(int32_t *)(v5 + 32))();
        *(int32_t *)(g5 + 52) = g3;
        if (g3 == 0) {
            // 0x47964b
            g3 = 1;
            g7 = v2;
            g10 = v1;
            g5 = v9;
            return;
        }
        // after_if_479569_0.dec_label_pc_47958f_crit_edge
        v8 = g5;
        // branch -> 0x47958f
    }
    int32_t * v12 = (int32_t *)(v8 + 40); // 0x47958f_0
    int32_t v13 = v8; // 0x4795f8
    if (*v12 == 0) {
        uint32_t v14 = *(int32_t *)(v8 + 36) & 31; // 0x47959d
        int32_t v15 = 1; // 0x47959f
        if (v14 != 0) {
            // if_47959d_0_true
            v15 = 1 << v14;
            // branch -> after_if_47959d_0
        }
        // after_if_47959d_0
        *v12 = v15;
        *(int32_t *)(g5 + 48) = 0;
        *(int32_t *)(g5 + 44) = 0;
        v13 = g5;
        // branch -> 0x4795ac
    }
    int32_t v16 = g7 - *(int32_t *)(v3 + 16); // 0x4795b1
    int32_t * v17 = (int32_t *)(v13 + 40); // 0x4795b4_0
    if (v16 >= *v17) {
        // 0x4795bb
        unknown_476db0();
        g11 = v4;
        *(int32_t *)(g5 + 48) = 0;
        int32_t v18 = *(int32_t *)(g5 + 40); // 0x4795d7
        g6 = v18;
        *(int32_t *)(g5 + 44) = v18;
        // branch -> 0x479649
        // 0x479649
        // branch -> 0x47964b
        // 0x47964b
        g3 = 0;
        g7 = v2;
        g10 = v1;
        g5 = v9;
        return;
    }
    int32_t v19 = *v17 - *(int32_t *)(v13 + 48); // 0x4795e5
    int32_t v20 = v19; // edi
    if (v16 < v19) {
        // 0x4795eb
        v20 = v16;
        // branch -> 0x4795ed
    }
    // 0x4795ed
    unknown_476db0();
    g11 = v4;
    int32_t v21 = v16 - v20; // 0x479606
    if (v16 == v20) {
        int32_t * v22 = (int32_t *)(g5 + 48); // 0x47962e_0
        *v22 = *v22 + v16;
        int32_t * v23 = (int32_t *)(g5 + 48); // 0x479631_0
        int32_t v24 = *v23; // 0x479631
        g6 = v24;
        int32_t v25 = g5; // 0x479646
        if (v24 == *(int32_t *)(g5 + 40)) {
            // 0x479639
            *v23 = 0;
            v25 = g5;
            // branch -> 0x47963e
        }
        int32_t * v26 = (int32_t *)(v25 + 44); // 0x47963e_0
        if (*v26 < *(int32_t *)(v25 + 40)) {
            // 0x479646
            *v26 = v20 + *v26;
            // branch -> 0x479649
        }
    } else {
        // 0x47960c
        g6 = *(int32_t *)(v3 + 12) - v21;
        unknown_476db0();
        g11 = v4;
        *(int32_t *)(g5 + 48) = v21;
        *(int32_t *)(g5 + 44) = *(int32_t *)(g5 + 40);
        // branch -> 0x479649
    }
    // 0x479649
    // branch -> 0x47964b
    // 0x47964b
    g3 = 0;
    g7 = v2;
    g10 = v1;
    g5 = v9;
}

// Address range: 0x479650 - 0x47ab1b
void function_479650(void) {
    int32_t * v1 = (int32_t *)g10; // 0x479651_0
    struct struct_217 * v2 = (struct struct_217 *)g7; // bp-12
    struct struct_219 * v3;
    g11 = (int32_t)&v3;
    int32_t v4 = g3; // 0x47965b
    struct struct_219 * v5 = (struct struct_219 *)v4; // 0x47965b_0
    v3 = v5;
    char v6;
    int32_t v7;
    char v8;
    if (v4 == 0 || v5->e6 == NULL) {
        // 0x479687
        g3 = -2;
        // branch -> 0x47ab13
        // 0x47ab13
        g4 = v6;
        g7 = v7;
        g10 = v8;
        return;
    }
    // 0x47966d
    if (v5->e3 != 0) {
        // 0x479676
        g6 = v4;
        if (v5->e0 == 0) {
            // 0x47967e
            if (v5->e1 != 0) {
                // 0x479687
                g3 = -2;
                // branch -> 0x47ab13
                // 0x47ab13
                g4 = v6;
                g7 = v7;
                g10 = v8;
                return;
            }
        }
        // 0x479691
        g5 = (int32_t)v5->e6;
        struct struct_219 * v9 = v5;
        if (v5->e6 == (int32_t *)11) {
            // 0x47969c
            v5->e6 = (int32_t *)12;
            v9 = v3;
            // branch -> 0x4796a2
        }
        // 0x4796a2
        g7 = v9->e1;
        g4 = v9->e0;
        g10 = v9->e9;
        g8 = 0;
        g3 = v9->e4;
        int32_t * v10;
        int32_t v11 = (int32_t)v10; // 0x479831
        int32_t * v12 = (int32_t *)(v11 + 24); // 0x479834_0
        // branch -> 0x4796dd
        while (true) {
            // branch -> 0x4796dd
            while (true) {
                // 0x4796dd
                // branch -> 0x4796dd
                while (true) {
                    int32_t * v13 = v3->e6; // 0x4796dd
                    int32_t v14 = (int32_t)v13; // 0x4796dd_0
                    g6 = v14;
                    g2 = (v14 & 15) > 28;
                    g1 = v13 < (int32_t *)29;
                    int32_t v15 = v14 - 29; // 0x4796df
                    g187 = v15 == 0;
                    g9 = llvm_ctpop_i32(v15) % 2 == 1;
                    if (v13 > (int32_t *)29) {
                        // 0x47a9db
                        g3 = -2;
                        // branch -> 0x47ab13
                        // 0x47ab13
                        g4 = v6;
                        g7 = v7;
                        g10 = v8;
                        return;
                    }
                    // 0x4796e8
                    ((int32_t (*)())*(int32_t *)(4 * v14 + 0x4796ef))();
                    int32_t v16 = g3; // 0x479764
                    char * v17 = (char *)v16; // 0x479769_0
                    int32_t v18 = (int32_t)*v17; // 0x479769
                    *v17 = (char)(v18 | v16);
                    if (v16 == v18) {
                        // 0x47976d
                        *(int32_t *)g5 = 12;
                        // branch -> 0x4796dd
                        continue;
                    } else {
                        int32_t v19 = g10; // 0x479778
                        char v20;
                        char v21 = v20; // bp+011
                        int32_t v22; // 0x47979c
                        if (v19 <= 15) {
                            int32_t v23 = g7; // 0x479793
                            char v24 = v20; // bp+012
                            // branch -> 0x47977d
                            while (true) {
                                // 0x47977d
                                if (v23 == 0) {
                                    // 0x47a9ea
                                    int32_t * v25;
                                    v2->e3 = v25;
                                    struct struct_220 * v26;
                                    v2->e4 = &v26->e0;
                                    v2->e0 = g4;
                                    v2->e1 = g7;
                                    *(int32_t *)(g5 + 56) = v11;
                                    *(int32_t *)(g5 + 60) = g10;
                                    int32_t v27 = g5; // 0x47aa13
                                    int32_t v28; // 0x47aae3
                                    int32_t * v29; // 0x47aa76_0
                                    int32_t * v30;
                                    int32_t v31;
                                    char * v32;
                                    int32_t v33;
                                    int32_t v34;
                                    int32_t v35; // 0x47aa5a
                                    int32_t v36; // 0x47aad5
                                    struct struct_217 * v37; // 0x47aa4a_0
                                    struct struct_217 * v38; // 0x47aa68_0
                                    int32_t v39; // 0x47aa79
                                    int32_t v40;
                                    int32_t v41; // 0x47aa4d
                                    int32_t v42; // 0x47aa50
                                    int32_t * v43; // 0x47aa57
                                    if (*(int32_t *)(v27 + 40) != 0) {
                                        // 0x47a9ea
                                        v40 = (int32_t)v30;
                                        // branch -> 0x47aa2a
                                        // 0x47aa2a
                                        g8 = v40;
                                        g3 = (int32_t)v2;
                                        function_47954c();
                                        if (g3 != 0) {
                                            // 0x47aa3a
                                            *(int32_t *)g5 = 28;
                                            g3 = -4;
                                            // branch -> 0x47ab13
                                            // 0x47ab13
                                            g4 = v6;
                                            g7 = v7;
                                            g10 = v8;
                                            return;
                                        }
                                        // 0x47aa4a
                                        v37 = v2;
                                        v41 = v37->e1;
                                        v42 = (int32_t)v32;
                                        v43 = v37->e4;
                                        v35 = v40 - (int32_t)v43;
                                        v37->e2 = (int32_t *)((int32_t)v37->e2 + v42 - v41);
                                        v38 = v2;
                                        v38->e5 = (int32_t *)((int32_t)v38->e5 + v35);
                                        v29 = (int32_t *)(g5 + 28);
                                        *v29 = *v29 + v35;
                                        v39 = g5;
                                        v36 = v39;
                                        if (*(int32_t *)(v39 + 8) != 0) {
                                            // 0x47aa7f
                                            if (v30 != v43) {
                                                // 0x47aa86
                                                if (*(int32_t *)(v39 + 16) == 0) {
                                                    // 0x47aaa4
                                                    g3 = *(int32_t *)(v39 + 24);
                                                    unknown_476e00();
                                                    // branch -> 0x47aaba
                                                } else {
                                                    // 0x47aa8c
                                                    g6 = v35;
                                                    g3 = *(int32_t *)(v39 + 24);
                                                    g8 = (int32_t)v2->e3 - v35;
                                                    function_47d23c();
                                                    // branch -> 0x47aaba
                                                }
                                                // 0x47aaba
                                                *(int32_t *)(g5 + 24) = g3;
                                                v2->e9 = g3;
                                                v36 = g5;
                                                // branch -> 0x47aac3
                                            } else {
                                                v36 = v39;
                                            }
                                        }
                                        // 0x47aac3
                                        v34 = 64;
                                        if (*(int32_t *)(v36 + 4) == 0) {
                                            // 0x47aad0
                                            v34 = 0;
                                            // branch -> 0x47aad2
                                        }
                                        // 0x47aad2
                                        v33 = 128;
                                        if (*(int32_t *)v36 != 11) {
                                            // 0x47aae1
                                            v33 = 0;
                                            // branch -> 0x47aae3
                                        }
                                        // 0x47aae3
                                        v28 = v33 + *(int32_t *)(v36 + 60) + v34;
                                        g6 = v28;
                                        v2->e8 = v28;
                                        if (v42 == v41) {
                                            // 0x47aaf2
                                            if (v30 != v43) {
                                                // 0x47aaf9
                                                if (v1 != (int32_t *)4) {
                                                    // 0x47ab0f
                                                    g3 = v31;
                                                    // branch -> 0x47ab13
                                                    // 0x47ab13
                                                    g4 = v6;
                                                    g7 = v7;
                                                    g10 = v8;
                                                    return;
                                                }
                                            }
                                        } else {
                                            // 0x47aaf9
                                            if (v1 != (int32_t *)4) {
                                                // 0x47ab0f
                                                g3 = v31;
                                                // branch -> 0x47ab13
                                                // 0x47ab13
                                                g4 = v6;
                                                g7 = v7;
                                                g10 = v8;
                                                return;
                                            }
                                        }
                                        // 0x47ab00
                                        // branch -> 0x47ab0f
                                        // 0x47ab0f
                                        g3 = v31 == 0 ? -5 : v31;
                                        // branch -> 0x47ab13
                                        // 0x47ab13
                                        g4 = v6;
                                        g7 = v7;
                                        g10 = v8;
                                        return;
                                    }
                                    // 0x47aa19
                                    int32_t v44;
                                    if (*(int32_t *)v27 > 23) {
                                        // 0x47aa19
                                        v44 = (int32_t)v30;
                                        // branch -> 0x47aa4a
                                    } else {
                                        int32_t v45 = (int32_t)v30; // 0x47aa24
                                        if (v2->e4 != v30) {
                                            v40 = v45;
                                            // 0x47aa2a
                                            g8 = v40;
                                            g3 = (int32_t)v2;
                                            function_47954c();
                                            if (g3 != 0) {
                                                // 0x47aa3a
                                                *(int32_t *)g5 = 28;
                                                g3 = -4;
                                                // branch -> 0x47ab13
                                                // 0x47ab13
                                                g4 = v6;
                                                g7 = v7;
                                                g10 = v8;
                                                return;
                                            }
                                            v44 = v40;
                                        } else {
                                            v44 = v45;
                                        }
                                    }
                                    // 0x47aa4a
                                    v37 = v2;
                                    v41 = v37->e1;
                                    v42 = (int32_t)v32;
                                    v43 = v37->e4;
                                    v35 = v44 - (int32_t)v43;
                                    v37->e2 = (int32_t *)((int32_t)v37->e2 + v42 - v41);
                                    v38 = v2;
                                    v38->e5 = (int32_t *)((int32_t)v38->e5 + v35);
                                    v29 = (int32_t *)(g5 + 28);
                                    *v29 = *v29 + v35;
                                    v39 = g5;
                                    v36 = v39;
                                    if (*(int32_t *)(v39 + 8) != 0) {
                                        // 0x47aa7f
                                        if (v30 != v43) {
                                            // 0x47aa86
                                            if (*(int32_t *)(v39 + 16) == 0) {
                                                // 0x47aaa4
                                                g3 = *(int32_t *)(v39 + 24);
                                                unknown_476e00();
                                                // branch -> 0x47aaba
                                            } else {
                                                // 0x47aa8c
                                                g6 = v35;
                                                g3 = *(int32_t *)(v39 + 24);
                                                g8 = (int32_t)v2->e3 - v35;
                                                function_47d23c();
                                                // branch -> 0x47aaba
                                            }
                                            // 0x47aaba
                                            *(int32_t *)(g5 + 24) = g3;
                                            v2->e9 = g3;
                                            v36 = g5;
                                            // branch -> 0x47aac3
                                        } else {
                                            v36 = v39;
                                        }
                                    }
                                    // 0x47aac3
                                    v34 = 64;
                                    if (*(int32_t *)(v36 + 4) == 0) {
                                        // 0x47aad0
                                        v34 = 0;
                                        // branch -> 0x47aad2
                                    }
                                    // 0x47aad2
                                    v33 = 128;
                                    if (*(int32_t *)v36 != 11) {
                                        // 0x47aae1
                                        v33 = 0;
                                        // branch -> 0x47aae3
                                    }
                                    // 0x47aae3
                                    v28 = v33 + *(int32_t *)(v36 + 60) + v34;
                                    g6 = v28;
                                    v2->e8 = v28;
                                    if (v42 == v41) {
                                        // 0x47aaf2
                                        if (v30 != v43) {
                                            // 0x47aaf9
                                            if (v1 != (int32_t *)4) {
                                                // 0x47ab0f
                                                g3 = v31;
                                                // branch -> 0x47ab13
                                                // 0x47ab13
                                                g4 = v6;
                                                g7 = v7;
                                                g10 = v8;
                                                return;
                                            }
                                        }
                                    } else {
                                        // 0x47aaf9
                                        if (v1 != (int32_t *)4) {
                                            // 0x47ab0f
                                            g3 = v31;
                                            // branch -> 0x47ab13
                                            // 0x47ab13
                                            g4 = v6;
                                            g7 = v7;
                                            g10 = v8;
                                            return;
                                        }
                                    }
                                    // 0x47ab00
                                    // branch -> 0x47ab0f
                                    // 0x47ab0f
                                    g3 = v31 == 0 ? -5 : v31;
                                    // branch -> 0x47ab13
                                    // 0x47ab13
                                    g4 = v6;
                                    g7 = v7;
                                    g10 = v8;
                                    return;
                                }
                                int32_t v46 = g4; // 0x479789
                                int32_t v47 = (int32_t)*(char *)v46; // 0x479789
                                g4 = v46 + 1;
                                uint32_t v48 = v19 & 31; // 0x47978d
                                int32_t v49 = v47; // 0x47978f
                                if (v48 != 0) {
                                    // if_47978d_0_true
                                    v49 = v47 << v48;
                                    // branch -> after_if_47978d_0
                                }
                                char v50 = v49 + (int32_t)v24; // 0x47978f_5
                                int32_t v51 = v23 - 1; // 0x479793
                                g7 = v51;
                                int32_t v52 = v19 + 8; // 0x479794
                                g10 = v52;
                                if (v52 >= 16) {
                                    v21 = v50;
                                    // break -> 0x47979c
                                    break;
                                }
                                v19 = v52;
                                v23 = v51;
                                v24 = v50;
                                // continue -> 0x47977d
                            }
                            // 0x47979c
                            v22 = g5;
                            if (*(char *)(v22 + 8) != 2) {
                              lab_0x4797a2:;
                                // 0x4797a2
                                // branch -> 0x4797f4
                            }
                          lab_0x4797f4:
                            // 0x4797f4
                            *(int32_t *)(v22 + 16) = 0;
                            int32_t v53 = g5; // 0x4797f9
                            int32_t v54 = *(int32_t *)(v53 + 32); // 0x4797f9
                            if (v54 != 0) {
                                // 0x4797ff
                                g8 = v54;
                                *(int32_t *)(v54 + 48) = -1;
                                v53 = g5;
                                // branch -> 0x479809
                            }
                            // 0x479809
                            if (*(char *)(v53 + 8) != 1) {
                                uint32_t v55 = (int32_t)v21; // 0x47980f
                                int32_t v56 = (v55 / 256 + (256 * v55 & 0xff00)) % 31;
                                g8 = v56;
                                if (v56 == 0) {
                                    int32_t v57 = v55 & 15; // 0x47984a
                                    g3 = v57;
                                    if (v57 == 8) {
                                        // 0x479867
                                        g10 -= 4;
                                        int32_t v58 = (v55 / 16 & 15) + 8; // 0x479876
                                        g3 = v58;
                                        if (v58 > *(int32_t *)(v53 + 36)) {
                                            // 0x479886
                                            g8 = v11;
                                            *v12 = 0x4bdfd2;
                                            *(int32_t *)g5 = 27;
                                            // branch -> 0x4796dd
                                        } else {
                                            // 0x47989b
                                            *(int32_t *)(v53 + 20) = 1 << v58;
                                            int32_t v59 = unknown_476e00(); // 0x4798af
                                            *(int32_t *)(g5 + 24) = v59;
                                            g8 = v11;
                                            *(int32_t *)(v11 + 48) = v59;
                                            char v60;
                                            *(int32_t *)g5 = v60 == 2 ? 11 : 9;
                                            g3 = 0;
                                            g10 = 0;
                                            // branch -> 0x4796dd
                                        }
                                        while (true) {
                                            // 0x4796dd
                                            // branch -> 0x4796dd
                                        }
                                    } else {
                                        // 0x479852
                                        g8 = v11;
                                        *v12 = 0x4bdfb7;
                                        *(int32_t *)g5 = 27;
                                        v20 = v21;
                                        // branch -> 0x4796dd
                                        break;
                                    }
                                    while (true) {
                                        // 0x4796dd
                                        // branch -> 0x4796dd
                                        break;
                                    }
                                }
                            }
                            // 0x479831
                            g3 = v11;
                            *v12 = 0x4bdfa0;
                            *(int32_t *)g5 = 27;
                            v20 = v21;
                            // branch -> 0x4796dd
                            break;
                        }
                        // 0x47979c
                        v22 = g5;
                        if (*(char *)(v22 + 8) == 2) {
                            goto lab_0x4797f4;
                        }
                        goto lab_0x4797a2;
                    }
                }
            }
        }
    }
    // 0x479687
    g3 = -2;
    // branch -> 0x47ab13
    // 0x47ab13
    g4 = v6;
    g7 = v7;
    g10 = v8;
}

// Address range: 0x47ab1c - 0x47ac43
void function_47ab1c(void) {
    int32_t v1 = g3; // 0x47ab1d
    g5 = v1;
    if (v1 == 0) {
        // 0x47ab2f
        g3 = -2;
        return;
    }
    int32_t v2 = *(int32_t *)(v1 + 28); // 0x47ab23
    if (v2 == 0) {
        // 0x47ab2f
        g3 = -2;
        return;
    }
    int32_t * v3 = (int32_t *)(v1 + 36); // 0x47ab29_0
    if (*v3 == 0) {
        // 0x47ab2f
        g3 = -2;
        return;
    }
    int32_t v4 = *(int32_t *)(v2 + 52); // 0x47ab39
    g8 = v4;
    g1 = false;
    g2 = false;
    g187 = v4 == 0;
    g9 = llvm_ctpop_i32(v4) % 2 == 1;
    int32_t v5; // 0x47ab4e
    if (v4 != 0) {
        int32_t v6 = *(int32_t *)(v1 + 40); // 0x47ab40
        g6 = v6;
        g3 = v6;
        ((int32_t (*)())*v3)();
        v5 = g5;
        // branch -> 0x47ab48
    } else {
        v5 = v1;
    }
    // 0x47ab48
    g8 = *(int32_t *)(v5 + 28);
    g3 = *(int32_t *)(v5 + 40);
    ((int32_t (*)())*(int32_t *)(v5 + 36))();
    g6 = 0;
    g3 = 0;
    *(int32_t *)(g5 + 28) = 0;
}

// Address range: 0x47ac44 - 0x47aeb7
void function_47ac44(void) {
    int32_t * v1 = (int32_t *)g3; // 0x47ac48_0
    int32_t v2 = *v1; // 0x47ac48
    if (g6 == 0) {
        // 0x47ac83
        *v1 = v2;
        return;
    }
    int32_t v3 = 0; // 0x47ac7814
    int32_t v4; // 0x47ac7e4
    while (true) {
        int32_t v5 = v2;
        if (v2 < 4) {
            int32_t v6 = g8; // 0x47ac4e
            char * v7 = (char *)v6; // 0x47ac4e_0
            int32_t v8 = 255;
            if (v2 < 2) {
                // 0x47ac56
                v8 = 0;
                // branch -> 0x47ac5f
            }
            // 0x47ac5f
            int32_t v9; // 0x47ac78
            if ((int32_t)*v7 == v8) {
                // 0x47ac63
                v4 = v2 + 1;
                // branch -> 0x47ac78
            } else {
                // 0x47ac66
                if (*v7 == 0) {
                    // 0x47ac6f
                    v4 = 4 - v2;
                    // branch -> 0x47ac78
                } else {
                    // 0x47ac6b
                    v4 = 0;
                    // branch -> 0x47ac78
                }
                // 0x47ac78
                v9 = v3 + 1;
                g8 = v6 + 1;
                if (g6 <= v9) {
                    // break -> 0x47ac83
                    break;
                }
                v3 = v9;
                v2 = v4;
                // continue -> 0x47ac7e
                continue;
            }
            // 0x47ac78
            v9 = v3 + 1;
            g8 = v6 + 1;
            if (g6 <= v9) {
                // break -> 0x47ac83
                break;
            }
            v3 = v9;
            v2 = v4;
            // continue -> 0x47ac7e
            continue;
        }
        // 0x47ac83
        *v1 = v5;
        return;
    }
    // 0x47ac83
    *v1 = v4;
}

// Address range: 0x47aeb8 - 0x47b327
void function_47aeb8(void) {
    int16_t v1[2]; // 0x47aef3_6
    int16_t v2[2]; // 0x47b1b2_6
    struct struct_222 v3; // 0x47b273_0
    struct struct_222 v4; // 0x47b289_0
    int32_t v5;
    int32_t v6 = &v5; // ebp
    int16_t * v7 = (int16_t *)g8; // bp-12
    int16_t (*v8)[2];
    int32_t v9 = (int32_t)&v8; // eax
    *v8 = {0, 0};
    char v10 = 1; // 0x47aed7
    v9 += 2;
    // branch -> 0x47aed2
    while (v10 < 16) {
        // 0x47aed2
        *v8 = {0, 0};
        v10++;
        v9 += 2;
        // continue -> 0x47aed2
    }
    // 0x47aee3
    char v11; // 0x47af04_0
    int32_t v12; // 0x47af73_0
    int16_t v13; // 0x47af76_0
    int16_t v14; // 0x52913
    struct struct_222 * v15;
    char * v16;
    int16_t * v17;
    struct struct_222 * v18; // bp-52
    int32_t v19;
    int32_t v20; // 0x47afb1
    int32_t * v21;
    int32_t * v22;
    int32_t v23; // 0x47af17
    int32_t v24; // 0x47afc2
    char v25; // bp+028
    char v26; // bp+029
    char v27; // bp+035
    char v28; // bp+024
    char v29; // bp+025
    char v30; // bp+026
    char v31; // bp+027
    if (g6 != 0) {
        int32_t v32 = 0; // 0x47aef2
        int32_t v33 = (int32_t)*v7; // bp+515
        while (true) {
            int16_t (*v34)[2] = v8;
            v1[0] = v34[0] + 1;
            *v34 = v1;
            int32_t v35 = v32 + 1; // 0x47aef8
            if (g6 > v35) {
                // 0x47aeec
                v32 = v35;
                v33 += 2;
                // branch -> 0x47aeec
                continue;
            } else {
                // 0x47aefc
                // branch -> 0x47aefc
                // 0x47aefc
                v11 = (char)*(int32_t *)v16;
                v23 = &v19;
                v30 = 15;
                // branch -> 0x47af0e
                while (true) {
                    // 0x47af0e
                    v31 = v30;
                    if (*(int16_t *)v23 == 0) {
                      lab_0x47af14:;
                        char v36 = v30 - 1; // 0x47af14
                        int32_t v37 = v23 - 2; // 0x47af17
                        if (v36 == 0) {
                            // break -> 0x47af20
                            break;
                        }
                        v23 = v37;
                        v30 = v36;
                        // continue -> 0x47af0e
                        continue;
                    }
                    // 0x47af20
                    v29 = v11;
                    if (v11 > v31) {
                        // 0x47af28
                        v29 = v31;
                        // branch -> 0x47af2e
                    }
                    // 0x47af2e
                    if (v31 == 0) {
                        // 0x47af34
                        v18 = (struct struct_222 *)64;
                        v21 = v15->e0;
                        *v21 = *v21 + 4;
                        *(int32_t *)*v21 = (int32_t)v18->e0;
                        v22 = v15->e0;
                        *v22 = *v22 + 4;
                        *(int32_t *)*v22 = (int32_t)v18->e0;
                        *(int32_t *)v16 = 1;
                        // branch -> 0x47b31e
                        // 0x47b31e
                        return;
                    }
                    // 0x47af6c
                    v12 = (int32_t)&v17;
                    v13 = v12;
                    v26 = 1;
                    v14 = v13;
                    // branch -> 0x47af79
                    while (true) {
                        // 0x47af79
                        v25 = v26;
                        if (*(int16_t *)(int32_t)v14 == 0) {
                          lab_0x47af82:;
                            char v38 = v26 + 1; // 0x47af82
                            if (v38 >= 16) {
                                // break -> 0x47af8f
                                break;
                            }
                            v26 = v38;
                            v14 += 2;
                            // continue -> 0x47af79
                            continue;
                        }
                        // 0x47af8f
                        v28 = v29;
                        if (v29 < v25) {
                            // 0x47af97
                            v28 = v25;
                            // branch -> 0x47af9d
                        }
                        // 0x47af9d
                        v24 = v12;
                        int32_t v39 = 1; // 0x47afac
                        v27 = 1;
                        // branch -> 0x47afac
                        while (true) {
                            // 0x47afac
                            v20 = 2 * v39 - (int32_t)v17[v24];
                            if (v20 <= -1) {
                                // 0x47afb7
                                // branch -> 0x47b31e
                                // 0x47b31e
                                return;
                            }
                          lab_0x47afbf:;
                            char v40 = v27 + 1; // 0x47afbf
                            if (v40 >= 16) {
                                // break -> 0x47afcb
                                break;
                            }
                            v24 += 2;
                            v39 = v20;
                            v27 = v40;
                            // continue -> 0x47afac
                        }
                        // 0x47afcb
                        int32_t v41; // 0x47b00c
                        char v42; // 0x47b00f
                        int32_t v43; // 0x47aff6_0
                        int32_t v44; // ebx
                        int32_t v45; // edx
                        int32_t v46; // esi
                        int16_t v47; // 0x52910
                        int16_t v48; // 0x52911
                        int16_t v49; // 0x52912
                        uint32_t v50; // 0x47b0da
                        int32_t v51;
                        int32_t v52;
                        struct struct_222 * v53; // bp-56
                        int32_t v54; // 0x47b024
                        int32_t v55; // 0x47b050
                        int32_t v56; // 0x47b055
                        int32_t v57; // 0x47b008
                        int32_t v58; // 0x47b02b
                        int16_t v59; // 0x47b005
                        int32_t v60; // 0x47b0e2
                        int32_t v61; // 0x47afff
                        int32_t v62; // 0x47b002
                        int32_t v63; // 0x47b028
                        int32_t v64; // 0x47b0ca
                        int32_t v65; // 0x47b0dc
                        int32_t v66; // 0x47b12e15
                        char v67;
                        char v68; // bp+033
                        int32_t v69;
                        int32_t v70; // 0x47b12914
                        int32_t v71;
                        int32_t v72; // 0x47b10b
                        int32_t v73; // 0x47b005
                        if (v20 >= 1) {
                            // 0x47afcf
                            if (g3 != 0) {
                                // 0x47afd5
                                if (v31 == 1) {
                                    // 0x47afe3
                                    v52 = 0;
                                    v43 = &v52;
                                    v9 = v43;
                                    int32_t v74 = v12; // 0x47afff
                                    v57 = v43;
                                    char v75 = 1; // bp+034
                                    v49 = v13;
                                    // branch -> 0x47afff
                                    while (true) {
                                        // 0x47afff
                                        v61 = v74 & -0x10000;
                                        v62 = v49;
                                        v44 = v62;
                                        v59 = *(int16_t *)v62;
                                        v73 = (int32_t)v59 + ((int32_t)*(int16_t *)v57 | v61);
                                        *(int16_t *)(v57 + 2) = (int16_t)v73;
                                        v41 = v9 + 2;
                                        v9 = v41;
                                        v42 = v75 + 1;
                                        if (v42 < 15) {
                                          lab_0x47afff:
                                            // 0x47afff
                                            v74 = v73 & 0xffff | v61;
                                            v57 = v41;
                                            v75 = v42;
                                            v49 += 2;
                                            // branch -> 0x47afff
                                            continue;
                                        } else {
                                            // 0x47b01c
                                            v45 = 0;
                                            v54 = g6;
                                            if (v54 != 0) {
                                                int32_t v76 = v54; // 0x47b05599
                                                int32_t v77 = 0; // 0x47b05097
                                                v48 = *v7;
                                                while (true) {
                                                    // 0x47b028
                                                    v63 = v48;
                                                    v58 = (int32_t)*(int16_t *)v63;
                                                    v56 = v76;
                                                    v55 = v77;
                                                    if ((v63 & -0x10000 || v58) != 0) {
                                                      lab_0x47b033:;
                                                        int16_t * v78 = (int16_t *)(2 * v58 - 132 + v6); // 0x47b036_0
                                                        *v78 = *v78 + 1;
                                                        int32_t v79 = v44 & -0x10000 | (int32_t)*v78; // 0x47b046
                                                        v44 = v51;
                                                        *(int16_t *)(2 * (v79 & 0xffff) + v51) = (int16_t)v45;
                                                        v56 = g6;
                                                        v55 = v45;
                                                        // branch -> 0x47b050
                                                    }
                                                  lab_0x47b050:;
                                                    int32_t v80 = v55 + 1; // 0x47b050
                                                    v45 = v80;
                                                    if (v56 <= v80) {
                                                        // break -> 0x47b059
                                                        break;
                                                    }
                                                    v76 = v56;
                                                    v77 = v80;
                                                    v48 += 2;
                                                    // continue -> 0x47b028
                                                }
                                                // 0x47b059
                                                // branch -> 0x47b059
                                            }
                                            // 0x47b059
                                            v66 = 0x4be204;
                                            v70 = -1;
                                            switch (g3) {
                                                case 0: {
                                                    // 0x47b065
                                                    v66 = v51;
                                                    v70 = 19;
                                                    // branch -> 0x47b0b1
                                                    break;
                                                }
                                                case 1: {
                                                    // 0x47b077
                                                    v66 = 0x4bdf84;
                                                    v70 = 256;
                                                    // branch -> 0x47b0b1
                                                    break;
                                                }
                                            }
                                            // 0x47b0b1
                                            v46 = 0;
                                            v53 = (struct struct_222 *)*v15->e0;
                                            v64 = v28;
                                            v9 = v64;
                                            v50 = v64 & 31;
                                            v65 = 1;
                                            if (v50 != 0) {
                                                // if_47b0da_0_true
                                                v65 = 1 << v50;
                                                // branch -> after_if_47b0da_0
                                            }
                                            // after_if_47b0da_0
                                            v60 = v65 - 1;
                                            if (g3 == 1) {
                                                // 0x47b0ec
                                                if (v65 >= 1456) {
                                                    // 0x47b0f5
                                                    // branch -> 0x47b31e
                                                    // 0x47b31e
                                                    return;
                                                }
                                            }
                                            // 0x47b0ff
                                            v3 = (struct struct_222){
                                                .e0 = NULL,
                                                .e1 = 0,
                                                .e2 = 0
                                            };
                                            v3.e0 = (int32_t *)(int32_t)v28;
                                            char v81 = v25;
                                            v67 = 0;
                                            v69 = v65;
                                            v71 = -1;
                                            int16_t v82 = v51;
                                            // branch -> 0x47b108
                                            while (true) {
                                              lab_0x47b108:
                                                // 0x47b108
                                                v72 = v67;
                                                v68 = v81;
                                                v47 = v82;
                                                // branch -> 0x47b108
                                              lab_0x47b108_3:
                                                while (true) {
                                                    int32_t v83 = (int32_t)*(int16_t *)(int32_t)v47; // 0x47b114
                                                    int32_t v84; // 0x47b159
                                                    struct struct_222 * v85;
                                                    int32_t v86; // 0x47b14e
                                                    int32_t v87; // 0x47b16d105
                                                    if (v83 < v70) {
                                                      lab_0x47b11f:
                                                        // 0x47b11f
                                                        v18 = NULL;
                                                        v85 = NULL;
                                                        // branch -> 0x47b14e
                                                    } else {
                                                        // 0x47b129
                                                        if (v83 > v70) {
                                                          lab_0x47b12e:;
                                                            struct struct_222 * v88 = (struct struct_222 *)(int32_t)*(char *)(2 * v83 + v66); // 0x47b134_0
                                                            v18 = v88;
                                                            v85 = v88;
                                                            // branch -> 0x47b14e
                                                        } else {
                                                          lab_0x47b144:
                                                            // 0x47b144
                                                            v18 = (struct struct_222 *)96;
                                                            v85 = (struct struct_222 *)96;
                                                            // branch -> 0x47b14e
                                                        }
                                                        // 0x47b14e
                                                        v86 = v68;
                                                        v45 = 1;
                                                        v84 = v86 - v72 & 31;
                                                        v87 = 1;
                                                        if (v84 != 0) {
                                                          lab_if_47b159_0_true:;
                                                            int32_t v89 = 1 << v84; // 0x47b159
                                                            v45 = v89;
                                                            v87 = v89;
                                                            // branch -> after_if_47b159_0
                                                        }
                                                      lab_after_if_47b159_0:;
                                                        uint32_t v90 = v9 & 31; // 0x47b162
                                                        char v91 = 1;
                                                        if (v90 != 0) {
                                                            // if_47b162_0_true
                                                            v91 = 1 << v90;
                                                            // branch -> after_if_47b162_0
                                                        }
                                                        int32_t v92 = v91; // 0x47b167
                                                        struct struct_222 * v93 = v85;
                                                        int32_t v94 = v87; // 0x47b16d
                                                        // branch -> 0x47b16d
                                                        while (true) {
                                                            int32_t v95 = (int32_t)v91 - v94; // 0x47b16d
                                                            char v96 = v95; // 0x47b16d_4
                                                            int32_t v97 = v95 + (v46 >> (v72 & 31)); // 0x47b177
                                                            int32_t * v98 = v53->e0;
                                                            int32_t * v99 = v93->e0;
                                                            *(int32_t *)(4 * v97 + (int32_t)v98) = (int32_t)v99;
                                                            if (v96 == 0) {
                                                                int32_t v100 = v86 - 1; // 0x47b18c
                                                                int32_t v101 = v100; // ecx
                                                                uint32_t v102 = v100 & 31; // 0x47b192
                                                                int32_t v103 = 1; // 0x47b198108
                                                                if (v102 != 0) {
                                                                    // if_47b192_0_true
                                                                    v103 = 1 << v102;
                                                                    // branch -> 0x47b198
                                                                }
                                                                int32_t v104 = v46; // 0x47b198
                                                                int32_t v105 = v103;
                                                                if ((v103 & v104) != 0) {
                                                                    int32_t v106; // 0x47b196
                                                                    while (true) {
                                                                        // 0x47b196
                                                                        v106 = v103 / 2;
                                                                        if ((v106 & v104) == 0) {
                                                                            // break (via goto) -> 0x47b198
                                                                            goto lab_0x47b198;
                                                                        }
                                                                        v103 = v106;
                                                                        // continue -> 0x47b196
                                                                    }
                                                                  lab_0x47b198:
                                                                    // 0x47b198
                                                                    v105 = v106;
                                                                    // branch -> 0x47b19c
                                                                }
                                                                // 0x47b19c
                                                                int32_t v107;
                                                                if (v105 == 0) {
                                                                    // 0x47b1a9
                                                                    v107 = 0;
                                                                    // branch -> 0x47b1ab
                                                                } else {
                                                                    int32_t v108 = v105 - 1; // 0x47b1a2
                                                                    v101 = v108;
                                                                    v107 = (v108 & v104) + v105;
                                                                    // branch -> 0x47b1ab
                                                                }
                                                                // 0x47b1ab
                                                                v46 = v107;
                                                                int16_t v109 = v47 + 2; // 0x47b1ab
                                                                int16_t (*v110)[2] = v8;
                                                                v2[0] = v110[0] - 1;
                                                                *v110 = v2;
                                                                char v111 = v68; // bp+032
                                                                int32_t v112; // 0x47b1dd
                                                                if ((v101 & -0x10000 | (int32_t)v8[0]) == 0) {
                                                                    // 0x47b1c1
                                                                    if (v68 == v31) {
                                                                        int32_t v113 = v46; // 0x47b2a6
                                                                        int32_t * v114;
                                                                        if (v113 == 0) {
                                                                            // 0x47b309
                                                                            v114 = v15->e0;
                                                                            *v114 = *v114 + 4 * v69;
                                                                            *(int32_t *)v16 = v64;
                                                                            // branch -> 0x47b31e
                                                                            // 0x47b31e
                                                                            return;
                                                                        }
                                                                        char v115 = v31; // bp+030
                                                                        char v116 = v67; // bp+020
                                                                        // branch -> 0x47b2aa
                                                                        while (true) {
                                                                            char v117 = v115; // bp+031
                                                                            char v118 = 0; // bp+021
                                                                            if (v116 != 0) {
                                                                                // 0x47b2b0
                                                                                if ((v113 & v60) != v71) {
                                                                                    // 0x47b2ba
                                                                                    v53 = (struct struct_222 *)*v15->e0;
                                                                                    v117 = v28;
                                                                                    v118 = 0;
                                                                                    // branch -> 0x47b2d3
                                                                                } else {
                                                                                    v117 = v115;
                                                                                    v118 = v116;
                                                                                }
                                                                            }
                                                                            int32_t * v119 = v53->e0;
                                                                            int32_t * v120 = ((struct struct_222 *)64)->e0;
                                                                            *(int32_t *)(4 * (v113 >> ((int32_t)v118 & 31)) + (int32_t)v119) = (int32_t)v120;
                                                                            int32_t v121 = 1 << ((int32_t)v117 - 1 & 31); // 0x47b2ec
                                                                            int32_t v122 = v46; // 0x47b2f2
                                                                            int32_t v123 = v121;
                                                                            if ((v121 & v122) != 0) {
                                                                                int32_t v124; // 0x47b2f0
                                                                                while (true) {
                                                                                    // 0x47b2f0
                                                                                    v124 = v121 / 2;
                                                                                    if ((v124 & v122) == 0) {
                                                                                        // break (via goto) -> 0x47b2f6
                                                                                        goto lab_0x47b2f6;
                                                                                    }
                                                                                    v121 = v124;
                                                                                    // continue -> 0x47b2f0
                                                                                }
                                                                              lab_0x47b2f6:
                                                                                // 0x47b2f6
                                                                                if (v121 < 2) {
                                                                                    // 0x47b305
                                                                                    // branch -> 0x47b309
                                                                                    // 0x47b309
                                                                                    // branch -> 0x47b309
                                                                                    // 0x47b309
                                                                                    v114 = v15->e0;
                                                                                    *v114 = *v114 + 4 * v69;
                                                                                    *(int32_t *)v16 = v64;
                                                                                    // branch -> 0x47b31e
                                                                                    // 0x47b31e
                                                                                    return;
                                                                                }
                                                                                v123 = v124;
                                                                            }
                                                                            int32_t v125 = (v123 - 1 & v122) + v123; // 0x47b2ff
                                                                            v46 = v125;
                                                                            if (v125 == 0) {
                                                                                // break (via goto) -> 0x47b309
                                                                                goto lab_0x47b309;
                                                                            }
                                                                            v113 = v125;
                                                                            v115 = v117;
                                                                            v116 = v118;
                                                                            // continue -> 0x47b2aa
                                                                        }
                                                                      lab_0x47b309:
                                                                        // 0x47b309
                                                                        // branch -> 0x47b309
                                                                        // 0x47b309
                                                                        v114 = v15->e0;
                                                                        *v114 = *v114 + 4 * v69;
                                                                        *(int32_t *)v16 = v64;
                                                                        // branch -> 0x47b31e
                                                                        // 0x47b31e
                                                                        return;
                                                                    }
                                                                    // 0x47b1cd
                                                                    v111 = v7[(int32_t)v109];
                                                                    // branch -> 0x47b1dd
                                                                    // 0x47b1dd
                                                                    v112 = v111;
                                                                    int32_t v126; // 0x47b1ec
                                                                    if (v111 > v28) {
                                                                      lab_0x47b1e9:
                                                                        // 0x47b1e9
                                                                        v126 = v46 & v60;
                                                                        if (v126 != v71) {
                                                                            // break (via goto) -> 0x47b1f7
                                                                            goto lab_0x47b1f7;
                                                                        }
                                                                        v68 = v111;
                                                                        v47 = v109;
                                                                        // continue (via goto) -> 0x47b108
                                                                        goto lab_0x47b108_3;
                                                                    } else {
                                                                      lab_0x47b1dd:
                                                                        // 0x47b1dd
                                                                        v68 = v111;
                                                                        v47 = v109;
                                                                        // branch -> 0x47b108
                                                                        break;
                                                                    }
                                                                    while (true) {
                                                                        uint16_t v127 = *(int16_t *)(int32_t)v47; // 0x47b114
                                                                        v83 = v127;
                                                                        if (v83 < v70) {
                                                                            goto lab_0x47b11f;
                                                                        }
                                                                        // 0x47b129
                                                                        if (v83 > v70) {
                                                                            goto lab_0x47b12e;
                                                                        }
                                                                        goto lab_0x47b144;
                                                                    }
                                                                  lab_0x47b1f7:;
                                                                    char v128 = v67; // bp+022
                                                                    if (v67 == 0) {
                                                                        // 0x47b1fd
                                                                        v128 = v28;
                                                                        // branch -> 0x47b203
                                                                    }
                                                                    struct struct_222 * v129 = (struct struct_222 *)((int32_t)v53->e0 + 4 * v92); // 0x47b209_12
                                                                    v53 = v129;
                                                                    int32_t v130 = v128; // 0x47b20f
                                                                    int32_t v131 = v112 - v130; // 0x47b20f
                                                                    v9 = v131;
                                                                    uint32_t v132 = v131 & 31; // 0x47b219
                                                                    int32_t v133 = 1;
                                                                    if (v132 != 0) {
                                                                        // if_47b219_0_true
                                                                        v133 = 1 << v132;
                                                                        // branch -> 0x47b22b
                                                                    }
                                                                    int32_t v134; // 0x47b23c
                                                                    int32_t v135; // 0x47b23e
                                                                    if (v111 < v31) {
                                                                        int32_t v136 = v112; // 0x47b22e190
                                                                        // branch -> 0x47b21d
                                                                        int32_t v137; // 0x47b228
                                                                        while (true) {
                                                                            uint16_t v138 = *(int16_t *)(2 * v136 - 100 + v6); // 0x47b21d
                                                                            int32_t v139 = v133 - (int32_t)v138; // 0x47b222
                                                                            if (v139 < 1) {
                                                                                // 0x47b21d
                                                                                // branch -> 0x47b235
                                                                            } else {
                                                                                // 0x47b228
                                                                                v137 = v131 + 1;
                                                                                v9 = v137;
                                                                                int32_t v140 = 2 * v139; // 0x47b229
                                                                                int32_t v141 = v137 + v130; // 0x47b22e
                                                                                if (v141 >= (int32_t)v31) {
                                                                                    // break (via goto) -> 0x47b22b
                                                                                    goto lab_0x47b22b;
                                                                                }
                                                                                v136 = v141;
                                                                                v131 = v137;
                                                                                v133 = v140;
                                                                                // continue -> 0x47b21d
                                                                                continue;
                                                                            }
                                                                          lab_0x47b235:
                                                                            // 0x47b235
                                                                            v134 = v131 & 31;
                                                                            v135 = 1;
                                                                            if (v134 != 0) {
                                                                              lab_if_47b23c_0_true:
                                                                                // if_47b23c_0_true
                                                                                v135 = 1 << v134;
                                                                                // branch -> after_if_47b23c_0
                                                                            }
                                                                          lab_after_if_47b23c_0:;
                                                                            int32_t v142 = v135 + v69; // 0x47b23e
                                                                            if (g3 == 1) {
                                                                                // 0x47b247
                                                                                if (v142 >= 1456) {
                                                                                    // 0x47b250
                                                                                    // branch -> 0x47b31e
                                                                                    // 0x47b31e
                                                                                    return;
                                                                                }
                                                                            }
                                                                            // 0x47b25a
                                                                            *v15 = v3;
                                                                            int32_t v143 = (int32_t)v129->e0 - *v15->e0; // 0x47b27a
                                                                            int32_t v144 = v143; // 0x47b283
                                                                            if (v143 <= 0) {
                                                                                // 0x47b280
                                                                                v144 = v143 + 3;
                                                                                // branch -> 0x47b283
                                                                            }
                                                                            // 0x47b283
                                                                            v4 = (struct struct_222){
                                                                                .e0 = NULL,
                                                                                .e1 = 0,
                                                                                .e2 = 0
                                                                            };
                                                                            v4.e0 = (int32_t *)(v144 / 4 & 0xffff);
                                                                            *v15 = v4;
                                                                            v81 = v111;
                                                                            v67 = v128;
                                                                            v69 = v142;
                                                                            v71 = v126;
                                                                            v82 = v109;
                                                                            // branch -> 0x47b108
                                                                            goto lab_0x47b108;
                                                                        }
                                                                      lab_0x47b22b:
                                                                        // 0x47b22b
                                                                        v131 = v137;
                                                                        // branch -> 0x47b235
                                                                        goto lab_0x47b235;
                                                                    }
                                                                    // 0x47b235
                                                                    v134 = v131 & 31;
                                                                    if (v134 == 0) {
                                                                        v135 = 1;
                                                                        goto lab_after_if_47b23c_0;
                                                                    }
                                                                    goto lab_if_47b23c_0_true;
                                                                }
                                                                // 0x47b1dd
                                                                v112 = v111;
                                                                if (v111 > v28) {
                                                                    goto lab_0x47b1e9;
                                                                }
                                                                goto lab_0x47b1dd;
                                                            } else {
                                                                // after_if_47b175_0.dec_label_pc_47b16d_crit_edge
                                                                v93 = v18;
                                                                v94 = v45;
                                                                v91 = v96;
                                                                // branch -> 0x47b16d
                                                                continue;
                                                            }
                                                        }
                                                    }
                                                    // 0x47b14e
                                                    v86 = v68;
                                                    v45 = 1;
                                                    v84 = v86 - v72 & 31;
                                                    if (v84 == 0) {
                                                        v87 = 1;
                                                        goto lab_after_if_47b159_0;
                                                    }
                                                    goto lab_if_47b159_0_true;
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                            // 0x47afdb
                            // branch -> 0x47b31e
                            // 0x47b31e
                            return;
                        }
                        // 0x47afe3
                        v52 = 0;
                        v43 = &v52;
                        v57 = v43;
                        v49 = v13;
                        // branch -> 0x47afff
                        while (true) {
                            // 0x47afff
                            v61 = v12 & -0x10000;
                            v62 = v49;
                            v44 = v62;
                            v59 = *(int16_t *)v62;
                            v73 = (int32_t)v59 + ((int32_t)*(int16_t *)v57 | v61);
                            *(int16_t *)(v57 + 2) = (int16_t)v73;
                            v41 = v43 + 2;
                            v9 = v41;
                            v42 = 2;
                            if (v42 < 15) {
                                goto lab_0x47afff;
                            }
                            // 0x47b01c
                            v45 = 0;
                            v54 = g6;
                            if (v54 != 0) {
                                v48 = *v7;
                                while (true) {
                                    // 0x47b028
                                    v63 = v48;
                                    v58 = (int32_t)*(int16_t *)v63;
                                    if ((v63 & -0x10000 || v58) == 0) {
                                        v56 = v54;
                                        v55 = 0;
                                        goto lab_0x47b050;
                                    }
                                    goto lab_0x47b033;
                                }
                            }
                            // 0x47b059
                            v66 = 0x4be204;
                            v70 = -1;
                            switch (g3) {
                                case 0: {
                                    // 0x47b065
                                    v66 = v51;
                                    v70 = 19;
                                    // branch -> 0x47b0b1
                                    break;
                                }
                                case 1: {
                                    // 0x47b077
                                    v66 = 0x4bdf84;
                                    v70 = 256;
                                    // branch -> 0x47b0b1
                                    break;
                                }
                            }
                            // 0x47b0b1
                            v46 = 0;
                            v53 = (struct struct_222 *)*v15->e0;
                            v64 = v28;
                            v9 = v64;
                            v50 = v64 & 31;
                            v65 = 1;
                            if (v50 != 0) {
                                // if_47b0da_0_true
                                v65 = 1 << v50;
                                // branch -> after_if_47b0da_0
                            }
                            // after_if_47b0da_0
                            v60 = v65 - 1;
                            if (g3 == 1) {
                                // 0x47b0ec
                                if (v65 >= 1456) {
                                    // 0x47b0f5
                                    // branch -> 0x47b31e
                                    // 0x47b31e
                                    return;
                                }
                            }
                            // 0x47b0ff
                            v3 = (struct struct_222){
                                .e0 = NULL,
                                .e1 = 0,
                                .e2 = 0
                            };
                            v3.e0 = (int32_t *)(int32_t)v28;
                            v67 = 0;
                            v69 = v65;
                            v71 = -1;
                            // branch -> 0x47b108
                            while (true) {
                                // 0x47b108
                                v72 = v67;
                                v68 = v25;
                                v47 = v51;
                                // branch -> 0x47b108
                                goto lab_0x47b108_3;
                            }
                        }
                    }
                    // 0x47b31e
                    return;
                }
            }
        }
    }
    // 0x47aefc
    v11 = (char)*(int32_t *)v16;
    v23 = &v19;
    v30 = 15;
    // branch -> 0x47af0e
    while (true) {
        // 0x47af0e
        if (*(int16_t *)v23 == 0) {
            goto lab_0x47af14;
        }
        v31 = v30;
        // 0x47af20
        v29 = v11;
        if (v11 > v31) {
            // 0x47af28
            v29 = v31;
            // branch -> 0x47af2e
        }
        // 0x47af2e
        if (v31 == 0) {
            // 0x47af34
            v18 = (struct struct_222 *)64;
            v21 = v15->e0;
            *v21 = *v21 + 4;
            *(int32_t *)*v21 = (int32_t)v18->e0;
            v22 = v15->e0;
            *v22 = *v22 + 4;
            *(int32_t *)*v22 = (int32_t)v18->e0;
            *(int32_t *)v16 = 1;
            // branch -> 0x47b31e
            // 0x47b31e
            return;
        }
        // 0x47af6c
        v12 = (int32_t)&v17;
        v13 = v12;
        v26 = 1;
        v14 = v13;
        // branch -> 0x47af79
        while (true) {
            // 0x47af79
            if (*(int16_t *)(int32_t)v14 == 0) {
                goto lab_0x47af82;
            }
            v25 = v26;
            // 0x47af8f
            v28 = v29;
            if (v29 < v25) {
                // 0x47af97
                v28 = v25;
                // branch -> 0x47af9d
            }
            // 0x47af9d
            v24 = v12;
            v27 = 1;
            // branch -> 0x47afac
            while (true) {
                // 0x47afac
                v20 = 2 - (int32_t)v17[v24];
                if (v20 > -1) {
                    goto lab_0x47afbf;
                }
                // 0x47afb7
                // branch -> 0x47b31e
                // 0x47b31e
                return;
            }
        }
    }
}

// Address range: 0x47b328 - 0x47b32b
void function_47b328(void) {
    // 0x47b328
    return;
}

// Address range: 0x47b32c - 0x47b39b
void function_47b32c(void) {
    int32_t v1 = g3; // ebx
    function_47b328();
    *(int32_t *)(v1 + 2840) = v1 + 148;
    *(int32_t *)(v1 + 2848) = 0x4be990;
    *(int32_t *)(v1 + 2852) = v1 + 2440;
    *(int32_t *)(v1 + 2860) = 0x4be9a4;
    *(int32_t *)(v1 + 2864) = v1 + 2684;
    *(int32_t *)(v1 + 2872) = 0x4be9b8;
    *(int16_t *)(v1 + 0x16b8) = 0;
    *(int32_t *)(v1 + 0x16bc) = 0;
    g3 = v1;
    *(int32_t *)(v1 + 0x16b4) = 8;
    function_47b39c();
    int32_t v2;
    g5 = v2;
}

// Address range: 0x47b39c - 0x47b407
void function_47b39c(void) {
    int32_t v1 = g3 + 148; // 0x47b39e
    *(int16_t *)v1 = 0;
    int32_t v2 = 1; // 0x47b3a9
    // branch -> 0x47b3a4
    while (v2 < 286) {
        // 0x47b3a4
        v1 += 4;
        *(int16_t *)v1 = 0;
        v2++;
        // continue -> 0x47b3a4
    }
    int32_t v3 = g3 + 2440; // 0x47b3b7
    *(int16_t *)v3 = 0;
    int32_t v4 = 1; // 0x47b3c2
    int32_t v5 = v3 + 4; // 0x47b3c3
    // branch -> 0x47b3bd
    while (v4 < 30) {
        // 0x47b3bd
        *(int16_t *)v5 = 0;
        v4++;
        v5 += 4;
        // continue -> 0x47b3bd
    }
    int32_t v6 = g3 + 2684; // 0x47b3cd
    *(int16_t *)v6 = 0;
    int32_t v7 = 1; // 0x47b3d8
    int32_t v8 = v6 + 4; // 0x47b3d9
    // branch -> 0x47b3d3
    while (v7 < 19) {
        // 0x47b3d3
        *(int16_t *)v8 = 0;
        v7++;
        v8 += 4;
        // continue -> 0x47b3d3
    }
    // 0x47b3e1
    *(int16_t *)(g3 + 1172) = 1;
    v1 = 0;
    *(int32_t *)(g3 + 0x16ac) = 0;
    *(int32_t *)(g3 + 0x16a8) = 0;
    *(int32_t *)(g3 + 0x16b0) = v1;
    *(int32_t *)(g3 + 0x16a0) = v1;
}

// Address range: 0x47b408 - 0x47b4fb
void function_47b408(void) {
    int32_t v1 = *(int32_t *)(g3 + 2908 + 4 * g6); // 0x47b414
    int32_t v2 = 2 * g6; // 0x47b426
    int32_t v3 = g3 + 0x1458 + v1; // 0x47b428
    int32_t v4 = g8 + 4 * v1; // ecx
    int32_t v5 = g3; // 0x47b4ee
    int32_t v6 = g6; // 0x47b4e71
    // branch -> 0x47b4db
    while (true) {
        int32_t v7 = *(int32_t *)(v5 + 0x1450); // 0x47b4db
        int32_t v8;
        if (v2 > v7) {
            // 0x47b4e7
            *(int32_t *)(v5 + 2908 + 4 * v6) = v1;
            g5 = v8;
            return;
        }
        // 0x47b43f
        int32_t v9; // 0x47b4957
        int32_t v10; // 0x47b4ad
        int32_t v11;
        if (v2 < v7) {
            int32_t v12 = 4 * v2; // 0x47b447
            int32_t * v13 = (int32_t *)(v5 + 2912 + v12); // 0x47b447_0
            int32_t v14 = *v13; // 0x47b447
            int32_t v15 = v5 + 2908; // 0x47b44e
            int32_t * v16 = (int32_t *)(v15 + v12); // 0x47b44e_0
            uint16_t v17 = *(int16_t *)(g8 + 4 * v14); // 0x47b455
            int16_t v18 = *(int16_t *)(4 * *v16 + g8); // 0x47b459
            int32_t * v19; // 0x47b496_0
            int16_t * v20; // 0x47b4a1_0
            uint16_t v21; // 0x47b49d
            int32_t v22; // 0x47b496
            int32_t v23; // 0x47b49d
            if (((int32_t)v17 || v14 & -0x10000) < (int32_t)v18) {
              lab_0x47b495:
                // 0x47b495
                v9 = v2 | 1;
                v2 = v9;
                v11 = v15;
                v10 = g8;
                // branch -> 0x47b496
            } else {
                int32_t v24 = *v13; // 0x47b45f
                uint16_t v25 = *(int16_t *)(4 * v24 + g8); // 0x47b46d
                int16_t v26 = *(int16_t *)(4 * *v16 + g8); // 0x47b471
                if (((int32_t)v25 || v24 & -0x10000) == (int32_t)v26) {
                    int32_t v27 = *v13; // 0x47b477
                    int32_t v28 = v5 + 0x1458; // 0x47b485
                    unsigned char v29 = *(char *)(v27 + v28); // 0x47b485
                    char v30 = *(char *)(*v16 + v28); // 0x47b48c
                    if (((int32_t)v29 || v27 & -256) <= (int32_t)v30) {
                        goto lab_0x47b495;
                    }
                    v11 = v15;
                    v10 = g8;
                    // 0x47b496
                    v19 = (int32_t *)(4 * v2 + v11);
                    v22 = *v19;
                    v21 = *(int16_t *)(4 * v22 + v10);
                    v23 = v22 & -0x10000;
                    v20 = (int16_t *)v4;
                    if (((int32_t)v21 || v23) > (int32_t)*v20) {
                        // 0x47b4e7
                        *(int32_t *)(v5 + 2908 + 4 * v6) = v1;
                        g5 = v8;
                        return;
                    }
                  lab_0x47b4a6_2:;
                    int32_t v31 = *v19; // 0x47b4a6
                    uint16_t v32 = *(int16_t *)(4 * v31 + v10); // 0x47b4ad
                    if (((int32_t)v32 || v23) == (int32_t)*v20) {
                        char v33 = *(char *)(v5 + 0x1458 + v31); // 0x47b4bc
                        if (((int32_t)*(char *)v3 || v3 & -256) <= (int32_t)v33) {
                            // 0x47b4e7
                            *(int32_t *)(v5 + 2908 + 4 * v6) = v1;
                            g5 = v8;
                            return;
                        }
                    }
                    // 0x47b4c5
                    *(int32_t *)(v11 + 4 * v6) = *v19;
                    int32_t v34 = v2; // 0x47b4d6
                    v2 = 2 * v34;
                    v5 = g3;
                    v6 = v34;
                    // branch -> 0x47b4db
                    continue;
                } else {
                    v11 = v15;
                    v10 = g8;
                    v9 = v2;
                }
            }
          lab_0x47b496:
            // 0x47b496
            v19 = (int32_t *)(4 * v9 + v11);
            v22 = *v19;
            v21 = *(int16_t *)(4 * v22 + v10);
            v23 = v22 & -0x10000;
            v20 = (int16_t *)v4;
            if (((int32_t)v21 || v23) <= (int32_t)*v20) {
                goto lab_0x47b4a6_2;
            }
            // 0x47b4e7
            *(int32_t *)(v5 + 2908 + 4 * v6) = v1;
            g5 = v8;
            return;
        }
        // 0x47b43f
        v11 = v5 + 2908;
        v10 = g8;
        v9 = v2;
        // branch -> 0x47b496
        goto lab_0x47b496;
    }
}

// Address range: 0x47b4fc - 0x47b6fb
void function_47b4fc(void) {
    int32_t v1 = *(int32_t *)(g8 + 4); // 0x47b506
    int32_t v2 = *(int32_t *)g8; // esi
    int32_t v3 = *(int32_t *)(g8 + 8); // 0x47b50f
    int32_t v4 = *(int32_t *)v3; // 0x47b514
    uint32_t v5 = *(int32_t *)(v3 + 8); // 0x47b521
    int32_t v6 = *(int32_t *)(v3 + 16); // eax
    int32_t v7 = g3 + 2876; // 0x47b534
    *(int16_t *)v7 = 0;
    int32_t v8 = 1; // 0x47b53f
    int32_t v9 = v7 + 2; // 0x47b540
    // branch -> 0x47b53a
    while (v8 < 16) {
        // 0x47b53a
        *(int16_t *)v9 = 0;
        v8++;
        v9 += 2;
        // continue -> 0x47b53a
    }
    int32_t * v10 = (int32_t *)(g3 + 0x1454); // 0x47b54e_0
    int32_t v11 = g3 + 2908; // 0x47b554
    int32_t v12 = *(int32_t *)(4 * *v10 + v11); // 0x47b554
    *(int16_t *)(v2 + 2 + 4 * v12) = 0;
    int32_t v13 = *v10 + 1; // 0x47b56b
    int32_t v14 = 4 * v13 + v11; // 0x47b57f
    int32_t v15 = v14; // ecx
    int32_t v16 = 0; // 0x47b67511
    int32_t v17 = v13; // 0x47b6ae4
    int32_t v18; // ebx
    int32_t v19; // edx
    if (v13 <= 572) {
        int32_t * v20 = (int32_t *)(g3 + 0x16a8); // 0x47b5ef_0
        int32_t * v21 = (int32_t *)(g3 + 0x16ac); // 0x47b614_0
        int32_t v22 = 0; // 0x47b67510
        // branch -> 0x47b58c
        int32_t v23; // 0x47b6759
        while (true) {
            int32_t v24 = *(int32_t *)v14; // 0x47b58c
            v18 = v24;
            int32_t v25 = v2 + 2; // 0x47b58e
            int16_t * v26 = (int16_t *)(v25 + 4 * v24); // 0x47b58e_0
            uint16_t v27 = *(int16_t *)(4 * (int32_t)*v26 + v25); // 0x47b593
            int32_t v28 = (int32_t)v27 + 1; // 0x47b598
            v19 = v28;
            int32_t v29 = v6; // 0x47b599
            int16_t v30 = v28;
            v23 = v22;
            if (v29 < v28) {
                // 0x47b59d
                v19 = v29;
                v30 = v29;
                v23 = v22 + 1;
                // branch -> 0x47b5a3
            }
            // 0x47b5a3
            *v26 = v30;
            if (v18 <= v1) {
                int16_t * v31 = (int16_t *)(2 * v19 + v7); // 0x47b5b1_0
                *v31 = *v31 + 1;
                uint32_t v32 = v18; // 0x47b5bf
                int32_t v33 = 0; // 0x47b6057
                if (v32 >= v5) {
                    // 0x47b5c5
                    v33 = *(int32_t *)(4 * (v32 - v5) + *(int32_t *)(v3 + 4));
                    // branch -> 0x47b5d7
                }
                int32_t v34 = (int32_t)*(int16_t *)(v2 + 4 * v32); // 0x47b5d7
                *v20 = (v19 + v33) * v34 + *v20;
                if (v4 != 0) {
                    uint16_t v35 = *(int16_t *)(v4 + 2 + 4 * v18); // 0x47b600
                    *v21 = ((int32_t)v35 + v33) * v34 + *v21;
                    // branch -> 0x47b61a
                }
            }
            int32_t v36 = v13 + 1; // 0x47b61a
            int32_t v37 = v15 + 4; // 0x47b61e
            v15 = v37;
            if (v36 >= 573) {
                // break -> 0x47b62f
                break;
            }
            v14 = v37;
            v22 = v23;
            v13 = v36;
            // continue -> 0x47b58c
        }
        // 0x47b62f
        v16 = v23;
        v17 = 573;
        // branch -> 0x47b62f
    }
    // 0x47b62f
    int32_t v38;
    if (v16 == 0) {
        // 0x47b6f3
        g5 = v38;
        return;
    }
    int32_t v39 = g3 + 2878; // 0x47b661
    // branch -> 0x47b63a
    while (true) {
        int32_t v40 = v6 - 1; // 0x47b63a
        v19 = v40;
        int32_t v41 = 2 * v40 + v7; // 0x47b640
        int16_t * v42; // 0x47b656_0
        int16_t * v43; // 0x47b661_0
        int16_t * v44; // 0x47b66d_0
        int32_t v45; // 0x47b675
        if (*(int16_t *)v41 == 0) {
            int32_t v46 = v40 - 1; // 0x47b649
            while (*(int16_t *)(v41 - 2) == 0) {
                // 0x47b649
                v41 -= 2;
                v46--;
                // continue -> 0x47b649
            }
            // 0x47b653
            v42 = (int16_t *)(2 * v46 + v7);
            *v42 = *v42 - 1;
            v43 = (int16_t *)(v39 + 2 * v46);
            *v43 = *v43 + 2;
            v44 = (int16_t *)(2 * v6 + v7);
            *v44 = *v44 - 1;
            v45 = v16 - 2;
            if (v45 <= 0) {
                // break -> 0x47b681
                break;
            }
            v16 = v45;
            // continue -> 0x47b63a
            continue;
        }
        // 0x47b653
        v42 = (int16_t *)(2 * v40 + v7);
        *v42 = *v42 - 1;
        v43 = (int16_t *)(v39 + 2 * v19);
        *v43 = *v43 + 2;
        v44 = (int16_t *)(2 * v6 + v7);
        *v44 = *v44 - 1;
        v45 = v16 - 2;
        if (v45 <= 0) {
            // break -> 0x47b681
            break;
        }
        v16 = v45;
        // continue -> 0x47b63a
    }
    int32_t v47 = v6; // 0x47b681
    v19 = v47;
    if (v47 == 0) {
        // 0x47b6f3
        g5 = v38;
        return;
    }
    int32_t * v48 = (int32_t *)(g3 + 0x16a8); // 0x47b6d9_0
    int32_t v49 = 2 * v47 + v7;
    // branch -> 0x47b695
  lab_0x47b695:
    while (true) {
        uint16_t v50 = *(int16_t *)v49; // 0x47b699
        int32_t v51 = v50; // 0x47b699
        v18 = v51;
        int32_t v52 = 4 * v17 + v11; // 0x47b6a357
        int32_t v53; // 0x47b6e9
        if (v50 != 0) {
            int32_t v54 = v17; // 0x47b6ae360
            while (true) {
                int32_t v55 = v54 - 1; // 0x47b6ae47
                int32_t v56 = v52 - 4; // 0x47b6b248
                v6 = v56;
                int32_t v57 = *(int32_t *)v56; // 0x47b6b550
                v15 = v57;
                if (v57 > v1) {
                    // 0x47b69c
                    if (v51 == 0) {
                        // break -> 0x47b6e9
                        break;
                    }
                    v52 = 4 * v55 + v11;
                    v54 = v55;
                    // continue -> 0x47b6ae
                    continue;
                } else {
                    int32_t v58 = v51; // 0x47b6aa3652
                    int32_t v59; // 0x47b6e4
                    int32_t v60; // 0x47b6ae
                    while (true) {
                        int32_t v61 = 4 * v57; // 0x47b6bd
                        int16_t * v62 = (int16_t *)((v61 | 2) + v2); // 0x47b6bd_0
                        int32_t v63 = v58; // 0x47b6e4
                        if ((int32_t)*v62 != v19) {
                            uint16_t v64 = *v62; // 0x47b6c6
                            uint16_t v65 = *(int16_t *)(v2 + v61); // 0x47b6cf
                            int32_t v66 = *v48; // 0x47b6d9
                            *v48 = (int32_t)v65 * (v19 - (int32_t)v64) + v66;
                            *(int16_t *)(v2 + 2 + 4 * v15) = (int16_t)v19;
                            v63 = v18;
                            // branch -> 0x47b6e4
                        }
                        // 0x47b6e4
                        v59 = v63 - 1;
                        v18 = v59;
                        if (v59 != 0) {
                            // 0x47b6e4
                            v60 = v55 - 1;
                            int32_t v67 = v6 - 4; // 0x47b6b2
                            v6 = v67;
                            int32_t v68 = *(int32_t *)v67; // 0x47b6b5
                            v15 = v68;
                            if (v68 > v1) {
                                // break -> 0x47b69c
                                break;
                            }
                            v57 = v68;
                            v55 = v60;
                            v58 = v59;
                            // continue -> 0x47b6bd
                            continue;
                        }
                    }
                    // 0x47b69c
                    v52 = 4 * v60 + v11;
                    v54 = v60;
                    v51 = v59;
                    // branch -> 0x47b6ae
                    continue;
                }
                int32_t v69 = v19; // 0x47b6e9
                v53 = v69 - 1;
                v19 = v53;
                int32_t v70 = v49 - 2; // 0x47b6ea
                if (v53 == 0) {
                    // break (via goto) -> 0x47b6f3
                    goto lab_0x47b6f3;
                }
                v49 = v70;
                int32_t v71; // 0x47b6ae2
                v17 = v71;
                // continue (via goto) -> 0x47b695
                goto lab_0x47b695;
            }
            // 0x47b6f3
            // branch -> 0x47b6f3
            // 0x47b6f3
            g5 = v38;
            return;
        }
        // 0x47b6e9
        v53 = v19 - 1;
        v19 = v53;
        if (v53 == 0) {
            // break -> 0x47b6f3
            break;
        }
        v49 -= 2;
        // continue -> 0x47b695
    }
  lab_0x47b6f3:
    // 0x47b6f3
    // branch -> 0x47b6f3
    // 0x47b6f3
    g5 = v38;
}

// Address range: 0x47b6fc - 0x47b76b
void function_47b6fc(void) {
    int16_t * v1 = (int16_t *)g6; // 0x47b702_0
    int32_t v2 = g8; // 0x47b706
    int32_t v3 = 1; // ecx
    int32_t v4;
    int32_t v5 = &v4; // 0x47b710_0
    int32_t v6 = (int32_t)*v1; // 0x47b714_0
    int32_t v7 = 0; // 0x47b71b
    int32_t v8 = g7; // 0x47b718
    // branch -> 0x47b718
    while (true) {
        uint16_t v9 = v1[v6]; // 0x47b718
        int32_t v10 = 2 * ((int32_t)v9 + v7 & 0xffff | v8 & 0x7fff0000); // 0x47b71e
        *(int16_t *)v5 = (int16_t)v10;
        int32_t v11 = v3 + 1; // 0x47b725
        v3 = v11;
        if (v11 >= 16) {
            int32_t v12 = 0; // edi
            if (v2 < 0) {
                // 0x47b763
                return;
            }
            int32_t v13 = 0; // 0x47b75a7
            int32_t v14 = g3 + 2; // 0x47b73b
            while (true) {
                uint16_t v15 = *(int16_t *)v14; // 0x47b73b
                int32_t v16 = v15; // 0x47b73b
                int32_t v17 = v16; // esi
                int32_t v18 = v14; // 0x47b75b
                int32_t v19 = v13; // 0x47b75a
                if (v15 != 0) {
                    int16_t * v20 = (int16_t *)(2 * v16 + 8 + g11); // 0x47b742_0
                    *v20 = *v20 + 1;
                    g3 = (g3 & -0x10000 | (int32_t)*v20) & 0xffff;
                    g8 = v17;
                    function_47cfd8();
                    *(int16_t *)(g5 - 2) = (int16_t)g3;
                    v18 = g5;
                    v19 = v12;
                    // branch -> 0x47b75a
                }
                int32_t v21 = v19 + 1; // 0x47b75a
                v12 = v21;
                if (v21 > v2) {
                    // break -> 0x47b763
                    break;
                }
                v13 = v21;
                v14 = v18 + 4;
                // continue -> 0x47b73b
            }
            // 0x47b763
            return;
        }
        // 0x47b718
        v5 += 2;
        v7 = v10;
        v8 = v10;
        v6 += 2;
        // branch -> 0x47b718
    }
}

// Address range: 0x47b76c - 0x47b97b
void function_47b76c(void) {
    int32_t v1 = g10; // 0x47b76d
    int32_t v2 = g7; // 0x47b76e
    int32_t v3 = g4; // 0x47b76f
    int32_t * v4; // bp-32
    int32_t v5 = (int32_t)&v4; // 0x47b770_4
    g11 = v5;
    int32_t v6 = g3; // 0x47b773
    g5 = v6;
    int32_t v7 = 0; // esi
    int32_t v8 = g8; // 0x47b777
    int32_t * v9 = (int32_t *)v8; // 0x47b777_0
    v4 = v9;
    g4 = *v9;
    int32_t v10 = *(int32_t *)(v8 + 8); // 0x47b782
    int32_t v11 = v6 + 0x1458; // edx
    int32_t v12 = *(int32_t *)(v10 + 12); // 0x47b791
    *(int32_t *)(v6 + 0x1450) = 0;
    int32_t v13 = g4; // eax
    *(int32_t *)(g5 + 0x1454) = 573;
    int32_t v14 = v7; // 0x47b7b4
    int32_t v15 = -1;
    int32_t * v16; // 0x47b846_0
    int32_t * v17; // 0x47b880_0
    int32_t * v18; // 0x47b8b4_0
    int32_t * v19; // 0x47b8c7_0
    char * v20; // 0x47b8eb_0
    char * v21; // 0x47b8f2_0
    int32_t v22; // ecx
    int32_t v23;
    int32_t v24; // 0x47b8df
    int32_t v25; // 0x47b8df
    int32_t v26; // 0x47b859
    int32_t v27; // 0x47b85f
    int32_t v28; // 0x47b88c
    int32_t v29; // 0x47b8ae
    int32_t v30; // 0x47b8ba
    int32_t v31; // 0x47b8cd
    int32_t v32; // 0x47b893
    int32_t v33; // 0x47b8da
    int32_t v34; // 0x47b859
    int32_t v35; // 0x47b876
    int32_t v36; // 0x47b8ba
    int32_t v37; // 0x47b9683
    int32_t v38; // 0x47b893
    uint16_t v39; // 0x47b8da
    int32_t v40; // 0x47b8eb
    int16_t v41; // 0x47b8df
    int32_t v42; // 0x47b8da
    if (v14 < v12) {
        int32_t v43 = v13; // 0x47b7e0
        int32_t v44 = -1; // 0x47b9685
        // branch -> 0x47b7be
        while (true) {
            // 0x47b7be
            int32_t v45; // 0x47b9684
            if (*(int16_t *)v43 == 0) {
                // 0x47b7e0
                *(int16_t *)(v43 + 2) = 0;
                v45 = v44;
                // branch -> 0x47b7e6
            } else {
                int32_t * v46 = (int32_t *)(g5 + 0x1450); // 0x47b7c8_0
                *v46 = *v46 + 1;
                int32_t v47 = g5; // 0x47b7ce
                *(int32_t *)(v47 + 2908 + 4 * *(int32_t *)(v47 + 0x1450)) = v7;
                *(char *)v11 = 0;
                v45 = v14;
                // branch -> 0x47b7e6
            }
            int32_t v48 = v7 + 1; // 0x47b7e6
            v7 = v48;
            v11++;
            int32_t v49 = v13 + 4; // 0x47b7e8
            v13 = v49;
            if (v48 >= v12) {
                v15 = v45;
                // break -> 0x47b846
                break;
            }
            v14 = v48;
            v43 = v49;
            v44 = v45;
            // continue -> 0x47b7be
        }
        // 0x47b846
        v37 = v15;
        // branch -> 0x47b846
        while (true) {
            // 0x47b846
            v16 = (int32_t *)(g5 + 0x1450);
            if (*v16 < 2) {
              lab_0x47b7f3:;
                // 0x47b7f3
                int32_t v50;
                int32_t v51; // 0x47b9682
                if (v37 > 1) {
                    // 0x47b804
                    v51 = v37;
                    v50 = 0;
                    // branch -> 0x47b806
                } else {
                    int32_t v52 = v37 + 1; // 0x47b7fa
                    v51 = v52;
                    v50 = v52;
                    // branch -> 0x47b806
                }
                // 0x47b806
                *v16 = *v16 + 1;
                int32_t v53 = v50; // 0x47b80c
                g7 = v53;
                int32_t v54 = g5; // 0x47b80e
                *(int32_t *)(v54 + 2908 + 4 * *(int32_t *)(v54 + 0x1450)) = v53;
                *(int16_t *)(4 * g7 + g4) = 1;
                *(char *)(g5 + 0x1458 + g7) = 0;
                int32_t * v55 = (int32_t *)(g5 + 0x16a8); // 0x47b82a_0
                *v55 = *v55 - 1;
                if (*(int32_t *)v10 != 0) {
                    // break -> 0x47b837
                    break;
                }
                v37 = v51;
                // continue -> 0x47b846
                continue;
            } else {
                // 0x47b84f
                *(int32_t *)((int32_t)v4 + 4) = v37;
                v26 = g5;
                v34 = *(int32_t *)(v26 + 0x1450);
                v27 = v34 / 2;
                g10 = v27;
                if ((v34 & 1) == 0) {
                    // 0x47b863
                    g10 = v27;
                    // branch -> 0x47b866
                }
                // 0x47b866
                if (!((v34 < 2 ^ (v27 & -v27) < 0))) {
                    g6 = v27;
                    g8 = g4;
                    g3 = v26;
                    function_47b408();
                    v35 = g10 - 1;
                    g10 = v35;
                    v23 = g5;
                    while (v35 > 0) {
                        // 0x47b86b
                        g6 = v35;
                        g8 = g4;
                        g3 = v23;
                        function_47b408();
                        v35 = g10 - 1;
                        g10 = v35;
                        v23 = g5;
                        // continue -> 0x47b86b
                    }
                    // 0x47b87c
                    g7 = v12;
                    v28 = v23;
                    // branch -> 0x47b880
                    int32_t v56; // 0x47b932
                    while (true) {
                        // 0x47b880
                        v17 = (int32_t *)(v28 + 0x1450);
                        g10 = *(int32_t *)(v28 + 2912);
                        *v17 = *v17 - 1;
                        v32 = g5;
                        v38 = *(int32_t *)(v32 + 2908 + 4 * *v17);
                        g3 = v32;
                        *(int32_t *)(v32 + 2912) = v38;
                        g8 = g4;
                        g6 = 1;
                        function_47b408();
                        v29 = g5;
                        v13 = *(int32_t *)(v29 + 2912);
                        v18 = (int32_t *)(v29 + 0x1454);
                        *v18 = *v18 - 1;
                        v30 = g5;
                        v36 = *(int32_t *)(v30 + 0x1454);
                        *(int32_t *)(v30 + 2908 + 4 * v36) = g10;
                        v19 = (int32_t *)(g5 + 0x1454);
                        *v19 = *v19 - 1;
                        v31 = g5;
                        *(int32_t *)(v31 + 2908 + 4 * *(int32_t *)(v31 + 0x1454)) = v13;
                        v33 = g4;
                        v39 = *(int16_t *)(4 * v13 + v33);
                        v42 = v36 & -0x10000;
                        v41 = *(int16_t *)(4 * g10 + v33);
                        v24 = (int32_t)v41 + (v42 | (int32_t)v39);
                        v25 = v24 & 0xffff | v42;
                        v22 = v25;
                        g11 = v5;
                        *(int16_t *)(4 * g7 + v33) = (int16_t)v24;
                        v40 = g5 + 0x1458;
                        v20 = (char *)(v40 + v13);
                        v21 = (char *)(g10 + v40);
                        int32_t v57;
                        if ((v25 & -256 | (int32_t)*v20) > (int32_t)*v21) {
                          lab_0x47b904_3:
                            // 0x47b904
                            v57 = v22 & -256 | (int32_t)*v20;
                            // branch -> 0x47b90b
                        } else {
                          lab_0x47b8fb_3:
                            // 0x47b8fb
                            v57 = v22 & -256 | (int32_t)*v21;
                            // branch -> 0x47b90b
                        }
                        // 0x47b90b
                        g8 = g4;
                        *(char *)(g7 + v40) = (char)(v57 + 1);
                        g6 = 1;
                        *(int16_t *)(g4 + 2 + 4 * v13) = (int16_t)g7;
                        g3 = g5;
                        *(int16_t *)(g4 + 2 + 4 * g10) = (int16_t)g7;
                        *(int32_t *)(g5 + 2912) = g7;
                        g7++;
                        function_47b408();
                        v56 = g5;
                        if (*(int32_t *)(v56 + 0x1450) <= 1) {
                            // break -> 0x47b93f
                            break;
                        }
                        v28 = v56;
                        // continue -> 0x47b880
                    }
                    int32_t * v58 = (int32_t *)(v56 + 0x1454); // 0x47b93f_0
                    *v58 = *v58 - 1;
                    int32_t v59 = g5; // 0x47b945
                    int32_t v60 = *(int32_t *)(v59 + 2912); // 0x47b94b
                    *(int32_t *)(v59 + 2908 + 4 * *(int32_t *)(v59 + 0x1454)) = v60;
                    g3 = g5;
                    g8 = (int32_t)v4;
                    function_47b4fc();
                    g6 = g5 + 2876;
                    g8 = v37;
                    g3 = g4;
                    function_47b6fc();
                    g4 = v3;
                    g7 = v2;
                    g10 = v1;
                    int32_t v61;
                    g5 = v61;
                    return;
                }
                // 0x47b87c
                g7 = v12;
                v28 = v26;
                // branch -> 0x47b880
                while (true) {
                    // 0x47b880
                    v17 = (int32_t *)(v28 + 0x1450);
                    g10 = *(int32_t *)(v28 + 2912);
                    *v17 = *v17 - 1;
                    v32 = g5;
                    v38 = *(int32_t *)(v32 + 2908 + 4 * *v17);
                    g3 = v32;
                    *(int32_t *)(v32 + 2912) = v38;
                    g8 = g4;
                    g6 = 1;
                    function_47b408();
                    v29 = g5;
                    v13 = *(int32_t *)(v29 + 2912);
                    v18 = (int32_t *)(v29 + 0x1454);
                    *v18 = *v18 - 1;
                    v30 = g5;
                    v36 = *(int32_t *)(v30 + 0x1454);
                    *(int32_t *)(v30 + 2908 + 4 * v36) = g10;
                    v19 = (int32_t *)(g5 + 0x1454);
                    *v19 = *v19 - 1;
                    v31 = g5;
                    *(int32_t *)(v31 + 2908 + 4 * *(int32_t *)(v31 + 0x1454)) = v13;
                    v33 = g4;
                    v39 = *(int16_t *)(4 * v13 + v33);
                    v42 = v36 & -0x10000;
                    v41 = *(int16_t *)(4 * g10 + v33);
                    v24 = (int32_t)v41 + (v42 | (int32_t)v39);
                    v25 = v24 & 0xffff | v42;
                    v22 = v25;
                    g11 = v5;
                    *(int16_t *)(4 * g7 + v33) = (int16_t)v24;
                    v40 = g5 + 0x1458;
                    v20 = (char *)(v40 + v13);
                    v21 = (char *)(g10 + v40);
                    if ((v25 & -256 | (int32_t)*v20) > (int32_t)*v21) {
                        goto lab_0x47b904_3;
                    }
                    goto lab_0x47b8fb_3;
                }
            }
        }
    }
    // 0x47b846
    v37 = v15;
    // branch -> 0x47b846
    while (true) {
        // 0x47b846
        v16 = (int32_t *)(g5 + 0x1450);
        if (*v16 < 2) {
            goto lab_0x47b7f3;
        }
        // 0x47b84f
        *(int32_t *)((int32_t)v4 + 4) = v37;
        v26 = g5;
        v34 = *(int32_t *)(v26 + 0x1450);
        v27 = v34 / 2;
        g10 = v27;
        if ((v34 & 1) == 0) {
            // 0x47b863
            g10 = v27;
            // branch -> 0x47b866
        }
        // 0x47b866
        if (!((v34 < 2 ^ (v27 & -v27) < 0))) {
            g6 = v27;
            g8 = g4;
            g3 = v26;
            function_47b408();
            v35 = g10 - 1;
            g10 = v35;
            v23 = g5;
            while (v35 > 0) {
                // 0x47b86b
                g6 = v35;
                g8 = g4;
                g3 = v23;
                function_47b408();
                v35 = g10 - 1;
                g10 = v35;
                v23 = g5;
                // continue -> 0x47b86b
            }
            // 0x47b87c
            g7 = v12;
            v28 = v23;
            // branch -> 0x47b880
            while (true) {
                // 0x47b880
                v17 = (int32_t *)(v28 + 0x1450);
                g10 = *(int32_t *)(v28 + 2912);
                *v17 = *v17 - 1;
                v32 = g5;
                v38 = *(int32_t *)(v32 + 2908 + 4 * *v17);
                g3 = v32;
                *(int32_t *)(v32 + 2912) = v38;
                g8 = g4;
                g6 = 1;
                function_47b408();
                v29 = g5;
                v13 = *(int32_t *)(v29 + 2912);
                v18 = (int32_t *)(v29 + 0x1454);
                *v18 = *v18 - 1;
                v30 = g5;
                v36 = *(int32_t *)(v30 + 0x1454);
                *(int32_t *)(v30 + 2908 + 4 * v36) = g10;
                v19 = (int32_t *)(g5 + 0x1454);
                *v19 = *v19 - 1;
                v31 = g5;
                *(int32_t *)(v31 + 2908 + 4 * *(int32_t *)(v31 + 0x1454)) = v13;
                v33 = g4;
                v39 = *(int16_t *)(4 * v13 + v33);
                v42 = v36 & -0x10000;
                v41 = *(int16_t *)(4 * g10 + v33);
                v24 = (int32_t)v41 + (v42 | (int32_t)v39);
                v25 = v24 & 0xffff | v42;
                v22 = v25;
                g11 = v5;
                *(int16_t *)(4 * g7 + v33) = (int16_t)v24;
                v40 = g5 + 0x1458;
                v20 = (char *)(v40 + v13);
                v21 = (char *)(g10 + v40);
                if ((v25 & -256 | (int32_t)*v20) > (int32_t)*v21) {
                    goto lab_0x47b904_3;
                }
                goto lab_0x47b8fb_3;
            }
        }
        // 0x47b87c
        g7 = v12;
        v28 = v26;
        // branch -> 0x47b880
        while (true) {
            // 0x47b880
            v17 = (int32_t *)(v28 + 0x1450);
            g10 = *(int32_t *)(v28 + 2912);
            *v17 = *v17 - 1;
            v32 = g5;
            v38 = *(int32_t *)(v32 + 2908 + 4 * *v17);
            g3 = v32;
            *(int32_t *)(v32 + 2912) = v38;
            g8 = g4;
            g6 = 1;
            function_47b408();
            v29 = g5;
            v13 = *(int32_t *)(v29 + 2912);
            v18 = (int32_t *)(v29 + 0x1454);
            *v18 = *v18 - 1;
            v30 = g5;
            v36 = *(int32_t *)(v30 + 0x1454);
            *(int32_t *)(v30 + 2908 + 4 * v36) = g10;
            v19 = (int32_t *)(g5 + 0x1454);
            *v19 = *v19 - 1;
            v31 = g5;
            *(int32_t *)(v31 + 2908 + 4 * *(int32_t *)(v31 + 0x1454)) = v13;
            v33 = g4;
            v39 = *(int16_t *)(4 * v13 + v33);
            v42 = v36 & -0x10000;
            v41 = *(int16_t *)(4 * g10 + v33);
            v24 = (int32_t)v41 + (v42 | (int32_t)v39);
            v25 = v24 & 0xffff | v42;
            v22 = v25;
            g11 = v5;
            *(int16_t *)(4 * g7 + v33) = (int16_t)v24;
            v40 = g5 + 0x1458;
            v20 = (char *)(v40 + v13);
            v21 = (char *)(g10 + v40);
            if ((v25 & -256 | (int32_t)*v20) > (int32_t)*v21) {
                goto lab_0x47b904_3;
            }
            goto lab_0x47b8fb_3;
        }
    }
}

// Address range: 0x47b97c - 0x47ba87
void function_47b97c(void) {
    uint16_t v1 = *(int16_t *)(g8 + 2); // 0x47b991
    int32_t v2 = 7; // ecx
    int32_t v3 = 4; // eax
    if (v1 == 0) {
        // 0x47b9a5
        v2 = 138;
        v3 = 3;
        // branch -> 0x47b9af
    }
    // 0x47b9af
    *(int16_t *)(4 * g6 + 6 + g8) = -1;
    int32_t v4;
    if (g6 < 0) {
        // 0x47ba7f
        g5 = v4;
        return;
    }
    int32_t v5 = g3 + 2684; // 0x47b9f2
    int16_t * v6 = (int16_t *)(g3 + 2756); // 0x47ba31_0
    int16_t * v7 = (int16_t *)(g3 + 2752); // 0x47ba25_0
    int16_t * v8 = (int16_t *)(g3 + 2748); // 0x47ba14_0
    int32_t v9 = 0; // 0x47b9db
    int32_t v10 = v1; // 0x47b9f2
    int32_t v11 = g8 + 6;
    int32_t v12 = -1; // 0x47ba3a3
    int32_t v13 = 0; // 0x47ba711
    // branch -> 0x47b9d5
    while (true) {
        int32_t v14 = v10; // edx
        int32_t v15 = v9 + 1; // 0x47b9db
        int32_t v16 = (int32_t)*(int16_t *)v11; // 0x47b9dc
        int32_t v17 = v16; // ebx
        int32_t v18 = v2; // 0x47b9df10
        int32_t v19 = v15; // 0x47b9db8
        int32_t v20 = v10; // 0x47b9d57
        int32_t v21 = v12; // 0x47ba3a2
        int32_t v22; // 0x47ba68
        if (v2 <= v15 || v16 != v10) {
            // 0x47b9eb
            int32_t v23; // 0x47ba3e
            int32_t v24; // 0x47ba3a
            if (v3 > v15) {
                int16_t * v25 = (int16_t *)(4 * v10 + v5); // 0x47b9f2_0
                *v25 = (int16_t)((int32_t)*v25 + v15);
                // branch -> 0x47ba38
            } else {
                // 0x47b9fc
                if (v10 == 0) {
                    // 0x47ba1d
                    if (v15 > 10) {
                        // 0x47ba2e
                        *v6 = *v6 + 1;
                        // branch -> 0x47ba38
                    } else {
                        // 0x47ba22
                        *v7 = *v7 + 1;
                        // branch -> 0x47ba38
                    }
                  lab_0x47ba38:
                    // 0x47ba38
                    v24 = v14;
                    v23 = v17;
                    if (v23 == 0) {
                      lab_0x47ba42_2:
                        // 0x47ba42
                        v3 = 3;
                        // branch -> 0x47ba68
                    } else {
                      lab_0x47ba4e_2:
                        // 0x47ba4e
                        if (v23 == v24) {
                            // 0x47ba52
                            v3 = 3;
                            v18 = 6;
                            v20 = v24;
                            // branch -> 0x47ba68
                        } else {
                            // 0x47ba5e
                            v3 = 4;
                            v18 = 7;
                            v20 = v23;
                            // branch -> 0x47ba68
                        }
                        // 0x47ba68
                        v22 = v13 + 1;
                        if (v22 > g6) {
                            // break -> 0x47ba7f
                            break;
                        }
                        v2 = v18;
                        v9 = 0;
                        v10 = v20;
                        v11 += 4;
                        v12 = v24;
                        v13 = v22;
                        // continue -> 0x47b9d5
                        continue;
                    }
                    // 0x47ba68
                    v22 = v13 + 1;
                    if (v22 > g6) {
                        // break -> 0x47ba7f
                        break;
                    }
                    v2 = 138;
                    v9 = 0;
                    v10 = 0;
                    v11 += 4;
                    v12 = v24;
                    v13 = v22;
                    // continue -> 0x47b9d5
                    continue;
                } else {
                    // 0x47ba00
                    if (v10 != v12) {
                        int16_t * v26 = (int16_t *)(4 * v10 + v5); // 0x47ba09_0
                        *v26 = *v26 + 1;
                        // branch -> 0x47ba11
                    }
                    // 0x47ba11
                    *v8 = *v8 + 1;
                    // branch -> 0x47ba38
                    goto lab_0x47ba38;
                }
            }
            // 0x47ba38
            v24 = v14;
            v23 = v17;
            if (v23 == 0) {
                goto lab_0x47ba42_2;
            }
            goto lab_0x47ba4e_2;
        }
        // 0x47ba68
        v22 = v13 + 1;
        if (v22 > g6) {
            // break -> 0x47ba7f
            break;
        }
        v2 = v18;
        v9 = v19;
        v10 = v20;
        v11 += 4;
        v12 = v21;
        v13 = v22;
        // continue -> 0x47b9d5
    }
    // 0x47ba7f
    // branch -> 0x47ba7f
    // 0x47ba7f
    g5 = v4;
}

// Address range: 0x47ba88 - 0x47c10f
void function_47ba88(void) {
    int32_t v1 = g4; // 0x47ba8b
    int32_t v2 = g6; // 0x47ba96
    uint16_t v3 = *(int16_t *)(g8 + 2); // 0x47baad
    int32_t v4 = 4; // 0x47baf922
    int32_t v5 = 7; // 0x47bae718
    if (v3 == 0) {
        // 0x47bab5
        v4 = 3;
        v5 = 138;
        // branch -> 0x47babf
    }
    // 0x47babf
    int32_t v6;
    if (v2 < 0) {
        // 0x47c107
        g4 = v1;
        g5 = v6;
        return;
    }
    int32_t v7 = 0; // 0x47bae3
    int32_t v8 = v3; // 0x47bbf5
    int32_t v9 = g8 + 6;
    int32_t v10 = -1; // 0x47c0c211
    int32_t v11 = 0; // 0x47c0f99
    // branch -> 0x47badd
  lab_0x47badd_2:
    while (true) {
        int32_t v12 = v8; // edx
        int32_t v13 = v7 + 1; // 0x47bae3
        int32_t v14 = v13; // ebx
        int32_t v15 = (int32_t)*(int16_t *)v9; // 0x47bae4
        int32_t v16 = v15; // esi
        int32_t v17; // 0x47c0f0
        int32_t v18; // 0x47badd14
        int32_t v19; // 0x47bae315
        int32_t v20; // 0x47bae717
        int32_t v21; // 0x47baf920
        int32_t v22; // 0x47c0c210
        if (v5 > v13) {
            // 0x47baeb
            if (v15 == v8) {
                v21 = v4;
                v20 = v5;
                v19 = v13;
                v18 = v8;
                v22 = v10;
              lab_0x47c0f0_3:
                // 0x47c0f0
                v17 = v11 + 1;
                if (v17 > v2) {
                    // break -> 0x47c107
                    break;
                }
                v4 = v21;
                v5 = v20;
                v7 = v19;
                v8 = v18;
                v9 += 4;
                v10 = v22;
                v11 = v17;
                // continue -> 0x47badd
                continue;
            }
        }
        // 0x47baf9
        int32_t v23; // edi
        int32_t v24; // 0x47c0c6
        int32_t v25; // 0x47c0c2
        if (v4 > v13) {
            int32_t v26 = v8; // 0x47bb1c
            while (true) {
                int32_t v27 = 4 * v26; // 0x47bb01
                int32_t v28 = (int32_t)*(int16_t *)(g3 + 2686 + v27); // 0x47bb01
                v23 = v28;
                int32_t * v29 = (int32_t *)(g3 + 0x16bc); // 0x47bb10_0
                uint16_t v30 = *(int16_t *)(g3 + 2684 + v27); // 0x47bb1c
                int32_t v31 = v30; // 0x47bb1c
                if (16 - v28 < *v29) {
                    int32_t v32 = g4 & -0x10000; // 0x47bb28
                    uint32_t v33 = *v29 & 31; // 0x47bb33
                    int32_t v34 = v32 | v31; // 0x47bb36
                    if (v33 != 0) {
                        // if_47bb33_0_true
                        v34 = v31 << v33 & 0xffff | v32;
                        // branch -> after_if_47bb33_0
                    }
                    int16_t * v35 = (int16_t *)(g3 + 0x16b8); // 0x47bb36_0
                    *v35 = (int16_t)((int32_t)*v35 | v34);
                    int32_t * v36 = (int32_t *)(g3 + 20); // 0x47bb3d_0
                    *v36 = *v36 + 1;
                    int32_t v37 = *(int32_t *)(g3 + 8); // 0x47bb43
                    *(char *)(*v36 + v37) = *(char *)(g3 + 0x16b8);
                    int32_t * v38 = (int32_t *)(g3 + 20); // 0x47bb58_0
                    int32_t v39 = *v38; // 0x47bb58
                    *v38 = *v38 + 1;
                    int32_t v40 = *(int32_t *)(g3 + 8); // 0x47bb5e
                    *(char *)(v39 + v40) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    g4 = v31;
                    uint32_t v41 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47bb84
                    if (v41 != 0) {
                        int32_t v42 = v31 >> v41; // 0x47bb84
                        g4 = v42;
                        v30 = (int16_t)v42;
                        // branch -> after_if_47bb84_0
                    }
                    // after_if_47bb84_0
                    *(int16_t *)(g3 + 0x16b8) = v30;
                    int32_t * v43 = (int32_t *)(g3 + 0x16bc); // 0x47bb90_0
                    *v43 = *v43 + v23 - 16;
                    // branch -> 0x47bbbc
                } else {
                    int32_t v44 = g4 & -0x10000; // 0x47bb9e
                    int32_t v45 = v44 | v31; // 0x47bb9e
                    g4 = v45;
                    uint32_t v46 = *v29 & 31; // 0x47bbac
                    if (v46 != 0) {
                        int32_t v47 = v31 << v46 & 0xffff | v44; // 0x47bbac
                        g4 = v47;
                        v45 = v47;
                        // branch -> after_if_47bbac_0
                    }
                    int16_t * v48 = (int16_t *)(g3 + 0x16b8); // 0x47bbaf_0
                    *v48 = (int16_t)((int32_t)*v48 | v45);
                    int32_t * v49 = (int32_t *)(g3 + 0x16bc); // 0x47bbb6_0
                    *v49 = v23 + *v49;
                    // branch -> 0x47bbbc
                }
                int32_t v50 = v14 - 1; // 0x47bbbc
                v14 = v50;
                if (v50 != 0) {
                    // 0x47bbbc
                    v26 = v12;
                    // branch -> 0x47bb01
                    continue;
                }
              lab_0x47c0c0_2:
                // 0x47c0c0
                v25 = v12;
                v24 = v16;
                int32_t v51; // 0x47c0f4
                if (v24 == 0) {
                  lab_0x47c0ca_6:
                    // 0x47c0ca
                    v21 = 3;
                    v20 = 138;
                    v19 = 0;
                    v18 = 0;
                    v22 = v25;
                    // branch -> 0x47c0f0
                    goto lab_0x47c0f0_3;
                } else {
                  lab_0x47c0d6_6:
                    // 0x47c0d6
                    if (v24 == v25) {
                        // 0x47c0da
                        v21 = 3;
                        v20 = 6;
                        v19 = 0;
                        v18 = v25;
                        v22 = v25;
                        // branch -> 0x47c0f0
                        goto lab_0x47c0f0_3;
                    } else {
                        // 0x47c0e6
                        v21 = 4;
                        v20 = 7;
                        v19 = 0;
                        v18 = v24;
                        v22 = v25;
                        // branch -> 0x47c0f0
                        goto lab_0x47c0f0_3;
                    }
                    // 0x47c0f0
                    v17 = v11 + 1;
                    v51 = v9 + 4;
                    if (v17 > v2) {
                        // break (via goto) -> 0x47c107
                        goto lab_0x47c107_2;
                    }
                    v4 = v21;
                    v5 = v20;
                    v7 = v19;
                    v8 = v18;
                    v9 = v51;
                    v10 = v22;
                    v11 = v17;
                    // continue (via goto) -> 0x47badd
                    goto lab_0x47badd_2;
                }
                // 0x47c0f0
                v17 = v11 + 1;
                v51 = v9 + 4;
                if (v17 > v2) {
                    // break (via goto) -> 0x47c107
                    goto lab_0x47c107_2;
                }
                v4 = v21;
                v5 = v20;
                v7 = v19;
                v8 = v18;
                v9 = v51;
                v10 = v22;
                v11 = v17;
                // continue (via goto) -> 0x47badd
                goto lab_0x47badd_2;
            }
          lab_0x47c107_2:
            // 0x47c107
            // branch -> 0x47c107
            // 0x47c107
            g4 = v1;
            g5 = v6;
            return;
        }
        // 0x47bbc8
        if (v8 == 0) {
            // 0x47bdf9
            if (v13 > 10) {
                int32_t v52 = (int32_t)*(int16_t *)(g3 + 2758); // 0x47bf65
                v23 = v52;
                int32_t * v53 = (int32_t *)(g3 + 0x16bc); // 0x47bf73_0
                uint16_t v54 = *(int16_t *)(g3 + 2756); // 0x47bf7f
                int32_t v55 = v54; // 0x47bf7f
                if (16 - v52 < *v53) {
                    int32_t v56 = g4 & -0x10000; // 0x47bf8a
                    uint32_t v57 = *v53 & 31; // 0x47bf95
                    int32_t v58 = v56 | v55; // 0x47bf98
                    if (v57 != 0) {
                        // if_47bf95_0_true
                        v58 = v55 << v57 & 0xffff | v56;
                        // branch -> after_if_47bf95_0
                    }
                    int16_t * v59 = (int16_t *)(g3 + 0x16b8); // 0x47bf98_0
                    *v59 = (int16_t)((int32_t)*v59 | v58);
                    int32_t * v60 = (int32_t *)(g3 + 20); // 0x47bf9f_0
                    *v60 = *v60 + 1;
                    int32_t v61 = *(int32_t *)(g3 + 8); // 0x47bfa5
                    *(char *)(*v60 + v61) = *(char *)(g3 + 0x16b8);
                    int32_t * v62 = (int32_t *)(g3 + 20); // 0x47bfba_0
                    int32_t v63 = *v62; // 0x47bfba
                    *v62 = *v62 + 1;
                    int32_t v64 = *(int32_t *)(g3 + 8); // 0x47bfc0
                    *(char *)(v63 + v64) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    g4 = v55;
                    uint32_t v65 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47bfe6
                    if (v65 != 0) {
                        int32_t v66 = v55 >> v65; // 0x47bfe6
                        g4 = v66;
                        v54 = (int16_t)v66;
                        // branch -> after_if_47bfe6_0
                    }
                    // after_if_47bfe6_0
                    *(int16_t *)(g3 + 0x16b8) = v54;
                    int32_t * v67 = (int32_t *)(g3 + 0x16bc); // 0x47bff2_0
                    *v67 = *v67 + v23 - 16;
                    // branch -> 0x47c01d
                } else {
                    int32_t v68 = g4 & -0x10000; // 0x47c000
                    int32_t v69 = v68 | v55; // 0x47c000
                    g4 = v69;
                    uint32_t v70 = *v53 & 31; // 0x47c00d
                    if (v70 != 0) {
                        int32_t v71 = v55 << v70 & 0xffff | v68; // 0x47c00d
                        g4 = v71;
                        v69 = v71;
                        // branch -> after_if_47c00d_0
                    }
                    int16_t * v72 = (int16_t *)(g3 + 0x16b8); // 0x47c010_0
                    *v72 = (int16_t)((int32_t)*v72 | v69);
                    int32_t * v73 = (int32_t *)(g3 + 0x16bc); // 0x47c017_0
                    *v73 = v23 + *v73;
                    // branch -> 0x47c01d
                }
                // 0x47c01d
                v23 = 7;
                int32_t * v74 = (int32_t *)(g3 + 0x16bc); // 0x47c029_0
                int32_t v75 = v14; // 0x47c0a5
                if (*v74 < 10) {
                    int32_t v76 = v75 & -0x10000; // 0x47c0a5
                    int32_t v77 = v75 - 11 & 0xffff; // 0x47c0a5
                    uint32_t v78 = *v74 & 31; // 0x47c0b0
                    int32_t v79 = v77 | v76; // 0x47c0b3
                    if (v78 != 0) {
                        // if_47c0b0_0_true
                        v79 = v77 << v78 & 0xffff | v76;
                        // branch -> after_if_47c0b0_0
                    }
                    int16_t * v80 = (int16_t *)(g3 + 0x16b8); // 0x47c0b3_0
                    *v80 = (int16_t)((int32_t)*v80 | v79);
                    int32_t * v81 = (int32_t *)(g3 + 0x16bc); // 0x47c0ba_0
                    *v81 = v23 + *v81;
                    // branch -> 0x47c0c0
                    goto lab_0x47c0c0_2;
                } else {
                    int32_t v82 = v75 - 11; // 0x47c031
                    uint32_t v83 = *v74 & 31; // 0x47c03c
                    int32_t v84 = v82 & 0xffff; // 0x47c03c
                    int32_t v85 = v82; // 0x47c03f
                    if (v83 != 0) {
                        // if_47c03c_0_true
                        v85 = v84 << v83 & 0xffff | v82 & -0x10000;
                        // branch -> after_if_47c03c_0
                    }
                    int16_t * v86 = (int16_t *)(g3 + 0x16b8); // 0x47c03f_0
                    *v86 = (int16_t)((int32_t)*v86 | v85);
                    int32_t * v87 = (int32_t *)(g3 + 20); // 0x47c046_0
                    *v87 = *v87 + 1;
                    int32_t v88 = *(int32_t *)(g3 + 8); // 0x47c04c
                    *(char *)(*v87 + v88) = *(char *)(g3 + 0x16b8);
                    int32_t * v89 = (int32_t *)(g3 + 20); // 0x47c061_0
                    *v89 = *v89 + 1;
                    int32_t v90 = *v89 + *(int32_t *)(g3 + 8); // 0x47c06a
                    g4 = v90;
                    *(char *)v90 = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    uint32_t v91 = v82 & 0xffff; // 0x47c088
                    uint32_t v92 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47c08b
                    int16_t v93 = v82;
                    if (v92 != 0) {
                        // if_47c08b_0_true
                        v93 = v91 >> v92;
                        // branch -> after_if_47c08b_0
                    }
                    // after_if_47c08b_0
                    *(int16_t *)(g3 + 0x16b8) = v93;
                    int32_t * v94 = (int32_t *)(g3 + 0x16bc); // 0x47c097_0
                    *v94 = *v94 + v23 - 16;
                    // branch -> 0x47c0c0
                    goto lab_0x47c0c0_2;
                }
              lab_0x47c0c0_4:
                // 0x47c0c0
                v25 = v12;
                v24 = v16;
                if (v24 == 0) {
                    goto lab_0x47c0ca_6;
                }
                goto lab_0x47c0d6_6;
            } else {
                int32_t v95 = (int32_t)*(int16_t *)(g3 + 2754); // 0x47be02
                v23 = v95;
                int32_t * v96 = (int32_t *)(g3 + 0x16bc); // 0x47be10_0
                uint16_t v97 = *(int16_t *)(g3 + 2752); // 0x47be1c
                int32_t v98 = v97; // 0x47be1c
                if (16 - v95 < *v96) {
                    int32_t v99 = g4 & -0x10000; // 0x47be27
                    uint32_t v100 = *v96 & 31; // 0x47be32
                    int32_t v101 = v99 | v98; // 0x47be35
                    if (v100 != 0) {
                        // if_47be32_0_true
                        v101 = v98 << v100 & 0xffff | v99;
                        // branch -> after_if_47be32_0
                    }
                    int16_t * v102 = (int16_t *)(g3 + 0x16b8); // 0x47be35_0
                    *v102 = (int16_t)((int32_t)*v102 | v101);
                    int32_t * v103 = (int32_t *)(g3 + 20); // 0x47be3c_0
                    *v103 = *v103 + 1;
                    int32_t v104 = *(int32_t *)(g3 + 8); // 0x47be42
                    *(char *)(*v103 + v104) = *(char *)(g3 + 0x16b8);
                    int32_t * v105 = (int32_t *)(g3 + 20); // 0x47be57_0
                    int32_t v106 = *v105; // 0x47be57
                    *v105 = *v105 + 1;
                    int32_t v107 = *(int32_t *)(g3 + 8); // 0x47be5d
                    *(char *)(v106 + v107) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    g4 = v98;
                    uint32_t v108 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47be83
                    if (v108 != 0) {
                        int32_t v109 = v98 >> v108; // 0x47be83
                        g4 = v109;
                        v97 = (int16_t)v109;
                        // branch -> after_if_47be83_0
                    }
                    // after_if_47be83_0
                    *(int16_t *)(g3 + 0x16b8) = v97;
                    int32_t * v110 = (int32_t *)(g3 + 0x16bc); // 0x47be8f_0
                    *v110 = *v110 + v23 - 16;
                    // branch -> 0x47beba
                } else {
                    int32_t v111 = g4 & -0x10000; // 0x47be9d
                    int32_t v112 = v111 | v98; // 0x47be9d
                    g4 = v112;
                    uint32_t v113 = *v96 & 31; // 0x47beaa
                    if (v113 != 0) {
                        int32_t v114 = v98 << v113 & 0xffff | v111; // 0x47beaa
                        g4 = v114;
                        v112 = v114;
                        // branch -> after_if_47beaa_0
                    }
                    int16_t * v115 = (int16_t *)(g3 + 0x16b8); // 0x47bead_0
                    *v115 = (int16_t)((int32_t)*v115 | v112);
                    int32_t * v116 = (int32_t *)(g3 + 0x16bc); // 0x47beb4_0
                    *v116 = v23 + *v116;
                    // branch -> 0x47beba
                }
                // 0x47beba
                v23 = 3;
                int32_t * v117 = (int32_t *)(g3 + 0x16bc); // 0x47bec6_0
                int32_t v118 = v14; // 0x47bf45
                if (*v117 < 14) {
                    int32_t v119 = v118 & -0x10000; // 0x47bf45
                    int32_t v120 = v118 - 3 & 0xffff; // 0x47bf45
                    uint32_t v121 = *v117 & 31; // 0x47bf50
                    int32_t v122 = v120 | v119; // 0x47bf53
                    if (v121 != 0) {
                        // if_47bf50_0_true
                        v122 = v120 << v121 & 0xffff | v119;
                        // branch -> after_if_47bf50_0
                    }
                    int16_t * v123 = (int16_t *)(g3 + 0x16b8); // 0x47bf53_0
                    *v123 = (int16_t)((int32_t)*v123 | v122);
                    int32_t * v124 = (int32_t *)(g3 + 0x16bc); // 0x47bf5a_0
                    *v124 = v23 + *v124;
                    // branch -> 0x47c0c0
                    goto lab_0x47c0c0_4;
                } else {
                    int32_t v125 = v118 - 3; // 0x47bece
                    uint32_t v126 = *v117 & 31; // 0x47bed9
                    int32_t v127 = v125 & 0xffff; // 0x47bed9
                    int32_t v128 = v125; // 0x47bedc
                    if (v126 != 0) {
                        // if_47bed9_0_true
                        v128 = v127 << v126 & 0xffff | v125 & -0x10000;
                        // branch -> after_if_47bed9_0
                    }
                    int16_t * v129 = (int16_t *)(g3 + 0x16b8); // 0x47bedc_0
                    *v129 = (int16_t)((int32_t)*v129 | v128);
                    int32_t * v130 = (int32_t *)(g3 + 20); // 0x47bee3_0
                    *v130 = *v130 + 1;
                    int32_t v131 = *(int32_t *)(g3 + 8); // 0x47bee9
                    *(char *)(*v130 + v131) = *(char *)(g3 + 0x16b8);
                    int32_t * v132 = (int32_t *)(g3 + 20); // 0x47befe_0
                    *v132 = *v132 + 1;
                    int32_t v133 = *v132 + *(int32_t *)(g3 + 8); // 0x47bf07
                    g4 = v133;
                    *(char *)v133 = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    uint32_t v134 = v125 & 0xffff; // 0x47bf25
                    uint32_t v135 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47bf28
                    int16_t v136 = v125;
                    if (v135 != 0) {
                        // if_47bf28_0_true
                        v136 = v134 >> v135;
                        // branch -> after_if_47bf28_0
                    }
                    // after_if_47bf28_0
                    *(int16_t *)(g3 + 0x16b8) = v136;
                    int32_t * v137 = (int32_t *)(g3 + 0x16bc); // 0x47bf34_0
                    *v137 = *v137 + v23 - 16;
                    // branch -> 0x47c0c0
                    goto lab_0x47c0c0_4;
                }
                // 0x47c0c0
                v25 = v12;
                v24 = v16;
                if (v24 == 0) {
                    goto lab_0x47c0ca_6;
                }
                goto lab_0x47c0d6_6;
            }
          lab_0x47c0c0_6:
            // 0x47c0c0
            v25 = v12;
            v24 = v16;
            if (v24 == 0) {
                goto lab_0x47c0ca_6;
            }
            goto lab_0x47c0d6_6;
        } else {
            // 0x47bbd0
            if (v8 != v10) {
                int32_t v138 = 4 * v8; // 0x47bbda
                int32_t v139 = (int32_t)*(int16_t *)(v138 + 2686 + g3); // 0x47bbda
                v23 = v139;
                int32_t * v140 = (int32_t *)(g3 + 0x16bc); // 0x47bbe9_0
                uint16_t v141 = *(int16_t *)(v138 + 2684 + g3); // 0x47bbf5
                int32_t v142 = v141; // 0x47bbf5
                if (16 - v139 < *v140) {
                    int32_t v143 = g4 & -0x10000; // 0x47bc01
                    uint32_t v144 = *v140 & 31; // 0x47bc0c
                    int32_t v145 = v143 | v142; // 0x47bc0f
                    if (v144 != 0) {
                        // if_47bc0c_0_true
                        v145 = v142 << v144 & 0xffff | v143;
                        // branch -> after_if_47bc0c_0
                    }
                    int16_t * v146 = (int16_t *)(g3 + 0x16b8); // 0x47bc0f_0
                    *v146 = (int16_t)((int32_t)*v146 | v145);
                    int32_t * v147 = (int32_t *)(g3 + 20); // 0x47bc16_0
                    *v147 = *v147 + 1;
                    int32_t v148 = *(int32_t *)(g3 + 8); // 0x47bc1c
                    *(char *)(*v147 + v148) = *(char *)(g3 + 0x16b8);
                    int32_t * v149 = (int32_t *)(g3 + 20); // 0x47bc31_0
                    int32_t v150 = *v149; // 0x47bc31
                    *v149 = *v149 + 1;
                    int32_t v151 = *(int32_t *)(g3 + 8); // 0x47bc37
                    *(char *)(v150 + v151) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    g4 = v142;
                    uint32_t v152 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47bc5d
                    if (v152 != 0) {
                        int32_t v153 = v142 >> v152; // 0x47bc5d
                        g4 = v153;
                        v141 = (int16_t)v153;
                        // branch -> after_if_47bc5d_0
                    }
                    // after_if_47bc5d_0
                    *(int16_t *)(g3 + 0x16b8) = v141;
                    int32_t * v154 = (int32_t *)(g3 + 0x16bc); // 0x47bc69_0
                    *v154 = *v154 + v23 - 16;
                    // branch -> 0x47bc95
                } else {
                    int32_t v155 = g4 & -0x10000; // 0x47bc77
                    int32_t v156 = v155 | v142; // 0x47bc77
                    g4 = v156;
                    uint32_t v157 = *v140 & 31; // 0x47bc85
                    if (v157 != 0) {
                        int32_t v158 = v142 << v157 & 0xffff | v155; // 0x47bc85
                        g4 = v158;
                        v156 = v158;
                        // branch -> after_if_47bc85_0
                    }
                    int16_t * v159 = (int16_t *)(g3 + 0x16b8); // 0x47bc88_0
                    *v159 = (int16_t)((int32_t)*v159 | v156);
                    int32_t * v160 = (int32_t *)(g3 + 0x16bc); // 0x47bc8f_0
                    *v160 = v23 + *v160;
                    // branch -> 0x47bc95
                }
                // 0x47bc95
                v14--;
                // branch -> 0x47bc96
            }
            int32_t v161 = (int32_t)*(int16_t *)(g3 + 2750); // 0x47bc96
            v23 = v161;
            int32_t * v162 = (int32_t *)(g3 + 0x16bc); // 0x47bca4_0
            uint16_t v163 = *(int16_t *)(g3 + 2748); // 0x47bcb0
            int32_t v164 = v163; // 0x47bcb0
            if (16 - v161 < *v162) {
                int32_t v165 = g4 & -0x10000; // 0x47bcbb
                uint32_t v166 = *v162 & 31; // 0x47bcc6
                int32_t v167 = v165 | v164; // 0x47bcc9
                if (v166 != 0) {
                    // if_47bcc6_0_true
                    v167 = v164 << v166 & 0xffff | v165;
                    // branch -> after_if_47bcc6_0
                }
                int16_t * v168 = (int16_t *)(g3 + 0x16b8); // 0x47bcc9_0
                *v168 = (int16_t)((int32_t)*v168 | v167);
                int32_t * v169 = (int32_t *)(g3 + 20); // 0x47bcd0_0
                *v169 = *v169 + 1;
                int32_t v170 = *(int32_t *)(g3 + 8); // 0x47bcd6
                *(char *)(*v169 + v170) = *(char *)(g3 + 0x16b8);
                int32_t * v171 = (int32_t *)(g3 + 20); // 0x47bceb_0
                int32_t v172 = *v171; // 0x47bceb
                *v171 = *v171 + 1;
                int32_t v173 = *(int32_t *)(g3 + 8); // 0x47bcf1
                *(char *)(v172 + v173) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                g4 = v164;
                uint32_t v174 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47bd17
                if (v174 != 0) {
                    int32_t v175 = v164 >> v174; // 0x47bd17
                    g4 = v175;
                    v163 = (int16_t)v175;
                    // branch -> after_if_47bd17_0
                }
                // after_if_47bd17_0
                *(int16_t *)(g3 + 0x16b8) = v163;
                int32_t * v176 = (int32_t *)(g3 + 0x16bc); // 0x47bd23_0
                *v176 = *v176 + v23 - 16;
                // branch -> 0x47bd4e
            } else {
                int32_t v177 = g4 & -0x10000; // 0x47bd31
                int32_t v178 = v177 | v164; // 0x47bd31
                g4 = v178;
                uint32_t v179 = *v162 & 31; // 0x47bd3e
                if (v179 != 0) {
                    int32_t v180 = v164 << v179 & 0xffff | v177; // 0x47bd3e
                    g4 = v180;
                    v178 = v180;
                    // branch -> after_if_47bd3e_0
                }
                int16_t * v181 = (int16_t *)(g3 + 0x16b8); // 0x47bd41_0
                *v181 = (int16_t)((int32_t)*v181 | v178);
                int32_t * v182 = (int32_t *)(g3 + 0x16bc); // 0x47bd48_0
                *v182 = v23 + *v182;
                // branch -> 0x47bd4e
            }
            // 0x47bd4e
            v23 = 2;
            int32_t * v183 = (int32_t *)(g3 + 0x16bc); // 0x47bd5a_0
            if (*v183 < 15) {
                int32_t v184 = v14 & -0x10000; // 0x47bdd9
                int32_t v185 = v14 - 3 & 0xffff; // 0x47bdd9
                uint32_t v186 = *v183 & 31; // 0x47bde4
                int32_t v187 = v185 | v184; // 0x47bde7
                if (v186 != 0) {
                    // if_47bde4_0_true
                    v187 = v185 << v186 & 0xffff | v184;
                    // branch -> after_if_47bde4_0
                }
                int16_t * v188 = (int16_t *)(g3 + 0x16b8); // 0x47bde7_0
                *v188 = (int16_t)((int32_t)*v188 | v187);
                int32_t * v189 = (int32_t *)(g3 + 0x16bc); // 0x47bdee_0
                *v189 = v23 + *v189;
                // branch -> 0x47c0c0
                goto lab_0x47c0c0_6;
            } else {
                int32_t v190 = v14 - 3; // 0x47bd62
                uint32_t v191 = *v183 & 31; // 0x47bd6d
                int32_t v192 = v190 & 0xffff; // 0x47bd6d
                int32_t v193 = v190; // 0x47bd70
                if (v191 != 0) {
                    // if_47bd6d_0_true
                    v193 = v192 << v191 & 0xffff | v190 & -0x10000;
                    // branch -> after_if_47bd6d_0
                }
                int16_t * v194 = (int16_t *)(g3 + 0x16b8); // 0x47bd70_0
                *v194 = (int16_t)((int32_t)*v194 | v193);
                int32_t * v195 = (int32_t *)(g3 + 20); // 0x47bd77_0
                *v195 = *v195 + 1;
                int32_t v196 = *(int32_t *)(g3 + 8); // 0x47bd7d
                *(char *)(*v195 + v196) = *(char *)(g3 + 0x16b8);
                int32_t * v197 = (int32_t *)(g3 + 20); // 0x47bd92_0
                *v197 = *v197 + 1;
                int32_t v198 = *v197 + *(int32_t *)(g3 + 8); // 0x47bd9b
                g4 = v198;
                *(char *)v198 = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                uint32_t v199 = v190 & 0xffff; // 0x47bdb9
                uint32_t v200 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47bdbc
                int16_t v201 = v190;
                if (v200 != 0) {
                    // if_47bdbc_0_true
                    v201 = v199 >> v200;
                    // branch -> after_if_47bdbc_0
                }
                // after_if_47bdbc_0
                *(int16_t *)(g3 + 0x16b8) = v201;
                int32_t * v202 = (int32_t *)(g3 + 0x16bc); // 0x47bdc8_0
                *v202 = *v202 + v23 - 16;
                // branch -> 0x47c0c0
                goto lab_0x47c0c0_6;
            }
            // 0x47c0c0
            v25 = v12;
            v24 = v16;
            if (v24 == 0) {
                goto lab_0x47c0ca_6;
            }
            goto lab_0x47c0d6_6;
        }
        // 0x47c0c0
        v25 = v12;
        v24 = v16;
        if (v24 == 0) {
            goto lab_0x47c0ca_6;
        }
        goto lab_0x47c0d6_6;
    }
}

// Address range: 0x47c110 - 0x47c173
void function_47c110(void) {
    int32_t v1 = g3; // 0x47c111
    g8 = v1 + 148;
    g6 = *(int32_t *)(v1 + 2844);
    g3 = v1;
    function_47b97c();
    int32_t v2 = g5; // 0x47c126
    g8 = v2 + 2440;
    g6 = *(int32_t *)(v2 + 2856);
    g3 = v2;
    function_47b97c();
    int32_t v3 = g5; // 0x47c139
    g8 = v3 + 2864;
    g3 = v3;
    function_47b76c();
    g3 = 18;
    int32_t v4 = 18; // 0x47c15f
    int32_t v5 = 0x4be9de; // 0x47c160
    // branch -> 0x47c150
    int32_t * v6; // 0x47c16c_0
    int32_t v7;
    int32_t v8; // 0x47c15f
    while (true) {
        int32_t v9 = v4; // 0x47c166
        if (*(int16_t *)(g5 + 2686 + 4 * (int32_t)*(char *)v5) == 0) {
            // 0x47c15f
            v8 = v4 - 1;
            g3 = v8;
            if (v8 <= 2) {
                // break -> 0x47c166
                break;
            }
            v4 = v8;
            v5--;
            // continue -> 0x47c150
            continue;
        }
        // 0x47c166
        v6 = (int32_t *)(g5 + 0x16a8);
        *v6 = 3 * v9 + 17 + *v6;
        g5 = v7;
        return;
    }
    // 0x47c166
    v6 = (int32_t *)(g5 + 0x16a8);
    *v6 = 3 * v8 + 17 + *v6;
    g5 = v7;
}

// Address range: 0x47c174 - 0x47c46b
void function_47c174(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g5; // 0x47c17a
    int32_t v3 = g10; // 0x47c17b
    int32_t v4 = g7; // 0x47c17c
    int16_t v5 = g6; // 0x47c17d_0
    int16_t v6 = g8; // 0x47c180_0
    int32_t v7 = 5; // eax
    int32_t * v8 = (int32_t *)(g3 + 0x16bc); // 0x47c191_0
    int32_t v9 = *v8; // 0x47c191
    if (v9 < 12) {
        int32_t v10 = g8 + 0xfeff & 0xffff; // 0x47c217
        uint32_t v11 = *v8 & 31; // 0x47c21c
        int32_t v12 = v10; // 0x47c21f
        if (v11 != 0) {
            // if_47c21c_0_true
            v12 = v10 << v11 & 0xffff;
            // branch -> after_if_47c21c_0
        }
        int16_t * v13 = (int16_t *)(g3 + 0x16b8); // 0x47c21f_0
        *v13 = (int16_t)((int32_t)*v13 | v12);
        int32_t * v14 = (int32_t *)(g3 + 0x16bc); // 0x47c226_0
        *v14 = v7 + *v14;
        // branch -> 0x47c22c
    } else {
        int32_t v15 = (int32_t)v6 - 257; // 0x47c19e
        uint32_t v16 = v9 & 31; // 0x47c1a8
        int32_t v17 = v15; // 0x47c1ab
        if (v16 != 0) {
            // if_47c1a8_0_true
            v17 = (v15 & 0xffff) << v16 & 0xffff | v15 & -0x10000;
            // branch -> after_if_47c1a8_0
        }
        int16_t * v18 = (int16_t *)(g3 + 0x16b8); // 0x47c1ab_0
        *v18 = (int16_t)((int32_t)*v18 | v17);
        int32_t * v19 = (int32_t *)(g3 + 20); // 0x47c1b2_0
        *v19 = *v19 + 1;
        int32_t v20 = *(int32_t *)(g3 + 8); // 0x47c1b8
        *(char *)(*v19 + v20) = *(char *)(g3 + 0x16b8);
        int32_t * v21 = (int32_t *)(g3 + 20); // 0x47c1cb_0
        *v21 = *v21 + 1;
        int32_t v22 = *(int32_t *)(g3 + 8); // 0x47c1d1
        uint16_t v23 = *(int16_t *)(g3 + 0x16b8); // 0x47c1d8
        *(char *)(*v21 + v22) = (char)(v23 / 256);
        uint32_t v24 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47c1f3
        int16_t v25 = v15;
        if (v24 != 0) {
            // if_47c1f3_0_true
            v25 = (v15 & 0xffff) >> v24;
            // branch -> after_if_47c1f3_0
        }
        // after_if_47c1f3_0
        *(int16_t *)(g3 + 0x16b8) = v25;
        int32_t * v26 = (int32_t *)(g3 + 0x16bc); // 0x47c1ff_0
        *v26 = *v26 + v7 - 16;
        // branch -> 0x47c22c
    }
    // 0x47c22c
    v7 = 5;
    int32_t * v27 = (int32_t *)(g3 + 0x16bc); // 0x47c238_0
    int32_t v28 = *v27; // 0x47c238
    if (v28 < 12) {
        int32_t v29 = g6 + 0xffff & 0xffff; // 0x47c2b9
        uint32_t v30 = *v27 & 31; // 0x47c2be
        int32_t v31 = v29; // 0x47c2c1
        if (v30 != 0) {
            // if_47c2be_0_true
            v31 = v29 << v30 & 0xffff;
            // branch -> after_if_47c2be_0
        }
        int16_t * v32 = (int16_t *)(g3 + 0x16b8); // 0x47c2c1_0
        *v32 = (int16_t)((int32_t)*v32 | v31);
        int32_t * v33 = (int32_t *)(g3 + 0x16bc); // 0x47c2c8_0
        *v33 = v7 + *v33;
        // branch -> 0x47c2ce
    } else {
        int32_t v34 = (int32_t)v5 - 1; // 0x47c245
        uint32_t v35 = v28 & 31; // 0x47c24a
        int32_t v36 = v34; // 0x47c24d
        if (v35 != 0) {
            // if_47c24a_0_true
            v36 = (v34 & 0xffff) << v35 & 0xffff | v34 & -0x10000;
            // branch -> after_if_47c24a_0
        }
        int16_t * v37 = (int16_t *)(g3 + 0x16b8); // 0x47c24d_0
        *v37 = (int16_t)((int32_t)*v37 | v36);
        int32_t * v38 = (int32_t *)(g3 + 20); // 0x47c254_0
        *v38 = *v38 + 1;
        int32_t v39 = *(int32_t *)(g3 + 8); // 0x47c25a
        *(char *)(*v38 + v39) = *(char *)(g3 + 0x16b8);
        int32_t * v40 = (int32_t *)(g3 + 20); // 0x47c26d_0
        *v40 = *v40 + 1;
        int32_t v41 = *(int32_t *)(g3 + 8); // 0x47c273
        uint16_t v42 = *(int16_t *)(g3 + 0x16b8); // 0x47c27a
        *(char *)(*v40 + v41) = (char)(v42 / 256);
        uint32_t v43 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47c295
        int16_t v44 = v34;
        if (v43 != 0) {
            // if_47c295_0_true
            v44 = (v34 & 0xffff) >> v43;
            // branch -> after_if_47c295_0
        }
        // after_if_47c295_0
        *(int16_t *)(g3 + 0x16b8) = v44;
        int32_t * v45 = (int32_t *)(g3 + 0x16bc); // 0x47c2a1_0
        *v45 = *v45 + v7 - 16;
        // branch -> 0x47c2ce
    }
    // 0x47c2ce
    v7 = 4;
    int32_t * v46 = (int32_t *)(g3 + 0x16bc); // 0x47c2da_0
    int32_t v47 = *v46; // 0x47c2da
    g10 = v47;
    int16_t v48;
    int32_t v49;
    if (v47 < 13) {
        int32_t v50 = (int32_t)v48 - 4 & 0xffff; // 0x47c35d
        uint32_t v51 = *v46 & 31; // 0x47c362
        int32_t v52 = v50; // 0x47c365
        if (v51 != 0) {
            // if_47c362_0_true
            v52 = v50 << v51 & 0xffff;
            // branch -> after_if_47c362_0
        }
        int16_t * v53 = (int16_t *)(g3 + 0x16b8); // 0x47c365_0
        *v53 = (int16_t)((int32_t)*v53 | v52);
        int32_t * v54 = (int32_t *)(g3 + 0x16bc); // 0x47c36c_0
        *v54 = v7 + *v54;
        v49 = v48;
        // branch -> 0x47c372
    } else {
        int32_t v55 = v48; // 0x47c2e4
        int32_t v56 = v55 - 4; // 0x47c2e7
        uint32_t v57 = v47 & 31; // 0x47c2ee
        int32_t v58 = v56; // 0x47c2f1
        if (v57 != 0) {
            // if_47c2ee_0_true
            v58 = (v56 & 0xffff) << v57 & 0xffff | v56 & -0x10000;
            // branch -> after_if_47c2ee_0
        }
        int16_t * v59 = (int16_t *)(g3 + 0x16b8); // 0x47c2f1_0
        *v59 = (int16_t)((int32_t)*v59 | v58);
        int32_t * v60 = (int32_t *)(g3 + 20); // 0x47c2f8_0
        *v60 = *v60 + 1;
        int32_t v61 = *(int32_t *)(g3 + 8); // 0x47c2fe
        *(char *)(*v60 + v61) = *(char *)(g3 + 0x16b8);
        int32_t * v62 = (int32_t *)(g3 + 20); // 0x47c311_0
        *v62 = *v62 + 1;
        int32_t v63 = *v62 + *(int32_t *)(g3 + 8); // 0x47c31a
        g10 = v63;
        *(char *)v63 = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
        uint32_t v64 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47c339
        int16_t v65 = v56;
        if (v64 != 0) {
            // if_47c339_0_true
            v65 = (v56 & 0xffff) >> v64;
            // branch -> after_if_47c339_0
        }
        // after_if_47c339_0
        *(int16_t *)(g3 + 0x16b8) = v65;
        int32_t * v66 = (int32_t *)(g3 + 0x16bc); // 0x47c345_0
        *v66 = *v66 + v7 - 16;
        v49 = v55;
        // branch -> 0x47c372
    }
    int32_t v67 = 0; // edx
    v7 = 0x4be9cc;
    int32_t v68; // 0x47c445
    int32_t v69; // 0x47c456
    if (v48 < 1) {
        // 0x47c441
        g6 = (int32_t)v6 - 1;
        v68 = g3;
        g8 = v68 + 148;
        g3 = v68;
        function_47ba88();
        g6 = (int32_t)v5 - 1;
        v69 = g5;
        g8 = v69 + 2440;
        g3 = v69;
        function_47ba88();
        g7 = v4;
        g10 = v3;
        g5 = v2;
        g4 = v1;
        return;
    }
    while (true) {
        // 0x47c382
        g10 = 3;
        int32_t * v70 = (int32_t *)(g3 + 0x16bc); // 0x47c38e_0
        if (*v70 < 14) {
            int32_t v71 = (int32_t)*(int16_t *)(g3 + 2686 + 4 * (int32_t)*"\x10\x11\x12"); // 0x47c41e
            g7 = v71;
            uint32_t v72 = *v70 & 31; // 0x47c426
            int32_t v73 = v71; // 0x47c429
            if (v72 != 0) {
                int32_t v74 = v71 << v72 & 0xffff; // 0x47c426
                g7 = v74;
                v73 = v74;
                // branch -> after_if_47c426_0
            }
            int16_t * v75 = (int16_t *)(g3 + 0x16b8); // 0x47c429_0
            *v75 = (int16_t)((int32_t)*v75 | v73);
            int32_t * v76 = (int32_t *)(g3 + 0x16bc); // 0x47c430_0
            *v76 = g10 + *v76;
            // branch -> 0x47c436
        } else {
            uint16_t v77 = *(int16_t *)(g3 + 2686 + 4 * (int32_t)*"\x10\x11\x12"); // 0x47c39a
            int32_t v78 = v77; // 0x47c39a
            int32_t v79 = g7 & -0x10000; // 0x47c3a5
            uint32_t v80 = *v70 & 31; // 0x47c3af
            int32_t v81 = v79 | v78; // 0x47c3b2
            if (v80 != 0) {
                // if_47c3af_0_true
                v81 = v78 << v80 & 0xffff | v79;
                // branch -> after_if_47c3af_0
            }
            int16_t * v82 = (int16_t *)(g3 + 0x16b8); // 0x47c3b2_0
            *v82 = (int16_t)((int32_t)*v82 | v81);
            int32_t * v83 = (int32_t *)(g3 + 20); // 0x47c3b9_0
            *v83 = *v83 + 1;
            int32_t v84 = *(int32_t *)(g3 + 8); // 0x47c3bf
            *(char *)(*v83 + v84) = *(char *)(g3 + 0x16b8);
            int32_t * v85 = (int32_t *)(g3 + 20); // 0x47c3d2_0
            *v85 = *v85 + 1;
            int32_t v86 = *(int32_t *)(g3 + 8); // 0x47c3d8
            uint16_t v87 = *(int16_t *)(g3 + 0x16b8); // 0x47c3df
            *(char *)(*v85 + v86) = (char)(v87 / 256);
            g7 = v78;
            uint32_t v88 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47c3fb
            if (v88 != 0) {
                int32_t v89 = v78 >> v88; // 0x47c3fb
                g7 = v89;
                v77 = (int16_t)v89;
                // branch -> after_if_47c3fb_0
            }
            // after_if_47c3fb_0
            *(int16_t *)(g3 + 0x16b8) = v77;
            int32_t * v90 = (int32_t *)(g3 + 0x16bc); // 0x47c407_0
            int32_t v91 = *v90 + g10 - 16; // 0x47c407
            g10 = v91;
            *v90 = v91;
            // branch -> 0x47c436
        }
        int32_t v92 = v67 + 1; // 0x47c436
        v67 = v92;
        v7++;
        if (v92 >= v49) {
            // break -> 0x47c441
            break;
        }
        // continue -> 0x47c382
    }
    // 0x47c441
    g6 = (int32_t)v6 - 1;
    v68 = g3;
    g8 = v68 + 148;
    g3 = v68;
    function_47ba88();
    g6 = (int32_t)v5 - 1;
    v69 = g5;
    g8 = v69 + 2440;
    g3 = v69;
    function_47ba88();
    g7 = v4;
    g10 = v3;
    g5 = v2;
    g4 = v1;
}

// Address range: 0x47c46c - 0x47c527
void function_47c46c(void) {
    int32_t v1 = g10; // 0x47c473
    int32_t v2 = g6; // 0x47c474
    int32_t v3;
    g10 = v3;
    g5 = 3;
    int32_t v4 = g3; // 0x47c489
    int32_t * v5 = (int32_t *)(v4 + 0x16bc); // 0x47c489_0
    int32_t v6 = *v5; // 0x47c489
    if (v6 < 14) {
        uint32_t v7 = *v5 & 31; // 0x47c502
        int32_t v8; // 0x47c502
        if (v7 != 0) {
            // if_47c502_0_true
            v8 = (v3 & 0xffff) << v7 & 0xffff | v3 & -0x10000;
            g10 = v8;
            // branch -> after_if_47c502_0
        } else {
            v8 = v3;
        }
        int16_t * v9 = (int16_t *)(v4 + 0x16b8); // 0x47c505_0
        *v9 = (int16_t)((int32_t)*v9 | v8);
        int32_t * v10 = (int32_t *)(g3 + 0x16bc); // 0x47c50c_0
        *v10 = g5 + *v10;
        // branch -> 0x47c512
    } else {
        uint32_t v11 = v6 & 31; // 0x47c497
        int32_t v12 = v3; // 0x47c49a
        if (v11 != 0) {
            // if_47c497_0_true
            v12 = (v3 & 0xffff) << v11 & 0xffff | v3 & -0x10000;
            // branch -> after_if_47c497_0
        }
        int16_t * v13 = (int16_t *)(v4 + 0x16b8); // 0x47c49a_0
        *v13 = (int16_t)((int32_t)*v13 | v12);
        int32_t * v14 = (int32_t *)(g3 + 20); // 0x47c4a1_0
        *v14 = *v14 + 1;
        int32_t v15 = g3; // 0x47c4a7
        int32_t v16 = *(int32_t *)(v15 + 8); // 0x47c4a7
        *(char *)(*v14 + v16) = *(char *)(v15 + 0x16b8);
        int32_t * v17 = (int32_t *)(g3 + 20); // 0x47c4ba_0
        *v17 = *v17 + 1;
        int32_t v18 = g3; // 0x47c4c0
        int32_t v19 = *(int32_t *)(v18 + 8); // 0x47c4c0
        uint16_t v20 = *(int16_t *)(v18 + 0x16b8); // 0x47c4c7
        *(char *)(*v17 + v19) = (char)(v20 / 256);
        int32_t v21 = g3; // 0x47c4d9
        uint32_t v22 = g10 & 0xffff; // 0x47c4df
        uint32_t v23 = 16 - *(int32_t *)(v21 + 0x16bc) & 31; // 0x47c4e2
        int16_t v24 = g10;
        int16_t v25;
        if (v23 != 0) {
            // if_47c4e2_0_true
            v25 = v22 >> v23;
            // branch -> after_if_47c4e2_0
        } else {
            v25 = v24;
        }
        // after_if_47c4e2_0
        *(int16_t *)(v21 + 0x16b8) = v25;
        int32_t * v26 = (int32_t *)(g3 + 0x16bc); // 0x47c4ee_0
        int32_t v27 = *v26 + g5 - 16; // 0x47c4ee
        g5 = v27;
        *v26 = v27;
        // branch -> 0x47c512
    }
    // 0x47c512
    g6 = v2;
    function_47d0d0();
    g10 = 1;
    g5 = v1;
    g6 = v2;
}

// Address range: 0x47c528 - 0x47c7f3
void function_47c528(void) {
    int32_t v1 = g7; // 0x47c52a
    int32_t v2 = g3; // 0x47c52b
    g5 = v2;
    int32_t v3 = 3; // eax
    int32_t * v4 = (int32_t *)(v2 + 0x16bc); // 0x47c539_0
    int32_t v5 = *v4; // 0x47c539
    if (v5 < 14) {
        uint32_t v6 = *v4 & 31; // 0x47c5bd
        int32_t v7 = 2; // 0x47c5c0
        if (v6 != 0) {
            // if_47c5bd_0_true
            v7 = 2 << v6 & 0xffff;
            // branch -> after_if_47c5bd_0
        }
        int16_t * v8 = (int16_t *)(v2 + 0x16b8); // 0x47c5c0_0
        *v8 = (int16_t)((int32_t)*v8 | v7);
        int32_t * v9 = (int32_t *)(g5 + 0x16bc); // 0x47c5c7_0
        *v9 = v3 + *v9;
        // branch -> 0x47c5cd
    } else {
        uint32_t v10 = v5 & 31; // 0x47c54e
        int32_t v11 = 2; // 0x47c551
        if (v10 != 0) {
            // if_47c54e_0_true
            v11 = 2 << v10 & 0xffff;
            // branch -> after_if_47c54e_0
        }
        int16_t * v12 = (int16_t *)(v2 + 0x16b8); // 0x47c551_0
        *v12 = (int16_t)((int32_t)*v12 | v11);
        int32_t * v13 = (int32_t *)(g5 + 20); // 0x47c558_0
        *v13 = *v13 + 1;
        int32_t v14 = g5; // 0x47c55e
        int32_t v15 = *(int32_t *)(v14 + 8); // 0x47c55e
        *(char *)(*v13 + v15) = *(char *)(v14 + 0x16b8);
        int32_t * v16 = (int32_t *)(g5 + 20); // 0x47c571_0
        *v16 = *v16 + 1;
        int32_t v17 = g5; // 0x47c577
        int32_t v18 = *(int32_t *)(v17 + 8); // 0x47c577
        uint16_t v19 = *(int16_t *)(v17 + 0x16b8); // 0x47c57e
        *(char *)(*v16 + v18) = (char)(v19 / 256);
        int32_t v20 = g5; // 0x47c590
        int32_t v21 = 2; // 0x47c596
        uint32_t v22 = 16 - *(int32_t *)(v20 + 0x16bc) & 31; // 0x47c599
        int16_t v23 = v21;
        if (v22 != 0) {
            // if_47c599_0_true
            v23 = (v21 & 0xffff) >> v22;
            // branch -> after_if_47c599_0
        }
        // after_if_47c599_0
        *(int16_t *)(v20 + 0x16b8) = v23;
        int32_t * v24 = (int32_t *)(g5 + 0x16bc); // 0x47c5a5_0
        *v24 = *v24 + v3 - 16;
        // branch -> 0x47c5cd
    }
    int32_t v25 = g5; // 0x47c5d7
    int32_t * v26 = (int32_t *)(v25 + 0x16bc); // 0x47c5d7_0
    int32_t v27 = *v26; // 0x47c5d7
    v3 = g37;
    if (16 - g37 < v27) {
        uint32_t v28 = v27 & 31; // 0x47c5f4
        int32_t v29 = g36; // 0x47c5f7
        if (v28 != 0) {
            // if_47c5f4_0_true
            v29 = (g36 & 0xffff) << v28 & 0xffff | g36 & -0x10000;
            // branch -> after_if_47c5f4_0
        }
        int16_t * v30 = (int16_t *)(v25 + 0x16b8); // 0x47c5f7_0
        *v30 = (int16_t)((int32_t)*v30 | v29);
        int32_t * v31 = (int32_t *)(g5 + 20); // 0x47c5fe_0
        *v31 = *v31 + 1;
        int32_t v32 = g5; // 0x47c604
        int32_t v33 = *(int32_t *)(v32 + 8); // 0x47c604
        *(char *)(*v31 + v33) = *(char *)(v32 + 0x16b8);
        int32_t * v34 = (int32_t *)(g5 + 20); // 0x47c617_0
        *v34 = *v34 + 1;
        int32_t v35 = g5; // 0x47c61d
        int32_t v36 = *(int32_t *)(v35 + 8); // 0x47c61d
        uint16_t v37 = *(int16_t *)(v35 + 0x16b8); // 0x47c624
        *(char *)(*v34 + v36) = (char)(v37 / 256);
        int32_t v38 = g5; // 0x47c636
        uint32_t v39 = 16 - *(int32_t *)(v38 + 0x16bc) & 31; // 0x47c63f
        int16_t v40 = g36;
        if (v39 != 0) {
            // if_47c63f_0_true
            v40 = (g36 & 0xffff) >> v39;
            // branch -> after_if_47c63f_0
        }
        // after_if_47c63f_0
        *(int16_t *)(v38 + 0x16b8) = v40;
        int32_t * v41 = (int32_t *)(g5 + 0x16bc); // 0x47c64b_0
        *v41 = *v41 + v3 - 16;
        // branch -> 0x47c677
    } else {
        int32_t v42 = g36 | 0x4b0000; // 0x47c664
        uint32_t v43 = *v26 & 31; // 0x47c667
        int32_t v44 = v42; // 0x47c66a
        if (v43 != 0) {
            // if_47c667_0_true
            v44 = (g36 & 0xffff) << v43 & 0xffff | v42 & -0x10000;
            // branch -> after_if_47c667_0
        }
        int16_t * v45 = (int16_t *)(v25 + 0x16b8); // 0x47c66a_0
        *v45 = (int16_t)((int32_t)*v45 | v44);
        int32_t * v46 = (int32_t *)(g5 + 0x16bc); // 0x47c671_0
        *v46 = v3 + *v46;
        // branch -> 0x47c677
    }
    // 0x47c677
    g3 = g5;
    function_47cff4();
    int32_t v47 = g5; // 0x47c67e
    int32_t * v48 = (int32_t *)(v47 + 0x16bc); // 0x47c687_0
    int32_t v49 = *v48; // 0x47c687
    int32_t v50 = *(int32_t *)(v47 + 0x16b4) + 11 - v49; // 0x47c68d
    g6 = v50;
    if (v50 > 8) {
        // 0x47c7e3
        *(int32_t *)(v47 + 0x16b4) = 7;
        g7 = v1;
        return;
    }
    // 0x47c698
    v3 = 3;
    if (v49 < 14) {
        int32_t v51 = v49 & -0x10000; // 0x47c718
        uint32_t v52 = *v48 & 31; // 0x47c722
        int32_t v53 = v51 | 2; // 0x47c725
        if (v52 != 0) {
            // if_47c722_0_true
            v53 = 2 << v52 & 0xffff | v51;
            // branch -> after_if_47c722_0
        }
        int16_t * v54 = (int16_t *)(v47 + 0x16b8); // 0x47c725_0
        *v54 = (int16_t)((int32_t)*v54 | v53);
        int32_t * v55 = (int32_t *)(g5 + 0x16bc); // 0x47c72c_0
        *v55 = v3 + *v55;
        // branch -> 0x47c732
    } else {
        uint32_t v56 = v49 & 31; // 0x47c6b3
        int32_t v57 = 2; // 0x47c6b6
        if (v56 != 0) {
            // if_47c6b3_0_true
            v57 = 2 << v56 & 0xffff;
            // branch -> after_if_47c6b3_0
        }
        int16_t * v58 = (int16_t *)(v47 + 0x16b8); // 0x47c6b6_0
        *v58 = (int16_t)((int32_t)*v58 | v57);
        int32_t * v59 = (int32_t *)(g5 + 20); // 0x47c6bd_0
        *v59 = *v59 + 1;
        int32_t v60 = g5; // 0x47c6c3
        int32_t v61 = *(int32_t *)(v60 + 8); // 0x47c6c3
        *(char *)(*v59 + v61) = *(char *)(v60 + 0x16b8);
        int32_t * v62 = (int32_t *)(g5 + 20); // 0x47c6d6_0
        *v62 = *v62 + 1;
        int32_t v63 = g5; // 0x47c6dc
        int32_t v64 = *(int32_t *)(v63 + 8); // 0x47c6dc
        uint16_t v65 = *(int16_t *)(v63 + 0x16b8); // 0x47c6e3
        *(char *)(*v62 + v64) = (char)(v65 / 256);
        int32_t v66 = g5; // 0x47c6f5
        int32_t v67 = 2; // 0x47c6fb
        uint32_t v68 = 16 - *(int32_t *)(v66 + 0x16bc) & 31; // 0x47c6fe
        int16_t v69 = v67;
        if (v68 != 0) {
            // if_47c6fe_0_true
            v69 = (v67 & 0xffff) >> v68;
            // branch -> after_if_47c6fe_0
        }
        // after_if_47c6fe_0
        *(int16_t *)(v66 + 0x16b8) = v69;
        int32_t * v70 = (int32_t *)(g5 + 0x16bc); // 0x47c70a_0
        *v70 = *v70 + v3 - 16;
        // branch -> 0x47c732
    }
    int32_t v71 = g5; // 0x47c73c
    int32_t * v72 = (int32_t *)(v71 + 0x16bc); // 0x47c73c_0
    int32_t v73 = *v72; // 0x47c73c
    v3 = g37;
    if (16 - g37 < v73) {
        uint32_t v74 = v73 & 31; // 0x47c759
        int32_t v75 = g36; // 0x47c75c
        if (v74 != 0) {
            // if_47c759_0_true
            v75 = (g36 & 0xffff) << v74 & 0xffff | g36 & -0x10000;
            // branch -> after_if_47c759_0
        }
        int16_t * v76 = (int16_t *)(v71 + 0x16b8); // 0x47c75c_0
        *v76 = (int16_t)((int32_t)*v76 | v75);
        int32_t * v77 = (int32_t *)(g5 + 20); // 0x47c763_0
        *v77 = *v77 + 1;
        int32_t v78 = g5; // 0x47c769
        int32_t v79 = *(int32_t *)(v78 + 8); // 0x47c769
        *(char *)(*v77 + v79) = *(char *)(v78 + 0x16b8);
        int32_t * v80 = (int32_t *)(g5 + 20); // 0x47c77c_0
        *v80 = *v80 + 1;
        int32_t v81 = g5; // 0x47c782
        int32_t v82 = *(int32_t *)(v81 + 8); // 0x47c782
        uint16_t v83 = *(int16_t *)(v81 + 0x16b8); // 0x47c789
        *(char *)(*v80 + v82) = (char)(v83 / 256);
        int32_t v84 = g5; // 0x47c79b
        int32_t v85 = 16 - *(int32_t *)(v84 + 0x16bc); // 0x47c79b
        g6 = v85;
        uint32_t v86 = v85 & 31; // 0x47c7a4
        int16_t v87;
        if (v86 != 0) {
            // if_47c7a4_0_true
            v87 = (g36 & 0xffff) >> v86;
            // branch -> after_if_47c7a4_0
        } else {
            v87 = g36;
        }
        // after_if_47c7a4_0
        *(int16_t *)(v84 + 0x16b8) = v87;
        int32_t * v88 = (int32_t *)(g5 + 0x16bc); // 0x47c7b0_0
        *v88 = *v88 + v3 - 16;
        // branch -> 0x47c7dc
    } else {
        int32_t v89 = *v72; // 0x47c7be
        g6 = v89;
        int32_t v90 = g36 | 0x4b0000; // 0x47c7c9
        uint32_t v91 = v89 & 31; // 0x47c7cc
        int32_t v92; // 0x47c7cf
        if (v91 != 0) {
            // if_47c7cc_0_true
            v92 = (g36 & 0xffff) << v91 & 0xffff | v90 & -0x10000;
            // branch -> after_if_47c7cc_0
        } else {
            v92 = v90;
        }
        int16_t * v93 = (int16_t *)(v71 + 0x16b8); // 0x47c7cf_0
        *v93 = (int16_t)((int32_t)*v93 | v92);
        int32_t * v94 = (int32_t *)(g5 + 0x16bc); // 0x47c7d6_0
        *v94 = v3 + *v94;
        // branch -> 0x47c7dc
    }
    // 0x47c7dc
    g3 = g5;
    function_47cff4();
    // branch -> 0x47c7e3
    // 0x47c7e3
    *(int32_t *)(g5 + 0x16b4) = 7;
    g7 = v1;
}

// Address range: 0x47c7f4 - 0x47cacb
void function_47c7f4(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g3; // 0x47c7fd
    g5 = v2;
    int32_t v3 = g8; // 0x47c7ff
    char * v4;
    g10 = (int32_t)v4;
    int32_t v5 = g6; // 0x47c811
    g7 = v5;
    int32_t * v6; // 0x47c8ad_0
    int16_t * v7; // 0x47c8c3_0
    int32_t * v8; // 0x47c8ca_0
    int32_t * v9; // 0x47c8e3_0
    int32_t * v10; // 0x47c917_0
    int16_t * v11; // 0x47c934_0
    int32_t * v12; // 0x47c93b_0
    int32_t * v13; // 0x47c963_0
    int16_t * v14; // 0x47c979_0
    int32_t * v15; // 0x47c980_0
    int32_t * v16; // 0x47c999_0
    int32_t * v17; // 0x47c9cd_0
    int16_t * v18; // 0x47c9ea_0
    int32_t * v19; // 0x47c9f1_0
    int32_t v20; // eax
    uint32_t v21; // 0x47c8c0
    uint32_t v22; // 0x47c90b
    uint32_t v23; // 0x47c931
    uint32_t v24; // 0x47c976
    uint32_t v25; // 0x47c9c1
    uint32_t v26; // 0x47c9e7
    int32_t v27; // 0x47c908
    int32_t v28; // 0x47c92b
    int32_t v29; // 0x47c9be
    int32_t v30; // 0x47c9e1
    int32_t v31; // 0x47c9fc
    int32_t v32; // 0x47c92d
    int32_t v33; // 0x47c9e3
    int32_t v34; // 0x47c92d
    int32_t v35; // 0x47c9e3
    int32_t v36; // 0x47c902
    int32_t v37; // 0x47c934
    int32_t v38; // 0x47c9b8
    int32_t v39; // 0x47ca11
    int32_t v40; // 0x47c871
    int32_t v41; // 0x47c8d0
    int32_t v42; // 0x47c8e9
    int32_t v43; // 0x47c986
    int32_t v44; // 0x47c99f
    int32_t v45; // 0x47c8b5
    int32_t v46; // 0x47c8ec
    int16_t v47;
    int32_t v48; // 0x47c96b
    int32_t v49; // 0x47c9a2
    int16_t v50;
    int32_t v51; // 0x47c8ad
    int32_t v52; // 0x47c8d0
    int32_t v53; // 0x47c963
    int32_t v54; // 0x47c986
    int32_t v55; // 0x47c8c3
    int32_t v56; // 0x47c934
    int32_t v57; // 0x47c979
    int32_t v58; // 0x47c9ea
    if (*(int32_t *)(v2 + 132) >= 1) {
        int32_t v59 = v2; // 0x47c828
        if (v5 != 0) {
            // 0x47c819
            if (*(int32_t *)(*(int32_t *)v2 + 44) == 2) {
                // 0x47c821
                g3 = v2;
                function_47cf8c();
                v59 = g5;
                // branch -> 0x47c828
            } else {
                v59 = v2;
            }
        }
        // 0x47c828
        g8 = v59 + 2840;
        g3 = v59;
        function_47b76c();
        int32_t v60 = g5; // 0x47c835
        g8 = v60 + 2852;
        g3 = v60;
        function_47b76c();
        g3 = g5;
        function_47c110();
        int32_t v61 = g5; // 0x47c84c
        uint32_t v62 = (*(int32_t *)(v61 + 0x16a8) + 10) / 8; // 0x47c85e
        int32_t v63 = (*(int32_t *)(v61 + 0x16ac) + 10) / 8; // 0x47c861
        int32_t v64; // 0x47c86c
        if (v62 >= v63) {
            // 0x47c868
            v64 = v63;
            v37 = v61;
            // branch -> 0x47c871
        } else {
            v64 = v62;
            v37 = v61;
        }
        // 0x47c871
        v40 = g7;
        if (v64 >= v40 + 4) {
            // 0x47c878
            if (v3 != 0) {
                // 0x47c87e
                g6 = v40;
                g8 = v3;
                g3 = v37;
                function_47c46c();
                // branch -> 0x47ca24
                // 0x47ca24
                g3 = g5;
                function_47b39c();
                if (g10 != 0) {
                    // 0x47ca2f
                    g3 = g5;
                    function_47d068();
                    // branch -> 0x47ca36
                }
                // 0x47ca36
                return;
            }
        }
        // 0x47c890
        if (*(int32_t *)(v37 + 136) != 4) {
            // 0x47c899
            if (v64 != v63) {
                // 0x47c957
                v20 = 3;
                v13 = (int32_t *)(v37 + 0x16bc);
                v53 = *v13;
                if (v53 < 14) {
                    // 0x47c9db
                    v30 = g10;
                    v33 = v30 & -0x10000;
                    v35 = v30 + 4 & 0xffff;
                    v26 = v53 & 31;
                    v58 = v35 | v33;
                    if (v26 != 0) {
                        // if_47c9e7_0_true
                        v58 = v35 << v26 & 0xffff | v33;
                        // branch -> after_if_47c9e7_0
                    }
                    // after_if_47c9e7_0
                    v18 = (int16_t *)(v37 + 0x16b8);
                    *v18 = (int16_t)((int32_t)*v18 | v58);
                    v19 = (int32_t *)(g5 + 0x16bc);
                    *v19 = v20 + *v19;
                    // branch -> 0x47c9f7
                } else {
                    // 0x47c96b
                    v48 = g10 + 4;
                    v24 = *v13 & 31;
                    v57 = v48;
                    if (v24 != 0) {
                        // if_47c976_0_true
                        v57 = (v48 & 0xffff) << v24 & 0xffff | v48 & -0x10000;
                        // branch -> after_if_47c976_0
                    }
                    // after_if_47c976_0
                    v14 = (int16_t *)(v37 + 0x16b8);
                    *v14 = (int16_t)((int32_t)*v14 | v57);
                    v15 = (int32_t *)(g5 + 20);
                    *v15 = *v15 + 1;
                    v43 = g5;
                    v54 = *(int32_t *)(v43 + 8);
                    *(char *)(*v15 + v54) = *(char *)(v43 + 0x16b8);
                    v16 = (int32_t *)(g5 + 20);
                    *v16 = *v16 + 1;
                    v44 = g5;
                    v49 = *v16 + *(int32_t *)(v44 + 8);
                    g7 = v49;
                    *(char *)v49 = (char)(*(int16_t *)(v44 + 0x16b8) / 256);
                    v38 = g5;
                    v29 = v48;
                    v25 = 16 - *(int32_t *)(v38 + 0x16bc) & 31;
                    v50 = v29;
                    if (v25 != 0) {
                        // if_47c9c1_0_true
                        v50 = (v29 & 0xffff) >> v25;
                        // branch -> after_if_47c9c1_0
                    }
                    // after_if_47c9c1_0
                    *(int16_t *)(v38 + 0x16b8) = v50;
                    v17 = (int32_t *)(g5 + 0x16bc);
                    *v17 = *v17 + v20 - 16;
                    // branch -> 0x47c9f7
                }
                // 0x47c9f7
                v31 = g5;
                g3 = v31;
                g6 = *(int32_t *)(v31 + 2856) + 1;
                g8 = *(int32_t *)(v31 + 2844) + 1;
                function_47c174();
                v39 = g5;
                g6 = v39 + 2440;
                g8 = v39 + 148;
                g3 = v39;
                function_47cacc();
                // branch -> 0x47ca24
                // 0x47ca24
                g3 = g5;
                function_47b39c();
                if (g10 != 0) {
                    // 0x47ca2f
                    g3 = g5;
                    function_47d068();
                    // branch -> 0x47ca36
                }
                // 0x47ca36
                return;
            }
        }
        // 0x47c8a1
        v20 = 3;
        v6 = (int32_t *)(v37 + 0x16bc);
        v51 = *v6;
        if (v51 < 14) {
            // 0x47c925
            v28 = g10;
            v32 = v28 & -0x10000;
            v34 = v28 + 2 & 0xffff;
            v23 = v51 & 31;
            v56 = v34 | v32;
            if (v23 != 0) {
                // if_47c931_0_true
                v56 = v34 << v23 & 0xffff | v32;
                // branch -> after_if_47c931_0
            }
            // after_if_47c931_0
            v11 = (int16_t *)(v37 + 0x16b8);
            *v11 = (int16_t)((int32_t)*v11 | v56);
            v12 = (int32_t *)(g5 + 0x16bc);
            *v12 = v20 + *v12;
            // branch -> 0x47c941
        } else {
            // 0x47c8b5
            v45 = g10 + 2;
            v21 = *v6 & 31;
            v55 = v45;
            if (v21 != 0) {
                // if_47c8c0_0_true
                v55 = (v45 & 0xffff) << v21 & 0xffff | v45 & -0x10000;
                // branch -> after_if_47c8c0_0
            }
            // after_if_47c8c0_0
            v7 = (int16_t *)(v37 + 0x16b8);
            *v7 = (int16_t)((int32_t)*v7 | v55);
            v8 = (int32_t *)(g5 + 20);
            *v8 = *v8 + 1;
            v41 = g5;
            v52 = *(int32_t *)(v41 + 8);
            *(char *)(*v8 + v52) = *(char *)(v41 + 0x16b8);
            v9 = (int32_t *)(g5 + 20);
            *v9 = *v9 + 1;
            v42 = g5;
            v46 = *v9 + *(int32_t *)(v42 + 8);
            g7 = v46;
            *(char *)v46 = (char)(*(int16_t *)(v42 + 0x16b8) / 256);
            v36 = g5;
            v27 = v45;
            v22 = 16 - *(int32_t *)(v36 + 0x16bc) & 31;
            v47 = v27;
            if (v22 != 0) {
                // if_47c90b_0_true
                v47 = (v27 & 0xffff) >> v22;
                // branch -> after_if_47c90b_0
            }
            // after_if_47c90b_0
            *(int16_t *)(v36 + 0x16b8) = v47;
            v10 = (int32_t *)(g5 + 0x16bc);
            *v10 = *v10 + v20 - 16;
            // branch -> 0x47c941
        }
        // 0x47c941
        g6 = 0x4be82c;
        g8 = 0x4be3ac;
        g3 = g5;
        function_47cacc();
        // branch -> 0x47ca24
        // 0x47ca24
        g3 = g5;
        function_47b39c();
        if (g10 != 0) {
            // 0x47ca2f
            g3 = g5;
            function_47d068();
            // branch -> 0x47ca36
        }
        // 0x47ca36
        return;
    }
    // 0x47c86c
    v37 = v2;
    // branch -> 0x47c871
    // 0x47c871
    v40 = g7;
    if (v5 + 5 < v40 + 4) {
        // 0x47c890
        if (*(int32_t *)(v37 + 136) == 4 || true) {
            // 0x47c8a1
            v20 = 3;
            v6 = (int32_t *)(v37 + 0x16bc);
            v51 = *v6;
            if (v51 < 14) {
                // 0x47c925
                v28 = g10;
                v32 = v28 & -0x10000;
                v34 = v28 + 2 & 0xffff;
                v23 = v51 & 31;
                v56 = v34 | v32;
                if (v23 != 0) {
                    // if_47c931_0_true
                    v56 = v34 << v23 & 0xffff | v32;
                    // branch -> after_if_47c931_0
                }
                // after_if_47c931_0
                v11 = (int16_t *)(v37 + 0x16b8);
                *v11 = (int16_t)((int32_t)*v11 | v56);
                v12 = (int32_t *)(g5 + 0x16bc);
                *v12 = v20 + *v12;
                // branch -> 0x47c941
            } else {
                // 0x47c8b5
                v45 = g10 + 2;
                v21 = *v6 & 31;
                v55 = v45;
                if (v21 != 0) {
                    // if_47c8c0_0_true
                    v55 = (v45 & 0xffff) << v21 & 0xffff | v45 & -0x10000;
                    // branch -> after_if_47c8c0_0
                }
                // after_if_47c8c0_0
                v7 = (int16_t *)(v37 + 0x16b8);
                *v7 = (int16_t)((int32_t)*v7 | v55);
                v8 = (int32_t *)(g5 + 20);
                *v8 = *v8 + 1;
                v41 = g5;
                v52 = *(int32_t *)(v41 + 8);
                *(char *)(*v8 + v52) = *(char *)(v41 + 0x16b8);
                v9 = (int32_t *)(g5 + 20);
                *v9 = *v9 + 1;
                v42 = g5;
                v46 = *v9 + *(int32_t *)(v42 + 8);
                g7 = v46;
                *(char *)v46 = (char)(*(int16_t *)(v42 + 0x16b8) / 256);
                v36 = g5;
                v27 = v45;
                v22 = 16 - *(int32_t *)(v36 + 0x16bc) & 31;
                v47 = v27;
                if (v22 != 0) {
                    // if_47c90b_0_true
                    v47 = (v27 & 0xffff) >> v22;
                    // branch -> after_if_47c90b_0
                }
                // after_if_47c90b_0
                *(int16_t *)(v36 + 0x16b8) = v47;
                v10 = (int32_t *)(g5 + 0x16bc);
                *v10 = *v10 + v20 - 16;
                // branch -> 0x47c941
            }
            // 0x47c941
            g6 = 0x4be82c;
            g8 = 0x4be3ac;
            g3 = g5;
            function_47cacc();
            // branch -> 0x47ca24
            // 0x47ca24
            g3 = g5;
            function_47b39c();
            if (g10 != 0) {
                // 0x47ca2f
                g3 = g5;
                function_47d068();
                // branch -> 0x47ca36
            }
            // 0x47ca36
            return;
        }
        // 0x47c957
        v20 = 3;
        v13 = (int32_t *)(v37 + 0x16bc);
        v53 = *v13;
        if (v53 < 14) {
            // 0x47c9db
            v30 = g10;
            v33 = v30 & -0x10000;
            v35 = v30 + 4 & 0xffff;
            v26 = v53 & 31;
            v58 = v35 | v33;
            if (v26 != 0) {
                // if_47c9e7_0_true
                v58 = v35 << v26 & 0xffff | v33;
                // branch -> after_if_47c9e7_0
            }
            // after_if_47c9e7_0
            v18 = (int16_t *)(v37 + 0x16b8);
            *v18 = (int16_t)((int32_t)*v18 | v58);
            v19 = (int32_t *)(g5 + 0x16bc);
            *v19 = v20 + *v19;
            // branch -> 0x47c9f7
        } else {
            // 0x47c96b
            v48 = g10 + 4;
            v24 = *v13 & 31;
            v57 = v48;
            if (v24 != 0) {
                // if_47c976_0_true
                v57 = (v48 & 0xffff) << v24 & 0xffff | v48 & -0x10000;
                // branch -> after_if_47c976_0
            }
            // after_if_47c976_0
            v14 = (int16_t *)(v37 + 0x16b8);
            *v14 = (int16_t)((int32_t)*v14 | v57);
            v15 = (int32_t *)(g5 + 20);
            *v15 = *v15 + 1;
            v43 = g5;
            v54 = *(int32_t *)(v43 + 8);
            *(char *)(*v15 + v54) = *(char *)(v43 + 0x16b8);
            v16 = (int32_t *)(g5 + 20);
            *v16 = *v16 + 1;
            v44 = g5;
            v49 = *v16 + *(int32_t *)(v44 + 8);
            g7 = v49;
            *(char *)v49 = (char)(*(int16_t *)(v44 + 0x16b8) / 256);
            v38 = g5;
            v29 = v48;
            v25 = 16 - *(int32_t *)(v38 + 0x16bc) & 31;
            v50 = v29;
            if (v25 != 0) {
                // if_47c9c1_0_true
                v50 = (v29 & 0xffff) >> v25;
                // branch -> after_if_47c9c1_0
            }
            // after_if_47c9c1_0
            *(int16_t *)(v38 + 0x16b8) = v50;
            v17 = (int32_t *)(g5 + 0x16bc);
            *v17 = *v17 + v20 - 16;
            // branch -> 0x47c9f7
        }
        // 0x47c9f7
        v31 = g5;
        g3 = v31;
        g6 = *(int32_t *)(v31 + 2856) + 1;
        g8 = *(int32_t *)(v31 + 2844) + 1;
        function_47c174();
        v39 = g5;
        g6 = v39 + 2440;
        g8 = v39 + 148;
        g3 = v39;
        function_47cacc();
        // branch -> 0x47ca24
        // 0x47ca24
        g3 = g5;
        function_47b39c();
        if (g10 != 0) {
            // 0x47ca2f
            g3 = g5;
            function_47d068();
            // branch -> 0x47ca36
        }
        // 0x47ca36
        return;
    }
    // 0x47c878
    if (v3 != 0) {
        // 0x47c87e
        g6 = v40;
        g8 = v3;
        g3 = v37;
        function_47c46c();
        // branch -> 0x47ca24
        // 0x47ca24
        g3 = g5;
        function_47b39c();
        if (g10 != 0) {
            // 0x47ca2f
            g3 = g5;
            function_47d068();
            // branch -> 0x47ca36
        }
        // 0x47ca36
        return;
    }
    // 0x47c890
    if (*(int32_t *)(v37 + 136) != 4) {
        // 0x47c899

    }
    // 0x47c8a1
    v20 = 3;
    v6 = (int32_t *)(v37 + 0x16bc);
    v51 = *v6;
    if (v51 < 14) {
        // 0x47c925
        v28 = g10;
        v32 = v28 & -0x10000;
        v34 = v28 + 2 & 0xffff;
        v23 = v51 & 31;
        v56 = v34 | v32;
        if (v23 != 0) {
            // if_47c931_0_true
            v56 = v34 << v23 & 0xffff | v32;
            // branch -> after_if_47c931_0
        }
        // after_if_47c931_0
        v11 = (int16_t *)(v37 + 0x16b8);
        *v11 = (int16_t)((int32_t)*v11 | v56);
        v12 = (int32_t *)(g5 + 0x16bc);
        *v12 = v20 + *v12;
        // branch -> 0x47c941
    } else {
        // 0x47c8b5
        v45 = g10 + 2;
        v21 = *v6 & 31;
        v55 = v45;
        if (v21 != 0) {
            // if_47c8c0_0_true
            v55 = (v45 & 0xffff) << v21 & 0xffff | v45 & -0x10000;
            // branch -> after_if_47c8c0_0
        }
        // after_if_47c8c0_0
        v7 = (int16_t *)(v37 + 0x16b8);
        *v7 = (int16_t)((int32_t)*v7 | v55);
        v8 = (int32_t *)(g5 + 20);
        *v8 = *v8 + 1;
        v41 = g5;
        v52 = *(int32_t *)(v41 + 8);
        *(char *)(*v8 + v52) = *(char *)(v41 + 0x16b8);
        v9 = (int32_t *)(g5 + 20);
        *v9 = *v9 + 1;
        v42 = g5;
        v46 = *v9 + *(int32_t *)(v42 + 8);
        g7 = v46;
        *(char *)v46 = (char)(*(int16_t *)(v42 + 0x16b8) / 256);
        v36 = g5;
        v27 = v45;
        v22 = 16 - *(int32_t *)(v36 + 0x16bc) & 31;
        v47 = v27;
        if (v22 != 0) {
            // if_47c90b_0_true
            v47 = (v27 & 0xffff) >> v22;
            // branch -> after_if_47c90b_0
        }
        // after_if_47c90b_0
        *(int16_t *)(v36 + 0x16b8) = v47;
        v10 = (int32_t *)(g5 + 0x16bc);
        *v10 = *v10 + v20 - 16;
        // branch -> 0x47c941
    }
    // 0x47c941
    g6 = 0x4be82c;
    g8 = 0x4be3ac;
    g3 = g5;
    function_47cacc();
    // branch -> 0x47ca24
    // 0x47ca24
    g3 = g5;
    function_47b39c();
    if (g10 != 0) {
        // 0x47ca2f
        g3 = g5;
        function_47d068();
        // branch -> 0x47ca36
    }
}

// Address range: 0x47cacc - 0x47cf8b
void function_47cacc(void) {
    int32_t v1 = g10; // 0x47cacd
    int32_t v2 = g3; // 0x47cef7
    int32_t * v3; // 0x47cedf_0
    int16_t * v4; // 0x47cef7_0
    int32_t * v5; // 0x47cefe_0
    int32_t * v6; // 0x47cf17_0
    int32_t * v7; // 0x47cf4b_0
    int16_t * v8; // 0x47cf69_0
    int32_t * v9; // 0x47cf70_0
    int32_t v10; // ebx
    uint32_t v11; // 0x47cef4
    uint32_t v12; // 0x47cf3f
    uint32_t v13; // 0x47cf66
    int32_t v14;
    int32_t v15; // 0x47cf3c
    int32_t v16; // 0x47ced1
    int32_t v17; // 0x47cf36
    int32_t v18; // 0x47cf04
    int32_t v19; // 0x47cf1d
    int32_t v20; // 0x47cedf
    uint16_t v21; // 0x47cf24
    int16_t v22;
    int32_t v23; // 0x47ced1
    int32_t v24; // 0x47cee9
    int32_t v25; // 0x47cf04
    int32_t v26; // 0x47cf1d
    int32_t v27; // 0x47cef7
    int32_t v28; // 0x47cf69
    int32_t v29; // 0x47cf59
    if (*(int32_t *)(g3 + 0x16a0) == 0) {
        // 0x47ced1
        v16 = g8;
        v23 = (int32_t)*(int16_t *)(v16 + 1026);
        v10 = v23;
        v3 = (int32_t *)(v2 + 0x16bc);
        v20 = *v3;
        v24 = (int32_t)*(int16_t *)(v16 + 1024);
        if (16 - v23 < v20) {
            // 0x47cee9
            v11 = v20 & 31;
            v27 = v24;
            if (v11 != 0) {
                // if_47cef4_0_true
                v27 = v24 << v11 & 0xffff;
                // branch -> after_if_47cef4_0
            }
            // after_if_47cef4_0
            v4 = (int16_t *)(v2 + 0x16b8);
            *v4 = (int16_t)((int32_t)*v4 | v27);
            v5 = (int32_t *)(g3 + 20);
            *v5 = *v5 + 1;
            v18 = g3;
            v25 = *(int32_t *)(v18 + 8);
            *(char *)(*v5 + v25) = *(char *)(v18 + 0x16b8);
            v6 = (int32_t *)(g3 + 20);
            *v6 = *v6 + 1;
            v19 = g3;
            v26 = *(int32_t *)(v19 + 8);
            v21 = *(int16_t *)(v19 + 0x16b8);
            *(char *)(*v6 + v26) = (char)(v21 / 256);
            v17 = g3;
            v15 = v24;
            v12 = 16 - *(int32_t *)(v17 + 0x16bc) & 31;
            if (v12 != 0) {
                // if_47cf3f_0_true
                v22 = (v15 & 0xffff) >> v12;
                // branch -> after_if_47cf3f_0
            } else {
                v22 = v15;
            }
            // after_if_47cf3f_0
            *(int16_t *)(v17 + 0x16b8) = v22;
            v7 = (int32_t *)(g3 + 0x16bc);
            *v7 = *v7 + v10 - 16;
            // branch -> 0x47cf76
        } else {
            // 0x47cf59
            v29 = g10 & -0x10000;
            v13 = *v3 & 31;
            if (v13 != 0) {
                // if_47cf66_0_true
                v28 = v24 << v13 & 0xffff | v29;
                // branch -> after_if_47cf66_0
            } else {
                v28 = v29 | v24;
            }
            // after_if_47cf66_0
            v8 = (int16_t *)(v2 + 0x16b8);
            *v8 = (int16_t)((int32_t)*v8 | v28);
            v9 = (int32_t *)(g3 + 0x16bc);
            *v9 = v10 + *v9;
            // branch -> 0x47cf76
        }
        // 0x47cf76
        *(int32_t *)(g3 + 0x16b4) = (int32_t)*(int16_t *)(g8 + 1026);
        g10 = v1;
        g5 = v14;
        return;
    }
    int32_t v30 = g3; // 0x47cb36
    int32_t v31 = 0; // 0x47cec17
    while (true) {
        uint16_t v32 = *(int16_t *)(*(int32_t *)(v30 + 0x16a4) + 2 * v31); // 0x47caf3
        int32_t v33 = v32; // esi
        int32_t v34 = (int32_t)*(char *)(*(int32_t *)(v30 + 0x1698) + v31); // 0x47cb01
        int32_t v35 = v34; // edi
        int32_t v36 = v31 + 1; // 0x47cb05
        if (v32 == 0) {
            int32_t v37 = 4 * v34; // 0x47cb11
            int32_t v38 = (int32_t)*(int16_t *)((v37 | 2) + g8); // 0x47cb11
            v10 = v38;
            int32_t * v39 = (int32_t *)(v30 + 0x16bc); // 0x47cb1d_0
            int32_t v40 = (int32_t)*(int16_t *)(g8 + v37); // 0x47cb25
            g10 = v40;
            int32_t v41 = *v39; // 0x47cb29
            if (16 - v38 < *v39) {
                uint32_t v42 = v41 & 31; // 0x47cb33
                int32_t v43 = v40; // 0x47cb36
                if (v42 != 0) {
                    // if_47cb33_0_true
                    v43 = v40 << v42 & 0xffff;
                    // branch -> after_if_47cb33_0
                }
                int16_t * v44 = (int16_t *)(v30 + 0x16b8); // 0x47cb36_0
                *v44 = (int16_t)((int32_t)*v44 | v43);
                int32_t * v45 = (int32_t *)(g3 + 20); // 0x47cb3d_0
                *v45 = *v45 + 1;
                int32_t v46 = *(int32_t *)(g3 + 8); // 0x47cb43
                *(char *)(*v45 + v46) = *(char *)(g3 + 0x16b8);
                int32_t * v47 = (int32_t *)(g3 + 20); // 0x47cb58_0
                *v47 = *v47 + 1;
                int32_t v48 = *v47 + *(int32_t *)(g3 + 8); // 0x47cb61
                g4 = v48;
                *(char *)v48 = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                int32_t v49 = v40; // 0x47cb7f
                int32_t v50 = v49 & 0xffff; // 0x47cb7f
                g10 = v50;
                uint32_t v51 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47cb82
                int16_t v52 = v49;
                if (v51 != 0) {
                    int32_t v53 = v50 >> v51; // 0x47cb82
                    g10 = v53;
                    v52 = v53;
                    // branch -> after_if_47cb82_0
                }
                // after_if_47cb82_0
                *(int16_t *)(g3 + 0x16b8) = v52;
                int32_t * v54 = (int32_t *)(g3 + 0x16bc); // 0x47cb8e_0
                *v54 = *v54 + v10 - 16;
                // branch -> 0x47cec1
            } else {
                uint32_t v55 = v41 & 31; // 0x47cba9
                int32_t v56 = v40; // 0x47cbac
                if (v55 != 0) {
                    int32_t v57 = v40 << v55 & 0xffff; // 0x47cba9
                    g10 = v57;
                    v56 = v57;
                    // branch -> after_if_47cba9_0
                }
                int16_t * v58 = (int16_t *)(v30 + 0x16b8); // 0x47cbac_0
                *v58 = (int16_t)((int32_t)*v58 | v56);
                int32_t * v59 = (int32_t *)(g3 + 0x16bc); // 0x47cbb3_0
                *v59 = v10 + *v59;
                // branch -> 0x47cec1
            }
          lab_0x47cec1_3:
            // 0x47cec1
            if (v36 >= *(int32_t *)(g3 + 0x16a0)) {
                v2 = g3;
                // break -> 0x47ced1
                break;
            }
            v30 = g3;
            v31 = v36;
            // continue -> 0x47cae9
            continue;
        } else {
            int32_t v60 = (int32_t)*(char *)(v34 + 0x4bebdf); // 0x47cbc0
            v10 = v60;
            int32_t v61 = 4 * v60; // 0x47cbc6
            int32_t v62 = (int32_t)*(int16_t *)(g8 + 1030 + v61); // 0x47cbc6
            int32_t * v63 = (int32_t *)(v30 + 0x16bc); // 0x47cbdb_0
            uint16_t v64 = *(int16_t *)(g8 + 1028 + v61); // 0x47cbe7
            int32_t v65 = v64; // 0x47cbe7
            int32_t v66; // ebp
            if (16 - v62 < *v63) {
                int32_t v67 = g4 & -0x10000; // 0x47cbf3
                uint32_t v68 = *v63 & 31; // 0x47cbfe
                int32_t v69 = v67 | v65; // 0x47cc01
                if (v68 != 0) {
                    // if_47cbfe_0_true
                    v69 = v65 << v68 & 0xffff | v67;
                    // branch -> after_if_47cbfe_0
                }
                int16_t * v70 = (int16_t *)(v30 + 0x16b8); // 0x47cc01_0
                *v70 = (int16_t)((int32_t)*v70 | v69);
                int32_t * v71 = (int32_t *)(g3 + 20); // 0x47cc08_0
                *v71 = *v71 + 1;
                int32_t v72 = *(int32_t *)(g3 + 8); // 0x47cc0e
                *(char *)(*v71 + v72) = *(char *)(g3 + 0x16b8);
                int32_t * v73 = (int32_t *)(g3 + 20); // 0x47cc23_0
                int32_t v74 = *v73; // 0x47cc23
                *v73 = *v73 + 1;
                int32_t v75 = *(int32_t *)(g3 + 8); // 0x47cc29
                *(char *)(v74 + v75) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                v66 = v65;
                uint32_t v76 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47cc4f
                if (v76 != 0) {
                    int32_t v77 = v65 >> v76; // 0x47cc4f
                    v66 = v77;
                    v64 = (int16_t)v77;
                    // branch -> after_if_47cc4f_0
                }
                // after_if_47cc4f_0
                *(int16_t *)(g3 + 0x16b8) = v64;
                int32_t * v78 = (int32_t *)(g3 + 0x16bc); // 0x47cc5f_0
                *v78 = *v78 + v62 - 16;
                // branch -> 0x47cc8f
            } else {
                int32_t v79 = g4 & -0x10000; // 0x47cc6d
                int32_t v80 = v79 | v65; // 0x47cc6d
                v66 = v80;
                uint32_t v81 = *v63 & 31; // 0x47cc7b
                if (v81 != 0) {
                    int32_t v82 = v65 << v81 & 0xffff | v79; // 0x47cc7b
                    v66 = v82;
                    v80 = v82;
                    // branch -> after_if_47cc7b_0
                }
                int16_t * v83 = (int16_t *)(v30 + 0x16b8); // 0x47cc7e_0
                *v83 = (int16_t)((int32_t)*v83 | v80);
                int32_t * v84 = (int32_t *)(g3 + 0x16bc); // 0x47cc89_0
                *v84 = *v84 + v62;
                // branch -> 0x47cc8f
            }
            int32_t v85 = 4 * v10; // 0x47cc8f
            int32_t v86 = *(int32_t *)(v85 + 0x4be274); // 0x47cc8f
            int32_t v87; // 0x47cd3d
            int32_t v88; // 0x47cd3d
            if (v86 != 0) {
                int32_t v89 = v35 - *(int32_t *)(v85 + 0x4be8a4); // 0x47cc9e
                v35 = v89;
                v10 = v86;
                int32_t v90 = *(int32_t *)(g3 + 0x16bc); // 0x47ccae
                if (16 - v86 < v90) {
                    uint32_t v91 = v90 & 31; // 0x47ccbe
                    int32_t v92 = v89 & 0xffff; // 0x47ccbe
                    int32_t v93 = v89; // 0x47ccc1
                    if (v91 != 0) {
                        // if_47ccbe_0_true
                        v93 = v92 << v91 & 0xffff | v89 & -0x10000;
                        // branch -> after_if_47ccbe_0
                    }
                    int16_t * v94 = (int16_t *)(g3 + 0x16b8); // 0x47ccc1_0
                    *v94 = (int16_t)((int32_t)*v94 | v93);
                    int32_t * v95 = (int32_t *)(g3 + 20); // 0x47ccc8_0
                    *v95 = *v95 + 1;
                    int32_t v96 = *(int32_t *)(g3 + 8); // 0x47ccce
                    *(char *)(*v95 + v96) = *(char *)(g3 + 0x16b8);
                    int32_t * v97 = (int32_t *)(g3 + 20); // 0x47cce3_0
                    *v97 = *v97 + 1;
                    int32_t v98 = *v97 + *(int32_t *)(g3 + 8); // 0x47ccec
                    v66 = v98;
                    *(char *)v98 = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    int32_t v99 = v35; // 0x47cd0a
                    uint32_t v100 = v99 & 0xffff; // 0x47cd0a
                    uint32_t v101 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47cd0d
                    int16_t v102 = v99;
                    if (v101 != 0) {
                        // if_47cd0d_0_true
                        v102 = v100 >> v101;
                        // branch -> after_if_47cd0d_0
                    }
                    // after_if_47cd0d_0
                    *(int16_t *)(g3 + 0x16b8) = v102;
                    int32_t * v103 = (int32_t *)(g3 + 0x16bc); // 0x47cd19_0
                    int32_t v104 = *v103 + v10 - 16; // 0x47cd19
                    v10 = v104;
                    *v103 = v104;
                    // branch -> 0x47cd3d
                } else {
                    uint32_t v105 = v90 & 31; // 0x47cd2d
                    int32_t v106 = v89 & 0xffff; // 0x47cd2d
                    int32_t v107 = v89; // 0x47cd30
                    if (v105 != 0) {
                        // if_47cd2d_0_true
                        v107 = v106 << v105 & 0xffff | v89 & -0x10000;
                        // branch -> after_if_47cd2d_0
                    }
                    int16_t * v108 = (int16_t *)(g3 + 0x16b8); // 0x47cd30_0
                    *v108 = (int16_t)((int32_t)*v108 | v107);
                    int32_t * v109 = (int32_t *)(g3 + 0x16bc); // 0x47cd37_0
                    *v109 = v10 + *v109;
                    // branch -> 0x47cd3d
                }
                // 0x47cd3d
                v87 = v33;
                v88 = v87 - 1;
                g10 = v88;
                int32_t v110; // 0x47cd53
                if (v88 > 255) {
                  lab_0x47cd4e:
                    // 0x47cd4e
                    v110 = v10 & -256 | (int32_t)*(char *)(v88 / 128 + 0x4beadf);
                    // branch -> 0x47cd59
                } else {
                  lab_0x47cd46:
                    // 0x47cd46
                    v110 = v10 & -256 | (int32_t)*(char *)(v87 + 0x4be9de);
                    // branch -> 0x47cd59
                }
                int32_t v111 = v110 & 255; // 0x47cd59
                int32_t v112 = 4 * v111; // 0x47cd62
                int32_t v113 = (int32_t)*(int16_t *)((v112 | 2) + g6); // 0x47cd62
                v35 = v113;
                int32_t * v114 = (int32_t *)(g3 + 0x16bc); // 0x47cd6e_0
                int32_t v115 = *v114; // 0x47cd6e
                if (16 - v113 < v115) {
                    uint16_t v116 = *(int16_t *)(v112 + g6); // 0x47cd7d
                    int32_t v117 = v116; // 0x47cd7d
                    int32_t v118 = v66 & -0x10000; // 0x47cd85
                    uint32_t v119 = *v114 & 31; // 0x47cd90
                    int32_t v120 = v118 | v117; // 0x47cd93
                    if (v119 != 0) {
                        // if_47cd90_0_true
                        v120 = v117 << v119 & 0xffff | v118;
                        // branch -> after_if_47cd90_0
                    }
                    int16_t * v121 = (int16_t *)(g3 + 0x16b8); // 0x47cd93_0
                    *v121 = (int16_t)((int32_t)*v121 | v120);
                    int32_t * v122 = (int32_t *)(g3 + 20); // 0x47cd9a_0
                    *v122 = *v122 + 1;
                    int32_t v123 = *(int32_t *)(g3 + 8); // 0x47cda0
                    *(char *)(*v122 + v123) = *(char *)(g3 + 0x16b8);
                    int32_t * v124 = (int32_t *)(g3 + 20); // 0x47cdb5_0
                    int32_t v125 = *v124; // 0x47cdb5
                    *v124 = *v124 + 1;
                    int32_t v126 = *(int32_t *)(g3 + 8); // 0x47cdbb
                    *(char *)(v125 + v126) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    g4 = v117;
                    uint32_t v127 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47cde1
                    if (v127 != 0) {
                        int32_t v128 = v117 >> v127; // 0x47cde1
                        g4 = v128;
                        v116 = (int16_t)v128;
                        // branch -> after_if_47cde1_0
                    }
                    // after_if_47cde1_0
                    *(int16_t *)(g3 + 0x16b8) = v116;
                    int32_t * v129 = (int32_t *)(g3 + 0x16bc); // 0x47cded_0
                    *v129 = *v129 + v35 - 16;
                    // branch -> 0x47ce19
                } else {
                    int32_t v130 = (int32_t)*(int16_t *)(v112 + g6); // 0x47ce04
                    int32_t v131 = g6 & -0x10000; // 0x47ce04
                    int32_t v132 = v130 | v131; // 0x47ce04
                    g4 = v132;
                    uint32_t v133 = v115 & 31; // 0x47ce09
                    if (v133 != 0) {
                        int32_t v134 = v130 << v133 & 0xffff | v131; // 0x47ce09
                        g4 = v134;
                        v132 = v134;
                        // branch -> after_if_47ce09_0
                    }
                    int16_t * v135 = (int16_t *)(g3 + 0x16b8); // 0x47ce0c_0
                    *v135 = (int16_t)((int32_t)*v135 | v132);
                    int32_t * v136 = (int32_t *)(g3 + 0x16bc); // 0x47ce13_0
                    *v136 = v35 + *v136;
                    // branch -> 0x47ce19
                }
                int32_t v137 = 4 * v111; // 0x47ce19
                int32_t v138 = *(int32_t *)(v137 + 0x4be2e8); // 0x47ce19
                if (v138 == 0) {
                    goto lab_0x47cec1_3;
                }
                int32_t v139 = g10 - *(int32_t *)(v137 + 0x4be918); // 0x47ce28
                g10 = v139;
                v10 = v138;
                int32_t * v140 = (int32_t *)(g3 + 0x16bc); // 0x47ce38_0
                int32_t v141 = *v140; // 0x47ce38
                if (16 - v138 < v141) {
                    uint32_t v142 = v141 & 31; // 0x47ce46
                    int32_t v143 = v139 & 0xffff; // 0x47ce46
                    int32_t v144 = v139; // 0x47ce49
                    if (v142 != 0) {
                        // if_47ce46_0_true
                        v144 = v143 << v142 & 0xffff | v139 & -0x10000;
                        // branch -> after_if_47ce46_0
                    }
                    int16_t * v145 = (int16_t *)(g3 + 0x16b8); // 0x47ce49_0
                    *v145 = (int16_t)((int32_t)*v145 | v144);
                    int32_t * v146 = (int32_t *)(g3 + 20); // 0x47ce50_0
                    *v146 = *v146 + 1;
                    int32_t v147 = *(int32_t *)(g3 + 8); // 0x47ce56
                    *(char *)(*v146 + v147) = *(char *)(g3 + 0x16b8);
                    int32_t * v148 = (int32_t *)(g3 + 20); // 0x47ce69_0
                    int32_t v149 = *v148; // 0x47ce69
                    *v148 = *v148 + 1;
                    int32_t v150 = *(int32_t *)(g3 + 8); // 0x47ce6f
                    *(char *)(v149 + v150) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    int32_t v151 = g10; // 0x47ce8e
                    int32_t v152 = v151 & 0xffff; // 0x47ce8e
                    g10 = v152;
                    uint32_t v153 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x47ce91
                    int16_t v154 = v151;
                    if (v153 != 0) {
                        int32_t v155 = v152 >> v153; // 0x47ce91
                        g10 = v155;
                        v154 = v155;
                        // branch -> after_if_47ce91_0
                    }
                    // after_if_47ce91_0
                    *(int16_t *)(g3 + 0x16b8) = v154;
                    int32_t * v156 = (int32_t *)(g3 + 0x16bc); // 0x47ce9d_0
                    *v156 = *v156 + v10 - 16;
                    // branch -> 0x47cec1
                    goto lab_0x47cec1_3;
                } else {
                    uint32_t v157 = *v140 & 31; // 0x47ceb1
                    int32_t v158 = v139 & 0xffff; // 0x47ceb1
                    int32_t v159 = v139; // 0x47ceb4
                    if (v157 != 0) {
                        int32_t v160 = v158 << v157 & 0xffff | v139 & -0x10000; // 0x47ceb1
                        g10 = v160;
                        v159 = v160;
                        // branch -> after_if_47ceb1_0
                    }
                    int16_t * v161 = (int16_t *)(g3 + 0x16b8); // 0x47ceb4_0
                    *v161 = (int16_t)((int32_t)*v161 | v159);
                    int32_t * v162 = (int32_t *)(g3 + 0x16bc); // 0x47cebb_0
                    *v162 = v10 + *v162;
                    // branch -> 0x47cec1
                    goto lab_0x47cec1_3;
                }
            }
            // 0x47cd3d
            v87 = v33;
            v88 = v87 - 1;
            g10 = v88;
            if (v88 > 255) {
                goto lab_0x47cd4e;
            }
            goto lab_0x47cd46;
        }
    }
    // 0x47ced1
    v16 = g8;
    v23 = (int32_t)*(int16_t *)(v16 + 1026);
    v10 = v23;
    v3 = (int32_t *)(v2 + 0x16bc);
    v20 = *v3;
    v24 = (int32_t)*(int16_t *)(v16 + 1024);
    if (16 - v23 < v20) {
        // 0x47cee9
        v11 = v20 & 31;
        v27 = v24;
        if (v11 != 0) {
            // if_47cef4_0_true
            v27 = v24 << v11 & 0xffff;
            // branch -> after_if_47cef4_0
        }
        // after_if_47cef4_0
        v4 = (int16_t *)(v2 + 0x16b8);
        *v4 = (int16_t)((int32_t)*v4 | v27);
        v5 = (int32_t *)(g3 + 20);
        *v5 = *v5 + 1;
        v18 = g3;
        v25 = *(int32_t *)(v18 + 8);
        *(char *)(*v5 + v25) = *(char *)(v18 + 0x16b8);
        v6 = (int32_t *)(g3 + 20);
        *v6 = *v6 + 1;
        v19 = g3;
        v26 = *(int32_t *)(v19 + 8);
        v21 = *(int16_t *)(v19 + 0x16b8);
        *(char *)(*v6 + v26) = (char)(v21 / 256);
        v17 = g3;
        v15 = v24;
        v12 = 16 - *(int32_t *)(v17 + 0x16bc) & 31;
        if (v12 != 0) {
            // if_47cf3f_0_true
            v22 = (v15 & 0xffff) >> v12;
            // branch -> after_if_47cf3f_0
        } else {
            v22 = v15;
        }
        // after_if_47cf3f_0
        *(int16_t *)(v17 + 0x16b8) = v22;
        v7 = (int32_t *)(g3 + 0x16bc);
        *v7 = *v7 + v10 - 16;
        // branch -> 0x47cf76
    } else {
        // 0x47cf59
        v29 = g10 & -0x10000;
        v13 = *v3 & 31;
        if (v13 != 0) {
            // if_47cf66_0_true
            v28 = v24 << v13 & 0xffff | v29;
            // branch -> after_if_47cf66_0
        } else {
            v28 = v29 | v24;
        }
        // after_if_47cf66_0
        v8 = (int16_t *)(v2 + 0x16b8);
        *v8 = (int16_t)((int32_t)*v8 | v28);
        v9 = (int32_t *)(g3 + 0x16bc);
        *v9 = v10 + *v9;
        // branch -> 0x47cf76
    }
    // 0x47cf76
    *(int32_t *)(g3 + 0x16b4) = (int32_t)*(int16_t *)(g8 + 1026);
    g10 = v1;
    g5 = v14;
}

// Address range: 0x47cf8c - 0x47cfd7
void function_47cf8c(void) {
    int32_t v1 = 0; // 0x47cf9a
    int32_t v2 = g3 + 148; // 0x47cf9b
    // branch -> 0x47cf94
    while (true) {
        int32_t v3 = v1; // 0x47cfa3
        if (*(int16_t *)v2 == 0) {
            int32_t v4 = v1 + 1; // 0x47cf9a
            if (v4 >= 9) {
                // break -> 0x47cfa3
                break;
            }
            v1 = v4;
            v2 += 4;
            // continue -> 0x47cf94
            continue;
        }
        int32_t v5 = v3; // 0x47cfc2
        if (v3 == 9) {
            int32_t v6 = 14; // 0x47cfb9
            int32_t v7 = g3 + 204; // 0x47cfba
            // branch -> 0x47cfb3
            int32_t v8; // 0x47cfb9
            while (true) {
                // 0x47cfb3
                if (*(int16_t *)v7 == 0) {
                    // 0x47cfb9
                    v8 = v6 + 1;
                    if (v8 >= 32) {
                        // break -> 0x47cfc2
                        break;
                    }
                    v6 = v8;
                    v7 += 4;
                    // continue -> 0x47cfb3
                    continue;
                }
                // 0x47cfc2
                // branch -> 0x47cfc2
            }
            // 0x47cfc2
            v5 = v8;
            // branch -> 0x47cfc2
        }
        // 0x47cfc2
        int32_t v9;
        if (v5 != 32) {
            // 0x47cfce
            v9 = 0;
            // branch -> 0x47cfd0
        } else {
            v9 = 1;
        }
        // 0x47cfd0
        *(int32_t *)(*(int32_t *)g3 + 44) = v9;
        return;
    }
}

// Address range: 0x47cfd8 - 0x47cff3
void function_47cfd8(void) {
    int32_t v1 = g8; // 0x47cfe63
    uint32_t v2 = g3; // 0x47cfe01
    int32_t v3 = v2 & 1; // 0x47cfe2
    // branch -> 0x47cfdb
    while (v1 > 1) {
        // 0x47cfdb
        v1--;
        v2 /= 2;
        v3 = v2 & 1 | 2 * v3;
        // continue -> 0x47cfdb
    }
    // 0x47cfeb
    g3 = v3 & 0x7fffffff;
    int32_t v4;
    g5 = v4;
}

// Address range: 0x47cff4 - 0x47d067
void function_47cff4(void) {
    uint32_t v1 = *(int32_t *)(g3 + 0x16bc); // 0x47cff5
    int32_t v2;
    if (v1 != 16) {
        // 0x47d03c
        if (v1 >= 8) {
            int32_t * v3 = (int32_t *)(g3 + 20); // 0x47d045_0
            g6 = *v3;
            *v3 = *v3 + 1;
            *(char *)(g6 + *(int32_t *)(g3 + 8)) = *(char *)(g3 + 0x16b8);
            int16_t * v4 = (int16_t *)(g3 + 0x16b8); // 0x47d057_0
            *v4 = (int16_t)((int32_t)*v4 / 256);
            int32_t * v5 = (int32_t *)(g3 + 0x16bc); // 0x47d05f_0
            *v5 = *v5 - 8;
            // branch -> 0x47d066
        }
        // 0x47d066
        g5 = v2;
        return;
    }
    int32_t * v6 = (int32_t *)(g3 + 20); // 0x47cffe_0
    *v6 = *v6 + 1;
    int32_t v7 = *(int32_t *)(g3 + 8); // 0x47d004
    *(char *)(*v6 + v7) = *(char *)(g3 + 0x16b8);
    int32_t * v8 = (int32_t *)(g3 + 20); // 0x47d013_0
    int32_t v9 = *v8; // 0x47d013
    *v8 = *v8 + 1;
    int32_t v10 = *(int32_t *)(g3 + 8); // 0x47d019
    g6 = v10;
    *(char *)(v9 + v10) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
    *(int16_t *)(g3 + 0x16b8) = 0;
    *(int32_t *)(g3 + 0x16bc) = 0;
    g5 = v2;
}

// Address range: 0x47d068 - 0x47d0cf
void function_47d068(void) {
    uint32_t v1 = *(int32_t *)(g3 + 0x16bc); // 0x47d069
    int32_t v2;
    if (v1 < 9) {
        // 0x47d09f
        if (v1 >= 1) {
            int32_t * v3 = (int32_t *)(g3 + 20); // 0x47d0a8_0
            *v3 = *v3 + 1;
            int32_t v4 = *(int32_t *)(g3 + 8); // 0x47d0ae
            g6 = v4;
            *(char *)(*v3 + v4) = *(char *)(g3 + 0x16b8);
            // branch -> 0x47d0ba
        }
        // 0x47d0ba
        *(int16_t *)(g3 + 0x16b8) = 0;
        *(int32_t *)(g3 + 0x16bc) = 0;
        g5 = v2;
        return;
    }
    int32_t * v5 = (int32_t *)(g3 + 20); // 0x47d072_0
    *v5 = *v5 + 1;
    int32_t v6 = *(int32_t *)(g3 + 8); // 0x47d078
    *(char *)(*v5 + v6) = *(char *)(g3 + 0x16b8);
    int32_t * v7 = (int32_t *)(g3 + 20); // 0x47d087_0
    int32_t v8 = *v7; // 0x47d087
    *v7 = *v7 + 1;
    int32_t v9 = *(int32_t *)(g3 + 8); // 0x47d08d
    g6 = v9;
    *(char *)(v8 + v9) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
    // branch -> 0x47d0ba
    // 0x47d0ba
    *(int16_t *)(g3 + 0x16b8) = 0;
    *(int32_t *)(g3 + 0x16bc) = 0;
    g5 = v2;
}

// Address range: 0x47d0d0 - 0x47d20b
void function_47d0d0(void) {
    int32_t v1 = g7; // bp-16
    int32_t v2 = &v1; // 0x47d0d5_0
    g11 = v2;
    int32_t v3 = g6; // edi
    int32_t v4 = g8; // esi
    g5 = g3;
    function_47d068();
    *(int32_t *)(g5 + 0x16b4) = 8;
    int32_t v5;
    if (v5 != 0) {
        int32_t * v6 = (int32_t *)(g5 + 20); // 0x47d0f3_0
        *v6 = *v6 + 1;
        int32_t v7 = v3; // 0x47d100
        *(char *)(*v6 + *(int32_t *)(g5 + 8)) = (char)v7;
        int32_t * v8 = (int32_t *)(g5 + 20); // 0x47d10a_0
        *v8 = *v8 + 1;
        int32_t v9 = *(int32_t *)(g5 + 8); // 0x47d110
        *(char *)(*v8 + v9) = (char)(v3 / 256);
        int32_t * v10 = (int32_t *)(g5 + 20); // 0x47d120_0
        *v10 = *v10 + 1;
        int32_t v11 = *(int32_t *)(g5 + 8); // 0x47d126
        g11 = v2;
        *(char *)(*v10 + v11) = (char)(v7 ^ 255);
        int32_t * v12 = (int32_t *)(g5 + 20); // 0x47d134_0
        *v12 = *v12 + 1;
        int32_t v13 = (v3 & 0xffff ^ 0xffff) / 256; // 0x47d1452
        g6 = v13;
        *(char *)(*v12 + *(int32_t *)(g5 + 8)) = (char)v13;
        // branch -> 0x47d15c
    }
    int32_t v14 = v3; // 0x47d15c5
    g3 = v14;
    if (v14 == 0) {
        // 0x47d165
        g7 = v1;
        return;
    }
    int32_t * v15 = (int32_t *)(g5 + 20); // 0x47d14d_0
    *v15 = *v15 + 1;
    unsigned char v16 = *(char *)v4; // 0x47d156
    g6 = g6 & -256 | (int32_t)v16;
    *(char *)(*v15 + *(int32_t *)(g5 + 8)) = v16;
    v4++;
    int32_t v17 = v14 - 1; // 0x47d15c
    g3 = v17;
    while (v17 != 0) {
        // 0x47d14d
        v15 = (int32_t *)(g5 + 20);
        *v15 = *v15 + 1;
        v16 = *(char *)v4;
        g6 = g6 & -256 | (int32_t)v16;
        *(char *)(*v15 + *(int32_t *)(g5 + 8)) = v16;
        v4++;
        v17--;
        g3 = v17;
        // continue -> 0x47d14d
    }
    // 0x47d165
    g7 = v1;
}

// Address range: 0x47d220 - 0x47d23b
void function_47d220(void) {
    // 0x47d220
    return;
}

// Address range: 0x47d23c - 0x47d35b
void function_47d23c(void) {
    // 0x47d23c
    if (g8 == 0) {
        // 0x47d248
        g3 = 0;
        // branch -> 0x47d358
    } else {
        // 0x47d24f
        function_47d35c();
        // branch -> 0x47d358
    }
    // 0x47d358
    int32_t v1;
    g5 = v1;
}

// Address range: 0x47d35c - 0x47d60f
void function_47d35c(void) {
    int32_t v1 = 0x4bece8; // ebx
    int32_t v2 = g3 ^ -1; // 0x47d364
    int32_t v3 = g6;
    int32_t v4 = 0; // 0x47d388
    int32_t v5; // 0x47d553
    int32_t v6; // 0x47d5a4
    int32_t v7; // 0x47d391
    int32_t v8; // 0x47d5a2
    int32_t v9; // 0x47d5ea
    int32_t v10; // 0x47d601
    int32_t v11; // 0x47d5a218
    unsigned char v12; // 0x47d5ee
    int32_t v13; // 0x47d5f125
    int32_t v14; // 0x47d429
    int32_t v15; // 0x47d4c5
    int32_t v16; // 0x47d569
    int32_t v17; // 0x47d5ba20
    int32_t v18; // 0x47d59d
    int32_t v19; // 0x47d5f9
    int32_t v20; // 0x47d5ff
    uint32_t v21; // 0x47d391
    uint32_t v22; // 0x47d3d1
    uint32_t v23; // 0x47d411
    uint32_t v24; // 0x47d451
    uint32_t v25; // 0x47d491
    uint32_t v26; // 0x47d4d1
    uint32_t v27; // 0x47d511
    uint32_t v28; // 0x47d551
    uint32_t v29; // 0x47d5a2
    int32_t v30; // 0x47d604
    int32_t v31; // 0x47d5fc
    int32_t v32; // 0x47d3a9
    int32_t v33; // 0x47d3cc
    int32_t v34; // 0x47d3e9
    int32_t v35; // 0x47d40c
    int32_t v36; // 0x47d429
    int32_t v37; // 0x47d44c
    int32_t v38; // 0x47d469
    int32_t v39; // 0x47d48c
    int32_t v40; // 0x47d4a9
    int32_t v41; // 0x47d4cc
    int32_t v42; // 0x47d4e9
    int32_t v43; // 0x47d50c
    int32_t v44; // 0x47d529
    int32_t v45; // 0x47d54c
    int32_t v46; // 0x47d569
    int32_t v47; // 0x47d58c
    int32_t v48; // 0x47d5ba
    int32_t v49; // 0x47d5dd
    int32_t v50; // 0x47d3b0
    int32_t v51; // 0x47d3c5
    int32_t v52; // 0x47d3f0
    int32_t v53; // 0x47d405
    int32_t v54; // 0x47d430
    int32_t v55; // 0x47d445
    int32_t v56; // 0x47d470
    int32_t v57; // 0x47d485
    int32_t v58; // 0x47d4b0
    int32_t v59; // 0x47d4c5
    int32_t v60; // 0x47d4f0
    int32_t v61; // 0x47d505
    int32_t v62; // 0x47d530
    int32_t v63; // 0x47d545
    int32_t v64; // 0x47d570
    int32_t v65; // 0x47d585
    int32_t v66; // 0x47d58c
    int32_t v67; // 0x47d58f
    int32_t v68; // 0x47d5c1
    int32_t v69; // 0x47d5d6
    int32_t v70; // 0x47d5dd
    int32_t v71; // 0x47d5e0
    int32_t v72; // 0x47d3a9
    int32_t v73; // 0x47d3b0
    int32_t v74; // 0x47d3c5
    int32_t v75; // 0x47d4c5
    int32_t v76; // 0x47d4e9
    int32_t v77; // 0x47d4f0
    if (v3 != 0) {
        int32_t v78 = g8; // 0x47d36d
        // branch -> 0x47d383
        while (true) {
            // 0x47d383
            if (v78 != 3) {
                unsigned char v79 = *(char *)v78; // 0x47d368
                int32_t v80 = v78 + 1; // 0x47d36d
                g8 = v80;
                int32_t v81 = *(int32_t *)(4 * ((int32_t)v79 ^ v2 & 255) + 0x4bece8); // 0x47d377
                int32_t v82 = v81 ^ v2 / 256; // 0x47d37a
                int32_t v83 = v3 - 1; // 0x47d37c
                g6 = v83;
                if (v83 == 0) {
                    v2 = v82;
                    v4 = 0;
                    // break -> 0x47d388
                    break;
                }
                v3 = v83;
                v2 = v82;
                v78 = v80;
                // continue -> 0x47d383
                continue;
            } else {
                v4 = v3;
            }
            // 0x47d388
            v17 = 0x4bece8;
            v11 = v2;
            v18 = v4;
            if (v4 >= 32) {
                // 0x47d391
                v14 = 0x4bece8;
                v7 = g8;
                v21 = *(int32_t *)v7 ^ v2;
                v72 = v14 + 3072;
                v32 = *(int32_t *)(4 * (v21 & 255) + v72);
                v73 = v14 + 2048;
                v50 = *(int32_t *)(4 * (v21 / 256 & 255) + v73);
                v74 = v14 + 1024;
                v51 = *(int32_t *)(4 * (v21 / 0x10000 & 255) + v74);
                v33 = *(int32_t *)(4 * v21 / 0x1000000 + v14);
                v22 = *(int32_t *)(v7 + 4) ^ v33 ^ v51 ^ v50 ^ v32;
                v34 = *(int32_t *)(4 * (v22 & 255) + v72);
                v52 = *(int32_t *)(4 * (v22 / 256 & 255) + v73);
                v53 = *(int32_t *)(4 * (v22 / 0x10000 & 255) + v74);
                v35 = *(int32_t *)(4 * v22 / 0x1000000 + v14);
                v23 = *(int32_t *)(v7 + 8) ^ v35 ^ v53 ^ v52 ^ v34;
                v36 = *(int32_t *)(v72 + 4 * (v23 & 255));
                v54 = *(int32_t *)(v73 + 4 * (v23 / 256 & 255));
                v55 = *(int32_t *)(4 * (v23 / 0x10000 & 255) + v74);
                v37 = *(int32_t *)(4 * v23 / 0x1000000 + v14);
                v24 = *(int32_t *)(v7 + 12) ^ v37 ^ v55 ^ v54 ^ v36;
                v38 = *(int32_t *)(4 * (v24 & 255) + v72);
                v56 = *(int32_t *)(4 * (v24 / 256 & 255) + v73);
                v57 = *(int32_t *)(4 * (v24 / 0x10000 & 255) + v74);
                v39 = *(int32_t *)(4 * v24 / 0x1000000 + v14);
                v25 = *(int32_t *)(v7 + 16) ^ v39 ^ v57 ^ v56 ^ v38;
                v40 = *(int32_t *)(4 * (v25 & 255) + v72);
                v58 = *(int32_t *)(4 * (v25 / 256 & 255) + v73);
                v15 = v1;
                v75 = v15 + 1024;
                v59 = *(int32_t *)(v75 + 4 * (v25 / 0x10000 & 255));
                v41 = *(int32_t *)(4 * v25 / 0x1000000 + v15);
                v26 = *(int32_t *)(v7 + 20) ^ v41 ^ v59 ^ v58 ^ v40;
                v76 = v15 + 3072;
                v42 = *(int32_t *)(4 * (v26 & 255) + v76);
                v77 = v15 + 2048;
                v60 = *(int32_t *)(4 * (v26 / 256 & 255) + v77);
                v61 = *(int32_t *)(4 * (v26 / 0x10000 & 255) + v75);
                v43 = *(int32_t *)(4 * v26 / 0x1000000 + v15);
                v27 = *(int32_t *)(v7 + 24) ^ v43 ^ v61 ^ v60 ^ v42;
                v44 = *(int32_t *)(4 * (v27 & 255) + v76);
                v62 = *(int32_t *)(4 * (v27 / 256 & 255) + v77);
                v63 = *(int32_t *)(4 * (v27 / 0x10000 & 255) + v75);
                v45 = *(int32_t *)(4 * v27 / 0x1000000 + v15);
                v28 = *(int32_t *)(v7 + 28) ^ v45 ^ v63 ^ v62 ^ v44;
                v5 = v7 + 32;
                g8 = v5;
                v16 = v1;
                v46 = *(int32_t *)(v16 + 3072 + 4 * (v28 & 255));
                v64 = *(int32_t *)(v16 + 2048 + 4 * (v28 / 256 & 255));
                v65 = *(int32_t *)(v16 + 1024 + 4 * (v28 / 0x10000 & 255));
                v47 = *(int32_t *)(4 * v28 / 0x1000000 + v16);
                v66 = v47 ^ v65 ^ v64 ^ v46;
                v67 = g6 - 32;
                g6 = v67;
                // branch -> 0x47d391
                while (v67 > 31) {
                    // 0x47d391
                    v14 = v16;
                    v7 = v5;
                    v21 = *(int32_t *)v7 ^ v66;
                    v72 = v14 + 3072;
                    v32 = *(int32_t *)(4 * (v21 & 255) + v72);
                    v73 = v14 + 2048;
                    v50 = *(int32_t *)(4 * (v21 / 256 & 255) + v73);
                    v74 = v14 + 1024;
                    v51 = *(int32_t *)(4 * (v21 / 0x10000 & 255) + v74);
                    v33 = *(int32_t *)(4 * v21 / 0x1000000 + v14);
                    v22 = *(int32_t *)(v7 + 4) ^ v33 ^ v51 ^ v50 ^ v32;
                    v34 = *(int32_t *)(4 * (v22 & 255) + v72);
                    v52 = *(int32_t *)(4 * (v22 / 256 & 255) + v73);
                    v53 = *(int32_t *)(4 * (v22 / 0x10000 & 255) + v74);
                    v35 = *(int32_t *)(4 * v22 / 0x1000000 + v14);
                    v23 = *(int32_t *)(v7 + 8) ^ v35 ^ v53 ^ v52 ^ v34;
                    v36 = *(int32_t *)(v72 + 4 * (v23 & 255));
                    v54 = *(int32_t *)(v73 + 4 * (v23 / 256 & 255));
                    v55 = *(int32_t *)(4 * (v23 / 0x10000 & 255) + v74);
                    v37 = *(int32_t *)(4 * v23 / 0x1000000 + v14);
                    v24 = *(int32_t *)(v7 + 12) ^ v37 ^ v55 ^ v54 ^ v36;
                    v38 = *(int32_t *)(4 * (v24 & 255) + v72);
                    v56 = *(int32_t *)(4 * (v24 / 256 & 255) + v73);
                    v57 = *(int32_t *)(4 * (v24 / 0x10000 & 255) + v74);
                    v39 = *(int32_t *)(4 * v24 / 0x1000000 + v14);
                    v25 = *(int32_t *)(v7 + 16) ^ v39 ^ v57 ^ v56 ^ v38;
                    v40 = *(int32_t *)(4 * (v25 & 255) + v72);
                    v58 = *(int32_t *)(4 * (v25 / 256 & 255) + v73);
                    v15 = v1;
                    v75 = v15 + 1024;
                    v59 = *(int32_t *)(v75 + 4 * (v25 / 0x10000 & 255));
                    v41 = *(int32_t *)(4 * v25 / 0x1000000 + v15);
                    v26 = *(int32_t *)(v7 + 20) ^ v41 ^ v59 ^ v58 ^ v40;
                    v76 = v15 + 3072;
                    v42 = *(int32_t *)(4 * (v26 & 255) + v76);
                    v77 = v15 + 2048;
                    v60 = *(int32_t *)(4 * (v26 / 256 & 255) + v77);
                    v61 = *(int32_t *)(4 * (v26 / 0x10000 & 255) + v75);
                    v43 = *(int32_t *)(4 * v26 / 0x1000000 + v15);
                    v27 = *(int32_t *)(v7 + 24) ^ v43 ^ v61 ^ v60 ^ v42;
                    v44 = *(int32_t *)(4 * (v27 & 255) + v76);
                    v62 = *(int32_t *)(4 * (v27 / 256 & 255) + v77);
                    v63 = *(int32_t *)(4 * (v27 / 0x10000 & 255) + v75);
                    v45 = *(int32_t *)(4 * v27 / 0x1000000 + v15);
                    v28 = *(int32_t *)(v7 + 28) ^ v45 ^ v63 ^ v62 ^ v44;
                    v5 = v7 + 32;
                    g8 = v5;
                    v16 = v1;
                    v46 = *(int32_t *)(v16 + 3072 + 4 * (v28 & 255));
                    v64 = *(int32_t *)(v16 + 2048 + 4 * (v28 / 256 & 255));
                    v65 = *(int32_t *)(v16 + 1024 + 4 * (v28 / 0x10000 & 255));
                    v47 = *(int32_t *)(4 * v28 / 0x1000000 + v16);
                    v66 = v47 ^ v65 ^ v64 ^ v46;
                    v67 = g6 - 32;
                    g6 = v67;
                    // continue -> 0x47d391
                }
                // 0x47d59d
                v17 = v16;
                v11 = v66;
                v18 = v67;
                // branch -> 0x47d59d
            }
            // 0x47d59d
            v13 = v11;
            v9 = v18;
            if (v18 >= 4) {
                // 0x47d5a2
                v8 = g8;
                v29 = *(int32_t *)v8 ^ v11;
                v6 = v8 + 4;
                g8 = v6;
                v48 = *(int32_t *)(v17 + 3072 + 4 * (v29 & 255));
                v68 = *(int32_t *)(v17 + 2048 + 4 * (v29 / 256 & 255));
                v69 = *(int32_t *)(v17 + 1024 + 4 * (v29 / 0x10000 & 255));
                v49 = *(int32_t *)(4 * v29 / 0x1000000 + v17);
                v70 = v49 ^ v69 ^ v68 ^ v48;
                v71 = v18 - 4;
                g6 = v71;
                // branch -> 0x47d5a2
                while (v71 > 3) {
                    // 0x47d5a2
                    v8 = v6;
                    v29 = *(int32_t *)v8 ^ v70;
                    v6 = v8 + 4;
                    g8 = v6;
                    v48 = *(int32_t *)(v17 + 3072 + 4 * (v29 & 255));
                    v68 = *(int32_t *)(v17 + 2048 + 4 * (v29 / 256 & 255));
                    v69 = *(int32_t *)(v17 + 1024 + 4 * (v29 / 0x10000 & 255));
                    v49 = *(int32_t *)(4 * v29 / 0x1000000 + v17);
                    v70 = v49 ^ v69 ^ v68 ^ v48;
                    v71 -= 4;
                    g6 = v71;
                    // continue -> 0x47d5a2
                }
                // 0x47d5ea
                v13 = v70;
                v9 = (v18 - 4) % 4;
                // branch -> 0x47d5ea
            }
            // 0x47d5ea
            if (v9 == 0) {
                // 0x47d607
                g3 = v13 ^ -1;
                return;
            }
            // 0x47d5ee
            v19 = v13;
            v10 = g8;
            v12 = *(char *)v10;
            v31 = *(int32_t *)(4 * ((int32_t)v12 ^ v19 & 255) + v17);
            v20 = v31 ^ v19 / 256;
            v30 = v9 - 1;
            g6 = v30;
            // branch -> 0x47d5ee
            while (v30 != 0) {
                // 0x47d5ee
                v19 = v20;
                v10++;
                v12 = *(char *)v10;
                v31 = *(int32_t *)(4 * ((int32_t)v12 ^ v19 & 255) + v17);
                v20 = v31 ^ v19 / 256;
                v30--;
                g6 = v30;
                // continue -> 0x47d5ee
            }
            // 0x47d607
            g3 = v20 ^ -1;
            return;
        }
    }
    // 0x47d388
    v17 = 0x4bece8;
    v11 = v2;
    v18 = v4;
    if (v4 >= 32) {
        // 0x47d391
        v14 = 0x4bece8;
        v7 = g8;
        v21 = *(int32_t *)v7 ^ v2;
        v72 = v14 + 3072;
        v32 = *(int32_t *)(4 * (v21 & 255) + v72);
        v73 = v14 + 2048;
        v50 = *(int32_t *)(4 * (v21 / 256 & 255) + v73);
        v74 = v14 + 1024;
        v51 = *(int32_t *)(4 * (v21 / 0x10000 & 255) + v74);
        v33 = *(int32_t *)(4 * v21 / 0x1000000 + v14);
        v22 = *(int32_t *)(v7 + 4) ^ v33 ^ v51 ^ v50 ^ v32;
        v34 = *(int32_t *)(4 * (v22 & 255) + v72);
        v52 = *(int32_t *)(4 * (v22 / 256 & 255) + v73);
        v53 = *(int32_t *)(4 * (v22 / 0x10000 & 255) + v74);
        v35 = *(int32_t *)(4 * v22 / 0x1000000 + v14);
        v23 = *(int32_t *)(v7 + 8) ^ v35 ^ v53 ^ v52 ^ v34;
        v36 = *(int32_t *)(v72 + 4 * (v23 & 255));
        v54 = *(int32_t *)(v73 + 4 * (v23 / 256 & 255));
        v55 = *(int32_t *)(4 * (v23 / 0x10000 & 255) + v74);
        v37 = *(int32_t *)(4 * v23 / 0x1000000 + v14);
        v24 = *(int32_t *)(v7 + 12) ^ v37 ^ v55 ^ v54 ^ v36;
        v38 = *(int32_t *)(4 * (v24 & 255) + v72);
        v56 = *(int32_t *)(4 * (v24 / 256 & 255) + v73);
        v57 = *(int32_t *)(4 * (v24 / 0x10000 & 255) + v74);
        v39 = *(int32_t *)(4 * v24 / 0x1000000 + v14);
        v25 = *(int32_t *)(v7 + 16) ^ v39 ^ v57 ^ v56 ^ v38;
        v40 = *(int32_t *)(4 * (v25 & 255) + v72);
        v58 = *(int32_t *)(4 * (v25 / 256 & 255) + v73);
        v15 = v1;
        v75 = v15 + 1024;
        v59 = *(int32_t *)(v75 + 4 * (v25 / 0x10000 & 255));
        v41 = *(int32_t *)(4 * v25 / 0x1000000 + v15);
        v26 = *(int32_t *)(v7 + 20) ^ v41 ^ v59 ^ v58 ^ v40;
        v76 = v15 + 3072;
        v42 = *(int32_t *)(4 * (v26 & 255) + v76);
        v77 = v15 + 2048;
        v60 = *(int32_t *)(4 * (v26 / 256 & 255) + v77);
        v61 = *(int32_t *)(4 * (v26 / 0x10000 & 255) + v75);
        v43 = *(int32_t *)(4 * v26 / 0x1000000 + v15);
        v27 = *(int32_t *)(v7 + 24) ^ v43 ^ v61 ^ v60 ^ v42;
        v44 = *(int32_t *)(4 * (v27 & 255) + v76);
        v62 = *(int32_t *)(4 * (v27 / 256 & 255) + v77);
        v63 = *(int32_t *)(4 * (v27 / 0x10000 & 255) + v75);
        v45 = *(int32_t *)(4 * v27 / 0x1000000 + v15);
        v28 = *(int32_t *)(v7 + 28) ^ v45 ^ v63 ^ v62 ^ v44;
        v5 = v7 + 32;
        g8 = v5;
        v16 = v1;
        v46 = *(int32_t *)(v16 + 3072 + 4 * (v28 & 255));
        v64 = *(int32_t *)(v16 + 2048 + 4 * (v28 / 256 & 255));
        v65 = *(int32_t *)(v16 + 1024 + 4 * (v28 / 0x10000 & 255));
        v47 = *(int32_t *)(4 * v28 / 0x1000000 + v16);
        v66 = v47 ^ v65 ^ v64 ^ v46;
        v67 = g6 - 32;
        g6 = v67;
        // branch -> 0x47d391
        while (v67 > 31) {
            // 0x47d391
            v14 = v16;
            v7 = v5;
            v21 = *(int32_t *)v7 ^ v66;
            v72 = v14 + 3072;
            v32 = *(int32_t *)(4 * (v21 & 255) + v72);
            v73 = v14 + 2048;
            v50 = *(int32_t *)(4 * (v21 / 256 & 255) + v73);
            v74 = v14 + 1024;
            v51 = *(int32_t *)(4 * (v21 / 0x10000 & 255) + v74);
            v33 = *(int32_t *)(4 * v21 / 0x1000000 + v14);
            v22 = *(int32_t *)(v7 + 4) ^ v33 ^ v51 ^ v50 ^ v32;
            v34 = *(int32_t *)(4 * (v22 & 255) + v72);
            v52 = *(int32_t *)(4 * (v22 / 256 & 255) + v73);
            v53 = *(int32_t *)(4 * (v22 / 0x10000 & 255) + v74);
            v35 = *(int32_t *)(4 * v22 / 0x1000000 + v14);
            v23 = *(int32_t *)(v7 + 8) ^ v35 ^ v53 ^ v52 ^ v34;
            v36 = *(int32_t *)(v72 + 4 * (v23 & 255));
            v54 = *(int32_t *)(v73 + 4 * (v23 / 256 & 255));
            v55 = *(int32_t *)(4 * (v23 / 0x10000 & 255) + v74);
            v37 = *(int32_t *)(4 * v23 / 0x1000000 + v14);
            v24 = *(int32_t *)(v7 + 12) ^ v37 ^ v55 ^ v54 ^ v36;
            v38 = *(int32_t *)(4 * (v24 & 255) + v72);
            v56 = *(int32_t *)(4 * (v24 / 256 & 255) + v73);
            v57 = *(int32_t *)(4 * (v24 / 0x10000 & 255) + v74);
            v39 = *(int32_t *)(4 * v24 / 0x1000000 + v14);
            v25 = *(int32_t *)(v7 + 16) ^ v39 ^ v57 ^ v56 ^ v38;
            v40 = *(int32_t *)(4 * (v25 & 255) + v72);
            v58 = *(int32_t *)(4 * (v25 / 256 & 255) + v73);
            v15 = v1;
            v75 = v15 + 1024;
            v59 = *(int32_t *)(v75 + 4 * (v25 / 0x10000 & 255));
            v41 = *(int32_t *)(4 * v25 / 0x1000000 + v15);
            v26 = *(int32_t *)(v7 + 20) ^ v41 ^ v59 ^ v58 ^ v40;
            v76 = v15 + 3072;
            v42 = *(int32_t *)(4 * (v26 & 255) + v76);
            v77 = v15 + 2048;
            v60 = *(int32_t *)(4 * (v26 / 256 & 255) + v77);
            v61 = *(int32_t *)(4 * (v26 / 0x10000 & 255) + v75);
            v43 = *(int32_t *)(4 * v26 / 0x1000000 + v15);
            v27 = *(int32_t *)(v7 + 24) ^ v43 ^ v61 ^ v60 ^ v42;
            v44 = *(int32_t *)(4 * (v27 & 255) + v76);
            v62 = *(int32_t *)(4 * (v27 / 256 & 255) + v77);
            v63 = *(int32_t *)(4 * (v27 / 0x10000 & 255) + v75);
            v45 = *(int32_t *)(4 * v27 / 0x1000000 + v15);
            v28 = *(int32_t *)(v7 + 28) ^ v45 ^ v63 ^ v62 ^ v44;
            v5 = v7 + 32;
            g8 = v5;
            v16 = v1;
            v46 = *(int32_t *)(v16 + 3072 + 4 * (v28 & 255));
            v64 = *(int32_t *)(v16 + 2048 + 4 * (v28 / 256 & 255));
            v65 = *(int32_t *)(v16 + 1024 + 4 * (v28 / 0x10000 & 255));
            v47 = *(int32_t *)(4 * v28 / 0x1000000 + v16);
            v66 = v47 ^ v65 ^ v64 ^ v46;
            v67 = g6 - 32;
            g6 = v67;
            // continue -> 0x47d391
        }
        // 0x47d59d
        v17 = v16;
        v11 = v66;
        v18 = v67;
        // branch -> 0x47d59d
    }
    // 0x47d59d
    v13 = v11;
    v9 = v18;
    if (v18 >= 4) {
        // 0x47d5a2
        v8 = g8;
        v29 = *(int32_t *)v8 ^ v11;
        v6 = v8 + 4;
        g8 = v6;
        v48 = *(int32_t *)(v17 + 3072 + 4 * (v29 & 255));
        v68 = *(int32_t *)(v17 + 2048 + 4 * (v29 / 256 & 255));
        v69 = *(int32_t *)(v17 + 1024 + 4 * (v29 / 0x10000 & 255));
        v49 = *(int32_t *)(4 * v29 / 0x1000000 + v17);
        v70 = v49 ^ v69 ^ v68 ^ v48;
        v71 = v18 - 4;
        g6 = v71;
        // branch -> 0x47d5a2
        while (v71 > 3) {
            // 0x47d5a2
            v8 = v6;
            v29 = *(int32_t *)v8 ^ v70;
            v6 = v8 + 4;
            g8 = v6;
            v48 = *(int32_t *)(v17 + 3072 + 4 * (v29 & 255));
            v68 = *(int32_t *)(v17 + 2048 + 4 * (v29 / 256 & 255));
            v69 = *(int32_t *)(v17 + 1024 + 4 * (v29 / 0x10000 & 255));
            v49 = *(int32_t *)(4 * v29 / 0x1000000 + v17);
            v70 = v49 ^ v69 ^ v68 ^ v48;
            v71 -= 4;
            g6 = v71;
            // continue -> 0x47d5a2
        }
        // 0x47d5ea
        v13 = v70;
        v9 = (v18 - 4) % 4;
        // branch -> 0x47d5ea
    }
    // 0x47d5ea
    if (v9 == 0) {
        // 0x47d607
        g3 = v13 ^ -1;
        return;
    }
    // 0x47d5ee
    v19 = v13;
    v10 = g8;
    v12 = *(char *)v10;
    v31 = *(int32_t *)(4 * ((int32_t)v12 ^ v19 & 255) + v17);
    v20 = v31 ^ v19 / 256;
    v30 = v9 - 1;
    g6 = v30;
    // branch -> 0x47d5ee
    while (v30 != 0) {
        // 0x47d5ee
        v19 = v20;
        v10++;
        v12 = *(char *)v10;
        v31 = *(int32_t *)(4 * ((int32_t)v12 ^ v19 & 255) + v17);
        v20 = v31 ^ v19 / 256;
        v30--;
        g6 = v30;
        // continue -> 0x47d5ee
    }
    // 0x47d607
    g3 = v20 ^ -1;
}

// Address range: 0x47d610 - 0x47d947
void function_47d610(void) {
    int32_t v1 = g6;
    int32_t v2 = 0; // 0x47d66d
    int32_t v3; // 0x47d8f6
    int32_t v4; // 0x47d8a2
    int32_t v5; // 0x47d913
    int32_t v6; // 0x47d894
    int32_t v7; // 0x47d8e9
    if (v1 != 0) {
        int32_t v8 = g8; // 0x47d64c
        while (true) {
            // 0x47d665
            if (v8 != 3) {
                int32_t v9 = v1 - 1; // 0x47d65e
                g6 = v9;
                if (v9 == 0) {
                    v2 = 0;
                    // break -> 0x47d66a
                    break;
                }
                v1 = v9;
                v8++;
                // continue -> 0x47d665
                continue;
            } else {
                v2 = v1;
            }
            // 0x47d66a
            v4 = v2;
            if (v2 >= 32) {
                v6 = g6 - 32;
                g6 = v6;
                while (v6 > 31) {
                    // 0x47d676
                    v6 = g6 - 32;
                    g6 = v6;
                    // continue -> 0x47d676
                }
                // 0x47d8a2
                v4 = v6;
                // branch -> 0x47d8a2
            }
            // 0x47d8a2
            v3 = v4;
            if (v4 >= 4) {
                // 0x47d8a7
                v7 = v4 - 4;
                // branch -> 0x47d8a7
                while (v7 > 3) {
                    // 0x47d8a7
                    v7 -= 4;
                    // continue -> 0x47d8a7
                }
                // 0x47d8f3
                v3 = (v4 - 4) % 4;
                // branch -> 0x47d8f3
            }
            // 0x47d8f3
            if (v3 == 0) {
                // 0x47d916
                return;
            }
            // 0x47d8fa
            v5 = v3 - 1;
            // branch -> 0x47d8fa
            while (v5 != 0) {
                // 0x47d8fa
                v5--;
                // continue -> 0x47d8fa
            }
            // 0x47d916
            return;
        }
    }
    // 0x47d66a
    v4 = v2;
    if (v2 >= 32) {
        v6 = g6 - 32;
        g6 = v6;
        while (v6 > 31) {
            // 0x47d676
            v6 = g6 - 32;
            g6 = v6;
            // continue -> 0x47d676
        }
        // 0x47d8a2
        v4 = v6;
        // branch -> 0x47d8a2
    }
    // 0x47d8a2
    v3 = v4;
    if (v4 >= 4) {
        // 0x47d8a7
        v7 = v4 - 4;
        // branch -> 0x47d8a7
        while (v7 > 3) {
            // 0x47d8a7
            v7 -= 4;
            // continue -> 0x47d8a7
        }
        // 0x47d8f3
        v3 = (v4 - 4) % 4;
        // branch -> 0x47d8f3
    }
    // 0x47d8f3
    if (v3 == 0) {
        // 0x47d916
        return;
    }
    // 0x47d8fa
    v5 = v3 - 1;
    // branch -> 0x47d8fa
    while (v5 != 0) {
        // 0x47d8fa
        v5--;
        // continue -> 0x47d8fa
    }
}

// Address range: 0x47d948 - 0x47d963
void function_47d948(void) {
    // 0x47d948
    if (g8 == 0) {
        // 0x47d95e
        g3 = 0;
        return;
    }
    int32_t v1 = g3;
    int32_t v2 = 0; // 0x47d953
    uint32_t v3 = g8; // 0x47d955
    // branch -> 0x47d94e
    int32_t v4; // 0x47d953
    while (true) {
        // 0x47d94e
        if (v3 == 1) {
            // 0x47d955
            // branch -> 0x47d95e
            // 0x47d95e
            // branch -> 0x47d95e
            // 0x47d95e
            g3 = v2;
            return;
        }
        // 0x47d955
        v4 = *(int32_t *)v1 ^ v2;
        if (v3 < 2) {
            // break -> 0x47d95e
            break;
        }
        v1 += 4;
        v2 = v4;
        v3 /= 2;
        // continue -> 0x47d94e
    }
    // 0x47d95e
    // branch -> 0x47d95e
    // 0x47d95e
    g3 = v4;
}

// Address range: 0x47d964 - 0x47e816
void function_47d964(void) {
    int32_t v1 = g8; // 0x47d968
    int32_t v2 = g3; // esi
    g8 = *(int32_t *)v1;
    g3 = v1;
    function_47d948();
    *(int32_t *)v2 = g3;
    int32_t v3 = 1; // 0x47d97b
    v2 += 4;
    int32_t v4 = v1 + 4; // 0x47d97f
    // branch -> 0x47d970
    while (v3 < 32) {
        // 0x47d970
        // 0x47d970
        g8 = *(int32_t *)v4;
        g3 = v1;
        function_47d948();
        *(int32_t *)v2 = g3;
        v3++;
        v2 += 4;
        v4 += 4;
        // branch -> 0x47d970
    }
}

// Address range: 0x47e819 - 0x47e892
void function_47e819(void) {
    int32_t * v1 = (int32_t *)g3; // 0x47e819_0
    *v1 = g6 + *v1;
    int32_t * v2 = (int32_t *)g3; // 0x47e81d_0
    *v2 = g6 + *v2;
    char v3 = 0; // bp-4
    int32_t v4 = g3; // 0x47e821
    char * v5 = (char *)v4; // 0x47e821_0
    *v5 = (char)((int32_t)*v5 + v4);
    int32_t v6 = g3; // 0x47e823
    char * v7 = (char *)v6; // 0x47e823_0
    *v7 = (char)((int32_t)*v7 + v6);
    char * v8 = (char *)g8; // 0x47e825_0
    *v8 = (char)(g3 + (int32_t)*v8);
    int32_t v9 = g3; // 0x47e827
    char * v10 = (char *)v9; // 0x47e827_0
    *v10 = (char)((int32_t)*v10 + v9);
    int32_t v11 = g8; // 0x47e829
    char * v12 = (char *)(g3 + 0x140040 + v11); // 0x47e829_0
    *v12 = (char)((int32_t)*v12 + v11);
    int32_t v13 = g3; // 0x47e830
    char * v14 = (char *)v13; // 0x47e830_0
    *v14 = (char)((int32_t)*v14 + v13);
    int32_t v15 = g3; // 0x47e832
    char v16 = *(char *)(2 * (int32_t)&v3 + 104 + g5); // 0x47e83a
    g8 |= (int32_t)v16 & 255;
    g3 = v15;
    function_47e895();
    char * v17 = (char *)g3; // 0x47e84e_0
    *v17 = (char)((int32_t)*v17 + g3);
    char * v18 = (char *)g3; // 0x47e850_0
    *v18 = (char)((int32_t)*v18 + g3);
    char * v19 = (char *)g3; // 0x47e852_0
    *v19 = (char)((int32_t)*v19 + g3);
    char * v20 = (char *)g3; // 0x47e854_0
    *v20 = (char)((int32_t)*v20 + g3);
    char * v21 = (char *)g3; // 0x47e856_0
    *v21 = (char)((int32_t)*v21 + g3);
    char * v22 = (char *)g3; // 0x47e858_0
    *v22 = (char)((int32_t)*v22 + g3);
    char * v23 = (char *)g3; // 0x47e85a_0
    *v23 = (char)((int32_t)*v23 + g3);
    char * v24 = (char *)g3; // 0x47e85c_0
    *v24 = (char)((int32_t)*v24 + g3);
    char * v25 = (char *)g3; // 0x47e85e_0
    *v25 = (char)((int32_t)*v25 + g3);
    char * v26 = (char *)g3; // 0x47e860_0
    *v26 = (char)((int32_t)*v26 + g3);
    char * v27 = (char *)g3; // 0x47e862_0
    *v27 = (char)((int32_t)*v27 + g3);
    char * v28 = (char *)g3; // 0x47e864_0
    *v28 = (char)((int32_t)*v28 + g3);
    char * v29 = (char *)g3; // 0x47e866_0
    *v29 = (char)((int32_t)*v29 + g3);
    int32_t v30 = g7 + 1; // edi
    char * v31 = (char *)(2 * g3); // 0x47e86b_0
    *v31 = (char)(g5 + (int32_t)*v31);
    char * v32 = (char *)g3; // 0x47e86e_0
    *v32 = (char)((int32_t)*v32 + g3);
    int32_t v33 = 128 * g5 & 0x8000 | g5 & -0xff01; // 0x47e870
    int32_t v34 = (256 * (v33 / 256 + g3 / 256) & 0xff00 | g3 & -0xff01) + 1; // 0x47e876
    char * v35 = (char *)v34; // 0x47e877_0
    int32_t v36 = (int32_t)*v35; // 0x47e877
    *v35 = (char)(g6 + v36);
    int32_t v37;
    if ((g6 & 15) + (v36 & 15) > 15 || (v34 & 14) > 9) {
        // if_47e879_0_true
        v37 = v34 + 10 & 15 | v34 & -256;
        // branch -> after_if_47e879_0
    } else {
        // if_47e879_0_false
        v37 = (int32_t)((char)v34 & 15) | v34 & -256;
        // branch -> after_if_47e879_0
    }
    char * v38 = (char *)(2 * v30); // 0x47e87b_0
    *v38 = (char)(g6 + (int32_t)*v38);
    int32_t v39 = 2 + v37; // 0x47e87e
    char * v40 = (char *)v39; // 0x47e87f_0
    int32_t v41 = (int32_t)*v40; // 0x47e87f
    *v40 = (char)(g8 + v41);
    int32_t v42;
    if ((g8 & 15) + (v41 & 15) > 15 || (v39 & 14) > 9) {
        // if_47e881_0_true
        v42 = v39 + 10 & 15 | v39 & -256;
        // branch -> after_if_47e881_0
    } else {
        // if_47e881_0_false
        v42 = (int32_t)((char)v39 & 15) | v39 & -256;
        // branch -> after_if_47e881_0
    }
    int32_t v43 = v42 + 1; // 0x47e882
    char * v44 = (char *)(2 * v30); // 0x47e883_0
    *v44 = (char)((int32_t)*v44 + v43);
    char * v45 = (char *)(v43 + 1); // 0x47e887_0
    *v45 = (char)(v33 / 256 + (int32_t)*v45);
    char * v46 = (char *)(v15 + 64 + v30); // 0x47e88b_0
    *v46 = (char)(g8 + (int32_t)*v46);
}

// Address range: 0x47e895 - 0x47e8b3
void function_47e895(void) {
    char * v1 = (char *)(g3 + g6); // 0x47e897_0
    *v1 = (char)((int32_t)*v1 + g3 / 256);
    int32_t v2 = g3 - 1; // 0x47e89a
    int32_t v3 = g6 / 256 + v2 & 255 | v2 & -256; // 0x47e89b
    g3 = v3;
    char * v4 = (char *)(v3 - 0x3fffb802); // 0x47e89f_0
    *v4 = (char)(g8 + (int32_t)*v4);
    int32_t * v5 = (int32_t *)(2 + g7); // 0x47e8a5_0
    *v5 = *v5 + 1;
    int32_t v6 = (int32_t)*(char *)(g5 + 104 + 2 * g3) & 255 | g8; // 0x47e8a8
    g8 = v6;
    g7 = 88 * *(int32_t *)(v6 + 84);
    unknown_47e844();
}

// Address range: 0x47e8b4 - 0x47eb6b
void function_47e8b4(void) {
    int32_t * hdcDest = (int32_t *)g10; // 0x47e8ba_0
    int32_t ** v1;
    int32_t v2 = (int32_t)v1; // 0x47e8bc
    struct BITMAPINFOHEADER * x1;
    int32_t v3 = (int32_t)&x1; // 0x47e8bf_0
    x1 = (struct BITMAPINFOHEADER *)*(int32_t *)v1;
    *(int32_t *)(v3 + 4) = *(int32_t *)(v2 + 4);
    *(int32_t *)(v3 + 8) = *(int32_t *)(v2 + 8);
    *(int32_t *)(v3 + 12) = *(int32_t *)(v2 + 12);
    struct BITMAPINFOHEADER * pbmih = (struct BITMAPINFOHEADER *)g6; // bp-16
    struct BITMAPINFOHEADER * v4 = (struct BITMAPINFOHEADER *)g3; // 0x47e8cc_0
    struct BITMAPINFOHEADER * v5 = (struct BITMAPINFOHEADER *)CreateCompatibleDC(&v4->e0); // bp-60
    struct BITMAPINFOHEADER * pbmi;
    int32_t * h = CreateDIBitmap(&v4->e0, pbmih, 4, (char *)(struct BITMAPINFOHEADER *)g8, (struct BITMAPINFO *)pbmi, 0); // 0x47e8ef
    struct BITMAPINFOHEADER * v6 = (struct BITMAPINFOHEADER *)h; // bp-84
    int32_t * v7 = SelectObject(&v5->e0, h); // 0x47e8ff
    int32_t v8 = pbmih->e1; // 0x47e90a
    int32_t v9 = v8 >> 31; // 0x47e90d
    struct BITMAPINFOHEADER * wSrc = (struct BITMAPINFOHEADER *)((v9 ^ v8) - v9); // bp-76
    int32_t v10 = pbmih->e2; // 0x47e918
    int32_t v11 = v10 >> 31; // 0x47e91b
    struct BITMAPINFOHEADER * hSrc = (struct BITMAPINFOHEADER *)((v11 ^ v10) - v11); // bp-72
    struct BITMAPINFOHEADER * wDest;
    struct BITMAPINFOHEADER * nWidth = (struct BITMAPINFOHEADER *)((int32_t)wDest - (int32_t)x1); // bp-68
    struct BITMAPINFOHEADER * hDest;
    struct BITMAPINFOHEADER * y1;
    struct BITMAPINFOHEADER * nHeight = (struct BITMAPINFOHEADER *)((int32_t)hDest - (int32_t)y1); // bp-64
    struct BITMAPINFOHEADER * v12 = (struct BITMAPINFOHEADER *)CreateCompatibleDC(&v4->e0); // bp-52
    struct BITMAPINFOHEADER * v13 = (struct BITMAPINFOHEADER *)CreateCompatibleDC(&v4->e0); // bp-56
    struct BITMAPINFOHEADER * v14 = (struct BITMAPINFOHEADER *)CreateCompatibleDC(&v4->e0); // bp-48
    struct BITMAPINFOHEADER * v15 = (struct BITMAPINFOHEADER *)CreateBitmap((int32_t)nWidth, (int32_t)nHeight, 1, 1, NULL); // bp-24
    struct BITMAPINFOHEADER * v16 = (struct BITMAPINFOHEADER *)CreateBitmap((int32_t)nWidth, (int32_t)nHeight, 1, 1, NULL); // bp-28
    int32_t * v17 = CreateCompatibleBitmap(&v4->e0, (int32_t)nWidth, (int32_t)nHeight); // 0x47e991
    int32_t * v18 = SelectObject(&v12->e0, &v15->e0); // 0x47e9a1
    int32_t * v19 = SelectObject(&v13->e0, &v16->e0); // 0x47e9b1
    int32_t * v20 = SelectObject(&v14->e0, &((struct BITMAPINFOHEADER *)v17)->e0); // 0x47e9c1
    struct BITMAPINFOHEADER * color;
    struct BITMAPINFOHEADER * color2 = (struct BITMAPINFOHEADER *)SetBkColor(&v5->e0, (int32_t)color); // bp-20
    StretchBlt(&v13->e0, 0, 0, (int32_t)nWidth, (int32_t)nHeight, &v5->e0, 0, 0, (int32_t)wSrc, (int32_t)hSrc, 0xcc0020);
    SetBkColor(&v5->e0, (int32_t)color2);
    BitBlt(&v12->e0, 0, 0, (int32_t)nWidth, (int32_t)nHeight, &v13->e0, 0, 0, 0x330008);
    BitBlt(&v14->e0, 0, 0, (int32_t)nWidth, (int32_t)nHeight, &v4->e0, (int32_t)x1, (int32_t)y1, 0xcc0020);
    BitBlt(&v14->e0, 0, 0, (int32_t)nWidth, (int32_t)nHeight, &v13->e0, 0, 0, 0x8800c6);
    StretchBlt(&v5->e0, 0, 0, (int32_t)wSrc, (int32_t)hSrc, &v12->e0, 0, 0, (int32_t)nWidth, (int32_t)nHeight, 0x8800c6);
    int32_t * v21 = (int32_t *)(g11 - 4); // 0x47eaac_0
    *v21 = (int32_t)hSrc;
    int32_t * v22 = (int32_t *)(g11 - 8); // 0x47eab0_0
    *v22 = (int32_t)wSrc;
    int32_t * v23 = (int32_t *)(g11 - 12); // 0x47eab1_0
    *v23 = 0;
    int32_t * v24 = (int32_t *)(g11 - 16); // 0x47eab3_0
    *v24 = 0;
    int32_t * v25 = (int32_t *)(g11 - 20); // 0x47eab8_0
    *v25 = (int32_t)v5;
    int32_t * v26 = (int32_t *)(g11 - 24); // 0x47eabc_0
    *v26 = (int32_t)nHeight;
    int32_t * v27 = (int32_t *)(g11 - 28); // 0x47eac0_0
    *v27 = (int32_t)nWidth;
    int32_t * v28 = (int32_t *)(g11 - 32); // 0x47eac1_0
    *v28 = 0;
    int32_t * v29 = (int32_t *)(g11 - 36); // 0x47eac3_0
    *v29 = 0;
    *(int32_t *)(g11 - 40) = (int32_t)v14;
    *(int32_t *)(g11 - 44) = 0x47eace;
    int32_t xSrc = (int32_t)v7; // 0x47eac9
    StretchBlt(hdcDest, (int32_t)x1, (int32_t)y1, (int32_t)wDest, (int32_t)hDest, &v6->e0, xSrc, (int32_t)wSrc, (int32_t)hSrc, (int32_t)nWidth, (int32_t)nHeight);
    int32_t * v30 = (int32_t *)g11; // 0x47eace_0
    *v30 = 0xcc0020;
    *v21 = 0;
    *v22 = 0;
    *v23 = (int32_t)v14;
    *v24 = (int32_t)nHeight;
    *v25 = (int32_t)nWidth;
    *v26 = (int32_t)y1;
    *v27 = (int32_t)x1;
    *v28 = (int32_t)v4;
    *v29 = 0x47eaf4;
    BitBlt(hdcDest, (int32_t)x1, (int32_t)y1, (int32_t)wDest, (int32_t)hDest, &v6->e0, xSrc, (int32_t)wSrc, (int32_t)hSrc);
    *v30 = (int32_t)v18;
    *v21 = (int32_t)v12;
    *v22 = 0x47eb01;
    int32_t * v31 = SelectObject(hdcDest, &x1->e0); // 0x47eafc
    int32_t ** v32 = (int32_t **)g11; // 0x47eb01_0
    *v32 = v31;
    *v21 = 0x47eb07;
    DeleteObject(hdcDest);
    *v30 = (int32_t)v19;
    *v21 = (int32_t)v13;
    *v22 = 0x47eb14;
    *v32 = SelectObject(hdcDest, &x1->e0);
    *v21 = 0x47eb1a;
    DeleteObject(hdcDest);
    *v30 = (int32_t)v20;
    *v21 = (int32_t)v14;
    *v22 = 0x47eb27;
    *v32 = SelectObject(hdcDest, &x1->e0);
    *v21 = 0x47eb2d;
    DeleteObject(hdcDest);
    *v30 = xSrc;
    *v21 = (int32_t)v5;
    *v22 = 0x47eb3a;
    *v32 = SelectObject(hdcDest, &x1->e0);
    *v21 = 0x47eb40;
    DeleteObject(hdcDest);
    *v30 = (int32_t)v14;
    *v21 = 0x47eb49;
    DeleteDC(hdcDest);
    *v30 = (int32_t)v12;
    *v21 = 0x47eb52;
    DeleteDC(hdcDest);
    *v30 = (int32_t)v13;
    *v21 = 0x47eb5b;
    DeleteDC(hdcDest);
    *v30 = (int32_t)v5;
    *v21 = 0x47eb64;
    DeleteDC(hdcDest);
}

// Address range: 0x47eb6c - 0x47ebcb
void function_47eb6c(void) {
    // 0x47eb6c
    // branch -> 0x47eb77
    for (uint32_t i = 0; i < 256; i++) {
        int32_t v1 = i; // 0x47ebaa5
        // branch -> 0x47eb82
        int32_t v2; // 0x47ebaa4
        for (uint32_t j = 0; j < 8; j++) {
            uint32_t v3 = v1 / 2; // 0x47eb9b
            v2 = (v1 & 1) == 0 ? v3 : v3 ^ -0x12477ce0;
            // PHI copies at the loop end
            v1 = v2;
            // loop 0x47eb82 end
        }
        // 0x47eba7
        g75[i] = v2;
        // PHI copies at the loop end
        // loop 0x47eb77 end
    }
    // 0x47ebc0
    g76 = 1;
}

// Address range: 0x47ebcc - 0x47ec3b
void function_47ebcc(void) {
    // 0x47ebcc
    if (g76 == 0) {
        // 0x47ebea
        function_47eb6c();
        // branch -> 0x47ebef
    }
    int32_t v1 = g6 - 1; // 0x47ebf2
    uint32_t v2 = llvm_ctpop_i32(v1); // 0x47ebf2
    g1 = false;
    g2 = false;
    g187 = v1 == 0;
    g9 = v2 % 2 == 1;
    int32_t v3;
    if (v1 < 0) {
        // 0x47ec2e
        g4 = v3;
        return;
    }
    int32_t v4 = g3; // 0x47ec2e4
    int32_t v5 = 0; // 0x47ec262
    int32_t v6 = g6; // 0x47ec291
    unsigned char v7 = *(char *)(v5 + g8); // 0x47ec08
    int32_t v8 = *(int32_t *)(4 * ((int32_t)v7 ^ v4 & 255) + 0x4d5bb8); // 0x47ec14
    g1 = false;
    int32_t v9 = v4 / 256 ^ v8; // 0x47ec21
    g2 = (v6 & 15) > 16;
    int32_t v10 = v6 - 1; // 0x47ec29
    g187 = v10 == 0;
    g9 = llvm_ctpop_i32(v10) % 2 == 1;
    // branch -> 0x47ec02
    while (v10 != 0) {
        // 0x47ec02
        v4 = v9;
        v5++;
        v6 = v10;
        v7 = *(char *)(v5 + g8);
        v8 = *(int32_t *)(4 * ((int32_t)v7 ^ v4 & 255) + 0x4d5bb8);
        g1 = false;
        v9 = v4 / 256 ^ v8;
        g2 = (v6 & 15) > 16;
        v10 = v6 - 1;
        g187 = v10 == 0;
        g9 = llvm_ctpop_i32(v10) % 2 == 1;
        // continue -> 0x47ec02
    }
    // 0x47ec2e
    g3 = v9;
    g4 = v3;
}

// Address range: 0x47ec3c - 0x47ecc7
void function_47ec3c(void) {
    char v1 = g6; // 0x47ec42
    char v2 = g8; // 0x47ec45
    char v3 = g3; // 0x47ec48
    int32_t v4 = g8 & 255; // 0x47ec4d
    int32_t v5 = g6 & 255; // 0x47ec52
    int32_t v6 = v4 - v5; // 0x47ec55
    int32_t v7 = v6 >> 31; // 0x47ec57
    int32_t v8 = (v7 ^ v6) - v7; // 0x47ec5a
    int32_t v9 = g3 & 255; // 0x47ec61
    int32_t v10 = v9 - v5; // 0x47ec69
    int32_t v11 = v10 >> 31; // 0x47ec6b
    int32_t v12 = (v11 ^ v10) - v11; // 0x47ec6e
    int32_t v13 = v4 + v9 + -2 * v5; // 0x47ec863
    int32_t v14 = v13 >> 31; // 0x47ec88
    int32_t v15 = (v14 ^ v13) - v14; // 0x47ec8b
    char v16; // 0x47ecbe1
    int32_t v17; // 0x47ecbe
    int32_t v18; // 0x47ecb8
    if (v8 > v12) {
        // 0x47ec3c
        // branch -> 0x47eca8
        // 0x47eca8
        v18 = v12 & -256;
        if (v12 > v15) {
            // 0x47ecb8
            v17 = v18 | v5;
            v16 = v1;
            // branch -> 0x47ecbe
        } else {
            // 0x47ecb0
            v17 = v18 | v4;
            v16 = v2;
            // branch -> 0x47ecbe
        }
        // 0x47ecbe
        g3 = (int32_t)v16 | v17 & -256;
        return;
    }
    // 0x47ec98
    if (v8 <= v15) {
        // 0x47eca0
        // branch -> 0x47ecbe
        // 0x47ecbe
        g3 = (int32_t)v3 | (v8 & -256 | v9) & -256;
        return;
    }
    // 0x47eca8
    v18 = v12 & -256;
    if (v12 > v15) {
        // 0x47ecb8
        v17 = v18 | v5;
        v16 = v1;
        // branch -> 0x47ecbe
    } else {
        // 0x47ecb0
        v17 = v18 | v4;
        v16 = v2;
        // branch -> 0x47ecbe
    }
    // 0x47ecbe
    g3 = (int32_t)v16 | v17 & -256;
}

// Address range: 0x47ecc8 - 0x47eccb
void function_47ecc8(void) {
    // 0x47ecc8
    g3 = llvm_bswap_i32(g3);
}

// Address range: 0x47eccc - 0x47ecd3
void function_47eccc(void) {
    // 0x47eccc
    g3 = llvm_bswap_i32(g3) / 0x10000;
}

// Address range: 0x47ecd4 - 0x47ed87
void function_47ecd4(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g8; // 0x47ecdd
    unsigned char v3 = (char)v2; // 0x47ecdd
    int32_t v4 = v2 & 255; // 0x47ece5
    g3 = v4;
    g2 = (v2 & 15) > 21;
    g1 = v3 < 6;
    int32_t v5 = v4 - 6; // 0x47ece8
    g187 = v5 == 0;
    g9 = llvm_ctpop_i32(v5) % 2 == 1;
    int32_t v6; // 0x47ed801
    if (v3 > 6) {
        v6 = 0;
        // branch -> 0x47ed80
    } else {
        // 0x47ecf1
        ((int32_t (*)())*(int32_t *)(4 * v4 + 0x47ecf8))();
        char * v7 = (char *)g5; // 0x47ed13_0
        *v7 = (char)(g8 / 256 + (int32_t)*v7);
        char * v8 = (char *)(g8 + 0x6df7fa45); // 0x47ed15_0
        unsigned char v9 = *v8; // 0x47ed15
        *v8 = 16 * v9 | v9 / 16;
        int32_t v10 = g3 + 7; // 0x47ed1c
        int32_t v11; // 0x47ed26
        if (v10 <= 0) {
            // 0x47ed23
            v11 = g3 + 14;
            // branch -> 0x47ed26
        } else {
            v11 = v10;
        }
        // 0x47ed26
        *(int32_t *)(g4 - 12) = v11 / 8;
        int32_t v12;
        v6 = v12;
        // branch -> 0x47ed80
    }
    // 0x47ed80
    g3 = v6;
    g4 = v1;
}

// Address range: 0x47ed88 - 0x47edd3
void function_47ed88(void) {
    int32_t v1 = g3; // 0x47ed8e
    if (g74 == 0) {
        // 0x47ed9a
        g8 = g8 & -256 | 1;
        g3 = 0x47e29c;
        function_47f288();
        g74 = g3;
        // branch -> 0x47edad
    }
    int32_t v2 = 4; // eax
    System__GetMem(0);
    *(int32_t *)v2 = v1;
    g8 = v2;
    unknown_47f38c();
    g6 = v1;
}

// Address range: 0x47edd4 - 0x47ee27
void function_47edd4(void) {
    // 0x47edd4
    if (g74 == 0) {
        // 0x47ee24
        return;
    }
    int32_t v1 = *(int32_t *)(g74 + 8); // 0x47ede8
    if (v1 < 1) {
        // 0x47ee1a
        System__TObject__Free(g6);
        // branch -> 0x47ee24
        // 0x47ee24
        return;
    }
    int32_t v2 = 0; // 0x47ee256
    g8 = v2;
    g3 = g74;
    function_47f410();
    System__FreeMem((char *)g6);
    int32_t v3 = v1 - 1; // 0x47ee15
    // branch -> 0x47edfb
    while (v3 != 0) {
        // 0x47edfb
        v2++;
        g8 = v2;
        g3 = g74;
        function_47f410();
        System__FreeMem((char *)g6);
        v3--;
        // continue -> 0x47edfb
    }
    // 0x47ee1a
    System__TObject__Free(g6);
    // branch -> 0x47ee24
}

// Address range: 0x47ee28 - 0x47ee93
void function_47ee28(void) {
    // 0x47ee28
    g3 = 0x47e4ac;
    function_47ed88();
    g3 = 0x47e518;
    function_47ed88();
    g3 = 0x47e734;
    function_47ed88();
    g3 = 0x47e65c;
    function_47ed88();
    g3 = 0x47e5f0;
    function_47ed88();
    g3 = 0x47e6c8;
    function_47ed88();
    g3 = 0x47e584;
    function_47ed88();
    g3 = 0x47e7a0;
    function_47ed88();
    g3 = 0x47e80c;
    function_47ed88();
    g3 = 0x47e894;
    function_47ed88();
}

// Address range: 0x47ee94 - 0x47ef6f
void function_47ee94(void) {
    // 0x47ee94
    abort();
    // UNREACHABLE
}

// Address range: 0x47ef70 - 0x47efc3
void function_47ef70(void) {
    int32_t v1 = g8; // 0x47ef76
    System__FillChar(NULL, 64, (char)v1);
    System__GetMem(0);
    *(int32_t *)(v1 + 56) = 0xffff;
    *(int32_t *)(v1 + 60) = g3;
    g8 = 0x47efbc;
    g3 = v1;
    function_47951c();
}

// Address range: 0x47efc4 - 0x47f02f
void function_47efc4(void) {
    int32_t v1 = g6; // 0x47efca
    System__FillChar(NULL, 64, (char)v1);
    System__GetMem(0);
    int32_t v2;
    int32_t * v3 = (int32_t *)(v2 + 56); // 0x47efed_0
    *v3 = v1;
    *(int32_t *)(v2 + 60) = g3;
    *(int32_t *)(v2 + 12) = *v3;
    *(int32_t *)(v2 + 16) = v1;
    g8 &= 255;
    g3 = v2;
    function_477108();
}

// Address range: 0x47f030 - 0x47f04f
void function_47f030(void) {
    int32_t v1;
    g4 = &v1;
    function_477fa4();
    System__FreeMem((char *)g6);
}

// Address range: 0x47f050 - 0x47f06f
void function_47f050(void) {
    int32_t v1;
    g4 = &v1;
    function_47ab1c();
    System__FreeMem((char *)g6);
}

// Address range: 0x47f070 - 0x47f177
void function_47f070(void) {
    // 0x47f070
    char v1;
    char v2 = v1; // bp-336
    int32_t v3 = g3; // 0x47f07f
    char ** v4;
    *(int32_t *)v4 = 0;
    int32_t v5;
    int32_t v6 = &v5; // 0x47f08d_0
    System__FillChar(NULL, 56, v1);
    g8 = 0x47f170;
    g3 = v6;
    function_47951c();
    v5 = v3;
    char * v7;
    int32_t v8 = (int32_t)v7; // 0x47f0ec
    int32_t * v9 = (int32_t *)g6; // 0x47f0f4_0
    char * v10 = (char *)56; // 0x47f12a_02
    // branch -> 0x47f0ba
    while (true) {
        // 0x47f0ba
        int32_t v11;
        int32_t v12 = v11;
        if (v11 == 0) {
            // 0x47f0c0
            v12 = 256;
            // branch -> 0x47f0d0
        }
        // 0x47f0d0
        g3 = v6;
        function_479650();
        int32_t v13 = g3; // 0x47f0da
        int32_t * v14 = (int32_t *)v13; // 0x47f0da_0
        if (v13 != 1) {
            // 0x47f0e3
            char * v15; // 0x47f12a_01
            if (v13 != 0) {
                // 0x47f134
                if (v14 <= (int32_t *)-1) {
                    // 0x47f13a
                    int32_t v16;
                    g8 = v16;
                    function_404d50();
                    g3 = v6;
                    function_47ab1c();
                    // branch -> 0x47f165
                    // 0x47f165
                    return;
                }
                v15 = v10;
              lab_0x47f153:
                // 0x47f153
                if (v14 == (int32_t *)1) {
                    // break -> 0x47f15d
                    break;
                }
                v11 = v12;
                v10 = v15;
                // continue -> 0x47f0ba
                continue;
            }
            // 0x47f0e9
            *(int32_t *)v4 = *(int32_t *)v4 + v8;
            if (*v9 == 0) {
              lab_0x47f0f9:
                // 0x47f0f9
                System__GetMem((int32_t)v10);
                *v9 = *(int32_t *)v4;
                // branch -> 0x47f117
            } else {
              lab_0x47f10a:
                // 0x47f10a
                System__ReallocMem(v10, *(int32_t *)v4);
                // branch -> 0x47f117
            }
            // 0x47f117
            g3 = *(int32_t *)v4 + *v9 - v8;
            g8 = &v2;
            function_407924();
            v15 = v7;
            // branch -> 0x47f153
            goto lab_0x47f153;
        }
        // 0x47f0e9
        *(int32_t *)v4 = *(int32_t *)v4 + v8;
        if (*v9 == 0) {
            goto lab_0x47f0f9;
        }
        goto lab_0x47f10a;
    }
    // 0x47f15d
    g3 = v6;
    function_47ab1c();
    // branch -> 0x47f165
}

// Address range: 0x47f178 - 0x47f287
void function_47f178(void) {
    // 0x47f178
    char v1;
    char v2 = v1; // bp-336
    int32_t v3 = g8; // 0x47f184
    int32_t v4 = g3; // 0x47f187
    char ** v5;
    *(int32_t *)v5 = 0;
    int32_t v6;
    int32_t v7 = &v6; // 0x47f195_0
    System__FillChar(NULL, 56, v1);
    g3 = v7;
    g8 = g6;
    function_477108();
    v6 = v4;
    char * v8;
    int32_t v9 = (int32_t)v8; // 0x47f1fc
    char * v10 = "1.2.3";
    // branch -> 0x47f263
    while (true) {
        // branch -> 0x47f263
        while (true) {
            // 0x47f263
            if (v3 <= 0) {
                // 0x47f26d
                g3 = v7;
                function_477fa4();
                // branch -> 0x47f275
                // 0x47f275
                return;
            }
            // 0x47f1c7
            int32_t v11;
            int32_t v12 = v11;
            if (v11 == 0) {
                // 0x47f1cd
                v12 = 256;
                // branch -> 0x47f1dd
            }
            // 0x47f1dd
            g3 = v7;
            g8 = 4;
            function_477730();
            int32_t v13 = g3; // 0x47f1ea
            if (v13 != 1) {
                // 0x47f1f3
                if (v13 != 0) {
                    // 0x47f244
                    if ((int32_t *)v13 <= (int32_t *)-1) {
                        // break -> 0x47f24a
                        break;
                    }
                    v11 = v12;
                    // continue -> 0x47f263
                    continue;
                }
            }
            // 0x47f1f9
            *(int32_t *)v5 = *(int32_t *)v5 + v9;
            char ** v14;
            if (*(int32_t *)v14 == 0) {
                // 0x47f209
                System__GetMem((int32_t)v10);
                *(int32_t *)v14 = *(int32_t *)v5;
                // branch -> 0x47f227
            } else {
                // 0x47f21a
                System__ReallocMem(v10, *(int32_t *)v5);
                // branch -> 0x47f227
            }
            // 0x47f227
            g3 = *(int32_t *)v5 + *(int32_t *)v14 - v9;
            g8 = &v2;
            function_407924();
            // branch -> 0x47f263
            break;
        }
        // 0x47f24a
        int32_t v15;
        g8 = v15;
        function_404d50();
        g3 = v7;
        function_477fa4();
        // branch -> 0x47f275
        // 0x47f275
        return;
    }
}

// Address range: 0x47f288 - 0x47f40f
void function_47f288(void) {
    int32_t v1;
    g4 = &v1;
    int32_t * v2;
    g11 = (int32_t)&v2;
    int32_t v3 = g8; // 0x47f28e
    char v4 = 0;
    if (v3 != 0) {
        // 0x47f292
        int32_t * v5;
        g11 = (int32_t)&v5;
        System__ClassCreate((int32_t *)g6, v3);
        v4 = g8;
        // branch -> 0x47f29a
    }
    // 0x47f29a
    v2 = (int32_t *)g6;
    int32_t v6 = g3; // 0x47f2a0
    g8 = 0;
    function_403c70();
    *(int32_t *)(v6 + 4) = (int32_t)v2;
    *(int32_t *)(v6 + 12) = 0;
    *(int32_t *)(v6 + 8) = 0;
    g3 = v6;
    if (v4 == 0) {
        // 0x47f2de
        g3 = v6;
        g4 = v1;
        return;
    }
    // 0x47f2cf
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x47f410 - 0x47f447
void function_47f410(void) {
    uint32_t v1 = g8; // 0x47f416
    uint32_t v2 = *(int32_t *)(g3 + 8) - 1; // 0x47f422
    g2 = (v2 & 15) - (v1 & 15) > 15;
    g1 = v2 < v1;
    g187 = v2 == v1;
    g9 = llvm_ctpop_i32(v2 - v1) % 2 == 1;
    int32_t v3;
    if (v2 < v1) {
        // 0x47f439
        g1 = false;
        g2 = false;
        g187 = true;
        g9 = false;
        v3 = 0;
        // branch -> 0x47f43e
    } else {
        // 0x47f428
        g8 = v1;
        v3 = *(int32_t *)(*(int32_t *)(g3 + 12) + 4 * v1);
        // branch -> 0x47f43e
    }
    // 0x47f43e
    g3 = v3;
}

// Address range: 0x47f448 - 0x47f4c7
void function_47f448(void) {
    uint32_t v1 = g6; // 0x47f44f
    int32_t v2 = g8; // 0x47f452
    int32_t v3 = g3; // 0x47f455
    int32_t * v4 = (int32_t *)(v3 + 8); // 0x47f45e_0
    int32_t v5; // 0x47f489
    int32_t v6; // 0x47f498
    if (v1 < *v4) {
        // 0x47f46c
        g8 = *v4 + 1;
        g3 = v3;
        function_47f4f8();
        if (v1 < *v4) {
            // 0x47f486
            v5 = *v4;
            v6 = *(int32_t *)(v3 + 12);
            System__Move((char *)(4 * (v5 - v1 - 1)), (char *)(4 * v1 + 4 + v6), g5);
            // branch -> 0x47f4b3
        }
        // 0x47f4b3
        g6 = v2;
        g8 = v1;
        g3 = v3;
        function_47f4c8();
        // branch -> 0x47f4c1
        // 0x47f4c1
        return;
    }
    // 0x47f463
    if (*v4 != 0) {
        // 0x47f4c1
        return;
    }
    // 0x47f46c
    g8 = *v4 + 1;
    g3 = v3;
    function_47f4f8();
    if (v1 < *v4) {
        // 0x47f486
        v5 = *v4;
        v6 = *(int32_t *)(v3 + 12);
        System__Move((char *)(4 * (v5 - v1 - 1)), (char *)(4 * v1 + 4 + v6), g5);
        // branch -> 0x47f4b3
    }
    // 0x47f4b3
    g6 = v2;
    g8 = v1;
    g3 = v3;
    function_47f4c8();
    // branch -> 0x47f4c1
}

// Address range: 0x47f4c8 - 0x47f4f7
void function_47f4c8(void) {
    int32_t v1 = g6; // 0x47f4ce
    if (*(int32_t *)(g3 + 8) - 1 >= g8) {
        // 0x47f4e3
        g6 = v1;
        *(int32_t *)(*(int32_t *)(g3 + 12) + 4 * g8) = v1;
        // branch -> 0x47f4f2
    }
}

// Address range: 0x47f4f8 - 0x47f55f
void function_47f4f8(void) {
    int32_t v1 = g8; // 0x47f4fe
    int32_t * v2 = (int32_t *)(g3 + 12); // 0x47f507_0
    if (*v2 == 0) {
        // 0x47f50d
        if (v1 == 0) {
            // 0x47f526
            // branch -> 0x47f53f
            // 0x47f53f
            System__FreeMem((char *)g6);
            *v2 = 0;
            // branch -> 0x47f552
        } else {
            // 0x47f513
            System__GetMem(g6);
            *v2 = 4 * v1;
            // branch -> 0x47f552
        }
        // 0x47f552
        g8 = g3;
        *(int32_t *)(g3 + 8) = v1;
        g6 = g3;
        return;
    }
    // 0x47f526
    if (v1 != 0) {
        // 0x47f52c
        System__ReallocMem((char *)g6, 4 * v1);
        // branch -> 0x47f552
        // 0x47f552
        g8 = g3;
        *(int32_t *)(g3 + 8) = v1;
        g6 = g3;
        return;
    }
    // 0x47f53f
    System__FreeMem((char *)g6);
    *v2 = 0;
    // branch -> 0x47f552
    // 0x47f552
    g8 = g3;
    *(int32_t *)(g3 + 8) = v1;
    g6 = g3;
}

// Address range: 0x47f560 - 0x47f85b
void function_47f560(void) {
    // 0x47f560
    abort();
    // UNREACHABLE
}

// Address range: 0x47f85c - 0x47f87f
void function_47f85c(void) {
    // 0x47f85c
    function_47f410();
    int32_t v1;
    g4 = v1;
}

// Address range: 0x47f880 - 0x47f8df
void function_47f880(void) {
    int32_t v1 = g8; // 0x47f886
    int32_t v2 = g3; // 0x47f889
    int32_t v3 = *(int32_t *)(v2 + 8); // 0x47f894
    int32_t v4;
    if (v3 < 1) {
        // 0x47f8d6
        g3 = 0;
        g4 = v4;
        return;
    }
    int32_t v5 = 0; // 0x47f8ce2
    // branch -> 0x47f8a7
    while (true) {
        // 0x47f8a7
        g8 = v5;
        g3 = v2;
        function_47f85c();
        System__IsClass((int32_t *)g6, (int32_t *)v1);
        if (g3 != 0) {
            // 0x47f8be
            g8 = v5;
            g3 = v2;
            function_47f85c();
            // branch -> 0x47f8d6
            // 0x47f8d6
            g4 = v4;
            return;
        }
        int32_t v6 = v3 - 1; // 0x47f8d1
        if (v6 == 0) {
            // break -> 0x47f8d6
            break;
        }
        v5++;
        v3 = v6;
        // continue -> 0x47f8a7
    }
    // 0x47f8d6
    g3 = 0;
    g4 = v4;
}

// Address range: 0x47f8e0 - 0x47f907
void function_47f8e0(void) {
    // 0x47f8e0
    *(int32_t *)(g3 + 8) = g8;
    System__ReallocMem((char *)g6, g8 + 1);
    int32_t v1;
    g4 = v1;
}

// Address range: 0x47f908 - 0x47f967
void function_47f908(void) {
    int32_t v1 = g3; // 0x47f90e
    int32_t * v2 = (int32_t *)(v1 + 12); // 0x47f91b_0
    int32_t v3 = *(int32_t *)(*(int32_t *)(*v2 + 312) + 8); // 0x47f924
    if (v3 < 1) {
        // 0x47f960
        return;
    }
    int32_t v4 = 0; // 0x47f9582
    // branch -> 0x47f937
    while (true) {
        // 0x47f937
        g3 = *(int32_t *)(*v2 + 312);
        g8 = v4;
        function_47f85c();
        if (g3 == v1) {
            // 0x47f950
            // branch -> 0x47f960
            // 0x47f960
            return;
        }
        int32_t v5 = v3 - 1; // 0x47f95b
        if (v5 == 0) {
            // break -> 0x47f960
            break;
        }
        v4++;
        v3 = v5;
        // continue -> 0x47f937
    }
}

// Address range: 0x47f968 - 0x47f99b
void function_47f968(void) {
    int32_t v1 = g3; // 0x47f96e
    g3 = *(int32_t *)(*(int32_t *)(v1 + 12) + 312);
    g8 = 0;
    function_47f85c();
    System__AsClass((int32_t *)g6, (int32_t *)0x47e518);
    g6 = v1;
}

// Address range: 0x47f99c - 0x47f9e7
void function_47f99c(void) {
    int32_t v1 = g8; // 0x47f9a2
    int32_t v2 = g3; // 0x47f9a5
    *(int32_t *)(v2 + 16) = *(int32_t *)(v1 + 16);
    g8 = *(int32_t *)(v1 + 8);
    g3 = v2;
    function_47f8e0();
    int32_t * v3 = (int32_t *)(v2 + 8); // 0x47f9c5_0
    if (*v3 != 0) {
        // 0x47f9cb
        g6 = *v3;
        g8 = *(int32_t *)(v1 + 4);
        g3 = *(int32_t *)(v2 + 4);
        function_407924();
        // branch -> 0x47f9e2
    }
}

// Address range: 0x47f9e8 - 0x47faf7
void function_47f9e8(void) {
    // 0x47f9e8
    g5 = 0;
    if (g8 != 0) {
        // 0x47f9fb
        System__ClassCreate((int32_t *)g6, g8);
        // branch -> 0x47fa03
    }
    // 0x47fa03
    g3 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x47faf8 - 0x47fb3b
void function_47faf8(void) {
    // 0x47faf8
    System__BeforeDestruction((int32_t *)g6, (char)g8);
    System__FreeMem((char *)g6);
    System__TObject(g6);
    if ((char)g8 >= 1) {
        // 0x47fb2f
        System__ClassDestroy((int32_t *)g6);
        // branch -> 0x47fb37
    }
}

// Address range: 0x47fb3c - 0x47fbbf
void function_47fb3c(void) {
    int32_t v1 = g3; // 0x47fb45
    g3 = g8;
    g8 = v1 + 16;
    g6 = 4;
    function_404dc8();
}

// Address range: 0x47fbc0 - 0x47fc6b
void function_47fbc0(void) {
    int32_t v1;
    g4 = &v1;
    uint32_t v2 = g11; // 0x47fbc3
    g2 = (v2 & 15) > 3;
    g1 = v2 > 19;
    int32_t v3 = v2 - 20; // 0x47fbc3
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    int32_t v4 = g5; // 0x47fbc6
    struct struct_19 * v5 = (struct struct_19 *)g8; // bp-12
    int32_t v6 = g3; // 0x47fbca
    int32_t * v7 = (int32_t *)(v6 + 8); // 0x47fbd0_0
    g3 = *v7;
    function_47ecc8();
    int32_t v8 = g3;
    g8 = &v8;
    g6 = 4;
    g3 = (int32_t)v5;
    int32_t v9 = v5->e0; // 0x47fbe6
    g5 = v9;
    ((int32_t (*)(int32_t))*(int32_t *)(v9 + 16))(v4);
    int32_t v10 = v6 + 16; // 0x47fbee
    g8 = v10;
    g6 = 4;
    g3 = (int32_t)v5;
    int32_t v11 = v5->e0; // 0x47fbf9
    g5 = v11;
    ((int32_t (*)())*(int32_t *)(v11 + 16))();
    int32_t v12 = *v7; // 0x47fc01
    g2 = false;
    g1 = false;
    g187 = v12 == 0;
    g9 = llvm_ctpop_i32(v12) % 2 == 1;
    int32_t * v13;
    if (v12 == 0) {
        // 0x47fbc0
        v13 = (int32_t *)(v6 + 4);
        // branch -> 0x47fc1b
    } else {
        int32_t * v14 = (int32_t *)(v6 + 4); // 0x47fc0a_0
        g8 = *v14;
        g6 = *v7;
        g3 = (int32_t)v5;
        int32_t v15 = v5->e0; // 0x47fc16
        g5 = v15;
        ((int32_t (*)())*(int32_t *)(v15 + 16))();
        v13 = v14;
        // branch -> 0x47fc1b
    }
    // 0x47fc1b
    g8 = v10;
    g6 = 4;
    g3 = -1;
    function_47ebcc();
    int32_t v16 = g3; // 0x47fc2e
    int32_t v17 = v16;
    g6 = *v7;
    g8 = *v13;
    g3 = v16;
    function_47ebcc();
    int32_t v18 = g3; // 0x47fc45
    g1 = false;
    g2 = false;
    int32_t v19 = v18 ^ -1; // 0x47fc45
    g187 = v18 == -1;
    g9 = llvm_ctpop_i32(v19) % 2 == 1;
    g3 = v19;
    function_47ecc8();
    v17 = g3;
    g8 = &v17;
    g6 = 4;
    g3 = (int32_t)v5;
    int32_t v20 = v5->e0; // 0x47fc5b
    g5 = v20;
    ((int32_t (*)(int32_t))*(int32_t *)(v20 + 16))(v4);
}

// Address range: 0x47fc6c - 0x47fc8f
void function_47fc6c(void) {
    // 0x47fc6c
    function_47fbc0();
}

// Address range: 0x47fc90 - 0x480157
void function_47fc90(void) {
    struct struct_232 * v1 = (struct struct_232 *)g8; // bp-12
    int32_t v2 = g3; // 0x47fc9d
    char * v3;
    int32_t v4 = (int32_t)v3; // 0x47fca0
    g8 = v4;
    function_47f8e0();
    g2 = false;
    g1 = false;
    g187 = v3 == NULL;
    g9 = llvm_ctpop_i32(v4) % 2 == 1;
    if (v3 >= (char *)1) {
        // 0x47fcb1
        g8 = *(int32_t *)(v2 + 4);
        g6 = v4;
        g3 = (int32_t)v1;
        g5 = v1->e0;
        ((int32_t (*)())v1->e3)();
        // branch -> 0x47fcc2
    }
    // 0x47fcc2
    int32_t * v5;
    g8 = (int32_t)&v5;
    g6 = 4;
    g3 = (int32_t)v1;
    g5 = v1->e0;
    ((int32_t (*)())v1->e3)();
    g3 = (int32_t)v5;
    function_47ecc8();
    g3 = g3 & -256 | 1;
}

// Address range: 0x480158 - 0x4802b3
void function_480158(void) {
    int32_t v1 = g3; // 0x480164
    function_47fc90();
    if ((char)g3 == 0) {
        // 0x4801e6
        return;
    }
    // 0x480182
    char * v2;
    if (v2 >= (char *)3) {
        int32_t * v3 = (int32_t *)(v1 + 4); // 0x480191_0
        g8 = *v3;
        function_404d50();
        int32_t * v4 = (int32_t *)(v1 + 20); // 0x48019c_0
        g3 = *v4;
        function_404e18(v2);
        int32_t v5 = v1 + 24; // 0x4801ad
        System__LStrSetLength(g6);
        g3 = *(int32_t *)v5;
        int32_t v6 = function_404e18(v2); // 0x4801bb
        g3 = *v4;
        int32_t v7 = function_404e18((char *)v6); // 0x4801c7
        g3 = v5;
        function_405070();
        g8 = v7 + 1 + *v3;
        g6 = v6;
        function_407924();
        // branch -> 0x4801e6
    }
}

// Address range: 0x4802b4 - 0x48034f
void function_4802b4(void) {
    int32_t v1 = g8; // 0x4802ba
    char v2 = 0;
    if (v1 != 0) {
        // 0x4802be
        System__ClassCreate((int32_t *)g6, v1);
        v2 = g8;
        // branch -> 0x4802c6
    }
    int32_t v3 = g3; // 0x4802cc
    *(int32_t *)(v3 + 20) = 0;
    *(int32_t *)(v3 + 28) = 0;
    *(int32_t *)(v3 + 24) = 0;
    g8 = 0;
    g3 = v3;
    function_47f9e8();
    g3 = v3;
    if (v2 == 0) {
        // 0x48030c
        g3 = v3;
        return;
    }
    // 0x4802fd
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x480350 - 0x4804cf
void function_480350(void) {
    int32_t * pv = NULL; // bp-16
    if (GetObjectA((int32_t *)g3, 4, (char *)&pv) == 0) {
        // 0x4803b6
        return;
    }
    // 0x480377
    if (pv != NULL) {
        // 0x48037d
        ResizePalette();
        GetPaletteEntries();
        SetPaletteEntries();
        // branch -> 0x4803b6
    }
}

// Address range: 0x4804d0 - 0x4807ef
void function_4804d0(void) {
    int32_t * ho = (int32_t *)(g3 + 20); // 0x4804da_0
    int32_t v1 = g3; // 0x4804f5
    if (*ho != 0) {
        // 0x4804e0
        DeleteObject((int32_t *)*ho);
        v1 = g3;
        // branch -> 0x4804ec
    }
    int32_t * hdc = (int32_t *)(v1 + 24); // 0x4804ef_0
    if (*hdc != 0) {
        // 0x4804f5
        DeleteDC((int32_t *)*hdc);
        v1 = g3;
        // branch -> 0x480501
    }
    int32_t v2 = v1; // 0x480524
    if (*(int32_t *)(v1 + 1108) != 0) {
        // 0x48050d
        System__FreeMem((char *)g6);
        v2 = g3;
        // branch -> 0x48051b
    }
    int32_t * ho2 = (int32_t *)(v2 + 28); // 0x48051e_0
    if (*ho2 != 0) {
        // 0x480524
        DeleteObject((int32_t *)*ho2);
        v2 = g3;
        // branch -> 0x480530
    }
    // 0x480530
    int32_t v3; // 0x48054a
    if (*(int32_t *)(v2 + 1100) != 0) {
        // 0x48053c
        System__FreeMem((char *)g6);
        v3 = g3;
        // branch -> 0x48054a
    } else {
        v3 = v2;
    }
    // 0x48054a
    *(int32_t *)(v3 + 20) = 0;
    *(int32_t *)(g3 + 24) = 0;
    *(int32_t *)(g3 + 1108) = 0;
    *(int32_t *)(g3 + 1104) = 0;
    *(int32_t *)(g3 + 28) = 0;
    *(int32_t *)(g3 + 1100) = 0;
    int32_t v4;
    g4 = v4;
}

// Address range: 0x4807f0 - 0x4808c3
void function_4807f0(void) {
    char v1;
    char plpal = v1; // bp-1052
    System__FillChar(NULL, 1028, v1);
    plpal = 0;
    int32_t v2;
    int32_t v3 = &v2; // 0x48082a_0
    uint32_t v4 = (g8 == 16 ? 8 : g8) & 31; // 0x48082e
    int32_t v5 = v3; // 0x480831
    if (v4 != 0) {
        // if_48082e_0_true
        v5 = (v3 & 0xfffc) << v4 & 0xffff | v3 & -0x10000;
        // branch -> after_if_48082e_0
    }
    int32_t v6 = v5 & 0xffff;
    int32_t v7;
    if (v6 == 0) {
        // 0x4808ad
        g3 = (int32_t)CreatePalette((struct LOGPALETTE *)&plpal);
        g4 = v7;
        return;
    }
    int32_t nNumber = 0; // 0x4808a52
    int32_t v8 = MulDiv(nNumber, 255, v6 - 1); // 0x480861
    int32_t v9 = *(int32_t *)(g3 + 12); // 0x480869
    char * v10;
    v10[nNumber] = *(char *)(v8 + 317 + v9);
    char * v11;
    v11[nNumber] = v10[nNumber];
    char * v12;
    v12[nNumber] = v10[nNumber];
    int32_t v13 = v6 - 1; // 0x4808a8
    // branch -> 0x48084f
    while (v13 != 0) {
        // 0x48084f
        nNumber++;
        v8 = MulDiv(nNumber, 255, v6 - 1);
        v9 = *(int32_t *)(g3 + 12);
        v10[nNumber] = *(char *)(v8 + 317 + v9);
        v11[nNumber] = v10[nNumber];
        v12[nNumber] = v10[nNumber];
        v13--;
        // continue -> 0x48084f
    }
    // 0x4808ad
    g3 = (int32_t)CreatePalette((struct LOGPALETTE *)&plpal);
    g4 = v7;
}

// Address range: 0x4808c4 - 0x48095f
void function_4808c4(void) {
    // 0x4808c4
    char v1;
    System__FillChar(NULL, 1028, v1);
    GetPaletteEntries();
    int32_t * v2 = (int32_t *)(g3 + 65); // 0x4808ff_0
    *v2 = g8;
    int32_t v3 = *v2; // 0x480905
    int32_t v4;
    if (v3 < 1) {
        // 0x48095c
        g4 = v4;
        return;
    }
    int32_t v5 = 0; // 0x4809542
    int32_t v6 = 4 * v5; // 0x480928
    char * v7;
    *(char *)(g3 + 73 + v6) = v7[v5];
    char * v8;
    *(char *)(g3 + 75 + v6) = v8[v5];
    g6 = g3;
    char * v9;
    *(char *)(g3 + 74 + v6) = v9[v5];
    int32_t v10 = v3 - 1; // 0x480957
    // branch -> 0x480918
    while (v10 != 0) {
        // 0x480918
        v5++;
        v6 = 4 * v5;
        *(char *)(g3 + 73 + v6) = v7[v5];
        *(char *)(g3 + 75 + v6) = v8[v5];
        g6 = g3;
        *(char *)(g3 + 74 + v6) = v9[v5];
        v10--;
        // continue -> 0x480918
    }
    // 0x48095c
    g4 = v4;
}

// Address range: 0x480960 - 0x4809d3
void function_480960(void) {
    // 0x480960
    int32_t v1;
    int32_t * v2 = (int32_t *)(v1 - 4); // 0x48096f_0
    *(char *)(*v2 + 32) = (char)g8;
    int32_t v3 = *v2 + 33; // 0x48097e
    struct struct_233 * v4 = (struct struct_233 *)v3; // bp-16
    *(int32_t *)v3 = 40;
    v4->e2 = *(int32_t *)(*v2 + 1116);
    v4->e1 = *(int32_t *)(*v2 + 1112);
    v4->e3 = 1;
    v4->e3 = g3;
    v4->e4 = 0;
    int32_t v5;
    g4 = v5;
}

// Address range: 0x4809d4 - 0x480c8f
void function_4809d4(void) {
    int32_t v1;
    int32_t v2 = &v1; // 0x4809d5_0
    int32_t v3 = g3; // 0x4809d8
    int32_t * v4 = (int32_t *)v3; // bp-8
    System__FillChar(NULL, 1064, (char)v3);
    g3 = (int32_t)v4;
    function_4804d0();
    int32_t v5 = (int32_t)v4; // 0x4809f5
    int32_t v6 = v5 & -256; // 0x4809f8
    int32_t * v7; // 0x480a98_0
    int32_t * v8; // 0x480aba_0
    int32_t * v9; // 0x480af2_0
    int32_t * v10; // 0x480b15_0
    int32_t * v11; // 0x480b41_0
    int32_t * v12; // 0x480b88_0
    int32_t * v13; // 0x480bce_0
    int32_t * v14; // 0x480bff_0
    int32_t * v15; // 0x480c1e_0
    int32_t * v16; // 0x480c30_0
    struct BITMAPINFO * lpbmi; // 0x480c41_0
    int32_t * v17; // 0x480c54_0
    int32_t * v18; // 0x480c67_0
    int32_t * v19; // 0x480ba8
    int32_t * v20; // 0x480c49
    int32_t * v21;
    int32_t * v22;
    int32_t v23; // 0x480aba
    int32_t v24; // 0x480b88
    int32_t v25; // 0x480aa2
    int32_t v26; // 0x480ad5
    int32_t v27; // 0x480ade
    int32_t v28; // 0x480aec
    int32_t v29; // 0x480af5
    int32_t v30; // 0x480b24
    int32_t v31; // 0x480b2d
    int32_t v32; // 0x480b3b
    int32_t v33; // 0x480b44
    int32_t v34; // 0x480c6a
    uint16_t v35; // 0x480a9b
    int32_t v36; // 0x480ab1
    int32_t v37; // 0x480afe
    int32_t v38; // 0x480b4d
    int32_t v39; // 0x480ba1
    int32_t v40; // 0x480be0
    int32_t hPal; // 0x480c02
    int32_t hdc3; // 0x480c09
    int32_t v41; // 0x480c30
    int32_t hdc; // 0x480c45
    int32_t hdc2; // 0x480c5e
    int32_t v42; // 0x480c73
    int32_t v43; // 0x480bec1
    int32_t v44; // 0x480bec2
    int32_t v45; // 0x480bec3
    if (v6 == 0) {
        // 0x480a8a
        g8 = 0;
        g3 = 24;
        function_480960();
        v45 = v2;
        // branch -> 0x480a98
        // 0x480a98
        v7 = (int32_t *)(g4 - 4);
        v35 = *(int16_t *)(*v7 + 47);
        v25 = *(int32_t *)(*v7 + 1112);
        v36 = *v7;
        *(int32_t *)(v36 + 1128) = ((int32_t)((int64_t)v25 * (int64_t)v35) + 31) / 8 & 0x1ffffffc;
        v23 = g4;
        v8 = (int32_t *)(v23 - 4);
        if (*(char *)(*v8 + 1121) == 6) {
            // 0x480ad2
            v26 = *(int32_t *)(*v8 + 1112);
            v27 = *(int32_t *)(*v8 + 1116);
            System__GetMem(v45);
            v28 = (int64_t)v27 * (int64_t)v26;
            *(int32_t *)(*(int32_t *)(g4 - 4) + 1108) = v28;
            v9 = (int32_t *)(g4 - 4);
            v29 = *(int32_t *)(*v9 + 1112);
            v37 = *(int32_t *)(*v9 + 1116);
            System__FillChar(NULL, v37 * v29, (char)(int32_t)v21);
            v44 = 0;
            // branch -> 0x480b15
            // 0x480b15
            v10 = (int32_t *)(g4 - 4);
            v43 = v44;
            if (*(char *)(*v10 + 1120) == 16) {
                // 0x480b21
                v30 = *(int32_t *)(*v10 + 1128);
                v31 = *(int32_t *)(*v10 + 1116);
                System__GetMem(v44);
                v32 = (int64_t)v31 * (int64_t)v30;
                *(int32_t *)(*(int32_t *)(g4 - 4) + 1100) = v32;
                v11 = (int32_t *)(g4 - 4);
                v33 = *(int32_t *)(*v11 + 1128);
                v38 = *(int32_t *)(*v11 + 1116);
                System__FillChar(NULL, v38 * v33, (char)(int32_t)v21);
                v43 = 0;
                // branch -> 0x480b64
            }
            // 0x480b64
            *(int32_t **)(*(int32_t *)(g4 - 4) + 24) = CreateCompatibleDC(NULL);
            Graphics__TCanvas__SetHandle(v43);
            v24 = g4;
            v12 = (int32_t *)(v24 - 4);
            if (*(char *)(*v12 + 32) == 0) {
                // 0x480c2c
                v16 = (int32_t *)(v24 - 4);
                v41 = *v16;
                lpbmi = (struct BITMAPINFO *)(*v16 + 33);
                hdc = *(int32_t *)(*v16 + 24);
                v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
                *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
                v17 = (int32_t *)(g4 - 4);
                hdc2 = *(int32_t *)(*v17 + 24);
                SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
                v18 = (int32_t *)(g4 - 4);
                v34 = *(int32_t *)(*v18 + 1128);
                g8 = v34;
                v42 = *(int32_t *)(*v18 + 1116);
                System__FillChar(NULL, v42 * v34, (char)(int32_t)v22);
                return;
            }
            // 0x480b95
            v39 = *v12;
            if (*(char *)(*v12 + 1121) == 3) {
                // 0x480ba1
                v19 = CreateHalftonePalette((int32_t *)*(int32_t *)(v39 + 24));
                *(int32_t **)(*(int32_t *)(g4 - 4) + 28) = v19;
                // branch -> 0x480bce
            } else {
                // 0x480bb5
                g8 = (int32_t)*(char *)(v39 + 1120);
                g3 = *v12;
                function_4807f0();
                *(int32_t *)(*(int32_t *)(g4 - 4) + 28) = g3;
                // branch -> 0x480bce
            }
            // 0x480bce
            v13 = (int32_t *)(g4 - 4);
            if (((int32_t)*(int16_t *)(*v13 + 47) & 31) != 0) {
                // if_480bda_0_true
                // branch -> after_if_480bda_0
            }
            // after_if_480bda_0
            v40 = *(int32_t *)(*v13 + 28);
            ResizePalette();
            *(int32_t *)(*(int32_t *)(g4 - 4) + 65) = 1;
            v14 = (int32_t *)(g4 - 4);
            hPal = *(int32_t *)(*v14 + 28);
            hdc3 = *(int32_t *)(*v14 + 24);
            SelectPalette((int32_t *)hdc3, (int32_t *)hPal, false);
            RealizePalette((int32_t *)*(int32_t *)(*(int32_t *)(g4 - 4) + 24));
            v15 = (int32_t *)(g4 - 4);
            g8 = *(int32_t *)(*v15 + 28);
            g3 = *v15;
            function_4808c4();
            // branch -> 0x480c2c
            // 0x480c2c
            v16 = (int32_t *)(g4 - 4);
            v41 = *v16;
            lpbmi = (struct BITMAPINFO *)(*v16 + 33);
            hdc = *(int32_t *)(*v16 + 24);
            v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
            *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
            v17 = (int32_t *)(g4 - 4);
            hdc2 = *(int32_t *)(*v17 + 24);
            SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
            v18 = (int32_t *)(g4 - 4);
            v34 = *(int32_t *)(*v18 + 1128);
            g8 = v34;
            v42 = *(int32_t *)(*v18 + 1116);
            System__FillChar(NULL, v42 * v34, (char)(int32_t)(int32_t *)v40);
            return;
        }
        // 0x480ac6
        if (*(char *)(*v8 + 1121) != 4) {
            v44 = v45;
            // 0x480b15
            v10 = (int32_t *)(v23 - 4);
            v43 = v44;
            if (*(char *)(*v10 + 1120) == 16) {
                // 0x480b21
                v30 = *(int32_t *)(*v10 + 1128);
                v31 = *(int32_t *)(*v10 + 1116);
                System__GetMem(v44);
                v32 = (int64_t)v31 * (int64_t)v30;
                *(int32_t *)(*(int32_t *)(g4 - 4) + 1100) = v32;
                v11 = (int32_t *)(g4 - 4);
                v33 = *(int32_t *)(*v11 + 1128);
                v38 = *(int32_t *)(*v11 + 1116);
                System__FillChar(NULL, v38 * v33, (char)(int32_t)v21);
                v43 = 0;
                // branch -> 0x480b64
            }
            // 0x480b64
            *(int32_t **)(*(int32_t *)(g4 - 4) + 24) = CreateCompatibleDC(NULL);
            Graphics__TCanvas__SetHandle(v43);
            v24 = g4;
            v12 = (int32_t *)(v24 - 4);
            if (*(char *)(*v12 + 32) == 0) {
                // 0x480c2c
                v16 = (int32_t *)(v24 - 4);
                v41 = *v16;
                lpbmi = (struct BITMAPINFO *)(*v16 + 33);
                hdc = *(int32_t *)(*v16 + 24);
                v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
                *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
                v17 = (int32_t *)(g4 - 4);
                hdc2 = *(int32_t *)(*v17 + 24);
                SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
                v18 = (int32_t *)(g4 - 4);
                v34 = *(int32_t *)(*v18 + 1128);
                g8 = v34;
                v42 = *(int32_t *)(*v18 + 1116);
                System__FillChar(NULL, v42 * v34, (char)(int32_t)v22);
                return;
            }
            // 0x480b95
            v39 = *v12;
            if (*(char *)(*v12 + 1121) == 3) {
                // 0x480ba1
                v19 = CreateHalftonePalette((int32_t *)*(int32_t *)(v39 + 24));
                *(int32_t **)(*(int32_t *)(g4 - 4) + 28) = v19;
                // branch -> 0x480bce
            } else {
                // 0x480bb5
                g8 = (int32_t)*(char *)(v39 + 1120);
                g3 = *v12;
                function_4807f0();
                *(int32_t *)(*(int32_t *)(g4 - 4) + 28) = g3;
                // branch -> 0x480bce
            }
            // 0x480bce
            v13 = (int32_t *)(g4 - 4);
            if (((int32_t)*(int16_t *)(*v13 + 47) & 31) != 0) {
                // if_480bda_0_true
                // branch -> after_if_480bda_0
            }
            // after_if_480bda_0
            v40 = *(int32_t *)(*v13 + 28);
            ResizePalette();
            *(int32_t *)(*(int32_t *)(g4 - 4) + 65) = 1;
            v14 = (int32_t *)(g4 - 4);
            hPal = *(int32_t *)(*v14 + 28);
            hdc3 = *(int32_t *)(*v14 + 24);
            SelectPalette((int32_t *)hdc3, (int32_t *)hPal, false);
            RealizePalette((int32_t *)*(int32_t *)(*(int32_t *)(g4 - 4) + 24));
            v15 = (int32_t *)(g4 - 4);
            g8 = *(int32_t *)(*v15 + 28);
            g3 = *v15;
            function_4808c4();
            // branch -> 0x480c2c
            // 0x480c2c
            v16 = (int32_t *)(g4 - 4);
            v41 = *v16;
            lpbmi = (struct BITMAPINFO *)(*v16 + 33);
            hdc = *(int32_t *)(*v16 + 24);
            v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
            *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
            v17 = (int32_t *)(g4 - 4);
            hdc2 = *(int32_t *)(*v17 + 24);
            SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
            v18 = (int32_t *)(g4 - 4);
            v34 = *(int32_t *)(*v18 + 1128);
            g8 = v34;
            v42 = *(int32_t *)(*v18 + 1116);
            System__FillChar(NULL, v42 * v34, (char)(int32_t)(int32_t *)v40);
            return;
        }
        // 0x480ad2
        v26 = *(int32_t *)(*v8 + 1112);
        v27 = *(int32_t *)(*v8 + 1116);
        System__GetMem(v45);
        v28 = (int64_t)v27 * (int64_t)v26;
        *(int32_t *)(*(int32_t *)(g4 - 4) + 1108) = v28;
        v9 = (int32_t *)(g4 - 4);
        v29 = *(int32_t *)(*v9 + 1112);
        v37 = *(int32_t *)(*v9 + 1116);
        System__FillChar(NULL, v37 * v29, (char)(int32_t)v21);
        v44 = 0;
        // branch -> 0x480b15
        // 0x480b15
        v10 = (int32_t *)(g4 - 4);
        v43 = v44;
        if (*(char *)(*v10 + 1120) == 16) {
            // 0x480b21
            v30 = *(int32_t *)(*v10 + 1128);
            v31 = *(int32_t *)(*v10 + 1116);
            System__GetMem(v44);
            v32 = (int64_t)v31 * (int64_t)v30;
            *(int32_t *)(*(int32_t *)(g4 - 4) + 1100) = v32;
            v11 = (int32_t *)(g4 - 4);
            v33 = *(int32_t *)(*v11 + 1128);
            v38 = *(int32_t *)(*v11 + 1116);
            System__FillChar(NULL, v38 * v33, (char)(int32_t)v21);
            v43 = 0;
            // branch -> 0x480b64
        }
        // 0x480b64
        *(int32_t **)(*(int32_t *)(g4 - 4) + 24) = CreateCompatibleDC(NULL);
        Graphics__TCanvas__SetHandle(v43);
        v24 = g4;
        v12 = (int32_t *)(v24 - 4);
        if (*(char *)(*v12 + 32) == 0) {
            // 0x480c2c
            v16 = (int32_t *)(v24 - 4);
            v41 = *v16;
            lpbmi = (struct BITMAPINFO *)(*v16 + 33);
            hdc = *(int32_t *)(*v16 + 24);
            v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
            *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
            v17 = (int32_t *)(g4 - 4);
            hdc2 = *(int32_t *)(*v17 + 24);
            SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
            v18 = (int32_t *)(g4 - 4);
            v34 = *(int32_t *)(*v18 + 1128);
            g8 = v34;
            v42 = *(int32_t *)(*v18 + 1116);
            System__FillChar(NULL, v42 * v34, (char)(int32_t)v22);
            return;
        }
        // 0x480b95
        v39 = *v12;
        if (*(char *)(*v12 + 1121) == 3) {
            // 0x480ba1
            v19 = CreateHalftonePalette((int32_t *)*(int32_t *)(v39 + 24));
            *(int32_t **)(*(int32_t *)(g4 - 4) + 28) = v19;
            // branch -> 0x480bce
        } else {
            // 0x480bb5
            g8 = (int32_t)*(char *)(v39 + 1120);
            g3 = *v12;
            function_4807f0();
            *(int32_t *)(*(int32_t *)(g4 - 4) + 28) = g3;
            // branch -> 0x480bce
        }
        // 0x480bce
        v13 = (int32_t *)(g4 - 4);
        if (((int32_t)*(int16_t *)(*v13 + 47) & 31) != 0) {
            // if_480bda_0_true
            // branch -> after_if_480bda_0
        }
        // after_if_480bda_0
        v40 = *(int32_t *)(*v13 + 28);
        ResizePalette();
        *(int32_t *)(*(int32_t *)(g4 - 4) + 65) = 1;
        v14 = (int32_t *)(g4 - 4);
        hPal = *(int32_t *)(*v14 + 28);
        hdc3 = *(int32_t *)(*v14 + 24);
        SelectPalette((int32_t *)hdc3, (int32_t *)hPal, false);
        RealizePalette((int32_t *)*(int32_t *)(*(int32_t *)(g4 - 4) + 24));
        v15 = (int32_t *)(g4 - 4);
        g8 = *(int32_t *)(*v15 + 28);
        g3 = *v15;
        function_4808c4();
        // branch -> 0x480c2c
        // 0x480c2c
        v16 = (int32_t *)(g4 - 4);
        v41 = *v16;
        lpbmi = (struct BITMAPINFO *)(*v16 + 33);
        hdc = *(int32_t *)(*v16 + 24);
        v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
        *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
        v17 = (int32_t *)(g4 - 4);
        hdc2 = *(int32_t *)(*v17 + 24);
        SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
        v18 = (int32_t *)(g4 - 4);
        v34 = *(int32_t *)(*v18 + 1128);
        g8 = v34;
        v42 = *(int32_t *)(*v18 + 1116);
        System__FillChar(NULL, v42 * v34, (char)(int32_t)(int32_t *)v40);
        return;
    }
    // 0x480a0a
    if ((((int32_t)*(char *)(v5 + 1121) + 254 & 255 | v6) - 1 & -256) != 0) {
        v45 = 0;
        // 0x480a98
        v7 = (int32_t *)(g4 - 4);
        v35 = *(int16_t *)(*v7 + 47);
        v25 = *(int32_t *)(*v7 + 1112);
        v36 = *v7;
        *(int32_t *)(v36 + 1128) = ((int32_t)((int64_t)v25 * (int64_t)v35) + 31) / 8 & 0x1ffffffc;
        v23 = g4;
        v8 = (int32_t *)(v23 - 4);
        if (*(char *)(*v8 + 1121) != 6) {
            // 0x480ac6
            if (*(char *)(*v8 + 1121) != 4) {
                v44 = v45;
                // 0x480b15
                v10 = (int32_t *)(v23 - 4);
                v43 = v44;
                if (*(char *)(*v10 + 1120) == 16) {
                    // 0x480b21
                    v30 = *(int32_t *)(*v10 + 1128);
                    v31 = *(int32_t *)(*v10 + 1116);
                    System__GetMem(v44);
                    v32 = (int64_t)v31 * (int64_t)v30;
                    *(int32_t *)(*(int32_t *)(g4 - 4) + 1100) = v32;
                    v11 = (int32_t *)(g4 - 4);
                    v33 = *(int32_t *)(*v11 + 1128);
                    v38 = *(int32_t *)(*v11 + 1116);
                    System__FillChar(NULL, v38 * v33, (char)(int32_t)v21);
                    v43 = 0;
                    // branch -> 0x480b64
                }
                // 0x480b64
                *(int32_t **)(*(int32_t *)(g4 - 4) + 24) = CreateCompatibleDC(NULL);
                Graphics__TCanvas__SetHandle(v43);
                v24 = g4;
                v12 = (int32_t *)(v24 - 4);
                if (*(char *)(*v12 + 32) == 0) {
                    // 0x480c2c
                    v16 = (int32_t *)(v24 - 4);
                    v41 = *v16;
                    lpbmi = (struct BITMAPINFO *)(*v16 + 33);
                    hdc = *(int32_t *)(*v16 + 24);
                    v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
                    *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
                    v17 = (int32_t *)(g4 - 4);
                    hdc2 = *(int32_t *)(*v17 + 24);
                    SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
                    v18 = (int32_t *)(g4 - 4);
                    v34 = *(int32_t *)(*v18 + 1128);
                    g8 = v34;
                    v42 = *(int32_t *)(*v18 + 1116);
                    System__FillChar(NULL, v42 * v34, (char)(int32_t)v22);
                    return;
                }
                // 0x480b95
                v39 = *v12;
                if (*(char *)(*v12 + 1121) == 3) {
                    // 0x480ba1
                    v19 = CreateHalftonePalette((int32_t *)*(int32_t *)(v39 + 24));
                    *(int32_t **)(*(int32_t *)(g4 - 4) + 28) = v19;
                    // branch -> 0x480bce
                } else {
                    // 0x480bb5
                    g8 = (int32_t)*(char *)(v39 + 1120);
                    g3 = *v12;
                    function_4807f0();
                    *(int32_t *)(*(int32_t *)(g4 - 4) + 28) = g3;
                    // branch -> 0x480bce
                }
                // 0x480bce
                v13 = (int32_t *)(g4 - 4);
                if (((int32_t)*(int16_t *)(*v13 + 47) & 31) != 0) {
                    // if_480bda_0_true
                    // branch -> after_if_480bda_0
                }
                // after_if_480bda_0
                v40 = *(int32_t *)(*v13 + 28);
                ResizePalette();
                *(int32_t *)(*(int32_t *)(g4 - 4) + 65) = 1;
                v14 = (int32_t *)(g4 - 4);
                hPal = *(int32_t *)(*v14 + 28);
                hdc3 = *(int32_t *)(*v14 + 24);
                SelectPalette((int32_t *)hdc3, (int32_t *)hPal, false);
                RealizePalette((int32_t *)*(int32_t *)(*(int32_t *)(g4 - 4) + 24));
                v15 = (int32_t *)(g4 - 4);
                g8 = *(int32_t *)(*v15 + 28);
                g3 = *v15;
                function_4808c4();
                // branch -> 0x480c2c
                // 0x480c2c
                v16 = (int32_t *)(g4 - 4);
                v41 = *v16;
                lpbmi = (struct BITMAPINFO *)(*v16 + 33);
                hdc = *(int32_t *)(*v16 + 24);
                v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
                *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
                v17 = (int32_t *)(g4 - 4);
                hdc2 = *(int32_t *)(*v17 + 24);
                SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
                v18 = (int32_t *)(g4 - 4);
                v34 = *(int32_t *)(*v18 + 1128);
                g8 = v34;
                v42 = *(int32_t *)(*v18 + 1116);
                System__FillChar(NULL, v42 * v34, (char)(int32_t)(int32_t *)v40);
                return;
            }
        }
        // 0x480ad2
        v26 = *(int32_t *)(*v8 + 1112);
        v27 = *(int32_t *)(*v8 + 1116);
        System__GetMem(v45);
        v28 = (int64_t)v27 * (int64_t)v26;
        *(int32_t *)(*(int32_t *)(g4 - 4) + 1108) = v28;
        v9 = (int32_t *)(g4 - 4);
        v29 = *(int32_t *)(*v9 + 1112);
        v37 = *(int32_t *)(*v9 + 1116);
        System__FillChar(NULL, v37 * v29, (char)(int32_t)v21);
        v44 = 0;
        // branch -> 0x480b15
        // 0x480b15
        v10 = (int32_t *)(g4 - 4);
        v43 = v44;
        if (*(char *)(*v10 + 1120) == 16) {
            // 0x480b21
            v30 = *(int32_t *)(*v10 + 1128);
            v31 = *(int32_t *)(*v10 + 1116);
            System__GetMem(v44);
            v32 = (int64_t)v31 * (int64_t)v30;
            *(int32_t *)(*(int32_t *)(g4 - 4) + 1100) = v32;
            v11 = (int32_t *)(g4 - 4);
            v33 = *(int32_t *)(*v11 + 1128);
            v38 = *(int32_t *)(*v11 + 1116);
            System__FillChar(NULL, v38 * v33, (char)(int32_t)v21);
            v43 = 0;
            // branch -> 0x480b64
        }
        // 0x480b64
        *(int32_t **)(*(int32_t *)(g4 - 4) + 24) = CreateCompatibleDC(NULL);
        Graphics__TCanvas__SetHandle(v43);
        v24 = g4;
        v12 = (int32_t *)(v24 - 4);
        if (*(char *)(*v12 + 32) == 0) {
            // 0x480c2c
            v16 = (int32_t *)(v24 - 4);
            v41 = *v16;
            lpbmi = (struct BITMAPINFO *)(*v16 + 33);
            hdc = *(int32_t *)(*v16 + 24);
            v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
            *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
            v17 = (int32_t *)(g4 - 4);
            hdc2 = *(int32_t *)(*v17 + 24);
            SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
            v18 = (int32_t *)(g4 - 4);
            v34 = *(int32_t *)(*v18 + 1128);
            g8 = v34;
            v42 = *(int32_t *)(*v18 + 1116);
            System__FillChar(NULL, v42 * v34, (char)(int32_t)v22);
            return;
        }
        // 0x480b95
        v39 = *v12;
        if (*(char *)(*v12 + 1121) == 3) {
            // 0x480ba1
            v19 = CreateHalftonePalette((int32_t *)*(int32_t *)(v39 + 24));
            *(int32_t **)(*(int32_t *)(g4 - 4) + 28) = v19;
            // branch -> 0x480bce
        } else {
            // 0x480bb5
            g8 = (int32_t)*(char *)(v39 + 1120);
            g3 = *v12;
            function_4807f0();
            *(int32_t *)(*(int32_t *)(g4 - 4) + 28) = g3;
            // branch -> 0x480bce
        }
        // 0x480bce
        v13 = (int32_t *)(g4 - 4);
        if (((int32_t)*(int16_t *)(*v13 + 47) & 31) != 0) {
            // if_480bda_0_true
            // branch -> after_if_480bda_0
        }
        // after_if_480bda_0
        v40 = *(int32_t *)(*v13 + 28);
        ResizePalette();
        *(int32_t *)(*(int32_t *)(g4 - 4) + 65) = 1;
        v14 = (int32_t *)(g4 - 4);
        hPal = *(int32_t *)(*v14 + 28);
        hdc3 = *(int32_t *)(*v14 + 24);
        SelectPalette((int32_t *)hdc3, (int32_t *)hPal, false);
        RealizePalette((int32_t *)*(int32_t *)(*(int32_t *)(g4 - 4) + 24));
        v15 = (int32_t *)(g4 - 4);
        g8 = *(int32_t *)(*v15 + 28);
        g3 = *v15;
        function_4808c4();
        // branch -> 0x480c2c
        // 0x480c2c
        v16 = (int32_t *)(g4 - 4);
        v41 = *v16;
        lpbmi = (struct BITMAPINFO *)(*v16 + 33);
        hdc = *(int32_t *)(*v16 + 24);
        v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
        *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
        v17 = (int32_t *)(g4 - 4);
        hdc2 = *(int32_t *)(*v17 + 24);
        SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
        v18 = (int32_t *)(g4 - 4);
        v34 = *(int32_t *)(*v18 + 1128);
        g8 = v34;
        v42 = *(int32_t *)(*v18 + 1116);
        System__FillChar(NULL, v42 * v34, (char)(int32_t)(int32_t *)v40);
        return;
    }
    // 0x480a8a
    g8 = 0;
    g3 = 24;
    function_480960();
    v45 = v2;
    // branch -> 0x480a98
    // 0x480a98
    v7 = (int32_t *)(g4 - 4);
    v35 = *(int16_t *)(*v7 + 47);
    v25 = *(int32_t *)(*v7 + 1112);
    v36 = *v7;
    *(int32_t *)(v36 + 1128) = ((int32_t)((int64_t)v25 * (int64_t)v35) + 31) / 8 & 0x1ffffffc;
    v23 = g4;
    v8 = (int32_t *)(v23 - 4);
    if (*(char *)(*v8 + 1121) != 6) {
        // 0x480ac6
        if (*(char *)(*v8 + 1121) != 4) {
            v44 = v45;
            // 0x480b15
            v10 = (int32_t *)(v23 - 4);
            v43 = v44;
            if (*(char *)(*v10 + 1120) == 16) {
                // 0x480b21
                v30 = *(int32_t *)(*v10 + 1128);
                v31 = *(int32_t *)(*v10 + 1116);
                System__GetMem(v44);
                v32 = (int64_t)v31 * (int64_t)v30;
                *(int32_t *)(*(int32_t *)(g4 - 4) + 1100) = v32;
                v11 = (int32_t *)(g4 - 4);
                v33 = *(int32_t *)(*v11 + 1128);
                v38 = *(int32_t *)(*v11 + 1116);
                System__FillChar(NULL, v38 * v33, (char)(int32_t)v21);
                v43 = 0;
                // branch -> 0x480b64
            }
            // 0x480b64
            *(int32_t **)(*(int32_t *)(g4 - 4) + 24) = CreateCompatibleDC(NULL);
            Graphics__TCanvas__SetHandle(v43);
            v24 = g4;
            v12 = (int32_t *)(v24 - 4);
            if (*(char *)(*v12 + 32) == 0) {
                // 0x480c2c
                v16 = (int32_t *)(v24 - 4);
                v41 = *v16;
                lpbmi = (struct BITMAPINFO *)(*v16 + 33);
                hdc = *(int32_t *)(*v16 + 24);
                v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
                *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
                v17 = (int32_t *)(g4 - 4);
                hdc2 = *(int32_t *)(*v17 + 24);
                SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
                v18 = (int32_t *)(g4 - 4);
                v34 = *(int32_t *)(*v18 + 1128);
                g8 = v34;
                v42 = *(int32_t *)(*v18 + 1116);
                System__FillChar(NULL, v42 * v34, (char)(int32_t)v22);
                return;
            }
            // 0x480b95
            v39 = *v12;
            if (*(char *)(*v12 + 1121) == 3) {
                // 0x480ba1
                v19 = CreateHalftonePalette((int32_t *)*(int32_t *)(v39 + 24));
                *(int32_t **)(*(int32_t *)(g4 - 4) + 28) = v19;
                // branch -> 0x480bce
            } else {
                // 0x480bb5
                g8 = (int32_t)*(char *)(v39 + 1120);
                g3 = *v12;
                function_4807f0();
                *(int32_t *)(*(int32_t *)(g4 - 4) + 28) = g3;
                // branch -> 0x480bce
            }
            // 0x480bce
            v13 = (int32_t *)(g4 - 4);
            if (((int32_t)*(int16_t *)(*v13 + 47) & 31) != 0) {
                // if_480bda_0_true
                // branch -> after_if_480bda_0
            }
            // after_if_480bda_0
            v40 = *(int32_t *)(*v13 + 28);
            ResizePalette();
            *(int32_t *)(*(int32_t *)(g4 - 4) + 65) = 1;
            v14 = (int32_t *)(g4 - 4);
            hPal = *(int32_t *)(*v14 + 28);
            hdc3 = *(int32_t *)(*v14 + 24);
            SelectPalette((int32_t *)hdc3, (int32_t *)hPal, false);
            RealizePalette((int32_t *)*(int32_t *)(*(int32_t *)(g4 - 4) + 24));
            v15 = (int32_t *)(g4 - 4);
            g8 = *(int32_t *)(*v15 + 28);
            g3 = *v15;
            function_4808c4();
            // branch -> 0x480c2c
            // 0x480c2c
            v16 = (int32_t *)(g4 - 4);
            v41 = *v16;
            lpbmi = (struct BITMAPINFO *)(*v16 + 33);
            hdc = *(int32_t *)(*v16 + 24);
            v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
            *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
            v17 = (int32_t *)(g4 - 4);
            hdc2 = *(int32_t *)(*v17 + 24);
            SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
            v18 = (int32_t *)(g4 - 4);
            v34 = *(int32_t *)(*v18 + 1128);
            g8 = v34;
            v42 = *(int32_t *)(*v18 + 1116);
            System__FillChar(NULL, v42 * v34, (char)(int32_t)(int32_t *)v40);
            return;
        }
    }
    // 0x480ad2
    v26 = *(int32_t *)(*v8 + 1112);
    v27 = *(int32_t *)(*v8 + 1116);
    System__GetMem(v45);
    v28 = (int64_t)v27 * (int64_t)v26;
    *(int32_t *)(*(int32_t *)(g4 - 4) + 1108) = v28;
    v9 = (int32_t *)(g4 - 4);
    v29 = *(int32_t *)(*v9 + 1112);
    v37 = *(int32_t *)(*v9 + 1116);
    System__FillChar(NULL, v37 * v29, (char)(int32_t)v21);
    v44 = 0;
    // branch -> 0x480b15
    // 0x480b15
    v10 = (int32_t *)(g4 - 4);
    v43 = v44;
    if (*(char *)(*v10 + 1120) == 16) {
        // 0x480b21
        v30 = *(int32_t *)(*v10 + 1128);
        v31 = *(int32_t *)(*v10 + 1116);
        System__GetMem(v44);
        v32 = (int64_t)v31 * (int64_t)v30;
        *(int32_t *)(*(int32_t *)(g4 - 4) + 1100) = v32;
        v11 = (int32_t *)(g4 - 4);
        v33 = *(int32_t *)(*v11 + 1128);
        v38 = *(int32_t *)(*v11 + 1116);
        System__FillChar(NULL, v38 * v33, (char)(int32_t)v21);
        v43 = 0;
        // branch -> 0x480b64
    }
    // 0x480b64
    *(int32_t **)(*(int32_t *)(g4 - 4) + 24) = CreateCompatibleDC(NULL);
    Graphics__TCanvas__SetHandle(v43);
    v24 = g4;
    v12 = (int32_t *)(v24 - 4);
    if (*(char *)(*v12 + 32) == 0) {
        // 0x480c2c
        v16 = (int32_t *)(v24 - 4);
        v41 = *v16;
        lpbmi = (struct BITMAPINFO *)(*v16 + 33);
        hdc = *(int32_t *)(*v16 + 24);
        v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
        *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
        v17 = (int32_t *)(g4 - 4);
        hdc2 = *(int32_t *)(*v17 + 24);
        SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
        v18 = (int32_t *)(g4 - 4);
        v34 = *(int32_t *)(*v18 + 1128);
        g8 = v34;
        v42 = *(int32_t *)(*v18 + 1116);
        System__FillChar(NULL, v42 * v34, (char)(int32_t)v22);
        return;
    }
    // 0x480b95
    v39 = *v12;
    if (*(char *)(*v12 + 1121) == 3) {
        // 0x480ba1
        v19 = CreateHalftonePalette((int32_t *)*(int32_t *)(v39 + 24));
        *(int32_t **)(*(int32_t *)(g4 - 4) + 28) = v19;
        // branch -> 0x480bce
    } else {
        // 0x480bb5
        g8 = (int32_t)*(char *)(v39 + 1120);
        g3 = *v12;
        function_4807f0();
        *(int32_t *)(*(int32_t *)(g4 - 4) + 28) = g3;
        // branch -> 0x480bce
    }
    // 0x480bce
    v13 = (int32_t *)(g4 - 4);
    if (((int32_t)*(int16_t *)(*v13 + 47) & 31) != 0) {
        // if_480bda_0_true
        // branch -> after_if_480bda_0
    }
    // after_if_480bda_0
    v40 = *(int32_t *)(*v13 + 28);
    ResizePalette();
    *(int32_t *)(*(int32_t *)(g4 - 4) + 65) = 1;
    v14 = (int32_t *)(g4 - 4);
    hPal = *(int32_t *)(*v14 + 28);
    hdc3 = *(int32_t *)(*v14 + 24);
    SelectPalette((int32_t *)hdc3, (int32_t *)hPal, false);
    RealizePalette((int32_t *)*(int32_t *)(*(int32_t *)(g4 - 4) + 24));
    v15 = (int32_t *)(g4 - 4);
    g8 = *(int32_t *)(*v15 + 28);
    g3 = *v15;
    function_4808c4();
    // branch -> 0x480c2c
    // 0x480c2c
    v16 = (int32_t *)(g4 - 4);
    v41 = *v16;
    lpbmi = (struct BITMAPINFO *)(*v16 + 33);
    hdc = *(int32_t *)(*v16 + 24);
    v20 = CreateDIBSection((int32_t *)hdc, lpbmi, 0, (char *)(v41 + 1104), NULL, 0);
    *(int32_t **)(*(int32_t *)(g4 - 4) + 20) = v20;
    v17 = (int32_t *)(g4 - 4);
    hdc2 = *(int32_t *)(*v17 + 24);
    SelectObject((int32_t *)hdc2, (int32_t *)*(int32_t *)(*v17 + 20));
    v18 = (int32_t *)(g4 - 4);
    v34 = *(int32_t *)(*v18 + 1128);
    g8 = v34;
    v42 = *(int32_t *)(*v18 + 1116);
    System__FillChar(NULL, v42 * v34, (char)(int32_t)(int32_t *)v40);
}

// Address range: 0x480c90 - 0x480deb
void function_480c90(void) {
    int32_t v1 = g8; // 0x480c96
    int32_t v2 = g3; // 0x480c99
    char v3;
    System__FillChar(NULL, 256, v3);
    *(char *)(v2 + 20) = 1;
    g3 = v2;
    function_47f968();
    if ((g3 & -256) == 0) {
        // 0x480d0b
        g8 = 6;
        g3 = v2;
        function_47f8e0();
        function_4079bc();
        g3 = v1 & 255;
        function_47eccc();
        *(int16_t *)(v2 + 21) = (int16_t)g3;
        g3 = v1;
        function_4079c0();
        g3 &= 255;
        function_47eccc();
        *(int16_t *)(v2 + 23) = (int16_t)g3;
        g3 = v1;
        function_4079c4();
        g3 &= 255;
        function_47eccc();
        *(int16_t *)(v2 + 25) = (int16_t)g3;
        // branch -> 0x480de7
    }
}

// Address range: 0x480dec - 0x4810ab
void function_480dec(void) {
    int32_t v1 = g3; // 0x480df3
    function_47f968();
    int32_t v2 = g3; // 0x480e03
    int32_t v3; // 0x480efe3
    if ((v2 & -256) == 0) {
        unsigned char v4 = *(char *)(v1 + 26); // 0x480e4a
        int32_t * v5 = (int32_t *)(v2 + 12); // 0x480e51_0
        unsigned char v6 = *(char *)(*v5 + 317 + (int32_t)v4); // 0x480e54
        g6 = g6 & -256 | (int32_t)v6;
        unsigned char v7 = *(char *)(v1 + 24); // 0x480e5e
        int32_t v8 = *v5; // 0x480e65
        unsigned char v9 = *(char *)(v8 + 317 + (int32_t)v7); // 0x480e68
        g8 = (int32_t)v9 | v8 & -256;
        unsigned char v10 = *(char *)(v1 + 22); // 0x480e72
        g3 = (int32_t)*(char *)(*v5 + 317 + (int32_t)v10);
        function_4079a0();
        v3 = g3;
        // branch -> 0x480efe
    } else {
        // 0x480e17
        v3 = 0;
        // branch -> 0x480efe
    }
    // 0x480efe
    g3 = v3;
}

// Address range: 0x4810ac - 0x481197
void function_4810ac(void) {
    // 0x4810ac
    char v1;
    char plpal = v1; // bp-1056
    int32_t v2;
    g4 = &v2;
    int32_t v3 = &plpal; // 0x4810af_4
    g11 = v3;
    int32_t v4 = *(int32_t *)(g3 + 20); // 0x4810bb
    char * v5 = (char *)(v4 + 1121); // 0x4810c4_0
    int32_t * v6; // 0x48114c_0
    char * v7; // 0x481159_0
    int32_t v8; // 0x481144
    uint32_t v9; // 0x481118
    uint32_t v10; // 0x4810e7
    int32_t v11; // 0x48118d
    int32_t v12; // 0x4810e3
    int32_t nDenominator; // 0x481118
    int32_t v13; // 0x4810ea
    int32_t v14; // 0x48112b
    int32_t v15; // 0x48118a
    int32_t v16; // 0x481114
    int32_t nNumber; // 0x4811712
    int32_t v17; // 0x481174
    int32_t v18; // 0x4811741
    if (*v5 == 0) {
        // 0x4810dd
        v12 = v4 & -0x10000;
        v10 = (int32_t)*(char *)(v4 + 47) & 31;
        v13 = v12 | 1;
        if (v10 != 0) {
            // if_4810e7_0_true
            v13 = 1 << v10 & 0xffff | v12;
            // branch -> after_if_4810e7_0
        }
        // after_if_4810e7_0
        System__FillChar(NULL, 1028, v1);
        plpal = 0;
        v16 = v13 & 0xffff;
        nDenominator = v16 - 1;
        v9 = llvm_ctpop_i32(nDenominator);
        g1 = false;
        g2 = false;
        g187 = nDenominator == 0;
        g9 = v9 % 2 == 1;
        if ((int16_t)v13 == 0) {
            // after_if_4810e7_0.dec_label_pc_481179_crit_edge
            // branch -> 0x481179
            // 0x481179
            CreatePalette((struct LOGPALETTE *)&plpal);
            v15 = *(int32_t *)(v4 + 12);
            g3 = v15;
            v11 = *(int32_t *)v15;
            g6 = v11;
            ((int32_t (*)())*(int32_t *)(v11 + 56))();
            // branch -> 0x481192
            // 0x481192
            return;
        }
        // 0x48111d
        v6 = (int32_t *)(v4 + 12);
        nNumber = 0;
        v18 = v16;
        v14 = 4 * nNumber - 1048 + g4;
        v8 = MulDiv(nNumber, 255, nDenominator);
        g11 = v3;
        v7 = (char *)v14;
        *v7 = *(char *)(v8 + 317 + *v6);
        *(char *)(v14 + 1) = *v7;
        g8 = v14;
        *(char *)(v14 + 2) = *v7;
        g2 = (v18 & 15) > 16;
        v17 = v18 - 1;
        g187 = v17 == 0;
        g9 = llvm_ctpop_i32(v17) % 2 == 1;
        // branch -> 0x481128
        while (v17 != 0) {
            // 0x481128
            nNumber++;
            v18 = v17;
            v14 = 4 * nNumber - 1048 + g4;
            v8 = MulDiv(nNumber, 255, nDenominator);
            g11 = v3;
            v7 = (char *)v14;
            *v7 = *(char *)(v8 + 317 + *v6);
            *(char *)(v14 + 1) = *v7;
            g8 = v14;
            *(char *)(v14 + 2) = *v7;
            g2 = (v18 & 15) > 16;
            v17 = v18 - 1;
            g187 = v17 == 0;
            g9 = llvm_ctpop_i32(v17) % 2 == 1;
            // continue -> 0x481128
        }
        // 0x481179
        CreatePalette((struct LOGPALETTE *)&plpal);
        v15 = *v6;
        g3 = v15;
        v11 = *(int32_t *)v15;
        g6 = v11;
        ((int32_t (*)())*(int32_t *)(v11 + 56))();
        // branch -> 0x481192
        // 0x481192
        return;
    }
    // 0x4810cd
    if (*v5 != 4) {
        // 0x481192
        return;
    }
    // 0x4810dd
    v12 = v4 & -0x10000;
    v10 = (int32_t)*(char *)(v4 + 47) & 31;
    v13 = v12 | 1;
    if (v10 != 0) {
        // if_4810e7_0_true
        v13 = 1 << v10 & 0xffff | v12;
        // branch -> after_if_4810e7_0
    }
    // after_if_4810e7_0
    System__FillChar(NULL, 1028, v1);
    plpal = 0;
    v16 = v13 & 0xffff;
    nDenominator = v16 - 1;
    v9 = llvm_ctpop_i32(nDenominator);
    g1 = false;
    g2 = false;
    g187 = nDenominator == 0;
    g9 = v9 % 2 == 1;
    if ((int16_t)v13 == 0) {
        // after_if_4810e7_0.dec_label_pc_481179_crit_edge
        // branch -> 0x481179
        // 0x481179
        CreatePalette((struct LOGPALETTE *)&plpal);
        v15 = *(int32_t *)(v4 + 12);
        g3 = v15;
        v11 = *(int32_t *)v15;
        g6 = v11;
        ((int32_t (*)())*(int32_t *)(v11 + 56))();
        // branch -> 0x481192
        // 0x481192
        return;
    }
    // 0x48111d
    v6 = (int32_t *)(v4 + 12);
    nNumber = 0;
    v18 = v16;
    v14 = 4 * nNumber - 1048 + g4;
    v8 = MulDiv(nNumber, 255, nDenominator);
    g11 = v3;
    v7 = (char *)v14;
    *v7 = *(char *)(v8 + 317 + *v6);
    *(char *)(v14 + 1) = *v7;
    g8 = v14;
    *(char *)(v14 + 2) = *v7;
    g2 = (v18 & 15) > 16;
    v17 = v18 - 1;
    g187 = v17 == 0;
    g9 = llvm_ctpop_i32(v17) % 2 == 1;
    // branch -> 0x481128
    while (v17 != 0) {
        // 0x481128
        nNumber++;
        v18 = v17;
        v14 = 4 * nNumber - 1048 + g4;
        v8 = MulDiv(nNumber, 255, nDenominator);
        g11 = v3;
        v7 = (char *)v14;
        *v7 = *(char *)(v8 + 317 + *v6);
        *(char *)(v14 + 1) = *v7;
        g8 = v14;
        *(char *)(v14 + 2) = *v7;
        g2 = (v18 & 15) > 16;
        v17 = v18 - 1;
        g187 = v17 == 0;
        g9 = llvm_ctpop_i32(v17) % 2 == 1;
        // continue -> 0x481128
    }
    // 0x481179
    CreatePalette((struct LOGPALETTE *)&plpal);
    v15 = *v6;
    g3 = v15;
    v11 = *(int32_t *)v15;
    g6 = v11;
    ((int32_t (*)())*(int32_t *)(v11 + 56))();
    // branch -> 0x481192
}

// Address range: 0x481198 - 0x481b9b
void function_481198(void) {
    int32_t v1;
    g4 = &v1;
    g5 = 0;
    g3 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x481b9c - 0x48243b
void function_481b9c(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2; // bp-48
    int32_t v3 = &v2; // 0x481b9f_4
    g11 = v3;
    v2 = g8;
    unsigned char v4 = *(char *)(*(int32_t *)(g3 + 20) + 1121); // 0x481bb9
    int32_t v5 = v4; // 0x481bb9
    g3 = v5;
    g2 = (v5 & 15) > 21;
    g1 = v4 < 6;
    int32_t v6 = v5 - 6; // 0x481bc0
    g187 = v6 == 0;
    g9 = llvm_ctpop_i32(v6) % 2 == 1;
    char * v7; // 0x481d2a_0
    int32_t * v8; // 0x481d5c_0
    int32_t * v9; // 0x481dae_0
    int32_t * v10; // 0x481dd5_0
    int32_t * v11; // 0x481df0_0
    int64_t v12; // 0x481d57
    int32_t v13; // 0x481d4c
    int32_t v14; // 0x481da1
    int32_t v15; // 0x481dae
    int32_t v16; // 0x481dd5
    int32_t v17; // 0x481df0
    int32_t v18; // 0x481e17
    int32_t v19; // 0x481e29
    int32_t v20; // 0x481f02
    int32_t v21; // 0x481d49
    int32_t v22; // 0x481db4
    int32_t v23; // 0x481df6
    int32_t v24; // 0x481d5f
    int32_t v25; // 0x481d6b
    int32_t v26; // 0x481dbd
    int32_t v27; // 0x481dcc
    int32_t v28; // 0x481dd8
    int32_t v29; // 0x481de4
    int32_t v30; // 0x481dff
    int32_t v31; // 0x481e0e
    int32_t v32; // 0x481d6e
    int32_t v33; // 0x481dc1
    int32_t v34; // 0x481de7
    int32_t v35; // 0x481e03
    int32_t v36; // 0x481d2d
    int32_t v37; // 0x481d4f
    int64_t v38; // 0x481d57
    int32_t v39; // 0x481da4
    int32_t v40; // 0x481d42
    if (v4 <= 6) {
        // 0x481bc9
        ((int32_t (*)())*(int32_t *)(4 * v5 + 0x481bd0))();
        char * v41 = (char *)(g5 + 0x408bfc45); // 0x481beb_0
        unsigned char v42 = *v41; // 0x481beb
        int32_t v43 = g6; // 0x481beb
        bool v44 = (char)v43 + v42 < v42; // cf
        *v41 = (char)(v43 + (int32_t)v42);
        int32_t v45 = g3; // 0x481bf1
        int32_t v46 = v45 + 138 + (int32_t)v44 & 255 | v45 & -256; // 0x481bf1
        *(char *)(v46 + 4) = 0;
        uint32_t v47 = g6; // 0x481bf7
        char * v48 = (char *)(v47 + v46); // 0x481bf7_0
        *v48 = (char)((int32_t)*v48 + v47 / 256);
        if ((v47 & -256) == 0xff00) {
            int32_t v49 = g4; // 0x481c05
            *(int32_t *)(v49 - 36) = *(int32_t *)(v49 - 4);
            *(int32_t *)(g4 - 40) = 0x4813fc;
            // branch -> 0x481d24
        } else {
            // 0x481bfc
            if ((v46 - 8 & 255) == 0) {
                int32_t v50 = g4; // 0x481c17
                *(int32_t *)(v50 - 36) = *(int32_t *)(v50 - 4);
                *(int32_t *)(g4 - 40) = 0x4814b8;
                // branch -> 0x481d24
            }
        }
        // 0x481d24
        *(char *)(g4 - 9) = 0;
        v13 = g4;
        // branch -> 0x481d28
        while (true) {
            // 0x481d28
            v7 = (char *)(v13 - 9);
            v36 = *(int32_t *)(4 * (int32_t)*v7 + 0x4c0d28);
            g11 = v3;
            v40 = *(int32_t *)(4 * (int32_t)*v7 + 0x4c0d60);
            v21 = *(int32_t *)(*(int32_t *)(v13 - 4) + 24) - v36 - 1 + v40;
            v37 = *(int32_t *)(4 * (int32_t)*v7 + 0x4c0d60);
            v12 = v37;
            v38 = 0x100000000 * (int64_t)(v21 >> 31) | (int64_t)v21;
            *(int32_t *)(v13 - 16) = (int32_t)(v38 / v12);
            v8 = (int32_t *)(g4 - 4);
            v24 = *(int32_t *)(*v8 + 20);
            g6 = v37 & -256 | (int32_t)*(char *)(v24 + 1120);
            v25 = *(int32_t *)(*v8 + 20);
            v32 = v38 % v12;
            g8 = v32 & -256 | (int32_t)*(char *)(v25 + 1121);
            function_47ecd4();
            *(int32_t *)(*(int32_t *)(g4 - 4) + 32) = g3;
            g8 = *(int32_t *)(*(int32_t *)(g4 - 4) + 32);
            function_407938();
            v14 = g4;
            v39 = *(int32_t *)(4 * (int32_t)*(char *)(v14 - 9) + 0x4c0d0c);
            *(int32_t *)(v14 - 20) = v39;
            v15 = g4;
            v9 = (int32_t *)(v15 - 4);
            v22 = *(int32_t *)(*(int32_t *)(*v9 + 20) + 1128);
            v26 = *(int32_t *)(*v9 + 28);
            v33 = *(int32_t *)(v15 - 20);
            v27 = *(int32_t *)(*(int32_t *)(*v9 + 20) + 1104);
            *(int32_t *)(v15 - 28) = v27 + (int32_t)((int64_t)(v26 - 1 - v33) * (int64_t)v22);
            v16 = g4;
            v10 = (int32_t *)(v16 - 4);
            v28 = *(int32_t *)(*v10 + 20);
            v29 = *(int32_t *)(*v10 + 24);
            v34 = *(int32_t *)(v16 - 20);
            *(int32_t *)(v16 - 24) = v34 * v29 + *(int32_t *)(v28 + 1108);
            v17 = g4;
            v11 = (int32_t *)(v17 - 4);
            v23 = *(int32_t *)(*(int32_t *)(*v11 + 20) + 1128);
            v30 = *(int32_t *)(*v11 + 28);
            v35 = *(int32_t *)(v17 - 20);
            v31 = *(int32_t *)(*(int32_t *)(*v11 + 20) + 1100);
            *(int32_t *)(v17 - 32) = v31 + (int32_t)((int64_t)(v30 - 1 - v35) * (int64_t)v23);
            v18 = g4;
            v20 = v18;
            if (*(int32_t *)(*(int32_t *)(v18 - 4) + 32) != 0) {
                v19 = v18;
              lab_0x481ef3:
                while (true) {
                    int32_t * v51 = (int32_t *)(v19 - 4); // 0x481ef6_0
                    if (*(int32_t *)(v19 - 20) < *(int32_t *)(*v51 + 28)) {
                        int32_t v52 = g11; // 0x481e30
                        *(int32_t *)(v52 - 4) = *(int32_t *)(*v51 + 32) + 1;
                        *(int32_t *)(v52 - 8) = *(int32_t *)(g4 - 4) + 76;
                        int32_t v53 = v52 - 12; // 0x481e3b
                        *(int32_t *)v53 = *(int32_t *)(g4 + 8);
                        g11 = v53;
                        int32_t v54 = g4; // 0x481e3c
                        int32_t * v55 = (int32_t *)(v54 - 4); // 0x481e3c_0
                        unsigned char v56 = *(char *)(*v55 + 72); // 0x481e3f
                        g6 = *(int32_t *)(*v55 + 64 + 4 * (int32_t)v56);
                        g8 = *(int32_t *)(v54 - 8);
                        *(int32_t *)(v52 - 16) = 0x481e55;
                        function_481198();
                        int32_t v57 = g4;
                        if (g3 != 0) {
                            // 0x481e5d
                            g3 = *(int32_t *)(v57 - 4);
                            *(int32_t *)(g11 - 4) = 0x481e65;
                            function_4826d8();
                            int32_t v58 = g11; // 0x481e68
                            *(int32_t *)(v58 - 4) = *(int32_t *)(g4 - 28);
                            *(int32_t *)(v58 - 8) = *(int32_t *)(g4 - 24);
                            int32_t v59 = v58 - 12; // 0x481e70
                            *(int32_t *)v59 = *(int32_t *)(g4 - 32);
                            g11 = v59;
                            int32_t v60 = g4; // 0x481e71
                            int32_t * v61 = (int32_t *)(v60 - 4); // 0x481e71_0
                            unsigned char v62 = *(char *)(*v61 + 72); // 0x481e74
                            int32_t v63 = *v61; // 0x481e78
                            g6 = *(int32_t *)(v63 + 64 + 4 * (int32_t)v62) + 1;
                            g8 = (int32_t)*(char *)(v60 - 9) | v63 & -256;
                            g3 = *(int32_t *)(v60 - 36);
                            *(int32_t *)(v58 - 16) = 0x481e8b;
                            ((int32_t (*)())*(int32_t *)(v60 - 40))();
                            int32_t * v64 = (int32_t *)(g4 - 4); // 0x481e8b_0
                            int32_t v65 = *v64; // 0x481e8b
                            unsigned char v66 = *(char *)(v65 + 72); // 0x481e8e
                            int32_t v67 = *v64; // 0x481e93
                            *(char *)(v67 + 72) = (char)(((int32_t)v66 | v65 & -256) ^ 1);
                            int32_t v68 = g4; // 0x481e9b
                            int32_t v69 = *(int32_t *)(4 * (int32_t)*(char *)(v68 - 9) + 0x4c0d44); // 0x481e9e
                            int32_t * v70 = (int32_t *)(v68 - 20); // 0x481ea5_0
                            *v70 = *v70 + v69;
                            int32_t v71 = g4; // 0x481eaa
                            int32_t v72 = *(int32_t *)(4 * (int32_t)*(char *)(v71 - 9) + 0x4c0d44); // 0x481ead
                            int32_t v73 = *(int32_t *)(*(int32_t *)(v71 - 4) + 20); // 0x481eb7
                            int32_t v74 = *(int32_t *)(v73 + 1128); // 0x481eba
                            int32_t * v75 = (int32_t *)(v71 - 28); // 0x481ec0_0
                            int32_t v76 = *v75; // 0x481ec0
                            *v75 = v76 - (int32_t)((int64_t)v74 * (int64_t)v72);
                            int32_t v77 = g4; // 0x481ec5
                            int32_t v78 = *(int32_t *)(4 * (int32_t)*(char *)(v77 - 9) + 0x4c0d44); // 0x481ec8
                            int32_t v79 = *(int32_t *)(*(int32_t *)(v77 - 4) + 24); // 0x481ed2
                            int32_t * v80 = (int32_t *)(v77 - 24); // 0x481ed5_0
                            int32_t v81 = *v80; // 0x481ed5
                            *v80 = (int32_t)((int64_t)v79 * (int64_t)v78) + v81;
                            int32_t v82 = g4; // 0x481eda
                            int32_t v83 = *(int32_t *)(4 * (int32_t)*(char *)(v82 - 9) + 0x4c0d44); // 0x481edd
                            int32_t v84 = *(int32_t *)(*(int32_t *)(v82 - 4) + 20); // 0x481ee7
                            int32_t v85 = *(int32_t *)(v84 + 1128); // 0x481eea
                            int32_t * v86 = (int32_t *)(v82 - 32); // 0x481ef0_0
                            int32_t v87 = *v86; // 0x481ef0
                            *v86 = v87 - (int32_t)((int64_t)v85 * (int64_t)v83);
                            v19 = g4;
                            // branch -> 0x481ef3
                            continue;
                        } else {
                            v20 = v57;
                        }
                    } else {
                        v20 = v19;
                    }
                }
            }
          lab_0x481f02:;
            char * v88 = (char *)(v20 - 9); // 0x481f02_0
            *v88 = *v88 + 1;
            int32_t v89 = g4; // 0x481f05
            if (*(char *)(v89 - 9) == 7) {
                // break -> 0x481f0f
                break;
            }
            v13 = v89;
            // continue -> 0x481d28
        }
        // 0x481f0f
        return;
    }
    // 0x481d24
    *(char *)(g4 - 9) = 0;
    v13 = g4;
    // branch -> 0x481d28
    while (true) {
        // 0x481d28
        v7 = (char *)(v13 - 9);
        v36 = *(int32_t *)(4 * (int32_t)*v7 + 0x4c0d28);
        g11 = v3;
        v40 = *(int32_t *)(4 * (int32_t)*v7 + 0x4c0d60);
        v21 = *(int32_t *)(*(int32_t *)(v13 - 4) + 24) - v36 - 1 + v40;
        v37 = *(int32_t *)(4 * (int32_t)*v7 + 0x4c0d60);
        v12 = v37;
        v38 = 0x100000000 * (int64_t)(v21 >> 31) | (int64_t)v21;
        *(int32_t *)(v13 - 16) = (int32_t)(v38 / v12);
        v8 = (int32_t *)(g4 - 4);
        v24 = *(int32_t *)(*v8 + 20);
        g6 = v37 & -256 | (int32_t)*(char *)(v24 + 1120);
        v25 = *(int32_t *)(*v8 + 20);
        v32 = v38 % v12;
        g8 = v32 & -256 | (int32_t)*(char *)(v25 + 1121);
        function_47ecd4();
        *(int32_t *)(*(int32_t *)(g4 - 4) + 32) = g3;
        g8 = *(int32_t *)(*(int32_t *)(g4 - 4) + 32);
        function_407938();
        v14 = g4;
        v39 = *(int32_t *)(4 * (int32_t)*(char *)(v14 - 9) + 0x4c0d0c);
        *(int32_t *)(v14 - 20) = v39;
        v15 = g4;
        v9 = (int32_t *)(v15 - 4);
        v22 = *(int32_t *)(*(int32_t *)(*v9 + 20) + 1128);
        v26 = *(int32_t *)(*v9 + 28);
        v33 = *(int32_t *)(v15 - 20);
        v27 = *(int32_t *)(*(int32_t *)(*v9 + 20) + 1104);
        *(int32_t *)(v15 - 28) = v27 + (int32_t)((int64_t)(v26 - 1 - v33) * (int64_t)v22);
        v16 = g4;
        v10 = (int32_t *)(v16 - 4);
        v28 = *(int32_t *)(*v10 + 20);
        v29 = *(int32_t *)(*v10 + 24);
        v34 = *(int32_t *)(v16 - 20);
        *(int32_t *)(v16 - 24) = v34 * v29 + *(int32_t *)(v28 + 1108);
        v17 = g4;
        v11 = (int32_t *)(v17 - 4);
        v23 = *(int32_t *)(*(int32_t *)(*v11 + 20) + 1128);
        v30 = *(int32_t *)(*v11 + 28);
        v35 = *(int32_t *)(v17 - 20);
        v31 = *(int32_t *)(*(int32_t *)(*v11 + 20) + 1100);
        *(int32_t *)(v17 - 32) = v31 + (int32_t)((int64_t)(v30 - 1 - v35) * (int64_t)v23);
        v18 = g4;
        if (*(int32_t *)(*(int32_t *)(v18 - 4) + 32) == 0) {
            v20 = v18;
            goto lab_0x481f02;
        }
        v19 = v18;
        goto lab_0x481ef3;
    }
}

// Address range: 0x48243c - 0x4826d7
void function_48243c(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2; // bp-44
    g11 = &v2;
    int32_t v3 = g6; // 0x482442
    v2 = g8;
    int32_t v4 = g3; // 0x482448
    unsigned char v5 = *(char *)(*(int32_t *)(v4 + 20) + 1121); // 0x482459
    int32_t v6 = v5; // 0x482459
    g3 = v6;
    g2 = (v6 & 15) > 21;
    g1 = v5 < 6;
    int32_t v7 = v6 - 6; // 0x482460
    g187 = v7 == 0;
    g9 = llvm_ctpop_i32(v7) % 2 == 1;
    unsigned char v8; // 0x48264b
    if (v5 > 6) {
        // 0x4825c4
        v8 = *(char *)(v4 + 72);
        g6 = *(int32_t *)(4 * (int32_t)v8 + v4 + 64);
        g8 = v3;
        function_481198();
        if (g3 == 0) {
            // 0x4826d0
            return;
        }
        // 0x482665
        g3 = v4;
        function_4826d8();
        abort();
        // UNREACHABLE
    }
    // 0x482469
    ((int32_t (*)())*(int32_t *)(4 * v6 + 0x482470))();
    char * v9 = (char *)(g5 + 0x408bfc45); // 0x48248b_0
    unsigned char v10 = *v9; // 0x48248b
    int32_t v11 = g6; // 0x48248b
    bool v12 = (char)v11 + v10 < v10; // cf
    *v9 = (char)(v11 + (int32_t)v10);
    int32_t v13 = g3; // 0x482491
    int32_t v14 = v13 + 138 + (int32_t)v12 & 255 | v13 & -256; // 0x482491
    *(char *)(v14 + 4) = 0;
    uint32_t v15 = g6; // 0x482497
    char * v16 = (char *)(v15 + v14); // 0x482497_0
    *v16 = (char)((int32_t)*v16 + v15 / 256);
    if ((v15 & -256) == 0xff00) {
        int32_t v17 = g4; // 0x4824a5
        *(int32_t *)(v17 - 28) = *(int32_t *)(v17 - 4);
        *(int32_t *)(g4 - 32) = 0x481f18;
        // branch -> 0x4825c4
    } else {
        // 0x48249c
        if ((v14 - 8 & 255) == 0) {
            int32_t v18 = g4; // 0x4824b7
            *(int32_t *)(v18 - 28) = *(int32_t *)(v18 - 4);
            *(int32_t *)(g4 - 32) = 0x481fa4;
            // branch -> 0x4825c4
        }
    }
    // 0x4825c4
    v8 = *(char *)(v4 + 72);
    g6 = *(int32_t *)(4 * (int32_t)v8 + v4 + 64);
    g8 = v3;
    function_481198();
    if (g3 == 0) {
        // 0x4826d0
        return;
    }
    // 0x482665
    g3 = v4;
    function_4826d8();
    abort();
    // UNREACHABLE
}

// Address range: 0x4826d8 - 0x482d17
void function_4826d8(void) {
    // 0x4826d8
    g1 = g11 > 31;
    char * v1 = (char *)(g3 + 72); // 0x4826e4_0
    int32_t v2 = g3 + 64; // 0x4826eb
    int32_t v3 = *(int32_t *)(4 * (int32_t)*v1 + v2); // 0x4826eb
    int32_t v4;
    if ((v3 & -256) != 0) {
        int32_t v5 = (int32_t)*(char *)v3 + 765; // 0x4826fd
        g2 = (v5 & 15) > 16;
        int32_t v6 = 0x1000000 * v5 - 0x1000000; // 0x482705
        g187 = (v6 | 0xffffff) < 0x1ffffff;
        g9 = llvm_ctpop_i32(v6 / 0x1000000) % 2 == 1;
        // branch -> 0x48296e
        // 0x48296e
        g4 = v4;
        return;
    }
    int32_t * v7 = (int32_t *)(g3 + 36); // 0x482715_0
    uint32_t v8 = *v7 + 1; // 0x482718
    uint32_t v9 = *(int32_t *)(g3 + 32); // 0x48271c
    g2 = (v9 & 15) - (v8 & 15) > 15;
    g1 = v9 < v8;
    int32_t v10 = v9 - v8; // 0x48271f
    g187 = v9 == v8;
    g9 = llvm_ctpop_i32(v10) % 2 == 1;
    if (v9 >= v8) {
        char v11 = v8; // 0x482962_49
        int32_t v12 = v11; // 0x48272e
        int32_t v13 = v12 - *v7; // 0x482734
        int32_t v14 = *(int32_t *)(4 * (int32_t)*v1 + v2); // 0x482741
        unsigned char v15 = *(char *)(v14 + v13); // 0x482745
        int32_t v16 = *(int32_t *)(4 * (int32_t)*v1 + v2); // 0x482752
        char v17 = *(char *)(v16 + v12); // 0x482759
        g1 = false;
        int32_t v18 = *(int32_t *)(4 * (int32_t)*v1 + v2); // 0x482768
        *(char *)(v18 + v12) = (char)((int32_t)v17 + ((int32_t)v15 | v13 & -256));
        int32_t v19 = v10 + 1; // 0x482775
        g2 = (v19 & 15) > 16;
        int32_t v20 = v19 - 1; // 0x482775
        g187 = v20 == 0;
        g9 = llvm_ctpop_i32(v20) % 2 == 1;
        // branch -> 0x48272e
        while (v20 != 0) {
            // 0x48272e
            v11++;
            v12 = v11;
            v13 = v12 - *v7;
            v14 = *(int32_t *)(4 * (int32_t)*v1 + v2);
            v15 = *(char *)(v14 + v13);
            v16 = *(int32_t *)(4 * (int32_t)*v1 + v2);
            v17 = *(char *)(v16 + v12);
            g1 = false;
            v18 = *(int32_t *)(4 * (int32_t)*v1 + v2);
            *(char *)(v18 + v12) = (char)((int32_t)v17 + ((int32_t)v15 | v13 & -256));
            v19 = v20;
            g2 = (v19 & 15) > 16;
            v20 = v19 - 1;
            g187 = v20 == 0;
            g9 = llvm_ctpop_i32(v20) % 2 == 1;
            // continue -> 0x48272e
        }
        // 0x48296e
        // branch -> 0x48296e
    }
    // 0x48296e
    g4 = v4;
}

// Address range: 0x482d18 - 0x482da7
void function_482d18(void) {
    int32_t v1;
    g4 = &v1;
    uint32_t v2 = g11; // 0x482d1b
    g2 = (v2 & 15) > 3;
    g1 = v2 > 19;
    int32_t v3 = v2 - 20; // 0x482d1b
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    int32_t v4 = g5; // 0x482d1e
    int32_t v5 = g6; // 0x482d1f
    int32_t v6 = g8; // 0x482d22
    struct struct_19 * v7 = (struct struct_19 *)g3; // bp-8
    g3 = v5;
    function_47ecc8();
    int32_t v8 = g3; // bp-20
    g8 = &v8;
    g6 = 4;
    g3 = (int32_t)v7;
    int32_t v9 = v7->e0; // 0x482d3e
    g5 = v9;
    ((int32_t (*)(int32_t))*(int32_t *)(v9 + 16))(v4);
    g8 = 0x4c0dbc;
    g6 = 4;
    g3 = (int32_t)v7;
    int32_t v10 = v7->e0; // 0x482d50
    g5 = v10;
    ((int32_t (*)())*(int32_t *)(v10 + 16))();
    g8 = 0x4c0dbc;
    g6 = 4;
    g3 = -1;
    function_47ebcc();
    int32_t v11 = g3; // 0x482d67
    int32_t v12 = v11;
    g8 = v6;
    g6 = v5;
    g3 = (int32_t)v7;
    int32_t v13 = v7->e0; // 0x482d73
    g5 = v13;
    ((int32_t (*)(int32_t))*(int32_t *)(v13 + 16))(v4);
    g6 = v5;
    g8 = v6;
    g3 = v11;
    function_47ebcc();
    int32_t v14 = g3; // 0x482d86
    g1 = false;
    g2 = false;
    int32_t v15 = v14 ^ -1; // 0x482d86
    g187 = v14 == -1;
    g9 = llvm_ctpop_i32(v15) % 2 == 1;
    g3 = v15;
    function_47ecc8();
    v12 = g3;
    g8 = &v12;
    g6 = 4;
    g3 = (int32_t)v7;
    int32_t v16 = v7->e0; // 0x482d9c
    g5 = v16;
    ((int32_t (*)(int32_t))*(int32_t *)(v16 + 16))(v4);
    g5 = v4;
    g4 = v1;
}

// Address range: 0x482da8 - 0x482e27
void function_482da8(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g8; // 0x482db1
    struct struct_241 * v3 = (struct struct_241 *)v2; // bp-12
    *(int32_t *)v2 = g6;
    int32_t v4;
    v3->e1 = v4;
    int32_t * v5 = (int32_t *)(g3 + 12); // 0x482de0_0
    if (v3->e1 <= 0) {
        // 0x482e21
        g4 = v1;
        return;
    }
    int32_t v6 = (int32_t)v3; // 0x482e1810
    while (true) {
        // 0x482dca
        g3 = v6;
        g8 = 0;
        function_477730();
        struct struct_241 * v7 = v3; // 0x482e18_0
        if (v3->e4 == 0) {
            // 0x482ddd
            g6 = *(int32_t *)(*v5 + 304);
            g8 = v3->e6;
            g3 = v3->e7;
            function_482d18();
            v3->e3 = v3->e6;
            v3->e4 = *(int32_t *)(*v5 + 304);
            v7 = v3;
            // branch -> 0x482e18
        }
        // 0x482e18
        if (v7->e1 <= 0) {
            // break -> 0x482e21
            break;
        }
        v6 = (int32_t)v7;
        // continue -> 0x482dca
    }
    // 0x482e21
    g4 = v1;
}

// Address range: 0x482e28 - 0x48322f
void function_482e28(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g8; // 0x482e2e
    struct struct_242 * v3 = (struct struct_242 *)v2; // bp-12
    *(int32_t *)v2 = 0;
    v3->e1 = 0;
    int32_t * v4 = (int32_t *)(g3 + 12); // 0x482e48_0
    // branch -> 0x482e86
    while (true) {
        // 0x482e86
        g3 = (int32_t)v3;
        g8 = 4;
        function_477730();
        if (g3 == 1) {
            int32_t v5 = (int32_t)v3; // 0x482e96
            int32_t * v6 = (int32_t *)(v5 + 16); // 0x482e99_0
            if (*v6 >= *(int32_t *)(*v4 + 304)) {
                // 0x482ecd
                return;
            }
            // 0x482eaa
            g6 = *(int32_t *)(*v4 + 304) - *v6;
            g8 = *(int32_t *)(v5 + 56);
            g3 = *(int32_t *)(v5 + 60);
            function_482d18();
            // branch -> 0x482ecd
            // 0x482ecd
            return;
        }
        int32_t v7 = (int32_t)v3; // 0x482e51
        g6 = *(int32_t *)(*v4 + 304) - *(int32_t *)(v7 + 16);
        g8 = *(int32_t *)(v7 + 56);
        g3 = *(int32_t *)(v7 + 60);
        function_482d18();
        v3->e3 = *(int32_t *)((int32_t)v3 + 56);
        int32_t v8 = *v4; // 0x482e77
        *(int32_t *)((int32_t)v3 + 16) = *(int32_t *)(v8 + 304);
        // branch -> 0x482e86
    }
}

// Address range: 0x483230 - 0x48397f
void function_483230(void) {
    int32_t v1;
    int32_t v2 = &v1; // 0x483231_0
    g4 = v2;
    int32_t v3; // bp-44
    g11 = &v3;
    int32_t v4 = g6; // 0x483236
    v3 = g8;
    int32_t v5 = g3; // 0x48323c
    int32_t * v6 = (int32_t *)v5; // 0x48323c_0
    int32_t * v7 = (int32_t *)(v5 + 20); // 0x48324a_0
    int32_t * v8 = NULL; // 0x4833b8_03
    int32_t * v9 = NULL; // 0x4833bb_12
    int32_t v10; // 0x48340c
    int32_t * v11; // 0x483371_0
    int32_t v12; // 0x4833cb_0
    int32_t v13; // 0x4833df_1
    int32_t v14;
    struct struct_33 * v15; // bp-16
    char v16;
    int32_t * v17;
    int32_t v18; // 0x4832cd
    int32_t v19; // 0x4832d1
    int32_t v20; // 0x48324a
    int32_t v21; // 0x4832c0
    int32_t v22; // 0x48337d
    int32_t v23; // 0x483398
    int32_t v24; // 0x4832c3
    int32_t v25; // 0x483412
    int32_t v26; // 0x4834121
    int32_t v27; // 0x4832c9
    int32_t v28; // 0x4834035
    switch (*(char *)(v20 + 1121)) {
        case 0: {
            // 0x4832bd
            v21 = *v7;
            v24 = v21 & -256;
            v27 = (int32_t)*(char *)(v21 + 1120) + 255 & 255 | v24;
            if (v24 != 0) {
                // 0x4832cd
                v18 = v27 - 3 & 255;
                if (v18 != 0) {
                    // 0x4832d1
                    v19 = (v18 | v24) - 4 & 255;
                    if (v19 != 0) {
                        // 0x4832d5
                        v8 = NULL;
                        v9 = NULL;
                        if (((v19 || v24) - 8 & 255) == 0) {
                            // 0x4832ed
                            v8 = v6;
                            v9 = (int32_t *)0x48300c;
                            // branch -> 0x483362
                        }
                        // 0x483362
                        v11 = (int32_t *)(v5 + 28);
                        v22 = *(int32_t *)(*v7 + 1104);
                        v23 = *v11;
                        g1 = false;
                        g2 = (v23 + 15 & 15) > 14;
                        g187 = v23 == 0;
                        g9 = llvm_ctpop_i32(v23) % 2 == 1;
                        v15 = NULL;
                        v12 = &v16;
                        v13 = (int32_t)&v17;
                        v28 = v22 + (*v11 - 1) * *(int32_t *)(*v7 + 1128);
                        v14 = *(int32_t *)(*v7 + 1108);
                        v26 = v23;
                        // branch -> 0x4833ab
                        while (true) {
                            // 0x4833ab
                            g6 = *(int32_t *)(v5 + 60);
                            g8 = v28;
                            g3 = (int32_t)v8;
                            ((int32_t (*)(int32_t, int32_t, int32_t))v9)(v14, v3, v26);
                            g3 = v5;
                            function_483c40();
                            v16 = g3;
                            g6 = v12;
                            g8 = v4;
                            g3 = v5;
                            function_482da8();
                            v17 = (int32_t *)*(int32_t *)(v5 + 32);
                            g11 = v13;
                            g6 = *(int32_t *)(v5 + 40 + 4 * (int32_t)v16);
                            g8 = v4;
                            g3 = v5;
                            function_482da8();
                            v10 = *(int32_t *)(v5 + 24) + v14;
                            g1 = v10 < v14;
                            v15 = (struct struct_33 *)((int32_t)v15 + 1);
                            g2 = (v26 & 15) > 16;
                            v25 = v26 - 1;
                            g187 = v25 == 0;
                            g9 = llvm_ctpop_i32(v25) % 2 == 1;
                            if (v25 == 0) {
                                // break (via goto) -> 0x483417
                                goto lab_0x483417_6;
                            }
                            v28 -= *(int32_t *)(*v7 + 1128);
                            v14 = v10;
                            v26 = v25;
                            // continue -> 0x4833ab
                        }
                    }
                }
            }
            // 0x4832de
            v8 = v6;
            v9 = (int32_t *)0x482fe4;
            // branch -> 0x483362
            break;
        }
        case 2: {
            int32_t * v29 = (int32_t *)(v2 - 4); // 0x483280_0
            int32_t v30 = *(int32_t *)(*v29 + 20); // 0x483283
            int32_t v31 = v30 & -256; // 0x483286
            int32_t v32 = ((int32_t)*(char *)(v30 + 1120) | v31) - 8 & 255; // 0x48328c
            if (v32 == 0) {
                // 0x483299
                *(int32_t *)(v2 - 28) = *v29;
                *(int32_t *)(g4 - 32) = 0x482ed4;
                // branch -> 0x483362
            } else {
                // 0x483290
                if (((v32 || v31) - 8 & 255) == 0) {
                    // 0x4832ab
                    *(int32_t *)(v2 - 28) = *v29;
                    *(int32_t *)(g4 - 32) = 0x482f58;
                    // branch -> 0x483362
                }
            }
            // 0x483362
            v11 = (int32_t *)(v5 + 28);
            v22 = *(int32_t *)(*v7 + 1104);
            v23 = *v11;
            g1 = false;
            g2 = (v23 + 15 & 15) > 14;
            g187 = v23 == 0;
            g9 = llvm_ctpop_i32(v23) % 2 == 1;
            v15 = NULL;
            v12 = &v16;
            v13 = (int32_t)&v17;
            v28 = v22 + (*v11 - 1) * *(int32_t *)(*v7 + 1128);
            v14 = *(int32_t *)(*v7 + 1108);
            v26 = v23;
            // branch -> 0x4833ab
            while (true) {
                // 0x4833ab
                g6 = *(int32_t *)(v5 + 60);
                g8 = v28;
                g3 = (int32_t)NULL;
                ((int32_t (*)(int32_t, int32_t, int32_t))NULL)(v14, v3, v26);
                g3 = v5;
                function_483c40();
                v16 = g3;
                g6 = v12;
                g8 = v4;
                g3 = v5;
                function_482da8();
                v17 = (int32_t *)*(int32_t *)(v5 + 32);
                g11 = v13;
                g6 = *(int32_t *)(v5 + 40 + 4 * (int32_t)v16);
                g8 = v4;
                g3 = v5;
                function_482da8();
                v10 = *(int32_t *)(v5 + 24) + v14;
                g1 = v10 < v14;
                v15 = (struct struct_33 *)((int32_t)v15 + 1);
                g2 = (v26 & 15) > 16;
                v25 = v26 - 1;
                g187 = v25 == 0;
                g9 = llvm_ctpop_i32(v25) % 2 == 1;
                if (v25 == 0) {
                    // break (via goto) -> 0x483417
                    goto lab_0x483417_6;
                }
                v28 -= *(int32_t *)(*v7 + 1128);
                v14 = v10;
                v26 = v25;
                // continue -> 0x4833ab
            }
        }
        case 3: {
            // 0x4832bd
            v21 = *v7;
            v24 = v21 & -256;
            v27 = (int32_t)*(char *)(v21 + 1120) + 255 & 255 | v24;
            if (v24 != 0) {
                // 0x4832cd
                v18 = v27 - 3 & 255;
                if (v18 != 0) {
                    // 0x4832d1
                    v19 = (v18 | v24) - 4 & 255;
                    if (v19 != 0) {
                        // 0x4832d5
                        v8 = NULL;
                        v9 = NULL;
                        if (((v19 || v24) - 8 & 255) == 0) {
                            // 0x4832ed
                            v8 = v6;
                            v9 = (int32_t *)0x48300c;
                            // branch -> 0x483362
                        }
                        // 0x483362
                        v11 = (int32_t *)(v5 + 28);
                        v22 = *(int32_t *)(*v7 + 1104);
                        v23 = *v11;
                        g1 = false;
                        g2 = (v23 + 15 & 15) > 14;
                        g187 = v23 == 0;
                        g9 = llvm_ctpop_i32(v23) % 2 == 1;
                        v15 = NULL;
                        v12 = &v16;
                        v13 = (int32_t)&v17;
                        v28 = v22 + (*v11 - 1) * *(int32_t *)(*v7 + 1128);
                        v14 = *(int32_t *)(*v7 + 1108);
                        v26 = v23;
                        // branch -> 0x4833ab
                        while (true) {
                            // 0x4833ab
                            g6 = *(int32_t *)(v5 + 60);
                            g8 = v28;
                            g3 = (int32_t)v8;
                            ((int32_t (*)(int32_t, int32_t, int32_t))v9)(v14, v3, v26);
                            g3 = v5;
                            function_483c40();
                            v16 = g3;
                            g6 = v12;
                            g8 = v4;
                            g3 = v5;
                            function_482da8();
                            v17 = (int32_t *)*(int32_t *)(v5 + 32);
                            g11 = v13;
                            g6 = *(int32_t *)(v5 + 40 + 4 * (int32_t)v16);
                            g8 = v4;
                            g3 = v5;
                            function_482da8();
                            v10 = *(int32_t *)(v5 + 24) + v14;
                            g1 = v10 < v14;
                            v15 = (struct struct_33 *)((int32_t)v15 + 1);
                            g2 = (v26 & 15) > 16;
                            v25 = v26 - 1;
                            g187 = v25 == 0;
                            g9 = llvm_ctpop_i32(v25) % 2 == 1;
                            if (v25 == 0) {
                                // break (via goto) -> 0x483417
                                goto lab_0x483417_6;
                            }
                            v28 -= *(int32_t *)(*v7 + 1128);
                            v14 = v10;
                            v26 = v25;
                            // continue -> 0x4833ab
                        }
                    }
                }
            }
            // 0x4832de
            v8 = v6;
            v9 = (int32_t *)0x482fe4;
            // branch -> 0x483362
            break;
        }
        case 4: {
            int32_t v33 = *v7; // 0x483333
            int32_t v34 = v33 & -256; // 0x483336
            int32_t v35 = ((int32_t)*(char *)(v33 + 1120) | v34) - 8 & 255; // 0x48333c
            if (v35 == 0) {
                // 0x483346
                v8 = v6;
                v9 = (int32_t *)0x483184;
                // branch -> 0x483362
            } else {
                // 0x483340
                if (((v35 || v34) - 8 & 255) == 0) {
                    // 0x483355
                    v8 = v6;
                    v9 = (int32_t *)0x4831d8;
                    // branch -> 0x483362
                } else {
                    v8 = NULL;
                    v9 = NULL;
                }
            }
            // 0x483362
            v11 = (int32_t *)(v5 + 28);
            v22 = *(int32_t *)(*v7 + 1104);
            v23 = *v11;
            g1 = false;
            g2 = (v23 + 15 & 15) > 14;
            g187 = v23 == 0;
            g9 = llvm_ctpop_i32(v23) % 2 == 1;
            v15 = NULL;
            v12 = &v16;
            v13 = (int32_t)&v17;
            v28 = v22 + (*v11 - 1) * *(int32_t *)(*v7 + 1128);
            v14 = *(int32_t *)(*v7 + 1108);
            v26 = v23;
            // branch -> 0x4833ab
            while (true) {
                // 0x4833ab
                g6 = *(int32_t *)(v5 + 60);
                g8 = v28;
                g3 = (int32_t)v8;
                ((int32_t (*)(int32_t, int32_t, int32_t))v9)(v14, v3, v26);
                g3 = v5;
                function_483c40();
                v16 = g3;
                g6 = v12;
                g8 = v4;
                g3 = v5;
                function_482da8();
                v17 = (int32_t *)*(int32_t *)(v5 + 32);
                g11 = v13;
                g6 = *(int32_t *)(v5 + 40 + 4 * (int32_t)v16);
                g8 = v4;
                g3 = v5;
                function_482da8();
                v10 = *(int32_t *)(v5 + 24) + v14;
                g1 = v10 < v14;
                v15 = (struct struct_33 *)((int32_t)v15 + 1);
                g2 = (v26 & 15) > 16;
                v25 = v26 - 1;
                g187 = v25 == 0;
                g9 = llvm_ctpop_i32(v25) % 2 == 1;
                if (v25 == 0) {
                    // break (via goto) -> 0x483417
                    goto lab_0x483417_6;
                }
                v28 -= *(int32_t *)(*v7 + 1128);
                v14 = v10;
                v26 = v25;
                // continue -> 0x4833ab
            }
        }
        case 6: {
            int32_t v36 = *v7; // 0x4832ff
            int32_t v37 = v36 & -256; // 0x483302
            int32_t v38 = ((int32_t)*(char *)(v36 + 1120) | v37) - 8 & 255; // 0x483308
            if (v38 == 0) {
                // 0x483312
                v8 = v6;
                v9 = (int32_t *)0x483050;
                // branch -> 0x483362
            } else {
                // 0x48330c
                if (((v38 || v37) - 8 & 255) == 0) {
                    // 0x483321
                    v8 = v6;
                    v9 = (int32_t *)0x4830e4;
                    // branch -> 0x483362
                } else {
                    v8 = NULL;
                    v9 = NULL;
                }
            }
            // 0x483362
            v11 = (int32_t *)(v5 + 28);
            v22 = *(int32_t *)(*v7 + 1104);
            v23 = *v11;
            g1 = false;
            g2 = (v23 + 15 & 15) > 14;
            g187 = v23 == 0;
            g9 = llvm_ctpop_i32(v23) % 2 == 1;
            v15 = NULL;
            v12 = &v16;
            v13 = (int32_t)&v17;
            v28 = v22 + (*v11 - 1) * *(int32_t *)(*v7 + 1128);
            v14 = *(int32_t *)(*v7 + 1108);
            v26 = v23;
            // branch -> 0x4833ab
            while (true) {
                // 0x4833ab
                g6 = *(int32_t *)(v5 + 60);
                g8 = v28;
                g3 = (int32_t)v8;
                ((int32_t (*)(int32_t, int32_t, int32_t))v9)(v14, v3, v26);
                g3 = v5;
                function_483c40();
                v16 = g3;
                g6 = v12;
                g8 = v4;
                g3 = v5;
                function_482da8();
                v17 = (int32_t *)*(int32_t *)(v5 + 32);
                g11 = v13;
                g6 = *(int32_t *)(v5 + 40 + 4 * (int32_t)v16);
                g8 = v4;
                g3 = v5;
                function_482da8();
                v10 = *(int32_t *)(v5 + 24) + v14;
                g1 = v10 < v14;
                v15 = (struct struct_33 *)((int32_t)v15 + 1);
                g2 = (v26 & 15) > 16;
                v25 = v26 - 1;
                g187 = v25 == 0;
                g9 = llvm_ctpop_i32(v25) % 2 == 1;
                if (v25 == 0) {
                    // break (via goto) -> 0x483417
                    goto lab_0x483417_6;
                }
                v28 -= *(int32_t *)(*v7 + 1128);
                v14 = v10;
                v26 = v25;
                // continue -> 0x4833ab
            }
        }
    }
    // 0x483362
    v11 = (int32_t *)(v5 + 28);
    v22 = *(int32_t *)(*v7 + 1104);
    v23 = *v11;
    g1 = false;
    g2 = (v23 + 15 & 15) > 14;
    g187 = v23 == 0;
    g9 = llvm_ctpop_i32(v23) % 2 == 1;
    v15 = NULL;
    v12 = &v16;
    v13 = (int32_t)&v17;
    v28 = v22 + (*v11 - 1) * *(int32_t *)(*v7 + 1128);
    v14 = *(int32_t *)(*v7 + 1108);
    v26 = v23;
    // branch -> 0x4833ab
    while (true) {
        // 0x4833ab
        g6 = *(int32_t *)(v5 + 60);
        g8 = v28;
        g3 = (int32_t)v8;
        ((int32_t (*)(int32_t, int32_t, int32_t))v9)(v14, v3, v26);
        g3 = v5;
        function_483c40();
        v16 = g3;
        g6 = v12;
        g8 = v4;
        g3 = v5;
        function_482da8();
        v17 = (int32_t *)*(int32_t *)(v5 + 32);
        g11 = v13;
        g6 = *(int32_t *)(v5 + 40 + 4 * (int32_t)v16);
        g8 = v4;
        g3 = v5;
        function_482da8();
        v10 = *(int32_t *)(v5 + 24) + v14;
        g1 = v10 < v14;
        v15 = (struct struct_33 *)((int32_t)v15 + 1);
        g2 = (v26 & 15) > 16;
        v25 = v26 - 1;
        g187 = v25 == 0;
        g9 = llvm_ctpop_i32(v25) % 2 == 1;
        if (v25 == 0) {
            // break (via goto) -> 0x483417
            goto lab_0x483417_6;
        }
        v28 -= *(int32_t *)(*v7 + 1128);
        v14 = v10;
        v26 = v25;
        // continue -> 0x4833ab
    }
  lab_0x483417_6:
    // 0x483417
    g8 = v4;
    g3 = v5;
    function_482e28();
}

// Address range: 0x483980 - 0x483c3f
void function_483980(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2; // bp-48
    int32_t v3 = &v2; // 0x483983_4
    g11 = v3;
    int32_t v4 = g6; // 0x483986
    v2 = g8;
    int32_t v5 = g3; // 0x48398c
    int32_t * v6 = (int32_t *)(v5 + 20); // 0x48399a_0
    unsigned char v7 = *(char *)(*v6 + 1121); // 0x48399d
    int32_t v8 = v7; // 0x48399d
    g3 = v8;
    g2 = (v8 & 15) > 21;
    g1 = v7 < 6;
    int32_t v9 = v8 - 6; // 0x4839a4
    g187 = v9 == 0;
    g9 = llvm_ctpop_i32(v9) % 2 == 1;
    int32_t * v10; // 0x483ac5_0
    int32_t * v11; // 0x483ad0_0
    int32_t * v12; // 0x483b0d_0
    int32_t v13; // 0x483ad7
    unsigned char v14; // 0x483afc
    int32_t v15; // 0x483abb
    int32_t v16; // 0x483b5a
    int32_t v17; // 0x483add
    int32_t v18; // 0x483b26
    if (v7 <= 6) {
        // 0x4839ad
        ((int32_t (*)())*(int32_t *)(4 * v8 + 0x4839b4))();
        char * v19 = (char *)(g5 + 0x408bfc45); // 0x4839cf_0
        unsigned char v20 = *v19; // 0x4839cf
        int32_t v21 = g6; // 0x4839cf
        bool v22 = (char)v21 + v20 < v20; // cf
        *v19 = (char)(v21 + (int32_t)v20);
        int32_t v23 = g3; // 0x4839d5
        int32_t v24 = v23 + 138 + (int32_t)v22 & 255 | v23 & -256; // 0x4839d5
        *(char *)(v24 + 4) = 0;
        uint32_t v25 = g6; // 0x4839db
        char * v26 = (char *)(v25 + v24); // 0x4839db_0
        *v26 = (char)((int32_t)*v26 + v25 / 256);
        if ((v25 & -256) == 0xff00) {
            int32_t v27 = g4; // 0x4839e9
            *(int32_t *)(v27 - 36) = *(int32_t *)(v27 - 4);
            *(int32_t *)(g4 - 40) = 0x483428;
            // branch -> 0x483ab6
        } else {
            // 0x4839e0
            if ((v24 - 8 & 255) == 0) {
                int32_t v28 = g4; // 0x4839fb
                *(int32_t *)(v28 - 36) = *(int32_t *)(v28 - 4);
                *(int32_t *)(g4 - 40) = 0x4834d0;
                // branch -> 0x483ab6
            }
        }
        // 0x483ab6
        v10 = (int32_t *)(v5 + 24);
        v12 = (int32_t *)(v5 + 32);
        // branch -> 0x483ab6
        for (unsigned char i = 0; i < 7; i++) {
            // 0x483ab6
            v15 = 4 * (int32_t)i;
            g11 = v3;
            v11 = (int32_t *)(v15 + 0x4c0d60);
            v13 = *v10 - *(int32_t *)(v15 + 0x4c0d28) - 1 + *v11;
            v17 = *v11;
            g6 = (int32_t)*(char *)(*v6 + 1120) | v17 & -256;
            v14 = *(char *)(*v6 + 1121);
            g8 = (int32_t)v14 | (int32_t)((0x100000000 * (int64_t)(v13 >> 31) | (int64_t)v13) % (int64_t)v17) & -256;
            function_47ecd4();
            *v12 = g3;
            g8 = *v12;
            function_407938();
            v18 = *(int32_t *)(v15 + 0x4c0d0c);
            if (*v12 != 0) {
              lab_0x483c13:
                // 0x483c13
                if (v18 < *(int32_t *)(v5 + 28)) {
                    // 0x483b84
                    *(int32_t *)(g11 - 4) = *(int32_t *)(v5 + 60);
                    *(int32_t *)(g11 - 8) = *v10 * v18 + *(int32_t *)(v16 + 1108);
                    *(int32_t *)(g11 - 12) = 0x483b9b;
                    abort();
                    // UNREACHABLE
                }
            }
          lab_0x483c22:;
            // 0x483c22
            // PHI copies at the loop end
            // loop 0x483ab6 end
        }
        // 0x483c2f
        g8 = v4;
        g3 = v5;
        *(int32_t *)(g11 - 4) = 0x483c3a;
        function_482e28();
        return;
    }
    // 0x483ab6
    v10 = (int32_t *)(v5 + 24);
    v12 = (int32_t *)(v5 + 32);
    // branch -> 0x483ab6
    for (unsigned char i = 0; i < 7; i++) {
        // 0x483ab6
        v15 = 4 * (int32_t)i;
        g11 = v3;
        v11 = (int32_t *)(v15 + 0x4c0d60);
        v13 = *v10 - *(int32_t *)(v15 + 0x4c0d28) - 1 + *v11;
        v17 = *v11;
        g6 = (int32_t)*(char *)(*v6 + 1120) | v17 & -256;
        v14 = *(char *)(*v6 + 1121);
        g8 = (int32_t)v14 | (int32_t)((0x100000000 * (int64_t)(v13 >> 31) | (int64_t)v13) % (int64_t)v17) & -256;
        function_47ecd4();
        *v12 = g3;
        g8 = *v12;
        function_407938();
        v18 = *(int32_t *)(v15 + 0x4c0d0c);
        v16 = *v6;
        if (*v12 == 0) {
            goto lab_0x483c22;
        }
        goto lab_0x483c13;
    }
}

// Address range: 0x483c40 - 0x483f6f
void function_483c40(void) {
    int32_t v1 = g3; // 0x483c46
    int32_t * v2 = (int32_t *)(v1 + 12); // 0x483c4c_0
    int32_t * v3; // 0x483d33_0
    int32_t * v4; // 0x483d73_0
    int32_t * v5; // 0x483db0_0
    int32_t * v6; // 0x483dc9_0
    int32_t * v7; // 0x483dfb_0
    int32_t * v8; // 0x483e18_0
    int32_t * v9;
    int32_t * v10;
    int32_t * v11;
    char v12; // bp+426
    char v13; // bp+427
    char v14; // bp+428
    char v15;
    char v16;
    int32_t v17; // 0x483dfb
    int32_t v18;
    int32_t v19;
    int32_t v20; // 0x483cdf
    int32_t v21; // 0x483ce2
    unsigned char v22; // 0x483ce5
    int32_t v23; // 0x483cf7
    int32_t v24; // 0x483d2d
    int32_t v25; // 0x483dc3
    char v26; // 0x483e0721
    int32_t v27; // 0x483e51
    int32_t v28; // 0x483e54
    int32_t v29; // 0x483e65
    int32_t v30; // 0x483f2c11
    int32_t v31; // 0x483f4e31
    char v32; // 0x483f6136
    char v33; // 0x483cf1
    int32_t v34; // 0x483e8d
    int32_t v35; // 0x483d03
    int32_t v36; // 0x483f3b16
    int32_t v37; // 0x483f3b17
    if (*(char *)(*v2 + 300) != 2) {
        int32_t * v38 = (int32_t *)(v1 + 36); // 0x483c74_0
        int32_t * v39 = (int32_t *)(v1 + 60); // 0x483c97_0
        char v40 = 0; // bp+429
        int32_t v41 = *(int32_t *)(v1 + 32); // 0x483f3b19
        // branch -> 0x483c6e
        while (true) {
            int32_t v42 = v40; // 0x483c6e
            char v43 = 0;
            if (v42 >= *v38) {
                // 0x483c79
                v43 = *(char *)(*v39 + v42 - *v38);
                // branch -> 0x483c94
            }
            int32_t v44 = *v39; // 0x483c97
            unsigned char v45 = *(char *)(v44 + v42); // 0x483c9d
            int32_t v46 = *(int32_t *)(v1 + 44); // 0x483ca6
            g6 = v42;
            *(char *)(v46 + v42) = (char)(((int32_t)v45 | v44 & -256) - (int32_t)v43);
            int32_t v47 = v41 - 1; // 0x483cb2
            if (v47 == 0) {
                // break -> 0x483cb7
                break;
            }
            v40++;
            v41 = v47;
            // continue -> 0x483c6e
        }
        // 0x483cb7
        if (*(char *)(*v2 + 300) != 4) {
            // 0x483cc6
            v14 = 0;
            v20 = *(int32_t *)(v1 + 60);
            v21 = v14;
            v22 = *(char *)(v20 + v21);
            v33 = *(char *)(*(int32_t *)(v1 + 40) + v21);
            v23 = *(int32_t *)(v1 + 48);
            g6 = v21;
            *(char *)(v23 + v21) = (char)(((int32_t)v22 | v20 & -256) - (int32_t)v33);
            v35 = *(int32_t *)(v1 + 32) - 1;
            // branch -> 0x483cdc
            while (v35 != 0) {
                // 0x483cdc
                v14++;
                v20 = *(int32_t *)(v1 + 60);
                v21 = v14;
                v22 = *(char *)(v20 + v21);
                v33 = *(char *)(*(int32_t *)(v1 + 40) + v21);
                v23 = *(int32_t *)(v1 + 48);
                g6 = v21;
                *(char *)(v23 + v21) = (char)(((int32_t)v22 | v20 & -256) - (int32_t)v33);
                v35--;
                // continue -> 0x483cdc
            }
            // 0x483d08
            if (*(char *)(*v2 + 300) != 8) {
                // 0x483d17
                v3 = (int32_t *)(v1 + 36);
                v4 = (int32_t *)(v1 + 60);
                v13 = 0;
                v37 = *(int32_t *)(v1 + 32);
                // branch -> 0x483d2d
                while (true) {
                    // 0x483d2d
                    v24 = v13;
                    v15 = 0;
                    if (v24 >= *v3) {
                      lab_0x483d38_3:
                        // 0x483d38
                        v15 = *(char *)(*v4 + v24 - *v3);
                        // branch -> 0x483d53
                    }
                  lab_0x483d53_3:;
                    unsigned char v48 = *(char *)(*(int32_t *)(v1 + 40) + v24); // 0x483d5c
                    int32_t v49 = *v4; // 0x483d73
                    unsigned char v50 = *(char *)(v49 + v24); // 0x483d79
                    int32_t v51 = *(int32_t *)(v1 + 52); // 0x483d81
                    g6 = v24;
                    *(char *)(v51 + v24) = (char)(((int32_t)v50 | v49 & -256) - ((int32_t)v48 + (int32_t)v15) / 2);
                    char v52 = v13 + 1; // 0x483d8a
                    int32_t v53 = v37 - 1; // 0x483d8d
                    if (v53 == 0) {
                        // break -> 0x483d92
                        break;
                    }
                    v13 = v52;
                    v37 = v53;
                    // continue -> 0x483d2d
                }
                // 0x483d92
                if (*(char *)(*v2 + 300) == 16) {
                    // 0x483d92
                    v18 = v1 + 40;
                    v11 = (int32_t *)(v1 + 32);
                    v10 = (int32_t *)v18;
                    v19 = v18;
                    v9 = (int32_t *)(v1 + 60);
                    // branch -> 0x483e37
                } else {
                    // 0x483da5
                    v5 = (int32_t *)(v1 + 32);
                    v6 = (int32_t *)(v1 + 36);
                    v17 = v1 + 40;
                    v7 = (int32_t *)v17;
                    v8 = (int32_t *)(v1 + 60);
                    v12 = 0;
                    char v54 = 0;
                    char v55 = 0; // 0x483e0720
                    v36 = *v5;
                    // branch -> 0x483dc3
                    while (true) {
                        // 0x483dc3
                        v25 = v12;
                        v16 = v54;
                        v26 = v55;
                        if (v25 >= *v6) {
                          lab_0x483dce_4:
                            // 0x483dce
                            v16 = *(char *)(*v8 + v25 - *v6);
                            v26 = *(char *)(*v7 + v25 - *v6);
                            // branch -> 0x483df8
                        }
                      lab_0x483df8_4:;
                        int32_t v56 = *v7; // 0x483dfb
                        g6 = g6 & -256 | (int32_t)v26;
                        g8 = (int32_t)*(char *)(v56 + v25) | v25 & -256;
                        g3 = v56 & -256 | (int32_t)v16;
                        function_47ec3c();
                        int32_t v57 = *v8; // 0x483e18
                        unsigned char v58 = *(char *)(v57 + v25); // 0x483e1e
                        int32_t v59 = *(int32_t *)(v1 + 56); // 0x483e26
                        g6 = v25;
                        *(char *)(v59 + v25) = (char)(((int32_t)v58 | v57 & -256) - g3);
                        char v60 = v12 + 1; // 0x483e2f
                        int32_t v61 = v36 - 1; // 0x483e32
                        if (v61 == 0) {
                            v11 = v5;
                            v10 = v7;
                            v19 = v17;
                            v9 = v8;
                            // break -> 0x483e37
                            break;
                        }
                        v12 = v60;
                        v54 = v16;
                        v55 = v26;
                        v36 = v61;
                        // continue -> 0x483dc3
                    }
                    // 0x483e37
                    g8 = *v9;
                    g3 = *v10;
                    g6 = v1;
                    function_407924();
                    v27 = *v2;
                    v28 = g8 & -256;
                    if ((v28 || 1) == (int32_t)*(char *)(v27 + 300)) {
                        // 0x483f61
                        g3 = (int32_t)0 | v27 & -256;
                        return;
                    }
                    // 0x483e62
                    v29 = *v2;
                    if (v28 == (int32_t)*(char *)(v29 + 300)) {
                        // 0x483f61
                        g3 = (int32_t)0 | v29 & -256;
                        return;
                    }
                    int32_t v62 = 0; // 0x483e8d
                    v32 = 0;
                    v31 = 0;
                    v30 = *v11;
                    // branch -> 0x483e8d
                    for (unsigned char i = 0; i < 5; i++) {
                        // 0x483e8d
                        v34 = i;
                        int32_t v63; // 0x483f2c10
                        int32_t v64; // 0x483f4e30
                        char v65; // 0x483f6137
                        int32_t v66; // 0x483f6145
                        if ((v34 || v62 & -256) <= 7) {
                          lab_0x483ea4_5:;
                            int32_t v67 = v34 & 127; // 0x483e9a
                            if ((*(int32_t *)(*v2 + 300 + 4 * v67 / 32) & 1 << (v34 & 31)) == 0) {
                                v64 = v31;
                                v66 = v67;
                                v65 = v32;
                                v63 = v30;
                              lab_0x483f54_3:
                                // 0x483f54
                                // PHI copies at the loop end
                                v62 = v66;
                                v32 = v65;
                                v31 = v64;
                                v30 = v63;
                                // loop 0x483e8d end
                                continue;
                            }
                        }
                      lab_0x483eaa_5:;
                        int32_t v68 = v30 & -256 | 1; // 0x483eb5
                        System__SetElem(v68);
                        char v69;
                        int32_t v70 = (int32_t)&v69 & -256; // 0x483ebc
                        char v71 = *(char *)(*v2 + 300); // 0x483ec5
                        if ((v70 || (int32_t)v69) == (int32_t)v71) {
                            // 0x483ecd
                            // branch -> 0x483f61
                            // 0x483f61
                            g3 = (int32_t)i | (v70 | v34) & -256;
                            return;
                        }
                        int32_t v72 = *v11; // 0x483edb
                        int32_t v73 = v72 - 1; // 0x483ede
                        int32_t v74 = 0; // 0x483f4e34
                        if (v73 >= 2) {
                            int32_t * v75 = (int32_t *)(4 * (int32_t)i + v19); // 0x483ef5_0
                            int32_t v76 = 0; // 0x483f4e33
                            int32_t v77 = 2; // 0x483f3824
                            int32_t v78 = v72 - 2; // 0x483f3b15
                            // branch -> 0x483eef
                            while (true) {
                                int32_t v79 = *v75; // 0x483ef5
                                unsigned char v80 = *(char *)(v79 + v77); // 0x483efc
                                char v81 = *(char *)(v77 - 1 + *v75); // 0x483f0c
                                int32_t v82; // 0x483f4e32
                                if (((int32_t)v80 || v79 & -256) != (int32_t)v81) {
                                    int32_t v83 = *v75; // 0x483f18
                                    unsigned char v84 = *(char *)(v83 + v77); // 0x483f1f
                                    char v85 = *(char *)(v77 - 2 + *v75); // 0x483f2f
                                    if (((int32_t)v84 || v83 & -256) != (int32_t)v85) {
                                        v82 = v76;
                                      lab_0x483f38:;
                                        int32_t v86 = v77 + 1; // 0x483f38
                                        int32_t v87 = v78 - 1; // 0x483f3b
                                        if (v87 == 0) {
                                            v74 = v82;
                                            v68 = v73;
                                            // break -> 0x483f40
                                            break;
                                        }
                                        v76 = v82;
                                        v77 = v86;
                                        v78 = v87;
                                        // continue -> 0x483eef
                                        continue;
                                    }
                                }
                                // 0x483f35
                                v82 = v76 + 1;
                                // branch -> 0x483f38
                                goto lab_0x483f38;
                            }
                            // 0x483f40
                            if (v74 <= v31) {
                                v64 = v31;
                                v66 = v74;
                                v65 = v32;
                                v63 = v68;
                                goto lab_0x483f54_3;
                            }
                          lab_0x483f48:
                            // 0x483f48
                            v64 = v74;
                            v66 = v74;
                            v65 = i;
                            v63 = v68;
                            // branch -> 0x483f54
                            goto lab_0x483f54_3;
                        }
                        // 0x483f40
                        if (v74 > v31) {
                            goto lab_0x483f48;
                        }
                        v64 = v31;
                        v66 = v74;
                        v65 = v32;
                        v63 = v68;
                        goto lab_0x483f54_3;
                    }
                }
                // 0x483e37
                g8 = *v9;
                g3 = *v10;
                g6 = v1;
                function_407924();
                v27 = *v2;
                v28 = g8 & -256;
                if ((v28 || 1) == (int32_t)*(char *)(v27 + 300)) {
                    // 0x483f61
                    g3 = (int32_t)0 | v27 & -256;
                    return;
                }
                // 0x483e62
                v29 = *v2;
                if (v28 == (int32_t)*(char *)(v29 + 300)) {
                    // 0x483f61
                    g3 = (int32_t)0 | v29 & -256;
                    return;
                }
                // 0x483e7f
                v32 = 0;
                v31 = 0;
                v30 = *v11;
                // branch -> 0x483e8d
                for (unsigned char i = 0; i < 5; i++) {
                    // 0x483e8d
                    v34 = i;
                    if (v34 > 7) {
                        goto lab_0x483eaa_5;
                    }
                    goto lab_0x483ea4_5;
                }
            }
            // 0x483d92
            if (*(char *)(*v2 + 300) == 16) {
                // 0x483d92
                v18 = v1 + 40;
                v11 = (int32_t *)(v1 + 32);
                v10 = (int32_t *)v18;
                v19 = v18;
                v9 = (int32_t *)(v1 + 60);
                // branch -> 0x483e37
            } else {
                // 0x483da5
                v5 = (int32_t *)(v1 + 32);
                v6 = (int32_t *)(v1 + 36);
                v17 = v1 + 40;
                v7 = (int32_t *)v17;
                v8 = (int32_t *)(v1 + 60);
                v12 = 0;
                v36 = *v5;
                // branch -> 0x483dc3
                while (true) {
                    // 0x483dc3
                    v25 = v12;
                    if (v25 < *v6) {
                        v16 = 0;
                        v26 = 0;
                        goto lab_0x483df8_4;
                    }
                    goto lab_0x483dce_4;
                }
            }
            // 0x483e37
            g8 = *v9;
            g3 = *v10;
            g6 = v1;
            function_407924();
            v27 = *v2;
            v28 = g8 & -256;
            if ((v28 || 1) == (int32_t)*(char *)(v27 + 300)) {
                // 0x483f61
                g3 = (int32_t)0 | v27 & -256;
                return;
            }
            // 0x483e62
            v29 = *v2;
            if (v28 == (int32_t)*(char *)(v29 + 300)) {
                // 0x483f61
                g3 = (int32_t)0 | v29 & -256;
                return;
            }
            // 0x483e7f
            v32 = 0;
            v31 = 0;
            v30 = *v11;
            // branch -> 0x483e8d
            for (unsigned char i = 0; i < 5; i++) {
                // 0x483e8d
                v34 = i;
                if (v34 > 7) {
                    goto lab_0x483eaa_5;
                }
                goto lab_0x483ea4_5;
            }
        }
        // 0x483d08
        if (*(char *)(*v2 + 300) != 8) {
            // 0x483d17
            v3 = (int32_t *)(v1 + 36);
            v4 = (int32_t *)(v1 + 60);
            v13 = 0;
            v37 = *(int32_t *)(v1 + 32);
            // branch -> 0x483d2d
            while (true) {
                // 0x483d2d
                v24 = v13;
                if (v24 < *v3) {
                    v15 = 0;
                    goto lab_0x483d53_3;
                }
                goto lab_0x483d38_3;
            }
        }
        // 0x483d92
        if (*(char *)(*v2 + 300) == 16) {
            // 0x483d92
            v18 = v1 + 40;
            v11 = (int32_t *)(v1 + 32);
            v10 = (int32_t *)v18;
            v19 = v18;
            v9 = (int32_t *)(v1 + 60);
            // branch -> 0x483e37
        } else {
            // 0x483da5
            v5 = (int32_t *)(v1 + 32);
            v6 = (int32_t *)(v1 + 36);
            v17 = v1 + 40;
            v7 = (int32_t *)v17;
            v8 = (int32_t *)(v1 + 60);
            v12 = 0;
            v36 = *v5;
            // branch -> 0x483dc3
            while (true) {
                // 0x483dc3
                v25 = v12;
                if (v25 < *v6) {
                    v16 = 0;
                    v26 = 0;
                    goto lab_0x483df8_4;
                }
                goto lab_0x483dce_4;
            }
        }
        // 0x483e37
        g8 = *v9;
        g3 = *v10;
        g6 = v1;
        function_407924();
        v27 = *v2;
        v28 = g8 & -256;
        if ((v28 || 1) == (int32_t)*(char *)(v27 + 300)) {
            // 0x483f61
            g3 = (int32_t)0 | v27 & -256;
            return;
        }
        // 0x483e62
        v29 = *v2;
        if (v28 == (int32_t)*(char *)(v29 + 300)) {
            // 0x483f61
            g3 = (int32_t)0 | v29 & -256;
            return;
        }
        // 0x483e7f
        v32 = 0;
        v31 = 0;
        v30 = *v11;
        // branch -> 0x483e8d
        for (unsigned char i = 0; i < 5; i++) {
            // 0x483e8d
            v34 = i;
            if (v34 > 7) {
                goto lab_0x483eaa_5;
            }
            goto lab_0x483ea4_5;
        }
    }
    // 0x483cb7
    if (*(char *)(*v2 + 300) != 4) {
        // 0x483cc6
        v14 = 0;
        v20 = *(int32_t *)(v1 + 60);
        v21 = v14;
        v22 = *(char *)(v20 + v21);
        v33 = *(char *)(*(int32_t *)(v1 + 40) + v21);
        v23 = *(int32_t *)(v1 + 48);
        g6 = v21;
        *(char *)(v23 + v21) = (char)(((int32_t)v22 | v20 & -256) - (int32_t)v33);
        v35 = *(int32_t *)(v1 + 32) - 1;
        // branch -> 0x483cdc
        while (v35 != 0) {
            // 0x483cdc
            v14++;
            v20 = *(int32_t *)(v1 + 60);
            v21 = v14;
            v22 = *(char *)(v20 + v21);
            v33 = *(char *)(*(int32_t *)(v1 + 40) + v21);
            v23 = *(int32_t *)(v1 + 48);
            g6 = v21;
            *(char *)(v23 + v21) = (char)(((int32_t)v22 | v20 & -256) - (int32_t)v33);
            v35--;
            // continue -> 0x483cdc
        }
        // 0x483d08
        if (*(char *)(*v2 + 300) != 8) {
            // 0x483d17
            v3 = (int32_t *)(v1 + 36);
            v4 = (int32_t *)(v1 + 60);
            v13 = 0;
            v37 = *(int32_t *)(v1 + 32);
            // branch -> 0x483d2d
            while (true) {
                // 0x483d2d
                v24 = v13;
                if (v24 < *v3) {
                    v15 = 0;
                    goto lab_0x483d53_3;
                }
                goto lab_0x483d38_3;
            }
        }
        // 0x483d92
        if (*(char *)(*v2 + 300) == 16) {
            // 0x483d92
            v18 = v1 + 40;
            v11 = (int32_t *)(v1 + 32);
            v10 = (int32_t *)v18;
            v19 = v18;
            v9 = (int32_t *)(v1 + 60);
            // branch -> 0x483e37
        } else {
            // 0x483da5
            v5 = (int32_t *)(v1 + 32);
            v6 = (int32_t *)(v1 + 36);
            v17 = v1 + 40;
            v7 = (int32_t *)v17;
            v8 = (int32_t *)(v1 + 60);
            v12 = 0;
            v36 = *v5;
            // branch -> 0x483dc3
            while (true) {
                // 0x483dc3
                v25 = v12;
                if (v25 < *v6) {
                    v16 = 0;
                    v26 = 0;
                    goto lab_0x483df8_4;
                }
                goto lab_0x483dce_4;
            }
        }
        // 0x483e37
        g8 = *v9;
        g3 = *v10;
        g6 = v1;
        function_407924();
        v27 = *v2;
        v28 = g8 & -256;
        if ((v28 || 1) == (int32_t)*(char *)(v27 + 300)) {
            // 0x483f61
            g3 = (int32_t)0 | v27 & -256;
            return;
        }
        // 0x483e62
        v29 = *v2;
        if (v28 == (int32_t)*(char *)(v29 + 300)) {
            // 0x483f61
            g3 = (int32_t)0 | v29 & -256;
            return;
        }
        // 0x483e7f
        v32 = 0;
        v31 = 0;
        v30 = *v11;
        // branch -> 0x483e8d
        for (unsigned char i = 0; i < 5; i++) {
            // 0x483e8d
            v34 = i;
            if (v34 > 7) {
                goto lab_0x483eaa_5;
            }
            goto lab_0x483ea4_5;
        }
    }
    // 0x483d08
    if (*(char *)(*v2 + 300) != 8) {
        // 0x483d17
        v3 = (int32_t *)(v1 + 36);
        v4 = (int32_t *)(v1 + 60);
        v13 = 0;
        v37 = *(int32_t *)(v1 + 32);
        // branch -> 0x483d2d
        while (true) {
            // 0x483d2d
            v24 = v13;
            if (v24 < *v3) {
                v15 = 0;
                goto lab_0x483d53_3;
            }
            goto lab_0x483d38_3;
        }
    }
    // 0x483d92
    if (*(char *)(*v2 + 300) == 16) {
        // 0x483d92
        v18 = v1 + 40;
        v11 = (int32_t *)(v1 + 32);
        v10 = (int32_t *)v18;
        v19 = v18;
        v9 = (int32_t *)(v1 + 60);
        // branch -> 0x483e37
    } else {
        // 0x483da5
        v5 = (int32_t *)(v1 + 32);
        v6 = (int32_t *)(v1 + 36);
        v17 = v1 + 40;
        v7 = (int32_t *)v17;
        v8 = (int32_t *)(v1 + 60);
        v12 = 0;
        v36 = *v5;
        // branch -> 0x483dc3
        while (true) {
            // 0x483dc3
            v25 = v12;
            if (v25 < *v6) {
                v16 = 0;
                v26 = 0;
                goto lab_0x483df8_4;
            }
            goto lab_0x483dce_4;
        }
    }
    // 0x483e37
    g8 = *v9;
    g3 = *v10;
    g6 = v1;
    function_407924();
    v27 = *v2;
    v28 = g8 & -256;
    if ((v28 || 1) == (int32_t)*(char *)(v27 + 300)) {
        // 0x483f61
        g3 = (int32_t)0 | v27 & -256;
        return;
    }
    // 0x483e62
    v29 = *v2;
    if (v28 == (int32_t)*(char *)(v29 + 300)) {
        // 0x483f61
        g3 = (int32_t)0 | v29 & -256;
        return;
    }
    // 0x483e7f
    v32 = 0;
    v31 = 0;
    v30 = *v11;
    // branch -> 0x483e8d
    for (unsigned char i = 0; i < 5; i++) {
        // 0x483e8d
        v34 = i;
        if (v34 > 7) {
            goto lab_0x483eaa_5;
        }
        goto lab_0x483ea4_5;
    }
}

// Address range: 0x483f70 - 0x48441b
void function_483f70(void) {
    // 0x483f70
    g3 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x48441c - 0x48445b
void function_48441c(void) {
    int32_t v1 = g3; // 0x484422
    if (*(int32_t *)(v1 + 8) == 4) {
        // 0x484444
        g3 = *(int32_t *)*(int32_t *)(v1 + 4);
        function_47ecc8();
        // branch -> 0x484454
    } else {
        // 0x48442e
        g8 = 4;
        g3 = v1;
        function_47f8e0();
        // branch -> 0x484454
    }
}

// Address range: 0x48445c - 0x4845fd
void function_48445c(void) {
    // 0x48445c
    return;
}

// Address range: 0x484600 - 0x4846e3
void function_484600(void) {
    struct struct_247 * v1 = (struct struct_247 *)g8; // 0x484606_0
    int32_t v2 = g3; // 0x484609
    if (*(int32_t *)(v2 + 8) != 4) {
        // 0x484615
        g8 = 4;
        g3 = v2;
        function_47f8e0();
        // branch -> 0x484622
    }
    // 0x484622
    g3 = (int32_t)v1;
    function_47ecc8();
    *(int32_t *)*(int32_t *)(v2 + 4) = g3;
}

// Address range: 0x4846e4 - 0x484743
void function_4846e4(void) {
    // 0x4846e4
    function_486224();
    int32_t * v1 = (int32_t *)(g3 + 312); // 0x4846f8_0
    int32_t v2 = *(int32_t *)(*v1 + 8); // 0x4846fe
    if (v2 < 1) {
        // 0x48472f
        g8 = 0;
        g3 = *v1;
        function_47f4f8();
        return;
    }
    int32_t v3 = 0; // 0x4847272
    g8 = v3;
    g3 = *v1;
    function_47f85c();
    System__TObject__Free(g6);
    int32_t v4 = v2 - 1; // 0x48472a
    // branch -> 0x484711
    while (v4 != 0) {
        // 0x484711
        v3++;
        g8 = v3;
        g3 = *v1;
        function_47f85c();
        System__TObject__Free(g6);
        v4--;
        // continue -> 0x484711
    }
    // 0x48472f
    g8 = 0;
    g3 = *v1;
    function_47f4f8();
}

// Address range: 0x484744 - 0x48484b
void function_484744(void) {
    int32_t v1 = g8; // 0x48474a
    char v2 = 0;
    if (v1 != 0) {
        // 0x48474e
        System__ClassCreate((int32_t *)g6, v1);
        v2 = g8;
        // branch -> 0x484756
    }
    int32_t v3 = g3; // 0x484759
    g8 = 0;
    function_421914();
    Graphics__TCanvas(g6);
    *(int32_t *)(v3 + 296) = 0x41deec;
    *(char *)(v3 + 300) = 2;
    *(char *)(v3 + 301) = 7;
    *(char *)(v3 + 308) = 0;
    *(int32_t *)(v3 + 304) = 0xffff;
    g8 = (v3 & -256 | 2) & -256 | 1;
    g3 = 0x47e2fc;
    function_47f288();
    *(int32_t *)(v3 + 312) = g3;
    g3 = v3;
    if (v2 == 0) {
        // 0x4847db
        g3 = v3;
        int32_t v4;
        g4 = v4;
        return;
    }
    // 0x4847cc
    System__AfterConstruction((int32_t *)v3);
    abort();
    // UNREACHABLE
}

// Address range: 0x48484c - 0x484a17
void function_48484c(void) {
    int32_t v1 = g6; // 0x484852
    int32_t v2 = g8; // 0x484855
    int32_t v3 = g3; // 0x484858
    function_48648c();
    if (g3 == 0) {
        // 0x48496f
        *(int32_t *)v1 = 0;
        *(int32_t *)v2 = 0;
        // branch -> 0x48497d
        // 0x48497d
        return;
    }
    // 0x48486b
    function_484aa4();
    int32_t v4 = g3; // 0x484873
    function_484aa4();
    int32_t v5 = g3; // 0x484882
    function_484aa4();
    g8 = (int32_t)*(char *)(v5 + 1121) | v5 & -256;
    g6 = (int32_t)*(char *)(v4 + 1120) | v4 & -256;
    function_47ecd4();
    *(int32_t *)v2 = g3;
    function_484aa4();
    unsigned char v6 = *(char *)(g3 + 1121); // 0x4848ab
    int32_t v7 = v6; // 0x4848ab
    g3 = v7;
    g2 = (v7 & 15) > 21;
    g1 = v6 < 6;
    int32_t v8 = v7 - 6; // 0x4848b2
    g187 = v8 == 0;
    g9 = llvm_ctpop_i32(v8) % 2 == 1;
    if (v6 > 6) {
        // 0x484966
        *(int32_t *)v1 = 0;
        // branch -> 0x48497d
        // 0x48497d
        return;
    }
    // 0x4848bb
    ((int32_t (*)())g16[v3])();
    char * v9 = (char *)(g5 - 0x411703bb); // 0x4848dd_0
    *v9 = (char)(g6 + (int32_t)*v9);
    int32_t * v10 = (int32_t *)g3; // 0x4848e3_0
    *v10 = *v10 + g3;
    char * v11 = (char *)(g3 + 0x460b8); // 0x4848e5_0
    *v11 = (char)((int32_t)*v11 + g3);
    char * v12 = (char *)g3; // 0x4848eb_0
    *v12 = (char)(g8 + (int32_t)*v12);
    int32_t * v13 = (int32_t *)*(int32_t *)(g4 - 12); // 0x4848f2_0
    if (g8 == 255) {
        // 0x4848ef
        *v13 = 2;
        // branch -> 0x48497d
    } else {
        // 0x4848fd
        *v13 = 1;
        // branch -> 0x48497d
    }
}

// Address range: 0x484a18 - 0x484a6f
void function_484a18(void) {
    // 0x484a18
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x484a70 - 0x484aa3
void function_484a70(void) {
    // 0x484a70
    if (g8 > 0xfffe) {
        // 0x484a94
        *(int32_t *)(g3 + 304) = g8;
        // branch -> 0x484aa0
    } else {
        // 0x484a85
        *(int32_t *)(g3 + 304) = 0xffff;
        // branch -> 0x484aa0
    }
}

// Address range: 0x484aa4 - 0x484b57
void function_484aa4(void) {
    int32_t v1;
    g4 = &v1;
    g8 = 0;
    g1 = false;
    g2 = false;
    g187 = true;
    g9 = false;
    g3 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x484b58 - 0x484bbb
void function_484b58(void) {
    struct struct_30 * v1 = (struct struct_30 *)g3; // 0x484b5e_0
    struct struct_30 * v2 = v1;
    if (v1->e2 < *(int32_t *)g3) {
        // 0x484b6e
        v1->e2 = v1->e0;
        v1->e0 = v1->e2;
        v2 = v1;
        // branch -> 0x484b8a
    }
    // 0x484b8a
    if (v2->e3 < v2->e1) {
        // 0x484b98
        v2->e3 = v2->e1;
        v1->e1 = v2->e3;
        // branch -> 0x484bb6
    }
}

// Address range: 0x484bbc - 0x485bb7
void function_484bbc(void) {
    struct struct_253 * v1;
    int32_t v2 = (int32_t)&v1; // 0x484bd8_0
    v1 = (struct struct_253 *)*(int32_t *)g6;
    *(int32_t *)(v2 + 4) = *(int32_t *)(g6 + 4);
    *(int32_t *)(v2 + 8) = *(int32_t *)(g6 + 8);
    *(int32_t *)(v2 + 12) = *(int32_t *)(g6 + 12);
    abort();
    // UNREACHABLE
}

// Address range: 0x485bb8 - 0x485c8f
void function_485bb8(void) {
    int32_t v1 = g6; // 0x485bbe
    int32_t v2 = g3; // 0x485bc4
    *(int32_t *)(v2 + 1112) = *(int32_t *)(v1 + 4);
    int32_t v3 = *(int32_t *)(v1 + 8); // 0x485bd9
    int32_t v4 = v3 >> 31; // 0x485bdc
    int32_t * v5 = (int32_t *)(v2 + 1116); // 0x485be4_0
    *v5 = (v4 ^ v3) - v4;
    int32_t v6 = v1 + 18; // 0x485bed
    int16_t * v7 = (int16_t *)v6; // 0x485bed_0
    if (*v7 < 16) {
        // 0x485c00
        *(char *)(v2 + 1120) = *(char *)v6;
        // branch -> 0x485c0f
    } else {
        // 0x485bf4
        *(char *)(v2 + 1120) = 8;
        // branch -> 0x485c0f
    }
    // 0x485c0f
    *(char *)(v2 + 1121) = *v7 < 16 ? 3 : 2;
    *(char *)(v2 + 1122) = 0;
    *(char *)(v2 + 1124) = 0;
    g3 = v2;
    function_4809d4();
    int32_t * hdc = CreateCompatibleDC(NULL); // 0x485c4d
    struct BITMAPINFO * lpbmi = (struct BITMAPINFO *)(v2 + 33); // 0x485c5d_0
    int32_t lpvBits = *(int32_t *)(v2 + 1104); // 0x485c61
    int32_t cLines = *v5; // 0x485c6b
    GetDIBits(hdc, (int32_t *)g8, 0, cLines, (char *)lpvBits, lpbmi, 0);
    DeleteDC(hdc);
}

// Address range: 0x485c90 - 0x485e53
void function_485c90(void) {
    struct struct_257 * v1;
    g11 = (int32_t)&v1;
    function_484aa4();
    v1 = (struct struct_257 *)g3;
    int32_t v2;
    g3 = *(int32_t *)(v2 - 4);
    function_486260();
    if (g3 == 2) {
        // 0x485d50
        return;
    }
    unsigned char v3 = *(char *)((int32_t)v1 + 1120); // 0x485cbf
    int32_t v4 = v3; // 0x485cbf
    g2 = false;
    g1 = v3 < 16;
    int32_t v5 = v4 - 16; // 0x485cc6
    g187 = v5 == 0;
    g9 = llvm_ctpop_i32(v5) % 2 == 1;
    if (v3 > 16) {
        // 0x485d3d
        g8 = g8 & -256 | 1;
        g3 = 0x407fd0;
        function_40d06c();
        System__RaiseExcept(0);
        // branch -> 0x485d50
    } else {
        int32_t v6 = (int32_t)*(char *)(v4 + 0x485cd8); // 0x485ccb
        g3 = v6;
        ((int32_t (*)())*(int32_t *)(4 * v6 + 0x485ce9))();
        char * v7 = (char *)g6; // 0x485cd8_0
        *v7 = (char)(g3 + (int32_t)*v7);
        int32_t v8 = g3 & -256; // 0x485cda
        int32_t v9 = (int32_t)*(char *)g3 + g3 & 255 | v8; // 0x485cda
        int32_t v10 = (int32_t)*(char *)v9 + v9; // 0x485cdc
        int32_t v11 = v10 & 255 | v8; // 0x485cdc
        char * v12 = (char *)v11; // 0x485cde_0
        *v12 = (char)((int32_t)*v12 + v10);
        int32_t v13 = *(int32_t *)v11 + v11; // 0x485ce0
        char * v14 = (char *)v13; // 0x485ce2_0
        *v14 = (char)((int32_t)*v14 + v13);
        char * v15 = (char *)v13; // 0x485ce4_0
        *v15 = (char)((int32_t)*v15 + v13);
        char * v16 = (char *)v13; // 0x485ce6_0
        *v16 = (char)((int32_t)*v16 + v13);
        int32_t v17 = v13 - 2; // 0x485cf3
        g3 = v17;
        unsigned char v18 = *(char *)-0x39ffb7a3; // 0x485cf4
        *(char *)-0x39ffb7a3 = (char)((int32_t)v18 + v17);
        g4++;
        int32_t * v19 = (int32_t *)g6; // 0x485cfb_0
        *v19 = *v19 + 1;
        // branch -> 0x485d50
    }
}

// Address range: 0x485e54 - 0x48603b
void function_485e54(void) {
    int32_t v1 = g6; // 0x485e5d
    int32_t h = g8; // 0x485e60
    int32_t v2 = g3; // 0x485e63
    int32_t pv;
    GetObjectA((int32_t *)h, 24, (char *)&pv);
    char plpal;
    int32_t v3 = &plpal; // 0x485e70_6
    g11 = v3;
    g3 = v2;
    function_4846e4();
    g6 = v2;
    g8 = g8 & -256 | 1;
    g3 = 0x47e518;
    function_4802b4();
    g6 = &pv;
    g8 = h;
    function_485bb8();
    g6 = v2;
    g8 = g8 & -256 | 1;
    g3 = 0x47e65c;
    function_47f9e8();
    int32_t v4 = g3; // 0x485eb5
    int32_t v5;
    if ((char)v1 == 0) {
        // 0x485ed9
        v5 = 0;
        // branch -> 0x485ede
    } else {
        // 0x485ec5
        g6 = v2;
        g8 = g8 & -256 | 1;
        g3 = 0x47e6c8;
        function_47f9e8();
        v5 = g3;
        // branch -> 0x485ede
    }
    // 0x485ede
    g6 = v2;
    g8 = g8 & -256 | 1;
    g3 = 0x47e734;
    function_47f9e8();
    g6 = v2;
    g8 = g8 & -256 | 1;
    g3 = 0x47e4ac;
    function_47f9e8();
    unknown_47f38c();
    unknown_47f38c();
    if ((char)v1 != 0) {
        // 0x485f33
        unknown_47f38c();
        // branch -> 0x485f44
    }
    // 0x485f44
    unknown_47f38c();
    unknown_47f38c();
    uint16_t v6;
    uint32_t v7 = (int32_t)v6 & 31; // 0x485f7c
    int32_t v8 = 1; // 0x485f81
    if (v7 != 0) {
        // if_485f7c_0_true
        v8 = 1 << v7;
        // branch -> after_if_485f7c_0
    }
    // after_if_485f7c_0
    g8 = v4;
    *(int32_t *)(v4 + 20) = v8;
    System__FillChar(NULL, 1028, plpal);
    plpal = 0;
    int32_t v9;
    int32_t v10 = &v9; // 0x485fa3_0
    int32_t v11 = v10; // 0x485faa
    if (v7 != 0) {
        // if_485fa7_0_true
        v11 = (v10 & 0xfffc) << v7 & 0xffff | v10 & -0x10000;
        // branch -> after_if_485fa7_0
    }
    int32_t v12 = v11 & 0xffff;
    int32_t v13;
    if (v12 == 0) {
        // 0x48600c
        CreatePalette((struct LOGPALETTE *)&plpal);
        g11 = v3;
        g6 = 0;
        g3 = v2;
        function_486e34();
        if ((char)v1 != 0) {
            // 0x48602a
            g8 = v13;
            g3 = v5;
            function_480c90();
            // branch -> 0x486035
        }
        // 0x486035
        return;
    }
    int32_t v14 = 0; // 0x4860042
    char * v15;
    v15[v14] = 0;
    char * v16;
    v16[v14] = 71;
    g8 = v14 & 0x3ffb800 | -0x3ffb81d;
    char * v17;
    v17[v14] = -29;
    int32_t v18 = v12 - 1; // 0x486007
    // branch -> 0x485fc8
    while (v18 != 0) {
        // 0x485fc8
        v14++;
        v15[v14] = 0;
        v16[v14] = 71;
        g8 = v14 & 0x3ffb800 | -0x3ffb81d;
        v17[v14] = -29;
        v18--;
        // continue -> 0x485fc8
    }
    // 0x48600c
    CreatePalette((struct LOGPALETTE *)&plpal);
    g11 = v3;
    g6 = 0;
    g3 = v2;
    function_486e34();
    if ((char)v1 != 0) {
        // 0x48602a
        g8 = v13;
        g3 = v5;
        function_480c90();
        // branch -> 0x486035
    }
}

// Address range: 0x48603c - 0x486133
void function_48603c(void) {
    int32_t * v1;
    int32_t v2 = (int32_t)&v1; // 0x48603f_4
    g11 = v2;
    int32_t v3 = g8; // 0x486042
    int32_t v4 = g3; // 0x486045
    *(char *)(v4 + 308) = *(char *)(v3 + 308);
    g8 = *(int32_t *)(v3 + 304);
    g3 = v4;
    function_484a70();
    *(char *)(v4 + 301) = *(char *)(v3 + 301);
    *(char *)(v4 + 300) = *(char *)(v3 + 300);
    g3 = v4;
    function_4846e4();
    int32_t * v5 = (int32_t *)(v3 + 312); // 0x48609a_0
    g8 = *(int32_t *)(*v5 + 8);
    int32_t * v6 = (int32_t *)(v4 + 312); // 0x4860a6_0
    g3 = *v6;
    function_47f4f8();
    int32_t v7 = *(int32_t *)(*v6 + 8); // 0x4860ba
    if (v7 < 1) {
        // 0x48612f
        return;
    }
    int32_t v8 = 0; // 0x4861273
    int32_t v9 = *v5; // 0x4860d0
    v1 = (int32_t *)v9;
    g8 = v8;
    g3 = v9;
    function_47f85c();
    int32_t v10; // 0x486122
    System__TObject__ClassType(v10);
    g6 = v4;
    g8 = g8 & -256 | 1;
    ((int32_t (*)())*(int32_t *)(g3 + 8))();
    g6 = g3;
    g8 = v8;
    g3 = *v6;
    function_47f4c8();
    g8 = v8;
    g3 = (int32_t)v1;
    function_47f85c();
    int32_t v11 = g3; // 0x48610f
    g8 = v8;
    g3 = *v6;
    function_47f85c();
    g8 = v11;
    g11 = v2;
    v10 = *(int32_t *)g3;
    ((int32_t (*)())*(int32_t *)(v10 + 4))();
    int32_t v12 = v7 - 1; // 0x48612a
    // branch -> 0x4860cd
    while (v12 != 0) {
        // 0x4860cd
        v8++;
        v9 = *v5;
        v1 = (int32_t *)v9;
        g8 = v8;
        g3 = v9;
        function_47f85c();
        System__TObject__ClassType(v10);
        g6 = v4;
        g8 = g8 & -256 | 1;
        ((int32_t (*)())*(int32_t *)(g3 + 8))();
        g6 = g3;
        g8 = v8;
        g3 = *v6;
        function_47f4c8();
        g8 = v8;
        g3 = (int32_t)v1;
        function_47f85c();
        v11 = g3;
        g8 = v8;
        g3 = *v6;
        function_47f85c();
        g8 = v11;
        g11 = v2;
        v10 = *(int32_t *)g3;
        ((int32_t (*)())*(int32_t *)(v10 + 4))();
        v12--;
        // continue -> 0x4860cd
    }
}

// Address range: 0x486134 - 0x48618b
void function_486134(void) {
    int32_t v1 = g8; // 0x48613a
    function_484aa4();
    char * v2 = (char *)(g3 + 1121); // 0x48614e_0
    int32_t v3;
    if (*v2 == 6) {
        // 0x486163
        // branch -> 0x486182
        // 0x486182
        g3 = *(int32_t *)(g3 + 1108) + *(int32_t *)(g3 + 1112) * v1;
        g4 = v3;
        return;
    }
    // 0x486157
    if (*v2 != 4) {
        // 0x48617d
        // branch -> 0x486182
        // 0x486182
        g3 = 0;
        g4 = v3;
        return;
    }
    // 0x486163
    // branch -> 0x486182
    // 0x486182
    g3 = *(int32_t *)(g3 + 1108) + *(int32_t *)(g3 + 1112) * v1;
    g4 = v3;
}

// Address range: 0x48618c - 0x4861d7
void function_48618c(void) {
    // 0x48618c
    function_484aa4();
}

// Address range: 0x4861d8 - 0x486223
void function_4861d8(void) {
    // 0x4861d8
    function_484aa4();
    int32_t * v1 = (int32_t *)(g3 + 1128); // 0x4861fc_0
    int32_t v2 = *(int32_t *)(g3 + 1104); // 0x486205
    g6 = g3;
    g3 = v2 + *v1 * (*(int32_t *)(g3 + 1116) - 1) - *v1 * g8;
}

// Address range: 0x486224 - 0x48625f
void function_486224(void) {
    int32_t v1 = 0; // 0x486232
    char v2 = 0; // 0x48624f_42
    // branch -> 0x486232
    while (true) {
        int32_t v3 = v2; // 0x486232
        int32_t v4 = v2; // 0x486235
        *(char *)(g3 + 317 + v4) = v2;
        *(char *)(g3 + 40 + v4) = v2;
        v1 = (v3 | v1 & -256) & -256 | v3;
        v2++;
        // branch -> 0x486232
    }
}

// Address range: 0x486260 - 0x4862ff
void function_486260(void) {
    // 0x486260
    function_484aa4();
    int32_t v1 = g3; // 0x486271
    g8 = 0x47e6c8;
    g3 += 312;
    function_47f880();
    System__AsClass((int32_t *)g6, (int32_t *)0x47e6c8);
    unsigned char v2 = *(char *)(v1 + 1121); // 0x48629d
    int32_t v3 = 0; // 0x4862f71
    int32_t v4;
    switch (v2) {
        case 0: {
            // 0x4862d2
            v3 = g3 != 0;
            // branch -> 0x4862f7
            break;
        }
        case 2: {
            // 0x4862d2
            v3 = g3 != 0;
            // branch -> 0x4862f7
            break;
        }
        case 3: {
            // 0x4862de
            int32_t v5; // 0x4862f7
            if (g3 != 0) {
                // 0x4862e4
                v5 = g3;
                v3 = *(char *)(g3 + 20) == 0 ? 2 : 1;
                // branch -> 0x4862f7
            } else {
                v5 = 3;
                v3 = 0;
            }
            // 0x4862f7
            g3 = v5 & -256 | v3;
            g4 = v4;
            return;
        }
        case 4: {
            // 0x4862cc
            *(char *)(g4 - 5) = 2;
            v3 = 0;
            // branch -> 0x4862f7
            break;
        }
        case 6: {
            // 0x4862cc
            *(char *)(g4 - 5) = 2;
            v3 = 0;
            // branch -> 0x4862f7
            break;
        }
    }
    // 0x4862f7
    g3 = (int32_t)v2 & -256 | v3;
    g4 = v4;
}

// Address range: 0x486300 - 0x48643f
void function_486300(void) {
    // 0x486300
    function_484aa4();
    char * v1 = (char *)(g3 + 1121); // 0x486317_0
    if ((g3 & -256) == 0) {
        // 0x48632e
        *v1 = *v1 == 0 ? 4 : 6;
        int32_t * v2 = (int32_t *)(g3 + 1112); // 0x486353_0
        int32_t * v3 = (int32_t *)(g3 + 1116); // 0x48635c_0
        int32_t v4 = *v3; // 0x48635c
        int32_t v5 = (int64_t)v4 * (int64_t)*v2; // eax
        System__GetMem(g6);
        *(int32_t *)(g3 + 1108) = v5;
        System__FillChar((char *)(g6 | 255), *v3 * *v2, (char)g3);
        // branch -> 0x48643a
    }
}

// Address range: 0x486440 - 0x48648b
void function_486440(void) {
    // 0x486440
    g8 = 0x47e6c8;
    g3 += 312;
    function_47f880();
    System__AsClass((int32_t *)g6, (int32_t *)0x47e6c8);
    int32_t v1 = g3; // 0x486468
    if (v1 == 0) {
        // 0x48647e
        // branch -> 0x486483
    } else {
        // 0x486471
        g3 = v1;
        function_480dec();
        // branch -> 0x486483
    }
}

// Address range: 0x48648c - 0x4864d3
void function_48648c(void) {
    int32_t * v1 = (int32_t *)(g3 + 312); // 0x486498_0
    if (*(int32_t *)(*v1 + 8) == 0) {
        // 0x4864c3
        // branch -> 0x4864c9
        // 0x4864c9
        g3 = 0;
        return;
    }
    // 0x4864a4
    g8 = 0;
    g3 = *v1;
    function_47f85c();
    System__IsClass((int32_t *)g6, (int32_t *)0x47e518);
    if (g3 != 0) {
        // 0x4864c7
        // branch -> 0x4864c9
        // 0x4864c9
        g3 = g3 & -256 | 1;
        return;
    }
    // 0x4864c3
    // branch -> 0x4864c9
    // 0x4864c9
    g3 = 0;
}

// Address range: 0x4864d4 - 0x486657
void function_4864d4(void) {
    int32_t v1 = g8; // 0x4864de
    int32_t v2 = g3; // 0x4864e1
    function_484aa4();
    int32_t v3 = g3; // 0x4864ec
    unsigned char v4 = *(char *)(v3 + 1120); // 0x4864f2
    int32_t v5 = v3 & -256; // 0x4864f2
    g8 = g6;
    function_4861d8();
    uint32_t v6 = v4 > 8 ? 8 : (int32_t)v4; // 0x486513
    int32_t v7 = 8 - v6; // 0x486562
    if ((v7 - (int32_t)((0x100000000 * (int64_t)(v1 >> 31) || (int64_t)v1) % (int64_t)(8 / v6)) * v6 & 31) != 0) {
        // if_48656b_0_true
        // branch -> after_if_48656b_0
    }
    // after_if_48656b_0
    g6 = v7;
    if ((v7 & 31) != 0) {
        // if_486581_0_true
        // branch -> after_if_486581_0
    }
    unsigned char v8 = *(char *)(v3 + 1121); // 0x486589
    if (((((int32_t)v8 || v5) - 1 & 255 || v5) - 2 & 255) == 0) {
        // 0x48659b
        g3 = *(int32_t *)(v2 + 312);
        g8 = 0x47e65c;
        function_47f880();
        function_483f70();
        int32_t v9 = v2 + 317; // 0x4865c2
        g6 = g6 & -256 | (int32_t)*(char *)((g3 & 255) + v9);
        unsigned char v10;
        unsigned char v11 = *(char *)(v9 + (int32_t)v10); // 0x4865d1
        g8 = (int32_t)v11 | v2 & -256;
        unsigned char v12;
        g3 = (int32_t)*(char *)(v9 + (int32_t)v12);
        function_4079a0();
        // branch -> 0x486650
    }
}

// Address range: 0x486658 - 0x48675b
void function_486658(void) {
    int32_t v1 = g8; // 0x486661
    struct struct_19 * v2 = (struct struct_19 *)g3; // bp-8
    function_484aa4();
    int32_t v3 = g3; // 0x48666f
    Graphics__ColorToRGB((int32_t *)g6);
    g3 = (int32_t)v2;
    int32_t v4 = v2->e0; // 0x48667e
    g8 = v4;
    int32_t * v5;
    ((int32_t (*)(int32_t))*(int32_t *)(v4 + 36))((int32_t)v5);
    GetNearestPaletteIndex();
    unsigned char v6 = *(char *)(v3 + 1120); // 0x48668f
    g8 = g6;
    function_4861d8();
    uint32_t v7 = v6 > 8 ? 8 : (int32_t)v6; // 0x4866b0
    int64_t v8 = 8 / v7; // 0x4866c86
    int64_t v9 = 0x100000000 * (int64_t)(v1 >> 31) | (int64_t)v1; // 0x4866c8
    char * v10 = (char *)((int32_t)(v9 / v8) + g3); // 0x4866ce_0
    int32_t v11 = (int32_t)*(char *)(4 * v7 + 0x4c0e2c); // 0x486708
    uint32_t v12 = 8 - v7 - (int32_t)(v9 % v8) * v7 & 31; // 0x48670f
    int32_t v13 = v11; // 0x486711
    if (v12 != 0) {
        // if_48670f_0_true
        v13 = v11 << v12 & 255;
        // branch -> after_if_48670f_0
    }
    // after_if_48670f_0
    *v10 = (char)((int32_t)*v10 & (v13 ^ 255));
    int32_t v14 = g3 & 255; // 0x48674a
    int32_t v15; // 0x486752
    if (v12 != 0) {
        // if_48674d_0_true
        v15 = v14 << v12 & 255;
        // branch -> after_if_48674d_0
    } else {
        v15 = v14;
    }
    // after_if_48674d_0
    *v10 = (char)((int32_t)*v10 | v15);
}

// Address range: 0x48675c - 0x4867a3
void function_48675c(void) {
    int32_t v1 = g8; // 0x486765
    g8 = g6;
    function_4861d8();
    int32_t v2 = 3 * v1; // 0x486779
    int32_t v3 = g3 + v2; // 0x48677c
    g6 = g6 & -256 | (int32_t)*(char *)v3;
    g8 = (int32_t)*(char *)(v3 + 1) | v2 & -256;
    g3 = (int32_t)*(char *)(v3 + 2) | v3 & -256;
    function_4079a0();
}

// Address range: 0x4867a4 - 0x4867f7
void function_4867a4(void) {
    int32_t v1 = g8; // 0x4867ad
    g8 = g6;
    function_4861d8();
    struct struct_33 * v2 = (struct struct_33 *)(g3 + 3 * v1); // bp-20
    function_4079bc();
    int32_t v3;
    *(char *)((int32_t)v2 + 2) = (char)v3;
    g3 = v3;
    function_4079c0();
    *(char *)((int32_t)v2 + 1) = (char)g3;
    g3 = v3;
    function_4079c4();
    v2->e0 = g3;
}

// Address range: 0x4867f8 - 0x486833
void function_4867f8(void) {
    int32_t v1 = g8; // 0x486801
    g8 = g6;
    function_4861d8();
    int32_t v2 = g3; // 0x486815
    int32_t v3 = (int32_t)*(char *)(v2 + v1); // 0x486815
    g6 = g6 & -256 | v3;
    g8 = v3 | v1 & -256;
    g3 = v3 | v2 & -256;
    function_4079a0();
}

// Address range: 0x486834 - 0x486867
void function_486834(void) {
    int32_t v1 = g8; // 0x48683d
    g8 = g6;
    function_4861d8();
    function_4079bc();
    int32_t v2;
    *(char *)(g3 + v1) = (char)v2;
}

// Address range: 0x486868 - 0x486893
void function_486868(void) {
    // 0x486868
    return;
}

// Address range: 0x486894 - 0x486e33
void function_486894(void) {
    // 0x486894
    abort();
    // UNREACHABLE
}

// Address range: 0x486e34 - 0x487177
void function_486e34(void) {
    int32_t hPal = g8; // 0x486e3d
    function_484aa4();
    if (*(char *)(g3 + 32) == 0) {
        // 0x486eae
        return;
    }
    // 0x486e51
    if ((char)g6 != 0) {
        // 0x486e57
        function_484aa4();
        g8 = hPal;
        function_4808c4();
        // branch -> 0x486e67
    }
    // 0x486e67
    function_484aa4();
    SelectPalette((int32_t *)*(int32_t *)(g3 + 24), (int32_t *)hPal, false);
    function_484aa4();
    RealizePalette((int32_t *)*(int32_t *)(g3 + 24));
    function_484aa4();
    DeleteObject((int32_t *)*(int32_t *)(g3 + 28));
    function_484aa4();
    *(int32_t *)(g3 + 28) = hPal;
    // branch -> 0x486eae
}

// Address range: 0x487178 - 0x48718f
void function_487178(void) {
    int32_t v1;
    g3 = v1;
    int32_t v2;
    int32_t v3;
    char v4;
    System__FillChar((char *)&v3, v2, v4);
}

// Address range: 0x487190 - 0x4871a3
void function_487190(void) {
    // 0x487190
    char * v1;
    char * v2;
    int32_t v3;
    System__Move(v1, v2, v3);
    g4 = v3;
}

// Address range: 0x4871a4 - 0x487203
void function_4871a4(void) {
    // 0x4871a4
    function_487878();
}

// Address range: 0x487204 - 0x4872f3
void function_487204(void) {
    // 0x487204
    abort();
    // UNREACHABLE
}

// Address range: 0x4872f4 - 0x487877
void function_4872f4(void) {
    int32_t * v1;
    g4 = (int32_t)&v1;
    System__FillChar(NULL, 56, (char)g7);
    int32_t * v2;
    *v2 = 0;
    System__GetMem(10);
    *(int32_t *)g6 = *v2;
    g1 = false;
    g2 = false;
    g187 = true;
    g9 = false;
    abort();
    // UNREACHABLE
}

// Address range: 0x487878 - 0x487893
void function_487878(void) {
    // 0x487878
    g6 = 8;
    function_487894();
}

// Address range: 0x487894 - 0x487bdb
void function_487894(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g8; // 0x48789f
    int32_t v3 = g3; // 0x4878a2
    g10 = v3;
    char * v4;
    if (v4 != NULL) {
        // 0x4878b2
        if (((int32_t)*v4 || (int32_t)v4 & -256) == g41) {
            // 0x4878bc
            int32_t v5;
            if (v5 == 56) {
                // 0x4878cc
                if (v3 == 0) {
                    // 0x4878d0
                    // branch -> 0x487ac5
                } else {
                    // 0x4878da
                    *(int32_t *)(v3 + 24) = 0;
                    int32_t * v6 = (int32_t *)(g10 + 32); // 0x4878df_0
                    if (*v6 == 0) {
                        // 0x4878e5
                        *v6 = 0x48713c;
                        *(int32_t *)(g10 + 40) = 0;
                        // branch -> 0x4878f1
                    }
                    int32_t * v7 = (int32_t *)(g10 + 36); // 0x4878f1_0
                    if (*v7 == 0) {
                        // 0x4878f7
                        *v7 = 0x487160;
                        // branch -> 0x4878fe
                    }
                    uint32_t v8 = v2 == -1 ? 6 : v2; // 0x48789f
                    int32_t v9;
                    int32_t v10; // 0x48799e1
                    uint32_t v11; // 0x4879a94
                    if (v9 > -1) {
                        // 0x48791b
                        if (v9 >= 16) {
                            // 0x487921
                            v11 = v9 - 16;
                            v10 = 2;
                            // branch -> 0x48792c
                        } else {
                            v11 = v9;
                            v10 = 1;
                        }
                    } else {
                        // 0x487911
                        v11 = -v9;
                        v10 = 0;
                        // branch -> 0x48792c
                    }
                    // 0x48792c
                    uint32_t v12;
                    if (v12 >= 1) {
                        // 0x487932
                        if (v12 <= 9) {
                            // 0x487938
                            if ((char)g6 == 8) {
                                int32_t v13 = v11 - 8; // 0x48793e
                                uint32_t v14 = llvm_ctpop_i32(v13); // 0x48793e
                                if (v11 >= 8) {
                                    // 0x487944
                                    if (v11 <= 15) {
                                        // 0x48794a
                                        if (v8 >= 0) {
                                            // 0x487950
                                            if (v8 <= 9) {
                                                // 0x487956
                                                uint32_t v15;
                                                if (v15 >= 0) {
                                                    // 0x48795c
                                                    if (v15 < 5) {
                                                        // 0x48796c
                                                        g2 = (v11 & 15) > 23;
                                                        g1 = v11 < 8;
                                                        g187 = v13 == 0;
                                                        g9 = v14 % 2 == 1;
                                                        int32_t v16 = v11 == 8 ? 9 : v11; // 0x4879a94
                                                        g6 = 0x16c0;
                                                        g8 = 1;
                                                        int32_t v17 = g10; // 0x487983
                                                        g3 = *(int32_t *)(v17 + 40);
                                                        ((int32_t (*)())*(int32_t *)(v17 + 32))();
                                                        int32_t v18 = g3; // 0x487989
                                                        g5 = v18;
                                                        if (v18 == 0) {
                                                            // 0x48798f
                                                            // branch -> 0x487ac5
                                                        } else {
                                                            // 0x487999
                                                            *(int32_t *)(g10 + 28) = v18;
                                                            *(int32_t *)g5 = g10;
                                                            *(int32_t *)(g5 + 24) = v10;
                                                            *(int32_t *)(g5 + 28) = 0;
                                                            int32_t v19 = 1; // edx
                                                            *(int32_t *)(g5 + 48) = v16;
                                                            uint32_t v20 = v16 & 31; // 0x4879b6
                                                            int32_t v21 = v19; // 0x4879b6
                                                            int32_t v22 = v21; // 0x4879b8
                                                            if (v20 != 0) {
                                                                int32_t v23 = v21 << v20; // 0x4879b6
                                                                v19 = v23;
                                                                v22 = v23;
                                                                // branch -> after_if_4879b6_0
                                                            }
                                                            // after_if_4879b6_0
                                                            *(int32_t *)(g5 + 44) = v22;
                                                            *(int32_t *)(g5 + 52) = v19 - 1;
                                                            v19 = 1;
                                                            int32_t v24 = v12 + 7; // 0x4879c7
                                                            *(int32_t *)(g5 + 80) = v24;
                                                            uint32_t v25 = v24 & 31; // 0x4879cf
                                                            int32_t v26 = v19; // 0x4879cf
                                                            int32_t v27 = v26; // 0x4879d1
                                                            if (v25 != 0) {
                                                                int32_t v28 = v26 << v25; // 0x4879cf
                                                                v19 = v28;
                                                                v27 = v28;
                                                                // branch -> after_if_4879cf_0
                                                            }
                                                            // after_if_4879cf_0
                                                            *(int32_t *)(g5 + 76) = v27;
                                                            *(int32_t *)(g5 + 84) = v19 - 1;
                                                            int32_t v29 = g5; // 0x4879da
                                                            uint32_t v30 = *(int32_t *)(v29 + 80); // 0x4879da
                                                            g1 = v30 > 0xfffffffc;
                                                            g2 = (v30 + 3 & 15) > 16;
                                                            uint32_t v31 = v30 + 2; // 0x4879e5
                                                            g187 = v31 == 0;
                                                            g9 = llvm_ctpop_i32(v31) % 2 == 1;
                                                            *(int32_t *)(v29 + 88) = v31 / 3;
                                                            g6 = 2;
                                                            int32_t v32 = g10; // 0x4879f0
                                                            g3 = *(int32_t *)(v32 + 40);
                                                            g8 = *(int32_t *)(g5 + 44);
                                                            ((int32_t (*)())*(int32_t *)(v32 + 32))();
                                                            *(int32_t *)(g5 + 56) = g3;
                                                            g6 = 2;
                                                            g8 = *(int32_t *)(g5 + 44);
                                                            int32_t v33 = g10; // 0x487a04
                                                            g3 = *(int32_t *)(v33 + 40);
                                                            ((int32_t (*)())*(int32_t *)(v33 + 32))();
                                                            *(int32_t *)(g5 + 64) = g3;
                                                            g6 = 2;
                                                            g8 = *(int32_t *)(g5 + 76);
                                                            int32_t v34 = g10; // 0x487a15
                                                            g3 = *(int32_t *)(v34 + 40);
                                                            ((int32_t (*)())*(int32_t *)(v34 + 32))();
                                                            *(int32_t *)(g5 + 68) = g3;
                                                            g2 = (v12 & 15) > 9;
                                                            g1 = false;
                                                            int32_t v35 = v12 + 6; // 0x487a21
                                                            g187 = v35 == 0;
                                                            g9 = llvm_ctpop_i32(v35) % 2 == 1;
                                                            int32_t v36 = 1; // eax
                                                            uint32_t v37 = v35 & 31; // 0x487a29
                                                            int32_t v38 = 1; // 0x487a2b
                                                            if (v37 != 0) {
                                                                int32_t v39 = 1 << v37; // 0x487a29
                                                                g1 = false;
                                                                g187 = false;
                                                                g9 = llvm_ctpop_i32(v39) % 2 == 1;
                                                                v36 = v39;
                                                                v38 = v39;
                                                                // branch -> after_if_487a29_0
                                                            }
                                                            // after_if_487a29_0
                                                            *(int32_t *)(g5 + 0x169c) = v38;
                                                            g6 = 4;
                                                            g8 = v36;
                                                            int32_t v40 = g10; // 0x487a38
                                                            g3 = *(int32_t *)(v40 + 40);
                                                            ((int32_t (*)())*(int32_t *)(v40 + 32))();
                                                            *(int32_t *)(g5 + 8) = g3;
                                                            int32_t v41 = g5; // 0x487a41
                                                            *(int32_t *)(v41 + 12) = 4 * *(int32_t *)(v41 + 0x169c);
                                                            int32_t v42 = g5; // 0x487a4d
                                                            if (*(int32_t *)(v42 + 56) != 0) {
                                                                // 0x487a53
                                                                if (*(int32_t *)(v42 + 64) != 0) {
                                                                    // 0x487a59
                                                                    if (*(int32_t *)(v42 + 68) != 0) {
                                                                        // 0x487a5f
                                                                        if (*(int32_t *)(v42 + 8) != 0) {
                                                                            // 0x487a82
                                                                            *(int32_t *)(v42 + 0x16a4) = g3 + (*(int32_t *)(v42 + 0x169c) & -2);
                                                                            int32_t v43 = g5; // 0x487a94
                                                                            int32_t v44 = *(int32_t *)(v43 + 8); // 0x487a9d
                                                                            *(int32_t *)(v43 + 0x1698) = 3 * *(int32_t *)(v43 + 0x169c) + v44;
                                                                            *(int32_t *)(g5 + 132) = v8;
                                                                            g3 = g10;
                                                                            *(int32_t *)(g5 + 136) = v15;
                                                                            *(char *)(g5 + 36) = 8;
                                                                            function_487bdc();
                                                                            // branch -> 0x487ac5
                                                                            // 0x487ac5
                                                                            return;
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                            // 0x487a65
                                                            *(int32_t *)(v42 + 4) = 666;
                                                            *(int32_t *)(g10 + 24) = g39;
                                                            g3 = g10;
                                                            function_488714();
                                                            // branch -> 0x487ac5
                                                        }
                                                        // 0x487ac5
                                                        return;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                    // 0x487962
                    // branch -> 0x487ac5
                }
                // 0x487ac5
                return;
            }
        }
    }
    // 0x4878c2
    // branch -> 0x487ac5
}

// Address range: 0x487bdc - 0x487e23
void function_487bdc(void) {
    int32_t v1 = g3; // 0x487bde
    g10 = v1;
    if (v1 == 0 || *(int32_t *)(v1 + 28) == 0 || *(int32_t *)(v1 + 32) == 0 || *(int32_t *)(v1 + 36) == 0) {
        // 0x487bf6
        return;
    }
    // 0x487bfe
    *(int32_t *)(v1 + 20) = 0;
    *(int32_t *)(g10 + 8) = 0;
    *(int32_t *)(g10 + 24) = 0;
    *(int32_t *)(g10 + 44) = 2;
    int32_t v2 = *(int32_t *)(g10 + 28); // 0x487c14
    g5 = v2;
    *(int32_t *)(v2 + 20) = 0;
    int32_t v3 = g5; // 0x487c1a
    *(int32_t *)(v3 + 16) = *(int32_t *)(v3 + 8);
    int32_t v4 = g5; // 0x487c20
    int32_t * v5 = (int32_t *)(v4 + 24); // 0x487c20_0
    uint32_t v6 = *v5; // 0x487c20
    if (v6 <= 0xffffffff) {
        // 0x487c27
        *v5 = -v6;
        v4 = g5;
        // branch -> 0x487c2c
    }
    // 0x487c2c
    *(int32_t *)(v4 + 4) = *(int32_t *)(v4 + 24) == 0 ? 113 : 42;
    g6 = 0;
    g8 = 0;
    g3 = 0;
    if (*(int32_t *)(g5 + 24) == 2) {
        // 0x487c47
        function_48d9ac();
        // branch -> 0x487c5f
    } else {
        // 0x487c54
        unknown_487570();
        // branch -> 0x487c5f
    }
    // 0x487c5f
    *(int32_t *)(g10 + 48) = g3;
    *(int32_t *)(g5 + 40) = 0;
    g3 = g5;
    function_48ba9c();
    g3 = g5;
    function_4889c8();
}

// Address range: 0x487e24 - 0x487e4b
void function_487e24(void) {
    int32_t * v1 = (int32_t *)(g3 + 20); // 0x487e25_0
    *v1 = *v1 + 1;
    *(char *)(*v1 + *(int32_t *)(g3 + 8)) = (char)(g8 / 256);
    int32_t * v2 = (int32_t *)(g3 + 20); // 0x487e3a_0
    *v2 = *v2 + 1;
    *(char *)(*v2 + *(int32_t *)(g3 + 8)) = (char)g8;
    int32_t v3;
    g5 = v3;
}

// Address range: 0x487e4c - 0x487e9f
void function_487e4c(void) {
    int32_t v1 = g3; // 0x487e4d
    int32_t v2 = g10; // bp-8
    int32_t v3 = &v2; // 0x487e4f_0
    g11 = v3;
    int32_t v4 = *(int32_t *)(v1 + 28); // 0x487e50
    g3 = v4;
    int32_t v5 = *(int32_t *)(v1 + 16); // 0x487e53
    int32_t v6 = *(int32_t *)(v4 + 20); // 0x487e56
    int32_t v7 = v6; // esi
    int32_t v8 = v6; // 0x487e5f
    if (v6 > v5) {
        // 0x487e5d
        v7 = v5;
        v8 = v5;
        // branch -> 0x487e5f
    }
    // 0x487e5f
    int32_t v9;
    if (v8 == 0) {
        // 0x487e9a
        g10 = v2;
        g5 = v9;
        return;
    }
    // 0x487e63
    function_487190();
    g11 = v3;
    int32_t * v10 = (int32_t *)(v1 + 12); // 0x487e76_0
    *v10 = *v10 + v7;
    int32_t * v11 = (int32_t *)(*(int32_t *)(v1 + 28) + 16); // 0x487e7c_0
    *v11 = v7 + *v11;
    int32_t * v12 = (int32_t *)(v1 + 20); // 0x487e7f_0
    *v12 = v7 + *v12;
    int32_t * v13 = (int32_t *)(v1 + 16); // 0x487e82_0
    *v13 = *v13 - v7;
    int32_t v14 = *(int32_t *)(v1 + 28); // 0x487e85
    g6 = v14;
    int32_t * v15 = (int32_t *)(v14 + 20); // 0x487e88_0
    *v15 = *v15 - v7;
    int32_t v16 = *(int32_t *)(v1 + 28); // 0x487e8b
    g3 = v16;
    if (*(int32_t *)(v16 + 20) == 0) {
        // 0x487e94
        *(int32_t *)(v16 + 16) = *(int32_t *)(v16 + 8);
        // branch -> 0x487e9a
    }
    // 0x487e9a
    g10 = v2;
    g5 = v9;
}

// Address range: 0x487ea0 - 0x488713
void function_487ea0(void) {
    int32_t v1;
    g11 = &v1;
    int32_t v2 = g8; // 0x487ea7
    g7 = v2;
    int32_t v3 = g3; // 0x487ea9
    g10 = v3;
    if (v3 != 0) {
        int32_t v4 = *(int32_t *)(v3 + 28); // 0x487eaf
        if (v4 != 0) {
            // 0x487eb5
            if (v2 <= 4) {
                // 0x487eba
                if (v2 > -1) {
                    // 0x487ec8
                    g5 = v4;
                    if (*(int32_t *)(v3 + 12) != 0) {
                        // 0x487ed1
                        if (*(int32_t *)v3 == 0) {
                            // 0x487ed6
                            if (*(int32_t *)(v3 + 4) != 0) {
                                // 0x487eea
                                *(int32_t *)(v3 + 24) = (int32_t)g38[0];
                                // branch -> 0x48870c
                                // 0x48870c
                                return;
                            }
                        }
                        // 0x487edc
                        if (*(int32_t *)(v4 + 4) == 666) {
                            // 0x487ee5
                            if (v2 != 4) {
                                // 0x487eea
                                *(int32_t *)(v3 + 24) = (int32_t)g38[0];
                                // branch -> 0x48870c
                                // 0x48870c
                                return;
                            }
                        }
                        // 0x487efc
                        if (*(int32_t *)(v3 + 16) == 0) {
                            // 0x487f02
                            *(int32_t *)(v3 + 24) = (int32_t)g40[0];
                            // branch -> 0x48870c
                        } else {
                            // 0x487f15
                            *(int32_t *)v4 = v3;
                            int32_t * v5 = (int32_t *)(g5 + 40); // 0x487f17_0
                            v1 = *v5;
                            *v5 = g7;
                            int32_t v6 = g5; // 0x487f20
                            int32_t * v7 = (int32_t *)(v6 + 4); // 0x487f20_0
                            int32_t * v8; // 0x488206_0
                            int32_t * v9; // 0x488279_0
                            int32_t * v10; // 0x4882b3_0
                            int32_t * v11; // 0x48832d_0
                            int32_t * v12; // 0x488341_0
                            int32_t * v13; // 0x488397_0
                            int32_t * v14; // 0x4883b1_0
                            int32_t v15; // ebp
                            int32_t v16; // 0x488206
                            int32_t v17; // 0x488238
                            int32_t v18; // 0x488298
                            int32_t v19; // 0x4882ba
                            int32_t v20; // 0x4882cd
                            int32_t v21; // 0x488319
                            int32_t v22; // 0x488333
                            int32_t v23; // 0x488366
                            int32_t v24; // 0x488397
                            int32_t v25; // 0x4883c7
                            uint32_t v26; // 0x488293
                            uint32_t v27; // 0x4882f8
                            int32_t v28; // 0x488319
                            int32_t v29; // 0x488336
                            unsigned char v30; // 0x488339
                            int32_t v31; // 0x488347
                            uint32_t v32; // 0x488361
                            uint32_t v33; // 0x488293
                            uint32_t v34; // 0x4882f8
                            int32_t v35; // 0x488339
                            uint32_t v36; // 0x488361
                            char v37; // 0x48837b_08
                            if (*v7 == 42) {
                                // 0x487f2a
                                int32_t * v38; // 0x48845c_0
                                int32_t * v39; // 0x48847d_0
                                int32_t * v40; // 0x48849a_0
                                int32_t v41; // 0x48845c
                                int32_t v42; // 0x488488
                                int32_t v43; // 0x488462
                                int32_t v44; // 0x48846b
                                char v45; // 0x488491
                                int32_t v46; // 0x4884a0
                                uint32_t v47; // 0x4884a3
                                if (*(int32_t *)(v6 + 24) == 2) {
                                    // 0x487f34
                                    g6 = 0;
                                    g8 = 0;
                                    g3 = 0;
                                    function_48d9ac();
                                    *(int32_t *)(g10 + 48) = g3;
                                    int32_t * v48 = (int32_t *)(g5 + 20); // 0x487f42_0
                                    *v48 = *v48 + 1;
                                    *(char *)(*v48 + *(int32_t *)(g5 + 8)) = 31;
                                    int32_t * v49 = (int32_t *)(g5 + 20); // 0x487f4f_0
                                    *v49 = *v49 + 1;
                                    int32_t v50 = *(int32_t *)(g5 + 8); // 0x487f55
                                    *(char *)(*v49 + v50) = -117;
                                    int32_t * v51 = (int32_t *)(g5 + 20); // 0x487f5c_0
                                    *v51 = *v51 + 1;
                                    int32_t v52 = *(int32_t *)(g5 + 8); // 0x487f62
                                    *(char *)(*v51 + v52) = 8;
                                    int32_t v53 = g5; // 0x487f69
                                    int32_t * v54 = (int32_t *)(v53 + 28); // 0x487f69_0
                                    int32_t v55 = *v54; // 0x487f69
                                    int32_t v56; // eax
                                    uint32_t v57; // 0x488513
                                    uint32_t v58; // 0x4884f6
                                    int32_t v59; // 0x488556
                                    int32_t v60; // 0x4884cd
                                    int32_t v61; // 0x4884da
                                    int32_t v62; // 0x4884e0
                                    int32_t v63; // 0x4884f0
                                    int32_t v64; // 0x488535
                                    uint32_t v65; // 0x488513
                                    int32_t v66; // 0x48851c
                                    int32_t v67; // 0x488535
                                    int32_t v68; // 0x48853b
                                    int32_t v69; // 0x488561
                                    int32_t v70; // 0x488513
                                    if (v55 == 0) {
                                        int32_t * v71 = (int32_t *)(v53 + 20); // 0x487f73_0
                                        *v71 = *v71 + 1;
                                        *(char *)(*v71 + *(int32_t *)(g5 + 8)) = 0;
                                        int32_t * v72 = (int32_t *)(g5 + 20); // 0x487f80_0
                                        *v72 = *v72 + 1;
                                        *(char *)(*v72 + *(int32_t *)(g5 + 8)) = 0;
                                        int32_t * v73 = (int32_t *)(g5 + 20); // 0x487f8d_0
                                        *v73 = *v73 + 1;
                                        *(char *)(*v73 + *(int32_t *)(g5 + 8)) = 0;
                                        int32_t * v74 = (int32_t *)(g5 + 20); // 0x487f9a_0
                                        *v74 = *v74 + 1;
                                        *(char *)(*v74 + *(int32_t *)(g5 + 8)) = 0;
                                        int32_t * v75 = (int32_t *)(g5 + 20); // 0x487fa7_0
                                        *v75 = *v75 + 1;
                                        *(char *)(*v75 + *(int32_t *)(g5 + 8)) = 0;
                                        int32_t * v76 = (int32_t *)(g5 + 20); // 0x487fb4_0
                                        v56 = *v76;
                                        *v76 = *v76 + 1;
                                        int32_t v77 = g5; // 0x487fba
                                        int32_t * v78 = (int32_t *)(v77 + 132); // 0x487fba_0
                                        int32_t v79 = *(int32_t *)(v77 + 8); // 0x487fc1
                                        int32_t * v80; // 0x487fe5_0
                                        char v81;
                                        int32_t v82; // 0x487fe5
                                        if (*v78 == 9) {
                                            // 0x487fc6
                                            v81 = 2;
                                            // branch -> 0x487fe2
                                        } else {
                                            // 0x487fca
                                            if (*(int32_t *)(v77 + 136) <= 1) {
                                                // 0x487fd3
                                                if (*v78 > 1) {
                                                    // 0x487fe0
                                                    // branch -> 0x487fe2
                                                    // 0x487fe2
                                                    *(char *)(v56 + v79) = 0;
                                                    v80 = (int32_t *)(g5 + 20);
                                                    v82 = *v80;
                                                    *v80 = v82 + 1;
                                                    *(char *)(*(int32_t *)(g5 + 8) + v82) = 11;
                                                    *(int32_t *)(g5 + 4) = 113;
                                                    // branch -> 0x488206
                                                    // 0x488206
                                                    v16 = g5;
                                                    v8 = (int32_t *)(v16 + 4);
                                                    if (*v8 == 69) {
                                                        // 0x488210
                                                        int32_t * v83; // 0x488631_0
                                                        int32_t * v84; // 0x488642_0
                                                        int32_t * v85; // 0x488656_0
                                                        int32_t * v86; // 0x48866a_0
                                                        int32_t * v87; // 0x48867e_0
                                                        int32_t * v88; // 0x48868f_0
                                                        int32_t * v89; // 0x4886a3_0
                                                        int32_t * v90; // 0x4886b7_0
                                                        int32_t * v91; // 0x4886f1_0
                                                        int32_t v92; // 0x4885ce
                                                        int32_t v93; // 0x488617
                                                        int32_t v94; // 0x4886f1
                                                        int32_t v95; // 0x4886fd
                                                        int32_t v96; // 0x4885d1
                                                        int32_t v97; // 0x488617
                                                        char v98; // 0x48863a
                                                        int32_t v99; // 0x488648
                                                        uint32_t v100; // 0x48864b
                                                        int32_t v101; // 0x48865c
                                                        uint32_t v102; // 0x48865f
                                                        int32_t v103; // 0x488695
                                                        uint32_t v104; // 0x488698
                                                        int32_t v105; // 0x4886a9
                                                        uint32_t v106; // 0x4886ac
                                                        int32_t v107; // 0x4886bd
                                                        uint32_t v108; // 0x4886c0
                                                        uint32_t v109; // 0x4886f1
                                                        int32_t v110; // 0x488676
                                                        if (*(int32_t *)(*(int32_t *)(v16 + 28) + 16) == 0) {
                                                            // 0x4882c6
                                                            *v8 = 73;
                                                            // branch -> 0x4882cd
                                                        } else {
                                                            // 0x48821d
                                                            g4 = *(int32_t *)(v16 + 20);
                                                            v17 = v16;
                                                            // branch -> 0x488279
                                                            while (true) {
                                                                // 0x488279
                                                                v9 = (int32_t *)(v17 + 28);
                                                                v18 = v17;
                                                                if ((*(int32_t *)(*v9 + 20) & 0xffff) > *(int32_t *)(v17 + 32)) {
                                                                  lab_0x488222_6:;
                                                                    int32_t * v111 = (int32_t *)(v17 + 20); // 0x488222_0
                                                                    int32_t v112 = v17; // 0x48826a
                                                                    if (*v111 == *(int32_t *)(v17 + 12)) {
                                                                        // 0x48822a
                                                                        if (*(int32_t *)(*v9 + 44) != 0) {
                                                                            uint32_t v113 = g4; // 0x488233
                                                                            uint32_t v114 = *v111; // 0x488233
                                                                            if (v113 < v114) {
                                                                                // 0x488238
                                                                                g6 = v114 - v113;
                                                                                g8 = *(int32_t *)(v17 + 8) + v113;
                                                                                g3 = *(int32_t *)(g10 + 48);
                                                                                function_48d9ac();
                                                                                *(int32_t *)(g10 + 48) = g3;
                                                                                // branch -> 0x48824d
                                                                            }
                                                                        }
                                                                        // 0x48824d
                                                                        g3 = g10;
                                                                        function_487e4c();
                                                                        int32_t v115 = g5; // 0x488254
                                                                        int32_t v116 = *(int32_t *)(v115 + 20); // 0x488254
                                                                        g4 = v116;
                                                                        if (v116 == *(int32_t *)(v115 + 12)) {
                                                                            v18 = v115;
                                                                            // 0x48828a
                                                                            v19 = v18;
                                                                            if (*(int32_t *)(*(int32_t *)(v18 + 28) + 44) != 0) {
                                                                                // 0x488293
                                                                                v26 = g4;
                                                                                v33 = *(int32_t *)(v18 + 20);
                                                                                if (v26 < v33) {
                                                                                    // 0x488298
                                                                                    g6 = v33 - v26;
                                                                                    g8 = *(int32_t *)(v18 + 8) + v26;
                                                                                    g3 = *(int32_t *)(g10 + 48);
                                                                                    function_48d9ac();
                                                                                    *(int32_t *)(g10 + 48) = g3;
                                                                                    v19 = g5;
                                                                                    // branch -> 0x4882ad
                                                                                } else {
                                                                                    v19 = v18;
                                                                                }
                                                                            }
                                                                            // 0x4882ad
                                                                            v10 = (int32_t *)(v19 + 32);
                                                                            if (*(int32_t *)(*(int32_t *)(v19 + 28) + 20) == *v10) {
                                                                                // 0x4882b8
                                                                                *v10 = 0;
                                                                                *(int32_t *)(g5 + 4) = 73;
                                                                                // branch -> 0x4882cd
                                                                            }
                                                                            // 0x4882cd
                                                                            v20 = g5;
                                                                            if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                                                                // 0x4882f8
                                                                                v27 = g4;
                                                                                v34 = *(int32_t *)(v20 + 20);
                                                                                if (v27 < v34) {
                                                                                    // 0x4882fd
                                                                                    g6 = v34 - v27;
                                                                                    g8 = *(int32_t *)(v20 + 8) + v27;
                                                                                    g3 = *(int32_t *)(g10 + 48);
                                                                                    function_48d9ac();
                                                                                    *(int32_t *)(g10 + 48) = g3;
                                                                                    // branch -> 0x488312
                                                                                }
                                                                            }
                                                                            // 0x488312
                                                                            g3 = g10;
                                                                            function_487e4c();
                                                                            v21 = g5;
                                                                            v28 = *(int32_t *)(v21 + 20);
                                                                            v15 = v28;
                                                                            v23 = v21;
                                                                            v37 = 1;
                                                                            if (v28 != *(int32_t *)(v21 + 12)) {
                                                                                // 0x48832d
                                                                                v11 = (int32_t *)(v21 + 32);
                                                                                *v11 = *v11 + 1;
                                                                                v22 = g5;
                                                                                v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                                                                v30 = *(char *)(*v11 + v29);
                                                                                v35 = v30;
                                                                                v12 = (int32_t *)(v22 + 20);
                                                                                *v12 = *v12 + 1;
                                                                                v31 = *(int32_t *)(g5 + 8);
                                                                                g6 = v31;
                                                                                g3 = v35 & -256 | v35;
                                                                                *(char *)(*v12 + v31) = v30;
                                                                                unknown_4882e7();
                                                                                v23 = g5;
                                                                                v37 = v30;
                                                                                // branch -> 0x488358
                                                                            }
                                                                            // 0x488358
                                                                            if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                                                                // 0x488361
                                                                                v32 = v15;
                                                                                v36 = *(int32_t *)(v23 + 20);
                                                                                if (v32 < v36) {
                                                                                    // 0x488366
                                                                                    g6 = v36 - v32;
                                                                                    g8 = *(int32_t *)(v23 + 8) + v32;
                                                                                    function_48d9ac();
                                                                                    // branch -> 0x48837b
                                                                                }
                                                                            }
                                                                            // 0x48837b
                                                                            if (v37 == 0) {
                                                                                // 0x488382
                                                                                g6 = 0;
                                                                                *(int32_t *)(g5 + 32) = 0;
                                                                                *(int32_t *)(g5 + 4) = 91;
                                                                                // branch -> 0x488397
                                                                            }
                                                                            // 0x488397
                                                                            v24 = g5;
                                                                            v13 = (int32_t *)(v24 + 4);
                                                                            if (*v13 == 91) {
                                                                                // 0x4883a1
                                                                                if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                                                                    // 0x488455
                                                                                    *v13 = 103;
                                                                                    // branch -> 0x48845c
                                                                                } else {
                                                                                    // 0x4883ae
                                                                                    v15 = *(int32_t *)(v24 + 20);
                                                                                    v25 = v24;
                                                                                    // branch -> 0x4883b1
                                                                                    int32_t v117; // 0x488430
                                                                                    uint32_t v118; // 0x48842b
                                                                                    uint32_t v119; // 0x48842b
                                                                                    char v120; // 0x488445_09
                                                                                    while (true) {
                                                                                        // 0x4883b1
                                                                                        v14 = (int32_t *)(v25 + 20);
                                                                                        int32_t * v121; // 0x4883f7_0
                                                                                        int32_t * v122; // 0x48840b_0
                                                                                        int32_t v123; // 0x4883fd
                                                                                        int32_t v124;
                                                                                        int32_t v125; // 0x488400
                                                                                        unsigned char v126; // 0x488403
                                                                                        int32_t v127; // 0x488411
                                                                                        if (*v14 == *(int32_t *)(v25 + 12)) {
                                                                                          lab_0x4883b9_14:
                                                                                            // 0x4883b9
                                                                                            if (*(int32_t *)(*(int32_t *)(v25 + 28) + 44) != 0) {
                                                                                                uint32_t v128 = v15; // 0x4883c2
                                                                                                uint32_t v129 = *v14; // 0x4883c2
                                                                                                if (v128 < v129) {
                                                                                                    // 0x4883c7
                                                                                                    g6 = v129 - v128;
                                                                                                    g8 = *(int32_t *)(v25 + 8) + v128;
                                                                                                    g3 = *(int32_t *)(g10 + 48);
                                                                                                    function_48d9ac();
                                                                                                    *(int32_t *)(g10 + 48) = g3;
                                                                                                    // branch -> 0x4883dc
                                                                                                }
                                                                                            }
                                                                                            // 0x4883dc
                                                                                            g3 = g10;
                                                                                            function_487e4c();
                                                                                            int32_t v130 = g5; // 0x4883e3
                                                                                            int32_t v131 = *(int32_t *)(v130 + 20); // 0x4883e3
                                                                                            v15 = v131;
                                                                                            if (v131 != *(int32_t *)(v130 + 12)) {
                                                                                                // 0x4883f7
                                                                                                v121 = (int32_t *)(v130 + 32);
                                                                                                *v121 = *v121 + 1;
                                                                                                v123 = g5;
                                                                                                v125 = *(int32_t *)(*(int32_t *)(v123 + 28) + 36);
                                                                                                v126 = *(char *)(*v121 + v125);
                                                                                                g3 = v126;
                                                                                                v122 = (int32_t *)(v123 + 20);
                                                                                                *v122 = *v122 + 1;
                                                                                                v127 = *(int32_t *)(g5 + 8);
                                                                                                g6 = v127;
                                                                                                *(char *)(*v122 + v127) = v126;
                                                                                                v124 = g5;
                                                                                                if (v126 == 0) {
                                                                                                    v117 = v124;
                                                                                                    v120 = 0;
                                                                                                    // break -> 0x488422
                                                                                                    break;
                                                                                                }
                                                                                                v25 = v124;
                                                                                                // continue -> 0x4883b1
                                                                                                continue;
                                                                                            } else {
                                                                                                v117 = v130;
                                                                                                v120 = 1;
                                                                                            }
                                                                                        } else {
                                                                                          lab_0x4883f7_14:
                                                                                            // 0x4883f7
                                                                                            v121 = (int32_t *)(v25 + 32);
                                                                                            *v121 = *v121 + 1;
                                                                                            v123 = g5;
                                                                                            v125 = *(int32_t *)(*(int32_t *)(v123 + 28) + 36);
                                                                                            v126 = *(char *)(*v121 + v125);
                                                                                            g3 = v126;
                                                                                            v122 = (int32_t *)(v123 + 20);
                                                                                            *v122 = *v122 + 1;
                                                                                            v127 = *(int32_t *)(g5 + 8);
                                                                                            g6 = v127;
                                                                                            *(char *)(*v122 + v127) = v126;
                                                                                            v124 = g5;
                                                                                            if (v126 == 0) {
                                                                                                v117 = v124;
                                                                                                v120 = 0;
                                                                                                // break -> 0x488422
                                                                                                break;
                                                                                            }
                                                                                            v25 = v124;
                                                                                            // continue -> 0x4883b1
                                                                                            continue;
                                                                                        }
                                                                                        // 0x488422
                                                                                        if (*(int32_t *)(*(int32_t *)(v117 + 28) + 44) != 0) {
                                                                                            // 0x48842b
                                                                                            v118 = v15;
                                                                                            v119 = *(int32_t *)(v117 + 20);
                                                                                            if (v118 < v119) {
                                                                                                // 0x488430
                                                                                                g6 = v119 - v118;
                                                                                                g8 = *(int32_t *)(v117 + 8) + v118;
                                                                                                function_48d9ac();
                                                                                                // branch -> 0x488445
                                                                                            }
                                                                                        }
                                                                                        // 0x488445
                                                                                        if (v120 == 0) {
                                                                                            // 0x48844c
                                                                                            *(int32_t *)(g5 + 4) = 103;
                                                                                            // branch -> 0x48845c
                                                                                        }
                                                                                    }
                                                                                    // 0x488422
                                                                                    if (*(int32_t *)(*(int32_t *)(v117 + 28) + 44) != 0) {
                                                                                        // 0x48842b
                                                                                        v118 = v15;
                                                                                        v119 = *(int32_t *)(v117 + 20);
                                                                                        if (v118 < v119) {
                                                                                            // 0x488430
                                                                                            g6 = v119 - v118;
                                                                                            g8 = *(int32_t *)(v117 + 8) + v118;
                                                                                            function_48d9ac();
                                                                                            // branch -> 0x488445
                                                                                        }
                                                                                    }
                                                                                    // 0x488445
                                                                                    if (v120 == 0) {
                                                                                        // 0x48844c
                                                                                        *(int32_t *)(g5 + 4) = 103;
                                                                                        // branch -> 0x48845c
                                                                                    }
                                                                                }
                                                                                // 0x48845c
                                                                                v41 = g5;
                                                                                v38 = (int32_t *)(v41 + 4);
                                                                                if (*v38 == 103) {
                                                                                    // 0x488462
                                                                                    v43 = *(int32_t *)(v41 + 28);
                                                                                    g6 = v43;
                                                                                    if (*(int32_t *)(v43 + 44) == 0) {
                                                                                        // 0x4884c6
                                                                                        *v38 = 113;
                                                                                        // branch -> 0x4884cd
                                                                                    } else {
                                                                                        // 0x48846b
                                                                                        v44 = *(int32_t *)(v41 + 20);
                                                                                        g3 = v44;
                                                                                        v42 = v41;
                                                                                        if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                                            // 0x488476
                                                                                            function_487e4c();
                                                                                            v42 = g5;
                                                                                            // branch -> 0x48847d
                                                                                        }
                                                                                        // 0x48847d
                                                                                        v39 = (int32_t *)(v42 + 20);
                                                                                        if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                                                            // 0x488488
                                                                                            *v39 = *v39 + 1;
                                                                                            v45 = *(char *)(g10 + 48);
                                                                                            *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                                            v40 = (int32_t *)(g5 + 20);
                                                                                            *v40 = *v40 + 1;
                                                                                            v46 = *(int32_t *)(g5 + 8);
                                                                                            g3 = v46;
                                                                                            v47 = *(int32_t *)(g10 + 48);
                                                                                            *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                                            g6 = 0;
                                                                                            g8 = 0;
                                                                                            function_48d9ac();
                                                                                            *(int32_t *)(g10 + 48) = 0;
                                                                                            *(int32_t *)(g5 + 4) = 113;
                                                                                            // branch -> 0x4884cd
                                                                                        }
                                                                                    }
                                                                                    // 0x4884cd
                                                                                    v60 = g5;
                                                                                    if (*(int32_t *)(v60 + 20) == 0) {
                                                                                        // 0x4884f0
                                                                                        v63 = g10;
                                                                                        if (*(int32_t *)(v63 + 4) == 0) {
                                                                                            // 0x4884f6
                                                                                            v58 = g7;
                                                                                            if (v58 <= v1) {
                                                                                                // 0x4884fb
                                                                                                if (v58 != 4) {
                                                                                                    // 0x488500
                                                                                                    *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                                                    // branch -> 0x48870c
                                                                                                    // 0x48870c
                                                                                                    return;
                                                                                                }
                                                                                                v64 = v63;
                                                                                                v59 = v60;
                                                                                            } else {
                                                                                                v64 = v63;
                                                                                                v59 = v60;
                                                                                            }
                                                                                        } else {
                                                                                            v64 = v63;
                                                                                            v59 = v60;
                                                                                        }
                                                                                    } else {
                                                                                        // 0x4884d3
                                                                                        function_487e4c();
                                                                                        v61 = g10;
                                                                                        v62 = g5;
                                                                                        if (*(int32_t *)(v61 + 16) == 0) {
                                                                                            // 0x4884e0
                                                                                            *(int32_t *)(v62 + 40) = -1;
                                                                                            // branch -> 0x48870c
                                                                                            // 0x48870c
                                                                                            return;
                                                                                        }
                                                                                        v64 = v61;
                                                                                        v59 = v62;
                                                                                    }
                                                                                    // 0x488513
                                                                                    v65 = *(int32_t *)(v59 + 4);
                                                                                    v70 = v65 - 666;
                                                                                    v57 = llvm_ctpop_i32(v70);
                                                                                    v66 = *(int32_t *)(v64 + 4);
                                                                                    v67 = v66;
                                                                                    if (v65 == 666) {
                                                                                        // 0x48851c
                                                                                        if (v66 != 0) {
                                                                                            // 0x488522
                                                                                            *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                                            // branch -> 0x48870c
                                                                                            // 0x48870c
                                                                                            return;
                                                                                        }
                                                                                        v67 = 0;
                                                                                    }
                                                                                    // 0x488535
                                                                                    g2 = false;
                                                                                    g1 = false;
                                                                                    g187 = v67 == 0;
                                                                                    g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                                                    if (v67 == 0) {
                                                                                        // 0x48853b
                                                                                        v68 = *(int32_t *)(v59 + 116);
                                                                                        g2 = false;
                                                                                        g1 = false;
                                                                                        g187 = v68 == 0;
                                                                                        g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                                                        if (v68 == 0) {
                                                                                            // 0x488541
                                                                                            if (g7 != 0) {
                                                                                                // 0x488549
                                                                                                g2 = (v65 & 15) > 25;
                                                                                                g1 = v65 < 666;
                                                                                                g187 = v70 == 0;
                                                                                                g9 = v57 % 2 == 1;
                                                                                                if (v65 != 666) {
                                                                                                    // 0x488556
                                                                                                    v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                                                    g4 = v69;
                                                                                                    g8 = g7;
                                                                                                    ((int32_t (*)())v69)();
                                                                                                    if (v59 != 2) {
                                                                                                        // 0x488577
                                                                                                        if (v59 != 3) {
                                                                                                            // 0x488585
                                                                                                            if (v59 != 0) {
                                                                                                                // 0x48858c
                                                                                                                if (v59 != 2) {
                                                                                                                    // 0x4885a7
                                                                                                                    if (v59 == 1) {
                                                                                                                        // 0x4885ae
                                                                                                                        if (g7 == 1) {
                                                                                                                            // 0x4885b3
                                                                                                                            g3 = g5;
                                                                                                                            function_48cc98();
                                                                                                                            // branch -> 0x4885f0
                                                                                                                        } else {
                                                                                                                            // 0x4885bc
                                                                                                                            g6 = 0;
                                                                                                                            g8 = 0;
                                                                                                                            g3 = g5;
                                                                                                                            function_48cbdc();
                                                                                                                            if (g7 == 3) {
                                                                                                                                // 0x4885ce
                                                                                                                                v92 = g5;
                                                                                                                                v96 = *(int32_t *)(v92 + 76);
                                                                                                                                *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                                                function_487178();
                                                                                                                                // branch -> 0x4885f0
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // 0x4885f0
                                                                                                                        function_487e4c();
                                                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                            // 0x4885fd
                                                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                                                            // branch -> 0x48870c
                                                                                                                            // 0x48870c
                                                                                                                            return;
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x48860b
                                                                                                                    if (g7 != 4) {
                                                                                                                        // 0x488610
                                                                                                                        // branch -> 0x48870c
                                                                                                                        // 0x48870c
                                                                                                                        return;
                                                                                                                    }
                                                                                                                    // 0x488617
                                                                                                                    v93 = g5;
                                                                                                                    v97 = *(int32_t *)(v93 + 24);
                                                                                                                    if (v97 <= 0) {
                                                                                                                        // 0x48861e
                                                                                                                        // branch -> 0x48870c
                                                                                                                        // 0x48870c
                                                                                                                        return;
                                                                                                                    }
                                                                                                                    // 0x488628
                                                                                                                    if (v97 == 2) {
                                                                                                                        // 0x488631
                                                                                                                        v83 = (int32_t *)(v93 + 20);
                                                                                                                        *v83 = *v83 + 1;
                                                                                                                        v98 = *(char *)(g10 + 48);
                                                                                                                        *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                                        v84 = (int32_t *)(g5 + 20);
                                                                                                                        *v84 = *v84 + 1;
                                                                                                                        v99 = *(int32_t *)(g5 + 8);
                                                                                                                        v100 = *(int32_t *)(g10 + 48);
                                                                                                                        *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                                        v85 = (int32_t *)(g5 + 20);
                                                                                                                        *v85 = *v85 + 1;
                                                                                                                        v101 = *(int32_t *)(g5 + 8);
                                                                                                                        v102 = *(int32_t *)(g10 + 48);
                                                                                                                        *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                                        v86 = (int32_t *)(g5 + 20);
                                                                                                                        *v86 = *v86 + 1;
                                                                                                                        v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                        *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                                        v87 = (int32_t *)(g5 + 20);
                                                                                                                        *v87 = *v87 + 1;
                                                                                                                        *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                        v88 = (int32_t *)(g5 + 20);
                                                                                                                        *v88 = *v88 + 1;
                                                                                                                        v103 = *(int32_t *)(g5 + 8);
                                                                                                                        v104 = *(int32_t *)(g10 + 8);
                                                                                                                        *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                                        v89 = (int32_t *)(g5 + 20);
                                                                                                                        *v89 = *v89 + 1;
                                                                                                                        v105 = *(int32_t *)(g5 + 8);
                                                                                                                        v106 = *(int32_t *)(g10 + 8);
                                                                                                                        *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                                        v90 = (int32_t *)(g5 + 20);
                                                                                                                        *v90 = *v90 + 1;
                                                                                                                        v107 = *(int32_t *)(g5 + 8);
                                                                                                                        v108 = *(int32_t *)(g10 + 8);
                                                                                                                        *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                                        // branch -> 0x4886ea
                                                                                                                    } else {
                                                                                                                        // 0x4886cd
                                                                                                                        g3 = v93;
                                                                                                                        g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                        function_487e24();
                                                                                                                        g3 = g5;
                                                                                                                        g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                        function_487e24();
                                                                                                                        // branch -> 0x4886ea
                                                                                                                    }
                                                                                                                    // 0x4886ea
                                                                                                                    g3 = g10;
                                                                                                                    function_487e4c();
                                                                                                                    v94 = g5;
                                                                                                                    v91 = (int32_t *)(v94 + 24);
                                                                                                                    v109 = *v91;
                                                                                                                    v95 = v94;
                                                                                                                    if (v109 >= 1) {
                                                                                                                        // 0x4886f8
                                                                                                                        *v91 = -v109;
                                                                                                                        v95 = g5;
                                                                                                                        // branch -> 0x4886fd
                                                                                                                    }
                                                                                                                    // 0x4886fd
                                                                                                                    if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                                        // 0x488707
                                                                                                                        // branch -> 0x48870c
                                                                                                                        // 0x48870c
                                                                                                                        return;
                                                                                                                    }
                                                                                                                    // 0x488703
                                                                                                                    // branch -> 0x48870c
                                                                                                                    // 0x48870c
                                                                                                                    return;
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x488593
                                                                                                            if (*(int32_t *)(g10 + 16) != 0) {
                                                                                                                // 0x4885a0
                                                                                                                // branch -> 0x48870c
                                                                                                                // 0x48870c
                                                                                                                return;
                                                                                                            }
                                                                                                            // 0x488599
                                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                                            // branch -> 0x4885a0
                                                                                                            // 0x4885a0
                                                                                                            // branch -> 0x48870c
                                                                                                            // 0x48870c
                                                                                                            return;
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x48857e
                                                                                                    *(int32_t *)(g5 + 4) = 666;
                                                                                                    // branch -> 0x488585
                                                                                                    // 0x488585
                                                                                                    if (v59 != 0) {
                                                                                                        // 0x48858c
                                                                                                        if (v59 != 2) {
                                                                                                            // 0x4885a7
                                                                                                            if (v59 == 1) {
                                                                                                                // 0x4885ae
                                                                                                                if (g7 == 1) {
                                                                                                                    // 0x4885b3
                                                                                                                    g3 = g5;
                                                                                                                    function_48cc98();
                                                                                                                    // branch -> 0x4885f0
                                                                                                                } else {
                                                                                                                    // 0x4885bc
                                                                                                                    g6 = 0;
                                                                                                                    g8 = 0;
                                                                                                                    g3 = g5;
                                                                                                                    function_48cbdc();
                                                                                                                    if (g7 == 3) {
                                                                                                                        // 0x4885ce
                                                                                                                        v92 = g5;
                                                                                                                        v96 = *(int32_t *)(v92 + 76);
                                                                                                                        *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                                        function_487178();
                                                                                                                        // branch -> 0x4885f0
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x4885f0
                                                                                                                function_487e4c();
                                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                    // 0x4885fd
                                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                                    // branch -> 0x48870c
                                                                                                                    // 0x48870c
                                                                                                                    return;
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x48860b
                                                                                                            if (g7 != 4) {
                                                                                                                // 0x488610
                                                                                                                // branch -> 0x48870c
                                                                                                                // 0x48870c
                                                                                                                return;
                                                                                                            }
                                                                                                            // 0x488617
                                                                                                            v93 = g5;
                                                                                                            v97 = *(int32_t *)(v93 + 24);
                                                                                                            if (v97 <= 0) {
                                                                                                                // 0x48861e
                                                                                                                // branch -> 0x48870c
                                                                                                                // 0x48870c
                                                                                                                return;
                                                                                                            }
                                                                                                            // 0x488628
                                                                                                            if (v97 == 2) {
                                                                                                                // 0x488631
                                                                                                                v83 = (int32_t *)(v93 + 20);
                                                                                                                *v83 = *v83 + 1;
                                                                                                                v98 = *(char *)(g10 + 48);
                                                                                                                *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                                v84 = (int32_t *)(g5 + 20);
                                                                                                                *v84 = *v84 + 1;
                                                                                                                v99 = *(int32_t *)(g5 + 8);
                                                                                                                v100 = *(int32_t *)(g10 + 48);
                                                                                                                *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                                v85 = (int32_t *)(g5 + 20);
                                                                                                                *v85 = *v85 + 1;
                                                                                                                v101 = *(int32_t *)(g5 + 8);
                                                                                                                v102 = *(int32_t *)(g10 + 48);
                                                                                                                *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                                v86 = (int32_t *)(g5 + 20);
                                                                                                                *v86 = *v86 + 1;
                                                                                                                v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                                v87 = (int32_t *)(g5 + 20);
                                                                                                                *v87 = *v87 + 1;
                                                                                                                *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                v88 = (int32_t *)(g5 + 20);
                                                                                                                *v88 = *v88 + 1;
                                                                                                                v103 = *(int32_t *)(g5 + 8);
                                                                                                                v104 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                                v89 = (int32_t *)(g5 + 20);
                                                                                                                *v89 = *v89 + 1;
                                                                                                                v105 = *(int32_t *)(g5 + 8);
                                                                                                                v106 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                                v90 = (int32_t *)(g5 + 20);
                                                                                                                *v90 = *v90 + 1;
                                                                                                                v107 = *(int32_t *)(g5 + 8);
                                                                                                                v108 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                                // branch -> 0x4886ea
                                                                                                            } else {
                                                                                                                // 0x4886cd
                                                                                                                g3 = v93;
                                                                                                                g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                function_487e24();
                                                                                                                g3 = g5;
                                                                                                                g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                function_487e24();
                                                                                                                // branch -> 0x4886ea
                                                                                                            }
                                                                                                            // 0x4886ea
                                                                                                            g3 = g10;
                                                                                                            function_487e4c();
                                                                                                            v94 = g5;
                                                                                                            v91 = (int32_t *)(v94 + 24);
                                                                                                            v109 = *v91;
                                                                                                            v95 = v94;
                                                                                                            if (v109 >= 1) {
                                                                                                                // 0x4886f8
                                                                                                                *v91 = -v109;
                                                                                                                v95 = g5;
                                                                                                                // branch -> 0x4886fd
                                                                                                            }
                                                                                                            // 0x4886fd
                                                                                                            if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                                // 0x488707
                                                                                                                // branch -> 0x48870c
                                                                                                                // 0x48870c
                                                                                                                return;
                                                                                                            }
                                                                                                            // 0x488703
                                                                                                            // branch -> 0x48870c
                                                                                                            // 0x48870c
                                                                                                            return;
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x488593
                                                                                                    if (*(int32_t *)(g10 + 16) != 0) {
                                                                                                        // 0x4885a0
                                                                                                        // branch -> 0x48870c
                                                                                                        // 0x48870c
                                                                                                        return;
                                                                                                    }
                                                                                                    // 0x488599
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    // branch -> 0x4885a0
                                                                                                    // 0x4885a0
                                                                                                    // branch -> 0x48870c
                                                                                                    // 0x48870c
                                                                                                    return;
                                                                                                }
                                                                                            }
                                                                                            // 0x48860b
                                                                                            if (g7 == 4) {
                                                                                                // 0x488617
                                                                                                v93 = g5;
                                                                                                v97 = *(int32_t *)(v93 + 24);
                                                                                                if (v97 > 0) {
                                                                                                    // 0x488628
                                                                                                    if (v97 == 2) {
                                                                                                        // 0x488631
                                                                                                        v83 = (int32_t *)(v93 + 20);
                                                                                                        *v83 = *v83 + 1;
                                                                                                        v98 = *(char *)(g10 + 48);
                                                                                                        *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                        v84 = (int32_t *)(g5 + 20);
                                                                                                        *v84 = *v84 + 1;
                                                                                                        v99 = *(int32_t *)(g5 + 8);
                                                                                                        v100 = *(int32_t *)(g10 + 48);
                                                                                                        *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                        v85 = (int32_t *)(g5 + 20);
                                                                                                        *v85 = *v85 + 1;
                                                                                                        v101 = *(int32_t *)(g5 + 8);
                                                                                                        v102 = *(int32_t *)(g10 + 48);
                                                                                                        *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                        v86 = (int32_t *)(g5 + 20);
                                                                                                        *v86 = *v86 + 1;
                                                                                                        v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                        *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                        v87 = (int32_t *)(g5 + 20);
                                                                                                        *v87 = *v87 + 1;
                                                                                                        *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                        v88 = (int32_t *)(g5 + 20);
                                                                                                        *v88 = *v88 + 1;
                                                                                                        v103 = *(int32_t *)(g5 + 8);
                                                                                                        v104 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                        v89 = (int32_t *)(g5 + 20);
                                                                                                        *v89 = *v89 + 1;
                                                                                                        v105 = *(int32_t *)(g5 + 8);
                                                                                                        v106 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                        v90 = (int32_t *)(g5 + 20);
                                                                                                        *v90 = *v90 + 1;
                                                                                                        v107 = *(int32_t *)(g5 + 8);
                                                                                                        v108 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                        // branch -> 0x4886ea
                                                                                                    } else {
                                                                                                        // 0x4886cd
                                                                                                        g3 = v93;
                                                                                                        g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                        function_487e24();
                                                                                                        g3 = g5;
                                                                                                        g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                        function_487e24();
                                                                                                        // branch -> 0x4886ea
                                                                                                    }
                                                                                                    // 0x4886ea
                                                                                                    g3 = g10;
                                                                                                    function_487e4c();
                                                                                                    v94 = g5;
                                                                                                    v91 = (int32_t *)(v94 + 24);
                                                                                                    v109 = *v91;
                                                                                                    v95 = v94;
                                                                                                    if (v109 >= 1) {
                                                                                                        // 0x4886f8
                                                                                                        *v91 = -v109;
                                                                                                        v95 = g5;
                                                                                                        // branch -> 0x4886fd
                                                                                                    }
                                                                                                    // 0x4886fd
                                                                                                    if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                        // 0x488707
                                                                                                        // branch -> 0x48870c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x488556
                                                                                    v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                                    g4 = v69;
                                                                                    g8 = g7;
                                                                                    ((int32_t (*)())v69)();
                                                                                    if (v59 != 2) {
                                                                                        // 0x488577
                                                                                        if (v59 != 3) {
                                                                                            // 0x488585
                                                                                            if (v59 != 0) {
                                                                                                // 0x48858c
                                                                                                if (v59 != 2) {
                                                                                                    // 0x4885a7
                                                                                                    if (v59 == 1) {
                                                                                                        // 0x4885ae
                                                                                                        if (g7 == 1) {
                                                                                                            // 0x4885b3
                                                                                                            g3 = g5;
                                                                                                            function_48cc98();
                                                                                                            // branch -> 0x4885f0
                                                                                                        } else {
                                                                                                            // 0x4885bc
                                                                                                            g6 = 0;
                                                                                                            g8 = 0;
                                                                                                            g3 = g5;
                                                                                                            function_48cbdc();
                                                                                                            if (g7 == 3) {
                                                                                                                // 0x4885ce
                                                                                                                v92 = g5;
                                                                                                                v96 = *(int32_t *)(v92 + 76);
                                                                                                                *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                                function_487178();
                                                                                                                // branch -> 0x4885f0
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x4885f0
                                                                                                        function_487e4c();
                                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                            // 0x4885fd
                                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                                            // branch -> 0x48870c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x48860b
                                                                                                    if (g7 == 4) {
                                                                                                        // 0x488617
                                                                                                        v93 = g5;
                                                                                                        v97 = *(int32_t *)(v93 + 24);
                                                                                                        if (v97 > 0) {
                                                                                                            // 0x488628
                                                                                                            if (v97 == 2) {
                                                                                                                // 0x488631
                                                                                                                v83 = (int32_t *)(v93 + 20);
                                                                                                                *v83 = *v83 + 1;
                                                                                                                v98 = *(char *)(g10 + 48);
                                                                                                                *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                                v84 = (int32_t *)(g5 + 20);
                                                                                                                *v84 = *v84 + 1;
                                                                                                                v99 = *(int32_t *)(g5 + 8);
                                                                                                                v100 = *(int32_t *)(g10 + 48);
                                                                                                                *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                                v85 = (int32_t *)(g5 + 20);
                                                                                                                *v85 = *v85 + 1;
                                                                                                                v101 = *(int32_t *)(g5 + 8);
                                                                                                                v102 = *(int32_t *)(g10 + 48);
                                                                                                                *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                                v86 = (int32_t *)(g5 + 20);
                                                                                                                *v86 = *v86 + 1;
                                                                                                                v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                                v87 = (int32_t *)(g5 + 20);
                                                                                                                *v87 = *v87 + 1;
                                                                                                                *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                v88 = (int32_t *)(g5 + 20);
                                                                                                                *v88 = *v88 + 1;
                                                                                                                v103 = *(int32_t *)(g5 + 8);
                                                                                                                v104 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                                v89 = (int32_t *)(g5 + 20);
                                                                                                                *v89 = *v89 + 1;
                                                                                                                v105 = *(int32_t *)(g5 + 8);
                                                                                                                v106 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                                v90 = (int32_t *)(g5 + 20);
                                                                                                                *v90 = *v90 + 1;
                                                                                                                v107 = *(int32_t *)(g5 + 8);
                                                                                                                v108 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                                // branch -> 0x4886ea
                                                                                                            } else {
                                                                                                                // 0x4886cd
                                                                                                                g3 = v93;
                                                                                                                g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                function_487e24();
                                                                                                                g3 = g5;
                                                                                                                g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                function_487e24();
                                                                                                                // branch -> 0x4886ea
                                                                                                            }
                                                                                                            // 0x4886ea
                                                                                                            g3 = g10;
                                                                                                            function_487e4c();
                                                                                                            v94 = g5;
                                                                                                            v91 = (int32_t *)(v94 + 24);
                                                                                                            v109 = *v91;
                                                                                                            v95 = v94;
                                                                                                            if (v109 >= 1) {
                                                                                                                // 0x4886f8
                                                                                                                *v91 = -v109;
                                                                                                                v95 = g5;
                                                                                                                // branch -> 0x4886fd
                                                                                                            }
                                                                                                            // 0x4886fd
                                                                                                            if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                                // 0x488707
                                                                                                                // branch -> 0x48870c
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x488593
                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                // 0x488599
                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                // branch -> 0x4885a0
                                                                                                // 0x4885a0
                                                                                                // branch -> 0x48870c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // 0x4885a0
                                                                                            // branch -> 0x48870c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x48857e
                                                                                    *(int32_t *)(g5 + 4) = 666;
                                                                                    // branch -> 0x488585
                                                                                    // 0x488585
                                                                                    if (v59 != 0) {
                                                                                        // 0x48858c
                                                                                        if (v59 != 2) {
                                                                                            // 0x4885a7
                                                                                            if (v59 == 1) {
                                                                                                // 0x4885ae
                                                                                                if (g7 == 1) {
                                                                                                    // 0x4885b3
                                                                                                    g3 = g5;
                                                                                                    function_48cc98();
                                                                                                    // branch -> 0x4885f0
                                                                                                } else {
                                                                                                    // 0x4885bc
                                                                                                    g6 = 0;
                                                                                                    g8 = 0;
                                                                                                    g3 = g5;
                                                                                                    function_48cbdc();
                                                                                                    if (g7 == 3) {
                                                                                                        // 0x4885ce
                                                                                                        v92 = g5;
                                                                                                        v96 = *(int32_t *)(v92 + 76);
                                                                                                        *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                        function_487178();
                                                                                                        // branch -> 0x4885f0
                                                                                                    }
                                                                                                }
                                                                                                // 0x4885f0
                                                                                                function_487e4c();
                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                    // 0x4885fd
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    // branch -> 0x48870c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x48860b
                                                                                            if (g7 == 4) {
                                                                                                // 0x488617
                                                                                                v93 = g5;
                                                                                                v97 = *(int32_t *)(v93 + 24);
                                                                                                if (v97 > 0) {
                                                                                                    // 0x488628
                                                                                                    if (v97 == 2) {
                                                                                                        // 0x488631
                                                                                                        v83 = (int32_t *)(v93 + 20);
                                                                                                        *v83 = *v83 + 1;
                                                                                                        v98 = *(char *)(g10 + 48);
                                                                                                        *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                        v84 = (int32_t *)(g5 + 20);
                                                                                                        *v84 = *v84 + 1;
                                                                                                        v99 = *(int32_t *)(g5 + 8);
                                                                                                        v100 = *(int32_t *)(g10 + 48);
                                                                                                        *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                        v85 = (int32_t *)(g5 + 20);
                                                                                                        *v85 = *v85 + 1;
                                                                                                        v101 = *(int32_t *)(g5 + 8);
                                                                                                        v102 = *(int32_t *)(g10 + 48);
                                                                                                        *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                        v86 = (int32_t *)(g5 + 20);
                                                                                                        *v86 = *v86 + 1;
                                                                                                        v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                        *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                        v87 = (int32_t *)(g5 + 20);
                                                                                                        *v87 = *v87 + 1;
                                                                                                        *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                        v88 = (int32_t *)(g5 + 20);
                                                                                                        *v88 = *v88 + 1;
                                                                                                        v103 = *(int32_t *)(g5 + 8);
                                                                                                        v104 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                        v89 = (int32_t *)(g5 + 20);
                                                                                                        *v89 = *v89 + 1;
                                                                                                        v105 = *(int32_t *)(g5 + 8);
                                                                                                        v106 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                        v90 = (int32_t *)(g5 + 20);
                                                                                                        *v90 = *v90 + 1;
                                                                                                        v107 = *(int32_t *)(g5 + 8);
                                                                                                        v108 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                        // branch -> 0x4886ea
                                                                                                    } else {
                                                                                                        // 0x4886cd
                                                                                                        g3 = v93;
                                                                                                        g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                        function_487e24();
                                                                                                        g3 = g5;
                                                                                                        g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                        function_487e24();
                                                                                                        // branch -> 0x4886ea
                                                                                                    }
                                                                                                    // 0x4886ea
                                                                                                    g3 = g10;
                                                                                                    function_487e4c();
                                                                                                    v94 = g5;
                                                                                                    v91 = (int32_t *)(v94 + 24);
                                                                                                    v109 = *v91;
                                                                                                    v95 = v94;
                                                                                                    if (v109 >= 1) {
                                                                                                        // 0x4886f8
                                                                                                        *v91 = -v109;
                                                                                                        v95 = g5;
                                                                                                        // branch -> 0x4886fd
                                                                                                    }
                                                                                                    // 0x4886fd
                                                                                                    if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                        // 0x488707
                                                                                                        // branch -> 0x48870c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x488593
                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                        // 0x488599
                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                        // branch -> 0x4885a0
                                                                                        // 0x4885a0
                                                                                        // branch -> 0x48870c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // 0x4885a0
                                                                                    // branch -> 0x48870c
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // 0x4884cd
                                                                                v60 = g5;
                                                                                if (*(int32_t *)(v60 + 20) == 0) {
                                                                                    // 0x4884f0
                                                                                    v63 = g10;
                                                                                    if (*(int32_t *)(v63 + 4) == 0) {
                                                                                        // 0x4884f6
                                                                                        v58 = g7;
                                                                                        if (v58 <= v1) {
                                                                                            // 0x4884fb
                                                                                            if (v58 != 4) {
                                                                                                // 0x488500
                                                                                                *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                                                // branch -> 0x48870c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                v64 = v63;
                                                                                                v59 = v60;
                                                                                            }
                                                                                        } else {
                                                                                            v64 = v63;
                                                                                            v59 = v60;
                                                                                        }
                                                                                    } else {
                                                                                        v64 = v63;
                                                                                        v59 = v60;
                                                                                    }
                                                                                } else {
                                                                                    // 0x4884d3
                                                                                    function_487e4c();
                                                                                    v61 = g10;
                                                                                    v62 = g5;
                                                                                    if (*(int32_t *)(v61 + 16) == 0) {
                                                                                        // 0x4884e0
                                                                                        *(int32_t *)(v62 + 40) = -1;
                                                                                        // branch -> 0x48870c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        v64 = v61;
                                                                                        v59 = v62;
                                                                                    }
                                                                                }
                                                                                // 0x488513
                                                                                v65 = *(int32_t *)(v59 + 4);
                                                                                v70 = v65 - 666;
                                                                                v57 = llvm_ctpop_i32(v70);
                                                                                v66 = *(int32_t *)(v64 + 4);
                                                                                v67 = v66;
                                                                                if (v65 == 666) {
                                                                                    // 0x48851c
                                                                                    if (v66 != 0) {
                                                                                        // 0x488522
                                                                                        *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                                        // branch -> 0x48870c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        v67 = 0;
                                                                                    }
                                                                                }
                                                                                // 0x488535
                                                                                g2 = false;
                                                                                g1 = false;
                                                                                g187 = v67 == 0;
                                                                                g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                                                if (v67 == 0) {
                                                                                    // 0x48853b
                                                                                    v68 = *(int32_t *)(v59 + 116);
                                                                                    g2 = false;
                                                                                    g1 = false;
                                                                                    g187 = v68 == 0;
                                                                                    g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                                                    if (v68 == 0) {
                                                                                        // 0x488541
                                                                                        if (g7 != 0) {
                                                                                            // 0x488549
                                                                                            g2 = (v65 & 15) > 25;
                                                                                            g1 = v65 < 666;
                                                                                            g187 = v70 == 0;
                                                                                            g9 = v57 % 2 == 1;
                                                                                            if (v65 != 666) {
                                                                                                // 0x488556
                                                                                                v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                                                g4 = v69;
                                                                                                g8 = g7;
                                                                                                ((int32_t (*)())v69)();
                                                                                                if (v59 != 2) {
                                                                                                    // 0x488577
                                                                                                    if (v59 != 3) {
                                                                                                        // 0x488585
                                                                                                        if (v59 != 0) {
                                                                                                            // 0x48858c
                                                                                                            if (v59 != 2) {
                                                                                                                // 0x4885a7
                                                                                                                if (v59 == 1) {
                                                                                                                    // 0x4885ae
                                                                                                                    if (g7 == 1) {
                                                                                                                        // 0x4885b3
                                                                                                                        g3 = g5;
                                                                                                                        function_48cc98();
                                                                                                                        // branch -> 0x4885f0
                                                                                                                    } else {
                                                                                                                        // 0x4885bc
                                                                                                                        g6 = 0;
                                                                                                                        g8 = 0;
                                                                                                                        g3 = g5;
                                                                                                                        function_48cbdc();
                                                                                                                        if (g7 == 3) {
                                                                                                                            // 0x4885ce
                                                                                                                            v92 = g5;
                                                                                                                            v96 = *(int32_t *)(v92 + 76);
                                                                                                                            *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                                            function_487178();
                                                                                                                            // branch -> 0x4885f0
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x4885f0
                                                                                                                    function_487e4c();
                                                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                        // 0x4885fd
                                                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                                                        // branch -> 0x48870c
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x48860b
                                                                                                                if (g7 == 4) {
                                                                                                                    // 0x488617
                                                                                                                    v93 = g5;
                                                                                                                    v97 = *(int32_t *)(v93 + 24);
                                                                                                                    if (v97 > 0) {
                                                                                                                        // 0x488628
                                                                                                                        if (v97 == 2) {
                                                                                                                            // 0x488631
                                                                                                                            v83 = (int32_t *)(v93 + 20);
                                                                                                                            *v83 = *v83 + 1;
                                                                                                                            v98 = *(char *)(g10 + 48);
                                                                                                                            *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                                            v84 = (int32_t *)(g5 + 20);
                                                                                                                            *v84 = *v84 + 1;
                                                                                                                            v99 = *(int32_t *)(g5 + 8);
                                                                                                                            v100 = *(int32_t *)(g10 + 48);
                                                                                                                            *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                                            v85 = (int32_t *)(g5 + 20);
                                                                                                                            *v85 = *v85 + 1;
                                                                                                                            v101 = *(int32_t *)(g5 + 8);
                                                                                                                            v102 = *(int32_t *)(g10 + 48);
                                                                                                                            *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                                            v86 = (int32_t *)(g5 + 20);
                                                                                                                            *v86 = *v86 + 1;
                                                                                                                            v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                            *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                                            v87 = (int32_t *)(g5 + 20);
                                                                                                                            *v87 = *v87 + 1;
                                                                                                                            *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                            v88 = (int32_t *)(g5 + 20);
                                                                                                                            *v88 = *v88 + 1;
                                                                                                                            v103 = *(int32_t *)(g5 + 8);
                                                                                                                            v104 = *(int32_t *)(g10 + 8);
                                                                                                                            *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                                            v89 = (int32_t *)(g5 + 20);
                                                                                                                            *v89 = *v89 + 1;
                                                                                                                            v105 = *(int32_t *)(g5 + 8);
                                                                                                                            v106 = *(int32_t *)(g10 + 8);
                                                                                                                            *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                                            v90 = (int32_t *)(g5 + 20);
                                                                                                                            *v90 = *v90 + 1;
                                                                                                                            v107 = *(int32_t *)(g5 + 8);
                                                                                                                            v108 = *(int32_t *)(g10 + 8);
                                                                                                                            *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                                            // branch -> 0x4886ea
                                                                                                                        } else {
                                                                                                                            // 0x4886cd
                                                                                                                            g3 = v93;
                                                                                                                            g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                            function_487e24();
                                                                                                                            g3 = g5;
                                                                                                                            g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                            function_487e24();
                                                                                                                            // branch -> 0x4886ea
                                                                                                                        }
                                                                                                                        // 0x4886ea
                                                                                                                        g3 = g10;
                                                                                                                        function_487e4c();
                                                                                                                        v94 = g5;
                                                                                                                        v91 = (int32_t *)(v94 + 24);
                                                                                                                        v109 = *v91;
                                                                                                                        v95 = v94;
                                                                                                                        if (v109 >= 1) {
                                                                                                                            // 0x4886f8
                                                                                                                            *v91 = -v109;
                                                                                                                            v95 = g5;
                                                                                                                            // branch -> 0x4886fd
                                                                                                                        }
                                                                                                                        // 0x4886fd
                                                                                                                        if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                                            // 0x488707
                                                                                                                            // branch -> 0x48870c
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x488593
                                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                            // 0x488599
                                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                                            // branch -> 0x4885a0
                                                                                                            // 0x4885a0
                                                                                                            // branch -> 0x48870c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // 0x4885a0
                                                                                                        // branch -> 0x48870c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x48857e
                                                                                                *(int32_t *)(g5 + 4) = 666;
                                                                                                // branch -> 0x488585
                                                                                                // 0x488585
                                                                                                if (v59 != 0) {
                                                                                                    // 0x48858c
                                                                                                    if (v59 != 2) {
                                                                                                        // 0x4885a7
                                                                                                        if (v59 == 1) {
                                                                                                            // 0x4885ae
                                                                                                            if (g7 == 1) {
                                                                                                                // 0x4885b3
                                                                                                                g3 = g5;
                                                                                                                function_48cc98();
                                                                                                                // branch -> 0x4885f0
                                                                                                            } else {
                                                                                                                // 0x4885bc
                                                                                                                g6 = 0;
                                                                                                                g8 = 0;
                                                                                                                g3 = g5;
                                                                                                                function_48cbdc();
                                                                                                                if (g7 == 3) {
                                                                                                                    // 0x4885ce
                                                                                                                    v92 = g5;
                                                                                                                    v96 = *(int32_t *)(v92 + 76);
                                                                                                                    *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                                    function_487178();
                                                                                                                    // branch -> 0x4885f0
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x4885f0
                                                                                                            function_487e4c();
                                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                // 0x4885fd
                                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                                // branch -> 0x48870c
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x48860b
                                                                                                        if (g7 == 4) {
                                                                                                            // 0x488617
                                                                                                            v93 = g5;
                                                                                                            v97 = *(int32_t *)(v93 + 24);
                                                                                                            if (v97 > 0) {
                                                                                                                // 0x488628
                                                                                                                if (v97 == 2) {
                                                                                                                    // 0x488631
                                                                                                                    v83 = (int32_t *)(v93 + 20);
                                                                                                                    *v83 = *v83 + 1;
                                                                                                                    v98 = *(char *)(g10 + 48);
                                                                                                                    *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                                    v84 = (int32_t *)(g5 + 20);
                                                                                                                    *v84 = *v84 + 1;
                                                                                                                    v99 = *(int32_t *)(g5 + 8);
                                                                                                                    v100 = *(int32_t *)(g10 + 48);
                                                                                                                    *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                                    v85 = (int32_t *)(g5 + 20);
                                                                                                                    *v85 = *v85 + 1;
                                                                                                                    v101 = *(int32_t *)(g5 + 8);
                                                                                                                    v102 = *(int32_t *)(g10 + 48);
                                                                                                                    *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                                    v86 = (int32_t *)(g5 + 20);
                                                                                                                    *v86 = *v86 + 1;
                                                                                                                    v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                    *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                                    v87 = (int32_t *)(g5 + 20);
                                                                                                                    *v87 = *v87 + 1;
                                                                                                                    *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                    v88 = (int32_t *)(g5 + 20);
                                                                                                                    *v88 = *v88 + 1;
                                                                                                                    v103 = *(int32_t *)(g5 + 8);
                                                                                                                    v104 = *(int32_t *)(g10 + 8);
                                                                                                                    *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                                    v89 = (int32_t *)(g5 + 20);
                                                                                                                    *v89 = *v89 + 1;
                                                                                                                    v105 = *(int32_t *)(g5 + 8);
                                                                                                                    v106 = *(int32_t *)(g10 + 8);
                                                                                                                    *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                                    v90 = (int32_t *)(g5 + 20);
                                                                                                                    *v90 = *v90 + 1;
                                                                                                                    v107 = *(int32_t *)(g5 + 8);
                                                                                                                    v108 = *(int32_t *)(g10 + 8);
                                                                                                                    *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                                    // branch -> 0x4886ea
                                                                                                                } else {
                                                                                                                    // 0x4886cd
                                                                                                                    g3 = v93;
                                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                    function_487e24();
                                                                                                                    g3 = g5;
                                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                    function_487e24();
                                                                                                                    // branch -> 0x4886ea
                                                                                                                }
                                                                                                                // 0x4886ea
                                                                                                                g3 = g10;
                                                                                                                function_487e4c();
                                                                                                                v94 = g5;
                                                                                                                v91 = (int32_t *)(v94 + 24);
                                                                                                                v109 = *v91;
                                                                                                                v95 = v94;
                                                                                                                if (v109 >= 1) {
                                                                                                                    // 0x4886f8
                                                                                                                    *v91 = -v109;
                                                                                                                    v95 = g5;
                                                                                                                    // branch -> 0x4886fd
                                                                                                                }
                                                                                                                // 0x4886fd
                                                                                                                if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                                    // 0x488707
                                                                                                                    // branch -> 0x48870c
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x488593
                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                    // 0x488599
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    // branch -> 0x4885a0
                                                                                                    // 0x4885a0
                                                                                                    // branch -> 0x48870c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // 0x4885a0
                                                                                                // branch -> 0x48870c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x48860b
                                                                                        if (g7 == 4) {
                                                                                            // 0x488617
                                                                                            v93 = g5;
                                                                                            v97 = *(int32_t *)(v93 + 24);
                                                                                            if (v97 > 0) {
                                                                                                // 0x488628
                                                                                                if (v97 == 2) {
                                                                                                    // 0x488631
                                                                                                    v83 = (int32_t *)(v93 + 20);
                                                                                                    *v83 = *v83 + 1;
                                                                                                    v98 = *(char *)(g10 + 48);
                                                                                                    *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                    v84 = (int32_t *)(g5 + 20);
                                                                                                    *v84 = *v84 + 1;
                                                                                                    v99 = *(int32_t *)(g5 + 8);
                                                                                                    v100 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                    v85 = (int32_t *)(g5 + 20);
                                                                                                    *v85 = *v85 + 1;
                                                                                                    v101 = *(int32_t *)(g5 + 8);
                                                                                                    v102 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                    v86 = (int32_t *)(g5 + 20);
                                                                                                    *v86 = *v86 + 1;
                                                                                                    v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                    *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                    v87 = (int32_t *)(g5 + 20);
                                                                                                    *v87 = *v87 + 1;
                                                                                                    *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                    v88 = (int32_t *)(g5 + 20);
                                                                                                    *v88 = *v88 + 1;
                                                                                                    v103 = *(int32_t *)(g5 + 8);
                                                                                                    v104 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                    v89 = (int32_t *)(g5 + 20);
                                                                                                    *v89 = *v89 + 1;
                                                                                                    v105 = *(int32_t *)(g5 + 8);
                                                                                                    v106 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                    v90 = (int32_t *)(g5 + 20);
                                                                                                    *v90 = *v90 + 1;
                                                                                                    v107 = *(int32_t *)(g5 + 8);
                                                                                                    v108 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                    // branch -> 0x4886ea
                                                                                                } else {
                                                                                                    // 0x4886cd
                                                                                                    g3 = v93;
                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                    function_487e24();
                                                                                                    g3 = g5;
                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                    function_487e24();
                                                                                                    // branch -> 0x4886ea
                                                                                                }
                                                                                                // 0x4886ea
                                                                                                g3 = g10;
                                                                                                function_487e4c();
                                                                                                v94 = g5;
                                                                                                v91 = (int32_t *)(v94 + 24);
                                                                                                v109 = *v91;
                                                                                                v95 = v94;
                                                                                                if (v109 >= 1) {
                                                                                                    // 0x4886f8
                                                                                                    *v91 = -v109;
                                                                                                    v95 = g5;
                                                                                                    // branch -> 0x4886fd
                                                                                                }
                                                                                                // 0x4886fd
                                                                                                if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                    // 0x488707
                                                                                                    // branch -> 0x48870c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x488556
                                                                                v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                                g4 = v69;
                                                                                g8 = g7;
                                                                                ((int32_t (*)())v69)();
                                                                                if (v59 != 2) {
                                                                                    // 0x488577
                                                                                    if (v59 != 3) {
                                                                                        // 0x488585
                                                                                        if (v59 != 0) {
                                                                                            // 0x48858c
                                                                                            if (v59 != 2) {
                                                                                                // 0x4885a7
                                                                                                if (v59 == 1) {
                                                                                                    // 0x4885ae
                                                                                                    if (g7 == 1) {
                                                                                                        // 0x4885b3
                                                                                                        g3 = g5;
                                                                                                        function_48cc98();
                                                                                                        // branch -> 0x4885f0
                                                                                                    } else {
                                                                                                        // 0x4885bc
                                                                                                        g6 = 0;
                                                                                                        g8 = 0;
                                                                                                        g3 = g5;
                                                                                                        function_48cbdc();
                                                                                                        if (g7 == 3) {
                                                                                                            // 0x4885ce
                                                                                                            v92 = g5;
                                                                                                            v96 = *(int32_t *)(v92 + 76);
                                                                                                            *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                            function_487178();
                                                                                                            // branch -> 0x4885f0
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x4885f0
                                                                                                    function_487e4c();
                                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                        // 0x4885fd
                                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                                        // branch -> 0x48870c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x48860b
                                                                                                if (g7 == 4) {
                                                                                                    // 0x488617
                                                                                                    v93 = g5;
                                                                                                    v97 = *(int32_t *)(v93 + 24);
                                                                                                    if (v97 > 0) {
                                                                                                        // 0x488628
                                                                                                        if (v97 == 2) {
                                                                                                            // 0x488631
                                                                                                            v83 = (int32_t *)(v93 + 20);
                                                                                                            *v83 = *v83 + 1;
                                                                                                            v98 = *(char *)(g10 + 48);
                                                                                                            *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                            v84 = (int32_t *)(g5 + 20);
                                                                                                            *v84 = *v84 + 1;
                                                                                                            v99 = *(int32_t *)(g5 + 8);
                                                                                                            v100 = *(int32_t *)(g10 + 48);
                                                                                                            *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                            v85 = (int32_t *)(g5 + 20);
                                                                                                            *v85 = *v85 + 1;
                                                                                                            v101 = *(int32_t *)(g5 + 8);
                                                                                                            v102 = *(int32_t *)(g10 + 48);
                                                                                                            *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                            v86 = (int32_t *)(g5 + 20);
                                                                                                            *v86 = *v86 + 1;
                                                                                                            v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                            *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                            v87 = (int32_t *)(g5 + 20);
                                                                                                            *v87 = *v87 + 1;
                                                                                                            *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                            v88 = (int32_t *)(g5 + 20);
                                                                                                            *v88 = *v88 + 1;
                                                                                                            v103 = *(int32_t *)(g5 + 8);
                                                                                                            v104 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                            v89 = (int32_t *)(g5 + 20);
                                                                                                            *v89 = *v89 + 1;
                                                                                                            v105 = *(int32_t *)(g5 + 8);
                                                                                                            v106 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                            v90 = (int32_t *)(g5 + 20);
                                                                                                            *v90 = *v90 + 1;
                                                                                                            v107 = *(int32_t *)(g5 + 8);
                                                                                                            v108 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                            // branch -> 0x4886ea
                                                                                                        } else {
                                                                                                            // 0x4886cd
                                                                                                            g3 = v93;
                                                                                                            g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                            function_487e24();
                                                                                                            g3 = g5;
                                                                                                            g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                            function_487e24();
                                                                                                            // branch -> 0x4886ea
                                                                                                        }
                                                                                                        // 0x4886ea
                                                                                                        g3 = g10;
                                                                                                        function_487e4c();
                                                                                                        v94 = g5;
                                                                                                        v91 = (int32_t *)(v94 + 24);
                                                                                                        v109 = *v91;
                                                                                                        v95 = v94;
                                                                                                        if (v109 >= 1) {
                                                                                                            // 0x4886f8
                                                                                                            *v91 = -v109;
                                                                                                            v95 = g5;
                                                                                                            // branch -> 0x4886fd
                                                                                                        }
                                                                                                        // 0x4886fd
                                                                                                        if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                            // 0x488707
                                                                                                            // branch -> 0x48870c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x488593
                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                            // 0x488599
                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                            // branch -> 0x4885a0
                                                                                            // 0x4885a0
                                                                                            // branch -> 0x48870c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // 0x4885a0
                                                                                        // branch -> 0x48870c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x48857e
                                                                                *(int32_t *)(g5 + 4) = 666;
                                                                                // branch -> 0x488585
                                                                                // 0x488585
                                                                                if (v59 != 0) {
                                                                                    // 0x48858c
                                                                                    if (v59 != 2) {
                                                                                        // 0x4885a7
                                                                                        if (v59 == 1) {
                                                                                            // 0x4885ae
                                                                                            if (g7 == 1) {
                                                                                                // 0x4885b3
                                                                                                g3 = g5;
                                                                                                function_48cc98();
                                                                                                // branch -> 0x4885f0
                                                                                            } else {
                                                                                                // 0x4885bc
                                                                                                g6 = 0;
                                                                                                g8 = 0;
                                                                                                g3 = g5;
                                                                                                function_48cbdc();
                                                                                                if (g7 == 3) {
                                                                                                    // 0x4885ce
                                                                                                    v92 = g5;
                                                                                                    v96 = *(int32_t *)(v92 + 76);
                                                                                                    *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                    function_487178();
                                                                                                    // branch -> 0x4885f0
                                                                                                }
                                                                                            }
                                                                                            // 0x4885f0
                                                                                            function_487e4c();
                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                // 0x4885fd
                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                // branch -> 0x48870c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x48860b
                                                                                        if (g7 == 4) {
                                                                                            // 0x488617
                                                                                            v93 = g5;
                                                                                            v97 = *(int32_t *)(v93 + 24);
                                                                                            if (v97 > 0) {
                                                                                                // 0x488628
                                                                                                if (v97 == 2) {
                                                                                                    // 0x488631
                                                                                                    v83 = (int32_t *)(v93 + 20);
                                                                                                    *v83 = *v83 + 1;
                                                                                                    v98 = *(char *)(g10 + 48);
                                                                                                    *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                    v84 = (int32_t *)(g5 + 20);
                                                                                                    *v84 = *v84 + 1;
                                                                                                    v99 = *(int32_t *)(g5 + 8);
                                                                                                    v100 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                    v85 = (int32_t *)(g5 + 20);
                                                                                                    *v85 = *v85 + 1;
                                                                                                    v101 = *(int32_t *)(g5 + 8);
                                                                                                    v102 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                    v86 = (int32_t *)(g5 + 20);
                                                                                                    *v86 = *v86 + 1;
                                                                                                    v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                    *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                    v87 = (int32_t *)(g5 + 20);
                                                                                                    *v87 = *v87 + 1;
                                                                                                    *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                    v88 = (int32_t *)(g5 + 20);
                                                                                                    *v88 = *v88 + 1;
                                                                                                    v103 = *(int32_t *)(g5 + 8);
                                                                                                    v104 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                    v89 = (int32_t *)(g5 + 20);
                                                                                                    *v89 = *v89 + 1;
                                                                                                    v105 = *(int32_t *)(g5 + 8);
                                                                                                    v106 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                    v90 = (int32_t *)(g5 + 20);
                                                                                                    *v90 = *v90 + 1;
                                                                                                    v107 = *(int32_t *)(g5 + 8);
                                                                                                    v108 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                    // branch -> 0x4886ea
                                                                                                } else {
                                                                                                    // 0x4886cd
                                                                                                    g3 = v93;
                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                    function_487e24();
                                                                                                    g3 = g5;
                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                    function_487e24();
                                                                                                    // branch -> 0x4886ea
                                                                                                }
                                                                                                // 0x4886ea
                                                                                                g3 = g10;
                                                                                                function_487e4c();
                                                                                                v94 = g5;
                                                                                                v91 = (int32_t *)(v94 + 24);
                                                                                                v109 = *v91;
                                                                                                v95 = v94;
                                                                                                if (v109 >= 1) {
                                                                                                    // 0x4886f8
                                                                                                    *v91 = -v109;
                                                                                                    v95 = g5;
                                                                                                    // branch -> 0x4886fd
                                                                                                }
                                                                                                // 0x4886fd
                                                                                                if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                    // 0x488707
                                                                                                    // branch -> 0x48870c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x488593
                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                    // 0x488599
                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                    // branch -> 0x4885a0
                                                                                    // 0x4885a0
                                                                                    // branch -> 0x48870c
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // 0x4885a0
                                                                                // branch -> 0x48870c
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // 0x48845c
                                                                            v41 = g5;
                                                                            v38 = (int32_t *)(v41 + 4);
                                                                            if (*v38 == 103) {
                                                                                // 0x488462
                                                                                v43 = *(int32_t *)(v41 + 28);
                                                                                g6 = v43;
                                                                                if (*(int32_t *)(v43 + 44) == 0) {
                                                                                    // 0x4884c6
                                                                                    *v38 = 113;
                                                                                    // branch -> 0x4884cd
                                                                                } else {
                                                                                    // 0x48846b
                                                                                    v44 = *(int32_t *)(v41 + 20);
                                                                                    g3 = v44;
                                                                                    v42 = v41;
                                                                                    if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                                        // 0x488476
                                                                                        function_487e4c();
                                                                                        v42 = g5;
                                                                                        // branch -> 0x48847d
                                                                                    }
                                                                                    // 0x48847d
                                                                                    v39 = (int32_t *)(v42 + 20);
                                                                                    if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                                                        // 0x488488
                                                                                        *v39 = *v39 + 1;
                                                                                        v45 = *(char *)(g10 + 48);
                                                                                        *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                                        v40 = (int32_t *)(g5 + 20);
                                                                                        *v40 = *v40 + 1;
                                                                                        v46 = *(int32_t *)(g5 + 8);
                                                                                        g3 = v46;
                                                                                        v47 = *(int32_t *)(g10 + 48);
                                                                                        *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                                        g6 = 0;
                                                                                        g8 = 0;
                                                                                        function_48d9ac();
                                                                                        *(int32_t *)(g10 + 48) = 0;
                                                                                        *(int32_t *)(g5 + 4) = 113;
                                                                                        // branch -> 0x4884cd
                                                                                    }
                                                                                }
                                                                                // 0x4884cd
                                                                                v60 = g5;
                                                                                if (*(int32_t *)(v60 + 20) == 0) {
                                                                                    // 0x4884f0
                                                                                    v63 = g10;
                                                                                    if (*(int32_t *)(v63 + 4) == 0) {
                                                                                        // 0x4884f6
                                                                                        v58 = g7;
                                                                                        if (v58 <= v1) {
                                                                                            // 0x4884fb
                                                                                            if (v58 != 4) {
                                                                                                // 0x488500
                                                                                                *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                                                // branch -> 0x48870c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            } else {
                                                                                                v64 = v63;
                                                                                                v59 = v60;
                                                                                            }
                                                                                        } else {
                                                                                            v64 = v63;
                                                                                            v59 = v60;
                                                                                        }
                                                                                    } else {
                                                                                        v64 = v63;
                                                                                        v59 = v60;
                                                                                    }
                                                                                } else {
                                                                                    // 0x4884d3
                                                                                    function_487e4c();
                                                                                    v61 = g10;
                                                                                    v62 = g5;
                                                                                    if (*(int32_t *)(v61 + 16) == 0) {
                                                                                        // 0x4884e0
                                                                                        *(int32_t *)(v62 + 40) = -1;
                                                                                        // branch -> 0x48870c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        v64 = v61;
                                                                                        v59 = v62;
                                                                                    }
                                                                                }
                                                                                // 0x488513
                                                                                v65 = *(int32_t *)(v59 + 4);
                                                                                v70 = v65 - 666;
                                                                                v57 = llvm_ctpop_i32(v70);
                                                                                v66 = *(int32_t *)(v64 + 4);
                                                                                v67 = v66;
                                                                                if (v65 == 666) {
                                                                                    // 0x48851c
                                                                                    if (v66 != 0) {
                                                                                        // 0x488522
                                                                                        *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                                        // branch -> 0x48870c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    } else {
                                                                                        v67 = 0;
                                                                                    }
                                                                                }
                                                                                // 0x488535
                                                                                g2 = false;
                                                                                g1 = false;
                                                                                g187 = v67 == 0;
                                                                                g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                                                if (v67 == 0) {
                                                                                    // 0x48853b
                                                                                    v68 = *(int32_t *)(v59 + 116);
                                                                                    g2 = false;
                                                                                    g1 = false;
                                                                                    g187 = v68 == 0;
                                                                                    g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                                                    if (v68 == 0) {
                                                                                        // 0x488541
                                                                                        if (g7 != 0) {
                                                                                            // 0x488549
                                                                                            g2 = (v65 & 15) > 25;
                                                                                            g1 = v65 < 666;
                                                                                            g187 = v70 == 0;
                                                                                            g9 = v57 % 2 == 1;
                                                                                            if (v65 != 666) {
                                                                                                // 0x488556
                                                                                                v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                                                g4 = v69;
                                                                                                g8 = g7;
                                                                                                ((int32_t (*)())v69)();
                                                                                                if (v59 != 2) {
                                                                                                    // 0x488577
                                                                                                    if (v59 != 3) {
                                                                                                        // 0x488585
                                                                                                        if (v59 != 0) {
                                                                                                            // 0x48858c
                                                                                                            if (v59 != 2) {
                                                                                                                // 0x4885a7
                                                                                                                if (v59 == 1) {
                                                                                                                    // 0x4885ae
                                                                                                                    if (g7 == 1) {
                                                                                                                        // 0x4885b3
                                                                                                                        g3 = g5;
                                                                                                                        function_48cc98();
                                                                                                                        // branch -> 0x4885f0
                                                                                                                    } else {
                                                                                                                        // 0x4885bc
                                                                                                                        g6 = 0;
                                                                                                                        g8 = 0;
                                                                                                                        g3 = g5;
                                                                                                                        function_48cbdc();
                                                                                                                        if (g7 == 3) {
                                                                                                                            // 0x4885ce
                                                                                                                            v92 = g5;
                                                                                                                            v96 = *(int32_t *)(v92 + 76);
                                                                                                                            *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                                            function_487178();
                                                                                                                            // branch -> 0x4885f0
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // 0x4885f0
                                                                                                                    function_487e4c();
                                                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                        // 0x4885fd
                                                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                                                        // branch -> 0x48870c
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x48860b
                                                                                                                if (g7 == 4) {
                                                                                                                    // 0x488617
                                                                                                                    v93 = g5;
                                                                                                                    v97 = *(int32_t *)(v93 + 24);
                                                                                                                    if (v97 > 0) {
                                                                                                                        // 0x488628
                                                                                                                        if (v97 == 2) {
                                                                                                                            // 0x488631
                                                                                                                            v83 = (int32_t *)(v93 + 20);
                                                                                                                            *v83 = *v83 + 1;
                                                                                                                            v98 = *(char *)(g10 + 48);
                                                                                                                            *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                                            v84 = (int32_t *)(g5 + 20);
                                                                                                                            *v84 = *v84 + 1;
                                                                                                                            v99 = *(int32_t *)(g5 + 8);
                                                                                                                            v100 = *(int32_t *)(g10 + 48);
                                                                                                                            *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                                            v85 = (int32_t *)(g5 + 20);
                                                                                                                            *v85 = *v85 + 1;
                                                                                                                            v101 = *(int32_t *)(g5 + 8);
                                                                                                                            v102 = *(int32_t *)(g10 + 48);
                                                                                                                            *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                                            v86 = (int32_t *)(g5 + 20);
                                                                                                                            *v86 = *v86 + 1;
                                                                                                                            v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                            *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                                            v87 = (int32_t *)(g5 + 20);
                                                                                                                            *v87 = *v87 + 1;
                                                                                                                            *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                            v88 = (int32_t *)(g5 + 20);
                                                                                                                            *v88 = *v88 + 1;
                                                                                                                            v103 = *(int32_t *)(g5 + 8);
                                                                                                                            v104 = *(int32_t *)(g10 + 8);
                                                                                                                            *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                                            v89 = (int32_t *)(g5 + 20);
                                                                                                                            *v89 = *v89 + 1;
                                                                                                                            v105 = *(int32_t *)(g5 + 8);
                                                                                                                            v106 = *(int32_t *)(g10 + 8);
                                                                                                                            *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                                            v90 = (int32_t *)(g5 + 20);
                                                                                                                            *v90 = *v90 + 1;
                                                                                                                            v107 = *(int32_t *)(g5 + 8);
                                                                                                                            v108 = *(int32_t *)(g10 + 8);
                                                                                                                            *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                                            // branch -> 0x4886ea
                                                                                                                        } else {
                                                                                                                            // 0x4886cd
                                                                                                                            g3 = v93;
                                                                                                                            g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                            function_487e24();
                                                                                                                            g3 = g5;
                                                                                                                            g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                            function_487e24();
                                                                                                                            // branch -> 0x4886ea
                                                                                                                        }
                                                                                                                        // 0x4886ea
                                                                                                                        g3 = g10;
                                                                                                                        function_487e4c();
                                                                                                                        v94 = g5;
                                                                                                                        v91 = (int32_t *)(v94 + 24);
                                                                                                                        v109 = *v91;
                                                                                                                        v95 = v94;
                                                                                                                        if (v109 >= 1) {
                                                                                                                            // 0x4886f8
                                                                                                                            *v91 = -v109;
                                                                                                                            v95 = g5;
                                                                                                                            // branch -> 0x4886fd
                                                                                                                        }
                                                                                                                        // 0x4886fd
                                                                                                                        if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                                            // 0x488707
                                                                                                                            // branch -> 0x48870c
                                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                        }
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x488593
                                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                            // 0x488599
                                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                                            // branch -> 0x4885a0
                                                                                                            // 0x4885a0
                                                                                                            // branch -> 0x48870c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // 0x4885a0
                                                                                                        // branch -> 0x48870c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x48857e
                                                                                                *(int32_t *)(g5 + 4) = 666;
                                                                                                // branch -> 0x488585
                                                                                                // 0x488585
                                                                                                if (v59 != 0) {
                                                                                                    // 0x48858c
                                                                                                    if (v59 != 2) {
                                                                                                        // 0x4885a7
                                                                                                        if (v59 == 1) {
                                                                                                            // 0x4885ae
                                                                                                            if (g7 == 1) {
                                                                                                                // 0x4885b3
                                                                                                                g3 = g5;
                                                                                                                function_48cc98();
                                                                                                                // branch -> 0x4885f0
                                                                                                            } else {
                                                                                                                // 0x4885bc
                                                                                                                g6 = 0;
                                                                                                                g8 = 0;
                                                                                                                g3 = g5;
                                                                                                                function_48cbdc();
                                                                                                                if (g7 == 3) {
                                                                                                                    // 0x4885ce
                                                                                                                    v92 = g5;
                                                                                                                    v96 = *(int32_t *)(v92 + 76);
                                                                                                                    *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                                    function_487178();
                                                                                                                    // branch -> 0x4885f0
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x4885f0
                                                                                                            function_487e4c();
                                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                // 0x4885fd
                                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                                // branch -> 0x48870c
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x48860b
                                                                                                        if (g7 == 4) {
                                                                                                            // 0x488617
                                                                                                            v93 = g5;
                                                                                                            v97 = *(int32_t *)(v93 + 24);
                                                                                                            if (v97 > 0) {
                                                                                                                // 0x488628
                                                                                                                if (v97 == 2) {
                                                                                                                    // 0x488631
                                                                                                                    v83 = (int32_t *)(v93 + 20);
                                                                                                                    *v83 = *v83 + 1;
                                                                                                                    v98 = *(char *)(g10 + 48);
                                                                                                                    *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                                    v84 = (int32_t *)(g5 + 20);
                                                                                                                    *v84 = *v84 + 1;
                                                                                                                    v99 = *(int32_t *)(g5 + 8);
                                                                                                                    v100 = *(int32_t *)(g10 + 48);
                                                                                                                    *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                                    v85 = (int32_t *)(g5 + 20);
                                                                                                                    *v85 = *v85 + 1;
                                                                                                                    v101 = *(int32_t *)(g5 + 8);
                                                                                                                    v102 = *(int32_t *)(g10 + 48);
                                                                                                                    *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                                    v86 = (int32_t *)(g5 + 20);
                                                                                                                    *v86 = *v86 + 1;
                                                                                                                    v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                    *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                                    v87 = (int32_t *)(g5 + 20);
                                                                                                                    *v87 = *v87 + 1;
                                                                                                                    *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                    v88 = (int32_t *)(g5 + 20);
                                                                                                                    *v88 = *v88 + 1;
                                                                                                                    v103 = *(int32_t *)(g5 + 8);
                                                                                                                    v104 = *(int32_t *)(g10 + 8);
                                                                                                                    *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                                    v89 = (int32_t *)(g5 + 20);
                                                                                                                    *v89 = *v89 + 1;
                                                                                                                    v105 = *(int32_t *)(g5 + 8);
                                                                                                                    v106 = *(int32_t *)(g10 + 8);
                                                                                                                    *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                                    v90 = (int32_t *)(g5 + 20);
                                                                                                                    *v90 = *v90 + 1;
                                                                                                                    v107 = *(int32_t *)(g5 + 8);
                                                                                                                    v108 = *(int32_t *)(g10 + 8);
                                                                                                                    *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                                    // branch -> 0x4886ea
                                                                                                                } else {
                                                                                                                    // 0x4886cd
                                                                                                                    g3 = v93;
                                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                    function_487e24();
                                                                                                                    g3 = g5;
                                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                    function_487e24();
                                                                                                                    // branch -> 0x4886ea
                                                                                                                }
                                                                                                                // 0x4886ea
                                                                                                                g3 = g10;
                                                                                                                function_487e4c();
                                                                                                                v94 = g5;
                                                                                                                v91 = (int32_t *)(v94 + 24);
                                                                                                                v109 = *v91;
                                                                                                                v95 = v94;
                                                                                                                if (v109 >= 1) {
                                                                                                                    // 0x4886f8
                                                                                                                    *v91 = -v109;
                                                                                                                    v95 = g5;
                                                                                                                    // branch -> 0x4886fd
                                                                                                                }
                                                                                                                // 0x4886fd
                                                                                                                if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                                    // 0x488707
                                                                                                                    // branch -> 0x48870c
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x488593
                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                    // 0x488599
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    // branch -> 0x4885a0
                                                                                                    // 0x4885a0
                                                                                                    // branch -> 0x48870c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // 0x4885a0
                                                                                                // branch -> 0x48870c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x48860b
                                                                                        if (g7 == 4) {
                                                                                            // 0x488617
                                                                                            v93 = g5;
                                                                                            v97 = *(int32_t *)(v93 + 24);
                                                                                            if (v97 > 0) {
                                                                                                // 0x488628
                                                                                                if (v97 == 2) {
                                                                                                    // 0x488631
                                                                                                    v83 = (int32_t *)(v93 + 20);
                                                                                                    *v83 = *v83 + 1;
                                                                                                    v98 = *(char *)(g10 + 48);
                                                                                                    *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                    v84 = (int32_t *)(g5 + 20);
                                                                                                    *v84 = *v84 + 1;
                                                                                                    v99 = *(int32_t *)(g5 + 8);
                                                                                                    v100 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                    v85 = (int32_t *)(g5 + 20);
                                                                                                    *v85 = *v85 + 1;
                                                                                                    v101 = *(int32_t *)(g5 + 8);
                                                                                                    v102 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                    v86 = (int32_t *)(g5 + 20);
                                                                                                    *v86 = *v86 + 1;
                                                                                                    v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                    *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                    v87 = (int32_t *)(g5 + 20);
                                                                                                    *v87 = *v87 + 1;
                                                                                                    *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                    v88 = (int32_t *)(g5 + 20);
                                                                                                    *v88 = *v88 + 1;
                                                                                                    v103 = *(int32_t *)(g5 + 8);
                                                                                                    v104 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                    v89 = (int32_t *)(g5 + 20);
                                                                                                    *v89 = *v89 + 1;
                                                                                                    v105 = *(int32_t *)(g5 + 8);
                                                                                                    v106 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                    v90 = (int32_t *)(g5 + 20);
                                                                                                    *v90 = *v90 + 1;
                                                                                                    v107 = *(int32_t *)(g5 + 8);
                                                                                                    v108 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                    // branch -> 0x4886ea
                                                                                                } else {
                                                                                                    // 0x4886cd
                                                                                                    g3 = v93;
                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                    function_487e24();
                                                                                                    g3 = g5;
                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                    function_487e24();
                                                                                                    // branch -> 0x4886ea
                                                                                                }
                                                                                                // 0x4886ea
                                                                                                g3 = g10;
                                                                                                function_487e4c();
                                                                                                v94 = g5;
                                                                                                v91 = (int32_t *)(v94 + 24);
                                                                                                v109 = *v91;
                                                                                                v95 = v94;
                                                                                                if (v109 >= 1) {
                                                                                                    // 0x4886f8
                                                                                                    *v91 = -v109;
                                                                                                    v95 = g5;
                                                                                                    // branch -> 0x4886fd
                                                                                                }
                                                                                                // 0x4886fd
                                                                                                if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                    // 0x488707
                                                                                                    // branch -> 0x48870c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x488556
                                                                                v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                                g4 = v69;
                                                                                g8 = g7;
                                                                                ((int32_t (*)())v69)();
                                                                                if (v59 != 2) {
                                                                                    // 0x488577
                                                                                    if (v59 != 3) {
                                                                                        // 0x488585
                                                                                        if (v59 != 0) {
                                                                                            // 0x48858c
                                                                                            if (v59 != 2) {
                                                                                                // 0x4885a7
                                                                                                if (v59 == 1) {
                                                                                                    // 0x4885ae
                                                                                                    if (g7 == 1) {
                                                                                                        // 0x4885b3
                                                                                                        g3 = g5;
                                                                                                        function_48cc98();
                                                                                                        // branch -> 0x4885f0
                                                                                                    } else {
                                                                                                        // 0x4885bc
                                                                                                        g6 = 0;
                                                                                                        g8 = 0;
                                                                                                        g3 = g5;
                                                                                                        function_48cbdc();
                                                                                                        if (g7 == 3) {
                                                                                                            // 0x4885ce
                                                                                                            v92 = g5;
                                                                                                            v96 = *(int32_t *)(v92 + 76);
                                                                                                            *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                            function_487178();
                                                                                                            // branch -> 0x4885f0
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x4885f0
                                                                                                    function_487e4c();
                                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                        // 0x4885fd
                                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                                        // branch -> 0x48870c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x48860b
                                                                                                if (g7 == 4) {
                                                                                                    // 0x488617
                                                                                                    v93 = g5;
                                                                                                    v97 = *(int32_t *)(v93 + 24);
                                                                                                    if (v97 > 0) {
                                                                                                        // 0x488628
                                                                                                        if (v97 == 2) {
                                                                                                            // 0x488631
                                                                                                            v83 = (int32_t *)(v93 + 20);
                                                                                                            *v83 = *v83 + 1;
                                                                                                            v98 = *(char *)(g10 + 48);
                                                                                                            *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                            v84 = (int32_t *)(g5 + 20);
                                                                                                            *v84 = *v84 + 1;
                                                                                                            v99 = *(int32_t *)(g5 + 8);
                                                                                                            v100 = *(int32_t *)(g10 + 48);
                                                                                                            *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                            v85 = (int32_t *)(g5 + 20);
                                                                                                            *v85 = *v85 + 1;
                                                                                                            v101 = *(int32_t *)(g5 + 8);
                                                                                                            v102 = *(int32_t *)(g10 + 48);
                                                                                                            *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                            v86 = (int32_t *)(g5 + 20);
                                                                                                            *v86 = *v86 + 1;
                                                                                                            v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                            *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                            v87 = (int32_t *)(g5 + 20);
                                                                                                            *v87 = *v87 + 1;
                                                                                                            *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                            v88 = (int32_t *)(g5 + 20);
                                                                                                            *v88 = *v88 + 1;
                                                                                                            v103 = *(int32_t *)(g5 + 8);
                                                                                                            v104 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                            v89 = (int32_t *)(g5 + 20);
                                                                                                            *v89 = *v89 + 1;
                                                                                                            v105 = *(int32_t *)(g5 + 8);
                                                                                                            v106 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                            v90 = (int32_t *)(g5 + 20);
                                                                                                            *v90 = *v90 + 1;
                                                                                                            v107 = *(int32_t *)(g5 + 8);
                                                                                                            v108 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                            // branch -> 0x4886ea
                                                                                                        } else {
                                                                                                            // 0x4886cd
                                                                                                            g3 = v93;
                                                                                                            g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                            function_487e24();
                                                                                                            g3 = g5;
                                                                                                            g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                            function_487e24();
                                                                                                            // branch -> 0x4886ea
                                                                                                        }
                                                                                                        // 0x4886ea
                                                                                                        g3 = g10;
                                                                                                        function_487e4c();
                                                                                                        v94 = g5;
                                                                                                        v91 = (int32_t *)(v94 + 24);
                                                                                                        v109 = *v91;
                                                                                                        v95 = v94;
                                                                                                        if (v109 >= 1) {
                                                                                                            // 0x4886f8
                                                                                                            *v91 = -v109;
                                                                                                            v95 = g5;
                                                                                                            // branch -> 0x4886fd
                                                                                                        }
                                                                                                        // 0x4886fd
                                                                                                        if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                            // 0x488707
                                                                                                            // branch -> 0x48870c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x488593
                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                            // 0x488599
                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                            // branch -> 0x4885a0
                                                                                            // 0x4885a0
                                                                                            // branch -> 0x48870c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // 0x4885a0
                                                                                        // branch -> 0x48870c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x48857e
                                                                                *(int32_t *)(g5 + 4) = 666;
                                                                                // branch -> 0x488585
                                                                                // 0x488585
                                                                                if (v59 != 0) {
                                                                                    // 0x48858c
                                                                                    if (v59 != 2) {
                                                                                        // 0x4885a7
                                                                                        if (v59 == 1) {
                                                                                            // 0x4885ae
                                                                                            if (g7 == 1) {
                                                                                                // 0x4885b3
                                                                                                g3 = g5;
                                                                                                function_48cc98();
                                                                                                // branch -> 0x4885f0
                                                                                            } else {
                                                                                                // 0x4885bc
                                                                                                g6 = 0;
                                                                                                g8 = 0;
                                                                                                g3 = g5;
                                                                                                function_48cbdc();
                                                                                                if (g7 == 3) {
                                                                                                    // 0x4885ce
                                                                                                    v92 = g5;
                                                                                                    v96 = *(int32_t *)(v92 + 76);
                                                                                                    *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                    function_487178();
                                                                                                    // branch -> 0x4885f0
                                                                                                }
                                                                                            }
                                                                                            // 0x4885f0
                                                                                            function_487e4c();
                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                // 0x4885fd
                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                // branch -> 0x48870c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x48860b
                                                                                        if (g7 == 4) {
                                                                                            // 0x488617
                                                                                            v93 = g5;
                                                                                            v97 = *(int32_t *)(v93 + 24);
                                                                                            if (v97 > 0) {
                                                                                                // 0x488628
                                                                                                if (v97 == 2) {
                                                                                                    // 0x488631
                                                                                                    v83 = (int32_t *)(v93 + 20);
                                                                                                    *v83 = *v83 + 1;
                                                                                                    v98 = *(char *)(g10 + 48);
                                                                                                    *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                    v84 = (int32_t *)(g5 + 20);
                                                                                                    *v84 = *v84 + 1;
                                                                                                    v99 = *(int32_t *)(g5 + 8);
                                                                                                    v100 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                    v85 = (int32_t *)(g5 + 20);
                                                                                                    *v85 = *v85 + 1;
                                                                                                    v101 = *(int32_t *)(g5 + 8);
                                                                                                    v102 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                    v86 = (int32_t *)(g5 + 20);
                                                                                                    *v86 = *v86 + 1;
                                                                                                    v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                    *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                    v87 = (int32_t *)(g5 + 20);
                                                                                                    *v87 = *v87 + 1;
                                                                                                    *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                    v88 = (int32_t *)(g5 + 20);
                                                                                                    *v88 = *v88 + 1;
                                                                                                    v103 = *(int32_t *)(g5 + 8);
                                                                                                    v104 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                    v89 = (int32_t *)(g5 + 20);
                                                                                                    *v89 = *v89 + 1;
                                                                                                    v105 = *(int32_t *)(g5 + 8);
                                                                                                    v106 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                    v90 = (int32_t *)(g5 + 20);
                                                                                                    *v90 = *v90 + 1;
                                                                                                    v107 = *(int32_t *)(g5 + 8);
                                                                                                    v108 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                    // branch -> 0x4886ea
                                                                                                } else {
                                                                                                    // 0x4886cd
                                                                                                    g3 = v93;
                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                    function_487e24();
                                                                                                    g3 = g5;
                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                    function_487e24();
                                                                                                    // branch -> 0x4886ea
                                                                                                }
                                                                                                // 0x4886ea
                                                                                                g3 = g10;
                                                                                                function_487e4c();
                                                                                                v94 = g5;
                                                                                                v91 = (int32_t *)(v94 + 24);
                                                                                                v109 = *v91;
                                                                                                v95 = v94;
                                                                                                if (v109 >= 1) {
                                                                                                    // 0x4886f8
                                                                                                    *v91 = -v109;
                                                                                                    v95 = g5;
                                                                                                    // branch -> 0x4886fd
                                                                                                }
                                                                                                // 0x4886fd
                                                                                                if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                    // 0x488707
                                                                                                    // branch -> 0x48870c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x488593
                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                    // 0x488599
                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                    // branch -> 0x4885a0
                                                                                    // 0x4885a0
                                                                                    // branch -> 0x48870c
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // 0x4885a0
                                                                                // branch -> 0x48870c
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // 0x4884cd
                                                                            v60 = g5;
                                                                            if (*(int32_t *)(v60 + 20) == 0) {
                                                                                // 0x4884f0
                                                                                v63 = g10;
                                                                                if (*(int32_t *)(v63 + 4) == 0) {
                                                                                    // 0x4884f6
                                                                                    v58 = g7;
                                                                                    if (v58 <= v1) {
                                                                                        // 0x4884fb
                                                                                        if (v58 != 4) {
                                                                                            // 0x488500
                                                                                            *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                                            // branch -> 0x48870c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        } else {
                                                                                            v64 = v63;
                                                                                            v59 = v60;
                                                                                        }
                                                                                    } else {
                                                                                        v64 = v63;
                                                                                        v59 = v60;
                                                                                    }
                                                                                } else {
                                                                                    v64 = v63;
                                                                                    v59 = v60;
                                                                                }
                                                                            } else {
                                                                                // 0x4884d3
                                                                                function_487e4c();
                                                                                v61 = g10;
                                                                                v62 = g5;
                                                                                if (*(int32_t *)(v61 + 16) == 0) {
                                                                                    // 0x4884e0
                                                                                    *(int32_t *)(v62 + 40) = -1;
                                                                                    // branch -> 0x48870c
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                } else {
                                                                                    v64 = v61;
                                                                                    v59 = v62;
                                                                                }
                                                                            }
                                                                            // 0x488513
                                                                            v65 = *(int32_t *)(v59 + 4);
                                                                            v70 = v65 - 666;
                                                                            v57 = llvm_ctpop_i32(v70);
                                                                            v66 = *(int32_t *)(v64 + 4);
                                                                            v67 = v66;
                                                                            if (v65 == 666) {
                                                                                // 0x48851c
                                                                                if (v66 != 0) {
                                                                                    // 0x488522
                                                                                    *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                                    // branch -> 0x48870c
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                } else {
                                                                                    v67 = 0;
                                                                                }
                                                                            }
                                                                            // 0x488535
                                                                            g2 = false;
                                                                            g1 = false;
                                                                            g187 = v67 == 0;
                                                                            g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                                            if (v67 == 0) {
                                                                                // 0x48853b
                                                                                v68 = *(int32_t *)(v59 + 116);
                                                                                g2 = false;
                                                                                g1 = false;
                                                                                g187 = v68 == 0;
                                                                                g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                                                if (v68 == 0) {
                                                                                    // 0x488541
                                                                                    if (g7 != 0) {
                                                                                        // 0x488549
                                                                                        g2 = (v65 & 15) > 25;
                                                                                        g1 = v65 < 666;
                                                                                        g187 = v70 == 0;
                                                                                        g9 = v57 % 2 == 1;
                                                                                        if (v65 != 666) {
                                                                                            // 0x488556
                                                                                            v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                                            g4 = v69;
                                                                                            g8 = g7;
                                                                                            ((int32_t (*)())v69)();
                                                                                            if (v59 != 2) {
                                                                                                // 0x488577
                                                                                                if (v59 != 3) {
                                                                                                    // 0x488585
                                                                                                    if (v59 != 0) {
                                                                                                        // 0x48858c
                                                                                                        if (v59 != 2) {
                                                                                                            // 0x4885a7
                                                                                                            if (v59 == 1) {
                                                                                                                // 0x4885ae
                                                                                                                if (g7 == 1) {
                                                                                                                    // 0x4885b3
                                                                                                                    g3 = g5;
                                                                                                                    function_48cc98();
                                                                                                                    // branch -> 0x4885f0
                                                                                                                } else {
                                                                                                                    // 0x4885bc
                                                                                                                    g6 = 0;
                                                                                                                    g8 = 0;
                                                                                                                    g3 = g5;
                                                                                                                    function_48cbdc();
                                                                                                                    if (g7 == 3) {
                                                                                                                        // 0x4885ce
                                                                                                                        v92 = g5;
                                                                                                                        v96 = *(int32_t *)(v92 + 76);
                                                                                                                        *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                                        function_487178();
                                                                                                                        // branch -> 0x4885f0
                                                                                                                    }
                                                                                                                }
                                                                                                                // 0x4885f0
                                                                                                                function_487e4c();
                                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                                    // 0x4885fd
                                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                                    // branch -> 0x48870c
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                            }
                                                                                                            // 0x48860b
                                                                                                            if (g7 == 4) {
                                                                                                                // 0x488617
                                                                                                                v93 = g5;
                                                                                                                v97 = *(int32_t *)(v93 + 24);
                                                                                                                if (v97 > 0) {
                                                                                                                    // 0x488628
                                                                                                                    if (v97 == 2) {
                                                                                                                        // 0x488631
                                                                                                                        v83 = (int32_t *)(v93 + 20);
                                                                                                                        *v83 = *v83 + 1;
                                                                                                                        v98 = *(char *)(g10 + 48);
                                                                                                                        *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                                        v84 = (int32_t *)(g5 + 20);
                                                                                                                        *v84 = *v84 + 1;
                                                                                                                        v99 = *(int32_t *)(g5 + 8);
                                                                                                                        v100 = *(int32_t *)(g10 + 48);
                                                                                                                        *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                                        v85 = (int32_t *)(g5 + 20);
                                                                                                                        *v85 = *v85 + 1;
                                                                                                                        v101 = *(int32_t *)(g5 + 8);
                                                                                                                        v102 = *(int32_t *)(g10 + 48);
                                                                                                                        *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                                        v86 = (int32_t *)(g5 + 20);
                                                                                                                        *v86 = *v86 + 1;
                                                                                                                        v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                        *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                                        v87 = (int32_t *)(g5 + 20);
                                                                                                                        *v87 = *v87 + 1;
                                                                                                                        *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                        v88 = (int32_t *)(g5 + 20);
                                                                                                                        *v88 = *v88 + 1;
                                                                                                                        v103 = *(int32_t *)(g5 + 8);
                                                                                                                        v104 = *(int32_t *)(g10 + 8);
                                                                                                                        *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                                        v89 = (int32_t *)(g5 + 20);
                                                                                                                        *v89 = *v89 + 1;
                                                                                                                        v105 = *(int32_t *)(g5 + 8);
                                                                                                                        v106 = *(int32_t *)(g10 + 8);
                                                                                                                        *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                                        v90 = (int32_t *)(g5 + 20);
                                                                                                                        *v90 = *v90 + 1;
                                                                                                                        v107 = *(int32_t *)(g5 + 8);
                                                                                                                        v108 = *(int32_t *)(g10 + 8);
                                                                                                                        *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                                        // branch -> 0x4886ea
                                                                                                                    } else {
                                                                                                                        // 0x4886cd
                                                                                                                        g3 = v93;
                                                                                                                        g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                        function_487e24();
                                                                                                                        g3 = g5;
                                                                                                                        g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                        function_487e24();
                                                                                                                        // branch -> 0x4886ea
                                                                                                                    }
                                                                                                                    // 0x4886ea
                                                                                                                    g3 = g10;
                                                                                                                    function_487e4c();
                                                                                                                    v94 = g5;
                                                                                                                    v91 = (int32_t *)(v94 + 24);
                                                                                                                    v109 = *v91;
                                                                                                                    v95 = v94;
                                                                                                                    if (v109 >= 1) {
                                                                                                                        // 0x4886f8
                                                                                                                        *v91 = -v109;
                                                                                                                        v95 = g5;
                                                                                                                        // branch -> 0x4886fd
                                                                                                                    }
                                                                                                                    // 0x4886fd
                                                                                                                    if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                                        // 0x488707
                                                                                                                        // branch -> 0x48870c
                                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                    }
                                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                                }
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x488593
                                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                        // 0x488599
                                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                                        // branch -> 0x4885a0
                                                                                                        // 0x4885a0
                                                                                                        // branch -> 0x48870c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x48857e
                                                                                            *(int32_t *)(g5 + 4) = 666;
                                                                                            // branch -> 0x488585
                                                                                            // 0x488585
                                                                                            if (v59 != 0) {
                                                                                                // 0x48858c
                                                                                                if (v59 != 2) {
                                                                                                    // 0x4885a7
                                                                                                    if (v59 == 1) {
                                                                                                        // 0x4885ae
                                                                                                        if (g7 == 1) {
                                                                                                            // 0x4885b3
                                                                                                            g3 = g5;
                                                                                                            function_48cc98();
                                                                                                            // branch -> 0x4885f0
                                                                                                        } else {
                                                                                                            // 0x4885bc
                                                                                                            g6 = 0;
                                                                                                            g8 = 0;
                                                                                                            g3 = g5;
                                                                                                            function_48cbdc();
                                                                                                            if (g7 == 3) {
                                                                                                                // 0x4885ce
                                                                                                                v92 = g5;
                                                                                                                v96 = *(int32_t *)(v92 + 76);
                                                                                                                *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                                function_487178();
                                                                                                                // branch -> 0x4885f0
                                                                                                            }
                                                                                                        }
                                                                                                        // 0x4885f0
                                                                                                        function_487e4c();
                                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                            // 0x4885fd
                                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                                            // branch -> 0x48870c
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x48860b
                                                                                                    if (g7 == 4) {
                                                                                                        // 0x488617
                                                                                                        v93 = g5;
                                                                                                        v97 = *(int32_t *)(v93 + 24);
                                                                                                        if (v97 > 0) {
                                                                                                            // 0x488628
                                                                                                            if (v97 == 2) {
                                                                                                                // 0x488631
                                                                                                                v83 = (int32_t *)(v93 + 20);
                                                                                                                *v83 = *v83 + 1;
                                                                                                                v98 = *(char *)(g10 + 48);
                                                                                                                *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                                v84 = (int32_t *)(g5 + 20);
                                                                                                                *v84 = *v84 + 1;
                                                                                                                v99 = *(int32_t *)(g5 + 8);
                                                                                                                v100 = *(int32_t *)(g10 + 48);
                                                                                                                *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                                v85 = (int32_t *)(g5 + 20);
                                                                                                                *v85 = *v85 + 1;
                                                                                                                v101 = *(int32_t *)(g5 + 8);
                                                                                                                v102 = *(int32_t *)(g10 + 48);
                                                                                                                *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                                v86 = (int32_t *)(g5 + 20);
                                                                                                                *v86 = *v86 + 1;
                                                                                                                v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                                *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                                v87 = (int32_t *)(g5 + 20);
                                                                                                                *v87 = *v87 + 1;
                                                                                                                *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                                v88 = (int32_t *)(g5 + 20);
                                                                                                                *v88 = *v88 + 1;
                                                                                                                v103 = *(int32_t *)(g5 + 8);
                                                                                                                v104 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                                v89 = (int32_t *)(g5 + 20);
                                                                                                                *v89 = *v89 + 1;
                                                                                                                v105 = *(int32_t *)(g5 + 8);
                                                                                                                v106 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                                v90 = (int32_t *)(g5 + 20);
                                                                                                                *v90 = *v90 + 1;
                                                                                                                v107 = *(int32_t *)(g5 + 8);
                                                                                                                v108 = *(int32_t *)(g10 + 8);
                                                                                                                *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                                // branch -> 0x4886ea
                                                                                                            } else {
                                                                                                                // 0x4886cd
                                                                                                                g3 = v93;
                                                                                                                g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                                function_487e24();
                                                                                                                g3 = g5;
                                                                                                                g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                                function_487e24();
                                                                                                                // branch -> 0x4886ea
                                                                                                            }
                                                                                                            // 0x4886ea
                                                                                                            g3 = g10;
                                                                                                            function_487e4c();
                                                                                                            v94 = g5;
                                                                                                            v91 = (int32_t *)(v94 + 24);
                                                                                                            v109 = *v91;
                                                                                                            v95 = v94;
                                                                                                            if (v109 >= 1) {
                                                                                                                // 0x4886f8
                                                                                                                *v91 = -v109;
                                                                                                                v95 = g5;
                                                                                                                // branch -> 0x4886fd
                                                                                                            }
                                                                                                            // 0x4886fd
                                                                                                            if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                                // 0x488707
                                                                                                                // branch -> 0x48870c
                                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                            }
                                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x488593
                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                // 0x488599
                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                // branch -> 0x4885a0
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x48860b
                                                                                    if (g7 == 4) {
                                                                                        // 0x488617
                                                                                        v93 = g5;
                                                                                        v97 = *(int32_t *)(v93 + 24);
                                                                                        if (v97 > 0) {
                                                                                            // 0x488628
                                                                                            if (v97 == 2) {
                                                                                                // 0x488631
                                                                                                v83 = (int32_t *)(v93 + 20);
                                                                                                *v83 = *v83 + 1;
                                                                                                v98 = *(char *)(g10 + 48);
                                                                                                *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                v84 = (int32_t *)(g5 + 20);
                                                                                                *v84 = *v84 + 1;
                                                                                                v99 = *(int32_t *)(g5 + 8);
                                                                                                v100 = *(int32_t *)(g10 + 48);
                                                                                                *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                v85 = (int32_t *)(g5 + 20);
                                                                                                *v85 = *v85 + 1;
                                                                                                v101 = *(int32_t *)(g5 + 8);
                                                                                                v102 = *(int32_t *)(g10 + 48);
                                                                                                *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                v86 = (int32_t *)(g5 + 20);
                                                                                                *v86 = *v86 + 1;
                                                                                                v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                v87 = (int32_t *)(g5 + 20);
                                                                                                *v87 = *v87 + 1;
                                                                                                *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                v88 = (int32_t *)(g5 + 20);
                                                                                                *v88 = *v88 + 1;
                                                                                                v103 = *(int32_t *)(g5 + 8);
                                                                                                v104 = *(int32_t *)(g10 + 8);
                                                                                                *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                v89 = (int32_t *)(g5 + 20);
                                                                                                *v89 = *v89 + 1;
                                                                                                v105 = *(int32_t *)(g5 + 8);
                                                                                                v106 = *(int32_t *)(g10 + 8);
                                                                                                *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                v90 = (int32_t *)(g5 + 20);
                                                                                                *v90 = *v90 + 1;
                                                                                                v107 = *(int32_t *)(g5 + 8);
                                                                                                v108 = *(int32_t *)(g10 + 8);
                                                                                                *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                // branch -> 0x4886ea
                                                                                            } else {
                                                                                                // 0x4886cd
                                                                                                g3 = v93;
                                                                                                g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                function_487e24();
                                                                                                g3 = g5;
                                                                                                g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                function_487e24();
                                                                                                // branch -> 0x4886ea
                                                                                            }
                                                                                            // 0x4886ea
                                                                                            g3 = g10;
                                                                                            function_487e4c();
                                                                                            v94 = g5;
                                                                                            v91 = (int32_t *)(v94 + 24);
                                                                                            v109 = *v91;
                                                                                            v95 = v94;
                                                                                            if (v109 >= 1) {
                                                                                                // 0x4886f8
                                                                                                *v91 = -v109;
                                                                                                v95 = g5;
                                                                                                // branch -> 0x4886fd
                                                                                            }
                                                                                            // 0x4886fd
                                                                                            if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                // 0x488707
                                                                                                // branch -> 0x48870c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x488556
                                                                            v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                            g4 = v69;
                                                                            g8 = g7;
                                                                            ((int32_t (*)())v69)();
                                                                            if (v59 != 2) {
                                                                                // 0x488577
                                                                                if (v59 != 3) {
                                                                                    // 0x488585
                                                                                    if (v59 != 0) {
                                                                                        // 0x48858c
                                                                                        if (v59 != 2) {
                                                                                            // 0x4885a7
                                                                                            if (v59 == 1) {
                                                                                                // 0x4885ae
                                                                                                if (g7 == 1) {
                                                                                                    // 0x4885b3
                                                                                                    g3 = g5;
                                                                                                    function_48cc98();
                                                                                                    // branch -> 0x4885f0
                                                                                                } else {
                                                                                                    // 0x4885bc
                                                                                                    g6 = 0;
                                                                                                    g8 = 0;
                                                                                                    g3 = g5;
                                                                                                    function_48cbdc();
                                                                                                    if (g7 == 3) {
                                                                                                        // 0x4885ce
                                                                                                        v92 = g5;
                                                                                                        v96 = *(int32_t *)(v92 + 76);
                                                                                                        *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                        function_487178();
                                                                                                        // branch -> 0x4885f0
                                                                                                    }
                                                                                                }
                                                                                                // 0x4885f0
                                                                                                function_487e4c();
                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                    // 0x4885fd
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    // branch -> 0x48870c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // 0x48860b
                                                                                            if (g7 == 4) {
                                                                                                // 0x488617
                                                                                                v93 = g5;
                                                                                                v97 = *(int32_t *)(v93 + 24);
                                                                                                if (v97 > 0) {
                                                                                                    // 0x488628
                                                                                                    if (v97 == 2) {
                                                                                                        // 0x488631
                                                                                                        v83 = (int32_t *)(v93 + 20);
                                                                                                        *v83 = *v83 + 1;
                                                                                                        v98 = *(char *)(g10 + 48);
                                                                                                        *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                        v84 = (int32_t *)(g5 + 20);
                                                                                                        *v84 = *v84 + 1;
                                                                                                        v99 = *(int32_t *)(g5 + 8);
                                                                                                        v100 = *(int32_t *)(g10 + 48);
                                                                                                        *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                        v85 = (int32_t *)(g5 + 20);
                                                                                                        *v85 = *v85 + 1;
                                                                                                        v101 = *(int32_t *)(g5 + 8);
                                                                                                        v102 = *(int32_t *)(g10 + 48);
                                                                                                        *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                        v86 = (int32_t *)(g5 + 20);
                                                                                                        *v86 = *v86 + 1;
                                                                                                        v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                        *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                        v87 = (int32_t *)(g5 + 20);
                                                                                                        *v87 = *v87 + 1;
                                                                                                        *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                        v88 = (int32_t *)(g5 + 20);
                                                                                                        *v88 = *v88 + 1;
                                                                                                        v103 = *(int32_t *)(g5 + 8);
                                                                                                        v104 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                        v89 = (int32_t *)(g5 + 20);
                                                                                                        *v89 = *v89 + 1;
                                                                                                        v105 = *(int32_t *)(g5 + 8);
                                                                                                        v106 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                        v90 = (int32_t *)(g5 + 20);
                                                                                                        *v90 = *v90 + 1;
                                                                                                        v107 = *(int32_t *)(g5 + 8);
                                                                                                        v108 = *(int32_t *)(g10 + 8);
                                                                                                        *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                        // branch -> 0x4886ea
                                                                                                    } else {
                                                                                                        // 0x4886cd
                                                                                                        g3 = v93;
                                                                                                        g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                        function_487e24();
                                                                                                        g3 = g5;
                                                                                                        g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                        function_487e24();
                                                                                                        // branch -> 0x4886ea
                                                                                                    }
                                                                                                    // 0x4886ea
                                                                                                    g3 = g10;
                                                                                                    function_487e4c();
                                                                                                    v94 = g5;
                                                                                                    v91 = (int32_t *)(v94 + 24);
                                                                                                    v109 = *v91;
                                                                                                    v95 = v94;
                                                                                                    if (v109 >= 1) {
                                                                                                        // 0x4886f8
                                                                                                        *v91 = -v109;
                                                                                                        v95 = g5;
                                                                                                        // branch -> 0x4886fd
                                                                                                    }
                                                                                                    // 0x4886fd
                                                                                                    if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                        // 0x488707
                                                                                                        // branch -> 0x48870c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x488593
                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                        // 0x488599
                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                        // branch -> 0x4885a0
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x48857e
                                                                            *(int32_t *)(g5 + 4) = 666;
                                                                            // branch -> 0x488585
                                                                            // 0x488585
                                                                            if (v59 != 0) {
                                                                                // 0x48858c
                                                                                if (v59 != 2) {
                                                                                    // 0x4885a7
                                                                                    if (v59 == 1) {
                                                                                        // 0x4885ae
                                                                                        if (g7 == 1) {
                                                                                            // 0x4885b3
                                                                                            g3 = g5;
                                                                                            function_48cc98();
                                                                                            // branch -> 0x4885f0
                                                                                        } else {
                                                                                            // 0x4885bc
                                                                                            g6 = 0;
                                                                                            g8 = 0;
                                                                                            g3 = g5;
                                                                                            function_48cbdc();
                                                                                            if (g7 == 3) {
                                                                                                // 0x4885ce
                                                                                                v92 = g5;
                                                                                                v96 = *(int32_t *)(v92 + 76);
                                                                                                *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                function_487178();
                                                                                                // branch -> 0x4885f0
                                                                                            }
                                                                                        }
                                                                                        // 0x4885f0
                                                                                        function_487e4c();
                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                            // 0x4885fd
                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                            // branch -> 0x48870c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x48860b
                                                                                    if (g7 == 4) {
                                                                                        // 0x488617
                                                                                        v93 = g5;
                                                                                        v97 = *(int32_t *)(v93 + 24);
                                                                                        if (v97 > 0) {
                                                                                            // 0x488628
                                                                                            if (v97 == 2) {
                                                                                                // 0x488631
                                                                                                v83 = (int32_t *)(v93 + 20);
                                                                                                *v83 = *v83 + 1;
                                                                                                v98 = *(char *)(g10 + 48);
                                                                                                *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                v84 = (int32_t *)(g5 + 20);
                                                                                                *v84 = *v84 + 1;
                                                                                                v99 = *(int32_t *)(g5 + 8);
                                                                                                v100 = *(int32_t *)(g10 + 48);
                                                                                                *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                v85 = (int32_t *)(g5 + 20);
                                                                                                *v85 = *v85 + 1;
                                                                                                v101 = *(int32_t *)(g5 + 8);
                                                                                                v102 = *(int32_t *)(g10 + 48);
                                                                                                *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                v86 = (int32_t *)(g5 + 20);
                                                                                                *v86 = *v86 + 1;
                                                                                                v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                v87 = (int32_t *)(g5 + 20);
                                                                                                *v87 = *v87 + 1;
                                                                                                *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                v88 = (int32_t *)(g5 + 20);
                                                                                                *v88 = *v88 + 1;
                                                                                                v103 = *(int32_t *)(g5 + 8);
                                                                                                v104 = *(int32_t *)(g10 + 8);
                                                                                                *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                v89 = (int32_t *)(g5 + 20);
                                                                                                *v89 = *v89 + 1;
                                                                                                v105 = *(int32_t *)(g5 + 8);
                                                                                                v106 = *(int32_t *)(g10 + 8);
                                                                                                *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                v90 = (int32_t *)(g5 + 20);
                                                                                                *v90 = *v90 + 1;
                                                                                                v107 = *(int32_t *)(g5 + 8);
                                                                                                v108 = *(int32_t *)(g10 + 8);
                                                                                                *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                // branch -> 0x4886ea
                                                                                            } else {
                                                                                                // 0x4886cd
                                                                                                g3 = v93;
                                                                                                g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                function_487e24();
                                                                                                g3 = g5;
                                                                                                g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                function_487e24();
                                                                                                // branch -> 0x4886ea
                                                                                            }
                                                                                            // 0x4886ea
                                                                                            g3 = g10;
                                                                                            function_487e4c();
                                                                                            v94 = g5;
                                                                                            v91 = (int32_t *)(v94 + 24);
                                                                                            v109 = *v91;
                                                                                            v95 = v94;
                                                                                            if (v109 >= 1) {
                                                                                                // 0x4886f8
                                                                                                *v91 = -v109;
                                                                                                v95 = g5;
                                                                                                // branch -> 0x4886fd
                                                                                            }
                                                                                            // 0x4886fd
                                                                                            if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                // 0x488707
                                                                                                // branch -> 0x48870c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x488593
                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                // 0x488599
                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                // branch -> 0x4885a0
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v112 = v115;
                                                                        }
                                                                    }
                                                                    int32_t v132 = *(int32_t *)(v112 + 28); // 0x48825e
                                                                    int32_t v133 = *(int32_t *)(v112 + 32); // 0x488264
                                                                    unsigned char v134 = *(char *)(v133 + *(int32_t *)(v132 + 16)); // 0x488267
                                                                    v56 = (int32_t)v134 | v132 & -256;
                                                                    int32_t * v135 = (int32_t *)(v112 + 20); // 0x48826a_0
                                                                    *v135 = *v135 + 1;
                                                                    int32_t v136 = *(int32_t *)(g5 + 8); // 0x488270
                                                                    *(char *)(*v135 + v136) = (char)v56;
                                                                    int32_t * v137 = (int32_t *)(g5 + 32); // 0x488276_0
                                                                    *v137 = *v137 + 1;
                                                                    v17 = g5;
                                                                    // branch -> 0x488279
                                                                    continue;
                                                                }
                                                                // 0x48828a
                                                                v19 = v18;
                                                                if (*(int32_t *)(*(int32_t *)(v18 + 28) + 44) != 0) {
                                                                    // 0x488293
                                                                    v26 = g4;
                                                                    v33 = *(int32_t *)(v18 + 20);
                                                                    if (v26 < v33) {
                                                                        // 0x488298
                                                                        g6 = v33 - v26;
                                                                        g8 = *(int32_t *)(v18 + 8) + v26;
                                                                        g3 = *(int32_t *)(g10 + 48);
                                                                        function_48d9ac();
                                                                        *(int32_t *)(g10 + 48) = g3;
                                                                        v19 = g5;
                                                                        // branch -> 0x4882ad
                                                                    } else {
                                                                        v19 = v18;
                                                                    }
                                                                }
                                                                // 0x4882ad
                                                                v10 = (int32_t *)(v19 + 32);
                                                                if (*(int32_t *)(*(int32_t *)(v19 + 28) + 20) == *v10) {
                                                                    // 0x4882b8
                                                                    *v10 = 0;
                                                                    *(int32_t *)(g5 + 4) = 73;
                                                                    // branch -> 0x4882cd
                                                                }
                                                            }
                                                        }
                                                        // 0x4882cd
                                                        v20 = g5;
                                                        if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                                            // 0x4882f8
                                                            v27 = g4;
                                                            v34 = *(int32_t *)(v20 + 20);
                                                            if (v27 < v34) {
                                                                // 0x4882fd
                                                                g6 = v34 - v27;
                                                                g8 = *(int32_t *)(v20 + 8) + v27;
                                                                g3 = *(int32_t *)(g10 + 48);
                                                                function_48d9ac();
                                                                *(int32_t *)(g10 + 48) = g3;
                                                                // branch -> 0x488312
                                                            }
                                                        }
                                                        // 0x488312
                                                        g3 = g10;
                                                        function_487e4c();
                                                        v21 = g5;
                                                        v28 = *(int32_t *)(v21 + 20);
                                                        v15 = v28;
                                                        v23 = v21;
                                                        v37 = 1;
                                                        if (v28 != *(int32_t *)(v21 + 12)) {
                                                            // 0x48832d
                                                            v11 = (int32_t *)(v21 + 32);
                                                            *v11 = *v11 + 1;
                                                            v22 = g5;
                                                            v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                                            v30 = *(char *)(*v11 + v29);
                                                            v35 = v30;
                                                            v56 = v35;
                                                            v12 = (int32_t *)(v22 + 20);
                                                            *v12 = *v12 + 1;
                                                            v31 = *(int32_t *)(g5 + 8);
                                                            g6 = v31;
                                                            g3 = v56 & -256 | v35;
                                                            *(char *)(*v12 + v31) = v30;
                                                            unknown_4882e7();
                                                            v23 = g5;
                                                            v37 = v30;
                                                            // branch -> 0x488358
                                                        }
                                                        // 0x488358
                                                        if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                                            // 0x488361
                                                            v32 = v15;
                                                            v36 = *(int32_t *)(v23 + 20);
                                                            if (v32 < v36) {
                                                                // 0x488366
                                                                g6 = v36 - v32;
                                                                g8 = *(int32_t *)(v23 + 8) + v32;
                                                                function_48d9ac();
                                                                // branch -> 0x48837b
                                                            }
                                                        }
                                                        // 0x48837b
                                                        if (v37 == 0) {
                                                            // 0x488382
                                                            g6 = 0;
                                                            *(int32_t *)(g5 + 32) = 0;
                                                            *(int32_t *)(g5 + 4) = 91;
                                                            // branch -> 0x488397
                                                        }
                                                        // 0x488397
                                                        v24 = g5;
                                                        v13 = (int32_t *)(v24 + 4);
                                                        if (*v13 == 91) {
                                                            // 0x4883a1
                                                            if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                                                // 0x488455
                                                                *v13 = 103;
                                                                // branch -> 0x48845c
                                                            } else {
                                                                // 0x4883ae
                                                                v15 = *(int32_t *)(v24 + 20);
                                                                v25 = v24;
                                                                // branch -> 0x4883b1
                                                                while (true) {
                                                                    // 0x4883b1
                                                                    v14 = (int32_t *)(v25 + 20);
                                                                    if (*v14 == *(int32_t *)(v25 + 12)) {
                                                                        goto lab_0x4883b9_14;
                                                                    }
                                                                    goto lab_0x4883f7_14;
                                                                }
                                                            }
                                                            // 0x48845c
                                                            v41 = g5;
                                                            v38 = (int32_t *)(v41 + 4);
                                                            if (*v38 == 103) {
                                                                // 0x488462
                                                                v43 = *(int32_t *)(v41 + 28);
                                                                g6 = v43;
                                                                if (*(int32_t *)(v43 + 44) == 0) {
                                                                    // 0x4884c6
                                                                    *v38 = 113;
                                                                    // branch -> 0x4884cd
                                                                } else {
                                                                    // 0x48846b
                                                                    v44 = *(int32_t *)(v41 + 20);
                                                                    g3 = v44;
                                                                    v42 = v41;
                                                                    if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                        // 0x488476
                                                                        function_487e4c();
                                                                        v42 = g5;
                                                                        // branch -> 0x48847d
                                                                    }
                                                                    // 0x48847d
                                                                    v39 = (int32_t *)(v42 + 20);
                                                                    if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                                        // 0x488488
                                                                        *v39 = *v39 + 1;
                                                                        v45 = *(char *)(g10 + 48);
                                                                        *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                        v40 = (int32_t *)(g5 + 20);
                                                                        *v40 = *v40 + 1;
                                                                        v46 = *(int32_t *)(g5 + 8);
                                                                        g3 = v46;
                                                                        v47 = *(int32_t *)(g10 + 48);
                                                                        *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                        g6 = 0;
                                                                        g8 = 0;
                                                                        function_48d9ac();
                                                                        *(int32_t *)(g10 + 48) = 0;
                                                                        *(int32_t *)(g5 + 4) = 113;
                                                                        // branch -> 0x4884cd
                                                                    }
                                                                }
                                                                // 0x4884cd
                                                                v60 = g5;
                                                                if (*(int32_t *)(v60 + 20) == 0) {
                                                                    // 0x4884f0
                                                                    v63 = g10;
                                                                    if (*(int32_t *)(v63 + 4) == 0) {
                                                                        // 0x4884f6
                                                                        v58 = g7;
                                                                        if (v58 <= v1) {
                                                                            // 0x4884fb
                                                                            if (v58 != 4) {
                                                                                // 0x488500
                                                                                *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                                // branch -> 0x48870c
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            } else {
                                                                                v64 = v63;
                                                                                v59 = v60;
                                                                            }
                                                                        } else {
                                                                            v64 = v63;
                                                                            v59 = v60;
                                                                        }
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    // 0x4884d3
                                                                    function_487e4c();
                                                                    v61 = g10;
                                                                    v62 = g5;
                                                                    if (*(int32_t *)(v61 + 16) == 0) {
                                                                        // 0x4884e0
                                                                        *(int32_t *)(v62 + 40) = -1;
                                                                        // branch -> 0x48870c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v64 = v61;
                                                                        v59 = v62;
                                                                    }
                                                                }
                                                                // 0x488513
                                                                v65 = *(int32_t *)(v59 + 4);
                                                                v70 = v65 - 666;
                                                                v57 = llvm_ctpop_i32(v70);
                                                                v66 = *(int32_t *)(v64 + 4);
                                                                v67 = v66;
                                                                if (v65 == 666) {
                                                                    // 0x48851c
                                                                    if (v66 != 0) {
                                                                        // 0x488522
                                                                        *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                        // branch -> 0x48870c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v67 = 0;
                                                                    }
                                                                }
                                                                // 0x488535
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v67 == 0;
                                                                g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                                if (v67 == 0) {
                                                                    // 0x48853b
                                                                    v68 = *(int32_t *)(v59 + 116);
                                                                    g2 = false;
                                                                    g1 = false;
                                                                    g187 = v68 == 0;
                                                                    g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                                    if (v68 == 0) {
                                                                        // 0x488541
                                                                        if (g7 != 0) {
                                                                            // 0x488549
                                                                            g2 = (v65 & 15) > 25;
                                                                            g1 = v65 < 666;
                                                                            g187 = v70 == 0;
                                                                            g9 = v57 % 2 == 1;
                                                                            if (v65 != 666) {
                                                                                // 0x488556
                                                                                v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                                g4 = v69;
                                                                                g8 = g7;
                                                                                ((int32_t (*)())v69)();
                                                                                if (v59 != 2) {
                                                                                    // 0x488577
                                                                                    if (v59 != 3) {
                                                                                        // 0x488585
                                                                                        if (v59 != 0) {
                                                                                            // 0x48858c
                                                                                            if (v59 != 2) {
                                                                                                // 0x4885a7
                                                                                                if (v59 == 1) {
                                                                                                    // 0x4885ae
                                                                                                    if (g7 == 1) {
                                                                                                        // 0x4885b3
                                                                                                        g3 = g5;
                                                                                                        function_48cc98();
                                                                                                        // branch -> 0x4885f0
                                                                                                    } else {
                                                                                                        // 0x4885bc
                                                                                                        g6 = 0;
                                                                                                        g8 = 0;
                                                                                                        g3 = g5;
                                                                                                        function_48cbdc();
                                                                                                        if (g7 == 3) {
                                                                                                            // 0x4885ce
                                                                                                            v92 = g5;
                                                                                                            v96 = *(int32_t *)(v92 + 76);
                                                                                                            *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                            function_487178();
                                                                                                            // branch -> 0x4885f0
                                                                                                        }
                                                                                                    }
                                                                                                    // 0x4885f0
                                                                                                    function_487e4c();
                                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                        // 0x4885fd
                                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                                        // branch -> 0x48870c
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                }
                                                                                                // 0x48860b
                                                                                                if (g7 == 4) {
                                                                                                    // 0x488617
                                                                                                    v93 = g5;
                                                                                                    v97 = *(int32_t *)(v93 + 24);
                                                                                                    v56 = v97;
                                                                                                    if (v97 > 0) {
                                                                                                        // 0x488628
                                                                                                        if (v97 == 2) {
                                                                                                            // 0x488631
                                                                                                            v83 = (int32_t *)(v93 + 20);
                                                                                                            *v83 = *v83 + 1;
                                                                                                            v98 = *(char *)(g10 + 48);
                                                                                                            *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                            v84 = (int32_t *)(g5 + 20);
                                                                                                            *v84 = *v84 + 1;
                                                                                                            v99 = *(int32_t *)(g5 + 8);
                                                                                                            v100 = *(int32_t *)(g10 + 48);
                                                                                                            *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                            v85 = (int32_t *)(g5 + 20);
                                                                                                            *v85 = *v85 + 1;
                                                                                                            v101 = *(int32_t *)(g5 + 8);
                                                                                                            v102 = *(int32_t *)(g10 + 48);
                                                                                                            *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                            v86 = (int32_t *)(g5 + 20);
                                                                                                            *v86 = *v86 + 1;
                                                                                                            v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                            v56 = v110;
                                                                                                            *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                            v87 = (int32_t *)(g5 + 20);
                                                                                                            *v87 = *v87 + 1;
                                                                                                            *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                            v88 = (int32_t *)(g5 + 20);
                                                                                                            *v88 = *v88 + 1;
                                                                                                            v103 = *(int32_t *)(g5 + 8);
                                                                                                            v104 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                            v89 = (int32_t *)(g5 + 20);
                                                                                                            *v89 = *v89 + 1;
                                                                                                            v105 = *(int32_t *)(g5 + 8);
                                                                                                            v106 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                            v90 = (int32_t *)(g5 + 20);
                                                                                                            *v90 = *v90 + 1;
                                                                                                            v107 = *(int32_t *)(g5 + 8);
                                                                                                            v108 = *(int32_t *)(g10 + 8);
                                                                                                            *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                            // branch -> 0x4886ea
                                                                                                        } else {
                                                                                                            // 0x4886cd
                                                                                                            g3 = v93;
                                                                                                            g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                            function_487e24();
                                                                                                            g3 = g5;
                                                                                                            g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                            function_487e24();
                                                                                                            // branch -> 0x4886ea
                                                                                                        }
                                                                                                        // 0x4886ea
                                                                                                        g3 = g10;
                                                                                                        function_487e4c();
                                                                                                        v94 = g5;
                                                                                                        v91 = (int32_t *)(v94 + 24);
                                                                                                        v109 = *v91;
                                                                                                        v95 = v94;
                                                                                                        if (v109 >= 1) {
                                                                                                            // 0x4886f8
                                                                                                            *v91 = -v109;
                                                                                                            v95 = g5;
                                                                                                            // branch -> 0x4886fd
                                                                                                        }
                                                                                                        // 0x4886fd
                                                                                                        if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                            // 0x488707
                                                                                                            // branch -> 0x48870c
                                                                                                        }
                                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                    }
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x488593
                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                            // 0x488599
                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                            // branch -> 0x4885a0
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x48857e
                                                                                *(int32_t *)(g5 + 4) = 666;
                                                                                // branch -> 0x488585
                                                                                // 0x488585
                                                                                if (v59 != 0) {
                                                                                    // 0x48858c
                                                                                    if (v59 != 2) {
                                                                                        // 0x4885a7
                                                                                        if (v59 == 1) {
                                                                                            // 0x4885ae
                                                                                            if (g7 == 1) {
                                                                                                // 0x4885b3
                                                                                                g3 = g5;
                                                                                                function_48cc98();
                                                                                                // branch -> 0x4885f0
                                                                                            } else {
                                                                                                // 0x4885bc
                                                                                                g6 = 0;
                                                                                                g8 = 0;
                                                                                                g3 = g5;
                                                                                                function_48cbdc();
                                                                                                if (g7 == 3) {
                                                                                                    // 0x4885ce
                                                                                                    v92 = g5;
                                                                                                    v96 = *(int32_t *)(v92 + 76);
                                                                                                    *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                    function_487178();
                                                                                                    // branch -> 0x4885f0
                                                                                                }
                                                                                            }
                                                                                            // 0x4885f0
                                                                                            function_487e4c();
                                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                // 0x4885fd
                                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                                // branch -> 0x48870c
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                        }
                                                                                        // 0x48860b
                                                                                        if (g7 == 4) {
                                                                                            // 0x488617
                                                                                            v93 = g5;
                                                                                            v97 = *(int32_t *)(v93 + 24);
                                                                                            v56 = v97;
                                                                                            if (v97 > 0) {
                                                                                                // 0x488628
                                                                                                if (v97 == 2) {
                                                                                                    // 0x488631
                                                                                                    v83 = (int32_t *)(v93 + 20);
                                                                                                    *v83 = *v83 + 1;
                                                                                                    v98 = *(char *)(g10 + 48);
                                                                                                    *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                                    v84 = (int32_t *)(g5 + 20);
                                                                                                    *v84 = *v84 + 1;
                                                                                                    v99 = *(int32_t *)(g5 + 8);
                                                                                                    v100 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                                    v85 = (int32_t *)(g5 + 20);
                                                                                                    *v85 = *v85 + 1;
                                                                                                    v101 = *(int32_t *)(g5 + 8);
                                                                                                    v102 = *(int32_t *)(g10 + 48);
                                                                                                    *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                                    v86 = (int32_t *)(g5 + 20);
                                                                                                    *v86 = *v86 + 1;
                                                                                                    v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                                    v56 = v110;
                                                                                                    *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                                    v87 = (int32_t *)(g5 + 20);
                                                                                                    *v87 = *v87 + 1;
                                                                                                    *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                                    v88 = (int32_t *)(g5 + 20);
                                                                                                    *v88 = *v88 + 1;
                                                                                                    v103 = *(int32_t *)(g5 + 8);
                                                                                                    v104 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                                    v89 = (int32_t *)(g5 + 20);
                                                                                                    *v89 = *v89 + 1;
                                                                                                    v105 = *(int32_t *)(g5 + 8);
                                                                                                    v106 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                                    v90 = (int32_t *)(g5 + 20);
                                                                                                    *v90 = *v90 + 1;
                                                                                                    v107 = *(int32_t *)(g5 + 8);
                                                                                                    v108 = *(int32_t *)(g10 + 8);
                                                                                                    *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                                    // branch -> 0x4886ea
                                                                                                } else {
                                                                                                    // 0x4886cd
                                                                                                    g3 = v93;
                                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                                    function_487e24();
                                                                                                    g3 = g5;
                                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                                    function_487e24();
                                                                                                    // branch -> 0x4886ea
                                                                                                }
                                                                                                // 0x4886ea
                                                                                                g3 = g10;
                                                                                                function_487e4c();
                                                                                                v94 = g5;
                                                                                                v91 = (int32_t *)(v94 + 24);
                                                                                                v109 = *v91;
                                                                                                v95 = v94;
                                                                                                if (v109 >= 1) {
                                                                                                    // 0x4886f8
                                                                                                    *v91 = -v109;
                                                                                                    v95 = g5;
                                                                                                    // branch -> 0x4886fd
                                                                                                }
                                                                                                // 0x4886fd
                                                                                                if (*(int32_t *)(v95 + 20) == 0) {
                                                                                                    // 0x488707
                                                                                                    // branch -> 0x48870c
                                                                                                }
                                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x488593
                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                    // 0x488599
                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                    // branch -> 0x4885a0
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x48860b
                                                                        if (g7 == 4) {
                                                                            // 0x488617
                                                                            v93 = g5;
                                                                            v97 = *(int32_t *)(v93 + 24);
                                                                            v56 = v97;
                                                                            if (v97 > 0) {
                                                                                // 0x488628
                                                                                if (v97 == 2) {
                                                                                    // 0x488631
                                                                                    v83 = (int32_t *)(v93 + 20);
                                                                                    *v83 = *v83 + 1;
                                                                                    v98 = *(char *)(g10 + 48);
                                                                                    *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                    v84 = (int32_t *)(g5 + 20);
                                                                                    *v84 = *v84 + 1;
                                                                                    v99 = *(int32_t *)(g5 + 8);
                                                                                    v100 = *(int32_t *)(g10 + 48);
                                                                                    *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                    v85 = (int32_t *)(g5 + 20);
                                                                                    *v85 = *v85 + 1;
                                                                                    v101 = *(int32_t *)(g5 + 8);
                                                                                    v102 = *(int32_t *)(g10 + 48);
                                                                                    *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                    v86 = (int32_t *)(g5 + 20);
                                                                                    *v86 = *v86 + 1;
                                                                                    v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                    v56 = v110;
                                                                                    *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                    v87 = (int32_t *)(g5 + 20);
                                                                                    *v87 = *v87 + 1;
                                                                                    *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                    v88 = (int32_t *)(g5 + 20);
                                                                                    *v88 = *v88 + 1;
                                                                                    v103 = *(int32_t *)(g5 + 8);
                                                                                    v104 = *(int32_t *)(g10 + 8);
                                                                                    *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                    v89 = (int32_t *)(g5 + 20);
                                                                                    *v89 = *v89 + 1;
                                                                                    v105 = *(int32_t *)(g5 + 8);
                                                                                    v106 = *(int32_t *)(g10 + 8);
                                                                                    *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                    v90 = (int32_t *)(g5 + 20);
                                                                                    *v90 = *v90 + 1;
                                                                                    v107 = *(int32_t *)(g5 + 8);
                                                                                    v108 = *(int32_t *)(g10 + 8);
                                                                                    *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                    // branch -> 0x4886ea
                                                                                } else {
                                                                                    // 0x4886cd
                                                                                    g3 = v93;
                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                    function_487e24();
                                                                                    g3 = g5;
                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                    function_487e24();
                                                                                    // branch -> 0x4886ea
                                                                                }
                                                                                // 0x4886ea
                                                                                g3 = g10;
                                                                                function_487e4c();
                                                                                v94 = g5;
                                                                                v91 = (int32_t *)(v94 + 24);
                                                                                v109 = *v91;
                                                                                v95 = v94;
                                                                                if (v109 >= 1) {
                                                                                    // 0x4886f8
                                                                                    *v91 = -v109;
                                                                                    v95 = g5;
                                                                                    // branch -> 0x4886fd
                                                                                }
                                                                                // 0x4886fd
                                                                                if (*(int32_t *)(v95 + 20) == 0) {
                                                                                    // 0x488707
                                                                                    // branch -> 0x48870c
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // 0x488556
                                                                v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                g4 = v69;
                                                                g8 = g7;
                                                                ((int32_t (*)())v69)();
                                                                if (v59 != 2) {
                                                                    // 0x488577
                                                                    if (v59 != 3) {
                                                                        // 0x488585
                                                                        if (v59 != 0) {
                                                                            // 0x48858c
                                                                            if (v59 != 2) {
                                                                                // 0x4885a7
                                                                                if (v59 == 1) {
                                                                                    // 0x4885ae
                                                                                    if (g7 == 1) {
                                                                                        // 0x4885b3
                                                                                        g3 = g5;
                                                                                        function_48cc98();
                                                                                        // branch -> 0x4885f0
                                                                                    } else {
                                                                                        // 0x4885bc
                                                                                        g6 = 0;
                                                                                        g8 = 0;
                                                                                        g3 = g5;
                                                                                        function_48cbdc();
                                                                                        if (g7 == 3) {
                                                                                            // 0x4885ce
                                                                                            v92 = g5;
                                                                                            v96 = *(int32_t *)(v92 + 76);
                                                                                            *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                            function_487178();
                                                                                            // branch -> 0x4885f0
                                                                                        }
                                                                                    }
                                                                                    // 0x4885f0
                                                                                    function_487e4c();
                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                        // 0x4885fd
                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                        // branch -> 0x48870c
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x48860b
                                                                                if (g7 == 4) {
                                                                                    // 0x488617
                                                                                    v93 = g5;
                                                                                    v97 = *(int32_t *)(v93 + 24);
                                                                                    v56 = v97;
                                                                                    if (v97 > 0) {
                                                                                        // 0x488628
                                                                                        if (v97 == 2) {
                                                                                            // 0x488631
                                                                                            v83 = (int32_t *)(v93 + 20);
                                                                                            *v83 = *v83 + 1;
                                                                                            v98 = *(char *)(g10 + 48);
                                                                                            *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                            v84 = (int32_t *)(g5 + 20);
                                                                                            *v84 = *v84 + 1;
                                                                                            v99 = *(int32_t *)(g5 + 8);
                                                                                            v100 = *(int32_t *)(g10 + 48);
                                                                                            *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                            v85 = (int32_t *)(g5 + 20);
                                                                                            *v85 = *v85 + 1;
                                                                                            v101 = *(int32_t *)(g5 + 8);
                                                                                            v102 = *(int32_t *)(g10 + 48);
                                                                                            *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                            v86 = (int32_t *)(g5 + 20);
                                                                                            *v86 = *v86 + 1;
                                                                                            v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                            v56 = v110;
                                                                                            *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                            v87 = (int32_t *)(g5 + 20);
                                                                                            *v87 = *v87 + 1;
                                                                                            *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                            v88 = (int32_t *)(g5 + 20);
                                                                                            *v88 = *v88 + 1;
                                                                                            v103 = *(int32_t *)(g5 + 8);
                                                                                            v104 = *(int32_t *)(g10 + 8);
                                                                                            *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                            v89 = (int32_t *)(g5 + 20);
                                                                                            *v89 = *v89 + 1;
                                                                                            v105 = *(int32_t *)(g5 + 8);
                                                                                            v106 = *(int32_t *)(g10 + 8);
                                                                                            *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                            v90 = (int32_t *)(g5 + 20);
                                                                                            *v90 = *v90 + 1;
                                                                                            v107 = *(int32_t *)(g5 + 8);
                                                                                            v108 = *(int32_t *)(g10 + 8);
                                                                                            *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                            // branch -> 0x4886ea
                                                                                        } else {
                                                                                            // 0x4886cd
                                                                                            g3 = v93;
                                                                                            g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                            function_487e24();
                                                                                            g3 = g5;
                                                                                            g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                            function_487e24();
                                                                                            // branch -> 0x4886ea
                                                                                        }
                                                                                        // 0x4886ea
                                                                                        g3 = g10;
                                                                                        function_487e4c();
                                                                                        v94 = g5;
                                                                                        v91 = (int32_t *)(v94 + 24);
                                                                                        v109 = *v91;
                                                                                        v95 = v94;
                                                                                        if (v109 >= 1) {
                                                                                            // 0x4886f8
                                                                                            *v91 = -v109;
                                                                                            v95 = g5;
                                                                                            // branch -> 0x4886fd
                                                                                        }
                                                                                        // 0x4886fd
                                                                                        if (*(int32_t *)(v95 + 20) == 0) {
                                                                                            // 0x488707
                                                                                            // branch -> 0x48870c
                                                                                        }
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x488593
                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                            // 0x488599
                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                            // branch -> 0x4885a0
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // 0x48857e
                                                                *(int32_t *)(g5 + 4) = 666;
                                                                // branch -> 0x488585
                                                                // 0x488585
                                                                if (v59 != 0) {
                                                                    // 0x48858c
                                                                    if (v59 != 2) {
                                                                        // 0x4885a7
                                                                        if (v59 == 1) {
                                                                            // 0x4885ae
                                                                            if (g7 == 1) {
                                                                                // 0x4885b3
                                                                                g3 = g5;
                                                                                function_48cc98();
                                                                                // branch -> 0x4885f0
                                                                            } else {
                                                                                // 0x4885bc
                                                                                g6 = 0;
                                                                                g8 = 0;
                                                                                g3 = g5;
                                                                                function_48cbdc();
                                                                                if (g7 == 3) {
                                                                                    // 0x4885ce
                                                                                    v92 = g5;
                                                                                    v96 = *(int32_t *)(v92 + 76);
                                                                                    *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                    function_487178();
                                                                                    // branch -> 0x4885f0
                                                                                }
                                                                            }
                                                                            // 0x4885f0
                                                                            function_487e4c();
                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                // 0x4885fd
                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                // branch -> 0x48870c
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x48860b
                                                                        if (g7 == 4) {
                                                                            // 0x488617
                                                                            v93 = g5;
                                                                            v97 = *(int32_t *)(v93 + 24);
                                                                            v56 = v97;
                                                                            if (v97 > 0) {
                                                                                // 0x488628
                                                                                if (v97 == 2) {
                                                                                    // 0x488631
                                                                                    v83 = (int32_t *)(v93 + 20);
                                                                                    *v83 = *v83 + 1;
                                                                                    v98 = *(char *)(g10 + 48);
                                                                                    *(char *)(*v83 + *(int32_t *)(g5 + 8)) = v98;
                                                                                    v84 = (int32_t *)(g5 + 20);
                                                                                    *v84 = *v84 + 1;
                                                                                    v99 = *(int32_t *)(g5 + 8);
                                                                                    v100 = *(int32_t *)(g10 + 48);
                                                                                    *(char *)(*v84 + v99) = (char)(v100 / 256);
                                                                                    v85 = (int32_t *)(g5 + 20);
                                                                                    *v85 = *v85 + 1;
                                                                                    v101 = *(int32_t *)(g5 + 8);
                                                                                    v102 = *(int32_t *)(g10 + 48);
                                                                                    *(char *)(*v85 + v101) = (char)(v102 / 0x10000);
                                                                                    v86 = (int32_t *)(g5 + 20);
                                                                                    *v86 = *v86 + 1;
                                                                                    v110 = *(int32_t *)(g10 + 48) / 0x1000000;
                                                                                    v56 = v110;
                                                                                    *(char *)(*v86 + *(int32_t *)(g5 + 8)) = (char)v110;
                                                                                    v87 = (int32_t *)(g5 + 20);
                                                                                    *v87 = *v87 + 1;
                                                                                    *(char *)(*v87 + *(int32_t *)(g5 + 8)) = *(char *)(g10 + 8);
                                                                                    v88 = (int32_t *)(g5 + 20);
                                                                                    *v88 = *v88 + 1;
                                                                                    v103 = *(int32_t *)(g5 + 8);
                                                                                    v104 = *(int32_t *)(g10 + 8);
                                                                                    *(char *)(*v88 + v103) = (char)(v104 / 256);
                                                                                    v89 = (int32_t *)(g5 + 20);
                                                                                    *v89 = *v89 + 1;
                                                                                    v105 = *(int32_t *)(g5 + 8);
                                                                                    v106 = *(int32_t *)(g10 + 8);
                                                                                    *(char *)(*v89 + v105) = (char)(v106 / 0x10000);
                                                                                    v90 = (int32_t *)(g5 + 20);
                                                                                    *v90 = *v90 + 1;
                                                                                    v107 = *(int32_t *)(g5 + 8);
                                                                                    v108 = *(int32_t *)(g10 + 8);
                                                                                    *(char *)(*v90 + v107) = (char)(v108 / 0x1000000);
                                                                                    // branch -> 0x4886ea
                                                                                } else {
                                                                                    // 0x4886cd
                                                                                    g3 = v93;
                                                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                                                    function_487e24();
                                                                                    g3 = g5;
                                                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                                                    function_487e24();
                                                                                    // branch -> 0x4886ea
                                                                                }
                                                                                // 0x4886ea
                                                                                g3 = g10;
                                                                                function_487e4c();
                                                                                v94 = g5;
                                                                                v91 = (int32_t *)(v94 + 24);
                                                                                v109 = *v91;
                                                                                v95 = v94;
                                                                                if (v109 >= 1) {
                                                                                    // 0x4886f8
                                                                                    *v91 = -v109;
                                                                                    v95 = g5;
                                                                                    // branch -> 0x4886fd
                                                                                }
                                                                                // 0x4886fd
                                                                                if (*(int32_t *)(v95 + 20) == 0) {
                                                                                    // 0x488707
                                                                                    // branch -> 0x48870c
                                                                                }
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // 0x488593
                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                    // 0x488599
                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                    // branch -> 0x4885a0
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // 0x4884cd
                                                            v60 = g5;
                                                            if (*(int32_t *)(v60 + 20) == 0) {
                                                                // 0x4884f0
                                                                v63 = g10;
                                                                if (*(int32_t *)(v63 + 4) == 0) {
                                                                    // 0x4884f6
                                                                    v58 = g7;
                                                                    if (v58 <= v1) {
                                                                        // 0x4884fb
                                                                        if (v58 != 4) {
                                                                            // 0x488500
                                                                            *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                            // branch -> 0x48870c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v64 = v63;
                                                                            v59 = v60;
                                                                        }
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                // 0x4884d3
                                                                function_487e4c();
                                                                v61 = g10;
                                                                v62 = g5;
                                                                if (*(int32_t *)(v61 + 16) == 0) {
                                                                    // 0x4884e0
                                                                    *(int32_t *)(v62 + 40) = -1;
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v64 = v61;
                                                                    v59 = v62;
                                                                }
                                                            }
                                                            // 0x488513
                                                            v65 = *(int32_t *)(v59 + 4);
                                                            v70 = v65 - 666;
                                                            v57 = llvm_ctpop_i32(v70);
                                                            v66 = *(int32_t *)(v64 + 4);
                                                            v67 = v66;
                                                            if (v65 == 666) {
                                                                // 0x48851c
                                                                if (v66 != 0) {
                                                                    // 0x488522
                                                                    *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v67 = 0;
                                                                }
                                                            }
                                                            // 0x488535
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v67 == 0;
                                                            g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                            if (v67 == 0) {
                                                                // 0x48853b
                                                                v68 = *(int32_t *)(v59 + 116);
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v68 == 0;
                                                                g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                                if (v68 == 0) {
                                                                    // 0x488541
                                                                    if (g7 != 0) {
                                                                        // 0x488549
                                                                        g2 = (v65 & 15) > 25;
                                                                        g1 = v65 < 666;
                                                                        g187 = v70 == 0;
                                                                        g9 = v57 % 2 == 1;
                                                                        if (v65 != 666) {
                                                                            // 0x488556
                                                                            v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                            g4 = v69;
                                                                            g8 = g7;
                                                                            ((int32_t (*)())v69)();
                                                                            if (v59 != 2) {
                                                                                // 0x488577
                                                                                if (v59 != 3) {
                                                                                    // 0x488585
                                                                                    if (v59 != 0) {
                                                                                        // 0x48858c
                                                                                        if (v59 != 2) {
                                                                                            // 0x4885a7
                                                                                            if (v59 == 1) {
                                                                                                // 0x4885ae
                                                                                                if (g7 == 1) {
                                                                                                    // 0x4885b3
                                                                                                    g3 = g5;
                                                                                                    function_48cc98();
                                                                                                    // branch -> 0x4885f0
                                                                                                } else {
                                                                                                    // 0x4885bc
                                                                                                    g6 = 0;
                                                                                                    g8 = 0;
                                                                                                    g3 = g5;
                                                                                                    function_48cbdc();
                                                                                                    if (g7 == 3) {
                                                                                                        // 0x4885ce
                                                                                                        v92 = g5;
                                                                                                        v96 = *(int32_t *)(v92 + 76);
                                                                                                        *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                        function_487178();
                                                                                                        // branch -> 0x4885f0
                                                                                                    }
                                                                                                }
                                                                                                // 0x4885f0
                                                                                                function_487e4c();
                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                    // 0x4885fd
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    // branch -> 0x48870c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x488593
                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                        // 0x488599
                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                        // branch -> 0x4885a0
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x48857e
                                                                            *(int32_t *)(g5 + 4) = 666;
                                                                            // branch -> 0x488585
                                                                            // 0x488585
                                                                            if (v59 != 0) {
                                                                                // 0x48858c
                                                                                if (v59 != 2) {
                                                                                    // 0x4885a7
                                                                                    if (v59 == 1) {
                                                                                        // 0x4885ae
                                                                                        if (g7 == 1) {
                                                                                            // 0x4885b3
                                                                                            g3 = g5;
                                                                                            function_48cc98();
                                                                                            // branch -> 0x4885f0
                                                                                        } else {
                                                                                            // 0x4885bc
                                                                                            g6 = 0;
                                                                                            g8 = 0;
                                                                                            g3 = g5;
                                                                                            function_48cbdc();
                                                                                            if (g7 == 3) {
                                                                                                // 0x4885ce
                                                                                                v92 = g5;
                                                                                                v96 = *(int32_t *)(v92 + 76);
                                                                                                *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                function_487178();
                                                                                                // branch -> 0x4885f0
                                                                                            }
                                                                                        }
                                                                                        // 0x4885f0
                                                                                        function_487e4c();
                                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                                            // 0x4885fd
                                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                                            // branch -> 0x48870c
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x488593
                                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                                // 0x488599
                                                                                *(int32_t *)(g5 + 40) = -1;
                                                                                // branch -> 0x4885a0
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x488556
                                                            v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                            g4 = v69;
                                                            g8 = g7;
                                                            ((int32_t (*)())v69)();
                                                            if (v59 != 2) {
                                                                // 0x488577
                                                                if (v59 != 3) {
                                                                    // 0x488585
                                                                    if (v59 != 0) {
                                                                        // 0x48858c
                                                                        if (v59 != 2) {
                                                                            // 0x4885a7
                                                                            if (v59 == 1) {
                                                                                // 0x4885ae
                                                                                if (g7 == 1) {
                                                                                    // 0x4885b3
                                                                                    g3 = g5;
                                                                                    function_48cc98();
                                                                                    // branch -> 0x4885f0
                                                                                } else {
                                                                                    // 0x4885bc
                                                                                    g6 = 0;
                                                                                    g8 = 0;
                                                                                    g3 = g5;
                                                                                    function_48cbdc();
                                                                                    if (g7 == 3) {
                                                                                        // 0x4885ce
                                                                                        v92 = g5;
                                                                                        v96 = *(int32_t *)(v92 + 76);
                                                                                        *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                        function_487178();
                                                                                        // branch -> 0x4885f0
                                                                                    }
                                                                                }
                                                                                // 0x4885f0
                                                                                function_487e4c();
                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                    // 0x4885fd
                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                    // branch -> 0x48870c
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // 0x488593
                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                        // 0x488599
                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                        // branch -> 0x4885a0
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x48857e
                                                            *(int32_t *)(g5 + 4) = 666;
                                                            // branch -> 0x488585
                                                            // 0x488585
                                                            if (v59 != 0) {
                                                                // 0x48858c
                                                                if (v59 != 2) {
                                                                    // 0x4885a7
                                                                    if (v59 == 1) {
                                                                        // 0x4885ae
                                                                        if (g7 == 1) {
                                                                            // 0x4885b3
                                                                            g3 = g5;
                                                                            function_48cc98();
                                                                            // branch -> 0x4885f0
                                                                        } else {
                                                                            // 0x4885bc
                                                                            g6 = 0;
                                                                            g8 = 0;
                                                                            g3 = g5;
                                                                            function_48cbdc();
                                                                            if (g7 == 3) {
                                                                                // 0x4885ce
                                                                                v92 = g5;
                                                                                v96 = *(int32_t *)(v92 + 76);
                                                                                *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                function_487178();
                                                                                // branch -> 0x4885f0
                                                                            }
                                                                        }
                                                                        // 0x4885f0
                                                                        function_487e4c();
                                                                        if (*(int32_t *)(g10 + 16) == 0) {
                                                                            // 0x4885fd
                                                                            *(int32_t *)(g5 + 40) = -1;
                                                                            // branch -> 0x48870c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x488593
                                                            if (*(int32_t *)(g10 + 16) == 0) {
                                                                // 0x488599
                                                                *(int32_t *)(g5 + 40) = -1;
                                                                // branch -> 0x4885a0
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // 0x48845c
                                                        v41 = g5;
                                                        v38 = (int32_t *)(v41 + 4);
                                                        if (*v38 == 103) {
                                                            // 0x488462
                                                            v43 = *(int32_t *)(v41 + 28);
                                                            g6 = v43;
                                                            if (*(int32_t *)(v43 + 44) == 0) {
                                                                // 0x4884c6
                                                                *v38 = 113;
                                                                // branch -> 0x4884cd
                                                            } else {
                                                                // 0x48846b
                                                                v44 = *(int32_t *)(v41 + 20);
                                                                g3 = v44;
                                                                v42 = v41;
                                                                if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                    // 0x488476
                                                                    function_487e4c();
                                                                    v42 = g5;
                                                                    // branch -> 0x48847d
                                                                }
                                                                // 0x48847d
                                                                v39 = (int32_t *)(v42 + 20);
                                                                if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                                    // 0x488488
                                                                    *v39 = *v39 + 1;
                                                                    v45 = *(char *)(g10 + 48);
                                                                    *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                    v40 = (int32_t *)(g5 + 20);
                                                                    *v40 = *v40 + 1;
                                                                    v46 = *(int32_t *)(g5 + 8);
                                                                    g3 = v46;
                                                                    v47 = *(int32_t *)(g10 + 48);
                                                                    *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                    g6 = 0;
                                                                    g8 = 0;
                                                                    function_48d9ac();
                                                                    *(int32_t *)(g10 + 48) = 0;
                                                                    *(int32_t *)(g5 + 4) = 113;
                                                                    // branch -> 0x4884cd
                                                                }
                                                            }
                                                            // 0x4884cd
                                                            v60 = g5;
                                                            if (*(int32_t *)(v60 + 20) == 0) {
                                                                // 0x4884f0
                                                                v63 = g10;
                                                                if (*(int32_t *)(v63 + 4) == 0) {
                                                                    // 0x4884f6
                                                                    v58 = g7;
                                                                    if (v58 <= v1) {
                                                                        // 0x4884fb
                                                                        if (v58 != 4) {
                                                                            // 0x488500
                                                                            *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                            // branch -> 0x48870c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v64 = v63;
                                                                            v59 = v60;
                                                                        }
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                // 0x4884d3
                                                                function_487e4c();
                                                                v61 = g10;
                                                                v62 = g5;
                                                                if (*(int32_t *)(v61 + 16) == 0) {
                                                                    // 0x4884e0
                                                                    *(int32_t *)(v62 + 40) = -1;
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v64 = v61;
                                                                    v59 = v62;
                                                                }
                                                            }
                                                            // 0x488513
                                                            v65 = *(int32_t *)(v59 + 4);
                                                            v70 = v65 - 666;
                                                            v57 = llvm_ctpop_i32(v70);
                                                            v66 = *(int32_t *)(v64 + 4);
                                                            v67 = v66;
                                                            if (v65 == 666) {
                                                                // 0x48851c
                                                                if (v66 != 0) {
                                                                    // 0x488522
                                                                    *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v67 = 0;
                                                                }
                                                            }
                                                            // 0x488535
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v67 == 0;
                                                            g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                            if (v67 == 0) {
                                                                // 0x48853b
                                                                v68 = *(int32_t *)(v59 + 116);
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v68 == 0;
                                                                g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                                if (v68 == 0) {
                                                                    // 0x488541
                                                                    if (g7 != 0) {
                                                                        // 0x488549
                                                                        g2 = (v65 & 15) > 25;
                                                                        g1 = v65 < 666;
                                                                        g187 = v70 == 0;
                                                                        g9 = v57 % 2 == 1;
                                                                        if (v65 != 666) {
                                                                            // 0x488556
                                                                            v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                            g4 = v69;
                                                                            g8 = g7;
                                                                            ((int32_t (*)())v69)();
                                                                            if (v59 != 2) {
                                                                                // 0x488577
                                                                                if (v59 != 3) {
                                                                                    // 0x488585
                                                                                    if (v59 != 0) {
                                                                                        // 0x48858c
                                                                                        if (v59 != 2) {
                                                                                            // 0x4885a7
                                                                                            if (v59 == 1) {
                                                                                                // 0x4885ae
                                                                                                if (g7 == 1) {
                                                                                                    // 0x4885b3
                                                                                                    g3 = g5;
                                                                                                    function_48cc98();
                                                                                                    // branch -> 0x4885f0
                                                                                                } else {
                                                                                                    // 0x4885bc
                                                                                                    g6 = 0;
                                                                                                    g8 = 0;
                                                                                                    g3 = g5;
                                                                                                    function_48cbdc();
                                                                                                    if (g7 == 3) {
                                                                                                        // 0x4885ce
                                                                                                        v92 = g5;
                                                                                                        v96 = *(int32_t *)(v92 + 76);
                                                                                                        *(int16_t *)(*(int32_t *)(v92 + 68) - 2 + 2 * v96) = 0;
                                                                                                        function_487178();
                                                                                                        // branch -> 0x4885f0
                                                                                                    }
                                                                                                }
                                                                                                // 0x4885f0
                                                                                                function_487e4c();
                                                                                                if (*(int32_t *)(g10 + 16) == 0) {
                                                                                                    // 0x4885fd
                                                                                                    *(int32_t *)(g5 + 40) = -1;
                                                                                                    // branch -> 0x48870c
                                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                                }
                                                                                            }
                                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                        }
                                                                                    }
                                                                                    // 0x488593
                                                                                    if (*(int32_t *)(g10 + 16) == 0) {
                                                                                        // 0x488599
                                                                                        *(int32_t *)(g5 + 40) = -1;
                                                                                        // branch -> 0x4885a0
                                                                                    }
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x48857e
                                                                            *(int32_t *)(g5 + 4) = 666;
                                                                            // branch -> 0x488585
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x488556
                                                            v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                            g4 = v69;
                                                            g8 = g7;
                                                            ((int32_t (*)())v69)();
                                                            if (v59 != 2) {
                                                                // 0x488577
                                                                if (v59 != 3) {
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x48857e
                                                            *(int32_t *)(g5 + 4) = 666;
                                                            // branch -> 0x488585
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // 0x4884cd
                                                        v60 = g5;
                                                        if (*(int32_t *)(v60 + 20) == 0) {
                                                            // 0x4884f0
                                                            v63 = g10;
                                                            if (*(int32_t *)(v63 + 4) == 0) {
                                                                // 0x4884f6
                                                                v58 = g7;
                                                                if (v58 <= v1) {
                                                                    // 0x4884fb
                                                                    if (v58 != 4) {
                                                                        // 0x488500
                                                                        *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                        // branch -> 0x48870c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                v64 = v63;
                                                                v59 = v60;
                                                            }
                                                        } else {
                                                            // 0x4884d3
                                                            function_487e4c();
                                                            v61 = g10;
                                                            v62 = g5;
                                                            if (*(int32_t *)(v61 + 16) == 0) {
                                                                // 0x4884e0
                                                                *(int32_t *)(v62 + 40) = -1;
                                                                // branch -> 0x48870c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v64 = v61;
                                                                v59 = v62;
                                                            }
                                                        }
                                                        // 0x488513
                                                        v65 = *(int32_t *)(v59 + 4);
                                                        v70 = v65 - 666;
                                                        v57 = llvm_ctpop_i32(v70);
                                                        v66 = *(int32_t *)(v64 + 4);
                                                        v67 = v66;
                                                        if (v65 == 666) {
                                                            // 0x48851c
                                                            if (v66 != 0) {
                                                                // 0x488522
                                                                *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                // branch -> 0x48870c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v67 = 0;
                                                            }
                                                        }
                                                        // 0x488535
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v67 == 0;
                                                        g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                        if (v67 == 0) {
                                                            // 0x48853b
                                                            v68 = *(int32_t *)(v59 + 116);
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v68 == 0;
                                                            g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                            if (v68 == 0) {
                                                                // 0x488541
                                                                if (g7 != 0) {
                                                                    // 0x488549
                                                                    g2 = (v65 & 15) > 25;
                                                                    g1 = v65 < 666;
                                                                    g187 = v70 == 0;
                                                                    g9 = v57 % 2 == 1;
                                                                    if (v65 != 666) {
                                                                        // 0x488556
                                                                        v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                        g4 = v69;
                                                                        g8 = g7;
                                                                        ((int32_t (*)())v69)();
                                                                        if (v59 != 2) {
                                                                            // 0x488577
                                                                            if (v59 != 3) {
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x48857e
                                                                        *(int32_t *)(g5 + 4) = 666;
                                                                        // branch -> 0x488585
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x488556
                                                        v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                        g4 = v69;
                                                        g8 = g7;
                                                        ((int32_t (*)())v69)();
                                                        if (v59 != 2) {
                                                            // 0x488577
                                                            if (v59 != 3) {
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x48857e
                                                        *(int32_t *)(g5 + 4) = 666;
                                                        // branch -> 0x488585
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x4882cd
                                                    v20 = g5;
                                                    if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                                        // 0x4882f8
                                                        v27 = g4;
                                                        v34 = *(int32_t *)(v20 + 20);
                                                        if (v27 < v34) {
                                                            // 0x4882fd
                                                            g6 = v34 - v27;
                                                            g8 = *(int32_t *)(v20 + 8) + v27;
                                                            g3 = *(int32_t *)(g10 + 48);
                                                            function_48d9ac();
                                                            *(int32_t *)(g10 + 48) = g3;
                                                            // branch -> 0x488312
                                                        }
                                                    }
                                                    // 0x488312
                                                    g3 = g10;
                                                    function_487e4c();
                                                    v21 = g5;
                                                    v28 = *(int32_t *)(v21 + 20);
                                                    v15 = v28;
                                                    v23 = v21;
                                                    v37 = 1;
                                                    if (v28 != *(int32_t *)(v21 + 12)) {
                                                        // 0x48832d
                                                        v11 = (int32_t *)(v21 + 32);
                                                        *v11 = *v11 + 1;
                                                        v22 = g5;
                                                        v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                                        v30 = *(char *)(*v11 + v29);
                                                        v35 = v30;
                                                        v56 = v35;
                                                        v12 = (int32_t *)(v22 + 20);
                                                        *v12 = *v12 + 1;
                                                        v31 = *(int32_t *)(g5 + 8);
                                                        g6 = v31;
                                                        g3 = v56 & -256 | v35;
                                                        *(char *)(*v12 + v31) = v30;
                                                        unknown_4882e7();
                                                        v23 = g5;
                                                        v37 = v30;
                                                        // branch -> 0x488358
                                                    }
                                                    // 0x488358
                                                    if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                                        // 0x488361
                                                        v32 = v15;
                                                        v36 = *(int32_t *)(v23 + 20);
                                                        if (v32 < v36) {
                                                            // 0x488366
                                                            g6 = v36 - v32;
                                                            g8 = *(int32_t *)(v23 + 8) + v32;
                                                            function_48d9ac();
                                                            // branch -> 0x48837b
                                                        }
                                                    }
                                                    // 0x48837b
                                                    if (v37 == 0) {
                                                        // 0x488382
                                                        g6 = 0;
                                                        *(int32_t *)(g5 + 32) = 0;
                                                        *(int32_t *)(g5 + 4) = 91;
                                                        // branch -> 0x488397
                                                    }
                                                    // 0x488397
                                                    v24 = g5;
                                                    v13 = (int32_t *)(v24 + 4);
                                                    if (*v13 == 91) {
                                                        // 0x4883a1
                                                        if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                                            // 0x488455
                                                            *v13 = 103;
                                                            // branch -> 0x48845c
                                                        } else {
                                                            // 0x4883ae
                                                            v15 = *(int32_t *)(v24 + 20);
                                                            v25 = v24;
                                                            // branch -> 0x4883b1
                                                            while (true) {
                                                                // 0x4883b1
                                                                v14 = (int32_t *)(v25 + 20);
                                                                if (*v14 == *(int32_t *)(v25 + 12)) {
                                                                    goto lab_0x4883b9_14;
                                                                }
                                                                goto lab_0x4883f7_14;
                                                            }
                                                        }
                                                        // 0x48845c
                                                        v41 = g5;
                                                        v38 = (int32_t *)(v41 + 4);
                                                        if (*v38 == 103) {
                                                            // 0x488462
                                                            v43 = *(int32_t *)(v41 + 28);
                                                            g6 = v43;
                                                            if (*(int32_t *)(v43 + 44) == 0) {
                                                                // 0x4884c6
                                                                *v38 = 113;
                                                                // branch -> 0x4884cd
                                                            } else {
                                                                // 0x48846b
                                                                v44 = *(int32_t *)(v41 + 20);
                                                                g3 = v44;
                                                                v42 = v41;
                                                                if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                    // 0x488476
                                                                    function_487e4c();
                                                                    v42 = g5;
                                                                    // branch -> 0x48847d
                                                                }
                                                                // 0x48847d
                                                                v39 = (int32_t *)(v42 + 20);
                                                                if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                                    // 0x488488
                                                                    *v39 = *v39 + 1;
                                                                    v45 = *(char *)(g10 + 48);
                                                                    *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                    v40 = (int32_t *)(g5 + 20);
                                                                    *v40 = *v40 + 1;
                                                                    v46 = *(int32_t *)(g5 + 8);
                                                                    g3 = v46;
                                                                    v47 = *(int32_t *)(g10 + 48);
                                                                    *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                    g6 = 0;
                                                                    g8 = 0;
                                                                    function_48d9ac();
                                                                    *(int32_t *)(g10 + 48) = 0;
                                                                    *(int32_t *)(g5 + 4) = 113;
                                                                    // branch -> 0x4884cd
                                                                }
                                                            }
                                                            // 0x4884cd
                                                            v60 = g5;
                                                            if (*(int32_t *)(v60 + 20) == 0) {
                                                                // 0x4884f0
                                                                v63 = g10;
                                                                if (*(int32_t *)(v63 + 4) == 0) {
                                                                    // 0x4884f6
                                                                    v58 = g7;
                                                                    if (v58 <= v1) {
                                                                        // 0x4884fb
                                                                        if (v58 != 4) {
                                                                            // 0x488500
                                                                            *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                            // branch -> 0x48870c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v64 = v63;
                                                                            v59 = v60;
                                                                        }
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                // 0x4884d3
                                                                function_487e4c();
                                                                v61 = g10;
                                                                v62 = g5;
                                                                if (*(int32_t *)(v61 + 16) == 0) {
                                                                    // 0x4884e0
                                                                    *(int32_t *)(v62 + 40) = -1;
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v64 = v61;
                                                                    v59 = v62;
                                                                }
                                                            }
                                                            // 0x488513
                                                            v65 = *(int32_t *)(v59 + 4);
                                                            v70 = v65 - 666;
                                                            v57 = llvm_ctpop_i32(v70);
                                                            v66 = *(int32_t *)(v64 + 4);
                                                            v67 = v66;
                                                            if (v65 == 666) {
                                                                // 0x48851c
                                                                if (v66 != 0) {
                                                                    // 0x488522
                                                                    *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v67 = 0;
                                                                }
                                                            }
                                                            // 0x488535
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v67 == 0;
                                                            g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                            if (v67 == 0) {
                                                                // 0x48853b
                                                                v68 = *(int32_t *)(v59 + 116);
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v68 == 0;
                                                                g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                                if (v68 == 0) {
                                                                    // 0x488541
                                                                    if (g7 != 0) {
                                                                        // 0x488549
                                                                        g2 = (v65 & 15) > 25;
                                                                        g1 = v65 < 666;
                                                                        g187 = v70 == 0;
                                                                        g9 = v57 % 2 == 1;
                                                                        if (v65 != 666) {
                                                                            // 0x488556
                                                                            v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                            g4 = v69;
                                                                            g8 = g7;
                                                                            ((int32_t (*)())v69)();
                                                                            if (v59 != 2) {
                                                                                // 0x488577
                                                                                if (v59 != 3) {
                                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                }
                                                                            }
                                                                            // 0x48857e
                                                                            *(int32_t *)(g5 + 4) = 666;
                                                                            // branch -> 0x488585
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x488556
                                                            v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                            g4 = v69;
                                                            g8 = g7;
                                                            ((int32_t (*)())v69)();
                                                            if (v59 != 2) {
                                                                // 0x488577
                                                                if (v59 != 3) {
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // 0x48857e
                                                            *(int32_t *)(g5 + 4) = 666;
                                                            // branch -> 0x488585
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // 0x4884cd
                                                        v60 = g5;
                                                        if (*(int32_t *)(v60 + 20) == 0) {
                                                            // 0x4884f0
                                                            v63 = g10;
                                                            if (*(int32_t *)(v63 + 4) == 0) {
                                                                // 0x4884f6
                                                                v58 = g7;
                                                                if (v58 <= v1) {
                                                                    // 0x4884fb
                                                                    if (v58 != 4) {
                                                                        // 0x488500
                                                                        *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                        // branch -> 0x48870c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                v64 = v63;
                                                                v59 = v60;
                                                            }
                                                        } else {
                                                            // 0x4884d3
                                                            function_487e4c();
                                                            v61 = g10;
                                                            v62 = g5;
                                                            if (*(int32_t *)(v61 + 16) == 0) {
                                                                // 0x4884e0
                                                                *(int32_t *)(v62 + 40) = -1;
                                                                // branch -> 0x48870c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v64 = v61;
                                                                v59 = v62;
                                                            }
                                                        }
                                                        // 0x488513
                                                        v65 = *(int32_t *)(v59 + 4);
                                                        v70 = v65 - 666;
                                                        v57 = llvm_ctpop_i32(v70);
                                                        v66 = *(int32_t *)(v64 + 4);
                                                        v67 = v66;
                                                        if (v65 == 666) {
                                                            // 0x48851c
                                                            if (v66 != 0) {
                                                                // 0x488522
                                                                *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                // branch -> 0x48870c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v67 = 0;
                                                            }
                                                        }
                                                        // 0x488535
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v67 == 0;
                                                        g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                        if (v67 == 0) {
                                                            // 0x48853b
                                                            v68 = *(int32_t *)(v59 + 116);
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v68 == 0;
                                                            g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                            if (v68 == 0) {
                                                                // 0x488541
                                                                if (g7 != 0) {
                                                                    // 0x488549
                                                                    g2 = (v65 & 15) > 25;
                                                                    g1 = v65 < 666;
                                                                    g187 = v70 == 0;
                                                                    g9 = v57 % 2 == 1;
                                                                    if (v65 != 666) {
                                                                        // 0x488556
                                                                        v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                        g4 = v69;
                                                                        g8 = g7;
                                                                        ((int32_t (*)())v69)();
                                                                        if (v59 != 2) {
                                                                            // 0x488577
                                                                            if (v59 != 3) {
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x48857e
                                                                        *(int32_t *)(g5 + 4) = 666;
                                                                        // branch -> 0x488585
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x488556
                                                        v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                        g4 = v69;
                                                        g8 = g7;
                                                        ((int32_t (*)())v69)();
                                                        if (v59 != 2) {
                                                            // 0x488577
                                                            if (v59 != 3) {
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x48857e
                                                        *(int32_t *)(g5 + 4) = 666;
                                                        // branch -> 0x488585
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x48845c
                                                    v41 = g5;
                                                    v38 = (int32_t *)(v41 + 4);
                                                    if (*v38 == 103) {
                                                        // 0x488462
                                                        v43 = *(int32_t *)(v41 + 28);
                                                        g6 = v43;
                                                        if (*(int32_t *)(v43 + 44) == 0) {
                                                            // 0x4884c6
                                                            *v38 = 113;
                                                            // branch -> 0x4884cd
                                                        } else {
                                                            // 0x48846b
                                                            v44 = *(int32_t *)(v41 + 20);
                                                            g3 = v44;
                                                            v42 = v41;
                                                            if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                // 0x488476
                                                                function_487e4c();
                                                                v42 = g5;
                                                                // branch -> 0x48847d
                                                            }
                                                            // 0x48847d
                                                            v39 = (int32_t *)(v42 + 20);
                                                            if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                                // 0x488488
                                                                *v39 = *v39 + 1;
                                                                v45 = *(char *)(g10 + 48);
                                                                *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                v40 = (int32_t *)(g5 + 20);
                                                                *v40 = *v40 + 1;
                                                                v46 = *(int32_t *)(g5 + 8);
                                                                g3 = v46;
                                                                v47 = *(int32_t *)(g10 + 48);
                                                                *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                g6 = 0;
                                                                g8 = 0;
                                                                function_48d9ac();
                                                                *(int32_t *)(g10 + 48) = 0;
                                                                *(int32_t *)(g5 + 4) = 113;
                                                                // branch -> 0x4884cd
                                                            }
                                                        }
                                                        // 0x4884cd
                                                        v60 = g5;
                                                        if (*(int32_t *)(v60 + 20) == 0) {
                                                            // 0x4884f0
                                                            v63 = g10;
                                                            if (*(int32_t *)(v63 + 4) == 0) {
                                                                // 0x4884f6
                                                                v58 = g7;
                                                                if (v58 <= v1) {
                                                                    // 0x4884fb
                                                                    if (v58 != 4) {
                                                                        // 0x488500
                                                                        *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                        // branch -> 0x48870c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                v64 = v63;
                                                                v59 = v60;
                                                            }
                                                        } else {
                                                            // 0x4884d3
                                                            function_487e4c();
                                                            v61 = g10;
                                                            v62 = g5;
                                                            if (*(int32_t *)(v61 + 16) == 0) {
                                                                // 0x4884e0
                                                                *(int32_t *)(v62 + 40) = -1;
                                                                // branch -> 0x48870c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v64 = v61;
                                                                v59 = v62;
                                                            }
                                                        }
                                                        // 0x488513
                                                        v65 = *(int32_t *)(v59 + 4);
                                                        v70 = v65 - 666;
                                                        v57 = llvm_ctpop_i32(v70);
                                                        v66 = *(int32_t *)(v64 + 4);
                                                        v67 = v66;
                                                        if (v65 == 666) {
                                                            // 0x48851c
                                                            if (v66 != 0) {
                                                                // 0x488522
                                                                *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                // branch -> 0x48870c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v67 = 0;
                                                            }
                                                        }
                                                        // 0x488535
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v67 == 0;
                                                        g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                        if (v67 == 0) {
                                                            // 0x48853b
                                                            v68 = *(int32_t *)(v59 + 116);
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v68 == 0;
                                                            g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                            if (v68 == 0) {
                                                                // 0x488541
                                                                if (g7 != 0) {
                                                                    // 0x488549
                                                                    g2 = (v65 & 15) > 25;
                                                                    g1 = v65 < 666;
                                                                    g187 = v70 == 0;
                                                                    g9 = v57 % 2 == 1;
                                                                    if (v65 != 666) {
                                                                        // 0x488556
                                                                        v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                        g4 = v69;
                                                                        g8 = g7;
                                                                        ((int32_t (*)())v69)();
                                                                        if (v59 != 2) {
                                                                            // 0x488577
                                                                            if (v59 != 3) {
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // 0x48857e
                                                                        *(int32_t *)(g5 + 4) = 666;
                                                                        // branch -> 0x488585
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x488556
                                                        v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                        g4 = v69;
                                                        g8 = g7;
                                                        ((int32_t (*)())v69)();
                                                        if (v59 != 2) {
                                                            // 0x488577
                                                            if (v59 != 3) {
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // 0x48857e
                                                        *(int32_t *)(g5 + 4) = 666;
                                                        // branch -> 0x488585
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x4884cd
                                                    v60 = g5;
                                                    if (*(int32_t *)(v60 + 20) == 0) {
                                                        // 0x4884f0
                                                        v63 = g10;
                                                        if (*(int32_t *)(v63 + 4) == 0) {
                                                            // 0x4884f6
                                                            v58 = g7;
                                                            if (v58 <= v1) {
                                                                // 0x4884fb
                                                                if (v58 != 4) {
                                                                    // 0x488500
                                                                    *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                v64 = v63;
                                                                v59 = v60;
                                                            }
                                                        } else {
                                                            v64 = v63;
                                                            v59 = v60;
                                                        }
                                                    } else {
                                                        // 0x4884d3
                                                        function_487e4c();
                                                        v61 = g10;
                                                        v62 = g5;
                                                        if (*(int32_t *)(v61 + 16) == 0) {
                                                            // 0x4884e0
                                                            *(int32_t *)(v62 + 40) = -1;
                                                            // branch -> 0x48870c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v64 = v61;
                                                            v59 = v62;
                                                        }
                                                    }
                                                    // 0x488513
                                                    v65 = *(int32_t *)(v59 + 4);
                                                    v70 = v65 - 666;
                                                    v57 = llvm_ctpop_i32(v70);
                                                    v66 = *(int32_t *)(v64 + 4);
                                                    v67 = v66;
                                                    if (v65 == 666) {
                                                        // 0x48851c
                                                        if (v66 != 0) {
                                                            // 0x488522
                                                            *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                            // branch -> 0x48870c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v67 = 0;
                                                        }
                                                    }
                                                    // 0x488535
                                                    g2 = false;
                                                    g1 = false;
                                                    g187 = v67 == 0;
                                                    g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                    if (v67 == 0) {
                                                        // 0x48853b
                                                        v68 = *(int32_t *)(v59 + 116);
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v68 == 0;
                                                        g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                        if (v68 == 0) {
                                                            // 0x488541
                                                            if (g7 != 0) {
                                                                // 0x488549
                                                                g2 = (v65 & 15) > 25;
                                                                g1 = v65 < 666;
                                                                g187 = v70 == 0;
                                                                g9 = v57 % 2 == 1;
                                                                if (v65 != 666) {
                                                                    // 0x488556
                                                                    v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                    g4 = v69;
                                                                    g8 = g7;
                                                                    ((int32_t (*)())v69)();
                                                                    if (v59 != 2) {
                                                                        // 0x488577
                                                                        if (v59 != 3) {
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // 0x48857e
                                                                    *(int32_t *)(g5 + 4) = 666;
                                                                    // branch -> 0x488585
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // 0x488556
                                                    v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                    g4 = v69;
                                                    g8 = g7;
                                                    ((int32_t (*)())v69)();
                                                    if (v59 != 2) {
                                                        // 0x488577
                                                        if (v59 != 3) {
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // 0x48857e
                                                    *(int32_t *)(g5 + 4) = 666;
                                                    // branch -> 0x488585
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // 0x487fdc
                                            v81 = 4;
                                            // branch -> 0x487fe2
                                        }
                                        // 0x487fe2
                                        *(char *)(v56 + v79) = v81;
                                        v80 = (int32_t *)(g5 + 20);
                                        v82 = *v80;
                                        *v80 = v82 + 1;
                                        *(char *)(*(int32_t *)(g5 + 8) + v82) = 11;
                                        *(int32_t *)(g5 + 4) = 113;
                                        // branch -> 0x488206
                                    } else {
                                        // 0x487ffe
                                        int32_t v138; // 0x48801b
                                        if (*(int32_t *)v55 == 0) {
                                            // 0x48800a
                                            v138 = 0;
                                            // branch -> 0x48800c
                                        } else {
                                            // 0x488006
                                            v138 = v52 & -256 | 1;
                                            // branch -> 0x48800c
                                        }
                                        // 0x48800c
                                        int32_t v139;
                                        if (*(int32_t *)(*v54 + 44) == 0) {
                                            // 0x488019
                                            v139 = 0;
                                            // branch -> 0x48801b
                                        } else {
                                            // 0x488015
                                            v139 = v50 & -256 | 2;
                                            // branch -> 0x48801b
                                        }
                                        int32_t v140 = v138 & -256; // 0x48801b
                                        int32_t v141 = *v54; // 0x48801d
                                        int32_t v142; // 0x48803b
                                        if (*(int32_t *)(v141 + 16) == 0) {
                                            // 0x488026
                                            v142 = 0;
                                            // branch -> 0x48802c
                                        } else {
                                            // 0x48802a
                                            v142 = v141 & -256 | 4;
                                            // branch -> 0x48802c
                                        }
                                        // 0x48802c
                                        int32_t v143; // 0x48804c
                                        if (*(int32_t *)(*v54 + 28) == 0) {
                                            // 0x488037
                                            v143 = 0;
                                            // branch -> 0x48803d
                                        } else {
                                            // 0x48803b
                                            v143 = v142 & -256 | 8;
                                            // branch -> 0x48803d
                                        }
                                        int32_t v144 = v143 + (v142 + v139 + v138 & 255 | v140); // 0x48803d
                                        int32_t v145;
                                        if (*(int32_t *)(*v54 + 36) == 0) {
                                            // 0x488048
                                            v145 = 0;
                                            // branch -> 0x48804e
                                        } else {
                                            // 0x48804c
                                            v145 = v143 & -256 | 16;
                                            // branch -> 0x48804e
                                        }
                                        int32_t * v146 = (int32_t *)(v53 + 20); // 0x488050_0
                                        *v146 = *v146 + 1;
                                        int32_t v147 = v145 + v144 & 255 | v140; // 0x488059
                                        *(char *)(*v146 + *(int32_t *)(g5 + 8)) = (char)v147;
                                        int32_t * v148 = (int32_t *)(g5 + 20); // 0x48805c_0
                                        *v148 = *v148 + 1;
                                        int32_t v149 = g5; // 0x488062
                                        char v150 = *(char *)(*(int32_t *)(v149 + 28) + 4); // 0x488068
                                        *(char *)(*v148 + *(int32_t *)(v149 + 8)) = v150;
                                        int32_t * v151 = (int32_t *)(g5 + 20); // 0x488070_0
                                        *v151 = *v151 + 1;
                                        int32_t v152 = g5; // 0x488076
                                        int32_t v153 = *(int32_t *)(v152 + 8); // 0x488076
                                        uint32_t v154 = *(int32_t *)(*(int32_t *)(v152 + 28) + 4); // 0x48807c
                                        *(char *)(*v151 + v153) = (char)(v154 / 256);
                                        int32_t * v155 = (int32_t *)(g5 + 20); // 0x488087_0
                                        *v155 = *v155 + 1;
                                        int32_t v156 = g5; // 0x48808d
                                        int32_t v157 = *(int32_t *)(v156 + 8); // 0x48808d
                                        uint32_t v158 = *(int32_t *)(*(int32_t *)(v156 + 28) + 4); // 0x488093
                                        *(char *)(*v155 + v157) = (char)(v158 / 0x10000);
                                        int32_t * v159 = (int32_t *)(g5 + 20); // 0x48809e_0
                                        *v159 = *v159 + 1;
                                        int32_t v160 = g5; // 0x4880a4
                                        int32_t v161 = *(int32_t *)(v160 + 8); // 0x4880a4
                                        int32_t v162 = *(int32_t *)(*(int32_t *)(v160 + 28) + 4) / 0x1000000; // 0x4880ad
                                        *(char *)(*v159 + v161) = (char)v162;
                                        int32_t * v163 = (int32_t *)(g5 + 20); // 0x4880b5_0
                                        int32_t v164 = *v163; // edx
                                        *v163 = *v163 + 1;
                                        int32_t v165 = g5; // 0x4880bb
                                        int32_t * v166 = (int32_t *)(v165 + 132); // 0x4880bb_0
                                        int32_t v167 = *(int32_t *)(v165 + 8); // 0x4880c2
                                        int32_t * v168; // 0x4880e6_0
                                        int32_t * v169; // 0x488103_0
                                        int32_t * v170; // 0x488118_0
                                        int32_t v171; // 0x4880ec
                                        int32_t v172; // 0x4880fa
                                        int32_t v173; // 0x48811e
                                        int32_t v174; // 0x488139
                                        int32_t v175; // 0x48814c
                                        char v176;
                                        char v177; // 0x4880f2
                                        int32_t v178; // 0x4880fa
                                        char v179; // 0x488111
                                        int32_t v180; // 0x48811e
                                        uint32_t v181; // 0x488124
                                        if (*v166 == 9) {
                                            // 0x4880c7
                                            v176 = 2;
                                            // branch -> 0x4880e3
                                        } else {
                                            // 0x4880cb
                                            if (*(int32_t *)(v165 + 136) <= 1) {
                                                // 0x4880d4
                                                if (*v166 > 1) {
                                                    // 0x4880e1
                                                    // branch -> 0x4880e3
                                                    // 0x4880e3
                                                    *(char *)(v164 + v167) = 0;
                                                    v168 = (int32_t *)(g5 + 20);
                                                    v164 = *v168;
                                                    *v168 = *v168 + 1;
                                                    v171 = g5;
                                                    v177 = *(char *)(*(int32_t *)(v171 + 28) + 12);
                                                    *(char *)(v164 + *(int32_t *)(v171 + 8)) = v177;
                                                    v172 = g5;
                                                    v178 = *(int32_t *)(v172 + 28);
                                                    v56 = v178;
                                                    v174 = v172;
                                                    if (*(int32_t *)(v178 + 16) != 0) {
                                                        // 0x488103
                                                        v169 = (int32_t *)(v172 + 20);
                                                        v164 = *v169;
                                                        *v169 = *v169 + 1;
                                                        v179 = *(char *)(v56 + 20);
                                                        *(char *)(v164 + *(int32_t *)(g5 + 8)) = v179;
                                                        v170 = (int32_t *)(g5 + 20);
                                                        *v170 = *v170 + 1;
                                                        v173 = g5;
                                                        v180 = *(int32_t *)(v173 + 8);
                                                        v181 = *(int32_t *)(*(int32_t *)(v173 + 28) + 20);
                                                        *(char *)(*v170 + v180) = (char)(v181 / 256);
                                                        v174 = g5;
                                                        // branch -> 0x488130
                                                    }
                                                    // 0x488130
                                                    v175 = v174;
                                                    if (*(int32_t *)(*(int32_t *)(v174 + 28) + 44) != 0) {
                                                        // 0x488139
                                                        g6 = *(int32_t *)(v174 + 20);
                                                        g8 = *(int32_t *)(v174 + 8);
                                                        g3 = *(int32_t *)(g10 + 48);
                                                        function_48d9ac();
                                                        *(int32_t *)(g10 + 48) = g3;
                                                        v175 = g5;
                                                        // branch -> 0x48814a
                                                    }
                                                    // 0x48814a
                                                    *(int32_t *)(v175 + 32) = 0;
                                                    *(int32_t *)(g5 + 4) = 69;
                                                    // branch -> 0x488206
                                                    // 0x488206
                                                    v16 = g5;
                                                    v8 = (int32_t *)(v16 + 4);
                                                    int32_t v182; // 0x488480
                                                    if (*v8 == 69) {
                                                        // 0x488210
                                                        if (*(int32_t *)(*(int32_t *)(v16 + 28) + 16) == 0) {
                                                            // 0x4882c6
                                                            *v8 = 73;
                                                            // branch -> 0x4882cd
                                                        } else {
                                                            // 0x48821d
                                                            g4 = *(int32_t *)(v16 + 20);
                                                            v17 = v16;
                                                            // branch -> 0x488279
                                                            while (true) {
                                                                // 0x488279
                                                                v9 = (int32_t *)(v17 + 28);
                                                                if ((*(int32_t *)(*v9 + 20) & 0xffff) > *(int32_t *)(v17 + 32)) {
                                                                    goto lab_0x488222_6;
                                                                }
                                                                v18 = v17;
                                                                // 0x48828a
                                                                v19 = v18;
                                                                if (*(int32_t *)(*(int32_t *)(v18 + 28) + 44) != 0) {
                                                                    // 0x488293
                                                                    v26 = g4;
                                                                    v33 = *(int32_t *)(v18 + 20);
                                                                    if (v26 < v33) {
                                                                        // 0x488298
                                                                        g6 = v33 - v26;
                                                                        g8 = *(int32_t *)(v18 + 8) + v26;
                                                                        g3 = *(int32_t *)(g10 + 48);
                                                                        function_48d9ac();
                                                                        *(int32_t *)(g10 + 48) = g3;
                                                                        v19 = g5;
                                                                        // branch -> 0x4882ad
                                                                    } else {
                                                                        v19 = v18;
                                                                    }
                                                                }
                                                                // 0x4882ad
                                                                v10 = (int32_t *)(v19 + 32);
                                                                if (*(int32_t *)(*(int32_t *)(v19 + 28) + 20) == *v10) {
                                                                    // 0x4882b8
                                                                    *v10 = 0;
                                                                    *(int32_t *)(g5 + 4) = 73;
                                                                    // branch -> 0x4882cd
                                                                }
                                                            }
                                                        }
                                                        // 0x4882cd
                                                        v20 = g5;
                                                        if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                                            // 0x4882f8
                                                            v27 = g4;
                                                            v34 = *(int32_t *)(v20 + 20);
                                                            if (v27 < v34) {
                                                                // 0x4882fd
                                                                g6 = v34 - v27;
                                                                g8 = *(int32_t *)(v20 + 8) + v27;
                                                                g3 = *(int32_t *)(g10 + 48);
                                                                function_48d9ac();
                                                                *(int32_t *)(g10 + 48) = g3;
                                                                // branch -> 0x488312
                                                            }
                                                        }
                                                        // 0x488312
                                                        g3 = g10;
                                                        function_487e4c();
                                                        v21 = g5;
                                                        v28 = *(int32_t *)(v21 + 20);
                                                        v15 = v28;
                                                        v23 = v21;
                                                        v37 = 1;
                                                        if (v28 != *(int32_t *)(v21 + 12)) {
                                                            // 0x48832d
                                                            v11 = (int32_t *)(v21 + 32);
                                                            *v11 = *v11 + 1;
                                                            v22 = g5;
                                                            v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                                            v30 = *(char *)(*v11 + v29);
                                                            v35 = v30;
                                                            v12 = (int32_t *)(v22 + 20);
                                                            v164 = *v12;
                                                            *v12 = *v12 + 1;
                                                            v31 = *(int32_t *)(g5 + 8);
                                                            g6 = v31;
                                                            g3 = v35 & -256 | v35;
                                                            *(char *)(v164 + v31) = v30;
                                                            unknown_4882e7();
                                                            v23 = g5;
                                                            v37 = v30;
                                                            // branch -> 0x488358
                                                        }
                                                        // 0x488358
                                                        if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                                            // 0x488361
                                                            v32 = v15;
                                                            v36 = *(int32_t *)(v23 + 20);
                                                            if (v32 < v36) {
                                                                // 0x488366
                                                                g6 = v36 - v32;
                                                                g8 = *(int32_t *)(v23 + 8) + v32;
                                                                function_48d9ac();
                                                                // branch -> 0x48837b
                                                            }
                                                        }
                                                        // 0x48837b
                                                        if (v37 == 0) {
                                                            // 0x488382
                                                            g6 = 0;
                                                            *(int32_t *)(g5 + 32) = 0;
                                                            *(int32_t *)(g5 + 4) = 91;
                                                            // branch -> 0x488397
                                                        }
                                                        // 0x488397
                                                        v24 = g5;
                                                        v13 = (int32_t *)(v24 + 4);
                                                        if (*v13 == 91) {
                                                            // 0x4883a1
                                                            if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                                                // 0x488455
                                                                *v13 = 103;
                                                                // branch -> 0x48845c
                                                            } else {
                                                                // 0x4883ae
                                                                v15 = *(int32_t *)(v24 + 20);
                                                                v25 = v24;
                                                                // branch -> 0x4883b1
                                                                while (true) {
                                                                    // 0x4883b1
                                                                    v14 = (int32_t *)(v25 + 20);
                                                                    if (*v14 == *(int32_t *)(v25 + 12)) {
                                                                        goto lab_0x4883b9_14;
                                                                    }
                                                                    goto lab_0x4883f7_14;
                                                                }
                                                            }
                                                            // 0x48845c
                                                            v41 = g5;
                                                            v38 = (int32_t *)(v41 + 4);
                                                            if (*v38 == 103) {
                                                                // 0x488462
                                                                v43 = *(int32_t *)(v41 + 28);
                                                                g6 = v43;
                                                                if (*(int32_t *)(v43 + 44) == 0) {
                                                                    // 0x4884c6
                                                                    *v38 = 113;
                                                                    // branch -> 0x4884cd
                                                                } else {
                                                                    // 0x48846b
                                                                    v44 = *(int32_t *)(v41 + 20);
                                                                    g3 = v44;
                                                                    v42 = v41;
                                                                    if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                        // 0x488476
                                                                        function_487e4c();
                                                                        v42 = g5;
                                                                        // branch -> 0x48847d
                                                                    }
                                                                    // 0x48847d
                                                                    v39 = (int32_t *)(v42 + 20);
                                                                    v182 = *v39 + 2;
                                                                    v164 = v182;
                                                                    if (v182 <= *(int32_t *)(v42 + 12)) {
                                                                        // 0x488488
                                                                        *v39 = *v39 + 1;
                                                                        v45 = *(char *)(g10 + 48);
                                                                        *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                        v40 = (int32_t *)(g5 + 20);
                                                                        *v40 = *v40 + 1;
                                                                        v46 = *(int32_t *)(g5 + 8);
                                                                        g3 = v46;
                                                                        v47 = *(int32_t *)(g10 + 48);
                                                                        *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                        g6 = 0;
                                                                        g8 = 0;
                                                                        function_48d9ac();
                                                                        *(int32_t *)(g10 + 48) = 0;
                                                                        *(int32_t *)(g5 + 4) = 113;
                                                                        // branch -> 0x4884cd
                                                                    }
                                                                }
                                                                // 0x4884cd
                                                                v60 = g5;
                                                                if (*(int32_t *)(v60 + 20) == 0) {
                                                                    // 0x4884f0
                                                                    v63 = g10;
                                                                    if (*(int32_t *)(v63 + 4) == 0) {
                                                                        // 0x4884f6
                                                                        v58 = g7;
                                                                        if (v58 <= v1) {
                                                                            // 0x4884fb
                                                                            if (v58 != 4) {
                                                                                // 0x488500
                                                                                *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                                // branch -> 0x48870c
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            } else {
                                                                                v64 = v63;
                                                                                v59 = v60;
                                                                            }
                                                                        } else {
                                                                            v64 = v63;
                                                                            v59 = v60;
                                                                        }
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    // 0x4884d3
                                                                    function_487e4c();
                                                                    v61 = g10;
                                                                    v62 = g5;
                                                                    if (*(int32_t *)(v61 + 16) == 0) {
                                                                        // 0x4884e0
                                                                        *(int32_t *)(v62 + 40) = -1;
                                                                        // branch -> 0x48870c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v64 = v61;
                                                                        v59 = v62;
                                                                    }
                                                                }
                                                                // 0x488513
                                                                v65 = *(int32_t *)(v59 + 4);
                                                                v70 = v65 - 666;
                                                                v57 = llvm_ctpop_i32(v70);
                                                                v66 = *(int32_t *)(v64 + 4);
                                                                v67 = v66;
                                                                if (v65 == 666) {
                                                                    // 0x48851c
                                                                    if (v66 != 0) {
                                                                        // 0x488522
                                                                        *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                        // branch -> 0x48870c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v67 = 0;
                                                                    }
                                                                }
                                                                // 0x488535
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v67 == 0;
                                                                g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                                if (v67 == 0) {
                                                                    // 0x48853b
                                                                    v68 = *(int32_t *)(v59 + 116);
                                                                    g2 = false;
                                                                    g1 = false;
                                                                    g187 = v68 == 0;
                                                                    g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                                    if (v68 == 0) {
                                                                        // 0x488541
                                                                        if (g7 != 0) {
                                                                            // 0x488549
                                                                            g2 = (v65 & 15) > 25;
                                                                            g1 = v65 < 666;
                                                                            g187 = v70 == 0;
                                                                            g9 = v57 % 2 == 1;
                                                                            if (v65 != 666) {
                                                                                // 0x488556
                                                                                v69 = *(int32_t *)(12 * *(int32_t *)(v59 + 132) + 0x4c0e84);
                                                                                g4 = v69;
                                                                                g8 = g7;
                                                                                ((int32_t (*)())v69)();
                                                                                if (v59 != 2) {
                                                                                    // 0x488577
                                                                                    if (v59 != 3) {
                                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                                    }
                                                                                }
                                                                                // 0x48857e
                                                                                *(int32_t *)(g5 + 4) = 666;
                                                                                // branch -> 0x488585
                                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                                            }
                                                                        }
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                            // 0x4884cd
                                                            v60 = g5;
                                                            if (*(int32_t *)(v60 + 20) == 0) {
                                                                // 0x4884f0
                                                                v63 = g10;
                                                                if (*(int32_t *)(v63 + 4) == 0) {
                                                                    // 0x4884f6
                                                                    v58 = g7;
                                                                    if (v58 <= v1) {
                                                                        // 0x4884fb
                                                                        if (v58 != 4) {
                                                                            // 0x488500
                                                                            *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                            // branch -> 0x48870c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v64 = v63;
                                                                            v59 = v60;
                                                                        }
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                // 0x4884d3
                                                                function_487e4c();
                                                                v61 = g10;
                                                                v62 = g5;
                                                                if (*(int32_t *)(v61 + 16) == 0) {
                                                                    // 0x4884e0
                                                                    *(int32_t *)(v62 + 40) = -1;
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v64 = v61;
                                                                    v59 = v62;
                                                                }
                                                            }
                                                            // 0x488513
                                                            v65 = *(int32_t *)(v59 + 4);
                                                            v70 = v65 - 666;
                                                            v57 = llvm_ctpop_i32(v70);
                                                            v66 = *(int32_t *)(v64 + 4);
                                                            v67 = v66;
                                                            if (v65 == 666) {
                                                                // 0x48851c
                                                                if (v66 != 0) {
                                                                    // 0x488522
                                                                    *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v67 = 0;
                                                                }
                                                            }
                                                            // 0x488535
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v67 == 0;
                                                            g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                            if (v67 == 0) {
                                                                // 0x48853b
                                                                v68 = *(int32_t *)(v59 + 116);
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v68 == 0;
                                                                g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                                if (v68 == 0) {
                                                                    // 0x488541
                                                                    if (g7 != 0) {
                                                                        // 0x488549
                                                                        g2 = (v65 & 15) > 25;
                                                                        g1 = v65 < 666;
                                                                        g187 = v70 == 0;
                                                                        g9 = v57 % 2 == 1;
                                                                        if (v65 != 666) {
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // 0x48845c
                                                        v41 = g5;
                                                        v38 = (int32_t *)(v41 + 4);
                                                        if (*v38 == 103) {
                                                            // 0x488462
                                                            v43 = *(int32_t *)(v41 + 28);
                                                            g6 = v43;
                                                            if (*(int32_t *)(v43 + 44) == 0) {
                                                                // 0x4884c6
                                                                *v38 = 113;
                                                                // branch -> 0x4884cd
                                                            } else {
                                                                // 0x48846b
                                                                v44 = *(int32_t *)(v41 + 20);
                                                                g3 = v44;
                                                                v42 = v41;
                                                                if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                    // 0x488476
                                                                    function_487e4c();
                                                                    v42 = g5;
                                                                    // branch -> 0x48847d
                                                                }
                                                                // 0x48847d
                                                                v39 = (int32_t *)(v42 + 20);
                                                                v182 = *v39 + 2;
                                                                v164 = v182;
                                                                if (v182 <= *(int32_t *)(v42 + 12)) {
                                                                    // 0x488488
                                                                    *v39 = *v39 + 1;
                                                                    v45 = *(char *)(g10 + 48);
                                                                    *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                    v40 = (int32_t *)(g5 + 20);
                                                                    *v40 = *v40 + 1;
                                                                    v46 = *(int32_t *)(g5 + 8);
                                                                    g3 = v46;
                                                                    v47 = *(int32_t *)(g10 + 48);
                                                                    *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                    g6 = 0;
                                                                    g8 = 0;
                                                                    function_48d9ac();
                                                                    *(int32_t *)(g10 + 48) = 0;
                                                                    *(int32_t *)(g5 + 4) = 113;
                                                                    // branch -> 0x4884cd
                                                                }
                                                            }
                                                            // 0x4884cd
                                                            v60 = g5;
                                                            if (*(int32_t *)(v60 + 20) == 0) {
                                                                // 0x4884f0
                                                                v63 = g10;
                                                                if (*(int32_t *)(v63 + 4) == 0) {
                                                                    // 0x4884f6
                                                                    v58 = g7;
                                                                    if (v58 <= v1) {
                                                                        // 0x4884fb
                                                                        if (v58 != 4) {
                                                                            // 0x488500
                                                                            *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                            // branch -> 0x48870c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v64 = v63;
                                                                            v59 = v60;
                                                                        }
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                // 0x4884d3
                                                                function_487e4c();
                                                                v61 = g10;
                                                                v62 = g5;
                                                                if (*(int32_t *)(v61 + 16) == 0) {
                                                                    // 0x4884e0
                                                                    *(int32_t *)(v62 + 40) = -1;
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v64 = v61;
                                                                    v59 = v62;
                                                                }
                                                            }
                                                            // 0x488513
                                                            v65 = *(int32_t *)(v59 + 4);
                                                            v70 = v65 - 666;
                                                            v57 = llvm_ctpop_i32(v70);
                                                            v66 = *(int32_t *)(v64 + 4);
                                                            v67 = v66;
                                                            if (v65 == 666) {
                                                                // 0x48851c
                                                                if (v66 != 0) {
                                                                    // 0x488522
                                                                    *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v67 = 0;
                                                                }
                                                            }
                                                            // 0x488535
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v67 == 0;
                                                            g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                            if (v67 == 0) {
                                                                // 0x48853b
                                                                v68 = *(int32_t *)(v59 + 116);
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v68 == 0;
                                                                g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                                if (v68 == 0) {
                                                                    // 0x488541
                                                                    if (g7 != 0) {
                                                                        // 0x488549
                                                                        g2 = (v65 & 15) > 25;
                                                                        g1 = v65 < 666;
                                                                        g187 = v70 == 0;
                                                                        g9 = v57 % 2 == 1;
                                                                        if (v65 != 666) {
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // 0x4884cd
                                                        v60 = g5;
                                                        if (*(int32_t *)(v60 + 20) == 0) {
                                                            // 0x4884f0
                                                            v63 = g10;
                                                            if (*(int32_t *)(v63 + 4) == 0) {
                                                                // 0x4884f6
                                                                v58 = g7;
                                                                if (v58 <= v1) {
                                                                    // 0x4884fb
                                                                    if (v58 != 4) {
                                                                        // 0x488500
                                                                        *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                        // branch -> 0x48870c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                v64 = v63;
                                                                v59 = v60;
                                                            }
                                                        } else {
                                                            // 0x4884d3
                                                            function_487e4c();
                                                            v61 = g10;
                                                            v62 = g5;
                                                            if (*(int32_t *)(v61 + 16) == 0) {
                                                                // 0x4884e0
                                                                *(int32_t *)(v62 + 40) = -1;
                                                                // branch -> 0x48870c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v64 = v61;
                                                                v59 = v62;
                                                            }
                                                        }
                                                        // 0x488513
                                                        v65 = *(int32_t *)(v59 + 4);
                                                        v70 = v65 - 666;
                                                        v57 = llvm_ctpop_i32(v70);
                                                        v66 = *(int32_t *)(v64 + 4);
                                                        v67 = v66;
                                                        if (v65 == 666) {
                                                            // 0x48851c
                                                            if (v66 != 0) {
                                                                // 0x488522
                                                                *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                // branch -> 0x48870c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v67 = 0;
                                                            }
                                                        }
                                                        // 0x488535
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v67 == 0;
                                                        g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                        if (v67 == 0) {
                                                            // 0x48853b
                                                            v68 = *(int32_t *)(v59 + 116);
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v68 == 0;
                                                            g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                            if (v68 == 0) {
                                                                // 0x488541
                                                                if (g7 != 0) {
                                                                    // 0x488549
                                                                    g2 = (v65 & 15) > 25;
                                                                    g1 = v65 < 666;
                                                                    g187 = v70 == 0;
                                                                    g9 = v57 % 2 == 1;
                                                                    if (v65 != 666) {
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x4882cd
                                                    v20 = g5;
                                                    if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                                        // 0x4882f8
                                                        v27 = g4;
                                                        v34 = *(int32_t *)(v20 + 20);
                                                        if (v27 < v34) {
                                                            // 0x4882fd
                                                            g6 = v34 - v27;
                                                            g8 = *(int32_t *)(v20 + 8) + v27;
                                                            g3 = *(int32_t *)(g10 + 48);
                                                            function_48d9ac();
                                                            *(int32_t *)(g10 + 48) = g3;
                                                            // branch -> 0x488312
                                                        }
                                                    }
                                                    // 0x488312
                                                    g3 = g10;
                                                    function_487e4c();
                                                    v21 = g5;
                                                    v28 = *(int32_t *)(v21 + 20);
                                                    v15 = v28;
                                                    v23 = v21;
                                                    v37 = 1;
                                                    if (v28 != *(int32_t *)(v21 + 12)) {
                                                        // 0x48832d
                                                        v11 = (int32_t *)(v21 + 32);
                                                        *v11 = *v11 + 1;
                                                        v22 = g5;
                                                        v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                                        v30 = *(char *)(*v11 + v29);
                                                        v35 = v30;
                                                        v12 = (int32_t *)(v22 + 20);
                                                        v164 = *v12;
                                                        *v12 = *v12 + 1;
                                                        v31 = *(int32_t *)(g5 + 8);
                                                        g6 = v31;
                                                        g3 = v35 & -256 | v35;
                                                        *(char *)(v164 + v31) = v30;
                                                        unknown_4882e7();
                                                        v23 = g5;
                                                        v37 = v30;
                                                        // branch -> 0x488358
                                                    }
                                                    // 0x488358
                                                    if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                                        // 0x488361
                                                        v32 = v15;
                                                        v36 = *(int32_t *)(v23 + 20);
                                                        if (v32 < v36) {
                                                            // 0x488366
                                                            g6 = v36 - v32;
                                                            g8 = *(int32_t *)(v23 + 8) + v32;
                                                            function_48d9ac();
                                                            // branch -> 0x48837b
                                                        }
                                                    }
                                                    // 0x48837b
                                                    if (v37 == 0) {
                                                        // 0x488382
                                                        g6 = 0;
                                                        *(int32_t *)(g5 + 32) = 0;
                                                        *(int32_t *)(g5 + 4) = 91;
                                                        // branch -> 0x488397
                                                    }
                                                    // 0x488397
                                                    v24 = g5;
                                                    v13 = (int32_t *)(v24 + 4);
                                                    if (*v13 == 91) {
                                                        // 0x4883a1
                                                        if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                                            // 0x488455
                                                            *v13 = 103;
                                                            // branch -> 0x48845c
                                                        } else {
                                                            // 0x4883ae
                                                            v15 = *(int32_t *)(v24 + 20);
                                                            v25 = v24;
                                                            // branch -> 0x4883b1
                                                            while (true) {
                                                                // 0x4883b1
                                                                v14 = (int32_t *)(v25 + 20);
                                                                if (*v14 == *(int32_t *)(v25 + 12)) {
                                                                    goto lab_0x4883b9_14;
                                                                }
                                                                goto lab_0x4883f7_14;
                                                            }
                                                        }
                                                        // 0x48845c
                                                        v41 = g5;
                                                        v38 = (int32_t *)(v41 + 4);
                                                        if (*v38 == 103) {
                                                            // 0x488462
                                                            v43 = *(int32_t *)(v41 + 28);
                                                            g6 = v43;
                                                            if (*(int32_t *)(v43 + 44) == 0) {
                                                                // 0x4884c6
                                                                *v38 = 113;
                                                                // branch -> 0x4884cd
                                                            } else {
                                                                // 0x48846b
                                                                v44 = *(int32_t *)(v41 + 20);
                                                                g3 = v44;
                                                                v42 = v41;
                                                                if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                    // 0x488476
                                                                    function_487e4c();
                                                                    v42 = g5;
                                                                    // branch -> 0x48847d
                                                                }
                                                                // 0x48847d
                                                                v39 = (int32_t *)(v42 + 20);
                                                                v182 = *v39 + 2;
                                                                v164 = v182;
                                                                if (v182 <= *(int32_t *)(v42 + 12)) {
                                                                    // 0x488488
                                                                    *v39 = *v39 + 1;
                                                                    v45 = *(char *)(g10 + 48);
                                                                    *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                    v40 = (int32_t *)(g5 + 20);
                                                                    *v40 = *v40 + 1;
                                                                    v46 = *(int32_t *)(g5 + 8);
                                                                    g3 = v46;
                                                                    v47 = *(int32_t *)(g10 + 48);
                                                                    *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                    g6 = 0;
                                                                    g8 = 0;
                                                                    function_48d9ac();
                                                                    *(int32_t *)(g10 + 48) = 0;
                                                                    *(int32_t *)(g5 + 4) = 113;
                                                                    // branch -> 0x4884cd
                                                                }
                                                            }
                                                            // 0x4884cd
                                                            v60 = g5;
                                                            if (*(int32_t *)(v60 + 20) == 0) {
                                                                // 0x4884f0
                                                                v63 = g10;
                                                                if (*(int32_t *)(v63 + 4) == 0) {
                                                                    // 0x4884f6
                                                                    v58 = g7;
                                                                    if (v58 <= v1) {
                                                                        // 0x4884fb
                                                                        if (v58 != 4) {
                                                                            // 0x488500
                                                                            *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                            // branch -> 0x48870c
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        } else {
                                                                            v64 = v63;
                                                                            v59 = v60;
                                                                        }
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                // 0x4884d3
                                                                function_487e4c();
                                                                v61 = g10;
                                                                v62 = g5;
                                                                if (*(int32_t *)(v61 + 16) == 0) {
                                                                    // 0x4884e0
                                                                    *(int32_t *)(v62 + 40) = -1;
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v64 = v61;
                                                                    v59 = v62;
                                                                }
                                                            }
                                                            // 0x488513
                                                            v65 = *(int32_t *)(v59 + 4);
                                                            v70 = v65 - 666;
                                                            v57 = llvm_ctpop_i32(v70);
                                                            v66 = *(int32_t *)(v64 + 4);
                                                            v67 = v66;
                                                            if (v65 == 666) {
                                                                // 0x48851c
                                                                if (v66 != 0) {
                                                                    // 0x488522
                                                                    *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v67 = 0;
                                                                }
                                                            }
                                                            // 0x488535
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v67 == 0;
                                                            g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                            if (v67 == 0) {
                                                                // 0x48853b
                                                                v68 = *(int32_t *)(v59 + 116);
                                                                g2 = false;
                                                                g1 = false;
                                                                g187 = v68 == 0;
                                                                g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                                if (v68 == 0) {
                                                                    // 0x488541
                                                                    if (g7 != 0) {
                                                                        // 0x488549
                                                                        g2 = (v65 & 15) > 25;
                                                                        g1 = v65 < 666;
                                                                        g187 = v70 == 0;
                                                                        g9 = v57 % 2 == 1;
                                                                        if (v65 != 666) {
                                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                                        }
                                                                    }
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // 0x4884cd
                                                        v60 = g5;
                                                        if (*(int32_t *)(v60 + 20) == 0) {
                                                            // 0x4884f0
                                                            v63 = g10;
                                                            if (*(int32_t *)(v63 + 4) == 0) {
                                                                // 0x4884f6
                                                                v58 = g7;
                                                                if (v58 <= v1) {
                                                                    // 0x4884fb
                                                                    if (v58 != 4) {
                                                                        // 0x488500
                                                                        *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                        // branch -> 0x48870c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                v64 = v63;
                                                                v59 = v60;
                                                            }
                                                        } else {
                                                            // 0x4884d3
                                                            function_487e4c();
                                                            v61 = g10;
                                                            v62 = g5;
                                                            if (*(int32_t *)(v61 + 16) == 0) {
                                                                // 0x4884e0
                                                                *(int32_t *)(v62 + 40) = -1;
                                                                // branch -> 0x48870c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v64 = v61;
                                                                v59 = v62;
                                                            }
                                                        }
                                                        // 0x488513
                                                        v65 = *(int32_t *)(v59 + 4);
                                                        v70 = v65 - 666;
                                                        v57 = llvm_ctpop_i32(v70);
                                                        v66 = *(int32_t *)(v64 + 4);
                                                        v67 = v66;
                                                        if (v65 == 666) {
                                                            // 0x48851c
                                                            if (v66 != 0) {
                                                                // 0x488522
                                                                *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                // branch -> 0x48870c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v67 = 0;
                                                            }
                                                        }
                                                        // 0x488535
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v67 == 0;
                                                        g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                        if (v67 == 0) {
                                                            // 0x48853b
                                                            v68 = *(int32_t *)(v59 + 116);
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v68 == 0;
                                                            g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                            if (v68 == 0) {
                                                                // 0x488541
                                                                if (g7 != 0) {
                                                                    // 0x488549
                                                                    g2 = (v65 & 15) > 25;
                                                                    g1 = v65 < 666;
                                                                    g187 = v70 == 0;
                                                                    g9 = v57 % 2 == 1;
                                                                    if (v65 != 666) {
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x48845c
                                                    v41 = g5;
                                                    v38 = (int32_t *)(v41 + 4);
                                                    if (*v38 == 103) {
                                                        // 0x488462
                                                        v43 = *(int32_t *)(v41 + 28);
                                                        g6 = v43;
                                                        if (*(int32_t *)(v43 + 44) == 0) {
                                                            // 0x4884c6
                                                            *v38 = 113;
                                                            // branch -> 0x4884cd
                                                        } else {
                                                            // 0x48846b
                                                            v44 = *(int32_t *)(v41 + 20);
                                                            g3 = v44;
                                                            v42 = v41;
                                                            if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                // 0x488476
                                                                function_487e4c();
                                                                v42 = g5;
                                                                // branch -> 0x48847d
                                                            }
                                                            // 0x48847d
                                                            v39 = (int32_t *)(v42 + 20);
                                                            v182 = *v39 + 2;
                                                            v164 = v182;
                                                            if (v182 <= *(int32_t *)(v42 + 12)) {
                                                                // 0x488488
                                                                *v39 = *v39 + 1;
                                                                v45 = *(char *)(g10 + 48);
                                                                *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                v40 = (int32_t *)(g5 + 20);
                                                                *v40 = *v40 + 1;
                                                                v46 = *(int32_t *)(g5 + 8);
                                                                g3 = v46;
                                                                v47 = *(int32_t *)(g10 + 48);
                                                                *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                g6 = 0;
                                                                g8 = 0;
                                                                function_48d9ac();
                                                                *(int32_t *)(g10 + 48) = 0;
                                                                *(int32_t *)(g5 + 4) = 113;
                                                                // branch -> 0x4884cd
                                                            }
                                                        }
                                                        // 0x4884cd
                                                        v60 = g5;
                                                        if (*(int32_t *)(v60 + 20) == 0) {
                                                            // 0x4884f0
                                                            v63 = g10;
                                                            if (*(int32_t *)(v63 + 4) == 0) {
                                                                // 0x4884f6
                                                                v58 = g7;
                                                                if (v58 <= v1) {
                                                                    // 0x4884fb
                                                                    if (v58 != 4) {
                                                                        // 0x488500
                                                                        *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                        // branch -> 0x48870c
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    } else {
                                                                        v64 = v63;
                                                                        v59 = v60;
                                                                    }
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                v64 = v63;
                                                                v59 = v60;
                                                            }
                                                        } else {
                                                            // 0x4884d3
                                                            function_487e4c();
                                                            v61 = g10;
                                                            v62 = g5;
                                                            if (*(int32_t *)(v61 + 16) == 0) {
                                                                // 0x4884e0
                                                                *(int32_t *)(v62 + 40) = -1;
                                                                // branch -> 0x48870c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v64 = v61;
                                                                v59 = v62;
                                                            }
                                                        }
                                                        // 0x488513
                                                        v65 = *(int32_t *)(v59 + 4);
                                                        v70 = v65 - 666;
                                                        v57 = llvm_ctpop_i32(v70);
                                                        v66 = *(int32_t *)(v64 + 4);
                                                        v67 = v66;
                                                        if (v65 == 666) {
                                                            // 0x48851c
                                                            if (v66 != 0) {
                                                                // 0x488522
                                                                *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                                // branch -> 0x48870c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v67 = 0;
                                                            }
                                                        }
                                                        // 0x488535
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v67 == 0;
                                                        g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                        if (v67 == 0) {
                                                            // 0x48853b
                                                            v68 = *(int32_t *)(v59 + 116);
                                                            g2 = false;
                                                            g1 = false;
                                                            g187 = v68 == 0;
                                                            g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                            if (v68 == 0) {
                                                                // 0x488541
                                                                if (g7 != 0) {
                                                                    // 0x488549
                                                                    g2 = (v65 & 15) > 25;
                                                                    g1 = v65 < 666;
                                                                    g187 = v70 == 0;
                                                                    g9 = v57 % 2 == 1;
                                                                    if (v65 != 666) {
                                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                                    }
                                                                }
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x4884cd
                                                    v60 = g5;
                                                    if (*(int32_t *)(v60 + 20) == 0) {
                                                        // 0x4884f0
                                                        v63 = g10;
                                                        if (*(int32_t *)(v63 + 4) == 0) {
                                                            // 0x4884f6
                                                            v58 = g7;
                                                            if (v58 <= v1) {
                                                                // 0x4884fb
                                                                if (v58 != 4) {
                                                                    // 0x488500
                                                                    *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                    // branch -> 0x48870c
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                } else {
                                                                    v64 = v63;
                                                                    v59 = v60;
                                                                }
                                                            } else {
                                                                v64 = v63;
                                                                v59 = v60;
                                                            }
                                                        } else {
                                                            v64 = v63;
                                                            v59 = v60;
                                                        }
                                                    } else {
                                                        // 0x4884d3
                                                        function_487e4c();
                                                        v61 = g10;
                                                        v62 = g5;
                                                        if (*(int32_t *)(v61 + 16) == 0) {
                                                            // 0x4884e0
                                                            *(int32_t *)(v62 + 40) = -1;
                                                            // branch -> 0x48870c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v64 = v61;
                                                            v59 = v62;
                                                        }
                                                    }
                                                    // 0x488513
                                                    v65 = *(int32_t *)(v59 + 4);
                                                    v70 = v65 - 666;
                                                    v57 = llvm_ctpop_i32(v70);
                                                    v66 = *(int32_t *)(v64 + 4);
                                                    v67 = v66;
                                                    if (v65 == 666) {
                                                        // 0x48851c
                                                        if (v66 != 0) {
                                                            // 0x488522
                                                            *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                            // branch -> 0x48870c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v67 = 0;
                                                        }
                                                    }
                                                    // 0x488535
                                                    g2 = false;
                                                    g1 = false;
                                                    g187 = v67 == 0;
                                                    g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                    if (v67 == 0) {
                                                        // 0x48853b
                                                        v68 = *(int32_t *)(v59 + 116);
                                                        g2 = false;
                                                        g1 = false;
                                                        g187 = v68 == 0;
                                                        g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                        if (v68 == 0) {
                                                            // 0x488541
                                                            if (g7 != 0) {
                                                                // 0x488549
                                                                g2 = (v65 & 15) > 25;
                                                                g1 = v65 < 666;
                                                                g187 = v70 == 0;
                                                                g9 = v57 % 2 == 1;
                                                                if (v65 != 666) {
                                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                                }
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // 0x4880dd
                                            v176 = 4;
                                            // branch -> 0x4880e3
                                        }
                                        // 0x4880e3
                                        *(char *)(v164 + v167) = v176;
                                        v168 = (int32_t *)(g5 + 20);
                                        *v168 = *v168 + 1;
                                        v171 = g5;
                                        v177 = *(char *)(*(int32_t *)(v171 + 28) + 12);
                                        *(char *)(*v168 + *(int32_t *)(v171 + 8)) = v177;
                                        v172 = g5;
                                        v178 = *(int32_t *)(v172 + 28);
                                        v174 = v172;
                                        if (*(int32_t *)(v178 + 16) != 0) {
                                            // 0x488103
                                            v169 = (int32_t *)(v172 + 20);
                                            *v169 = *v169 + 1;
                                            v179 = *(char *)(v178 + 20);
                                            *(char *)(*v169 + *(int32_t *)(g5 + 8)) = v179;
                                            v170 = (int32_t *)(g5 + 20);
                                            *v170 = *v170 + 1;
                                            v173 = g5;
                                            v180 = *(int32_t *)(v173 + 8);
                                            v181 = *(int32_t *)(*(int32_t *)(v173 + 28) + 20);
                                            *(char *)(*v170 + v180) = (char)(v181 / 256);
                                            v174 = g5;
                                            // branch -> 0x488130
                                        }
                                        // 0x488130
                                        v175 = v174;
                                        if (*(int32_t *)(*(int32_t *)(v174 + 28) + 44) != 0) {
                                            // 0x488139
                                            g6 = *(int32_t *)(v174 + 20);
                                            g8 = *(int32_t *)(v174 + 8);
                                            g3 = *(int32_t *)(g10 + 48);
                                            function_48d9ac();
                                            *(int32_t *)(g10 + 48) = g3;
                                            v175 = g5;
                                            // branch -> 0x48814a
                                        }
                                        // 0x48814a
                                        *(int32_t *)(v175 + 32) = 0;
                                        *(int32_t *)(g5 + 4) = 69;
                                        // branch -> 0x488206
                                    }
                                    // 0x488206
                                    v16 = g5;
                                    v8 = (int32_t *)(v16 + 4);
                                    if (*v8 == 69) {
                                        // 0x488210
                                        if (*(int32_t *)(*(int32_t *)(v16 + 28) + 16) == 0) {
                                            // 0x4882c6
                                            *v8 = 73;
                                            // branch -> 0x4882cd
                                        } else {
                                            // 0x48821d
                                            g4 = *(int32_t *)(v16 + 20);
                                            v17 = v16;
                                            // branch -> 0x488279
                                            while (true) {
                                                // 0x488279
                                                v9 = (int32_t *)(v17 + 28);
                                                if ((*(int32_t *)(*v9 + 20) & 0xffff) > *(int32_t *)(v17 + 32)) {
                                                    goto lab_0x488222_6;
                                                }
                                                v18 = v17;
                                                // 0x48828a
                                                v19 = v18;
                                                if (*(int32_t *)(*(int32_t *)(v18 + 28) + 44) != 0) {
                                                    // 0x488293
                                                    v26 = g4;
                                                    v33 = *(int32_t *)(v18 + 20);
                                                    if (v26 < v33) {
                                                        // 0x488298
                                                        g6 = v33 - v26;
                                                        g8 = *(int32_t *)(v18 + 8) + v26;
                                                        g3 = *(int32_t *)(g10 + 48);
                                                        function_48d9ac();
                                                        *(int32_t *)(g10 + 48) = g3;
                                                        v19 = g5;
                                                        // branch -> 0x4882ad
                                                    } else {
                                                        v19 = v18;
                                                    }
                                                }
                                                // 0x4882ad
                                                v10 = (int32_t *)(v19 + 32);
                                                if (*(int32_t *)(*(int32_t *)(v19 + 28) + 20) == *v10) {
                                                    // 0x4882b8
                                                    *v10 = 0;
                                                    *(int32_t *)(g5 + 4) = 73;
                                                    // branch -> 0x4882cd
                                                }
                                            }
                                        }
                                        // 0x4882cd
                                        v20 = g5;
                                        if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                            // 0x4882f8
                                            v27 = g4;
                                            v34 = *(int32_t *)(v20 + 20);
                                            if (v27 < v34) {
                                                // 0x4882fd
                                                g6 = v34 - v27;
                                                g8 = *(int32_t *)(v20 + 8) + v27;
                                                g3 = *(int32_t *)(g10 + 48);
                                                function_48d9ac();
                                                *(int32_t *)(g10 + 48) = g3;
                                                // branch -> 0x488312
                                            }
                                        }
                                        // 0x488312
                                        g3 = g10;
                                        function_487e4c();
                                        v21 = g5;
                                        v28 = *(int32_t *)(v21 + 20);
                                        v15 = v28;
                                        v23 = v21;
                                        v37 = 1;
                                        if (v28 != *(int32_t *)(v21 + 12)) {
                                            // 0x48832d
                                            v11 = (int32_t *)(v21 + 32);
                                            *v11 = *v11 + 1;
                                            v22 = g5;
                                            v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                            v30 = *(char *)(*v11 + v29);
                                            v35 = v30;
                                            v12 = (int32_t *)(v22 + 20);
                                            *v12 = *v12 + 1;
                                            v31 = *(int32_t *)(g5 + 8);
                                            g6 = v31;
                                            g3 = v35 & -256 | v35;
                                            *(char *)(*v12 + v31) = v30;
                                            unknown_4882e7();
                                            v23 = g5;
                                            v37 = v30;
                                            // branch -> 0x488358
                                        }
                                        // 0x488358
                                        if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                            // 0x488361
                                            v32 = v15;
                                            v36 = *(int32_t *)(v23 + 20);
                                            if (v32 < v36) {
                                                // 0x488366
                                                g6 = v36 - v32;
                                                g8 = *(int32_t *)(v23 + 8) + v32;
                                                function_48d9ac();
                                                // branch -> 0x48837b
                                            }
                                        }
                                        // 0x48837b
                                        if (v37 == 0) {
                                            // 0x488382
                                            g6 = 0;
                                            *(int32_t *)(g5 + 32) = 0;
                                            *(int32_t *)(g5 + 4) = 91;
                                            // branch -> 0x488397
                                        }
                                        // 0x488397
                                        v24 = g5;
                                        v13 = (int32_t *)(v24 + 4);
                                        if (*v13 == 91) {
                                            // 0x4883a1
                                            if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                                // 0x488455
                                                *v13 = 103;
                                                // branch -> 0x48845c
                                            } else {
                                                // 0x4883ae
                                                v15 = *(int32_t *)(v24 + 20);
                                                v25 = v24;
                                                // branch -> 0x4883b1
                                                while (true) {
                                                    // 0x4883b1
                                                    v14 = (int32_t *)(v25 + 20);
                                                    if (*v14 == *(int32_t *)(v25 + 12)) {
                                                        goto lab_0x4883b9_14;
                                                    }
                                                    goto lab_0x4883f7_14;
                                                }
                                            }
                                            // 0x48845c
                                            v41 = g5;
                                            v38 = (int32_t *)(v41 + 4);
                                            if (*v38 == 103) {
                                                // 0x488462
                                                v43 = *(int32_t *)(v41 + 28);
                                                g6 = v43;
                                                if (*(int32_t *)(v43 + 44) == 0) {
                                                    // 0x4884c6
                                                    *v38 = 113;
                                                    // branch -> 0x4884cd
                                                } else {
                                                    // 0x48846b
                                                    v44 = *(int32_t *)(v41 + 20);
                                                    g3 = v44;
                                                    v42 = v41;
                                                    if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                        // 0x488476
                                                        function_487e4c();
                                                        v42 = g5;
                                                        // branch -> 0x48847d
                                                    }
                                                    // 0x48847d
                                                    v39 = (int32_t *)(v42 + 20);
                                                    if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                        // 0x488488
                                                        *v39 = *v39 + 1;
                                                        v45 = *(char *)(g10 + 48);
                                                        *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                        v40 = (int32_t *)(g5 + 20);
                                                        *v40 = *v40 + 1;
                                                        v46 = *(int32_t *)(g5 + 8);
                                                        g3 = v46;
                                                        v47 = *(int32_t *)(g10 + 48);
                                                        *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                        g6 = 0;
                                                        g8 = 0;
                                                        function_48d9ac();
                                                        *(int32_t *)(g10 + 48) = 0;
                                                        *(int32_t *)(g5 + 4) = 113;
                                                        // branch -> 0x4884cd
                                                    }
                                                }
                                                // 0x4884cd
                                                v60 = g5;
                                                if (*(int32_t *)(v60 + 20) == 0) {
                                                    // 0x4884f0
                                                    v63 = g10;
                                                    if (*(int32_t *)(v63 + 4) == 0) {
                                                        // 0x4884f6
                                                        v58 = g7;
                                                        if (v58 <= v1) {
                                                            // 0x4884fb
                                                            if (v58 != 4) {
                                                                // 0x488500
                                                                *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                                // branch -> 0x48870c
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            } else {
                                                                v64 = v63;
                                                                v59 = v60;
                                                            }
                                                        } else {
                                                            v64 = v63;
                                                            v59 = v60;
                                                        }
                                                    } else {
                                                        v64 = v63;
                                                        v59 = v60;
                                                    }
                                                } else {
                                                    // 0x4884d3
                                                    function_487e4c();
                                                    v61 = g10;
                                                    v62 = g5;
                                                    if (*(int32_t *)(v61 + 16) == 0) {
                                                        // 0x4884e0
                                                        *(int32_t *)(v62 + 40) = -1;
                                                        // branch -> 0x48870c
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    } else {
                                                        v64 = v61;
                                                        v59 = v62;
                                                    }
                                                }
                                                // 0x488513
                                                v65 = *(int32_t *)(v59 + 4);
                                                v70 = v65 - 666;
                                                v57 = llvm_ctpop_i32(v70);
                                                v66 = *(int32_t *)(v64 + 4);
                                                v67 = v66;
                                                if (v65 == 666) {
                                                    // 0x48851c
                                                    if (v66 != 0) {
                                                        // 0x488522
                                                        *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                        // branch -> 0x48870c
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    } else {
                                                        v67 = 0;
                                                    }
                                                }
                                                // 0x488535
                                                g2 = false;
                                                g1 = false;
                                                g187 = v67 == 0;
                                                g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                                if (v67 == 0) {
                                                    // 0x48853b
                                                    v68 = *(int32_t *)(v59 + 116);
                                                    g2 = false;
                                                    g1 = false;
                                                    g187 = v68 == 0;
                                                    g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                    if (v68 == 0) {
                                                        // 0x488541
                                                        if (g7 != 0) {
                                                            // 0x488549
                                                            g2 = (v65 & 15) > 25;
                                                            g1 = v65 < 666;
                                                            g187 = v70 == 0;
                                                            g9 = v57 % 2 == 1;
                                                            if (v65 != 666) {
                                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                            // 0x4884cd
                                            v60 = g5;
                                            if (*(int32_t *)(v60 + 20) == 0) {
                                                // 0x4884f0
                                                v63 = g10;
                                                if (*(int32_t *)(v63 + 4) == 0) {
                                                    // 0x4884f6
                                                    v58 = g7;
                                                    if (v58 <= v1) {
                                                        // 0x4884fb
                                                        if (v58 != 4) {
                                                            // 0x488500
                                                            *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                            // branch -> 0x48870c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v64 = v63;
                                                            v59 = v60;
                                                        }
                                                    } else {
                                                        v64 = v63;
                                                        v59 = v60;
                                                    }
                                                } else {
                                                    v64 = v63;
                                                    v59 = v60;
                                                }
                                            } else {
                                                // 0x4884d3
                                                function_487e4c();
                                                v61 = g10;
                                                v62 = g5;
                                                if (*(int32_t *)(v61 + 16) == 0) {
                                                    // 0x4884e0
                                                    *(int32_t *)(v62 + 40) = -1;
                                                    // branch -> 0x48870c
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                } else {
                                                    v64 = v61;
                                                    v59 = v62;
                                                }
                                            }
                                            // 0x488513
                                            v65 = *(int32_t *)(v59 + 4);
                                            v70 = v65 - 666;
                                            v57 = llvm_ctpop_i32(v70);
                                            v66 = *(int32_t *)(v64 + 4);
                                            v67 = v66;
                                            if (v65 == 666) {
                                                // 0x48851c
                                                if (v66 != 0) {
                                                    // 0x488522
                                                    *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                    // branch -> 0x48870c
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                } else {
                                                    v67 = 0;
                                                }
                                            }
                                            // 0x488535
                                            g2 = false;
                                            g1 = false;
                                            g187 = v67 == 0;
                                            g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                            if (v67 == 0) {
                                                // 0x48853b
                                                v68 = *(int32_t *)(v59 + 116);
                                                g2 = false;
                                                g1 = false;
                                                g187 = v68 == 0;
                                                g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                if (v68 == 0) {
                                                    // 0x488541
                                                    if (g7 != 0) {
                                                        // 0x488549
                                                        g2 = (v65 & 15) > 25;
                                                        g1 = v65 < 666;
                                                        g187 = v70 == 0;
                                                        g9 = v57 % 2 == 1;
                                                        if (v65 != 666) {
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                        // 0x48845c
                                        v41 = g5;
                                        v38 = (int32_t *)(v41 + 4);
                                        if (*v38 == 103) {
                                            // 0x488462
                                            v43 = *(int32_t *)(v41 + 28);
                                            g6 = v43;
                                            if (*(int32_t *)(v43 + 44) == 0) {
                                                // 0x4884c6
                                                *v38 = 113;
                                                // branch -> 0x4884cd
                                            } else {
                                                // 0x48846b
                                                v44 = *(int32_t *)(v41 + 20);
                                                g3 = v44;
                                                v42 = v41;
                                                if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                    // 0x488476
                                                    function_487e4c();
                                                    v42 = g5;
                                                    // branch -> 0x48847d
                                                }
                                                // 0x48847d
                                                v39 = (int32_t *)(v42 + 20);
                                                if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                    // 0x488488
                                                    *v39 = *v39 + 1;
                                                    v45 = *(char *)(g10 + 48);
                                                    *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                    v40 = (int32_t *)(g5 + 20);
                                                    *v40 = *v40 + 1;
                                                    v46 = *(int32_t *)(g5 + 8);
                                                    g3 = v46;
                                                    v47 = *(int32_t *)(g10 + 48);
                                                    *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                    g6 = 0;
                                                    g8 = 0;
                                                    function_48d9ac();
                                                    *(int32_t *)(g10 + 48) = 0;
                                                    *(int32_t *)(g5 + 4) = 113;
                                                    // branch -> 0x4884cd
                                                }
                                            }
                                            // 0x4884cd
                                            v60 = g5;
                                            if (*(int32_t *)(v60 + 20) == 0) {
                                                // 0x4884f0
                                                v63 = g10;
                                                if (*(int32_t *)(v63 + 4) == 0) {
                                                    // 0x4884f6
                                                    v58 = g7;
                                                    if (v58 <= v1) {
                                                        // 0x4884fb
                                                        if (v58 != 4) {
                                                            // 0x488500
                                                            *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                            // branch -> 0x48870c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v64 = v63;
                                                            v59 = v60;
                                                        }
                                                    } else {
                                                        v64 = v63;
                                                        v59 = v60;
                                                    }
                                                } else {
                                                    v64 = v63;
                                                    v59 = v60;
                                                }
                                            } else {
                                                // 0x4884d3
                                                function_487e4c();
                                                v61 = g10;
                                                v62 = g5;
                                                if (*(int32_t *)(v61 + 16) == 0) {
                                                    // 0x4884e0
                                                    *(int32_t *)(v62 + 40) = -1;
                                                    // branch -> 0x48870c
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                } else {
                                                    v64 = v61;
                                                    v59 = v62;
                                                }
                                            }
                                            // 0x488513
                                            v65 = *(int32_t *)(v59 + 4);
                                            v70 = v65 - 666;
                                            v57 = llvm_ctpop_i32(v70);
                                            v66 = *(int32_t *)(v64 + 4);
                                            v67 = v66;
                                            if (v65 == 666) {
                                                // 0x48851c
                                                if (v66 != 0) {
                                                    // 0x488522
                                                    *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                    // branch -> 0x48870c
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                } else {
                                                    v67 = 0;
                                                }
                                            }
                                            // 0x488535
                                            g2 = false;
                                            g1 = false;
                                            g187 = v67 == 0;
                                            g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                            if (v67 == 0) {
                                                // 0x48853b
                                                v68 = *(int32_t *)(v59 + 116);
                                                g2 = false;
                                                g1 = false;
                                                g187 = v68 == 0;
                                                g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                if (v68 == 0) {
                                                    // 0x488541
                                                    if (g7 != 0) {
                                                        // 0x488549
                                                        g2 = (v65 & 15) > 25;
                                                        g1 = v65 < 666;
                                                        g187 = v70 == 0;
                                                        g9 = v57 % 2 == 1;
                                                        if (v65 != 666) {
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                        // 0x4884cd
                                        v60 = g5;
                                        if (*(int32_t *)(v60 + 20) == 0) {
                                            // 0x4884f0
                                            v63 = g10;
                                            if (*(int32_t *)(v63 + 4) == 0) {
                                                // 0x4884f6
                                                v58 = g7;
                                                if (v58 <= v1) {
                                                    // 0x4884fb
                                                    if (v58 != 4) {
                                                        // 0x488500
                                                        *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                        // branch -> 0x48870c
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    } else {
                                                        v64 = v63;
                                                        v59 = v60;
                                                    }
                                                } else {
                                                    v64 = v63;
                                                    v59 = v60;
                                                }
                                            } else {
                                                v64 = v63;
                                                v59 = v60;
                                            }
                                        } else {
                                            // 0x4884d3
                                            function_487e4c();
                                            v61 = g10;
                                            v62 = g5;
                                            if (*(int32_t *)(v61 + 16) == 0) {
                                                // 0x4884e0
                                                *(int32_t *)(v62 + 40) = -1;
                                                // branch -> 0x48870c
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            } else {
                                                v64 = v61;
                                                v59 = v62;
                                            }
                                        }
                                        // 0x488513
                                        v65 = *(int32_t *)(v59 + 4);
                                        v70 = v65 - 666;
                                        v57 = llvm_ctpop_i32(v70);
                                        v66 = *(int32_t *)(v64 + 4);
                                        v67 = v66;
                                        if (v65 == 666) {
                                            // 0x48851c
                                            if (v66 != 0) {
                                                // 0x488522
                                                *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                // branch -> 0x48870c
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            } else {
                                                v67 = 0;
                                            }
                                        }
                                        // 0x488535
                                        g2 = false;
                                        g1 = false;
                                        g187 = v67 == 0;
                                        g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                        if (v67 == 0) {
                                            // 0x48853b
                                            v68 = *(int32_t *)(v59 + 116);
                                            g2 = false;
                                            g1 = false;
                                            g187 = v68 == 0;
                                            g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                            if (v68 == 0) {
                                                // 0x488541
                                                if (g7 != 0) {
                                                    // 0x488549
                                                    g2 = (v65 & 15) > 25;
                                                    g1 = v65 < 666;
                                                    g187 = v70 == 0;
                                                    g9 = v57 % 2 == 1;
                                                    if (v65 != 666) {
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // 0x4882cd
                                    v20 = g5;
                                    if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                        // 0x4882f8
                                        v27 = g4;
                                        v34 = *(int32_t *)(v20 + 20);
                                        if (v27 < v34) {
                                            // 0x4882fd
                                            g6 = v34 - v27;
                                            g8 = *(int32_t *)(v20 + 8) + v27;
                                            g3 = *(int32_t *)(g10 + 48);
                                            function_48d9ac();
                                            *(int32_t *)(g10 + 48) = g3;
                                            // branch -> 0x488312
                                        }
                                    }
                                    // 0x488312
                                    g3 = g10;
                                    function_487e4c();
                                    v21 = g5;
                                    v28 = *(int32_t *)(v21 + 20);
                                    v15 = v28;
                                    v23 = v21;
                                    v37 = 1;
                                    if (v28 != *(int32_t *)(v21 + 12)) {
                                        // 0x48832d
                                        v11 = (int32_t *)(v21 + 32);
                                        *v11 = *v11 + 1;
                                        v22 = g5;
                                        v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                        v30 = *(char *)(*v11 + v29);
                                        v35 = v30;
                                        v12 = (int32_t *)(v22 + 20);
                                        *v12 = *v12 + 1;
                                        v31 = *(int32_t *)(g5 + 8);
                                        g6 = v31;
                                        g3 = v35 & -256 | v35;
                                        *(char *)(*v12 + v31) = v30;
                                        unknown_4882e7();
                                        v23 = g5;
                                        v37 = v30;
                                        // branch -> 0x488358
                                    }
                                    // 0x488358
                                    if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                        // 0x488361
                                        v32 = v15;
                                        v36 = *(int32_t *)(v23 + 20);
                                        if (v32 < v36) {
                                            // 0x488366
                                            g6 = v36 - v32;
                                            g8 = *(int32_t *)(v23 + 8) + v32;
                                            function_48d9ac();
                                            // branch -> 0x48837b
                                        }
                                    }
                                    // 0x48837b
                                    if (v37 == 0) {
                                        // 0x488382
                                        g6 = 0;
                                        *(int32_t *)(g5 + 32) = 0;
                                        *(int32_t *)(g5 + 4) = 91;
                                        // branch -> 0x488397
                                    }
                                    // 0x488397
                                    v24 = g5;
                                    v13 = (int32_t *)(v24 + 4);
                                    if (*v13 == 91) {
                                        // 0x4883a1
                                        if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                            // 0x488455
                                            *v13 = 103;
                                            // branch -> 0x48845c
                                        } else {
                                            // 0x4883ae
                                            v15 = *(int32_t *)(v24 + 20);
                                            v25 = v24;
                                            // branch -> 0x4883b1
                                            while (true) {
                                                // 0x4883b1
                                                v14 = (int32_t *)(v25 + 20);
                                                if (*v14 == *(int32_t *)(v25 + 12)) {
                                                    goto lab_0x4883b9_14;
                                                }
                                                goto lab_0x4883f7_14;
                                            }
                                        }
                                        // 0x48845c
                                        v41 = g5;
                                        v38 = (int32_t *)(v41 + 4);
                                        if (*v38 == 103) {
                                            // 0x488462
                                            v43 = *(int32_t *)(v41 + 28);
                                            g6 = v43;
                                            if (*(int32_t *)(v43 + 44) == 0) {
                                                // 0x4884c6
                                                *v38 = 113;
                                                // branch -> 0x4884cd
                                            } else {
                                                // 0x48846b
                                                v44 = *(int32_t *)(v41 + 20);
                                                g3 = v44;
                                                v42 = v41;
                                                if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                    // 0x488476
                                                    function_487e4c();
                                                    v42 = g5;
                                                    // branch -> 0x48847d
                                                }
                                                // 0x48847d
                                                v39 = (int32_t *)(v42 + 20);
                                                if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                    // 0x488488
                                                    *v39 = *v39 + 1;
                                                    v45 = *(char *)(g10 + 48);
                                                    *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                    v40 = (int32_t *)(g5 + 20);
                                                    *v40 = *v40 + 1;
                                                    v46 = *(int32_t *)(g5 + 8);
                                                    g3 = v46;
                                                    v47 = *(int32_t *)(g10 + 48);
                                                    *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                    g6 = 0;
                                                    g8 = 0;
                                                    function_48d9ac();
                                                    *(int32_t *)(g10 + 48) = 0;
                                                    *(int32_t *)(g5 + 4) = 113;
                                                    // branch -> 0x4884cd
                                                }
                                            }
                                            // 0x4884cd
                                            v60 = g5;
                                            if (*(int32_t *)(v60 + 20) == 0) {
                                                // 0x4884f0
                                                v63 = g10;
                                                if (*(int32_t *)(v63 + 4) == 0) {
                                                    // 0x4884f6
                                                    v58 = g7;
                                                    if (v58 <= v1) {
                                                        // 0x4884fb
                                                        if (v58 != 4) {
                                                            // 0x488500
                                                            *(int32_t *)(v63 + 24) = (int32_t)g40[0];
                                                            // branch -> 0x48870c
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        } else {
                                                            v64 = v63;
                                                            v59 = v60;
                                                        }
                                                    } else {
                                                        v64 = v63;
                                                        v59 = v60;
                                                    }
                                                } else {
                                                    v64 = v63;
                                                    v59 = v60;
                                                }
                                            } else {
                                                // 0x4884d3
                                                function_487e4c();
                                                v61 = g10;
                                                v62 = g5;
                                                if (*(int32_t *)(v61 + 16) == 0) {
                                                    // 0x4884e0
                                                    *(int32_t *)(v62 + 40) = -1;
                                                    // branch -> 0x48870c
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                } else {
                                                    v64 = v61;
                                                    v59 = v62;
                                                }
                                            }
                                            // 0x488513
                                            v65 = *(int32_t *)(v59 + 4);
                                            v70 = v65 - 666;
                                            v57 = llvm_ctpop_i32(v70);
                                            v66 = *(int32_t *)(v64 + 4);
                                            v67 = v66;
                                            if (v65 == 666) {
                                                // 0x48851c
                                                if (v66 != 0) {
                                                    // 0x488522
                                                    *(int32_t *)(v64 + 24) = (int32_t)g40[0];
                                                    // branch -> 0x48870c
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                } else {
                                                    v67 = 0;
                                                }
                                            }
                                            // 0x488535
                                            g2 = false;
                                            g1 = false;
                                            g187 = v67 == 0;
                                            g9 = llvm_ctpop_i32(v67) % 2 == 1;
                                            if (v67 == 0) {
                                                // 0x48853b
                                                v68 = *(int32_t *)(v59 + 116);
                                                g2 = false;
                                                g1 = false;
                                                g187 = v68 == 0;
                                                g9 = llvm_ctpop_i32(v68) % 2 == 1;
                                                if (v68 == 0) {
                                                    // 0x488541
                                                    if (g7 != 0) {
                                                        // 0x488549
                                                        g2 = (v65 & 15) > 25;
                                                        g1 = v65 < 666;
                                                        g187 = v70 == 0;
                                                        g9 = v57 % 2 == 1;
                                                        if (v65 != 666) {
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // 0x48845c
                                    v41 = g5;
                                    v38 = (int32_t *)(v41 + 4);
                                    if (*v38 == 103) {
                                        // 0x488462
                                        v43 = *(int32_t *)(v41 + 28);
                                        g6 = v43;
                                        if (*(int32_t *)(v43 + 44) == 0) {
                                            // 0x4884c6
                                            *v38 = 113;
                                            // branch -> 0x4884cd
                                        } else {
                                            // 0x48846b
                                            v44 = *(int32_t *)(v41 + 20);
                                            g3 = v44;
                                            v42 = v41;
                                            if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                // 0x488476
                                                function_487e4c();
                                                v42 = g5;
                                                // branch -> 0x48847d
                                            }
                                            // 0x48847d
                                            v39 = (int32_t *)(v42 + 20);
                                            if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                // 0x488488
                                                *v39 = *v39 + 1;
                                                v45 = *(char *)(g10 + 48);
                                                *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                v40 = (int32_t *)(g5 + 20);
                                                *v40 = *v40 + 1;
                                                v46 = *(int32_t *)(g5 + 8);
                                                g3 = v46;
                                                v47 = *(int32_t *)(g10 + 48);
                                                *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                g6 = 0;
                                                g8 = 0;
                                                function_48d9ac();
                                                *(int32_t *)(g10 + 48) = 0;
                                                *(int32_t *)(g5 + 4) = 113;
                                                // branch -> 0x4884cd
                                            }
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                } else {
                                    int32_t v183 = 0x1000 * *(int32_t *)(v6 + 48) - 0x8000 | 2048; // 0x488167
                                    int32_t v184; // 0x4881c3
                                    int32_t v185; // 0x4881a6
                                    int32_t v186; // 0x4881d5
                                    if (*(int32_t *)(v6 + 136) <= 1) {
                                        int32_t v187 = *(int32_t *)(v6 + 132); // 0x488173
                                        if (v187 > 1) {
                                            // 0x488180
                                            int32_t v188; // 0x4881a3
                                            if (v187 > 5) {
                                                // 0x488192
                                                if (v187 == 6) {
                                                    // 0x488197
                                                    v188 = 128;
                                                    // branch -> 0x4881a3
                                                } else {
                                                    // 0x48819e
                                                    v188 = 192;
                                                    // branch -> 0x4881a3
                                                }
                                                // 0x4881a3
                                                v185 = v188 | v183;
                                                v184 = v185;
                                                if (*(int32_t *)(v6 + 108) != 0) {
                                                    // 0x4881ae
                                                    v184 = v185 | 32;
                                                    // branch -> 0x4881b1
                                                }
                                                // 0x4881b1
                                                g4 = 31;
                                                g3 = v6;
                                                *v7 = 113;
                                                g8 = (v184 % 31 ^ 31) + v184;
                                                function_487e24();
                                                v186 = g5;
                                                if (*(int32_t *)(v186 + 108) != 0) {
                                                    // 0x4881db
                                                    g3 = v186;
                                                    g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                    function_487e24();
                                                    g3 = g5;
                                                    g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                    function_487e24();
                                                    // branch -> 0x4881f8
                                                }
                                                // 0x4881f8
                                                *(int32_t *)(g10 + 48) = unknown_487570();
                                                // branch -> 0x488206
                                                // 0x488206
                                                v16 = g5;
                                                v8 = (int32_t *)(v16 + 4);
                                                if (*v8 == 69) {
                                                    // 0x488210
                                                    if (*(int32_t *)(*(int32_t *)(v16 + 28) + 16) == 0) {
                                                        // 0x4882c6
                                                        *v8 = 73;
                                                        // branch -> 0x4882cd
                                                    } else {
                                                        // 0x48821d
                                                        g4 = *(int32_t *)(v16 + 20);
                                                        v17 = v16;
                                                        // branch -> 0x488279
                                                        while (true) {
                                                            // 0x488279
                                                            v9 = (int32_t *)(v17 + 28);
                                                            if ((*(int32_t *)(*v9 + 20) & 0xffff) > *(int32_t *)(v17 + 32)) {
                                                                goto lab_0x488222_6;
                                                            }
                                                            v18 = v17;
                                                            // 0x48828a
                                                            v19 = v18;
                                                            if (*(int32_t *)(*(int32_t *)(v18 + 28) + 44) != 0) {
                                                                // 0x488293
                                                                v26 = g4;
                                                                v33 = *(int32_t *)(v18 + 20);
                                                                if (v26 < v33) {
                                                                    // 0x488298
                                                                    g6 = v33 - v26;
                                                                    g8 = *(int32_t *)(v18 + 8) + v26;
                                                                    g3 = *(int32_t *)(g10 + 48);
                                                                    function_48d9ac();
                                                                    *(int32_t *)(g10 + 48) = g3;
                                                                    v19 = g5;
                                                                    // branch -> 0x4882ad
                                                                } else {
                                                                    v19 = v18;
                                                                }
                                                            }
                                                            // 0x4882ad
                                                            v10 = (int32_t *)(v19 + 32);
                                                            if (*(int32_t *)(*(int32_t *)(v19 + 28) + 20) == *v10) {
                                                                // 0x4882b8
                                                                *v10 = 0;
                                                                *(int32_t *)(g5 + 4) = 73;
                                                                // branch -> 0x4882cd
                                                            }
                                                        }
                                                    }
                                                    // 0x4882cd
                                                    v20 = g5;
                                                    if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                                        // 0x4882f8
                                                        v27 = g4;
                                                        v34 = *(int32_t *)(v20 + 20);
                                                        if (v27 < v34) {
                                                            // 0x4882fd
                                                            g6 = v34 - v27;
                                                            g8 = *(int32_t *)(v20 + 8) + v27;
                                                            g3 = *(int32_t *)(g10 + 48);
                                                            function_48d9ac();
                                                            *(int32_t *)(g10 + 48) = g3;
                                                            // branch -> 0x488312
                                                        }
                                                    }
                                                    // 0x488312
                                                    g3 = g10;
                                                    function_487e4c();
                                                    v21 = g5;
                                                    v28 = *(int32_t *)(v21 + 20);
                                                    v15 = v28;
                                                    v23 = v21;
                                                    v37 = 1;
                                                    if (v28 != *(int32_t *)(v21 + 12)) {
                                                        // 0x48832d
                                                        v11 = (int32_t *)(v21 + 32);
                                                        *v11 = *v11 + 1;
                                                        v22 = g5;
                                                        v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                                        v30 = *(char *)(*v11 + v29);
                                                        v35 = v30;
                                                        v12 = (int32_t *)(v22 + 20);
                                                        *v12 = *v12 + 1;
                                                        v31 = *(int32_t *)(g5 + 8);
                                                        g6 = v31;
                                                        g3 = v35 & -256 | v35;
                                                        *(char *)(*v12 + v31) = v30;
                                                        unknown_4882e7();
                                                        v23 = g5;
                                                        v37 = v30;
                                                        // branch -> 0x488358
                                                    }
                                                    // 0x488358
                                                    if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                                        // 0x488361
                                                        v32 = v15;
                                                        v36 = *(int32_t *)(v23 + 20);
                                                        if (v32 < v36) {
                                                            // 0x488366
                                                            g6 = v36 - v32;
                                                            g8 = *(int32_t *)(v23 + 8) + v32;
                                                            function_48d9ac();
                                                            // branch -> 0x48837b
                                                        }
                                                    }
                                                    // 0x48837b
                                                    if (v37 == 0) {
                                                        // 0x488382
                                                        g6 = 0;
                                                        *(int32_t *)(g5 + 32) = 0;
                                                        *(int32_t *)(g5 + 4) = 91;
                                                        // branch -> 0x488397
                                                    }
                                                    // 0x488397
                                                    v24 = g5;
                                                    v13 = (int32_t *)(v24 + 4);
                                                    if (*v13 == 91) {
                                                        // 0x4883a1
                                                        if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                                            // 0x488455
                                                            *v13 = 103;
                                                            // branch -> 0x48845c
                                                        } else {
                                                            // 0x4883ae
                                                            v15 = *(int32_t *)(v24 + 20);
                                                            v25 = v24;
                                                            // branch -> 0x4883b1
                                                            while (true) {
                                                                // 0x4883b1
                                                                v14 = (int32_t *)(v25 + 20);
                                                                if (*v14 == *(int32_t *)(v25 + 12)) {
                                                                    goto lab_0x4883b9_14;
                                                                }
                                                                goto lab_0x4883f7_14;
                                                            }
                                                        }
                                                        // 0x48845c
                                                        v41 = g5;
                                                        v38 = (int32_t *)(v41 + 4);
                                                        if (*v38 == 103) {
                                                            // 0x488462
                                                            v43 = *(int32_t *)(v41 + 28);
                                                            g6 = v43;
                                                            if (*(int32_t *)(v43 + 44) == 0) {
                                                                // 0x4884c6
                                                                *v38 = 113;
                                                                // branch -> 0x4884cd
                                                            } else {
                                                                // 0x48846b
                                                                v44 = *(int32_t *)(v41 + 20);
                                                                g3 = v44;
                                                                v42 = v41;
                                                                if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                    // 0x488476
                                                                    function_487e4c();
                                                                    v42 = g5;
                                                                    // branch -> 0x48847d
                                                                }
                                                                // 0x48847d
                                                                v39 = (int32_t *)(v42 + 20);
                                                                if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                                    // 0x488488
                                                                    *v39 = *v39 + 1;
                                                                    v45 = *(char *)(g10 + 48);
                                                                    *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                    v40 = (int32_t *)(g5 + 20);
                                                                    *v40 = *v40 + 1;
                                                                    v46 = *(int32_t *)(g5 + 8);
                                                                    g3 = v46;
                                                                    v47 = *(int32_t *)(g10 + 48);
                                                                    *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                    g6 = 0;
                                                                    g8 = 0;
                                                                    function_48d9ac();
                                                                    *(int32_t *)(g10 + 48) = 0;
                                                                    *(int32_t *)(g5 + 4) = 113;
                                                                    // branch -> 0x4884cd
                                                                }
                                                            }
                                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // 0x48845c
                                                    v41 = g5;
                                                    v38 = (int32_t *)(v41 + 4);
                                                    if (*v38 == 103) {
                                                        // 0x488462
                                                        v43 = *(int32_t *)(v41 + 28);
                                                        g6 = v43;
                                                        if (*(int32_t *)(v43 + 44) == 0) {
                                                            // 0x4884c6
                                                            *v38 = 113;
                                                            // branch -> 0x4884cd
                                                        } else {
                                                            // 0x48846b
                                                            v44 = *(int32_t *)(v41 + 20);
                                                            g3 = v44;
                                                            v42 = v41;
                                                            if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                // 0x488476
                                                                function_487e4c();
                                                                v42 = g5;
                                                                // branch -> 0x48847d
                                                            }
                                                            // 0x48847d
                                                            v39 = (int32_t *)(v42 + 20);
                                                            if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                                // 0x488488
                                                                *v39 = *v39 + 1;
                                                                v45 = *(char *)(g10 + 48);
                                                                *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                v40 = (int32_t *)(g5 + 20);
                                                                *v40 = *v40 + 1;
                                                                v46 = *(int32_t *)(g5 + 8);
                                                                g3 = v46;
                                                                v47 = *(int32_t *)(g10 + 48);
                                                                *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                g6 = 0;
                                                                g8 = 0;
                                                                function_48d9ac();
                                                                *(int32_t *)(g10 + 48) = 0;
                                                                *(int32_t *)(g5 + 4) = 113;
                                                                // branch -> 0x4884cd
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // 0x4882cd
                                                v20 = g5;
                                                if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                                    // 0x4882f8
                                                    v27 = g4;
                                                    v34 = *(int32_t *)(v20 + 20);
                                                    if (v27 < v34) {
                                                        // 0x4882fd
                                                        g6 = v34 - v27;
                                                        g8 = *(int32_t *)(v20 + 8) + v27;
                                                        g3 = *(int32_t *)(g10 + 48);
                                                        function_48d9ac();
                                                        *(int32_t *)(g10 + 48) = g3;
                                                        // branch -> 0x488312
                                                    }
                                                }
                                                // 0x488312
                                                g3 = g10;
                                                function_487e4c();
                                                v21 = g5;
                                                v28 = *(int32_t *)(v21 + 20);
                                                v15 = v28;
                                                v23 = v21;
                                                v37 = 1;
                                                if (v28 != *(int32_t *)(v21 + 12)) {
                                                    // 0x48832d
                                                    v11 = (int32_t *)(v21 + 32);
                                                    *v11 = *v11 + 1;
                                                    v22 = g5;
                                                    v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                                    v30 = *(char *)(*v11 + v29);
                                                    v35 = v30;
                                                    v12 = (int32_t *)(v22 + 20);
                                                    *v12 = *v12 + 1;
                                                    v31 = *(int32_t *)(g5 + 8);
                                                    g6 = v31;
                                                    g3 = v35 & -256 | v35;
                                                    *(char *)(*v12 + v31) = v30;
                                                    unknown_4882e7();
                                                    v23 = g5;
                                                    v37 = v30;
                                                    // branch -> 0x488358
                                                }
                                                // 0x488358
                                                if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                                    // 0x488361
                                                    v32 = v15;
                                                    v36 = *(int32_t *)(v23 + 20);
                                                    if (v32 < v36) {
                                                        // 0x488366
                                                        g6 = v36 - v32;
                                                        g8 = *(int32_t *)(v23 + 8) + v32;
                                                        function_48d9ac();
                                                        // branch -> 0x48837b
                                                    }
                                                }
                                                // 0x48837b
                                                if (v37 == 0) {
                                                    // 0x488382
                                                    g6 = 0;
                                                    *(int32_t *)(g5 + 32) = 0;
                                                    *(int32_t *)(g5 + 4) = 91;
                                                    // branch -> 0x488397
                                                }
                                                // 0x488397
                                                v24 = g5;
                                                v13 = (int32_t *)(v24 + 4);
                                                if (*v13 == 91) {
                                                    // 0x4883a1
                                                    if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                                        // 0x488455
                                                        *v13 = 103;
                                                        // branch -> 0x48845c
                                                    } else {
                                                        // 0x4883ae
                                                        v15 = *(int32_t *)(v24 + 20);
                                                        v25 = v24;
                                                        // branch -> 0x4883b1
                                                        while (true) {
                                                            // 0x4883b1
                                                            v14 = (int32_t *)(v25 + 20);
                                                            if (*v14 == *(int32_t *)(v25 + 12)) {
                                                                goto lab_0x4883b9_14;
                                                            }
                                                            goto lab_0x4883f7_14;
                                                        }
                                                    }
                                                    // 0x48845c
                                                    v41 = g5;
                                                    v38 = (int32_t *)(v41 + 4);
                                                    if (*v38 == 103) {
                                                        // 0x488462
                                                        v43 = *(int32_t *)(v41 + 28);
                                                        g6 = v43;
                                                        if (*(int32_t *)(v43 + 44) == 0) {
                                                            // 0x4884c6
                                                            *v38 = 113;
                                                            // branch -> 0x4884cd
                                                        } else {
                                                            // 0x48846b
                                                            v44 = *(int32_t *)(v41 + 20);
                                                            g3 = v44;
                                                            v42 = v41;
                                                            if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                // 0x488476
                                                                function_487e4c();
                                                                v42 = g5;
                                                                // branch -> 0x48847d
                                                            }
                                                            // 0x48847d
                                                            v39 = (int32_t *)(v42 + 20);
                                                            if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                                // 0x488488
                                                                *v39 = *v39 + 1;
                                                                v45 = *(char *)(g10 + 48);
                                                                *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                v40 = (int32_t *)(g5 + 20);
                                                                *v40 = *v40 + 1;
                                                                v46 = *(int32_t *)(g5 + 8);
                                                                g3 = v46;
                                                                v47 = *(int32_t *)(g10 + 48);
                                                                *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                g6 = 0;
                                                                g8 = 0;
                                                                function_48d9ac();
                                                                *(int32_t *)(g10 + 48) = 0;
                                                                *(int32_t *)(g5 + 4) = 113;
                                                                // branch -> 0x4884cd
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // 0x48845c
                                                v41 = g5;
                                                v38 = (int32_t *)(v41 + 4);
                                                if (*v38 == 103) {
                                                    // 0x488462
                                                    v43 = *(int32_t *)(v41 + 28);
                                                    g6 = v43;
                                                    if (*(int32_t *)(v43 + 44) == 0) {
                                                        // 0x4884c6
                                                        *v38 = 113;
                                                        // branch -> 0x4884cd
                                                    } else {
                                                        // 0x48846b
                                                        v44 = *(int32_t *)(v41 + 20);
                                                        g3 = v44;
                                                        v42 = v41;
                                                        if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                            // 0x488476
                                                            function_487e4c();
                                                            v42 = g5;
                                                            // branch -> 0x48847d
                                                        }
                                                        // 0x48847d
                                                        v39 = (int32_t *)(v42 + 20);
                                                        if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                            // 0x488488
                                                            *v39 = *v39 + 1;
                                                            v45 = *(char *)(g10 + 48);
                                                            *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                            v40 = (int32_t *)(g5 + 20);
                                                            *v40 = *v40 + 1;
                                                            v46 = *(int32_t *)(g5 + 8);
                                                            g3 = v46;
                                                            v47 = *(int32_t *)(g10 + 48);
                                                            *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                            g6 = 0;
                                                            g8 = 0;
                                                            function_48d9ac();
                                                            *(int32_t *)(g10 + 48) = 0;
                                                            *(int32_t *)(g5 + 4) = 113;
                                                            // branch -> 0x4884cd
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            } else {
                                                // 0x48818b
                                                v188 = 64;
                                                // branch -> 0x4881a3
                                            }
                                            // 0x4881a3
                                            v185 = v188 | v183;
                                            v184 = v185;
                                            if (*(int32_t *)(v6 + 108) != 0) {
                                                // 0x4881ae
                                                v184 = v185 | 32;
                                                // branch -> 0x4881b1
                                            }
                                            // 0x4881b1
                                            g4 = 31;
                                            g3 = v6;
                                            *v7 = 113;
                                            g8 = (v184 % 31 ^ 31) + v184;
                                            function_487e24();
                                            v186 = g5;
                                            if (*(int32_t *)(v186 + 108) != 0) {
                                                // 0x4881db
                                                g3 = v186;
                                                g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                                function_487e24();
                                                g3 = g5;
                                                g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                                function_487e24();
                                                // branch -> 0x4881f8
                                            }
                                            // 0x4881f8
                                            *(int32_t *)(g10 + 48) = unknown_487570();
                                            // branch -> 0x488206
                                            // 0x488206
                                            v16 = g5;
                                            v8 = (int32_t *)(v16 + 4);
                                            if (*v8 == 69) {
                                                // 0x488210
                                                if (*(int32_t *)(*(int32_t *)(v16 + 28) + 16) == 0) {
                                                    // 0x4882c6
                                                    *v8 = 73;
                                                    // branch -> 0x4882cd
                                                } else {
                                                    // 0x48821d
                                                    g4 = *(int32_t *)(v16 + 20);
                                                    v17 = v16;
                                                    // branch -> 0x488279
                                                    while (true) {
                                                        // 0x488279
                                                        v9 = (int32_t *)(v17 + 28);
                                                        if ((*(int32_t *)(*v9 + 20) & 0xffff) > *(int32_t *)(v17 + 32)) {
                                                            goto lab_0x488222_6;
                                                        }
                                                        v18 = v17;
                                                        // 0x48828a
                                                        v19 = v18;
                                                        if (*(int32_t *)(*(int32_t *)(v18 + 28) + 44) != 0) {
                                                            // 0x488293
                                                            v26 = g4;
                                                            v33 = *(int32_t *)(v18 + 20);
                                                            if (v26 < v33) {
                                                                // 0x488298
                                                                g6 = v33 - v26;
                                                                g8 = *(int32_t *)(v18 + 8) + v26;
                                                                g3 = *(int32_t *)(g10 + 48);
                                                                function_48d9ac();
                                                                *(int32_t *)(g10 + 48) = g3;
                                                                v19 = g5;
                                                                // branch -> 0x4882ad
                                                            } else {
                                                                v19 = v18;
                                                            }
                                                        }
                                                        // 0x4882ad
                                                        v10 = (int32_t *)(v19 + 32);
                                                        if (*(int32_t *)(*(int32_t *)(v19 + 28) + 20) == *v10) {
                                                            // 0x4882b8
                                                            *v10 = 0;
                                                            *(int32_t *)(g5 + 4) = 73;
                                                            // branch -> 0x4882cd
                                                        }
                                                    }
                                                }
                                                // 0x4882cd
                                                v20 = g5;
                                                if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                                    // 0x4882f8
                                                    v27 = g4;
                                                    v34 = *(int32_t *)(v20 + 20);
                                                    if (v27 < v34) {
                                                        // 0x4882fd
                                                        g6 = v34 - v27;
                                                        g8 = *(int32_t *)(v20 + 8) + v27;
                                                        g3 = *(int32_t *)(g10 + 48);
                                                        function_48d9ac();
                                                        *(int32_t *)(g10 + 48) = g3;
                                                        // branch -> 0x488312
                                                    }
                                                }
                                                // 0x488312
                                                g3 = g10;
                                                function_487e4c();
                                                v21 = g5;
                                                v28 = *(int32_t *)(v21 + 20);
                                                v15 = v28;
                                                v23 = v21;
                                                v37 = 1;
                                                if (v28 != *(int32_t *)(v21 + 12)) {
                                                    // 0x48832d
                                                    v11 = (int32_t *)(v21 + 32);
                                                    *v11 = *v11 + 1;
                                                    v22 = g5;
                                                    v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                                    v30 = *(char *)(*v11 + v29);
                                                    v35 = v30;
                                                    v12 = (int32_t *)(v22 + 20);
                                                    *v12 = *v12 + 1;
                                                    v31 = *(int32_t *)(g5 + 8);
                                                    g6 = v31;
                                                    g3 = v35 & -256 | v35;
                                                    *(char *)(*v12 + v31) = v30;
                                                    unknown_4882e7();
                                                    v23 = g5;
                                                    v37 = v30;
                                                    // branch -> 0x488358
                                                }
                                                // 0x488358
                                                if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                                    // 0x488361
                                                    v32 = v15;
                                                    v36 = *(int32_t *)(v23 + 20);
                                                    if (v32 < v36) {
                                                        // 0x488366
                                                        g6 = v36 - v32;
                                                        g8 = *(int32_t *)(v23 + 8) + v32;
                                                        function_48d9ac();
                                                        // branch -> 0x48837b
                                                    }
                                                }
                                                // 0x48837b
                                                if (v37 == 0) {
                                                    // 0x488382
                                                    g6 = 0;
                                                    *(int32_t *)(g5 + 32) = 0;
                                                    *(int32_t *)(g5 + 4) = 91;
                                                    // branch -> 0x488397
                                                }
                                                // 0x488397
                                                v24 = g5;
                                                v13 = (int32_t *)(v24 + 4);
                                                if (*v13 == 91) {
                                                    // 0x4883a1
                                                    if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                                        // 0x488455
                                                        *v13 = 103;
                                                        // branch -> 0x48845c
                                                    } else {
                                                        // 0x4883ae
                                                        v15 = *(int32_t *)(v24 + 20);
                                                        v25 = v24;
                                                        // branch -> 0x4883b1
                                                        while (true) {
                                                            // 0x4883b1
                                                            v14 = (int32_t *)(v25 + 20);
                                                            if (*v14 == *(int32_t *)(v25 + 12)) {
                                                                goto lab_0x4883b9_14;
                                                            }
                                                            goto lab_0x4883f7_14;
                                                        }
                                                    }
                                                    // 0x48845c
                                                    v41 = g5;
                                                    v38 = (int32_t *)(v41 + 4);
                                                    if (*v38 == 103) {
                                                        // 0x488462
                                                        v43 = *(int32_t *)(v41 + 28);
                                                        g6 = v43;
                                                        if (*(int32_t *)(v43 + 44) == 0) {
                                                            // 0x4884c6
                                                            *v38 = 113;
                                                            // branch -> 0x4884cd
                                                        } else {
                                                            // 0x48846b
                                                            v44 = *(int32_t *)(v41 + 20);
                                                            g3 = v44;
                                                            v42 = v41;
                                                            if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                                // 0x488476
                                                                function_487e4c();
                                                                v42 = g5;
                                                                // branch -> 0x48847d
                                                            }
                                                            // 0x48847d
                                                            v39 = (int32_t *)(v42 + 20);
                                                            if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                                // 0x488488
                                                                *v39 = *v39 + 1;
                                                                v45 = *(char *)(g10 + 48);
                                                                *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                                v40 = (int32_t *)(g5 + 20);
                                                                *v40 = *v40 + 1;
                                                                v46 = *(int32_t *)(g5 + 8);
                                                                g3 = v46;
                                                                v47 = *(int32_t *)(g10 + 48);
                                                                *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                                g6 = 0;
                                                                g8 = 0;
                                                                function_48d9ac();
                                                                *(int32_t *)(g10 + 48) = 0;
                                                                *(int32_t *)(g5 + 4) = 113;
                                                                // branch -> 0x4884cd
                                                            }
                                                        }
                                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // 0x48845c
                                                v41 = g5;
                                                v38 = (int32_t *)(v41 + 4);
                                                if (*v38 == 103) {
                                                    // 0x488462
                                                    v43 = *(int32_t *)(v41 + 28);
                                                    g6 = v43;
                                                    if (*(int32_t *)(v43 + 44) == 0) {
                                                        // 0x4884c6
                                                        *v38 = 113;
                                                        // branch -> 0x4884cd
                                                    } else {
                                                        // 0x48846b
                                                        v44 = *(int32_t *)(v41 + 20);
                                                        g3 = v44;
                                                        v42 = v41;
                                                        if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                            // 0x488476
                                                            function_487e4c();
                                                            v42 = g5;
                                                            // branch -> 0x48847d
                                                        }
                                                        // 0x48847d
                                                        v39 = (int32_t *)(v42 + 20);
                                                        if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                            // 0x488488
                                                            *v39 = *v39 + 1;
                                                            v45 = *(char *)(g10 + 48);
                                                            *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                            v40 = (int32_t *)(g5 + 20);
                                                            *v40 = *v40 + 1;
                                                            v46 = *(int32_t *)(g5 + 8);
                                                            g3 = v46;
                                                            v47 = *(int32_t *)(g10 + 48);
                                                            *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                            g6 = 0;
                                                            g8 = 0;
                                                            function_48d9ac();
                                                            *(int32_t *)(g10 + 48) = 0;
                                                            *(int32_t *)(g5 + 4) = 113;
                                                            // branch -> 0x4884cd
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                            // 0x4882cd
                                            v20 = g5;
                                            if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                                // 0x4882f8
                                                v27 = g4;
                                                v34 = *(int32_t *)(v20 + 20);
                                                if (v27 < v34) {
                                                    // 0x4882fd
                                                    g6 = v34 - v27;
                                                    g8 = *(int32_t *)(v20 + 8) + v27;
                                                    g3 = *(int32_t *)(g10 + 48);
                                                    function_48d9ac();
                                                    *(int32_t *)(g10 + 48) = g3;
                                                    // branch -> 0x488312
                                                }
                                            }
                                            // 0x488312
                                            g3 = g10;
                                            function_487e4c();
                                            v21 = g5;
                                            v28 = *(int32_t *)(v21 + 20);
                                            v15 = v28;
                                            v23 = v21;
                                            v37 = 1;
                                            if (v28 != *(int32_t *)(v21 + 12)) {
                                                // 0x48832d
                                                v11 = (int32_t *)(v21 + 32);
                                                *v11 = *v11 + 1;
                                                v22 = g5;
                                                v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                                v30 = *(char *)(*v11 + v29);
                                                v35 = v30;
                                                v12 = (int32_t *)(v22 + 20);
                                                *v12 = *v12 + 1;
                                                v31 = *(int32_t *)(g5 + 8);
                                                g6 = v31;
                                                g3 = v35 & -256 | v35;
                                                *(char *)(*v12 + v31) = v30;
                                                unknown_4882e7();
                                                v23 = g5;
                                                v37 = v30;
                                                // branch -> 0x488358
                                            }
                                            // 0x488358
                                            if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                                // 0x488361
                                                v32 = v15;
                                                v36 = *(int32_t *)(v23 + 20);
                                                if (v32 < v36) {
                                                    // 0x488366
                                                    g6 = v36 - v32;
                                                    g8 = *(int32_t *)(v23 + 8) + v32;
                                                    function_48d9ac();
                                                    // branch -> 0x48837b
                                                }
                                            }
                                            // 0x48837b
                                            if (v37 == 0) {
                                                // 0x488382
                                                g6 = 0;
                                                *(int32_t *)(g5 + 32) = 0;
                                                *(int32_t *)(g5 + 4) = 91;
                                                // branch -> 0x488397
                                            }
                                            // 0x488397
                                            v24 = g5;
                                            v13 = (int32_t *)(v24 + 4);
                                            if (*v13 == 91) {
                                                // 0x4883a1
                                                if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                                    // 0x488455
                                                    *v13 = 103;
                                                    // branch -> 0x48845c
                                                } else {
                                                    // 0x4883ae
                                                    v15 = *(int32_t *)(v24 + 20);
                                                    v25 = v24;
                                                    // branch -> 0x4883b1
                                                    while (true) {
                                                        // 0x4883b1
                                                        v14 = (int32_t *)(v25 + 20);
                                                        if (*v14 == *(int32_t *)(v25 + 12)) {
                                                            goto lab_0x4883b9_14;
                                                        }
                                                        goto lab_0x4883f7_14;
                                                    }
                                                }
                                                // 0x48845c
                                                v41 = g5;
                                                v38 = (int32_t *)(v41 + 4);
                                                if (*v38 == 103) {
                                                    // 0x488462
                                                    v43 = *(int32_t *)(v41 + 28);
                                                    g6 = v43;
                                                    if (*(int32_t *)(v43 + 44) == 0) {
                                                        // 0x4884c6
                                                        *v38 = 113;
                                                        // branch -> 0x4884cd
                                                    } else {
                                                        // 0x48846b
                                                        v44 = *(int32_t *)(v41 + 20);
                                                        g3 = v44;
                                                        v42 = v41;
                                                        if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                            // 0x488476
                                                            function_487e4c();
                                                            v42 = g5;
                                                            // branch -> 0x48847d
                                                        }
                                                        // 0x48847d
                                                        v39 = (int32_t *)(v42 + 20);
                                                        if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                            // 0x488488
                                                            *v39 = *v39 + 1;
                                                            v45 = *(char *)(g10 + 48);
                                                            *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                            v40 = (int32_t *)(g5 + 20);
                                                            *v40 = *v40 + 1;
                                                            v46 = *(int32_t *)(g5 + 8);
                                                            g3 = v46;
                                                            v47 = *(int32_t *)(g10 + 48);
                                                            *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                            g6 = 0;
                                                            g8 = 0;
                                                            function_48d9ac();
                                                            *(int32_t *)(g10 + 48) = 0;
                                                            *(int32_t *)(g5 + 4) = 113;
                                                            // branch -> 0x4884cd
                                                        }
                                                    }
                                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                            // 0x48845c
                                            v41 = g5;
                                            v38 = (int32_t *)(v41 + 4);
                                            if (*v38 == 103) {
                                                // 0x488462
                                                v43 = *(int32_t *)(v41 + 28);
                                                g6 = v43;
                                                if (*(int32_t *)(v43 + 44) == 0) {
                                                    // 0x4884c6
                                                    *v38 = 113;
                                                    // branch -> 0x4884cd
                                                } else {
                                                    // 0x48846b
                                                    v44 = *(int32_t *)(v41 + 20);
                                                    g3 = v44;
                                                    v42 = v41;
                                                    if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                        // 0x488476
                                                        function_487e4c();
                                                        v42 = g5;
                                                        // branch -> 0x48847d
                                                    }
                                                    // 0x48847d
                                                    v39 = (int32_t *)(v42 + 20);
                                                    if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                        // 0x488488
                                                        *v39 = *v39 + 1;
                                                        v45 = *(char *)(g10 + 48);
                                                        *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                        v40 = (int32_t *)(g5 + 20);
                                                        *v40 = *v40 + 1;
                                                        v46 = *(int32_t *)(g5 + 8);
                                                        g3 = v46;
                                                        v47 = *(int32_t *)(g10 + 48);
                                                        *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                        g6 = 0;
                                                        g8 = 0;
                                                        function_48d9ac();
                                                        *(int32_t *)(g10 + 48) = 0;
                                                        *(int32_t *)(g5 + 4) = 113;
                                                        // branch -> 0x4884cd
                                                    }
                                                }
                                                // Detected a possible infinite recursion (goto support failed); quitting...
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                    }
                                    // 0x48817c
                                    // branch -> 0x4881a3
                                    // 0x4881a3
                                    v185 = v183;
                                    v184 = v185;
                                    if (*(int32_t *)(v6 + 108) != 0) {
                                        // 0x4881ae
                                        v184 = v185 | 32;
                                        // branch -> 0x4881b1
                                    }
                                    // 0x4881b1
                                    g4 = 31;
                                    g3 = v6;
                                    *v7 = 113;
                                    g8 = (v184 % 31 ^ 31) + v184;
                                    function_487e24();
                                    v186 = g5;
                                    if (*(int32_t *)(v186 + 108) != 0) {
                                        // 0x4881db
                                        g3 = v186;
                                        g8 = *(int32_t *)(g10 + 48) / 0x10000;
                                        function_487e24();
                                        g3 = g5;
                                        g8 = *(int32_t *)(g10 + 48) & 0xffff;
                                        function_487e24();
                                        // branch -> 0x4881f8
                                    }
                                    // 0x4881f8
                                    *(int32_t *)(g10 + 48) = unknown_487570();
                                    // branch -> 0x488206
                                }
                                // 0x488206
                                v16 = g5;
                                v8 = (int32_t *)(v16 + 4);
                                if (*v8 == 69) {
                                    // 0x488210
                                    if (*(int32_t *)(*(int32_t *)(v16 + 28) + 16) == 0) {
                                        // 0x4882c6
                                        *v8 = 73;
                                        // branch -> 0x4882cd
                                    } else {
                                        // 0x48821d
                                        g4 = *(int32_t *)(v16 + 20);
                                        v17 = v16;
                                        // branch -> 0x488279
                                        while (true) {
                                            // 0x488279
                                            v9 = (int32_t *)(v17 + 28);
                                            if ((*(int32_t *)(*v9 + 20) & 0xffff) > *(int32_t *)(v17 + 32)) {
                                                goto lab_0x488222_6;
                                            }
                                            v18 = v17;
                                            // 0x48828a
                                            v19 = v18;
                                            if (*(int32_t *)(*(int32_t *)(v18 + 28) + 44) != 0) {
                                                // 0x488293
                                                v26 = g4;
                                                v33 = *(int32_t *)(v18 + 20);
                                                if (v26 < v33) {
                                                    // 0x488298
                                                    g6 = v33 - v26;
                                                    g8 = *(int32_t *)(v18 + 8) + v26;
                                                    g3 = *(int32_t *)(g10 + 48);
                                                    function_48d9ac();
                                                    *(int32_t *)(g10 + 48) = g3;
                                                    v19 = g5;
                                                    // branch -> 0x4882ad
                                                } else {
                                                    v19 = v18;
                                                }
                                            }
                                            // 0x4882ad
                                            v10 = (int32_t *)(v19 + 32);
                                            if (*(int32_t *)(*(int32_t *)(v19 + 28) + 20) == *v10) {
                                                // 0x4882b8
                                                *v10 = 0;
                                                *(int32_t *)(g5 + 4) = 73;
                                                // branch -> 0x4882cd
                                            }
                                        }
                                    }
                                    // 0x4882cd
                                    v20 = g5;
                                    if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                        // 0x4882f8
                                        v27 = g4;
                                        v34 = *(int32_t *)(v20 + 20);
                                        if (v27 < v34) {
                                            // 0x4882fd
                                            g6 = v34 - v27;
                                            g8 = *(int32_t *)(v20 + 8) + v27;
                                            g3 = *(int32_t *)(g10 + 48);
                                            function_48d9ac();
                                            *(int32_t *)(g10 + 48) = g3;
                                            // branch -> 0x488312
                                        }
                                    }
                                    // 0x488312
                                    g3 = g10;
                                    function_487e4c();
                                    v21 = g5;
                                    v28 = *(int32_t *)(v21 + 20);
                                    v15 = v28;
                                    v23 = v21;
                                    v37 = 1;
                                    if (v28 != *(int32_t *)(v21 + 12)) {
                                        // 0x48832d
                                        v11 = (int32_t *)(v21 + 32);
                                        *v11 = *v11 + 1;
                                        v22 = g5;
                                        v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                        v30 = *(char *)(*v11 + v29);
                                        v35 = v30;
                                        v12 = (int32_t *)(v22 + 20);
                                        *v12 = *v12 + 1;
                                        v31 = *(int32_t *)(g5 + 8);
                                        g6 = v31;
                                        g3 = v35 & -256 | v35;
                                        *(char *)(*v12 + v31) = v30;
                                        unknown_4882e7();
                                        v23 = g5;
                                        v37 = v30;
                                        // branch -> 0x488358
                                    }
                                    // 0x488358
                                    if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                        // 0x488361
                                        v32 = v15;
                                        v36 = *(int32_t *)(v23 + 20);
                                        if (v32 < v36) {
                                            // 0x488366
                                            g6 = v36 - v32;
                                            g8 = *(int32_t *)(v23 + 8) + v32;
                                            function_48d9ac();
                                            // branch -> 0x48837b
                                        }
                                    }
                                    // 0x48837b
                                    if (v37 == 0) {
                                        // 0x488382
                                        g6 = 0;
                                        *(int32_t *)(g5 + 32) = 0;
                                        *(int32_t *)(g5 + 4) = 91;
                                        // branch -> 0x488397
                                    }
                                    // 0x488397
                                    v24 = g5;
                                    v13 = (int32_t *)(v24 + 4);
                                    if (*v13 == 91) {
                                        // 0x4883a1
                                        if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                            // 0x488455
                                            *v13 = 103;
                                            // branch -> 0x48845c
                                        } else {
                                            // 0x4883ae
                                            v15 = *(int32_t *)(v24 + 20);
                                            v25 = v24;
                                            // branch -> 0x4883b1
                                            while (true) {
                                                // 0x4883b1
                                                v14 = (int32_t *)(v25 + 20);
                                                if (*v14 == *(int32_t *)(v25 + 12)) {
                                                    goto lab_0x4883b9_14;
                                                }
                                                goto lab_0x4883f7_14;
                                            }
                                        }
                                        // 0x48845c
                                        v41 = g5;
                                        v38 = (int32_t *)(v41 + 4);
                                        if (*v38 == 103) {
                                            // 0x488462
                                            v43 = *(int32_t *)(v41 + 28);
                                            g6 = v43;
                                            if (*(int32_t *)(v43 + 44) == 0) {
                                                // 0x4884c6
                                                *v38 = 113;
                                                // branch -> 0x4884cd
                                            } else {
                                                // 0x48846b
                                                v44 = *(int32_t *)(v41 + 20);
                                                g3 = v44;
                                                v42 = v41;
                                                if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                    // 0x488476
                                                    function_487e4c();
                                                    v42 = g5;
                                                    // branch -> 0x48847d
                                                }
                                                // 0x48847d
                                                v39 = (int32_t *)(v42 + 20);
                                                if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                    // 0x488488
                                                    *v39 = *v39 + 1;
                                                    v45 = *(char *)(g10 + 48);
                                                    *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                    v40 = (int32_t *)(g5 + 20);
                                                    *v40 = *v40 + 1;
                                                    v46 = *(int32_t *)(g5 + 8);
                                                    g3 = v46;
                                                    v47 = *(int32_t *)(g10 + 48);
                                                    *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                    g6 = 0;
                                                    g8 = 0;
                                                    function_48d9ac();
                                                    *(int32_t *)(g10 + 48) = 0;
                                                    *(int32_t *)(g5 + 4) = 113;
                                                    // branch -> 0x4884cd
                                                }
                                            }
                                            // Detected a possible infinite recursion (goto support failed); quitting...
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // 0x48845c
                                    v41 = g5;
                                    v38 = (int32_t *)(v41 + 4);
                                    if (*v38 == 103) {
                                        // 0x488462
                                        v43 = *(int32_t *)(v41 + 28);
                                        g6 = v43;
                                        if (*(int32_t *)(v43 + 44) == 0) {
                                            // 0x4884c6
                                            *v38 = 113;
                                            // branch -> 0x4884cd
                                        } else {
                                            // 0x48846b
                                            v44 = *(int32_t *)(v41 + 20);
                                            g3 = v44;
                                            v42 = v41;
                                            if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                // 0x488476
                                                function_487e4c();
                                                v42 = g5;
                                                // branch -> 0x48847d
                                            }
                                            // 0x48847d
                                            v39 = (int32_t *)(v42 + 20);
                                            if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                // 0x488488
                                                *v39 = *v39 + 1;
                                                v45 = *(char *)(g10 + 48);
                                                *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                v40 = (int32_t *)(g5 + 20);
                                                *v40 = *v40 + 1;
                                                v46 = *(int32_t *)(g5 + 8);
                                                g3 = v46;
                                                v47 = *(int32_t *)(g10 + 48);
                                                *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                g6 = 0;
                                                g8 = 0;
                                                function_48d9ac();
                                                *(int32_t *)(g10 + 48) = 0;
                                                *(int32_t *)(g5 + 4) = 113;
                                                // branch -> 0x4884cd
                                            }
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                                // 0x4882cd
                                v20 = g5;
                                if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                    // 0x4882f8
                                    v27 = g4;
                                    v34 = *(int32_t *)(v20 + 20);
                                    if (v27 < v34) {
                                        // 0x4882fd
                                        g6 = v34 - v27;
                                        g8 = *(int32_t *)(v20 + 8) + v27;
                                        g3 = *(int32_t *)(g10 + 48);
                                        function_48d9ac();
                                        *(int32_t *)(g10 + 48) = g3;
                                        // branch -> 0x488312
                                    }
                                }
                                // 0x488312
                                g3 = g10;
                                function_487e4c();
                                v21 = g5;
                                v28 = *(int32_t *)(v21 + 20);
                                v15 = v28;
                                v23 = v21;
                                v37 = 1;
                                if (v28 != *(int32_t *)(v21 + 12)) {
                                    // 0x48832d
                                    v11 = (int32_t *)(v21 + 32);
                                    *v11 = *v11 + 1;
                                    v22 = g5;
                                    v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                    v30 = *(char *)(*v11 + v29);
                                    v35 = v30;
                                    v12 = (int32_t *)(v22 + 20);
                                    *v12 = *v12 + 1;
                                    v31 = *(int32_t *)(g5 + 8);
                                    g6 = v31;
                                    g3 = v35 & -256 | v35;
                                    *(char *)(*v12 + v31) = v30;
                                    unknown_4882e7();
                                    v23 = g5;
                                    v37 = v30;
                                    // branch -> 0x488358
                                }
                                // 0x488358
                                if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                    // 0x488361
                                    v32 = v15;
                                    v36 = *(int32_t *)(v23 + 20);
                                    if (v32 < v36) {
                                        // 0x488366
                                        g6 = v36 - v32;
                                        g8 = *(int32_t *)(v23 + 8) + v32;
                                        function_48d9ac();
                                        // branch -> 0x48837b
                                    }
                                }
                                // 0x48837b
                                if (v37 == 0) {
                                    // 0x488382
                                    g6 = 0;
                                    *(int32_t *)(g5 + 32) = 0;
                                    *(int32_t *)(g5 + 4) = 91;
                                    // branch -> 0x488397
                                }
                                // 0x488397
                                v24 = g5;
                                v13 = (int32_t *)(v24 + 4);
                                if (*v13 == 91) {
                                    // 0x4883a1
                                    if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                        // 0x488455
                                        *v13 = 103;
                                        // branch -> 0x48845c
                                    } else {
                                        // 0x4883ae
                                        v15 = *(int32_t *)(v24 + 20);
                                        v25 = v24;
                                        // branch -> 0x4883b1
                                        while (true) {
                                            // 0x4883b1
                                            v14 = (int32_t *)(v25 + 20);
                                            if (*v14 == *(int32_t *)(v25 + 12)) {
                                                goto lab_0x4883b9_14;
                                            }
                                            goto lab_0x4883f7_14;
                                        }
                                    }
                                    // 0x48845c
                                    v41 = g5;
                                    v38 = (int32_t *)(v41 + 4);
                                    if (*v38 == 103) {
                                        // 0x488462
                                        v43 = *(int32_t *)(v41 + 28);
                                        g6 = v43;
                                        if (*(int32_t *)(v43 + 44) == 0) {
                                            // 0x4884c6
                                            *v38 = 113;
                                            // branch -> 0x4884cd
                                        } else {
                                            // 0x48846b
                                            v44 = *(int32_t *)(v41 + 20);
                                            g3 = v44;
                                            v42 = v41;
                                            if (v44 + 2 > *(int32_t *)(v41 + 12)) {
                                                // 0x488476
                                                function_487e4c();
                                                v42 = g5;
                                                // branch -> 0x48847d
                                            }
                                            // 0x48847d
                                            v39 = (int32_t *)(v42 + 20);
                                            if (*v39 + 2 <= *(int32_t *)(v42 + 12)) {
                                                // 0x488488
                                                *v39 = *v39 + 1;
                                                v45 = *(char *)(g10 + 48);
                                                *(char *)(*v39 + *(int32_t *)(g5 + 8)) = v45;
                                                v40 = (int32_t *)(g5 + 20);
                                                *v40 = *v40 + 1;
                                                v46 = *(int32_t *)(g5 + 8);
                                                g3 = v46;
                                                v47 = *(int32_t *)(g10 + 48);
                                                *(char *)(*v40 + v46) = (char)(v47 / 256);
                                                g6 = 0;
                                                g8 = 0;
                                                function_48d9ac();
                                                *(int32_t *)(g10 + 48) = 0;
                                                *(int32_t *)(g5 + 4) = 113;
                                                // branch -> 0x4884cd
                                            }
                                        }
                                        // Detected a possible infinite recursion (goto support failed); quitting...
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // 0x488206
                            v16 = g5;
                            v8 = (int32_t *)(v16 + 4);
                            if (*v8 == 69) {
                                // 0x488210
                                if (*(int32_t *)(*(int32_t *)(v16 + 28) + 16) == 0) {
                                    // 0x4882c6
                                    *v8 = 73;
                                    // branch -> 0x4882cd
                                } else {
                                    // 0x48821d
                                    g4 = *(int32_t *)(v16 + 20);
                                    v17 = v16;
                                    // branch -> 0x488279
                                    while (true) {
                                        // 0x488279
                                        v9 = (int32_t *)(v17 + 28);
                                        if ((*(int32_t *)(*v9 + 20) & 0xffff) > *(int32_t *)(v17 + 32)) {
                                            goto lab_0x488222_6;
                                        }
                                        v18 = v17;
                                        // 0x48828a
                                        v19 = v18;
                                        if (*(int32_t *)(*(int32_t *)(v18 + 28) + 44) != 0) {
                                            // 0x488293
                                            v26 = g4;
                                            v33 = *(int32_t *)(v18 + 20);
                                            if (v26 < v33) {
                                                // 0x488298
                                                g6 = v33 - v26;
                                                g8 = *(int32_t *)(v18 + 8) + v26;
                                                g3 = *(int32_t *)(g10 + 48);
                                                function_48d9ac();
                                                *(int32_t *)(g10 + 48) = g3;
                                                v19 = g5;
                                                // branch -> 0x4882ad
                                            } else {
                                                v19 = v18;
                                            }
                                        }
                                        // 0x4882ad
                                        v10 = (int32_t *)(v19 + 32);
                                        if (*(int32_t *)(*(int32_t *)(v19 + 28) + 20) == *v10) {
                                            // 0x4882b8
                                            *v10 = 0;
                                            *(int32_t *)(g5 + 4) = 73;
                                            // branch -> 0x4882cd
                                        }
                                    }
                                }
                                // 0x4882cd
                                v20 = g5;
                                if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                    // 0x4882f8
                                    v27 = g4;
                                    v34 = *(int32_t *)(v20 + 20);
                                    if (v27 < v34) {
                                        // 0x4882fd
                                        g6 = v34 - v27;
                                        g8 = *(int32_t *)(v20 + 8) + v27;
                                        g3 = *(int32_t *)(g10 + 48);
                                        function_48d9ac();
                                        *(int32_t *)(g10 + 48) = g3;
                                        // branch -> 0x488312
                                    }
                                }
                                // 0x488312
                                g3 = g10;
                                function_487e4c();
                                v21 = g5;
                                v28 = *(int32_t *)(v21 + 20);
                                v15 = v28;
                                v23 = v21;
                                v37 = 1;
                                if (v28 != *(int32_t *)(v21 + 12)) {
                                    // 0x48832d
                                    v11 = (int32_t *)(v21 + 32);
                                    *v11 = *v11 + 1;
                                    v22 = g5;
                                    v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                    v30 = *(char *)(*v11 + v29);
                                    v35 = v30;
                                    v12 = (int32_t *)(v22 + 20);
                                    *v12 = *v12 + 1;
                                    v31 = *(int32_t *)(g5 + 8);
                                    g6 = v31;
                                    g3 = v35 & -256 | v35;
                                    *(char *)(*v12 + v31) = v30;
                                    unknown_4882e7();
                                    v23 = g5;
                                    v37 = v30;
                                    // branch -> 0x488358
                                }
                                // 0x488358
                                if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                    // 0x488361
                                    v32 = v15;
                                    v36 = *(int32_t *)(v23 + 20);
                                    if (v32 < v36) {
                                        // 0x488366
                                        g6 = v36 - v32;
                                        g8 = *(int32_t *)(v23 + 8) + v32;
                                        function_48d9ac();
                                        // branch -> 0x48837b
                                    }
                                }
                                // 0x48837b
                                if (v37 == 0) {
                                    // 0x488382
                                    g6 = 0;
                                    *(int32_t *)(g5 + 32) = 0;
                                    *(int32_t *)(g5 + 4) = 91;
                                    // branch -> 0x488397
                                }
                                // 0x488397
                                v24 = g5;
                                v13 = (int32_t *)(v24 + 4);
                                if (*v13 == 91) {
                                    // 0x4883a1
                                    if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                        // 0x488455
                                        *v13 = 103;
                                        // branch -> 0x48845c
                                    } else {
                                        // 0x4883ae
                                        v15 = *(int32_t *)(v24 + 20);
                                        v25 = v24;
                                        // branch -> 0x4883b1
                                        while (true) {
                                            // 0x4883b1
                                            v14 = (int32_t *)(v25 + 20);
                                            if (*v14 == *(int32_t *)(v25 + 12)) {
                                                goto lab_0x4883b9_14;
                                            }
                                            goto lab_0x4883f7_14;
                                        }
                                    }
                                    // Detected a possible infinite recursion (goto support failed); quitting...
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // 0x4882cd
                            v20 = g5;
                            if (*(int32_t *)(*(int32_t *)(v20 + 28) + 44) != 0) {
                                // 0x4882f8
                                v27 = g4;
                                v34 = *(int32_t *)(v20 + 20);
                                if (v27 < v34) {
                                    // 0x4882fd
                                    g6 = v34 - v27;
                                    g8 = *(int32_t *)(v20 + 8) + v27;
                                    g3 = *(int32_t *)(g10 + 48);
                                    function_48d9ac();
                                    *(int32_t *)(g10 + 48) = g3;
                                    // branch -> 0x488312
                                }
                            }
                            // 0x488312
                            g3 = g10;
                            function_487e4c();
                            v21 = g5;
                            v28 = *(int32_t *)(v21 + 20);
                            v15 = v28;
                            v23 = v21;
                            v37 = 1;
                            if (v28 != *(int32_t *)(v21 + 12)) {
                                // 0x48832d
                                v11 = (int32_t *)(v21 + 32);
                                *v11 = *v11 + 1;
                                v22 = g5;
                                v29 = *(int32_t *)(*(int32_t *)(v22 + 28) + 28);
                                v30 = *(char *)(*v11 + v29);
                                v35 = v30;
                                v12 = (int32_t *)(v22 + 20);
                                *v12 = *v12 + 1;
                                v31 = *(int32_t *)(g5 + 8);
                                g6 = v31;
                                g3 = v35 & -256 | v35;
                                *(char *)(*v12 + v31) = v30;
                                unknown_4882e7();
                                v23 = g5;
                                v37 = v30;
                                // branch -> 0x488358
                            }
                            // 0x488358
                            if (*(int32_t *)(*(int32_t *)(v23 + 28) + 44) != 0) {
                                // 0x488361
                                v32 = v15;
                                v36 = *(int32_t *)(v23 + 20);
                                if (v32 < v36) {
                                    // 0x488366
                                    g6 = v36 - v32;
                                    g8 = *(int32_t *)(v23 + 8) + v32;
                                    function_48d9ac();
                                    // branch -> 0x48837b
                                }
                            }
                            // 0x48837b
                            if (v37 == 0) {
                                // 0x488382
                                g6 = 0;
                                *(int32_t *)(g5 + 32) = 0;
                                *(int32_t *)(g5 + 4) = 91;
                                // branch -> 0x488397
                            }
                            // 0x488397
                            v24 = g5;
                            v13 = (int32_t *)(v24 + 4);
                            if (*v13 == 91) {
                                // 0x4883a1
                                if (*(int32_t *)(*(int32_t *)(v24 + 28) + 36) == 0) {
                                    // 0x488455
                                    *v13 = 103;
                                    // branch -> 0x48845c
                                } else {
                                    // 0x4883ae
                                    v15 = *(int32_t *)(v24 + 20);
                                    v25 = v24;
                                    // branch -> 0x4883b1
                                    while (true) {
                                        // 0x4883b1
                                        v14 = (int32_t *)(v25 + 20);
                                        if (*v14 == *(int32_t *)(v25 + 12)) {
                                            goto lab_0x4883b9_14;
                                        }
                                        goto lab_0x4883f7_14;
                                    }
                                }
                                // Detected a possible infinite recursion (goto support failed); quitting...
                            }
                            // Detected a possible infinite recursion (goto support failed); quitting...
                        }
                        // Detected a possible infinite recursion (goto support failed); quitting...
                    }
                    // 0x487eea
                    *(int32_t *)(v3 + 24) = (int32_t)g38[0];
                    // branch -> 0x48870c
                    // Detected a possible infinite recursion (goto support failed); quitting...
                }
            }
            // 0x487ebe
            // branch -> 0x48870c
            // Detected a possible infinite recursion (goto support failed); quitting...
        }
        // 0x487ebe
        // branch -> 0x48870c
        // Detected a possible infinite recursion (goto support failed); quitting...
    }
    // 0x487ebe
    // branch -> 0x48870c
    // Detected a possible infinite recursion (goto support failed); quitting...
}

// Address range: 0x488714 - 0x48895f
void function_488714(void) {
    int32_t v1 = g3; // 0x488716
    g5 = v1;
    if (v1 == 0) {
        // 0x488722
        return;
    }
    int32_t * v2 = (int32_t *)(v1 + 28); // 0x48871c_0
    int32_t v3 = *v2; // 0x48871c
    if (v3 == 0) {
        // 0x488722
        return;
    }
    int32_t v4 = *(int32_t *)(v3 + 4); // 0x48872d
    g10 = v4;
    int32_t v5; // 0x48877c
    int32_t v6; // 0x48878e
    int32_t v7; // 0x4887a0
    int32_t v8; // 0x4887ac
    int32_t v9; // 0x488761
    int32_t v10; // 0x488773
    int32_t v11; // 0x488785
    int32_t v12; // 0x488797
    if (v4 == 42 || v4 == 69 || v4 == 73 || v4 == 91 || v4 == 103 || v4 == 113) {
        // 0x48875e
        v9 = *(int32_t *)(*v2 + 8);
        g1 = false;
        g2 = false;
        g187 = v9 == 0;
        g9 = llvm_ctpop_i32(v9) % 2 == 1;
        v5 = v1;
        if (v9 != 0) {
            // 0x488768
            g8 = v9;
            g3 = *(int32_t *)(v1 + 40);
            ((int32_t (*)())*(int32_t *)(v1 + 36))();
            v5 = g5;
            // branch -> 0x488770
        }
        // 0x488770
        v10 = *(int32_t *)(*(int32_t *)(v5 + 28) + 68);
        g1 = false;
        g2 = false;
        g187 = v10 == 0;
        g9 = llvm_ctpop_i32(v10) % 2 == 1;
        v6 = v5;
        if (v10 != 0) {
            // 0x48877a
            g8 = v10;
            g3 = *(int32_t *)(v5 + 40);
            ((int32_t (*)())*(int32_t *)(v5 + 36))();
            v6 = g5;
            // branch -> 0x488782
        }
        // 0x488782
        v11 = *(int32_t *)(*(int32_t *)(v6 + 28) + 64);
        g1 = false;
        g2 = false;
        g187 = v11 == 0;
        g9 = llvm_ctpop_i32(v11) % 2 == 1;
        v7 = v6;
        if (v11 != 0) {
            // 0x48878c
            g8 = v11;
            g3 = *(int32_t *)(v6 + 40);
            ((int32_t (*)())*(int32_t *)(v6 + 36))();
            v7 = g5;
            // branch -> 0x488794
        }
        // 0x488794
        v12 = *(int32_t *)(*(int32_t *)(v7 + 28) + 56);
        g1 = false;
        g2 = false;
        g187 = v12 == 0;
        g9 = llvm_ctpop_i32(v12) % 2 == 1;
        v8 = v7;
        if (v12 != 0) {
            // 0x48879e
            g8 = v12;
            g3 = *(int32_t *)(v7 + 40);
            ((int32_t (*)())*(int32_t *)(v7 + 36))();
            v8 = g5;
            // branch -> 0x4887a6
        }
        // 0x4887a6
        g8 = *(int32_t *)(v8 + 28);
        g3 = *(int32_t *)(v8 + 40);
        ((int32_t (*)())*(int32_t *)(v8 + 36))();
        *(int32_t *)(g5 + 28) = 0;
        if (g10 != 113) {
            // 0x4887c0
            // branch -> 0x4887c2
        }
        // 0x4887c2
        return;
    }
    // 0x48874e
    if (v4 != 666) {
        // 0x488756
        return;
    }
    // 0x48875e
    v9 = *(int32_t *)(*v2 + 8);
    g1 = false;
    g2 = false;
    g187 = v9 == 0;
    g9 = llvm_ctpop_i32(v9) % 2 == 1;
    v5 = v1;
    if (v9 != 0) {
        // 0x488768
        g8 = v9;
        g3 = *(int32_t *)(v1 + 40);
        ((int32_t (*)())*(int32_t *)(v1 + 36))();
        v5 = g5;
        // branch -> 0x488770
    }
    // 0x488770
    v10 = *(int32_t *)(*(int32_t *)(v5 + 28) + 68);
    g1 = false;
    g2 = false;
    g187 = v10 == 0;
    g9 = llvm_ctpop_i32(v10) % 2 == 1;
    v6 = v5;
    if (v10 != 0) {
        // 0x48877a
        g8 = v10;
        g3 = *(int32_t *)(v5 + 40);
        ((int32_t (*)())*(int32_t *)(v5 + 36))();
        v6 = g5;
        // branch -> 0x488782
    }
    // 0x488782
    v11 = *(int32_t *)(*(int32_t *)(v6 + 28) + 64);
    g1 = false;
    g2 = false;
    g187 = v11 == 0;
    g9 = llvm_ctpop_i32(v11) % 2 == 1;
    v7 = v6;
    if (v11 != 0) {
        // 0x48878c
        g8 = v11;
        g3 = *(int32_t *)(v6 + 40);
        ((int32_t (*)())*(int32_t *)(v6 + 36))();
        v7 = g5;
        // branch -> 0x488794
    }
    // 0x488794
    v12 = *(int32_t *)(*(int32_t *)(v7 + 28) + 56);
    g1 = false;
    g2 = false;
    g187 = v12 == 0;
    g9 = llvm_ctpop_i32(v12) % 2 == 1;
    v8 = v7;
    if (v12 != 0) {
        // 0x48879e
        g8 = v12;
        g3 = *(int32_t *)(v7 + 40);
        ((int32_t (*)())*(int32_t *)(v7 + 36))();
        v8 = g5;
        // branch -> 0x4887a6
    }
    // 0x4887a6
    g8 = *(int32_t *)(v8 + 28);
    g3 = *(int32_t *)(v8 + 40);
    ((int32_t (*)())*(int32_t *)(v8 + 36))();
    *(int32_t *)(g5 + 28) = 0;
    if (g10 != 113) {
        // 0x4887c0
        // branch -> 0x4887c2
    }
}

// Address range: 0x488960 - 0x4889c7
void function_488960(void) {
    int32_t v1 = g3; // 0x488961
    g5 = v1;
    int32_t v2 = g10; // 0x488963
    int32_t * v3 = (int32_t *)(v1 + 4); // 0x488965_0
    int32_t v4 = *v3; // 0x488965
    g10 = v4;
    g7 = g8;
    int32_t v5 = g6; // 0x48896a
    int32_t v6 = v4; // 0x488978
    if (v5 < v4) {
        // 0x48896e
        g10 = v5;
        v6 = v5;
        // branch -> 0x488970
    }
    // 0x488970
    if (v6 == 0) {
        // 0x488974
        g3 = 0;
        // branch -> 0x4889c1
    } else {
        // 0x488978
        *v3 = *v3 - v6;
        int32_t v7 = g5; // 0x48897b
        int32_t * v8 = (int32_t *)(v7 + 28); // 0x48897b_0
        if (*(int32_t *)(*v8 + 24) == 1) {
            // 0x488984
            *(int32_t *)(g5 + 48) = unknown_487570();
            // branch -> 0x4889ad
        } else {
            // 0x488995
            if (*(int32_t *)(*v8 + 24) == 2) {
                // 0x48899e
                g6 = g10;
                g8 = *(int32_t *)v7;
                g3 = *(int32_t *)(v7 + 48);
                function_48d9ac();
                *(int32_t *)(g5 + 48) = g3;
                // branch -> 0x4889ad
            }
        }
        // 0x4889ad
        function_487190();
        g3 = g10;
        int32_t * v9 = (int32_t *)g5; // 0x4889bc_0
        *v9 = *v9 + g10;
        int32_t * v10 = (int32_t *)(g5 + 8); // 0x4889be_0
        *v10 = g10 + *v10;
        // branch -> 0x4889c1
    }
    // 0x4889c1
    g10 = v2;
    int32_t v11;
    g5 = v11;
}

// Address range: 0x4889c8 - 0x488a73
void function_4889c8(void) {
    int32_t v1 = g3; // 0x4889c9
    *(int32_t *)(v1 + 60) = 2 * *(int32_t *)(v1 + 44);
    int32_t v2 = *(int32_t *)(v1 + 76); // 0x4889d6
    *(int16_t *)(*(int32_t *)(v1 + 68) - 2 + 2 * v2) = 0;
    function_487178();
    uint16_t v3 = *(int16_t *)(12 * *(int32_t *)(v1 + 132) + 0x4c0e7e); // 0x4889fe
    *(int32_t *)(v1 + 128) = (int32_t)v3;
    uint16_t v4 = *(int16_t *)(12 * *(int32_t *)(v1 + 132) + 0x4c0e7c); // 0x488a15
    *(int32_t *)(v1 + 140) = (int32_t)v4;
    uint16_t v5 = *(int16_t *)(12 * *(int32_t *)(v1 + 132) + 0x4c0e80); // 0x488a2c
    *(int32_t *)(v1 + 144) = (int32_t)v5;
    uint16_t v6 = *(int16_t *)(12 * *(int32_t *)(v1 + 132) + 0x4c0e82); // 0x488a45
    *(int32_t *)(v1 + 124) = (int32_t)v6;
    *(int32_t *)(v1 + 108) = 0;
    *(int32_t *)(v1 + 92) = 0;
    *(int32_t *)(v1 + 116) = 0;
    *(int32_t *)(v1 + 120) = 2;
    *(int32_t *)(v1 + 96) = 2;
    *(int32_t *)(v1 + 104) = 0;
    *(int32_t *)(v1 + 72) = 0;
}

// Address range: 0x488a74 - 0x488beb
void function_488a74(void) {
    int32_t v1 = g8; // bp-40
    uint32_t v2 = *(int32_t *)(g3 + 124); // 0x488a7d
    int32_t * v3 = (int32_t *)(g3 + 108); // 0x488a84_0
    uint32_t v4 = *v3; // 0x488a84
    int32_t * v5 = (int32_t *)(g3 + 56); // 0x488a87_0
    int32_t * v6 = (int32_t *)(g3 + 120); // 0x488a8a_0
    int32_t v7 = *v6; // 0x488a8a
    uint32_t v8 = *(int32_t *)(g3 + 144); // 0x488a8d
    int32_t v9 = *v5 + v4; // 0x488a97
    int32_t * v10 = (int32_t *)(g3 + 44); // 0x488a99_0
    uint32_t v11;
    if (v4 > *v10 - 262) {
        // 0x488aa6
        v11 = *v3 - (*v10 - 262);
        // branch -> 0x488ab8
    } else {
        // 0x488ab6
        v11 = 0;
        // branch -> 0x488ab8
    }
    int32_t v12 = *(int32_t *)(g3 + 64); // 0x488abc
    int32_t v13 = *(int32_t *)(g3 + 52); // 0x488ac3
    int32_t v14 = *v3 + *v5 + 258; // edx
    int32_t v15 = v2; // 0x488bc94
    if (*v6 >= *(int32_t *)(g3 + 140)) {
        // 0x488af0
        v15 = v2 / 4;
        // branch -> 0x488af5
    }
    uint32_t v16 = *(int32_t *)(g3 + 116); // 0x488af5
    int32_t v17 = g8; // 0x488b94
    int32_t v18 = v7; // 0x488b90
    char v19 = *(char *)(v7 + v9); // 0x488baa9
    char v20 = *(char *)(v9 - 1 + v7); // 0x488ba27
    // branch -> 0x488b02
    while (true) {
        int32_t v21 = *(int32_t *)(g3 + 56) + v17; // 0x488b05
        unsigned char v22 = *(char *)(v21 + v18); // 0x488b08
        int32_t v23 = v16 & -256; // 0x488b08
        int32_t v24 = v18; // 0x488b0812
        char v25 = v19; // 0x488baa8
        char v26 = v20; // 0x488ba26
        int32_t v27; // 0x488bbc
        if (((int32_t)v22 || v23) == (int32_t)v19) {
            unsigned char v28 = *(char *)(v18 - 1 + v21); // 0x488b15
            if (((int32_t)v28 || v23) == (int32_t)v20) {
                unsigned char v29 = *(char *)v21; // 0x488b23
                if (((int32_t)v29 || v23) == (int32_t)*(char *)v9) {
                    int32_t v30 = (int32_t)*(char *)(v21 + 1) | v23; // 0x488b2e
                    if (v30 == (int32_t)*(char *)(v9 + 1)) {
                        int32_t v31 = v21 + 2; // 0x488b3a
                        int32_t v32 = v9 + 2; // 0x488b39
                        // branch -> 0x488b39
                        int32_t v33; // 0x488b88
                        int32_t v34; // 0x488b7d
                        int32_t v35; // 0x488b7f
                        int32_t v36; // 0x488bb1
                        while (true) {
                            int32_t v37 = v32 + 1; // 0x488b39
                            int32_t v38 = v30 & -256; // 0x488b3b
                            char v39 = *(char *)(v31 + 1); // 0x488b3d
                            v35 = v37;
                            if (((int32_t)*(char *)v37 || v38) == (int32_t)v39) {
                                int32_t v40 = v32 + 2; // 0x488b41
                                char v41 = *(char *)(v31 + 2); // 0x488b45
                                if (((int32_t)*(char *)v40 || v38) == (int32_t)v41) {
                                    int32_t v42 = v32 + 3; // 0x488b49
                                    char v43 = *(char *)(v31 + 3); // 0x488b4d
                                    if (((int32_t)*(char *)v42 || v38) == (int32_t)v43) {
                                        int32_t v44 = v32 + 4; // 0x488b51
                                        char v45 = *(char *)(v31 + 4); // 0x488b55
                                        if (((int32_t)*(char *)v44 || v38) == (int32_t)v45) {
                                            int32_t v46 = v32 + 5; // 0x488b59
                                            char v47 = *(char *)(v31 + 5); // 0x488b5d
                                            if (((int32_t)*(char *)v46 || v38) == (int32_t)v47) {
                                                int32_t v48 = v32 + 6; // 0x488b61
                                                char v49 = *(char *)(v31 + 6); // 0x488b65
                                                if (((int32_t)*(char *)v48 || v38) == (int32_t)v49) {
                                                    int32_t v50 = v32 + 7; // 0x488b69
                                                    char v51 = *(char *)(v31 + 7); // 0x488b6d
                                                    if (((int32_t)*(char *)v50 || v38) == (int32_t)v51) {
                                                        int32_t v52 = v32 + 8; // 0x488b71
                                                        int32_t v53 = v31 + 8; // 0x488b72
                                                        int32_t v54 = (int32_t)*(char *)v52 | v38; // 0x488b73
                                                        if (v54 == (int32_t)*(char *)v53) {
                                                            // 0x488b79
                                                            if (v14 <= v52) {
                                                                v35 = v52;
                                                                // break -> 0x488b7d
                                                                break;
                                                            }
                                                            v30 = v54;
                                                            v31 = v53;
                                                            v32 = v52;
                                                            // continue -> 0x488b39
                                                            continue;
                                                        } else {
                                                            v35 = v52;
                                                        }
                                                    } else {
                                                        v35 = v50;
                                                    }
                                                } else {
                                                    v35 = v48;
                                                }
                                            } else {
                                                v35 = v46;
                                            }
                                        } else {
                                            v35 = v44;
                                        }
                                    } else {
                                        v35 = v42;
                                    }
                                } else {
                                    v35 = v40;
                                }
                            }
                            // 0x488b7d
                            v34 = v14;
                            v33 = v35 - v34 + 258;
                            if (v18 < v33) {
                              lab_0x488b94:
                                // 0x488b94
                                *(int32_t *)(g3 + 112) = v17;
                                int32_t v55 = v33; // 0x488b9a
                                if (v55 < (v16 < v8 ? v16 : v8)) {
                                    int32_t v56 = v34 - 258; // 0x488ba2
                                    v36 = v1;
                                    v24 = v55;
                                    v25 = *(char *)(v56 + v55);
                                    v26 = *(char *)(v55 - 1 + v56);
                                    // branch -> 0x488bb1
                                  lab_0x488bb1:
                                    // 0x488bb1
                                    v27 = (int32_t)*(int16_t *)(2 * (v36 & v13) + v12);
                                    v1 = v27;
                                    if (v27 > v11) {
                                      lab_0x488bc9:;
                                        int32_t v57 = v15 - 1; // 0x488bc9
                                        if (v57 != 0) {
                                            // 0x488bc9
                                            v17 = v27;
                                            v18 = v24;
                                            v19 = v25;
                                            v20 = v26;
                                            v15 = v57;
                                            // branch -> 0x488b02
                                            break;
                                        }
                                    }
                                }
                                // 0x488bd3
                                return;
                            }
                        }
                        // 0x488b7d
                        v34 = v14;
                        v33 = v35 - v34 + 258;
                        if (v18 < v33) {
                            goto lab_0x488b94;
                        }
                        v36 = v17;
                        v24 = v18;
                        v25 = v19;
                        v26 = v20;
                        goto lab_0x488bb1;
                    } else {
                        v24 = v18;
                        v25 = v19;
                        v26 = v20;
                    }
                } else {
                    v24 = v18;
                    v25 = v19;
                    v26 = v20;
                }
            } else {
                v24 = v18;
                v25 = v19;
                v26 = v20;
            }
        }
        // 0x488bb1
        v27 = (int32_t)*(int16_t *)(2 * (v17 & v13) + v12);
        v1 = v27;
        if (v27 > v11) {
            goto lab_0x488bc9;
        }
        // 0x488bd3
        return;
    }
}

// Address range: 0x488bec - 0x488c8b
void function_488bec(void) {
    int32_t * v1 = (int32_t *)(g3 + 56); // 0x488bef_0
    int32_t v2 = *(int32_t *)(g3 + 108) + *v1; // 0x488bf5
    int32_t v3 = g8 + *v1; // 0x488bf8
    int32_t v4 = v2 & -256; // 0x488bfe
    uint32_t v5 = v2 + 258; // 0x488c00
    char v6 = *(char *)v2; // 0x488c06
    if (((int32_t)*(char *)v3 || v4) == (int32_t)v6) {
        int32_t v7 = (int32_t)*(char *)(v3 + 1) | v4; // 0x488c0a
        if (v7 == (int32_t)*(char *)(v2 + 1)) {
            int32_t v8 = v3 + 2; // 0x488c20
            int32_t v9 = v2 + 2; // 0x488c1f
            // branch -> 0x488c1f
            int32_t v10; // 0x488c57
            int32_t v11; // 0x488c6a
            while (true) {
                int32_t v12 = v9 + 1; // 0x488c1f
                int32_t v13 = v7 & -256; // 0x488c21
                char v14 = *(char *)(v8 + 1); // 0x488c23
                int32_t v15 = v12; // 0x488c63
                if (((int32_t)*(char *)v12 || v13) == (int32_t)v14) {
                    int32_t v16 = v9 + 2; // 0x488c27
                    char v17 = *(char *)(v8 + 2); // 0x488c2b
                    if (((int32_t)*(char *)v16 || v13) == (int32_t)v17) {
                        int32_t v18 = v9 + 3; // 0x488c2f
                        char v19 = *(char *)(v8 + 3); // 0x488c33
                        if (((int32_t)*(char *)v18 || v13) == (int32_t)v19) {
                            int32_t v20 = v9 + 4; // 0x488c37
                            char v21 = *(char *)(v8 + 4); // 0x488c3b
                            if (((int32_t)*(char *)v20 || v13) == (int32_t)v21) {
                                int32_t v22 = v9 + 5; // 0x488c3f
                                char v23 = *(char *)(v8 + 5); // 0x488c43
                                if (((int32_t)*(char *)v22 || v13) == (int32_t)v23) {
                                    int32_t v24 = v9 + 6; // 0x488c47
                                    char v25 = *(char *)(v8 + 6); // 0x488c4b
                                    if (((int32_t)*(char *)v24 || v13) == (int32_t)v25) {
                                        int32_t v26 = v9 + 7; // 0x488c4f
                                        char v27 = *(char *)(v8 + 7); // 0x488c53
                                        if (((int32_t)*(char *)v26 || v13) == (int32_t)v27) {
                                            // 0x488c57
                                            v10 = v9 + 8;
                                            int32_t v28 = v8 + 8; // 0x488c58
                                            int32_t v29 = (int32_t)*(char *)v10 | v13; // 0x488c59
                                            if (v29 == (int32_t)*(char *)v28) {
                                                // 0x488c5f
                                                if (v5 <= v10) {
                                                    // break -> 0x488c63
                                                    break;
                                                }
                                                v7 = v29;
                                                v8 = v28;
                                                v9 = v10;
                                                // continue -> 0x488c1f
                                                continue;
                                            } else {
                                                v15 = v10;
                                            }
                                        } else {
                                            v15 = v26;
                                        }
                                    } else {
                                        v15 = v24;
                                    }
                                } else {
                                    v15 = v22;
                                }
                            } else {
                                v15 = v20;
                            }
                        } else {
                            v15 = v18;
                        }
                    } else {
                        v15 = v16;
                    }
                }
                // 0x488c63
                v11 = 258 - (v5 - v15);
                if (v11 <= 2) {
                    // 0x488c71
                    // branch -> 0x488c87
                    // 0x488c87
                    return;
                }
                // 0x488c78
                *(int32_t *)(g3 + 112) = g8;
                if (*(int32_t *)(g3 + 116) < v11) {
                    // 0x488c82
                    // branch -> 0x488c85
                    // 0x488c85
                    // branch -> 0x488c87
                    // 0x488c87
                    return;
                }
                // 0x488c85
                // branch -> 0x488c87
                // 0x488c87
                return;
            }
            // 0x488c63
            v11 = 258 - (v5 - v10);
            if (v11 > 2) {
                // 0x488c78
                *(int32_t *)(g3 + 112) = g8;
                if (*(int32_t *)(g3 + 116) < v11) {
                    // 0x488c82
                    // branch -> 0x488c85
                }
                // 0x488c85
                // branch -> 0x488c87
            }
            // 0x488c87
            return;
        }
    }
    // 0x488c12
    // branch -> 0x488c87
}

// Address range: 0x488c8c - 0x4895ff
void function_488c8c(void) {
    int32_t v1 = g3; // 0x488c8f
    g5 = v1;
    int32_t v2 = *(int32_t *)(v1 + 44); // 0x488c93
    g10 = v2;
    // branch -> 0x488c96
    while (true) {
      lab_0x488c96:;
        int32_t v3 = *(int32_t *)(v1 + 116); // 0x488c99
        int32_t * v4 = (int32_t *)(v1 + 108); // 0x488c9c_0
        int32_t v5 = *(int32_t *)(v1 + 60) - v3 - *v4; // 0x488c9c
        g7 = v5;
        int32_t v6 = v1; // 0x488d4c
        int32_t v7; // 0x488d3a
        if (v2 - 262 + *(int32_t *)(v1 + 44) <= *v4) {
            // 0x488cca
            function_487190();
            int32_t * v8 = (int32_t *)(g5 + 112); // 0x488cde_0
            *v8 = *v8 - g10;
            int32_t * v9 = (int32_t *)(g5 + 108); // 0x488ce1_0
            *v9 = *v9 - g10;
            int32_t * v10 = (int32_t *)(g5 + 92); // 0x488ce4_0
            *v10 = *v10 - g4;
            int32_t v11 = g5; // 0x488ce7
            int32_t v12 = *(int32_t *)(v11 + 76); // 0x488ce7
            int32_t v13 = v12; // eax
            int32_t v14 = *(int32_t *)(v11 + 68) + 2 * v12; // 0x488cf1
            // branch -> 0x488cf1
            while (true) {
                int32_t v15 = v14 - 2; // 0x488cf1
                int32_t v16 = v15; // edx
                int16_t * v17 = (int16_t *)v15; // 0x488cf4_0
                uint32_t v18 = (int32_t)*v17; // 0x488cf4
                uint32_t v19 = g10; // 0x488cfa
                int32_t v20 = 0;
                if (v18 >= v19) {
                    // 0x488cff
                    v20 = v18 - v19 & 0xffff;
                    // branch -> 0x488d0a
                }
                // 0x488d0a
                *v17 = (int16_t)v20;
                int32_t v21 = v13 - 1; // 0x488d0d
                v13 = v21;
                if (v21 == 0) {
                    int32_t v22 = g10; // 0x488d10
                    v13 = v22;
                    int32_t v23 = v22; // 0x488d2b
                    int32_t v24 = *(int32_t *)(g5 + 64) + 2 * v22; // 0x488d19
                    // branch -> 0x488d19
                    while (true) {
                        int32_t v25 = v24 - 2; // 0x488d19
                        v16 = v25;
                        int16_t * v26 = (int16_t *)v25; // 0x488d1c_0
                        uint32_t v27 = (int32_t)*v26; // 0x488d1c
                        int32_t v28 = 0;
                        if (v27 >= v23) {
                            // 0x488d27
                            v28 = v27 - v23 & 0xffff;
                            // branch -> 0x488d32
                        }
                        // 0x488d32
                        *v26 = (int16_t)v28;
                        int32_t v29 = v13 - 1; // 0x488d35
                        v13 = v29;
                        if (v29 == 0) {
                            int32_t v30 = g10 + g7; // 0x488d38
                            g7 = v30;
                            v5 = v30;
                            v6 = g5;
                            // branch -> 0x488d3a
                            // 0x488d3a
                            v7 = *(int32_t *)v6;
                            if (*(int32_t *)(v7 + 4) == 0) {
                                // 0x488d97
                                return;
                            }
                          lab_0x488d42:
                            // 0x488d42
                            g6 = v5;
                            g3 = v7;
                            int32_t v31 = *(int32_t *)(v6 + 116); // 0x488d4c
                            g8 = v31 + *(int32_t *)(v6 + 108) + *(int32_t *)(v6 + 56);
                            function_488960();
                            int32_t * v32 = (int32_t *)(g5 + 116); // 0x488d54_0
                            *v32 = g3 + *v32;
                            int32_t v33 = g5; // 0x488d57
                            int32_t v34 = v33; // 0x488d8b
                            if (*(int32_t *)(v33 + 116) >= 3) {
                                int32_t v35 = *(int32_t *)(v33 + 108); // 0x488d60
                                int32_t v36 = (int32_t)*(char *)(v35 + *(int32_t *)(v33 + 56)); // 0x488d63
                                *(int32_t *)(v33 + 72) = v36;
                                int32_t v37 = g5; // 0x488d6a
                                uint32_t v38 = *(int32_t *)(v37 + 88) & 31; // 0x488d6d
                                int32_t v39 = v36; // 0x488d7a
                                if (v38 != 0) {
                                    // if_488d6d_0_true
                                    v39 = v36 << v38;
                                    // branch -> after_if_488d6d_0
                                }
                                int32_t v40 = *(int32_t *)(v37 + 108); // 0x488d72
                                unsigned char v41 = *(char *)(*(int32_t *)(v37 + 56) + 1 + v40); // 0x488d75
                                int32_t v42 = *(int32_t *)(v37 + 84); // 0x488d7c
                                *(int32_t *)(v37 + 72) = ((int32_t)v41 ^ v39) & v42;
                                v34 = g5;
                                // branch -> 0x488d82
                            }
                            // 0x488d82
                            if (*(int32_t *)(v34 + 116) > 261 || *(int32_t *)(*(int32_t *)v34 + 4) == 0) {
                                // 0x488d97
                                return;
                            }
                            // 0x488d8b
                            v2 = g10;
                            v1 = v34;
                            // branch -> 0x488c96
                            goto lab_0x488c96;
                        } else {
                            // 0x488d32
                            v23 = g10;
                            v24 = v16;
                            // branch -> 0x488d19
                            continue;
                        }
                    }
                } else {
                    // 0x488d0a
                    v14 = v16;
                    // branch -> 0x488cf1
                    continue;
                }
            }
        }
        // 0x488d3a
        v7 = *(int32_t *)v6;
        if (*(int32_t *)(v7 + 4) != 0) {
            goto lab_0x488d42;
        }
        // 0x488d97
        return;
    }
}

// Address range: 0x489600 - 0x489afb
void function_489600(void) {
    struct struct_216 * v1 = (struct struct_216 *)g3; // 0x489606_0
    struct struct_216 * v2 = v1; // bp-80
    int32_t * v3 = v1->e7; // 0x48960c
    struct struct_215 * v4 = (struct struct_215 *)v3; // bp-76
    int32_t v5 = *(int32_t *)g3 - 1; // 0x489618
    int32_t v6 = v1->e1 - 5 + v5; // 0x489626
    char * v7 = (char *)v6; // 0x48962a_0
    int32_t v8 = v1->e3 - 1; // 0x489637
    int32_t v9 = v8; // ebx
    int32_t v10 = v1->e4; // 0x48963a
    uint32_t v11 = v10 - 257 + v8; // 0x489646
    int32_t v12 = (int32_t)v3; // 0x489650
    int32_t v13 = v3[10]; // 0x489654
    uint32_t v14 = v3[12]; // 0x48966a
    char * v15 = (char *)v3[13]; // bp-44
    int32_t v16 = *(int32_t *)(v12 + 76); // 0x489696
    int32_t v17 = *(int32_t *)(v12 + 80); // 0x4896a1
    uint32_t v18 = *(int32_t *)(v12 + 84) & 31; // 0x4896b4
    int32_t v19 = 1; // 0x4896b6
    if (v18 != 0) {
        // if_4896b4_0_true
        v19 = 1 << v18;
        // branch -> after_if_4896b4_0
    }
    uint32_t v20 = *(int32_t *)(v12 + 88) & 31; // 0x4896c7
    int32_t v21 = 1; // 0x4896c9
    if (v20 != 0) {
        // if_4896c7_0_true
        v21 = 1 << v20;
        // branch -> after_if_4896c7_0
    }
    // after_if_4896c7_0
    unsigned char v22;
    int32_t v23 = v22; // 0x48971e
    uint32_t v24 = v23 & 31; // 0x489725
    char v25;
    int32_t v26 = v25; // 0x4899fe
    int32_t v27 = v8; // 0x489736
    int32_t v28 = *(int32_t *)(v12 + 60); // 0x489aeb37
    int32_t v29 = *(int32_t *)(v12 + 56); // 0x489ae025
    char * v30 = (char *)v5; // bp+012
    // branch -> 0x4896ce
    while (true) {
        int32_t v31 = v28; // 0x489aeb36
        int32_t v32 = v29; // 0x489ae024
        char * v33 = v30; // bp+011
        if (v28 <= 14) {
            int32_t v34 = (int32_t)v30; // 0x4896d5
            int32_t v35 = (int32_t)*(char *)(v34 + 1); // 0x4896e3
            uint32_t v36 = v28 & 31; // 0x4896e5
            int32_t v37 = v35; // 0x4896e7
            if (v36 != 0) {
                // if_4896e5_0_true
                v37 = v35 << v36;
                // branch -> after_if_4896e5_0
            }
            char * v38 = (char *)(v34 + 2); // 0x4896f0_4
            int32_t v39 = (int32_t)*v38; // 0x4896fe
            uint32_t v40 = v28 + 8 & 31; // 0x489700
            int32_t v41 = v39; // 0x489702
            if (v40 != 0) {
                // if_489700_0_true
                v41 = v39 << v40;
                // branch -> after_if_489700_0
            }
            // after_if_489700_0
            v31 = v28 + 16;
            v32 = v37 + v29 + v41;
            v33 = v38;
            // branch -> 0x48971e
        }
        int32_t v42 = *(int32_t *)(4 * (v32 & v19 - 1) + v16); // 0x489717
        int32_t v43 = v32 >> v24; // 0x489725
        int32_t v44 = v31 - v23; // 0x489729
        int32_t v45 = v42 & 255; // 0x48972d
        uint32_t v46; // 0x489a72
        int32_t v47;
        int32_t v48; // 0x489a6a
        int32_t v49; // 0x489a63
        int32_t v50; // 0x489a74
        char * v51; // 0x489aa3_07
        uint32_t v52; // 0x489ab8
        int32_t v53; // 0x489ae026
        int32_t v54; // 0x489aeb28
        uint32_t v55; // 0x489aeb29
        uint32_t v56; // 0x489a60
        int32_t v57; // 0x489a78
        if ((char)v42 == 0) {
            int32_t v58 = v27 + 1; // 0x489736
            v9 = v58;
            *(char *)v58 = v25;
            v54 = v44;
            v53 = v43;
            v51 = v33;
            // branch -> 0x489a43
          lab_0x489a43_6:
            // 0x489a43
            if (v51 < v7) {
                int32_t v59 = v9; // 0x489a4d
                if (v59 >= v11) {
                    // break -> 0x489a57
                    break;
                }
                v27 = v59;
                v28 = v54;
                v29 = v53;
                v30 = v51;
                // continue -> 0x4896ce
                continue;
            } else {
                v55 = v54;
            }
            // 0x489a57
            v56 = v55 / 8;
            v49 = (int32_t)v51 - v56;
            v48 = v55 - 8 * v56;
            v46 = v48 & 31;
            v50 = 0;
            if (v46 != 0) {
                // if_489a72_0_true
                v50 = (1 << v46) - 1;
                // branch -> after_if_489a72_0
            }
            // after_if_489a72_0
            v57 = v50 & v53;
            *(int32_t *)v2 = v49 + 1;
            v2->e3 = v9 + 1;
            if ((char *)v49 < v7) {
                // 0x489a96
                v47 = v6 - v49 + 5;
                // branch -> 0x489ab2
            } else {
                // 0x489aa3
                v47 = 5 - (v49 - v6);
                // branch -> 0x489ab2
            }
            // 0x489ab2
            v2->e1 = v47;
            v52 = v9;
            if (v52 < v11) {
                // 0x489abe
                // branch -> 0x489ad6
                // 0x489ad6
                v2->e4 = v11 - v52 + 257;
                *(int32_t *)((int32_t)v4 + 56) = v57;
                *(int32_t *)((int32_t)v4 + 60) = v48;
                return;
            }
            // 0x489acb
            // branch -> 0x489ad6
            // 0x489ad6
            v2->e4 = 257 - (v52 - v11);
            *(int32_t *)((int32_t)v4 + 56) = v57;
            *(int32_t *)((int32_t)v4 + 60) = v48;
            return;
        }
        // 0x489742
        if (v45 == 16) {
            // 0x489a1f
            v4->e0 = 11;
            v55 = v44;
            // branch -> 0x489a57
            // 0x489a57
            v56 = v55 / 8;
            v49 = (int32_t)v33 - v56;
            v48 = v55 - 8 * v56;
            v46 = v48 & 31;
            v50 = 0;
            if (v46 != 0) {
                // if_489a72_0_true
                v50 = (1 << v46) - 1;
                // branch -> after_if_489a72_0
            }
            // after_if_489a72_0
            v57 = v50 & v43;
            *(int32_t *)v2 = v49 + 1;
            v2->e3 = v9 + 1;
            if ((char *)v49 < v7) {
                // 0x489a96
                v47 = v6 - v49 + 5;
                // branch -> 0x489ab2
            } else {
                // 0x489aa3
                v47 = 5 - (v49 - v6);
                // branch -> 0x489ab2
            }
            // 0x489ab2
            v2->e1 = v47;
            v52 = v9;
            if (v52 < v11) {
                // 0x489abe
                // branch -> 0x489ad6
                // 0x489ad6
                v2->e4 = v11 - v52 + 257;
                *(int32_t *)((int32_t)v4 + 56) = v57;
                *(int32_t *)((int32_t)v4 + 60) = v48;
                return;
            }
            // 0x489acb
            // branch -> 0x489ad6
            // 0x489ad6
            v2->e4 = 257 - (v52 - v11);
            *(int32_t *)((int32_t)v4 + 56) = v57;
            *(int32_t *)((int32_t)v4 + 60) = v48;
            return;
        }
        int32_t v60 = v26; // eax
        uint32_t v61 = v42 & 15; // 0x489753
        uint32_t v62 = v26; // 0x4898af
        int32_t v63 = v44; // 0x489aeb33
        int32_t v64 = v43; // 0x489ae021
        char * v65 = v33; // bp+010
        if (v61 != 0) {
            int32_t v66 = v44; // 0x489aeb34
            int32_t v67 = v43; // 0x489ae016
            char * v68 = v33; // 0x489aa3_06
            if (v61 > v44) {
                char * v69 = (char *)((int32_t)v33 + 1); // 0x489760_4
                int32_t v70 = (int32_t)*v69; // 0x48976c
                uint32_t v71 = v44 & 31; // 0x48976f
                int32_t v72 = v70; // 0x489771
                if (v71 != 0) {
                    // if_48976f_0_true
                    v72 = v70 << v71;
                    // branch -> after_if_48976f_0
                }
                // after_if_48976f_0
                v66 = v44 + 8;
                v67 = v72 + v43;
                v68 = v69;
                // branch -> if_489781_0_true
            }
            int32_t v73 = (v67 & (1 << v61) - 1) + v26; // 0x489788
            v60 = v73;
            v62 = v73;
            v63 = v66 - v61;
            v64 = v67 >> v61;
            v65 = v68;
            // branch -> 0x489794
        }
        int32_t v74 = v63; // 0x489aeb32
        int32_t v75 = v64; // 0x489ae020
        char * v76 = v65; // 0x489aa3_09
        if (v63 <= 14) {
            int32_t v77 = (int32_t)v65; // 0x48979b
            int32_t v78 = (int32_t)*(char *)(v77 + 1); // 0x4897a7
            uint32_t v79 = v63 & 31; // 0x4897aa
            int32_t v80 = v78; // 0x4897ac
            if (v79 != 0) {
                // if_4897aa_0_true
                v80 = v78 << v79;
                // branch -> after_if_4897aa_0
            }
            char * v81 = (char *)(v77 + 2); // 0x4897b5_4
            int32_t v82 = (int32_t)*v81; // 0x4897c1
            uint32_t v83 = v63 + 8 & 31; // 0x4897c4
            int32_t v84 = v82; // 0x4897c6
            if (v83 != 0) {
                // if_4897c4_0_true
                v84 = v82 << v83;
                // branch -> after_if_4897c4_0
            }
            // after_if_4897c4_0
            v74 = v63 + 16;
            v75 = v80 + v64 + v84;
            v76 = v81;
            // branch -> 0x4897e2
        }
        int32_t v85 = *(int32_t *)(4 * (v75 & v21 - 1) + v17); // 0x4897db
        int32_t v86 = v75 >> v24; // 0x4897e9
        int32_t v87 = v74 - v23; // 0x4897ed
        if ((char)v85 == 16) {
            // 0x4899d0
            v2->e6 = (int32_t)"invalid distance code";
            v4->e0 = 27;
            v55 = v87;
            // branch -> 0x489a57
        } else {
            uint32_t v88 = v85 & 15; // 0x489807
            int32_t v89 = v87; // 0x489aeb30
            int32_t v90 = v86; // 0x489ae017
            char * v91 = v76; // 0x489aa3_08
            if (v88 > v87) {
                int32_t v92 = (int32_t)v76; // 0x489810
                char * v93 = (char *)(v92 + 1); // 0x489810_4
                int32_t v94 = (int32_t)*v93; // 0x48981c
                uint32_t v95 = v87 & 31; // 0x48981f
                int32_t v96 = v94; // 0x489821
                if (v95 != 0) {
                    // if_48981f_0_true
                    v96 = v94 << v95;
                    // branch -> after_if_48981f_0
                }
                int32_t v97 = v96 + v86; // 0x489821
                int32_t v98 = v87 + 8; // 0x489825
                if (v88 > v98) {
                    char * v99 = (char *)(v92 + 2); // 0x489830_4
                    int32_t v100 = (int32_t)*v99; // 0x48983c
                    uint32_t v101 = v98 & 31; // 0x48983f
                    int32_t v102 = v100; // 0x489841
                    if (v101 != 0) {
                        // if_48983f_0_true
                        v102 = v100 << v101;
                        // branch -> after_if_48983f_0
                    }
                    // after_if_48983f_0
                    v89 = v87 + 16;
                    v90 = v102 + v97;
                    v91 = v99;
                    // branch -> 0x48984a
                } else {
                    v89 = v98;
                    v90 = v97;
                    v91 = v93;
                }
            }
            int32_t v103 = 1; // 0x489853
            if (v88 != 0) {
                // if_489851_0_true
                v103 = 1 << v88;
                // branch -> after_if_489851_0
            }
            int32_t v104 = v90; // 0x489ae027
            if (v88 != 0) {
                // if_48985a_0_true
                v104 = v90 >> v88;
                // branch -> after_if_48985a_0
            }
            int32_t v105 = v89 - v88; // 0x48985e
            uint32_t v106 = v27 - (v10 - g8 + v8); // 0x489864
            int32_t v107 = (v103 - 1 & v90) + v26; // 0x489868
            int32_t v108 = v107; // edi
            int32_t v109; // ecx
            int32_t v110; // edx
            if (v106 < v107) {
                uint32_t v111 = v107 - v106; // 0x489874
                int32_t v112 = v111; // esi
                if (v111 > v3[11]) {
                    // 0x48987e
                    v2->e6 = (int32_t)"invalid distance too far back";
                    v4->e0 = 27;
                    v55 = v105;
                    // branch -> 0x489a57
                } else {
                    int32_t v113 = (int32_t)*v15 - 1; // 0x48989b
                    int32_t v114; // 0x4898bc
                    int32_t v115; // 0x489925
                    int32_t v116; // 0x489920
                    int32_t v117; // 0x489949
                    if (v14 == 0) {
                        int32_t v118 = v13 - v111; // 0x4898a7
                        v109 = v118;
                        int32_t v119 = v113 + v118; // 0x4898a9
                        v110 = v119;
                        int32_t v120 = v62 - v111; // 0x4898ab
                        if (v62 > v111) {
                            // 0x4898af
                            v60 = v120;
                            int32_t v121 = v119; // 0x4898b2
                            int32_t v122 = v27; // 0x4898b1
                            // branch -> 0x4898b1
                            while (true) {
                                int32_t v123 = v122 + 1; // 0x4898b1
                                v9 = v123;
                                int32_t v124 = v121 + 1; // 0x4898b2
                                v110 = v124;
                                unsigned char v125 = *(char *)v124; // 0x4898b3
                                v109 = (int32_t)v125 | v118 & -256;
                                *(char *)v123 = v125;
                                int32_t v126 = v112 - 1; // 0x4898b7
                                v112 = v126;
                                int32_t v127 = v9; // 0x4898ba
                                if (v126 == 0) {
                                    // 0x4898ba
                                    v114 = v127 - v108;
                                    v110 = v114;
                                    // branch -> 0x489920
                                  lab_0x489920_5:
                                    // 0x489920
                                    v116 = v60;
                                    v117 = v116;
                                    if (v116 >= 2 && v116 != 2) {
                                        v115 = v114;
                                      lab_0x489925_2:
                                        while (true) {
                                            int32_t v128 = v9 + 1; // 0x489926
                                            unsigned char v129 = *(char *)(v115 + 1); // 0x489927
                                            *(char *)v128 = v129;
                                            int32_t v130 = v128 + 1; // 0x48992c
                                            int32_t v131 = v115 + 2; // 0x48992d
                                            unsigned char v132 = *(char *)v131; // 0x48992d
                                            int32_t v133 = v109 & -256 | (int32_t)v129; // 0x48992d
                                            v110 = v131 + 1;
                                            *(char *)v130 = v132;
                                            int32_t v134 = v130 + 1; // 0x489932
                                            v9 = v134;
                                            unsigned char v135 = *(char *)v110; // 0x489933
                                            int32_t v136 = v133 & -256 | (int32_t)v132; // 0x489933
                                            v109 = v136 & -256 | (int32_t)v135;
                                            v60 -= 3;
                                            *(char *)v134 = v135;
                                            if (v60 > 2) {
                                                // 0x489925
                                                v115 = v110;
                                                // branch -> 0x489925
                                                continue;
                                            }
                                        }
                                        // 0x489a57
                                        v56 = v55 / 8;
                                        char * v137; // bp+013
                                        v49 = (int32_t)v137 - v56;
                                        v48 = v55 - 8 * v56;
                                        v46 = v48 & 31;
                                        v50 = 0;
                                        if (v46 != 0) {
                                            // if_489a72_0_true
                                            v50 = (1 << v46) - 1;
                                            // branch -> after_if_489a72_0
                                        }
                                        // after_if_489a72_0
                                        int32_t v138; // 0x489ae014
                                        v57 = v50 & v138;
                                        *(int32_t *)v2 = v49 + 1;
                                        v2->e3 = v9 + 1;
                                        if ((char *)v49 < v7) {
                                            // 0x489a96
                                            v47 = v6 - v49 + 5;
                                            // branch -> 0x489ab2
                                        } else {
                                            // 0x489aa3
                                            v47 = 5 - (v49 - v6);
                                            // branch -> 0x489ab2
                                        }
                                        // 0x489ab2
                                        v2->e1 = v47;
                                        v52 = v9;
                                        if (v52 < v11) {
                                            // 0x489abe
                                            // branch -> 0x489ad6
                                            // 0x489ad6
                                            v2->e4 = v11 - v52 + 257;
                                            *(int32_t *)((int32_t)v4 + 56) = v57;
                                            *(int32_t *)((int32_t)v4 + 60) = v48;
                                            return;
                                        }
                                        // 0x489acb
                                        // branch -> 0x489ad6
                                        // 0x489ad6
                                        v2->e4 = 257 - (v52 - v11);
                                        *(int32_t *)((int32_t)v4 + 56) = v57;
                                        *(int32_t *)((int32_t)v4 + 60) = v48;
                                        return;
                                    }
                                  lab_0x48993f_2:
                                    // 0x48993f
                                    if (v117 == 0) {
                                        v54 = v105;
                                        v53 = v104;
                                        v51 = v91;
                                        goto lab_0x489a43_6;
                                    }
                                    int32_t v139 = v110 + 1; // 0x489947
                                    v110 = v139;
                                    int32_t v140 = v9 + 1; // 0x489948
                                    v9 = v140;
                                    *(char *)v140 = *(char *)v139;
                                    if (false || v117 == 1) {
                                        v54 = v105;
                                        v53 = v104;
                                        v51 = v91;
                                        goto lab_0x489a43_6;
                                    }
                                    int32_t v141 = v9 + 1; // 0x489956
                                    v9 = v141;
                                    *(char *)v141 = *(char *)(v110 + 1);
                                    v54 = v105;
                                    v53 = v104;
                                    v51 = v91;
                                    // branch -> 0x489a43
                                    goto lab_0x489a43_6;
                                } else {
                                    // 0x4898b1
                                    v118 = v109;
                                    v121 = v110;
                                    v122 = v127;
                                    // branch -> 0x4898b1
                                    continue;
                                }
                            }
                        } else {
                            v114 = v119;
                        }
                    } else {
                        int32_t v142 = v111 - v14; // 0x4898c0
                        if (v111 > v14) {
                            int32_t v143 = v14 + v13 - v111; // 0x4898ce
                            v109 = v143;
                            int32_t v144 = v113 + v143; // 0x4898d0
                            v110 = v144;
                            v112 = v142;
                            int32_t v145 = v62 - v142; // 0x4898d6
                            if (v62 <= v142) {
                                v114 = v144;
                                goto lab_0x489920_5;
                            }
                            // 0x4898da
                            v60 = v145;
                            int32_t v146 = v27; // 0x4898dc
                            // branch -> 0x4898dc
                            while (true) {
                                int32_t v147 = v146 + 1; // 0x4898dc
                                v9 = v147;
                                int32_t v148 = v144 + 1; // 0x4898dd
                                v110 = v148;
                                unsigned char v149 = *(char *)v148; // 0x4898de
                                v109 = (int32_t)v149 | v143 & -256;
                                *(char *)v147 = v149;
                                int32_t v150 = v112 - 1; // 0x4898e2
                                v112 = v150;
                                if (v150 == 0) {
                                    int32_t v151 = (int32_t)*v15 - 1; // 0x4898e9
                                    v110 = v151;
                                    uint32_t v152 = v60; // 0x4898ea
                                    int32_t v153 = v152 - v14; // 0x4898ea
                                    if (v152 <= v14) {
                                        v114 = v151;
                                        goto lab_0x489920_5;
                                    }
                                    // 0x4898f0
                                    v112 = v14;
                                    v60 = v153;
                                    // branch -> 0x4898f6
                                    while (true) {
                                        int32_t v154 = v9 + 1; // 0x4898f6
                                        v9 = v154;
                                        int32_t v155 = v151 + 1; // 0x4898f7
                                        v110 = v155;
                                        unsigned char v156 = v15[v155]; // 0x4898f8
                                        v109 = v109 & -256 | (int32_t)v156;
                                        *(char *)v154 = v156;
                                        int32_t v157 = v112 - 1; // 0x4898fc
                                        v112 = v157;
                                        if (v157 == 0) {
                                            int32_t v158 = v9 - v108; // 0x489901
                                            v110 = v158;
                                            v114 = v158;
                                            // branch -> 0x489920
                                            goto lab_0x489920_5;
                                        } else {
                                            // 0x4898f6
                                            v151 = v110;
                                            // branch -> 0x4898f6
                                            continue;
                                        }
                                    }
                                } else {
                                    // 0x4898dc
                                    v143 = v109;
                                    v144 = v110;
                                    v146 = v9;
                                    // branch -> 0x4898dc
                                    continue;
                                }
                            }
                        } else {
                            int32_t v159 = v14 - v111; // 0x489909
                            v109 = v159;
                            int32_t v160 = v113 + v159; // 0x48990b
                            v110 = v160;
                            int32_t v161 = v62 - v111; // 0x48990d
                            if (v62 <= v111) {
                                v114 = v160;
                                goto lab_0x489920_5;
                            }
                            // 0x489911
                            v60 = v161;
                            int32_t v162 = v27; // 0x489913
                            // branch -> 0x489913
                            while (true) {
                                int32_t v163 = v162 + 1; // 0x489913
                                v9 = v163;
                                int32_t v164 = v160 + 1; // 0x489914
                                v110 = v164;
                                unsigned char v165 = *(char *)v164; // 0x489915
                                v109 = (int32_t)v165 | v159 & -256;
                                *(char *)v163 = v165;
                                int32_t v166 = v112 - 1; // 0x489919
                                v112 = v166;
                                int32_t v167 = v9; // 0x48991c
                                if (v166 == 0) {
                                    int32_t v168 = v167 - v108; // 0x48991e
                                    v110 = v168;
                                    v114 = v168;
                                    // branch -> 0x489920
                                    goto lab_0x489920_5;
                                } else {
                                    // 0x489913
                                    v159 = v109;
                                    v160 = v110;
                                    v162 = v167;
                                    // branch -> 0x489913
                                    continue;
                                }
                            }
                        }
                    }
                    // 0x489920
                    v116 = v60;
                    if (v116 < 2 || v116 == 2) {
                        v117 = v116;
                        goto lab_0x48993f_2;
                    }
                    v115 = v114;
                    goto lab_0x489925_2;
                }
                // 0x489a57
                v56 = v55 / 8;
                v49 = (int32_t)v91 - v56;
                v48 = v55 - 8 * v56;
                v46 = v48 & 31;
                v50 = 0;
                if (v46 != 0) {
                    // if_489a72_0_true
                    v50 = (1 << v46) - 1;
                    // branch -> after_if_489a72_0
                }
                // after_if_489a72_0
                v57 = v50 & v104;
                *(int32_t *)v2 = v49 + 1;
                v2->e3 = v9 + 1;
                if ((char *)v49 < v7) {
                    // 0x489a96
                    v47 = v6 - v49 + 5;
                    // branch -> 0x489ab2
                } else {
                    // 0x489aa3
                    v47 = 5 - (v49 - v6);
                    // branch -> 0x489ab2
                }
                // 0x489ab2
                v2->e1 = v47;
                v52 = v9;
                if (v52 < v11) {
                    // 0x489abe
                    // branch -> 0x489ad6
                    // 0x489ad6
                    v2->e4 = v11 - v52 + 257;
                    *(int32_t *)((int32_t)v4 + 56) = v57;
                    *(int32_t *)((int32_t)v4 + 60) = v48;
                    return;
                }
                // 0x489acb
                // branch -> 0x489ad6
                // 0x489ad6
                v2->e4 = 257 - (v52 - v11);
                *(int32_t *)((int32_t)v4 + 56) = v57;
                *(int32_t *)((int32_t)v4 + 60) = v48;
                return;
            }
            int32_t v169 = v27; // 0x489966
            int32_t v170 = v27 - v107; // 0x489965
            // branch -> 0x489965
            while (true) {
                int32_t v171 = v169 + 1; // 0x489966
                unsigned char v172 = *(char *)(v170 + 1); // 0x489967
                *(char *)v171 = v172;
                int32_t v173 = v171 + 1; // 0x48996c
                int32_t v174 = v170 + 2; // 0x48996d
                unsigned char v175 = *(char *)v174; // 0x48996d
                v110 = v174 + 1;
                *(char *)v173 = v175;
                int32_t v176 = v173 + 1; // 0x489972
                v9 = v176;
                unsigned char v177 = *(char *)v110; // 0x489973
                int32_t v178 = ((int32_t)v172 | v88 & -256) & -256 | (int32_t)v175; // 0x489973
                v109 = v178 & -256 | (int32_t)v177;
                v60 -= 3;
                *(char *)v176 = v177;
                if (v60 > 2) {
                    // 0x489965
                    v88 = v109;
                    v169 = v9;
                    v170 = v110;
                    // branch -> 0x489965
                    continue;
                } else {
                    // 0x48997f
                    if (v60 == 0) {
                        v54 = v105;
                        v53 = v104;
                        v51 = v91;
                        goto lab_0x489a43_6;
                    }
                    int32_t v179 = v110 + 1; // 0x489987
                    v110 = v179;
                    int32_t v180 = v9 + 1; // 0x489988
                    v9 = v180;
                    *(char *)v180 = *(char *)v179;
                    if (v60 < 2) {
                        v54 = v105;
                        v53 = v104;
                        v51 = v91;
                        goto lab_0x489a43_6;
                    }
                    int32_t v181 = v9 + 1; // 0x489996
                    v9 = v181;
                    *(char *)v181 = *(char *)(v110 + 1);
                    v54 = v105;
                    v53 = v104;
                    v51 = v91;
                    // branch -> 0x489a43
                    goto lab_0x489a43_6;
                }
            }
        }
        // 0x489a57
        v56 = v55 / 8;
        v49 = (int32_t)v76 - v56;
        v48 = v55 - 8 * v56;
        v46 = v48 & 31;
        v50 = 0;
        if (v46 != 0) {
            // if_489a72_0_true
            v50 = (1 << v46) - 1;
            // branch -> after_if_489a72_0
        }
        // after_if_489a72_0
        v57 = v50 & v86;
        *(int32_t *)v2 = v49 + 1;
        v2->e3 = v9 + 1;
        if ((char *)v49 < v7) {
            // 0x489a96
            v47 = v6 - v49 + 5;
            // branch -> 0x489ab2
        } else {
            // 0x489aa3
            v47 = 5 - (v49 - v6);
            // branch -> 0x489ab2
        }
        // 0x489ab2
        v2->e1 = v47;
        v52 = v9;
        if (v52 < v11) {
            // 0x489abe
            // branch -> 0x489ad6
            // 0x489ad6
            v2->e4 = v11 - v52 + 257;
            *(int32_t *)((int32_t)v4 + 56) = v57;
            *(int32_t *)((int32_t)v4 + 60) = v48;
            return;
        }
        // 0x489acb
        // branch -> 0x489ad6
        // 0x489ad6
        v2->e4 = 257 - (v52 - v11);
        *(int32_t *)((int32_t)v4 + 56) = v57;
        *(int32_t *)((int32_t)v4 + 60) = v48;
        return;
    }
}

// Address range: 0x489afc - 0x489bb7
void function_489afc(void) {
    // 0x489afc
    if (g3 == 0) {
        // 0x489b06
        return;
    }
    int32_t v1 = *(int32_t *)(g3 + 28); // 0x489b00
    if (v1 == 0) {
        // 0x489b06
        return;
    }
    int32_t v2 = 0; // ecx
    *(int32_t *)(v1 + 28) = 0;
    *(int32_t *)(g3 + 20) = v2;
    *(int32_t *)(g3 + 8) = v2;
    *(int32_t *)(g3 + 24) = 0;
    *(int32_t *)(g3 + 48) = 1;
    *(int32_t *)v1 = 0;
    *(int32_t *)(v1 + 4) = 0;
    *(int32_t *)(v1 + 12) = 0;
    *(int32_t *)(v1 + 20) = 0x8000;
    *(int32_t *)(v1 + 32) = 0;
    *(int32_t *)(v1 + 40) = 0;
    *(int32_t *)(v1 + 44) = 0;
    *(int32_t *)(v1 + 48) = 0;
    *(int32_t *)(v1 + 56) = 0;
    int32_t v3 = v1 + 1328; // eax
    *(int32_t *)(v1 + 60) = 0;
    *(int32_t *)(v1 + 108) = v3;
    *(int32_t *)(v1 + 80) = v3;
    *(int32_t *)(v1 + 76) = v3;
}

// Address range: 0x489bb8 - 0x489c8b
void function_489bb8(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g6; // 0x489bbb
    int32_t v3 = g8; // 0x489bc1
    g10 = v3;
    int32_t v4 = g3; // 0x489bc3
    g5 = v4;
    if (v2 != 0) {
        // 0x489bcb
        if (((int32_t)*(char *)v2 || v3 & -256) == g42) {
            // 0x489bd8
            int32_t v5;
            if (v5 == 56) {
                // 0x489be8
                if (v4 == 0) {
                    // 0x489bec
                    // branch -> 0x489c83
                    // 0x489c83
                    return;
                }
                // 0x489bf6
                *(int32_t *)(v4 + 24) = 0;
                int32_t v6 = g5; // 0x489bfb
                int32_t * v7 = (int32_t *)(v6 + 32); // 0x489bfb_0
                if (*v7 == 0) {
                    // 0x489c01
                    *v7 = 0x48713c;
                    *(int32_t *)(g5 + 40) = 0;
                    v6 = g5;
                    // branch -> 0x489c0d
                }
                int32_t * v8 = (int32_t *)(v6 + 36); // 0x489c0d_0
                int32_t v9 = *v8; // 0x489c0d
                g2 = false;
                g1 = false;
                g187 = v9 == 0;
                g9 = llvm_ctpop_i32(v9) % 2 == 1;
                if (v9 == 0) {
                    // 0x489c13
                    *v8 = 0x487160;
                    v6 = g5;
                    // branch -> 0x489c1a
                }
                // 0x489c1a
                g6 = 0x2530;
                g8 = 1;
                g3 = *(int32_t *)(v6 + 40);
                ((int32_t (*)())*(int32_t *)(v6 + 32))();
                int32_t v10 = g3; // 0x489c2a
                if (v10 == 0) {
                    // 0x489c2e
                    // branch -> 0x489c83
                } else {
                    // 0x489c35
                    *(int32_t *)(g5 + 28) = v10;
                    int32_t v11 = g10; // 0x489c38
                    if (v11 > -1) {
                        int32_t v12 = v11 / 16 + 1; // 0x489c4a
                        g6 = v12;
                        *(int32_t *)(g3 + 8) = v12;
                        if (v11 <= 47) {
                            // 0x489c53
                            g10 &= 15;
                            // branch -> 0x489c56
                        }
                    } else {
                        // 0x489c3c
                        g10 = -v11;
                        *(int32_t *)(g3 + 8) = 0;
                        // branch -> 0x489c56
                    }
                    uint32_t v13 = g10; // 0x489c56
                    int32_t v14 = v13 & 15; // 0x489c56
                    g2 = v14 > 23;
                    g1 = v13 < 8;
                    int32_t v15 = v13 - 8; // 0x489c56
                    g187 = v15 == 0;
                    g9 = llvm_ctpop_i32(v15) % 2 == 1;
                    if (!((v15 < 0 ^ (7 - v13 & v13) < 0))) {
                        // 0x489c5b
                        g2 = v14 > 30;
                        g1 = v13 < 15;
                        int32_t v16 = v13 - 15; // 0x489c5b
                        g187 = v16 == 0;
                        g9 = llvm_ctpop_i32(v16) % 2 == 1;
                        if (v16 == 0 || v16 < 0 ^ (14 - v13 & v13) < 0) {
                            // 0x489c74
                            *(int32_t *)(g3 + 36) = v13;
                            *(int32_t *)(g3 + 52) = 0;
                            g3 = g5;
                            function_489afc();
                            // branch -> 0x489c83
                            // 0x489c83
                            return;
                        }
                    }
                    // 0x489c60
                    g8 = g3;
                    int32_t v17 = g5; // 0x489c62
                    g3 = *(int32_t *)(v17 + 40);
                    ((int32_t (*)())*(int32_t *)(v17 + 36))();
                    *(int32_t *)(g5 + 28) = 0;
                    // branch -> 0x489c83
                }
                // 0x489c83
                return;
            }
        }
    }
    // 0x489bde
    // branch -> 0x489c83
}

// Address range: 0x489c8c - 0x489c9b
void function_489c8c(void) {
    int32_t v1 = g8; // 0x489c92
    g8 = 15;
    g6 = v1;
    function_489bb8();
}

// Address range: 0x489c9c - 0x489cbb
void function_489c9c(void) {
    // 0x489c9c
    *(int32_t *)(g3 + 76) = 0x4c0f80;
    *(int32_t *)(g3 + 84) = 9;
    *(int32_t *)(g3 + 80) = 0x4c1780;
    *(int32_t *)(g3 + 88) = 5;
}

// Address range: 0x489cbc - 0x48b3b3
void function_489cbc(void) {
    // 0x489cbc
    int32_t * v1; // bp-16
    g11 = (int32_t)&v1;
    g7 = g8;
    int32_t v2 = g3; // 0x489cc2
    v1 = (int32_t *)v2;
    int32_t v3 = *(int32_t *)(v2 + 28); // 0x489cc8
    g5 = v3;
    int32_t v4 = *(int32_t *)(v3 + 52); // 0x489ccb
    g2 = false;
    g1 = false;
    g187 = v4 == 0;
    g9 = llvm_ctpop_i32(v4) % 2 == 1;
    int32_t v5 = v3; // 0x489d0f
    if (v4 == 0) {
        // 0x489cd1
        g8 = 1;
        uint32_t v6 = *(int32_t *)(v3 + 36) & 31; // 0x489cd9
        if (v6 != 0) {
            int32_t v7 = 1 << v6; // 0x489cd9
            g1 = false;
            g187 = false;
            g9 = llvm_ctpop_i32(v7) % 2 == 1;
            g8 = v7;
            // branch -> after_if_489cd9_0
        }
        // after_if_489cd9_0
        g10 = v2;
        g6 = 1;
        g3 = *(int32_t *)(v2 + 40);
        ((int32_t (*)())*(int32_t *)(v2 + 32))();
        *(int32_t *)(g5 + 52) = g3;
        if (g3 == 0) {
            // 0x489dbb
            return;
        }
        // after_if_489cd9_0.dec_label_pc_489cff_crit_edge
        v5 = g5;
        // branch -> 0x489cff
    }
    int32_t * v8 = (int32_t *)(v5 + 40); // 0x489cff_0
    int32_t v9 = v5; // 0x489d68
    if (*v8 == 0) {
        uint32_t v10 = *(int32_t *)(v5 + 36) & 31; // 0x489d0d
        int32_t v11 = 1; // 0x489d0f
        if (v10 != 0) {
            // if_489d0d_0_true
            v11 = 1 << v10;
            // branch -> after_if_489d0d_0
        }
        // after_if_489d0d_0
        *v8 = v11;
        *(int32_t *)(g5 + 48) = 0;
        *(int32_t *)(g5 + 44) = 0;
        v9 = g5;
        // branch -> 0x489d1c
    }
    int32_t v12 = g7 - *(int32_t *)((int32_t)v1 + 16); // 0x489d21
    int32_t * v13 = (int32_t *)(v9 + 40); // 0x489d24_0
    if (v12 >= *v13) {
        // 0x489d2b
        function_487190();
        *(int32_t *)(g5 + 48) = 0;
        *(int32_t *)(g5 + 44) = *(int32_t *)(g5 + 40);
        // branch -> 0x489db9
        // 0x489db9
        // branch -> 0x489dbb
        // 0x489dbb
        return;
    }
    int32_t v14 = *v13 - *(int32_t *)(v9 + 48); // 0x489d55
    int32_t v15 = v14; // edi
    if (v12 < v14) {
        // 0x489d5b
        v15 = v12;
        // branch -> 0x489d5d
    }
    // 0x489d5d
    function_487190();
    if (v12 == v15) {
        int32_t * v16 = (int32_t *)(g5 + 48); // 0x489d9e_0
        *v16 = *v16 + v12;
        int32_t * v17 = (int32_t *)(g5 + 48); // 0x489da1_0
        int32_t v18 = g5; // 0x489db6
        if (*v17 == *(int32_t *)(g5 + 40)) {
            // 0x489da9
            *v17 = 0;
            v18 = g5;
            // branch -> 0x489dae
        }
        int32_t * v19 = (int32_t *)(v18 + 44); // 0x489dae_0
        if (*v19 < *(int32_t *)(v18 + 40)) {
            // 0x489db6
            *v19 = v15 + *v19;
            // branch -> 0x489db9
        }
    } else {
        // 0x489d7c
        function_487190();
        *(int32_t *)(g5 + 48) = v12 - v15;
        *(int32_t *)(g5 + 44) = *(int32_t *)(g5 + 40);
        // branch -> 0x489db9
    }
    // 0x489db9
    // branch -> 0x489dbb
}

// Address range: 0x48b3b4 - 0x48b627
void function_48b3b4(void) {
    int32_t * v1 = (int32_t *)g3; // 0x48b3b8_0
    int32_t v2 = *v1; // 0x48b3b8
    if (g6 == 0) {
        // 0x48b3f3
        *v1 = v2;
        return;
    }
    int32_t v3 = 0; // 0x48b3e814
    int32_t v4; // 0x48b3ee4
    while (true) {
        int32_t v5 = v2;
        if (v2 < 4) {
            int32_t v6 = g8; // 0x48b3be
            char * v7 = (char *)v6; // 0x48b3be_0
            int32_t v8 = 255;
            if (v2 < 2) {
                // 0x48b3c6
                v8 = 0;
                // branch -> 0x48b3cf
            }
            // 0x48b3cf
            int32_t v9; // 0x48b3e8
            if ((int32_t)*v7 == v8) {
                // 0x48b3d3
                v4 = v2 + 1;
                // branch -> 0x48b3e8
            } else {
                // 0x48b3d6
                if (*v7 == 0) {
                    // 0x48b3df
                    v4 = 4 - v2;
                    // branch -> 0x48b3e8
                } else {
                    // 0x48b3db
                    v4 = 0;
                    // branch -> 0x48b3e8
                }
                // 0x48b3e8
                v9 = v3 + 1;
                g8 = v6 + 1;
                if (g6 <= v9) {
                    // break -> 0x48b3f3
                    break;
                }
                v3 = v9;
                v2 = v4;
                // continue -> 0x48b3ee
                continue;
            }
            // 0x48b3e8
            v9 = v3 + 1;
            g8 = v6 + 1;
            if (g6 <= v9) {
                // break -> 0x48b3f3
                break;
            }
            v3 = v9;
            v2 = v4;
            // continue -> 0x48b3ee
            continue;
        }
        // 0x48b3f3
        *v1 = v5;
        return;
    }
    // 0x48b3f3
    *v1 = v4;
}

// Address range: 0x48b628 - 0x48ba97
void function_48b628(void) {
    int16_t v1[2]; // 0x48b663_6
    int16_t v2[2]; // 0x48b922_6
    struct struct_222 v3; // 0x48b9e3_0
    struct struct_222 v4; // 0x48b9f9_0
    int32_t v5;
    int32_t v6 = &v5; // ebp
    int16_t * v7 = (int16_t *)g8; // bp-12
    int16_t (*v8)[2];
    int32_t v9 = (int32_t)&v8; // eax
    *v8 = {0, 0};
    char v10 = 1; // 0x48b647
    v9 += 2;
    // branch -> 0x48b642
    while (v10 < 16) {
        // 0x48b642
        *v8 = {0, 0};
        v10++;
        v9 += 2;
        // continue -> 0x48b642
    }
    // 0x48b653
    char v11; // 0x48b674_0
    int32_t v12; // 0x48b6e3_0
    int16_t v13; // 0x48b6e6_0
    int16_t v14; // 0x75413
    struct struct_222 * v15;
    char * v16;
    int16_t * v17;
    struct struct_222 * v18; // bp-52
    int32_t v19;
    int32_t v20; // 0x48b721
    int32_t * v21;
    int32_t * v22;
    int32_t v23; // 0x48b687
    int32_t v24; // 0x48b732
    char v25; // bp+028
    char v26; // bp+029
    char v27; // bp+035
    char v28; // bp+024
    char v29; // bp+025
    char v30; // bp+026
    char v31; // bp+027
    if (g6 != 0) {
        int32_t v32 = 0; // 0x48b662
        int32_t v33 = (int32_t)*v7; // bp+740
        while (true) {
            int16_t (*v34)[2] = v8;
            v1[0] = v34[0] + 1;
            *v34 = v1;
            int32_t v35 = v32 + 1; // 0x48b668
            if (g6 > v35) {
                // 0x48b65c
                v32 = v35;
                v33 += 2;
                // branch -> 0x48b65c
                continue;
            } else {
                // 0x48b66c
                // branch -> 0x48b66c
                // 0x48b66c
                v11 = (char)*(int32_t *)v16;
                v23 = &v19;
                v30 = 15;
                // branch -> 0x48b67e
                while (true) {
                    // 0x48b67e
                    v31 = v30;
                    if (*(int16_t *)v23 == 0) {
                      lab_0x48b684:;
                        char v36 = v30 - 1; // 0x48b684
                        int32_t v37 = v23 - 2; // 0x48b687
                        if (v36 == 0) {
                            // break -> 0x48b690
                            break;
                        }
                        v23 = v37;
                        v30 = v36;
                        // continue -> 0x48b67e
                        continue;
                    }
                    // 0x48b690
                    v29 = v11;
                    if (v11 > v31) {
                        // 0x48b698
                        v29 = v31;
                        // branch -> 0x48b69e
                    }
                    // 0x48b69e
                    if (v31 == 0) {
                        // 0x48b6a4
                        v18 = (struct struct_222 *)64;
                        v21 = v15->e0;
                        *v21 = *v21 + 4;
                        *(int32_t *)*v21 = (int32_t)v18->e0;
                        v22 = v15->e0;
                        *v22 = *v22 + 4;
                        *(int32_t *)*v22 = (int32_t)v18->e0;
                        *(int32_t *)v16 = 1;
                        // branch -> 0x48ba8e
                        // 0x48ba8e
                        return;
                    }
                    // 0x48b6dc
                    v12 = (int32_t)&v17;
                    v13 = v12;
                    v26 = 1;
                    v14 = v13;
                    // branch -> 0x48b6e9
                    while (true) {
                        // 0x48b6e9
                        v25 = v26;
                        if (*(int16_t *)(int32_t)v14 == 0) {
                          lab_0x48b6f2:;
                            char v38 = v26 + 1; // 0x48b6f2
                            if (v38 >= 16) {
                                // break -> 0x48b6ff
                                break;
                            }
                            v26 = v38;
                            v14 += 2;
                            // continue -> 0x48b6e9
                            continue;
                        }
                        // 0x48b6ff
                        v28 = v29;
                        if (v29 < v25) {
                            // 0x48b707
                            v28 = v25;
                            // branch -> 0x48b70d
                        }
                        // 0x48b70d
                        v24 = v12;
                        int32_t v39 = 1; // 0x48b71c
                        v27 = 1;
                        // branch -> 0x48b71c
                        while (true) {
                            // 0x48b71c
                            v20 = 2 * v39 - (int32_t)v17[v24];
                            if (v20 <= -1) {
                                // 0x48b727
                                // branch -> 0x48ba8e
                                // 0x48ba8e
                                return;
                            }
                          lab_0x48b72f:;
                            char v40 = v27 + 1; // 0x48b72f
                            if (v40 >= 16) {
                                // break -> 0x48b73b
                                break;
                            }
                            v24 += 2;
                            v39 = v20;
                            v27 = v40;
                            // continue -> 0x48b71c
                        }
                        // 0x48b73b
                        int32_t v41; // 0x48b77c
                        char v42; // 0x48b77f
                        int32_t v43; // 0x48b766_0
                        int32_t v44; // ebx
                        int32_t v45; // edx
                        int32_t v46; // esi
                        int16_t v47; // 0x75410
                        int16_t v48; // 0x75411
                        int16_t v49; // 0x75412
                        uint32_t v50; // 0x48b84a
                        int32_t v51;
                        int32_t v52;
                        struct struct_222 * v53; // bp-56
                        int32_t v54; // 0x48b794
                        int32_t v55; // 0x48b7c0
                        int32_t v56; // 0x48b7c5
                        int32_t v57; // 0x48b778
                        int32_t v58; // 0x48b79b
                        int16_t v59; // 0x48b775
                        int32_t v60; // 0x48b852
                        int32_t v61; // 0x48b76f
                        int32_t v62; // 0x48b772
                        int32_t v63; // 0x48b798
                        int32_t v64; // 0x48b83a
                        int32_t v65; // 0x48b84c
                        int32_t v66; // 0x48b89e15
                        char v67;
                        char v68; // bp+033
                        int32_t v69;
                        int32_t v70; // 0x48b89914
                        int32_t v71;
                        int32_t v72; // 0x48b87b
                        int32_t v73; // 0x48b775
                        if (v20 >= 1) {
                            // 0x48b73f
                            if (g3 != 0) {
                                // 0x48b745
                                if (v31 == 1) {
                                    // 0x48b753
                                    v52 = 0;
                                    v43 = &v52;
                                    v9 = v43;
                                    int32_t v74 = v12; // 0x48b76f
                                    v57 = v43;
                                    char v75 = 1; // bp+034
                                    v49 = v13;
                                    // branch -> 0x48b76f
                                    while (true) {
                                        // 0x48b76f
                                        v61 = v74 & -0x10000;
                                        v62 = v49;
                                        v44 = v62;
                                        v59 = *(int16_t *)v62;
                                        v73 = (int32_t)v59 + ((int32_t)*(int16_t *)v57 | v61);
                                        *(int16_t *)(v57 + 2) = (int16_t)v73;
                                        v41 = v9 + 2;
                                        v9 = v41;
                                        v42 = v75 + 1;
                                        if (v42 < 15) {
                                          lab_0x48b76f:
                                            // 0x48b76f
                                            v74 = v73 & 0xffff | v61;
                                            v57 = v41;
                                            v75 = v42;
                                            v49 += 2;
                                            // branch -> 0x48b76f
                                            continue;
                                        } else {
                                            // 0x48b78c
                                            v45 = 0;
                                            v54 = g6;
                                            if (v54 != 0) {
                                                int32_t v76 = v54; // 0x48b7c599
                                                int32_t v77 = 0; // 0x48b7c097
                                                v48 = *v7;
                                                while (true) {
                                                    // 0x48b798
                                                    v63 = v48;
                                                    v58 = (int32_t)*(int16_t *)v63;
                                                    v56 = v76;
                                                    v55 = v77;
                                                    if ((v63 & -0x10000 || v58) != 0) {
                                                      lab_0x48b7a3:;
                                                        int16_t * v78 = (int16_t *)(2 * v58 - 132 + v6); // 0x48b7a6_0
                                                        *v78 = *v78 + 1;
                                                        int32_t v79 = v44 & -0x10000 | (int32_t)*v78; // 0x48b7b6
                                                        v44 = v51;
                                                        *(int16_t *)(2 * (v79 & 0xffff) + v51) = (int16_t)v45;
                                                        v56 = g6;
                                                        v55 = v45;
                                                        // branch -> 0x48b7c0
                                                    }
                                                  lab_0x48b7c0:;
                                                    int32_t v80 = v55 + 1; // 0x48b7c0
                                                    v45 = v80;
                                                    if (v56 <= v80) {
                                                        // break -> 0x48b7c9
                                                        break;
                                                    }
                                                    v76 = v56;
                                                    v77 = v80;
                                                    v48 += 2;
                                                    // continue -> 0x48b798
                                                }
                                                // 0x48b7c9
                                                // branch -> 0x48b7c9
                                            }
                                            // 0x48b7c9
                                            v66 = 0x4c1a90;
                                            v70 = -1;
                                            switch (g3) {
                                                case 0: {
                                                    // 0x48b7d5
                                                    v66 = v51;
                                                    v70 = 19;
                                                    // branch -> 0x48b821
                                                    break;
                                                }
                                                case 1: {
                                                    // 0x48b7e7
                                                    v66 = 0x4c1810;
                                                    v70 = 256;
                                                    // branch -> 0x48b821
                                                    break;
                                                }
                                            }
                                            // 0x48b821
                                            v46 = 0;
                                            v53 = (struct struct_222 *)*v15->e0;
                                            v64 = v28;
                                            v9 = v64;
                                            v50 = v64 & 31;
                                            v65 = 1;
                                            if (v50 != 0) {
                                                // if_48b84a_0_true
                                                v65 = 1 << v50;
                                                // branch -> after_if_48b84a_0
                                            }
                                            // after_if_48b84a_0
                                            v60 = v65 - 1;
                                            if (g3 == 1) {
                                                // 0x48b85c
                                                if (v65 >= 1456) {
                                                    // 0x48b865
                                                    // branch -> 0x48ba8e
                                                    // 0x48ba8e
                                                    return;
                                                }
                                            }
                                            // 0x48b86f
                                            v3 = (struct struct_222){
                                                .e0 = NULL,
                                                .e1 = 0,
                                                .e2 = 0
                                            };
                                            v3.e0 = (int32_t *)(int32_t)v28;
                                            char v81 = v25;
                                            v67 = 0;
                                            v69 = v65;
                                            v71 = -1;
                                            int16_t v82 = v51;
                                            // branch -> 0x48b878
                                            while (true) {
                                              lab_0x48b878:
                                                // 0x48b878
                                                v72 = v67;
                                                v68 = v81;
                                                v47 = v82;
                                                // branch -> 0x48b878
                                              lab_0x48b878_3:
                                                while (true) {
                                                    int32_t v83 = (int32_t)*(int16_t *)(int32_t)v47; // 0x48b884
                                                    int32_t v84; // 0x48b8c9
                                                    struct struct_222 * v85;
                                                    int32_t v86; // 0x48b8be
                                                    int32_t v87; // 0x48b8dd105
                                                    if (v83 < v70) {
                                                      lab_0x48b88f:
                                                        // 0x48b88f
                                                        v18 = NULL;
                                                        v85 = NULL;
                                                        // branch -> 0x48b8be
                                                    } else {
                                                        // 0x48b899
                                                        if (v83 > v70) {
                                                          lab_0x48b89e:;
                                                            struct struct_222 * v88 = (struct struct_222 *)(int32_t)*(char *)(2 * v83 + v66); // 0x48b8a4_0
                                                            v18 = v88;
                                                            v85 = v88;
                                                            // branch -> 0x48b8be
                                                        } else {
                                                          lab_0x48b8b4:
                                                            // 0x48b8b4
                                                            v18 = (struct struct_222 *)96;
                                                            v85 = (struct struct_222 *)96;
                                                            // branch -> 0x48b8be
                                                        }
                                                        // 0x48b8be
                                                        v86 = v68;
                                                        v45 = 1;
                                                        v84 = v86 - v72 & 31;
                                                        v87 = 1;
                                                        if (v84 != 0) {
                                                          lab_if_48b8c9_0_true:;
                                                            int32_t v89 = 1 << v84; // 0x48b8c9
                                                            v45 = v89;
                                                            v87 = v89;
                                                            // branch -> after_if_48b8c9_0
                                                        }
                                                      lab_after_if_48b8c9_0:;
                                                        uint32_t v90 = v9 & 31; // 0x48b8d2
                                                        char v91 = 1;
                                                        if (v90 != 0) {
                                                            // if_48b8d2_0_true
                                                            v91 = 1 << v90;
                                                            // branch -> after_if_48b8d2_0
                                                        }
                                                        int32_t v92 = v91; // 0x48b8d7
                                                        struct struct_222 * v93 = v85;
                                                        int32_t v94 = v87; // 0x48b8dd
                                                        // branch -> 0x48b8dd
                                                        while (true) {
                                                            int32_t v95 = (int32_t)v91 - v94; // 0x48b8dd
                                                            char v96 = v95; // 0x48b8dd_4
                                                            int32_t v97 = v95 + (v46 >> (v72 & 31)); // 0x48b8e7
                                                            int32_t * v98 = v53->e0;
                                                            int32_t * v99 = v93->e0;
                                                            *(int32_t *)(4 * v97 + (int32_t)v98) = (int32_t)v99;
                                                            if (v96 == 0) {
                                                                int32_t v100 = v86 - 1; // 0x48b8fc
                                                                int32_t v101 = v100; // ecx
                                                                uint32_t v102 = v100 & 31; // 0x48b902
                                                                int32_t v103 = 1; // 0x48b908108
                                                                if (v102 != 0) {
                                                                    // if_48b902_0_true
                                                                    v103 = 1 << v102;
                                                                    // branch -> 0x48b908
                                                                }
                                                                int32_t v104 = v46; // 0x48b908
                                                                int32_t v105 = v103;
                                                                if ((v103 & v104) != 0) {
                                                                    int32_t v106; // 0x48b906
                                                                    while (true) {
                                                                        // 0x48b906
                                                                        v106 = v103 / 2;
                                                                        if ((v106 & v104) == 0) {
                                                                            // break (via goto) -> 0x48b908
                                                                            goto lab_0x48b908;
                                                                        }
                                                                        v103 = v106;
                                                                        // continue -> 0x48b906
                                                                    }
                                                                  lab_0x48b908:
                                                                    // 0x48b908
                                                                    v105 = v106;
                                                                    // branch -> 0x48b90c
                                                                }
                                                                // 0x48b90c
                                                                int32_t v107;
                                                                if (v105 == 0) {
                                                                    // 0x48b919
                                                                    v107 = 0;
                                                                    // branch -> 0x48b91b
                                                                } else {
                                                                    int32_t v108 = v105 - 1; // 0x48b912
                                                                    v101 = v108;
                                                                    v107 = (v108 & v104) + v105;
                                                                    // branch -> 0x48b91b
                                                                }
                                                                // 0x48b91b
                                                                v46 = v107;
                                                                int16_t v109 = v47 + 2; // 0x48b91b
                                                                int16_t (*v110)[2] = v8;
                                                                v2[0] = v110[0] - 1;
                                                                *v110 = v2;
                                                                char v111 = v68; // bp+032
                                                                int32_t v112; // 0x48b94d
                                                                if ((v101 & -0x10000 | (int32_t)v8[0]) == 0) {
                                                                    // 0x48b931
                                                                    if (v68 == v31) {
                                                                        int32_t v113 = v46; // 0x48ba16
                                                                        int32_t * v114;
                                                                        if (v113 == 0) {
                                                                            // 0x48ba79
                                                                            v114 = v15->e0;
                                                                            *v114 = *v114 + 4 * v69;
                                                                            *(int32_t *)v16 = v64;
                                                                            // branch -> 0x48ba8e
                                                                            // 0x48ba8e
                                                                            return;
                                                                        }
                                                                        char v115 = v31; // bp+030
                                                                        char v116 = v67; // bp+020
                                                                        // branch -> 0x48ba1a
                                                                        while (true) {
                                                                            char v117 = v115; // bp+031
                                                                            char v118 = 0; // bp+021
                                                                            if (v116 != 0) {
                                                                                // 0x48ba20
                                                                                if ((v113 & v60) != v71) {
                                                                                    // 0x48ba2a
                                                                                    v53 = (struct struct_222 *)*v15->e0;
                                                                                    v117 = v28;
                                                                                    v118 = 0;
                                                                                    // branch -> 0x48ba43
                                                                                } else {
                                                                                    v117 = v115;
                                                                                    v118 = v116;
                                                                                }
                                                                            }
                                                                            int32_t * v119 = v53->e0;
                                                                            int32_t * v120 = ((struct struct_222 *)64)->e0;
                                                                            *(int32_t *)(4 * (v113 >> ((int32_t)v118 & 31)) + (int32_t)v119) = (int32_t)v120;
                                                                            int32_t v121 = 1 << ((int32_t)v117 - 1 & 31); // 0x48ba5c
                                                                            int32_t v122 = v46; // 0x48ba62
                                                                            int32_t v123 = v121;
                                                                            if ((v121 & v122) != 0) {
                                                                                int32_t v124; // 0x48ba60
                                                                                while (true) {
                                                                                    // 0x48ba60
                                                                                    v124 = v121 / 2;
                                                                                    if ((v124 & v122) == 0) {
                                                                                        // break (via goto) -> 0x48ba66
                                                                                        goto lab_0x48ba66;
                                                                                    }
                                                                                    v121 = v124;
                                                                                    // continue -> 0x48ba60
                                                                                }
                                                                              lab_0x48ba66:
                                                                                // 0x48ba66
                                                                                if (v121 < 2) {
                                                                                    // 0x48ba75
                                                                                    // branch -> 0x48ba79
                                                                                    // 0x48ba79
                                                                                    // branch -> 0x48ba79
                                                                                    // 0x48ba79
                                                                                    v114 = v15->e0;
                                                                                    *v114 = *v114 + 4 * v69;
                                                                                    *(int32_t *)v16 = v64;
                                                                                    // branch -> 0x48ba8e
                                                                                    // 0x48ba8e
                                                                                    return;
                                                                                }
                                                                                v123 = v124;
                                                                            }
                                                                            int32_t v125 = (v123 - 1 & v122) + v123; // 0x48ba6f
                                                                            v46 = v125;
                                                                            if (v125 == 0) {
                                                                                // break (via goto) -> 0x48ba79
                                                                                goto lab_0x48ba79;
                                                                            }
                                                                            v113 = v125;
                                                                            v115 = v117;
                                                                            v116 = v118;
                                                                            // continue -> 0x48ba1a
                                                                        }
                                                                      lab_0x48ba79:
                                                                        // 0x48ba79
                                                                        // branch -> 0x48ba79
                                                                        // 0x48ba79
                                                                        v114 = v15->e0;
                                                                        *v114 = *v114 + 4 * v69;
                                                                        *(int32_t *)v16 = v64;
                                                                        // branch -> 0x48ba8e
                                                                        // 0x48ba8e
                                                                        return;
                                                                    }
                                                                    // 0x48b93d
                                                                    v111 = v7[(int32_t)v109];
                                                                    // branch -> 0x48b94d
                                                                    // 0x48b94d
                                                                    v112 = v111;
                                                                    int32_t v126; // 0x48b95c
                                                                    if (v111 > v28) {
                                                                      lab_0x48b959:
                                                                        // 0x48b959
                                                                        v126 = v46 & v60;
                                                                        if (v126 != v71) {
                                                                            // break (via goto) -> 0x48b967
                                                                            goto lab_0x48b967;
                                                                        }
                                                                        v68 = v111;
                                                                        v47 = v109;
                                                                        // continue (via goto) -> 0x48b878
                                                                        goto lab_0x48b878_3;
                                                                    } else {
                                                                      lab_0x48b94d:
                                                                        // 0x48b94d
                                                                        v68 = v111;
                                                                        v47 = v109;
                                                                        // branch -> 0x48b878
                                                                        break;
                                                                    }
                                                                    while (true) {
                                                                        uint16_t v127 = *(int16_t *)(int32_t)v47; // 0x48b884
                                                                        v83 = v127;
                                                                        if (v83 < v70) {
                                                                            goto lab_0x48b88f;
                                                                        }
                                                                        // 0x48b899
                                                                        if (v83 > v70) {
                                                                            goto lab_0x48b89e;
                                                                        }
                                                                        goto lab_0x48b8b4;
                                                                    }
                                                                  lab_0x48b967:;
                                                                    char v128 = v67; // bp+022
                                                                    if (v67 == 0) {
                                                                        // 0x48b96d
                                                                        v128 = v28;
                                                                        // branch -> 0x48b973
                                                                    }
                                                                    struct struct_222 * v129 = (struct struct_222 *)((int32_t)v53->e0 + 4 * v92); // 0x48b979_12
                                                                    v53 = v129;
                                                                    int32_t v130 = v128; // 0x48b97f
                                                                    int32_t v131 = v112 - v130; // 0x48b97f
                                                                    v9 = v131;
                                                                    uint32_t v132 = v131 & 31; // 0x48b989
                                                                    int32_t v133 = 1;
                                                                    if (v132 != 0) {
                                                                        // if_48b989_0_true
                                                                        v133 = 1 << v132;
                                                                        // branch -> 0x48b99b
                                                                    }
                                                                    int32_t v134; // 0x48b9ac
                                                                    int32_t v135; // 0x48b9ae
                                                                    if (v111 < v31) {
                                                                        int32_t v136 = v112; // 0x48b99e190
                                                                        // branch -> 0x48b98d
                                                                        int32_t v137; // 0x48b998
                                                                        while (true) {
                                                                            uint16_t v138 = *(int16_t *)(2 * v136 - 100 + v6); // 0x48b98d
                                                                            int32_t v139 = v133 - (int32_t)v138; // 0x48b992
                                                                            if (v139 < 1) {
                                                                                // 0x48b98d
                                                                                // branch -> 0x48b9a5
                                                                            } else {
                                                                                // 0x48b998
                                                                                v137 = v131 + 1;
                                                                                v9 = v137;
                                                                                int32_t v140 = 2 * v139; // 0x48b999
                                                                                int32_t v141 = v137 + v130; // 0x48b99e
                                                                                if (v141 >= (int32_t)v31) {
                                                                                    // break (via goto) -> 0x48b99b
                                                                                    goto lab_0x48b99b;
                                                                                }
                                                                                v136 = v141;
                                                                                v131 = v137;
                                                                                v133 = v140;
                                                                                // continue -> 0x48b98d
                                                                                continue;
                                                                            }
                                                                          lab_0x48b9a5:
                                                                            // 0x48b9a5
                                                                            v134 = v131 & 31;
                                                                            v135 = 1;
                                                                            if (v134 != 0) {
                                                                              lab_if_48b9ac_0_true:
                                                                                // if_48b9ac_0_true
                                                                                v135 = 1 << v134;
                                                                                // branch -> after_if_48b9ac_0
                                                                            }
                                                                          lab_after_if_48b9ac_0:;
                                                                            int32_t v142 = v135 + v69; // 0x48b9ae
                                                                            if (g3 == 1) {
                                                                                // 0x48b9b7
                                                                                if (v142 >= 1456) {
                                                                                    // 0x48b9c0
                                                                                    // branch -> 0x48ba8e
                                                                                    // 0x48ba8e
                                                                                    return;
                                                                                }
                                                                            }
                                                                            // 0x48b9ca
                                                                            *v15 = v3;
                                                                            int32_t v143 = (int32_t)v129->e0 - *v15->e0; // 0x48b9ea
                                                                            int32_t v144 = v143; // 0x48b9f3
                                                                            if (v143 <= 0) {
                                                                                // 0x48b9f0
                                                                                v144 = v143 + 3;
                                                                                // branch -> 0x48b9f3
                                                                            }
                                                                            // 0x48b9f3
                                                                            v4 = (struct struct_222){
                                                                                .e0 = NULL,
                                                                                .e1 = 0,
                                                                                .e2 = 0
                                                                            };
                                                                            v4.e0 = (int32_t *)(v144 / 4 & 0xffff);
                                                                            *v15 = v4;
                                                                            v81 = v111;
                                                                            v67 = v128;
                                                                            v69 = v142;
                                                                            v71 = v126;
                                                                            v82 = v109;
                                                                            // branch -> 0x48b878
                                                                            goto lab_0x48b878;
                                                                        }
                                                                      lab_0x48b99b:
                                                                        // 0x48b99b
                                                                        v131 = v137;
                                                                        // branch -> 0x48b9a5
                                                                        goto lab_0x48b9a5;
                                                                    }
                                                                    // 0x48b9a5
                                                                    v134 = v131 & 31;
                                                                    if (v134 == 0) {
                                                                        v135 = 1;
                                                                        goto lab_after_if_48b9ac_0;
                                                                    }
                                                                    goto lab_if_48b9ac_0_true;
                                                                }
                                                                // 0x48b94d
                                                                v112 = v111;
                                                                if (v111 > v28) {
                                                                    goto lab_0x48b959;
                                                                }
                                                                goto lab_0x48b94d;
                                                            } else {
                                                                // after_if_48b8e5_0.dec_label_pc_48b8dd_crit_edge
                                                                v93 = v18;
                                                                v94 = v45;
                                                                v91 = v96;
                                                                // branch -> 0x48b8dd
                                                                continue;
                                                            }
                                                        }
                                                    }
                                                    // 0x48b8be
                                                    v86 = v68;
                                                    v45 = 1;
                                                    v84 = v86 - v72 & 31;
                                                    if (v84 == 0) {
                                                        v87 = 1;
                                                        goto lab_after_if_48b8c9_0;
                                                    }
                                                    goto lab_if_48b8c9_0_true;
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                            // 0x48b74b
                            // branch -> 0x48ba8e
                            // 0x48ba8e
                            return;
                        }
                        // 0x48b753
                        v52 = 0;
                        v43 = &v52;
                        v57 = v43;
                        v49 = v13;
                        // branch -> 0x48b76f
                        while (true) {
                            // 0x48b76f
                            v61 = v12 & -0x10000;
                            v62 = v49;
                            v44 = v62;
                            v59 = *(int16_t *)v62;
                            v73 = (int32_t)v59 + ((int32_t)*(int16_t *)v57 | v61);
                            *(int16_t *)(v57 + 2) = (int16_t)v73;
                            v41 = v43 + 2;
                            v9 = v41;
                            v42 = 2;
                            if (v42 < 15) {
                                goto lab_0x48b76f;
                            }
                            // 0x48b78c
                            v45 = 0;
                            v54 = g6;
                            if (v54 != 0) {
                                v48 = *v7;
                                while (true) {
                                    // 0x48b798
                                    v63 = v48;
                                    v58 = (int32_t)*(int16_t *)v63;
                                    if ((v63 & -0x10000 || v58) == 0) {
                                        v56 = v54;
                                        v55 = 0;
                                        goto lab_0x48b7c0;
                                    }
                                    goto lab_0x48b7a3;
                                }
                            }
                            // 0x48b7c9
                            v66 = 0x4c1a90;
                            v70 = -1;
                            switch (g3) {
                                case 0: {
                                    // 0x48b7d5
                                    v66 = v51;
                                    v70 = 19;
                                    // branch -> 0x48b821
                                    break;
                                }
                                case 1: {
                                    // 0x48b7e7
                                    v66 = 0x4c1810;
                                    v70 = 256;
                                    // branch -> 0x48b821
                                    break;
                                }
                            }
                            // 0x48b821
                            v46 = 0;
                            v53 = (struct struct_222 *)*v15->e0;
                            v64 = v28;
                            v9 = v64;
                            v50 = v64 & 31;
                            v65 = 1;
                            if (v50 != 0) {
                                // if_48b84a_0_true
                                v65 = 1 << v50;
                                // branch -> after_if_48b84a_0
                            }
                            // after_if_48b84a_0
                            v60 = v65 - 1;
                            if (g3 == 1) {
                                // 0x48b85c
                                if (v65 >= 1456) {
                                    // 0x48b865
                                    // branch -> 0x48ba8e
                                    // 0x48ba8e
                                    return;
                                }
                            }
                            // 0x48b86f
                            v3 = (struct struct_222){
                                .e0 = NULL,
                                .e1 = 0,
                                .e2 = 0
                            };
                            v3.e0 = (int32_t *)(int32_t)v28;
                            v67 = 0;
                            v69 = v65;
                            v71 = -1;
                            // branch -> 0x48b878
                            while (true) {
                                // 0x48b878
                                v72 = v67;
                                v68 = v25;
                                v47 = v51;
                                // branch -> 0x48b878
                                goto lab_0x48b878_3;
                            }
                        }
                    }
                    // 0x48ba8e
                    return;
                }
            }
        }
    }
    // 0x48b66c
    v11 = (char)*(int32_t *)v16;
    v23 = &v19;
    v30 = 15;
    // branch -> 0x48b67e
    while (true) {
        // 0x48b67e
        if (*(int16_t *)v23 == 0) {
            goto lab_0x48b684;
        }
        v31 = v30;
        // 0x48b690
        v29 = v11;
        if (v11 > v31) {
            // 0x48b698
            v29 = v31;
            // branch -> 0x48b69e
        }
        // 0x48b69e
        if (v31 == 0) {
            // 0x48b6a4
            v18 = (struct struct_222 *)64;
            v21 = v15->e0;
            *v21 = *v21 + 4;
            *(int32_t *)*v21 = (int32_t)v18->e0;
            v22 = v15->e0;
            *v22 = *v22 + 4;
            *(int32_t *)*v22 = (int32_t)v18->e0;
            *(int32_t *)v16 = 1;
            // branch -> 0x48ba8e
            // 0x48ba8e
            return;
        }
        // 0x48b6dc
        v12 = (int32_t)&v17;
        v13 = v12;
        v26 = 1;
        v14 = v13;
        // branch -> 0x48b6e9
        while (true) {
            // 0x48b6e9
            if (*(int16_t *)(int32_t)v14 == 0) {
                goto lab_0x48b6f2;
            }
            v25 = v26;
            // 0x48b6ff
            v28 = v29;
            if (v29 < v25) {
                // 0x48b707
                v28 = v25;
                // branch -> 0x48b70d
            }
            // 0x48b70d
            v24 = v12;
            v27 = 1;
            // branch -> 0x48b71c
            while (true) {
                // 0x48b71c
                v20 = 2 - (int32_t)v17[v24];
                if (v20 > -1) {
                    goto lab_0x48b72f;
                }
                // 0x48b727
                // branch -> 0x48ba8e
                // 0x48ba8e
                return;
            }
        }
    }
}

// Address range: 0x48ba98 - 0x48ba9b
void function_48ba98(void) {
    // 0x48ba98
    return;
}

// Address range: 0x48ba9c - 0x48bb0b
void function_48ba9c(void) {
    int32_t v1 = g3; // ebx
    function_48ba98();
    *(int32_t *)(v1 + 2840) = v1 + 148;
    *(int32_t *)(v1 + 2848) = 0x4c221c;
    *(int32_t *)(v1 + 2852) = v1 + 2440;
    *(int32_t *)(v1 + 2860) = 0x4c2230;
    *(int32_t *)(v1 + 2864) = v1 + 2684;
    *(int32_t *)(v1 + 2872) = 0x4c2244;
    *(int16_t *)(v1 + 0x16b8) = 0;
    *(int32_t *)(v1 + 0x16bc) = 0;
    g3 = v1;
    *(int32_t *)(v1 + 0x16b4) = 8;
    function_48bb0c();
    int32_t v2;
    g5 = v2;
}

// Address range: 0x48bb0c - 0x48bb77
void function_48bb0c(void) {
    int32_t v1 = g3 + 148; // 0x48bb0e
    *(int16_t *)v1 = 0;
    int32_t v2 = 1; // 0x48bb19
    // branch -> 0x48bb14
    while (v2 < 286) {
        // 0x48bb14
        v1 += 4;
        *(int16_t *)v1 = 0;
        v2++;
        // continue -> 0x48bb14
    }
    int32_t v3 = g3 + 2440; // 0x48bb27
    *(int16_t *)v3 = 0;
    int32_t v4 = 1; // 0x48bb32
    int32_t v5 = v3 + 4; // 0x48bb33
    // branch -> 0x48bb2d
    while (v4 < 30) {
        // 0x48bb2d
        *(int16_t *)v5 = 0;
        v4++;
        v5 += 4;
        // continue -> 0x48bb2d
    }
    int32_t v6 = g3 + 2684; // 0x48bb3d
    *(int16_t *)v6 = 0;
    int32_t v7 = 1; // 0x48bb48
    int32_t v8 = v6 + 4; // 0x48bb49
    // branch -> 0x48bb43
    while (v7 < 19) {
        // 0x48bb43
        *(int16_t *)v8 = 0;
        v7++;
        v8 += 4;
        // continue -> 0x48bb43
    }
    // 0x48bb51
    *(int16_t *)(g3 + 1172) = 1;
    v1 = 0;
    *(int32_t *)(g3 + 0x16ac) = 0;
    *(int32_t *)(g3 + 0x16a8) = 0;
    *(int32_t *)(g3 + 0x16b0) = v1;
    *(int32_t *)(g3 + 0x16a0) = v1;
}

// Address range: 0x48bb78 - 0x48bc6b
void function_48bb78(void) {
    int32_t v1 = *(int32_t *)(g3 + 2908 + 4 * g6); // 0x48bb84
    int32_t v2 = 2 * g6; // 0x48bb96
    int32_t v3 = g3 + 0x1458 + v1; // 0x48bb98
    int32_t v4 = g8 + 4 * v1; // ecx
    int32_t v5 = g3; // 0x48bc5e
    int32_t v6 = g6; // 0x48bc571
    // branch -> 0x48bc4b
    while (true) {
        int32_t v7 = *(int32_t *)(v5 + 0x1450); // 0x48bc4b
        int32_t v8;
        if (v2 > v7) {
            // 0x48bc57
            *(int32_t *)(v5 + 2908 + 4 * v6) = v1;
            g5 = v8;
            return;
        }
        // 0x48bbaf
        int32_t v9; // 0x48bc057
        int32_t v10; // 0x48bc1d
        int32_t v11;
        if (v2 < v7) {
            int32_t v12 = 4 * v2; // 0x48bbb7
            int32_t * v13 = (int32_t *)(v5 + 2912 + v12); // 0x48bbb7_0
            int32_t v14 = *v13; // 0x48bbb7
            int32_t v15 = v5 + 2908; // 0x48bbbe
            int32_t * v16 = (int32_t *)(v15 + v12); // 0x48bbbe_0
            uint16_t v17 = *(int16_t *)(g8 + 4 * v14); // 0x48bbc5
            int16_t v18 = *(int16_t *)(4 * *v16 + g8); // 0x48bbc9
            int32_t * v19; // 0x48bc06_0
            int16_t * v20; // 0x48bc11_0
            uint16_t v21; // 0x48bc0d
            int32_t v22; // 0x48bc06
            int32_t v23; // 0x48bc0d
            if (((int32_t)v17 || v14 & -0x10000) < (int32_t)v18) {
              lab_0x48bc05:
                // 0x48bc05
                v9 = v2 | 1;
                v2 = v9;
                v11 = v15;
                v10 = g8;
                // branch -> 0x48bc06
            } else {
                int32_t v24 = *v13; // 0x48bbcf
                uint16_t v25 = *(int16_t *)(4 * v24 + g8); // 0x48bbdd
                int16_t v26 = *(int16_t *)(4 * *v16 + g8); // 0x48bbe1
                if (((int32_t)v25 || v24 & -0x10000) == (int32_t)v26) {
                    int32_t v27 = *v13; // 0x48bbe7
                    int32_t v28 = v5 + 0x1458; // 0x48bbf5
                    unsigned char v29 = *(char *)(v27 + v28); // 0x48bbf5
                    char v30 = *(char *)(*v16 + v28); // 0x48bbfc
                    if (((int32_t)v29 || v27 & -256) <= (int32_t)v30) {
                        goto lab_0x48bc05;
                    }
                    v11 = v15;
                    v10 = g8;
                    // 0x48bc06
                    v19 = (int32_t *)(4 * v2 + v11);
                    v22 = *v19;
                    v21 = *(int16_t *)(4 * v22 + v10);
                    v23 = v22 & -0x10000;
                    v20 = (int16_t *)v4;
                    if (((int32_t)v21 || v23) > (int32_t)*v20) {
                        // 0x48bc57
                        *(int32_t *)(v5 + 2908 + 4 * v6) = v1;
                        g5 = v8;
                        return;
                    }
                  lab_0x48bc16_2:;
                    int32_t v31 = *v19; // 0x48bc16
                    uint16_t v32 = *(int16_t *)(4 * v31 + v10); // 0x48bc1d
                    if (((int32_t)v32 || v23) == (int32_t)*v20) {
                        char v33 = *(char *)(v5 + 0x1458 + v31); // 0x48bc2c
                        if (((int32_t)*(char *)v3 || v3 & -256) <= (int32_t)v33) {
                            // 0x48bc57
                            *(int32_t *)(v5 + 2908 + 4 * v6) = v1;
                            g5 = v8;
                            return;
                        }
                    }
                    // 0x48bc35
                    *(int32_t *)(v11 + 4 * v6) = *v19;
                    int32_t v34 = v2; // 0x48bc46
                    v2 = 2 * v34;
                    v5 = g3;
                    v6 = v34;
                    // branch -> 0x48bc4b
                    continue;
                } else {
                    v11 = v15;
                    v10 = g8;
                    v9 = v2;
                }
            }
          lab_0x48bc06:
            // 0x48bc06
            v19 = (int32_t *)(4 * v9 + v11);
            v22 = *v19;
            v21 = *(int16_t *)(4 * v22 + v10);
            v23 = v22 & -0x10000;
            v20 = (int16_t *)v4;
            if (((int32_t)v21 || v23) <= (int32_t)*v20) {
                goto lab_0x48bc16_2;
            }
            // 0x48bc57
            *(int32_t *)(v5 + 2908 + 4 * v6) = v1;
            g5 = v8;
            return;
        }
        // 0x48bbaf
        v11 = v5 + 2908;
        v10 = g8;
        v9 = v2;
        // branch -> 0x48bc06
        goto lab_0x48bc06;
    }
}

// Address range: 0x48bc6c - 0x48be6b
void function_48bc6c(void) {
    int32_t v1 = *(int32_t *)(g8 + 4); // 0x48bc76
    int32_t v2 = *(int32_t *)g8; // esi
    int32_t v3 = *(int32_t *)(g8 + 8); // 0x48bc7f
    int32_t v4 = *(int32_t *)v3; // 0x48bc84
    uint32_t v5 = *(int32_t *)(v3 + 8); // 0x48bc91
    int32_t v6 = *(int32_t *)(v3 + 16); // eax
    int32_t v7 = g3 + 2876; // 0x48bca4
    *(int16_t *)v7 = 0;
    int32_t v8 = 1; // 0x48bcaf
    int32_t v9 = v7 + 2; // 0x48bcb0
    // branch -> 0x48bcaa
    while (v8 < 16) {
        // 0x48bcaa
        *(int16_t *)v9 = 0;
        v8++;
        v9 += 2;
        // continue -> 0x48bcaa
    }
    int32_t * v10 = (int32_t *)(g3 + 0x1454); // 0x48bcbe_0
    int32_t v11 = g3 + 2908; // 0x48bcc4
    int32_t v12 = *(int32_t *)(4 * *v10 + v11); // 0x48bcc4
    *(int16_t *)(v2 + 2 + 4 * v12) = 0;
    int32_t v13 = *v10 + 1; // 0x48bcdb
    int32_t v14 = 4 * v13 + v11; // 0x48bcef
    int32_t v15 = v14; // ecx
    int32_t v16 = 0; // 0x48bde511
    int32_t v17 = v13; // 0x48be1e4
    int32_t v18; // ebx
    int32_t v19; // edx
    if (v13 <= 572) {
        int32_t * v20 = (int32_t *)(g3 + 0x16a8); // 0x48bd5f_0
        int32_t * v21 = (int32_t *)(g3 + 0x16ac); // 0x48bd84_0
        int32_t v22 = 0; // 0x48bde510
        // branch -> 0x48bcfc
        int32_t v23; // 0x48bde59
        while (true) {
            int32_t v24 = *(int32_t *)v14; // 0x48bcfc
            v18 = v24;
            int32_t v25 = v2 + 2; // 0x48bcfe
            int16_t * v26 = (int16_t *)(v25 + 4 * v24); // 0x48bcfe_0
            uint16_t v27 = *(int16_t *)(4 * (int32_t)*v26 + v25); // 0x48bd03
            int32_t v28 = (int32_t)v27 + 1; // 0x48bd08
            v19 = v28;
            int32_t v29 = v6; // 0x48bd09
            int16_t v30 = v28;
            v23 = v22;
            if (v29 < v28) {
                // 0x48bd0d
                v19 = v29;
                v30 = v29;
                v23 = v22 + 1;
                // branch -> 0x48bd13
            }
            // 0x48bd13
            *v26 = v30;
            if (v18 <= v1) {
                int16_t * v31 = (int16_t *)(2 * v19 + v7); // 0x48bd21_0
                *v31 = *v31 + 1;
                uint32_t v32 = v18; // 0x48bd2f
                int32_t v33 = 0; // 0x48bd757
                if (v32 >= v5) {
                    // 0x48bd35
                    v33 = *(int32_t *)(4 * (v32 - v5) + *(int32_t *)(v3 + 4));
                    // branch -> 0x48bd47
                }
                int32_t v34 = (int32_t)*(int16_t *)(v2 + 4 * v32); // 0x48bd47
                *v20 = (v19 + v33) * v34 + *v20;
                if (v4 != 0) {
                    uint16_t v35 = *(int16_t *)(v4 + 2 + 4 * v18); // 0x48bd70
                    *v21 = ((int32_t)v35 + v33) * v34 + *v21;
                    // branch -> 0x48bd8a
                }
            }
            int32_t v36 = v13 + 1; // 0x48bd8a
            int32_t v37 = v15 + 4; // 0x48bd8e
            v15 = v37;
            if (v36 >= 573) {
                // break -> 0x48bd9f
                break;
            }
            v14 = v37;
            v22 = v23;
            v13 = v36;
            // continue -> 0x48bcfc
        }
        // 0x48bd9f
        v16 = v23;
        v17 = 573;
        // branch -> 0x48bd9f
    }
    // 0x48bd9f
    int32_t v38;
    if (v16 == 0) {
        // 0x48be63
        g5 = v38;
        return;
    }
    int32_t v39 = g3 + 2878; // 0x48bdd1
    // branch -> 0x48bdaa
    while (true) {
        int32_t v40 = v6 - 1; // 0x48bdaa
        v19 = v40;
        int32_t v41 = 2 * v40 + v7; // 0x48bdb0
        int16_t * v42; // 0x48bdc6_0
        int16_t * v43; // 0x48bdd1_0
        int16_t * v44; // 0x48bddd_0
        int32_t v45; // 0x48bde5
        if (*(int16_t *)v41 == 0) {
            int32_t v46 = v40 - 1; // 0x48bdb9
            while (*(int16_t *)(v41 - 2) == 0) {
                // 0x48bdb9
                v41 -= 2;
                v46--;
                // continue -> 0x48bdb9
            }
            // 0x48bdc3
            v42 = (int16_t *)(2 * v46 + v7);
            *v42 = *v42 - 1;
            v43 = (int16_t *)(v39 + 2 * v46);
            *v43 = *v43 + 2;
            v44 = (int16_t *)(2 * v6 + v7);
            *v44 = *v44 - 1;
            v45 = v16 - 2;
            if (v45 <= 0) {
                // break -> 0x48bdf1
                break;
            }
            v16 = v45;
            // continue -> 0x48bdaa
            continue;
        }
        // 0x48bdc3
        v42 = (int16_t *)(2 * v40 + v7);
        *v42 = *v42 - 1;
        v43 = (int16_t *)(v39 + 2 * v19);
        *v43 = *v43 + 2;
        v44 = (int16_t *)(2 * v6 + v7);
        *v44 = *v44 - 1;
        v45 = v16 - 2;
        if (v45 <= 0) {
            // break -> 0x48bdf1
            break;
        }
        v16 = v45;
        // continue -> 0x48bdaa
    }
    int32_t v47 = v6; // 0x48bdf1
    v19 = v47;
    if (v47 == 0) {
        // 0x48be63
        g5 = v38;
        return;
    }
    int32_t * v48 = (int32_t *)(g3 + 0x16a8); // 0x48be49_0
    int32_t v49 = 2 * v47 + v7;
    // branch -> 0x48be05
  lab_0x48be05:
    while (true) {
        uint16_t v50 = *(int16_t *)v49; // 0x48be09
        int32_t v51 = v50; // 0x48be09
        v18 = v51;
        int32_t v52 = 4 * v17 + v11; // 0x48be1357
        int32_t v53; // 0x48be59
        if (v50 != 0) {
            int32_t v54 = v17; // 0x48be1e360
            while (true) {
                int32_t v55 = v54 - 1; // 0x48be1e47
                int32_t v56 = v52 - 4; // 0x48be2248
                v6 = v56;
                int32_t v57 = *(int32_t *)v56; // 0x48be2550
                v15 = v57;
                if (v57 > v1) {
                    // 0x48be0c
                    if (v51 == 0) {
                        // break -> 0x48be59
                        break;
                    }
                    v52 = 4 * v55 + v11;
                    v54 = v55;
                    // continue -> 0x48be1e
                    continue;
                } else {
                    int32_t v58 = v51; // 0x48be1a3652
                    int32_t v59; // 0x48be54
                    int32_t v60; // 0x48be1e
                    while (true) {
                        int32_t v61 = 4 * v57; // 0x48be2d
                        int16_t * v62 = (int16_t *)((v61 | 2) + v2); // 0x48be2d_0
                        int32_t v63 = v58; // 0x48be54
                        if ((int32_t)*v62 != v19) {
                            uint16_t v64 = *v62; // 0x48be36
                            uint16_t v65 = *(int16_t *)(v2 + v61); // 0x48be3f
                            int32_t v66 = *v48; // 0x48be49
                            *v48 = (int32_t)v65 * (v19 - (int32_t)v64) + v66;
                            *(int16_t *)(v2 + 2 + 4 * v15) = (int16_t)v19;
                            v63 = v18;
                            // branch -> 0x48be54
                        }
                        // 0x48be54
                        v59 = v63 - 1;
                        v18 = v59;
                        if (v59 != 0) {
                            // 0x48be54
                            v60 = v55 - 1;
                            int32_t v67 = v6 - 4; // 0x48be22
                            v6 = v67;
                            int32_t v68 = *(int32_t *)v67; // 0x48be25
                            v15 = v68;
                            if (v68 > v1) {
                                // break -> 0x48be0c
                                break;
                            }
                            v57 = v68;
                            v55 = v60;
                            v58 = v59;
                            // continue -> 0x48be2d
                            continue;
                        }
                    }
                    // 0x48be0c
                    v52 = 4 * v60 + v11;
                    v54 = v60;
                    v51 = v59;
                    // branch -> 0x48be1e
                    continue;
                }
                int32_t v69 = v19; // 0x48be59
                v53 = v69 - 1;
                v19 = v53;
                int32_t v70 = v49 - 2; // 0x48be5a
                if (v53 == 0) {
                    // break (via goto) -> 0x48be63
                    goto lab_0x48be63;
                }
                v49 = v70;
                int32_t v71; // 0x48be1e2
                v17 = v71;
                // continue (via goto) -> 0x48be05
                goto lab_0x48be05;
            }
            // 0x48be63
            // branch -> 0x48be63
            // 0x48be63
            g5 = v38;
            return;
        }
        // 0x48be59
        v53 = v19 - 1;
        v19 = v53;
        if (v53 == 0) {
            // break -> 0x48be63
            break;
        }
        v49 -= 2;
        // continue -> 0x48be05
    }
  lab_0x48be63:
    // 0x48be63
    // branch -> 0x48be63
    // 0x48be63
    g5 = v38;
}

// Address range: 0x48be6c - 0x48bedb
void function_48be6c(void) {
    int16_t * v1 = (int16_t *)g6; // 0x48be72_0
    int32_t v2 = g8; // 0x48be76
    int32_t v3 = 1; // ecx
    int32_t v4;
    int32_t v5 = &v4; // 0x48be80_0
    int32_t v6 = (int32_t)*v1; // 0x48be84_0
    int32_t v7 = 0; // 0x48be8b
    int32_t v8 = g7; // 0x48be88
    // branch -> 0x48be88
    while (true) {
        uint16_t v9 = v1[v6]; // 0x48be88
        int32_t v10 = 2 * ((int32_t)v9 + v7 & 0xffff | v8 & 0x7fff0000); // 0x48be8e
        *(int16_t *)v5 = (int16_t)v10;
        int32_t v11 = v3 + 1; // 0x48be95
        v3 = v11;
        if (v11 >= 16) {
            int32_t v12 = 0; // edi
            if (v2 < 0) {
                // 0x48bed3
                return;
            }
            int32_t v13 = 0; // 0x48beca7
            int32_t v14 = g3 + 2; // 0x48beab
            while (true) {
                uint16_t v15 = *(int16_t *)v14; // 0x48beab
                int32_t v16 = v15; // 0x48beab
                int32_t v17 = v16; // esi
                int32_t v18 = v14; // 0x48becb
                int32_t v19 = v13; // 0x48beca
                if (v15 != 0) {
                    int16_t * v20 = (int16_t *)(2 * v16 + 8 + g11); // 0x48beb2_0
                    *v20 = *v20 + 1;
                    g3 = (g3 & -0x10000 | (int32_t)*v20) & 0xffff;
                    g8 = v17;
                    function_48d748();
                    *(int16_t *)(g5 - 2) = (int16_t)g3;
                    v18 = g5;
                    v19 = v12;
                    // branch -> 0x48beca
                }
                int32_t v21 = v19 + 1; // 0x48beca
                v12 = v21;
                if (v21 > v2) {
                    // break -> 0x48bed3
                    break;
                }
                v13 = v21;
                v14 = v18 + 4;
                // continue -> 0x48beab
            }
            // 0x48bed3
            return;
        }
        // 0x48be88
        v5 += 2;
        v7 = v10;
        v8 = v10;
        v6 += 2;
        // branch -> 0x48be88
    }
}

// Address range: 0x48bedc - 0x48c0eb
void function_48bedc(void) {
    int32_t v1 = g10; // 0x48bedd
    int32_t v2 = g7; // 0x48bede
    int32_t v3 = g4; // 0x48bedf
    int32_t * v4; // bp-32
    int32_t v5 = (int32_t)&v4; // 0x48bee0_4
    g11 = v5;
    int32_t v6 = g3; // 0x48bee3
    g5 = v6;
    int32_t v7 = 0; // esi
    int32_t v8 = g8; // 0x48bee7
    int32_t * v9 = (int32_t *)v8; // 0x48bee7_0
    v4 = v9;
    g4 = *v9;
    int32_t v10 = *(int32_t *)(v8 + 8); // 0x48bef2
    int32_t v11 = v6 + 0x1458; // edx
    int32_t v12 = *(int32_t *)(v10 + 12); // 0x48bf01
    *(int32_t *)(v6 + 0x1450) = 0;
    int32_t v13 = g4; // eax
    *(int32_t *)(g5 + 0x1454) = 573;
    int32_t v14 = v7; // 0x48bf24
    int32_t v15 = -1;
    int32_t * v16; // 0x48bfb6_0
    int32_t * v17; // 0x48bff0_0
    int32_t * v18; // 0x48c024_0
    int32_t * v19; // 0x48c037_0
    char * v20; // 0x48c05b_0
    char * v21; // 0x48c062_0
    int32_t v22; // ecx
    int32_t v23;
    int32_t v24; // 0x48c04f
    int32_t v25; // 0x48c04f
    int32_t v26; // 0x48bfc9
    int32_t v27; // 0x48bfcf
    int32_t v28; // 0x48bffc
    int32_t v29; // 0x48c01e
    int32_t v30; // 0x48c02a
    int32_t v31; // 0x48c03d
    int32_t v32; // 0x48c003
    int32_t v33; // 0x48c04a
    int32_t v34; // 0x48bfc9
    int32_t v35; // 0x48bfe6
    int32_t v36; // 0x48c02a
    int32_t v37; // 0x48c0d83
    int32_t v38; // 0x48c003
    uint16_t v39; // 0x48c04a
    int32_t v40; // 0x48c05b
    int16_t v41; // 0x48c04f
    int32_t v42; // 0x48c04a
    if (v14 < v12) {
        int32_t v43 = v13; // 0x48bf50
        int32_t v44 = -1; // 0x48c0d85
        // branch -> 0x48bf2e
        while (true) {
            // 0x48bf2e
            int32_t v45; // 0x48c0d84
            if (*(int16_t *)v43 == 0) {
                // 0x48bf50
                *(int16_t *)(v43 + 2) = 0;
                v45 = v44;
                // branch -> 0x48bf56
            } else {
                int32_t * v46 = (int32_t *)(g5 + 0x1450); // 0x48bf38_0
                *v46 = *v46 + 1;
                int32_t v47 = g5; // 0x48bf3e
                *(int32_t *)(v47 + 2908 + 4 * *(int32_t *)(v47 + 0x1450)) = v7;
                *(char *)v11 = 0;
                v45 = v14;
                // branch -> 0x48bf56
            }
            int32_t v48 = v7 + 1; // 0x48bf56
            v7 = v48;
            v11++;
            int32_t v49 = v13 + 4; // 0x48bf58
            v13 = v49;
            if (v48 >= v12) {
                v15 = v45;
                // break -> 0x48bfb6
                break;
            }
            v14 = v48;
            v43 = v49;
            v44 = v45;
            // continue -> 0x48bf2e
        }
        // 0x48bfb6
        v37 = v15;
        // branch -> 0x48bfb6
        while (true) {
            // 0x48bfb6
            v16 = (int32_t *)(g5 + 0x1450);
            if (*v16 < 2) {
              lab_0x48bf63:;
                // 0x48bf63
                int32_t v50;
                int32_t v51; // 0x48c0d82
                if (v37 > 1) {
                    // 0x48bf74
                    v51 = v37;
                    v50 = 0;
                    // branch -> 0x48bf76
                } else {
                    int32_t v52 = v37 + 1; // 0x48bf6a
                    v51 = v52;
                    v50 = v52;
                    // branch -> 0x48bf76
                }
                // 0x48bf76
                *v16 = *v16 + 1;
                int32_t v53 = v50; // 0x48bf7c
                g7 = v53;
                int32_t v54 = g5; // 0x48bf7e
                *(int32_t *)(v54 + 2908 + 4 * *(int32_t *)(v54 + 0x1450)) = v53;
                *(int16_t *)(4 * g7 + g4) = 1;
                *(char *)(g5 + 0x1458 + g7) = 0;
                int32_t * v55 = (int32_t *)(g5 + 0x16a8); // 0x48bf9a_0
                *v55 = *v55 - 1;
                if (*(int32_t *)v10 != 0) {
                    // break -> 0x48bfa7
                    break;
                }
                v37 = v51;
                // continue -> 0x48bfb6
                continue;
            } else {
                // 0x48bfbf
                *(int32_t *)((int32_t)v4 + 4) = v37;
                v26 = g5;
                v34 = *(int32_t *)(v26 + 0x1450);
                v27 = v34 / 2;
                g10 = v27;
                if ((v34 & 1) == 0) {
                    // 0x48bfd3
                    g10 = v27;
                    // branch -> 0x48bfd6
                }
                // 0x48bfd6
                if (!((v34 < 2 ^ (v27 & -v27) < 0))) {
                    g6 = v27;
                    g8 = g4;
                    g3 = v26;
                    function_48bb78();
                    v35 = g10 - 1;
                    g10 = v35;
                    v23 = g5;
                    while (v35 > 0) {
                        // 0x48bfdb
                        g6 = v35;
                        g8 = g4;
                        g3 = v23;
                        function_48bb78();
                        v35 = g10 - 1;
                        g10 = v35;
                        v23 = g5;
                        // continue -> 0x48bfdb
                    }
                    // 0x48bfec
                    g7 = v12;
                    v28 = v23;
                    // branch -> 0x48bff0
                    int32_t v56; // 0x48c0a2
                    while (true) {
                        // 0x48bff0
                        v17 = (int32_t *)(v28 + 0x1450);
                        g10 = *(int32_t *)(v28 + 2912);
                        *v17 = *v17 - 1;
                        v32 = g5;
                        v38 = *(int32_t *)(v32 + 2908 + 4 * *v17);
                        g3 = v32;
                        *(int32_t *)(v32 + 2912) = v38;
                        g8 = g4;
                        g6 = 1;
                        function_48bb78();
                        v29 = g5;
                        v13 = *(int32_t *)(v29 + 2912);
                        v18 = (int32_t *)(v29 + 0x1454);
                        *v18 = *v18 - 1;
                        v30 = g5;
                        v36 = *(int32_t *)(v30 + 0x1454);
                        *(int32_t *)(v30 + 2908 + 4 * v36) = g10;
                        v19 = (int32_t *)(g5 + 0x1454);
                        *v19 = *v19 - 1;
                        v31 = g5;
                        *(int32_t *)(v31 + 2908 + 4 * *(int32_t *)(v31 + 0x1454)) = v13;
                        v33 = g4;
                        v39 = *(int16_t *)(4 * v13 + v33);
                        v42 = v36 & -0x10000;
                        v41 = *(int16_t *)(4 * g10 + v33);
                        v24 = (int32_t)v41 + (v42 | (int32_t)v39);
                        v25 = v24 & 0xffff | v42;
                        v22 = v25;
                        g11 = v5;
                        *(int16_t *)(4 * g7 + v33) = (int16_t)v24;
                        v40 = g5 + 0x1458;
                        v20 = (char *)(v40 + v13);
                        v21 = (char *)(g10 + v40);
                        int32_t v57;
                        if ((v25 & -256 | (int32_t)*v20) > (int32_t)*v21) {
                          lab_0x48c074_3:
                            // 0x48c074
                            v57 = v22 & -256 | (int32_t)*v20;
                            // branch -> 0x48c07b
                        } else {
                          lab_0x48c06b_3:
                            // 0x48c06b
                            v57 = v22 & -256 | (int32_t)*v21;
                            // branch -> 0x48c07b
                        }
                        // 0x48c07b
                        g8 = g4;
                        *(char *)(g7 + v40) = (char)(v57 + 1);
                        g6 = 1;
                        *(int16_t *)(g4 + 2 + 4 * v13) = (int16_t)g7;
                        g3 = g5;
                        *(int16_t *)(g4 + 2 + 4 * g10) = (int16_t)g7;
                        *(int32_t *)(g5 + 2912) = g7;
                        g7++;
                        function_48bb78();
                        v56 = g5;
                        if (*(int32_t *)(v56 + 0x1450) <= 1) {
                            // break -> 0x48c0af
                            break;
                        }
                        v28 = v56;
                        // continue -> 0x48bff0
                    }
                    int32_t * v58 = (int32_t *)(v56 + 0x1454); // 0x48c0af_0
                    *v58 = *v58 - 1;
                    int32_t v59 = g5; // 0x48c0b5
                    int32_t v60 = *(int32_t *)(v59 + 2912); // 0x48c0bb
                    *(int32_t *)(v59 + 2908 + 4 * *(int32_t *)(v59 + 0x1454)) = v60;
                    g3 = g5;
                    g8 = (int32_t)v4;
                    function_48bc6c();
                    g6 = g5 + 2876;
                    g8 = v37;
                    g3 = g4;
                    function_48be6c();
                    g4 = v3;
                    g7 = v2;
                    g10 = v1;
                    int32_t v61;
                    g5 = v61;
                    return;
                }
                // 0x48bfec
                g7 = v12;
                v28 = v26;
                // branch -> 0x48bff0
                while (true) {
                    // 0x48bff0
                    v17 = (int32_t *)(v28 + 0x1450);
                    g10 = *(int32_t *)(v28 + 2912);
                    *v17 = *v17 - 1;
                    v32 = g5;
                    v38 = *(int32_t *)(v32 + 2908 + 4 * *v17);
                    g3 = v32;
                    *(int32_t *)(v32 + 2912) = v38;
                    g8 = g4;
                    g6 = 1;
                    function_48bb78();
                    v29 = g5;
                    v13 = *(int32_t *)(v29 + 2912);
                    v18 = (int32_t *)(v29 + 0x1454);
                    *v18 = *v18 - 1;
                    v30 = g5;
                    v36 = *(int32_t *)(v30 + 0x1454);
                    *(int32_t *)(v30 + 2908 + 4 * v36) = g10;
                    v19 = (int32_t *)(g5 + 0x1454);
                    *v19 = *v19 - 1;
                    v31 = g5;
                    *(int32_t *)(v31 + 2908 + 4 * *(int32_t *)(v31 + 0x1454)) = v13;
                    v33 = g4;
                    v39 = *(int16_t *)(4 * v13 + v33);
                    v42 = v36 & -0x10000;
                    v41 = *(int16_t *)(4 * g10 + v33);
                    v24 = (int32_t)v41 + (v42 | (int32_t)v39);
                    v25 = v24 & 0xffff | v42;
                    v22 = v25;
                    g11 = v5;
                    *(int16_t *)(4 * g7 + v33) = (int16_t)v24;
                    v40 = g5 + 0x1458;
                    v20 = (char *)(v40 + v13);
                    v21 = (char *)(g10 + v40);
                    if ((v25 & -256 | (int32_t)*v20) > (int32_t)*v21) {
                        goto lab_0x48c074_3;
                    }
                    goto lab_0x48c06b_3;
                }
            }
        }
    }
    // 0x48bfb6
    v37 = v15;
    // branch -> 0x48bfb6
    while (true) {
        // 0x48bfb6
        v16 = (int32_t *)(g5 + 0x1450);
        if (*v16 < 2) {
            goto lab_0x48bf63;
        }
        // 0x48bfbf
        *(int32_t *)((int32_t)v4 + 4) = v37;
        v26 = g5;
        v34 = *(int32_t *)(v26 + 0x1450);
        v27 = v34 / 2;
        g10 = v27;
        if ((v34 & 1) == 0) {
            // 0x48bfd3
            g10 = v27;
            // branch -> 0x48bfd6
        }
        // 0x48bfd6
        if (!((v34 < 2 ^ (v27 & -v27) < 0))) {
            g6 = v27;
            g8 = g4;
            g3 = v26;
            function_48bb78();
            v35 = g10 - 1;
            g10 = v35;
            v23 = g5;
            while (v35 > 0) {
                // 0x48bfdb
                g6 = v35;
                g8 = g4;
                g3 = v23;
                function_48bb78();
                v35 = g10 - 1;
                g10 = v35;
                v23 = g5;
                // continue -> 0x48bfdb
            }
            // 0x48bfec
            g7 = v12;
            v28 = v23;
            // branch -> 0x48bff0
            while (true) {
                // 0x48bff0
                v17 = (int32_t *)(v28 + 0x1450);
                g10 = *(int32_t *)(v28 + 2912);
                *v17 = *v17 - 1;
                v32 = g5;
                v38 = *(int32_t *)(v32 + 2908 + 4 * *v17);
                g3 = v32;
                *(int32_t *)(v32 + 2912) = v38;
                g8 = g4;
                g6 = 1;
                function_48bb78();
                v29 = g5;
                v13 = *(int32_t *)(v29 + 2912);
                v18 = (int32_t *)(v29 + 0x1454);
                *v18 = *v18 - 1;
                v30 = g5;
                v36 = *(int32_t *)(v30 + 0x1454);
                *(int32_t *)(v30 + 2908 + 4 * v36) = g10;
                v19 = (int32_t *)(g5 + 0x1454);
                *v19 = *v19 - 1;
                v31 = g5;
                *(int32_t *)(v31 + 2908 + 4 * *(int32_t *)(v31 + 0x1454)) = v13;
                v33 = g4;
                v39 = *(int16_t *)(4 * v13 + v33);
                v42 = v36 & -0x10000;
                v41 = *(int16_t *)(4 * g10 + v33);
                v24 = (int32_t)v41 + (v42 | (int32_t)v39);
                v25 = v24 & 0xffff | v42;
                v22 = v25;
                g11 = v5;
                *(int16_t *)(4 * g7 + v33) = (int16_t)v24;
                v40 = g5 + 0x1458;
                v20 = (char *)(v40 + v13);
                v21 = (char *)(g10 + v40);
                if ((v25 & -256 | (int32_t)*v20) > (int32_t)*v21) {
                    goto lab_0x48c074_3;
                }
                goto lab_0x48c06b_3;
            }
        }
        // 0x48bfec
        g7 = v12;
        v28 = v26;
        // branch -> 0x48bff0
        while (true) {
            // 0x48bff0
            v17 = (int32_t *)(v28 + 0x1450);
            g10 = *(int32_t *)(v28 + 2912);
            *v17 = *v17 - 1;
            v32 = g5;
            v38 = *(int32_t *)(v32 + 2908 + 4 * *v17);
            g3 = v32;
            *(int32_t *)(v32 + 2912) = v38;
            g8 = g4;
            g6 = 1;
            function_48bb78();
            v29 = g5;
            v13 = *(int32_t *)(v29 + 2912);
            v18 = (int32_t *)(v29 + 0x1454);
            *v18 = *v18 - 1;
            v30 = g5;
            v36 = *(int32_t *)(v30 + 0x1454);
            *(int32_t *)(v30 + 2908 + 4 * v36) = g10;
            v19 = (int32_t *)(g5 + 0x1454);
            *v19 = *v19 - 1;
            v31 = g5;
            *(int32_t *)(v31 + 2908 + 4 * *(int32_t *)(v31 + 0x1454)) = v13;
            v33 = g4;
            v39 = *(int16_t *)(4 * v13 + v33);
            v42 = v36 & -0x10000;
            v41 = *(int16_t *)(4 * g10 + v33);
            v24 = (int32_t)v41 + (v42 | (int32_t)v39);
            v25 = v24 & 0xffff | v42;
            v22 = v25;
            g11 = v5;
            *(int16_t *)(4 * g7 + v33) = (int16_t)v24;
            v40 = g5 + 0x1458;
            v20 = (char *)(v40 + v13);
            v21 = (char *)(g10 + v40);
            if ((v25 & -256 | (int32_t)*v20) > (int32_t)*v21) {
                goto lab_0x48c074_3;
            }
            goto lab_0x48c06b_3;
        }
    }
}

// Address range: 0x48c0ec - 0x48c1f7
void function_48c0ec(void) {
    uint16_t v1 = *(int16_t *)(g8 + 2); // 0x48c101
    int32_t v2 = 7; // ecx
    int32_t v3 = 4; // eax
    if (v1 == 0) {
        // 0x48c115
        v2 = 138;
        v3 = 3;
        // branch -> 0x48c11f
    }
    // 0x48c11f
    *(int16_t *)(4 * g6 + 6 + g8) = -1;
    int32_t v4;
    if (g6 < 0) {
        // 0x48c1ef
        g5 = v4;
        return;
    }
    int32_t v5 = g3 + 2684; // 0x48c162
    int16_t * v6 = (int16_t *)(g3 + 2756); // 0x48c1a1_0
    int16_t * v7 = (int16_t *)(g3 + 2752); // 0x48c195_0
    int16_t * v8 = (int16_t *)(g3 + 2748); // 0x48c184_0
    int32_t v9 = 0; // 0x48c14b
    int32_t v10 = v1; // 0x48c162
    int32_t v11 = g8 + 6;
    int32_t v12 = -1; // 0x48c1aa3
    int32_t v13 = 0; // 0x48c1e11
    // branch -> 0x48c145
    while (true) {
        int32_t v14 = v10; // edx
        int32_t v15 = v9 + 1; // 0x48c14b
        int32_t v16 = (int32_t)*(int16_t *)v11; // 0x48c14c
        int32_t v17 = v16; // ebx
        int32_t v18 = v2; // 0x48c14f10
        int32_t v19 = v15; // 0x48c14b8
        int32_t v20 = v10; // 0x48c1457
        int32_t v21 = v12; // 0x48c1aa2
        int32_t v22; // 0x48c1d8
        if (v2 <= v15 || v16 != v10) {
            // 0x48c15b
            int32_t v23; // 0x48c1ae
            int32_t v24; // 0x48c1aa
            if (v3 > v15) {
                int16_t * v25 = (int16_t *)(4 * v10 + v5); // 0x48c162_0
                *v25 = (int16_t)((int32_t)*v25 + v15);
                // branch -> 0x48c1a8
            } else {
                // 0x48c16c
                if (v10 == 0) {
                    // 0x48c18d
                    if (v15 > 10) {
                        // 0x48c19e
                        *v6 = *v6 + 1;
                        // branch -> 0x48c1a8
                    } else {
                        // 0x48c192
                        *v7 = *v7 + 1;
                        // branch -> 0x48c1a8
                    }
                  lab_0x48c1a8:
                    // 0x48c1a8
                    v24 = v14;
                    v23 = v17;
                    if (v23 == 0) {
                      lab_0x48c1b2_2:
                        // 0x48c1b2
                        v3 = 3;
                        // branch -> 0x48c1d8
                    } else {
                      lab_0x48c1be_2:
                        // 0x48c1be
                        if (v23 == v24) {
                            // 0x48c1c2
                            v3 = 3;
                            v18 = 6;
                            v20 = v24;
                            // branch -> 0x48c1d8
                        } else {
                            // 0x48c1ce
                            v3 = 4;
                            v18 = 7;
                            v20 = v23;
                            // branch -> 0x48c1d8
                        }
                        // 0x48c1d8
                        v22 = v13 + 1;
                        if (v22 > g6) {
                            // break -> 0x48c1ef
                            break;
                        }
                        v2 = v18;
                        v9 = 0;
                        v10 = v20;
                        v11 += 4;
                        v12 = v24;
                        v13 = v22;
                        // continue -> 0x48c145
                        continue;
                    }
                    // 0x48c1d8
                    v22 = v13 + 1;
                    if (v22 > g6) {
                        // break -> 0x48c1ef
                        break;
                    }
                    v2 = 138;
                    v9 = 0;
                    v10 = 0;
                    v11 += 4;
                    v12 = v24;
                    v13 = v22;
                    // continue -> 0x48c145
                    continue;
                } else {
                    // 0x48c170
                    if (v10 != v12) {
                        int16_t * v26 = (int16_t *)(4 * v10 + v5); // 0x48c179_0
                        *v26 = *v26 + 1;
                        // branch -> 0x48c181
                    }
                    // 0x48c181
                    *v8 = *v8 + 1;
                    // branch -> 0x48c1a8
                    goto lab_0x48c1a8;
                }
            }
            // 0x48c1a8
            v24 = v14;
            v23 = v17;
            if (v23 == 0) {
                goto lab_0x48c1b2_2;
            }
            goto lab_0x48c1be_2;
        }
        // 0x48c1d8
        v22 = v13 + 1;
        if (v22 > g6) {
            // break -> 0x48c1ef
            break;
        }
        v2 = v18;
        v9 = v19;
        v10 = v20;
        v11 += 4;
        v12 = v21;
        v13 = v22;
        // continue -> 0x48c145
    }
    // 0x48c1ef
    // branch -> 0x48c1ef
    // 0x48c1ef
    g5 = v4;
}

// Address range: 0x48c1f8 - 0x48c87f
void function_48c1f8(void) {
    int32_t v1 = g4; // 0x48c1fb
    int32_t v2 = g6; // 0x48c206
    uint16_t v3 = *(int16_t *)(g8 + 2); // 0x48c21d
    int32_t v4 = 4; // 0x48c26922
    int32_t v5 = 7; // 0x48c25718
    if (v3 == 0) {
        // 0x48c225
        v4 = 3;
        v5 = 138;
        // branch -> 0x48c22f
    }
    // 0x48c22f
    int32_t v6;
    if (v2 < 0) {
        // 0x48c877
        g4 = v1;
        g5 = v6;
        return;
    }
    int32_t v7 = 0; // 0x48c253
    int32_t v8 = v3; // 0x48c365
    int32_t v9 = g8 + 6;
    int32_t v10 = -1; // 0x48c83211
    int32_t v11 = 0; // 0x48c8699
    // branch -> 0x48c24d
  lab_0x48c24d_2:
    while (true) {
        int32_t v12 = v8; // edx
        int32_t v13 = v7 + 1; // 0x48c253
        int32_t v14 = v13; // ebx
        int32_t v15 = (int32_t)*(int16_t *)v9; // 0x48c254
        int32_t v16 = v15; // esi
        int32_t v17; // 0x48c860
        int32_t v18; // 0x48c24d14
        int32_t v19; // 0x48c25315
        int32_t v20; // 0x48c25717
        int32_t v21; // 0x48c26920
        int32_t v22; // 0x48c83210
        if (v5 > v13) {
            // 0x48c25b
            if (v15 == v8) {
                v21 = v4;
                v20 = v5;
                v19 = v13;
                v18 = v8;
                v22 = v10;
              lab_0x48c860_3:
                // 0x48c860
                v17 = v11 + 1;
                if (v17 > v2) {
                    // break -> 0x48c877
                    break;
                }
                v4 = v21;
                v5 = v20;
                v7 = v19;
                v8 = v18;
                v9 += 4;
                v10 = v22;
                v11 = v17;
                // continue -> 0x48c24d
                continue;
            }
        }
        // 0x48c269
        int32_t v23; // edi
        int32_t v24; // 0x48c836
        int32_t v25; // 0x48c832
        if (v4 > v13) {
            int32_t v26 = v8; // 0x48c28c
            while (true) {
                int32_t v27 = 4 * v26; // 0x48c271
                int32_t v28 = (int32_t)*(int16_t *)(g3 + 2686 + v27); // 0x48c271
                v23 = v28;
                int32_t * v29 = (int32_t *)(g3 + 0x16bc); // 0x48c280_0
                uint16_t v30 = *(int16_t *)(g3 + 2684 + v27); // 0x48c28c
                int32_t v31 = v30; // 0x48c28c
                if (16 - v28 < *v29) {
                    int32_t v32 = g4 & -0x10000; // 0x48c298
                    uint32_t v33 = *v29 & 31; // 0x48c2a3
                    int32_t v34 = v32 | v31; // 0x48c2a6
                    if (v33 != 0) {
                        // if_48c2a3_0_true
                        v34 = v31 << v33 & 0xffff | v32;
                        // branch -> after_if_48c2a3_0
                    }
                    int16_t * v35 = (int16_t *)(g3 + 0x16b8); // 0x48c2a6_0
                    *v35 = (int16_t)((int32_t)*v35 | v34);
                    int32_t * v36 = (int32_t *)(g3 + 20); // 0x48c2ad_0
                    *v36 = *v36 + 1;
                    int32_t v37 = *(int32_t *)(g3 + 8); // 0x48c2b3
                    *(char *)(*v36 + v37) = *(char *)(g3 + 0x16b8);
                    int32_t * v38 = (int32_t *)(g3 + 20); // 0x48c2c8_0
                    int32_t v39 = *v38; // 0x48c2c8
                    *v38 = *v38 + 1;
                    int32_t v40 = *(int32_t *)(g3 + 8); // 0x48c2ce
                    *(char *)(v39 + v40) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    g4 = v31;
                    uint32_t v41 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48c2f4
                    if (v41 != 0) {
                        int32_t v42 = v31 >> v41; // 0x48c2f4
                        g4 = v42;
                        v30 = (int16_t)v42;
                        // branch -> after_if_48c2f4_0
                    }
                    // after_if_48c2f4_0
                    *(int16_t *)(g3 + 0x16b8) = v30;
                    int32_t * v43 = (int32_t *)(g3 + 0x16bc); // 0x48c300_0
                    *v43 = *v43 + v23 - 16;
                    // branch -> 0x48c32c
                } else {
                    int32_t v44 = g4 & -0x10000; // 0x48c30e
                    int32_t v45 = v44 | v31; // 0x48c30e
                    g4 = v45;
                    uint32_t v46 = *v29 & 31; // 0x48c31c
                    if (v46 != 0) {
                        int32_t v47 = v31 << v46 & 0xffff | v44; // 0x48c31c
                        g4 = v47;
                        v45 = v47;
                        // branch -> after_if_48c31c_0
                    }
                    int16_t * v48 = (int16_t *)(g3 + 0x16b8); // 0x48c31f_0
                    *v48 = (int16_t)((int32_t)*v48 | v45);
                    int32_t * v49 = (int32_t *)(g3 + 0x16bc); // 0x48c326_0
                    *v49 = v23 + *v49;
                    // branch -> 0x48c32c
                }
                int32_t v50 = v14 - 1; // 0x48c32c
                v14 = v50;
                if (v50 != 0) {
                    // 0x48c32c
                    v26 = v12;
                    // branch -> 0x48c271
                    continue;
                }
              lab_0x48c830_2:
                // 0x48c830
                v25 = v12;
                v24 = v16;
                int32_t v51; // 0x48c864
                if (v24 == 0) {
                  lab_0x48c83a_6:
                    // 0x48c83a
                    v21 = 3;
                    v20 = 138;
                    v19 = 0;
                    v18 = 0;
                    v22 = v25;
                    // branch -> 0x48c860
                    goto lab_0x48c860_3;
                } else {
                  lab_0x48c846_6:
                    // 0x48c846
                    if (v24 == v25) {
                        // 0x48c84a
                        v21 = 3;
                        v20 = 6;
                        v19 = 0;
                        v18 = v25;
                        v22 = v25;
                        // branch -> 0x48c860
                        goto lab_0x48c860_3;
                    } else {
                        // 0x48c856
                        v21 = 4;
                        v20 = 7;
                        v19 = 0;
                        v18 = v24;
                        v22 = v25;
                        // branch -> 0x48c860
                        goto lab_0x48c860_3;
                    }
                    // 0x48c860
                    v17 = v11 + 1;
                    v51 = v9 + 4;
                    if (v17 > v2) {
                        // break (via goto) -> 0x48c877
                        goto lab_0x48c877_2;
                    }
                    v4 = v21;
                    v5 = v20;
                    v7 = v19;
                    v8 = v18;
                    v9 = v51;
                    v10 = v22;
                    v11 = v17;
                    // continue (via goto) -> 0x48c24d
                    goto lab_0x48c24d_2;
                }
                // 0x48c860
                v17 = v11 + 1;
                v51 = v9 + 4;
                if (v17 > v2) {
                    // break (via goto) -> 0x48c877
                    goto lab_0x48c877_2;
                }
                v4 = v21;
                v5 = v20;
                v7 = v19;
                v8 = v18;
                v9 = v51;
                v10 = v22;
                v11 = v17;
                // continue (via goto) -> 0x48c24d
                goto lab_0x48c24d_2;
            }
          lab_0x48c877_2:
            // 0x48c877
            // branch -> 0x48c877
            // 0x48c877
            g4 = v1;
            g5 = v6;
            return;
        }
        // 0x48c338
        if (v8 == 0) {
            // 0x48c569
            if (v13 > 10) {
                int32_t v52 = (int32_t)*(int16_t *)(g3 + 2758); // 0x48c6d5
                v23 = v52;
                int32_t * v53 = (int32_t *)(g3 + 0x16bc); // 0x48c6e3_0
                uint16_t v54 = *(int16_t *)(g3 + 2756); // 0x48c6ef
                int32_t v55 = v54; // 0x48c6ef
                if (16 - v52 < *v53) {
                    int32_t v56 = g4 & -0x10000; // 0x48c6fa
                    uint32_t v57 = *v53 & 31; // 0x48c705
                    int32_t v58 = v56 | v55; // 0x48c708
                    if (v57 != 0) {
                        // if_48c705_0_true
                        v58 = v55 << v57 & 0xffff | v56;
                        // branch -> after_if_48c705_0
                    }
                    int16_t * v59 = (int16_t *)(g3 + 0x16b8); // 0x48c708_0
                    *v59 = (int16_t)((int32_t)*v59 | v58);
                    int32_t * v60 = (int32_t *)(g3 + 20); // 0x48c70f_0
                    *v60 = *v60 + 1;
                    int32_t v61 = *(int32_t *)(g3 + 8); // 0x48c715
                    *(char *)(*v60 + v61) = *(char *)(g3 + 0x16b8);
                    int32_t * v62 = (int32_t *)(g3 + 20); // 0x48c72a_0
                    int32_t v63 = *v62; // 0x48c72a
                    *v62 = *v62 + 1;
                    int32_t v64 = *(int32_t *)(g3 + 8); // 0x48c730
                    *(char *)(v63 + v64) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    g4 = v55;
                    uint32_t v65 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48c756
                    if (v65 != 0) {
                        int32_t v66 = v55 >> v65; // 0x48c756
                        g4 = v66;
                        v54 = (int16_t)v66;
                        // branch -> after_if_48c756_0
                    }
                    // after_if_48c756_0
                    *(int16_t *)(g3 + 0x16b8) = v54;
                    int32_t * v67 = (int32_t *)(g3 + 0x16bc); // 0x48c762_0
                    *v67 = *v67 + v23 - 16;
                    // branch -> 0x48c78d
                } else {
                    int32_t v68 = g4 & -0x10000; // 0x48c770
                    int32_t v69 = v68 | v55; // 0x48c770
                    g4 = v69;
                    uint32_t v70 = *v53 & 31; // 0x48c77d
                    if (v70 != 0) {
                        int32_t v71 = v55 << v70 & 0xffff | v68; // 0x48c77d
                        g4 = v71;
                        v69 = v71;
                        // branch -> after_if_48c77d_0
                    }
                    int16_t * v72 = (int16_t *)(g3 + 0x16b8); // 0x48c780_0
                    *v72 = (int16_t)((int32_t)*v72 | v69);
                    int32_t * v73 = (int32_t *)(g3 + 0x16bc); // 0x48c787_0
                    *v73 = v23 + *v73;
                    // branch -> 0x48c78d
                }
                // 0x48c78d
                v23 = 7;
                int32_t * v74 = (int32_t *)(g3 + 0x16bc); // 0x48c799_0
                int32_t v75 = v14; // 0x48c815
                if (*v74 < 10) {
                    int32_t v76 = v75 & -0x10000; // 0x48c815
                    int32_t v77 = v75 - 11 & 0xffff; // 0x48c815
                    uint32_t v78 = *v74 & 31; // 0x48c820
                    int32_t v79 = v77 | v76; // 0x48c823
                    if (v78 != 0) {
                        // if_48c820_0_true
                        v79 = v77 << v78 & 0xffff | v76;
                        // branch -> after_if_48c820_0
                    }
                    int16_t * v80 = (int16_t *)(g3 + 0x16b8); // 0x48c823_0
                    *v80 = (int16_t)((int32_t)*v80 | v79);
                    int32_t * v81 = (int32_t *)(g3 + 0x16bc); // 0x48c82a_0
                    *v81 = v23 + *v81;
                    // branch -> 0x48c830
                    goto lab_0x48c830_2;
                } else {
                    int32_t v82 = v75 - 11; // 0x48c7a1
                    uint32_t v83 = *v74 & 31; // 0x48c7ac
                    int32_t v84 = v82 & 0xffff; // 0x48c7ac
                    int32_t v85 = v82; // 0x48c7af
                    if (v83 != 0) {
                        // if_48c7ac_0_true
                        v85 = v84 << v83 & 0xffff | v82 & -0x10000;
                        // branch -> after_if_48c7ac_0
                    }
                    int16_t * v86 = (int16_t *)(g3 + 0x16b8); // 0x48c7af_0
                    *v86 = (int16_t)((int32_t)*v86 | v85);
                    int32_t * v87 = (int32_t *)(g3 + 20); // 0x48c7b6_0
                    *v87 = *v87 + 1;
                    int32_t v88 = *(int32_t *)(g3 + 8); // 0x48c7bc
                    *(char *)(*v87 + v88) = *(char *)(g3 + 0x16b8);
                    int32_t * v89 = (int32_t *)(g3 + 20); // 0x48c7d1_0
                    *v89 = *v89 + 1;
                    int32_t v90 = *v89 + *(int32_t *)(g3 + 8); // 0x48c7da
                    g4 = v90;
                    *(char *)v90 = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    uint32_t v91 = v82 & 0xffff; // 0x48c7f8
                    uint32_t v92 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48c7fb
                    int16_t v93 = v82;
                    if (v92 != 0) {
                        // if_48c7fb_0_true
                        v93 = v91 >> v92;
                        // branch -> after_if_48c7fb_0
                    }
                    // after_if_48c7fb_0
                    *(int16_t *)(g3 + 0x16b8) = v93;
                    int32_t * v94 = (int32_t *)(g3 + 0x16bc); // 0x48c807_0
                    *v94 = *v94 + v23 - 16;
                    // branch -> 0x48c830
                    goto lab_0x48c830_2;
                }
              lab_0x48c830_4:
                // 0x48c830
                v25 = v12;
                v24 = v16;
                if (v24 == 0) {
                    goto lab_0x48c83a_6;
                }
                goto lab_0x48c846_6;
            } else {
                int32_t v95 = (int32_t)*(int16_t *)(g3 + 2754); // 0x48c572
                v23 = v95;
                int32_t * v96 = (int32_t *)(g3 + 0x16bc); // 0x48c580_0
                uint16_t v97 = *(int16_t *)(g3 + 2752); // 0x48c58c
                int32_t v98 = v97; // 0x48c58c
                if (16 - v95 < *v96) {
                    int32_t v99 = g4 & -0x10000; // 0x48c597
                    uint32_t v100 = *v96 & 31; // 0x48c5a2
                    int32_t v101 = v99 | v98; // 0x48c5a5
                    if (v100 != 0) {
                        // if_48c5a2_0_true
                        v101 = v98 << v100 & 0xffff | v99;
                        // branch -> after_if_48c5a2_0
                    }
                    int16_t * v102 = (int16_t *)(g3 + 0x16b8); // 0x48c5a5_0
                    *v102 = (int16_t)((int32_t)*v102 | v101);
                    int32_t * v103 = (int32_t *)(g3 + 20); // 0x48c5ac_0
                    *v103 = *v103 + 1;
                    int32_t v104 = *(int32_t *)(g3 + 8); // 0x48c5b2
                    *(char *)(*v103 + v104) = *(char *)(g3 + 0x16b8);
                    int32_t * v105 = (int32_t *)(g3 + 20); // 0x48c5c7_0
                    int32_t v106 = *v105; // 0x48c5c7
                    *v105 = *v105 + 1;
                    int32_t v107 = *(int32_t *)(g3 + 8); // 0x48c5cd
                    *(char *)(v106 + v107) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    g4 = v98;
                    uint32_t v108 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48c5f3
                    if (v108 != 0) {
                        int32_t v109 = v98 >> v108; // 0x48c5f3
                        g4 = v109;
                        v97 = (int16_t)v109;
                        // branch -> after_if_48c5f3_0
                    }
                    // after_if_48c5f3_0
                    *(int16_t *)(g3 + 0x16b8) = v97;
                    int32_t * v110 = (int32_t *)(g3 + 0x16bc); // 0x48c5ff_0
                    *v110 = *v110 + v23 - 16;
                    // branch -> 0x48c62a
                } else {
                    int32_t v111 = g4 & -0x10000; // 0x48c60d
                    int32_t v112 = v111 | v98; // 0x48c60d
                    g4 = v112;
                    uint32_t v113 = *v96 & 31; // 0x48c61a
                    if (v113 != 0) {
                        int32_t v114 = v98 << v113 & 0xffff | v111; // 0x48c61a
                        g4 = v114;
                        v112 = v114;
                        // branch -> after_if_48c61a_0
                    }
                    int16_t * v115 = (int16_t *)(g3 + 0x16b8); // 0x48c61d_0
                    *v115 = (int16_t)((int32_t)*v115 | v112);
                    int32_t * v116 = (int32_t *)(g3 + 0x16bc); // 0x48c624_0
                    *v116 = v23 + *v116;
                    // branch -> 0x48c62a
                }
                // 0x48c62a
                v23 = 3;
                int32_t * v117 = (int32_t *)(g3 + 0x16bc); // 0x48c636_0
                int32_t v118 = v14; // 0x48c6b5
                if (*v117 < 14) {
                    int32_t v119 = v118 & -0x10000; // 0x48c6b5
                    int32_t v120 = v118 - 3 & 0xffff; // 0x48c6b5
                    uint32_t v121 = *v117 & 31; // 0x48c6c0
                    int32_t v122 = v120 | v119; // 0x48c6c3
                    if (v121 != 0) {
                        // if_48c6c0_0_true
                        v122 = v120 << v121 & 0xffff | v119;
                        // branch -> after_if_48c6c0_0
                    }
                    int16_t * v123 = (int16_t *)(g3 + 0x16b8); // 0x48c6c3_0
                    *v123 = (int16_t)((int32_t)*v123 | v122);
                    int32_t * v124 = (int32_t *)(g3 + 0x16bc); // 0x48c6ca_0
                    *v124 = v23 + *v124;
                    // branch -> 0x48c830
                    goto lab_0x48c830_4;
                } else {
                    int32_t v125 = v118 - 3; // 0x48c63e
                    uint32_t v126 = *v117 & 31; // 0x48c649
                    int32_t v127 = v125 & 0xffff; // 0x48c649
                    int32_t v128 = v125; // 0x48c64c
                    if (v126 != 0) {
                        // if_48c649_0_true
                        v128 = v127 << v126 & 0xffff | v125 & -0x10000;
                        // branch -> after_if_48c649_0
                    }
                    int16_t * v129 = (int16_t *)(g3 + 0x16b8); // 0x48c64c_0
                    *v129 = (int16_t)((int32_t)*v129 | v128);
                    int32_t * v130 = (int32_t *)(g3 + 20); // 0x48c653_0
                    *v130 = *v130 + 1;
                    int32_t v131 = *(int32_t *)(g3 + 8); // 0x48c659
                    *(char *)(*v130 + v131) = *(char *)(g3 + 0x16b8);
                    int32_t * v132 = (int32_t *)(g3 + 20); // 0x48c66e_0
                    *v132 = *v132 + 1;
                    int32_t v133 = *v132 + *(int32_t *)(g3 + 8); // 0x48c677
                    g4 = v133;
                    *(char *)v133 = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    uint32_t v134 = v125 & 0xffff; // 0x48c695
                    uint32_t v135 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48c698
                    int16_t v136 = v125;
                    if (v135 != 0) {
                        // if_48c698_0_true
                        v136 = v134 >> v135;
                        // branch -> after_if_48c698_0
                    }
                    // after_if_48c698_0
                    *(int16_t *)(g3 + 0x16b8) = v136;
                    int32_t * v137 = (int32_t *)(g3 + 0x16bc); // 0x48c6a4_0
                    *v137 = *v137 + v23 - 16;
                    // branch -> 0x48c830
                    goto lab_0x48c830_4;
                }
                // 0x48c830
                v25 = v12;
                v24 = v16;
                if (v24 == 0) {
                    goto lab_0x48c83a_6;
                }
                goto lab_0x48c846_6;
            }
          lab_0x48c830_6:
            // 0x48c830
            v25 = v12;
            v24 = v16;
            if (v24 == 0) {
                goto lab_0x48c83a_6;
            }
            goto lab_0x48c846_6;
        } else {
            // 0x48c340
            if (v8 != v10) {
                int32_t v138 = 4 * v8; // 0x48c34a
                int32_t v139 = (int32_t)*(int16_t *)(v138 + 2686 + g3); // 0x48c34a
                v23 = v139;
                int32_t * v140 = (int32_t *)(g3 + 0x16bc); // 0x48c359_0
                uint16_t v141 = *(int16_t *)(v138 + 2684 + g3); // 0x48c365
                int32_t v142 = v141; // 0x48c365
                if (16 - v139 < *v140) {
                    int32_t v143 = g4 & -0x10000; // 0x48c371
                    uint32_t v144 = *v140 & 31; // 0x48c37c
                    int32_t v145 = v143 | v142; // 0x48c37f
                    if (v144 != 0) {
                        // if_48c37c_0_true
                        v145 = v142 << v144 & 0xffff | v143;
                        // branch -> after_if_48c37c_0
                    }
                    int16_t * v146 = (int16_t *)(g3 + 0x16b8); // 0x48c37f_0
                    *v146 = (int16_t)((int32_t)*v146 | v145);
                    int32_t * v147 = (int32_t *)(g3 + 20); // 0x48c386_0
                    *v147 = *v147 + 1;
                    int32_t v148 = *(int32_t *)(g3 + 8); // 0x48c38c
                    *(char *)(*v147 + v148) = *(char *)(g3 + 0x16b8);
                    int32_t * v149 = (int32_t *)(g3 + 20); // 0x48c3a1_0
                    int32_t v150 = *v149; // 0x48c3a1
                    *v149 = *v149 + 1;
                    int32_t v151 = *(int32_t *)(g3 + 8); // 0x48c3a7
                    *(char *)(v150 + v151) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    g4 = v142;
                    uint32_t v152 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48c3cd
                    if (v152 != 0) {
                        int32_t v153 = v142 >> v152; // 0x48c3cd
                        g4 = v153;
                        v141 = (int16_t)v153;
                        // branch -> after_if_48c3cd_0
                    }
                    // after_if_48c3cd_0
                    *(int16_t *)(g3 + 0x16b8) = v141;
                    int32_t * v154 = (int32_t *)(g3 + 0x16bc); // 0x48c3d9_0
                    *v154 = *v154 + v23 - 16;
                    // branch -> 0x48c405
                } else {
                    int32_t v155 = g4 & -0x10000; // 0x48c3e7
                    int32_t v156 = v155 | v142; // 0x48c3e7
                    g4 = v156;
                    uint32_t v157 = *v140 & 31; // 0x48c3f5
                    if (v157 != 0) {
                        int32_t v158 = v142 << v157 & 0xffff | v155; // 0x48c3f5
                        g4 = v158;
                        v156 = v158;
                        // branch -> after_if_48c3f5_0
                    }
                    int16_t * v159 = (int16_t *)(g3 + 0x16b8); // 0x48c3f8_0
                    *v159 = (int16_t)((int32_t)*v159 | v156);
                    int32_t * v160 = (int32_t *)(g3 + 0x16bc); // 0x48c3ff_0
                    *v160 = v23 + *v160;
                    // branch -> 0x48c405
                }
                // 0x48c405
                v14--;
                // branch -> 0x48c406
            }
            int32_t v161 = (int32_t)*(int16_t *)(g3 + 2750); // 0x48c406
            v23 = v161;
            int32_t * v162 = (int32_t *)(g3 + 0x16bc); // 0x48c414_0
            uint16_t v163 = *(int16_t *)(g3 + 2748); // 0x48c420
            int32_t v164 = v163; // 0x48c420
            if (16 - v161 < *v162) {
                int32_t v165 = g4 & -0x10000; // 0x48c42b
                uint32_t v166 = *v162 & 31; // 0x48c436
                int32_t v167 = v165 | v164; // 0x48c439
                if (v166 != 0) {
                    // if_48c436_0_true
                    v167 = v164 << v166 & 0xffff | v165;
                    // branch -> after_if_48c436_0
                }
                int16_t * v168 = (int16_t *)(g3 + 0x16b8); // 0x48c439_0
                *v168 = (int16_t)((int32_t)*v168 | v167);
                int32_t * v169 = (int32_t *)(g3 + 20); // 0x48c440_0
                *v169 = *v169 + 1;
                int32_t v170 = *(int32_t *)(g3 + 8); // 0x48c446
                *(char *)(*v169 + v170) = *(char *)(g3 + 0x16b8);
                int32_t * v171 = (int32_t *)(g3 + 20); // 0x48c45b_0
                int32_t v172 = *v171; // 0x48c45b
                *v171 = *v171 + 1;
                int32_t v173 = *(int32_t *)(g3 + 8); // 0x48c461
                *(char *)(v172 + v173) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                g4 = v164;
                uint32_t v174 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48c487
                if (v174 != 0) {
                    int32_t v175 = v164 >> v174; // 0x48c487
                    g4 = v175;
                    v163 = (int16_t)v175;
                    // branch -> after_if_48c487_0
                }
                // after_if_48c487_0
                *(int16_t *)(g3 + 0x16b8) = v163;
                int32_t * v176 = (int32_t *)(g3 + 0x16bc); // 0x48c493_0
                *v176 = *v176 + v23 - 16;
                // branch -> 0x48c4be
            } else {
                int32_t v177 = g4 & -0x10000; // 0x48c4a1
                int32_t v178 = v177 | v164; // 0x48c4a1
                g4 = v178;
                uint32_t v179 = *v162 & 31; // 0x48c4ae
                if (v179 != 0) {
                    int32_t v180 = v164 << v179 & 0xffff | v177; // 0x48c4ae
                    g4 = v180;
                    v178 = v180;
                    // branch -> after_if_48c4ae_0
                }
                int16_t * v181 = (int16_t *)(g3 + 0x16b8); // 0x48c4b1_0
                *v181 = (int16_t)((int32_t)*v181 | v178);
                int32_t * v182 = (int32_t *)(g3 + 0x16bc); // 0x48c4b8_0
                *v182 = v23 + *v182;
                // branch -> 0x48c4be
            }
            // 0x48c4be
            v23 = 2;
            int32_t * v183 = (int32_t *)(g3 + 0x16bc); // 0x48c4ca_0
            if (*v183 < 15) {
                int32_t v184 = v14 & -0x10000; // 0x48c549
                int32_t v185 = v14 - 3 & 0xffff; // 0x48c549
                uint32_t v186 = *v183 & 31; // 0x48c554
                int32_t v187 = v185 | v184; // 0x48c557
                if (v186 != 0) {
                    // if_48c554_0_true
                    v187 = v185 << v186 & 0xffff | v184;
                    // branch -> after_if_48c554_0
                }
                int16_t * v188 = (int16_t *)(g3 + 0x16b8); // 0x48c557_0
                *v188 = (int16_t)((int32_t)*v188 | v187);
                int32_t * v189 = (int32_t *)(g3 + 0x16bc); // 0x48c55e_0
                *v189 = v23 + *v189;
                // branch -> 0x48c830
                goto lab_0x48c830_6;
            } else {
                int32_t v190 = v14 - 3; // 0x48c4d2
                uint32_t v191 = *v183 & 31; // 0x48c4dd
                int32_t v192 = v190 & 0xffff; // 0x48c4dd
                int32_t v193 = v190; // 0x48c4e0
                if (v191 != 0) {
                    // if_48c4dd_0_true
                    v193 = v192 << v191 & 0xffff | v190 & -0x10000;
                    // branch -> after_if_48c4dd_0
                }
                int16_t * v194 = (int16_t *)(g3 + 0x16b8); // 0x48c4e0_0
                *v194 = (int16_t)((int32_t)*v194 | v193);
                int32_t * v195 = (int32_t *)(g3 + 20); // 0x48c4e7_0
                *v195 = *v195 + 1;
                int32_t v196 = *(int32_t *)(g3 + 8); // 0x48c4ed
                *(char *)(*v195 + v196) = *(char *)(g3 + 0x16b8);
                int32_t * v197 = (int32_t *)(g3 + 20); // 0x48c502_0
                *v197 = *v197 + 1;
                int32_t v198 = *v197 + *(int32_t *)(g3 + 8); // 0x48c50b
                g4 = v198;
                *(char *)v198 = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                uint32_t v199 = v190 & 0xffff; // 0x48c529
                uint32_t v200 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48c52c
                int16_t v201 = v190;
                if (v200 != 0) {
                    // if_48c52c_0_true
                    v201 = v199 >> v200;
                    // branch -> after_if_48c52c_0
                }
                // after_if_48c52c_0
                *(int16_t *)(g3 + 0x16b8) = v201;
                int32_t * v202 = (int32_t *)(g3 + 0x16bc); // 0x48c538_0
                *v202 = *v202 + v23 - 16;
                // branch -> 0x48c830
                goto lab_0x48c830_6;
            }
            // 0x48c830
            v25 = v12;
            v24 = v16;
            if (v24 == 0) {
                goto lab_0x48c83a_6;
            }
            goto lab_0x48c846_6;
        }
        // 0x48c830
        v25 = v12;
        v24 = v16;
        if (v24 == 0) {
            goto lab_0x48c83a_6;
        }
        goto lab_0x48c846_6;
    }
}

// Address range: 0x48c880 - 0x48c8e3
void function_48c880(void) {
    int32_t v1 = g3; // 0x48c881
    g8 = v1 + 148;
    g6 = *(int32_t *)(v1 + 2844);
    g3 = v1;
    function_48c0ec();
    int32_t v2 = g5; // 0x48c896
    g8 = v2 + 2440;
    g6 = *(int32_t *)(v2 + 2856);
    g3 = v2;
    function_48c0ec();
    int32_t v3 = g5; // 0x48c8a9
    g8 = v3 + 2864;
    g3 = v3;
    function_48bedc();
    g3 = 18;
    int32_t v4 = 18; // 0x48c8cf
    int32_t v5 = 0x4c226a; // 0x48c8d0
    // branch -> 0x48c8c0
    int32_t * v6; // 0x48c8dc_0
    int32_t v7;
    int32_t v8; // 0x48c8cf
    while (true) {
        int32_t v9 = v4; // 0x48c8d6
        if (*(int16_t *)(g5 + 2686 + 4 * (int32_t)*(char *)v5) == 0) {
            // 0x48c8cf
            v8 = v4 - 1;
            g3 = v8;
            if (v8 <= 2) {
                // break -> 0x48c8d6
                break;
            }
            v4 = v8;
            v5--;
            // continue -> 0x48c8c0
            continue;
        }
        // 0x48c8d6
        v6 = (int32_t *)(g5 + 0x16a8);
        *v6 = 3 * v9 + 17 + *v6;
        g5 = v7;
        return;
    }
    // 0x48c8d6
    v6 = (int32_t *)(g5 + 0x16a8);
    *v6 = 3 * v8 + 17 + *v6;
    g5 = v7;
}

// Address range: 0x48c8e4 - 0x48cbdb
void function_48c8e4(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g5; // 0x48c8ea
    int32_t v3 = g10; // 0x48c8eb
    int32_t v4 = g7; // 0x48c8ec
    int16_t v5 = g6; // 0x48c8ed_0
    int16_t v6 = g8; // 0x48c8f0_0
    int32_t v7 = 5; // eax
    int32_t * v8 = (int32_t *)(g3 + 0x16bc); // 0x48c901_0
    int32_t v9 = *v8; // 0x48c901
    if (v9 < 12) {
        int32_t v10 = g8 + 0xfeff & 0xffff; // 0x48c987
        uint32_t v11 = *v8 & 31; // 0x48c98c
        int32_t v12 = v10; // 0x48c98f
        if (v11 != 0) {
            // if_48c98c_0_true
            v12 = v10 << v11 & 0xffff;
            // branch -> after_if_48c98c_0
        }
        int16_t * v13 = (int16_t *)(g3 + 0x16b8); // 0x48c98f_0
        *v13 = (int16_t)((int32_t)*v13 | v12);
        int32_t * v14 = (int32_t *)(g3 + 0x16bc); // 0x48c996_0
        *v14 = v7 + *v14;
        // branch -> 0x48c99c
    } else {
        int32_t v15 = (int32_t)v6 - 257; // 0x48c90e
        uint32_t v16 = v9 & 31; // 0x48c918
        int32_t v17 = v15; // 0x48c91b
        if (v16 != 0) {
            // if_48c918_0_true
            v17 = (v15 & 0xffff) << v16 & 0xffff | v15 & -0x10000;
            // branch -> after_if_48c918_0
        }
        int16_t * v18 = (int16_t *)(g3 + 0x16b8); // 0x48c91b_0
        *v18 = (int16_t)((int32_t)*v18 | v17);
        int32_t * v19 = (int32_t *)(g3 + 20); // 0x48c922_0
        *v19 = *v19 + 1;
        int32_t v20 = *(int32_t *)(g3 + 8); // 0x48c928
        *(char *)(*v19 + v20) = *(char *)(g3 + 0x16b8);
        int32_t * v21 = (int32_t *)(g3 + 20); // 0x48c93b_0
        *v21 = *v21 + 1;
        int32_t v22 = *(int32_t *)(g3 + 8); // 0x48c941
        uint16_t v23 = *(int16_t *)(g3 + 0x16b8); // 0x48c948
        *(char *)(*v21 + v22) = (char)(v23 / 256);
        uint32_t v24 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48c963
        int16_t v25 = v15;
        if (v24 != 0) {
            // if_48c963_0_true
            v25 = (v15 & 0xffff) >> v24;
            // branch -> after_if_48c963_0
        }
        // after_if_48c963_0
        *(int16_t *)(g3 + 0x16b8) = v25;
        int32_t * v26 = (int32_t *)(g3 + 0x16bc); // 0x48c96f_0
        *v26 = *v26 + v7 - 16;
        // branch -> 0x48c99c
    }
    // 0x48c99c
    v7 = 5;
    int32_t * v27 = (int32_t *)(g3 + 0x16bc); // 0x48c9a8_0
    int32_t v28 = *v27; // 0x48c9a8
    if (v28 < 12) {
        int32_t v29 = g6 + 0xffff & 0xffff; // 0x48ca29
        uint32_t v30 = *v27 & 31; // 0x48ca2e
        int32_t v31 = v29; // 0x48ca31
        if (v30 != 0) {
            // if_48ca2e_0_true
            v31 = v29 << v30 & 0xffff;
            // branch -> after_if_48ca2e_0
        }
        int16_t * v32 = (int16_t *)(g3 + 0x16b8); // 0x48ca31_0
        *v32 = (int16_t)((int32_t)*v32 | v31);
        int32_t * v33 = (int32_t *)(g3 + 0x16bc); // 0x48ca38_0
        *v33 = v7 + *v33;
        // branch -> 0x48ca3e
    } else {
        int32_t v34 = (int32_t)v5 - 1; // 0x48c9b5
        uint32_t v35 = v28 & 31; // 0x48c9ba
        int32_t v36 = v34; // 0x48c9bd
        if (v35 != 0) {
            // if_48c9ba_0_true
            v36 = (v34 & 0xffff) << v35 & 0xffff | v34 & -0x10000;
            // branch -> after_if_48c9ba_0
        }
        int16_t * v37 = (int16_t *)(g3 + 0x16b8); // 0x48c9bd_0
        *v37 = (int16_t)((int32_t)*v37 | v36);
        int32_t * v38 = (int32_t *)(g3 + 20); // 0x48c9c4_0
        *v38 = *v38 + 1;
        int32_t v39 = *(int32_t *)(g3 + 8); // 0x48c9ca
        *(char *)(*v38 + v39) = *(char *)(g3 + 0x16b8);
        int32_t * v40 = (int32_t *)(g3 + 20); // 0x48c9dd_0
        *v40 = *v40 + 1;
        int32_t v41 = *(int32_t *)(g3 + 8); // 0x48c9e3
        uint16_t v42 = *(int16_t *)(g3 + 0x16b8); // 0x48c9ea
        *(char *)(*v40 + v41) = (char)(v42 / 256);
        uint32_t v43 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48ca05
        int16_t v44 = v34;
        if (v43 != 0) {
            // if_48ca05_0_true
            v44 = (v34 & 0xffff) >> v43;
            // branch -> after_if_48ca05_0
        }
        // after_if_48ca05_0
        *(int16_t *)(g3 + 0x16b8) = v44;
        int32_t * v45 = (int32_t *)(g3 + 0x16bc); // 0x48ca11_0
        *v45 = *v45 + v7 - 16;
        // branch -> 0x48ca3e
    }
    // 0x48ca3e
    v7 = 4;
    int32_t * v46 = (int32_t *)(g3 + 0x16bc); // 0x48ca4a_0
    int32_t v47 = *v46; // 0x48ca4a
    g10 = v47;
    int16_t v48;
    int32_t v49;
    if (v47 < 13) {
        int32_t v50 = (int32_t)v48 - 4 & 0xffff; // 0x48cacd
        uint32_t v51 = *v46 & 31; // 0x48cad2
        int32_t v52 = v50; // 0x48cad5
        if (v51 != 0) {
            // if_48cad2_0_true
            v52 = v50 << v51 & 0xffff;
            // branch -> after_if_48cad2_0
        }
        int16_t * v53 = (int16_t *)(g3 + 0x16b8); // 0x48cad5_0
        *v53 = (int16_t)((int32_t)*v53 | v52);
        int32_t * v54 = (int32_t *)(g3 + 0x16bc); // 0x48cadc_0
        *v54 = v7 + *v54;
        v49 = v48;
        // branch -> 0x48cae2
    } else {
        int32_t v55 = v48; // 0x48ca54
        int32_t v56 = v55 - 4; // 0x48ca57
        uint32_t v57 = v47 & 31; // 0x48ca5e
        int32_t v58 = v56; // 0x48ca61
        if (v57 != 0) {
            // if_48ca5e_0_true
            v58 = (v56 & 0xffff) << v57 & 0xffff | v56 & -0x10000;
            // branch -> after_if_48ca5e_0
        }
        int16_t * v59 = (int16_t *)(g3 + 0x16b8); // 0x48ca61_0
        *v59 = (int16_t)((int32_t)*v59 | v58);
        int32_t * v60 = (int32_t *)(g3 + 20); // 0x48ca68_0
        *v60 = *v60 + 1;
        int32_t v61 = *(int32_t *)(g3 + 8); // 0x48ca6e
        *(char *)(*v60 + v61) = *(char *)(g3 + 0x16b8);
        int32_t * v62 = (int32_t *)(g3 + 20); // 0x48ca81_0
        *v62 = *v62 + 1;
        int32_t v63 = *v62 + *(int32_t *)(g3 + 8); // 0x48ca8a
        g10 = v63;
        *(char *)v63 = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
        uint32_t v64 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48caa9
        int16_t v65 = v56;
        if (v64 != 0) {
            // if_48caa9_0_true
            v65 = (v56 & 0xffff) >> v64;
            // branch -> after_if_48caa9_0
        }
        // after_if_48caa9_0
        *(int16_t *)(g3 + 0x16b8) = v65;
        int32_t * v66 = (int32_t *)(g3 + 0x16bc); // 0x48cab5_0
        *v66 = *v66 + v7 - 16;
        v49 = v55;
        // branch -> 0x48cae2
    }
    int32_t v67 = 0; // edx
    v7 = 0x4c2258;
    int32_t v68; // 0x48cbb5
    int32_t v69; // 0x48cbc6
    if (v48 < 1) {
        // 0x48cbb1
        g6 = (int32_t)v6 - 1;
        v68 = g3;
        g8 = v68 + 148;
        g3 = v68;
        function_48c1f8();
        g6 = (int32_t)v5 - 1;
        v69 = g5;
        g8 = v69 + 2440;
        g3 = v69;
        function_48c1f8();
        g7 = v4;
        g10 = v3;
        g5 = v2;
        g4 = v1;
        return;
    }
    while (true) {
        // 0x48caf2
        g10 = 3;
        int32_t * v70 = (int32_t *)(g3 + 0x16bc); // 0x48cafe_0
        if (*v70 < 14) {
            int32_t v71 = (int32_t)*(int16_t *)(g3 + 2686 + 4 * (int32_t)*"\x10\x11\x12"); // 0x48cb8e
            g7 = v71;
            uint32_t v72 = *v70 & 31; // 0x48cb96
            int32_t v73 = v71; // 0x48cb99
            if (v72 != 0) {
                int32_t v74 = v71 << v72 & 0xffff; // 0x48cb96
                g7 = v74;
                v73 = v74;
                // branch -> after_if_48cb96_0
            }
            int16_t * v75 = (int16_t *)(g3 + 0x16b8); // 0x48cb99_0
            *v75 = (int16_t)((int32_t)*v75 | v73);
            int32_t * v76 = (int32_t *)(g3 + 0x16bc); // 0x48cba0_0
            *v76 = g10 + *v76;
            // branch -> 0x48cba6
        } else {
            uint16_t v77 = *(int16_t *)(g3 + 2686 + 4 * (int32_t)*"\x10\x11\x12"); // 0x48cb0a
            int32_t v78 = v77; // 0x48cb0a
            int32_t v79 = g7 & -0x10000; // 0x48cb15
            uint32_t v80 = *v70 & 31; // 0x48cb1f
            int32_t v81 = v79 | v78; // 0x48cb22
            if (v80 != 0) {
                // if_48cb1f_0_true
                v81 = v78 << v80 & 0xffff | v79;
                // branch -> after_if_48cb1f_0
            }
            int16_t * v82 = (int16_t *)(g3 + 0x16b8); // 0x48cb22_0
            *v82 = (int16_t)((int32_t)*v82 | v81);
            int32_t * v83 = (int32_t *)(g3 + 20); // 0x48cb29_0
            *v83 = *v83 + 1;
            int32_t v84 = *(int32_t *)(g3 + 8); // 0x48cb2f
            *(char *)(*v83 + v84) = *(char *)(g3 + 0x16b8);
            int32_t * v85 = (int32_t *)(g3 + 20); // 0x48cb42_0
            *v85 = *v85 + 1;
            int32_t v86 = *(int32_t *)(g3 + 8); // 0x48cb48
            uint16_t v87 = *(int16_t *)(g3 + 0x16b8); // 0x48cb4f
            *(char *)(*v85 + v86) = (char)(v87 / 256);
            g7 = v78;
            uint32_t v88 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48cb6b
            if (v88 != 0) {
                int32_t v89 = v78 >> v88; // 0x48cb6b
                g7 = v89;
                v77 = (int16_t)v89;
                // branch -> after_if_48cb6b_0
            }
            // after_if_48cb6b_0
            *(int16_t *)(g3 + 0x16b8) = v77;
            int32_t * v90 = (int32_t *)(g3 + 0x16bc); // 0x48cb77_0
            int32_t v91 = *v90 + g10 - 16; // 0x48cb77
            g10 = v91;
            *v90 = v91;
            // branch -> 0x48cba6
        }
        int32_t v92 = v67 + 1; // 0x48cba6
        v67 = v92;
        v7++;
        if (v92 >= v49) {
            // break -> 0x48cbb1
            break;
        }
        // continue -> 0x48caf2
    }
    // 0x48cbb1
    g6 = (int32_t)v6 - 1;
    v68 = g3;
    g8 = v68 + 148;
    g3 = v68;
    function_48c1f8();
    g6 = (int32_t)v5 - 1;
    v69 = g5;
    g8 = v69 + 2440;
    g3 = v69;
    function_48c1f8();
    g7 = v4;
    g10 = v3;
    g5 = v2;
    g4 = v1;
}

// Address range: 0x48cbdc - 0x48cc97
void function_48cbdc(void) {
    int32_t v1 = g10; // 0x48cbe3
    int32_t v2;
    g10 = v2;
    g5 = 3;
    int32_t v3 = g3; // 0x48cbf9
    int32_t * v4 = (int32_t *)(v3 + 0x16bc); // 0x48cbf9_0
    int32_t v5 = *v4; // 0x48cbf9
    if (v5 < 14) {
        uint32_t v6 = *v4 & 31; // 0x48cc72
        int32_t v7; // 0x48cc72
        if (v6 != 0) {
            // if_48cc72_0_true
            v7 = (v2 & 0xffff) << v6 & 0xffff | v2 & -0x10000;
            g10 = v7;
            // branch -> after_if_48cc72_0
        } else {
            v7 = v2;
        }
        int16_t * v8 = (int16_t *)(v3 + 0x16b8); // 0x48cc75_0
        *v8 = (int16_t)((int32_t)*v8 | v7);
        int32_t * v9 = (int32_t *)(g3 + 0x16bc); // 0x48cc7c_0
        *v9 = g5 + *v9;
        // branch -> 0x48cc82
    } else {
        uint32_t v10 = v5 & 31; // 0x48cc07
        int32_t v11 = v2; // 0x48cc0a
        if (v10 != 0) {
            // if_48cc07_0_true
            v11 = (v2 & 0xffff) << v10 & 0xffff | v2 & -0x10000;
            // branch -> after_if_48cc07_0
        }
        int16_t * v12 = (int16_t *)(v3 + 0x16b8); // 0x48cc0a_0
        *v12 = (int16_t)((int32_t)*v12 | v11);
        int32_t * v13 = (int32_t *)(g3 + 20); // 0x48cc11_0
        *v13 = *v13 + 1;
        int32_t v14 = g3; // 0x48cc17
        int32_t v15 = *(int32_t *)(v14 + 8); // 0x48cc17
        *(char *)(*v13 + v15) = *(char *)(v14 + 0x16b8);
        int32_t * v16 = (int32_t *)(g3 + 20); // 0x48cc2a_0
        *v16 = *v16 + 1;
        int32_t v17 = g3; // 0x48cc30
        int32_t v18 = *(int32_t *)(v17 + 8); // 0x48cc30
        uint16_t v19 = *(int16_t *)(v17 + 0x16b8); // 0x48cc37
        *(char *)(*v16 + v18) = (char)(v19 / 256);
        int32_t v20 = g3; // 0x48cc49
        uint32_t v21 = g10 & 0xffff; // 0x48cc4f
        uint32_t v22 = 16 - *(int32_t *)(v20 + 0x16bc) & 31; // 0x48cc52
        int16_t v23 = g10;
        int16_t v24;
        if (v22 != 0) {
            // if_48cc52_0_true
            v24 = v21 >> v22;
            // branch -> after_if_48cc52_0
        } else {
            v24 = v23;
        }
        // after_if_48cc52_0
        *(int16_t *)(v20 + 0x16b8) = v24;
        int32_t * v25 = (int32_t *)(g3 + 0x16bc); // 0x48cc5e_0
        int32_t v26 = *v25 + g5 - 16; // 0x48cc5e
        g5 = v26;
        *v25 = v26;
        // branch -> 0x48cc82
    }
    // 0x48cc82
    function_48d840();
    g10 = 1;
    g5 = v1;
}

// Address range: 0x48cc98 - 0x48cf63
void function_48cc98(void) {
    int32_t v1 = g7; // 0x48cc9a
    int32_t v2 = g3; // 0x48cc9b
    g5 = v2;
    int32_t v3 = 3; // eax
    int32_t * v4 = (int32_t *)(v2 + 0x16bc); // 0x48cca9_0
    int32_t v5 = *v4; // 0x48cca9
    if (v5 < 14) {
        uint32_t v6 = *v4 & 31; // 0x48cd2d
        int32_t v7 = 2; // 0x48cd30
        if (v6 != 0) {
            // if_48cd2d_0_true
            v7 = 2 << v6 & 0xffff;
            // branch -> after_if_48cd2d_0
        }
        int16_t * v8 = (int16_t *)(v2 + 0x16b8); // 0x48cd30_0
        *v8 = (int16_t)((int32_t)*v8 | v7);
        int32_t * v9 = (int32_t *)(g5 + 0x16bc); // 0x48cd37_0
        *v9 = v3 + *v9;
        // branch -> 0x48cd3d
    } else {
        uint32_t v10 = v5 & 31; // 0x48ccbe
        int32_t v11 = 2; // 0x48ccc1
        if (v10 != 0) {
            // if_48ccbe_0_true
            v11 = 2 << v10 & 0xffff;
            // branch -> after_if_48ccbe_0
        }
        int16_t * v12 = (int16_t *)(v2 + 0x16b8); // 0x48ccc1_0
        *v12 = (int16_t)((int32_t)*v12 | v11);
        int32_t * v13 = (int32_t *)(g5 + 20); // 0x48ccc8_0
        *v13 = *v13 + 1;
        int32_t v14 = g5; // 0x48ccce
        int32_t v15 = *(int32_t *)(v14 + 8); // 0x48ccce
        *(char *)(*v13 + v15) = *(char *)(v14 + 0x16b8);
        int32_t * v16 = (int32_t *)(g5 + 20); // 0x48cce1_0
        *v16 = *v16 + 1;
        int32_t v17 = g5; // 0x48cce7
        int32_t v18 = *(int32_t *)(v17 + 8); // 0x48cce7
        uint16_t v19 = *(int16_t *)(v17 + 0x16b8); // 0x48ccee
        *(char *)(*v16 + v18) = (char)(v19 / 256);
        int32_t v20 = g5; // 0x48cd00
        int32_t v21 = 2; // 0x48cd06
        uint32_t v22 = 16 - *(int32_t *)(v20 + 0x16bc) & 31; // 0x48cd09
        int16_t v23 = v21;
        if (v22 != 0) {
            // if_48cd09_0_true
            v23 = (v21 & 0xffff) >> v22;
            // branch -> after_if_48cd09_0
        }
        // after_if_48cd09_0
        *(int16_t *)(v20 + 0x16b8) = v23;
        int32_t * v24 = (int32_t *)(g5 + 0x16bc); // 0x48cd15_0
        *v24 = *v24 + v3 - 16;
        // branch -> 0x48cd3d
    }
    int32_t v25 = g5; // 0x48cd47
    int32_t * v26 = (int32_t *)(v25 + 0x16bc); // 0x48cd47_0
    int32_t v27 = *v26; // 0x48cd47
    v3 = g44;
    if (16 - g44 < v27) {
        uint32_t v28 = v27 & 31; // 0x48cd64
        int32_t v29 = g43; // 0x48cd67
        if (v28 != 0) {
            // if_48cd64_0_true
            v29 = (g43 & 0xffff) << v28 & 0xffff | g43 & -0x10000;
            // branch -> after_if_48cd64_0
        }
        int16_t * v30 = (int16_t *)(v25 + 0x16b8); // 0x48cd67_0
        *v30 = (int16_t)((int32_t)*v30 | v29);
        int32_t * v31 = (int32_t *)(g5 + 20); // 0x48cd6e_0
        *v31 = *v31 + 1;
        int32_t v32 = g5; // 0x48cd74
        int32_t v33 = *(int32_t *)(v32 + 8); // 0x48cd74
        *(char *)(*v31 + v33) = *(char *)(v32 + 0x16b8);
        int32_t * v34 = (int32_t *)(g5 + 20); // 0x48cd87_0
        *v34 = *v34 + 1;
        int32_t v35 = g5; // 0x48cd8d
        int32_t v36 = *(int32_t *)(v35 + 8); // 0x48cd8d
        uint16_t v37 = *(int16_t *)(v35 + 0x16b8); // 0x48cd94
        *(char *)(*v34 + v36) = (char)(v37 / 256);
        int32_t v38 = g5; // 0x48cda6
        uint32_t v39 = 16 - *(int32_t *)(v38 + 0x16bc) & 31; // 0x48cdaf
        int16_t v40 = g43;
        if (v39 != 0) {
            // if_48cdaf_0_true
            v40 = (g43 & 0xffff) >> v39;
            // branch -> after_if_48cdaf_0
        }
        // after_if_48cdaf_0
        *(int16_t *)(v38 + 0x16b8) = v40;
        int32_t * v41 = (int32_t *)(g5 + 0x16bc); // 0x48cdbb_0
        *v41 = *v41 + v3 - 16;
        // branch -> 0x48cde7
    } else {
        int32_t v42 = g43 | 0x4c0000; // 0x48cdd4
        uint32_t v43 = *v26 & 31; // 0x48cdd7
        int32_t v44 = v42; // 0x48cdda
        if (v43 != 0) {
            // if_48cdd7_0_true
            v44 = (g43 & 0xffff) << v43 & 0xffff | v42 & -0x10000;
            // branch -> after_if_48cdd7_0
        }
        int16_t * v45 = (int16_t *)(v25 + 0x16b8); // 0x48cdda_0
        *v45 = (int16_t)((int32_t)*v45 | v44);
        int32_t * v46 = (int32_t *)(g5 + 0x16bc); // 0x48cde1_0
        *v46 = v3 + *v46;
        // branch -> 0x48cde7
    }
    // 0x48cde7
    g3 = g5;
    function_48d764();
    int32_t v47 = g5; // 0x48cdee
    int32_t * v48 = (int32_t *)(v47 + 0x16bc); // 0x48cdf7_0
    int32_t v49 = *v48; // 0x48cdf7
    if (*(int32_t *)(v47 + 0x16b4) + 11 - v49 > 8) {
        // 0x48cf53
        *(int32_t *)(v47 + 0x16b4) = 7;
        g7 = v1;
        return;
    }
    // 0x48ce08
    v3 = 3;
    if (v49 < 14) {
        int32_t v50 = v49 & -0x10000; // 0x48ce88
        uint32_t v51 = *v48 & 31; // 0x48ce92
        int32_t v52 = v50 | 2; // 0x48ce95
        if (v51 != 0) {
            // if_48ce92_0_true
            v52 = 2 << v51 & 0xffff | v50;
            // branch -> after_if_48ce92_0
        }
        int16_t * v53 = (int16_t *)(v47 + 0x16b8); // 0x48ce95_0
        *v53 = (int16_t)((int32_t)*v53 | v52);
        int32_t * v54 = (int32_t *)(g5 + 0x16bc); // 0x48ce9c_0
        *v54 = v3 + *v54;
        // branch -> 0x48cea2
    } else {
        uint32_t v55 = v49 & 31; // 0x48ce23
        int32_t v56 = 2; // 0x48ce26
        if (v55 != 0) {
            // if_48ce23_0_true
            v56 = 2 << v55 & 0xffff;
            // branch -> after_if_48ce23_0
        }
        int16_t * v57 = (int16_t *)(v47 + 0x16b8); // 0x48ce26_0
        *v57 = (int16_t)((int32_t)*v57 | v56);
        int32_t * v58 = (int32_t *)(g5 + 20); // 0x48ce2d_0
        *v58 = *v58 + 1;
        int32_t v59 = g5; // 0x48ce33
        int32_t v60 = *(int32_t *)(v59 + 8); // 0x48ce33
        *(char *)(*v58 + v60) = *(char *)(v59 + 0x16b8);
        int32_t * v61 = (int32_t *)(g5 + 20); // 0x48ce46_0
        *v61 = *v61 + 1;
        int32_t v62 = g5; // 0x48ce4c
        int32_t v63 = *(int32_t *)(v62 + 8); // 0x48ce4c
        uint16_t v64 = *(int16_t *)(v62 + 0x16b8); // 0x48ce53
        *(char *)(*v61 + v63) = (char)(v64 / 256);
        int32_t v65 = g5; // 0x48ce65
        int32_t v66 = 2; // 0x48ce6b
        uint32_t v67 = 16 - *(int32_t *)(v65 + 0x16bc) & 31; // 0x48ce6e
        int16_t v68 = v66;
        if (v67 != 0) {
            // if_48ce6e_0_true
            v68 = (v66 & 0xffff) >> v67;
            // branch -> after_if_48ce6e_0
        }
        // after_if_48ce6e_0
        *(int16_t *)(v65 + 0x16b8) = v68;
        int32_t * v69 = (int32_t *)(g5 + 0x16bc); // 0x48ce7a_0
        *v69 = *v69 + v3 - 16;
        // branch -> 0x48cea2
    }
    int32_t v70 = g5; // 0x48ceac
    int32_t * v71 = (int32_t *)(v70 + 0x16bc); // 0x48ceac_0
    int32_t v72 = *v71; // 0x48ceac
    v3 = g44;
    if (16 - g44 < v72) {
        uint32_t v73 = v72 & 31; // 0x48cec9
        int32_t v74 = g43; // 0x48cecc
        if (v73 != 0) {
            // if_48cec9_0_true
            v74 = (g43 & 0xffff) << v73 & 0xffff | g43 & -0x10000;
            // branch -> after_if_48cec9_0
        }
        int16_t * v75 = (int16_t *)(v70 + 0x16b8); // 0x48cecc_0
        *v75 = (int16_t)((int32_t)*v75 | v74);
        int32_t * v76 = (int32_t *)(g5 + 20); // 0x48ced3_0
        *v76 = *v76 + 1;
        int32_t v77 = g5; // 0x48ced9
        int32_t v78 = *(int32_t *)(v77 + 8); // 0x48ced9
        *(char *)(*v76 + v78) = *(char *)(v77 + 0x16b8);
        int32_t * v79 = (int32_t *)(g5 + 20); // 0x48ceec_0
        *v79 = *v79 + 1;
        int32_t v80 = g5; // 0x48cef2
        int32_t v81 = *(int32_t *)(v80 + 8); // 0x48cef2
        uint16_t v82 = *(int16_t *)(v80 + 0x16b8); // 0x48cef9
        *(char *)(*v79 + v81) = (char)(v82 / 256);
        int32_t v83 = g5; // 0x48cf0b
        uint32_t v84 = 16 - *(int32_t *)(v83 + 0x16bc) & 31; // 0x48cf14
        int16_t v85;
        if (v84 != 0) {
            // if_48cf14_0_true
            v85 = (g43 & 0xffff) >> v84;
            // branch -> after_if_48cf14_0
        } else {
            v85 = g43;
        }
        // after_if_48cf14_0
        *(int16_t *)(v83 + 0x16b8) = v85;
        int32_t * v86 = (int32_t *)(g5 + 0x16bc); // 0x48cf20_0
        *v86 = *v86 + v3 - 16;
        // branch -> 0x48cf4c
    } else {
        int32_t v87 = g43 | 0x4c0000; // 0x48cf39
        uint32_t v88 = *v71 & 31; // 0x48cf3c
        int32_t v89; // 0x48cf3f
        if (v88 != 0) {
            // if_48cf3c_0_true
            v89 = (g43 & 0xffff) << v88 & 0xffff | v87 & -0x10000;
            // branch -> after_if_48cf3c_0
        } else {
            v89 = v87;
        }
        int16_t * v90 = (int16_t *)(v70 + 0x16b8); // 0x48cf3f_0
        *v90 = (int16_t)((int32_t)*v90 | v89);
        int32_t * v91 = (int32_t *)(g5 + 0x16bc); // 0x48cf46_0
        *v91 = v3 + *v91;
        // branch -> 0x48cf4c
    }
    // 0x48cf4c
    g3 = g5;
    function_48d764();
    // branch -> 0x48cf53
    // 0x48cf53
    *(int32_t *)(g5 + 0x16b4) = 7;
    g7 = v1;
}

// Address range: 0x48cf64 - 0x48d23b
void function_48cf64(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g3; // 0x48cf6d
    g5 = v2;
    int32_t v3 = g8; // 0x48cf6f
    char * v4;
    g10 = (int32_t)v4;
    int32_t v5 = g6; // 0x48cf81
    g7 = v5;
    int32_t * v6; // 0x48d01d_0
    int16_t * v7; // 0x48d033_0
    int32_t * v8; // 0x48d03a_0
    int32_t * v9; // 0x48d053_0
    int32_t * v10; // 0x48d087_0
    int16_t * v11; // 0x48d0a4_0
    int32_t * v12; // 0x48d0ab_0
    int32_t * v13; // 0x48d0d3_0
    int16_t * v14; // 0x48d0e9_0
    int32_t * v15; // 0x48d0f0_0
    int32_t * v16; // 0x48d109_0
    int32_t * v17; // 0x48d13d_0
    int16_t * v18; // 0x48d15a_0
    int32_t * v19; // 0x48d161_0
    int32_t v20; // eax
    uint32_t v21; // 0x48d030
    uint32_t v22; // 0x48d07b
    uint32_t v23; // 0x48d0a1
    uint32_t v24; // 0x48d0e6
    uint32_t v25; // 0x48d131
    uint32_t v26; // 0x48d157
    int32_t v27; // 0x48d078
    int32_t v28; // 0x48d09b
    int32_t v29; // 0x48d12e
    int32_t v30; // 0x48d151
    int32_t v31; // 0x48d16c
    int32_t v32; // 0x48d09d
    int32_t v33; // 0x48d153
    int32_t v34; // 0x48d09d
    int32_t v35; // 0x48d153
    int32_t v36; // 0x48d072
    int32_t v37; // 0x48d0a4
    int32_t v38; // 0x48d128
    int32_t v39; // 0x48d181
    int32_t v40; // 0x48cfe1
    int32_t v41; // 0x48d040
    int32_t v42; // 0x48d059
    int32_t v43; // 0x48d0f6
    int32_t v44; // 0x48d10f
    int32_t v45; // 0x48d025
    int32_t v46; // 0x48d05c
    int16_t v47;
    int32_t v48; // 0x48d0db
    int32_t v49; // 0x48d112
    int16_t v50;
    int32_t v51; // 0x48d01d
    int32_t v52; // 0x48d040
    int32_t v53; // 0x48d0d3
    int32_t v54; // 0x48d0f6
    int32_t v55; // 0x48d033
    int32_t v56; // 0x48d0a4
    int32_t v57; // 0x48d0e9
    int32_t v58; // 0x48d15a
    if (*(int32_t *)(v2 + 132) >= 1) {
        int32_t v59 = v2; // 0x48cf98
        if (v5 != 0) {
            // 0x48cf89
            if (*(int32_t *)(*(int32_t *)v2 + 44) == 2) {
                // 0x48cf91
                g3 = v2;
                function_48d6fc();
                v59 = g5;
                // branch -> 0x48cf98
            } else {
                v59 = v2;
            }
        }
        // 0x48cf98
        g8 = v59 + 2840;
        g3 = v59;
        function_48bedc();
        int32_t v60 = g5; // 0x48cfa5
        g8 = v60 + 2852;
        g3 = v60;
        function_48bedc();
        g3 = g5;
        function_48c880();
        int32_t v61 = g5; // 0x48cfbc
        uint32_t v62 = (*(int32_t *)(v61 + 0x16a8) + 10) / 8; // 0x48cfce
        int32_t v63 = (*(int32_t *)(v61 + 0x16ac) + 10) / 8; // 0x48cfd1
        int32_t v64; // 0x48cfdc
        if (v62 >= v63) {
            // 0x48cfd8
            v64 = v63;
            v37 = v61;
            // branch -> 0x48cfe1
        } else {
            v64 = v62;
            v37 = v61;
        }
        // 0x48cfe1
        v40 = g7;
        if (v64 >= v40 + 4) {
            // 0x48cfe8
            if (v3 != 0) {
                // 0x48cfee
                g6 = v40;
                g8 = v3;
                g3 = v37;
                function_48cbdc();
                // branch -> 0x48d194
                // 0x48d194
                g3 = g5;
                function_48bb0c();
                if (g10 != 0) {
                    // 0x48d19f
                    g3 = g5;
                    function_48d7d8();
                    // branch -> 0x48d1a6
                }
                // 0x48d1a6
                return;
            }
        }
        // 0x48d000
        if (*(int32_t *)(v37 + 136) != 4) {
            // 0x48d009
            if (v64 != v63) {
                // 0x48d0c7
                v20 = 3;
                v13 = (int32_t *)(v37 + 0x16bc);
                v53 = *v13;
                if (v53 < 14) {
                    // 0x48d14b
                    v30 = g10;
                    v33 = v30 & -0x10000;
                    v35 = v30 + 4 & 0xffff;
                    v26 = v53 & 31;
                    v58 = v35 | v33;
                    if (v26 != 0) {
                        // if_48d157_0_true
                        v58 = v35 << v26 & 0xffff | v33;
                        // branch -> after_if_48d157_0
                    }
                    // after_if_48d157_0
                    v18 = (int16_t *)(v37 + 0x16b8);
                    *v18 = (int16_t)((int32_t)*v18 | v58);
                    v19 = (int32_t *)(g5 + 0x16bc);
                    *v19 = v20 + *v19;
                    // branch -> 0x48d167
                } else {
                    // 0x48d0db
                    v48 = g10 + 4;
                    v24 = *v13 & 31;
                    v57 = v48;
                    if (v24 != 0) {
                        // if_48d0e6_0_true
                        v57 = (v48 & 0xffff) << v24 & 0xffff | v48 & -0x10000;
                        // branch -> after_if_48d0e6_0
                    }
                    // after_if_48d0e6_0
                    v14 = (int16_t *)(v37 + 0x16b8);
                    *v14 = (int16_t)((int32_t)*v14 | v57);
                    v15 = (int32_t *)(g5 + 20);
                    *v15 = *v15 + 1;
                    v43 = g5;
                    v54 = *(int32_t *)(v43 + 8);
                    *(char *)(*v15 + v54) = *(char *)(v43 + 0x16b8);
                    v16 = (int32_t *)(g5 + 20);
                    *v16 = *v16 + 1;
                    v44 = g5;
                    v49 = *v16 + *(int32_t *)(v44 + 8);
                    g7 = v49;
                    *(char *)v49 = (char)(*(int16_t *)(v44 + 0x16b8) / 256);
                    v38 = g5;
                    v29 = v48;
                    v25 = 16 - *(int32_t *)(v38 + 0x16bc) & 31;
                    v50 = v29;
                    if (v25 != 0) {
                        // if_48d131_0_true
                        v50 = (v29 & 0xffff) >> v25;
                        // branch -> after_if_48d131_0
                    }
                    // after_if_48d131_0
                    *(int16_t *)(v38 + 0x16b8) = v50;
                    v17 = (int32_t *)(g5 + 0x16bc);
                    *v17 = *v17 + v20 - 16;
                    // branch -> 0x48d167
                }
                // 0x48d167
                v31 = g5;
                g3 = v31;
                g6 = *(int32_t *)(v31 + 2856) + 1;
                g8 = *(int32_t *)(v31 + 2844) + 1;
                function_48c8e4();
                v39 = g5;
                g6 = v39 + 2440;
                g8 = v39 + 148;
                g3 = v39;
                function_48d23c();
                // branch -> 0x48d194
                // 0x48d194
                g3 = g5;
                function_48bb0c();
                if (g10 != 0) {
                    // 0x48d19f
                    g3 = g5;
                    function_48d7d8();
                    // branch -> 0x48d1a6
                }
                // 0x48d1a6
                return;
            }
        }
        // 0x48d011
        v20 = 3;
        v6 = (int32_t *)(v37 + 0x16bc);
        v51 = *v6;
        if (v51 < 14) {
            // 0x48d095
            v28 = g10;
            v32 = v28 & -0x10000;
            v34 = v28 + 2 & 0xffff;
            v23 = v51 & 31;
            v56 = v34 | v32;
            if (v23 != 0) {
                // if_48d0a1_0_true
                v56 = v34 << v23 & 0xffff | v32;
                // branch -> after_if_48d0a1_0
            }
            // after_if_48d0a1_0
            v11 = (int16_t *)(v37 + 0x16b8);
            *v11 = (int16_t)((int32_t)*v11 | v56);
            v12 = (int32_t *)(g5 + 0x16bc);
            *v12 = v20 + *v12;
            // branch -> 0x48d0b1
        } else {
            // 0x48d025
            v45 = g10 + 2;
            v21 = *v6 & 31;
            v55 = v45;
            if (v21 != 0) {
                // if_48d030_0_true
                v55 = (v45 & 0xffff) << v21 & 0xffff | v45 & -0x10000;
                // branch -> after_if_48d030_0
            }
            // after_if_48d030_0
            v7 = (int16_t *)(v37 + 0x16b8);
            *v7 = (int16_t)((int32_t)*v7 | v55);
            v8 = (int32_t *)(g5 + 20);
            *v8 = *v8 + 1;
            v41 = g5;
            v52 = *(int32_t *)(v41 + 8);
            *(char *)(*v8 + v52) = *(char *)(v41 + 0x16b8);
            v9 = (int32_t *)(g5 + 20);
            *v9 = *v9 + 1;
            v42 = g5;
            v46 = *v9 + *(int32_t *)(v42 + 8);
            g7 = v46;
            *(char *)v46 = (char)(*(int16_t *)(v42 + 0x16b8) / 256);
            v36 = g5;
            v27 = v45;
            v22 = 16 - *(int32_t *)(v36 + 0x16bc) & 31;
            v47 = v27;
            if (v22 != 0) {
                // if_48d07b_0_true
                v47 = (v27 & 0xffff) >> v22;
                // branch -> after_if_48d07b_0
            }
            // after_if_48d07b_0
            *(int16_t *)(v36 + 0x16b8) = v47;
            v10 = (int32_t *)(g5 + 0x16bc);
            *v10 = *v10 + v20 - 16;
            // branch -> 0x48d0b1
        }
        // 0x48d0b1
        g6 = 0x4c20b8;
        g8 = 0x4c1c38;
        g3 = g5;
        function_48d23c();
        // branch -> 0x48d194
        // 0x48d194
        g3 = g5;
        function_48bb0c();
        if (g10 != 0) {
            // 0x48d19f
            g3 = g5;
            function_48d7d8();
            // branch -> 0x48d1a6
        }
        // 0x48d1a6
        return;
    }
    // 0x48cfdc
    v37 = v2;
    // branch -> 0x48cfe1
    // 0x48cfe1
    v40 = g7;
    if (v5 + 5 < v40 + 4) {
        // 0x48d000
        if (*(int32_t *)(v37 + 136) == 4 || true) {
            // 0x48d011
            v20 = 3;
            v6 = (int32_t *)(v37 + 0x16bc);
            v51 = *v6;
            if (v51 < 14) {
                // 0x48d095
                v28 = g10;
                v32 = v28 & -0x10000;
                v34 = v28 + 2 & 0xffff;
                v23 = v51 & 31;
                v56 = v34 | v32;
                if (v23 != 0) {
                    // if_48d0a1_0_true
                    v56 = v34 << v23 & 0xffff | v32;
                    // branch -> after_if_48d0a1_0
                }
                // after_if_48d0a1_0
                v11 = (int16_t *)(v37 + 0x16b8);
                *v11 = (int16_t)((int32_t)*v11 | v56);
                v12 = (int32_t *)(g5 + 0x16bc);
                *v12 = v20 + *v12;
                // branch -> 0x48d0b1
            } else {
                // 0x48d025
                v45 = g10 + 2;
                v21 = *v6 & 31;
                v55 = v45;
                if (v21 != 0) {
                    // if_48d030_0_true
                    v55 = (v45 & 0xffff) << v21 & 0xffff | v45 & -0x10000;
                    // branch -> after_if_48d030_0
                }
                // after_if_48d030_0
                v7 = (int16_t *)(v37 + 0x16b8);
                *v7 = (int16_t)((int32_t)*v7 | v55);
                v8 = (int32_t *)(g5 + 20);
                *v8 = *v8 + 1;
                v41 = g5;
                v52 = *(int32_t *)(v41 + 8);
                *(char *)(*v8 + v52) = *(char *)(v41 + 0x16b8);
                v9 = (int32_t *)(g5 + 20);
                *v9 = *v9 + 1;
                v42 = g5;
                v46 = *v9 + *(int32_t *)(v42 + 8);
                g7 = v46;
                *(char *)v46 = (char)(*(int16_t *)(v42 + 0x16b8) / 256);
                v36 = g5;
                v27 = v45;
                v22 = 16 - *(int32_t *)(v36 + 0x16bc) & 31;
                v47 = v27;
                if (v22 != 0) {
                    // if_48d07b_0_true
                    v47 = (v27 & 0xffff) >> v22;
                    // branch -> after_if_48d07b_0
                }
                // after_if_48d07b_0
                *(int16_t *)(v36 + 0x16b8) = v47;
                v10 = (int32_t *)(g5 + 0x16bc);
                *v10 = *v10 + v20 - 16;
                // branch -> 0x48d0b1
            }
            // 0x48d0b1
            g6 = 0x4c20b8;
            g8 = 0x4c1c38;
            g3 = g5;
            function_48d23c();
            // branch -> 0x48d194
            // 0x48d194
            g3 = g5;
            function_48bb0c();
            if (g10 != 0) {
                // 0x48d19f
                g3 = g5;
                function_48d7d8();
                // branch -> 0x48d1a6
            }
            // 0x48d1a6
            return;
        }
        // 0x48d0c7
        v20 = 3;
        v13 = (int32_t *)(v37 + 0x16bc);
        v53 = *v13;
        if (v53 < 14) {
            // 0x48d14b
            v30 = g10;
            v33 = v30 & -0x10000;
            v35 = v30 + 4 & 0xffff;
            v26 = v53 & 31;
            v58 = v35 | v33;
            if (v26 != 0) {
                // if_48d157_0_true
                v58 = v35 << v26 & 0xffff | v33;
                // branch -> after_if_48d157_0
            }
            // after_if_48d157_0
            v18 = (int16_t *)(v37 + 0x16b8);
            *v18 = (int16_t)((int32_t)*v18 | v58);
            v19 = (int32_t *)(g5 + 0x16bc);
            *v19 = v20 + *v19;
            // branch -> 0x48d167
        } else {
            // 0x48d0db
            v48 = g10 + 4;
            v24 = *v13 & 31;
            v57 = v48;
            if (v24 != 0) {
                // if_48d0e6_0_true
                v57 = (v48 & 0xffff) << v24 & 0xffff | v48 & -0x10000;
                // branch -> after_if_48d0e6_0
            }
            // after_if_48d0e6_0
            v14 = (int16_t *)(v37 + 0x16b8);
            *v14 = (int16_t)((int32_t)*v14 | v57);
            v15 = (int32_t *)(g5 + 20);
            *v15 = *v15 + 1;
            v43 = g5;
            v54 = *(int32_t *)(v43 + 8);
            *(char *)(*v15 + v54) = *(char *)(v43 + 0x16b8);
            v16 = (int32_t *)(g5 + 20);
            *v16 = *v16 + 1;
            v44 = g5;
            v49 = *v16 + *(int32_t *)(v44 + 8);
            g7 = v49;
            *(char *)v49 = (char)(*(int16_t *)(v44 + 0x16b8) / 256);
            v38 = g5;
            v29 = v48;
            v25 = 16 - *(int32_t *)(v38 + 0x16bc) & 31;
            v50 = v29;
            if (v25 != 0) {
                // if_48d131_0_true
                v50 = (v29 & 0xffff) >> v25;
                // branch -> after_if_48d131_0
            }
            // after_if_48d131_0
            *(int16_t *)(v38 + 0x16b8) = v50;
            v17 = (int32_t *)(g5 + 0x16bc);
            *v17 = *v17 + v20 - 16;
            // branch -> 0x48d167
        }
        // 0x48d167
        v31 = g5;
        g3 = v31;
        g6 = *(int32_t *)(v31 + 2856) + 1;
        g8 = *(int32_t *)(v31 + 2844) + 1;
        function_48c8e4();
        v39 = g5;
        g6 = v39 + 2440;
        g8 = v39 + 148;
        g3 = v39;
        function_48d23c();
        // branch -> 0x48d194
        // 0x48d194
        g3 = g5;
        function_48bb0c();
        if (g10 != 0) {
            // 0x48d19f
            g3 = g5;
            function_48d7d8();
            // branch -> 0x48d1a6
        }
        // 0x48d1a6
        return;
    }
    // 0x48cfe8
    if (v3 != 0) {
        // 0x48cfee
        g6 = v40;
        g8 = v3;
        g3 = v37;
        function_48cbdc();
        // branch -> 0x48d194
        // 0x48d194
        g3 = g5;
        function_48bb0c();
        if (g10 != 0) {
            // 0x48d19f
            g3 = g5;
            function_48d7d8();
            // branch -> 0x48d1a6
        }
        // 0x48d1a6
        return;
    }
    // 0x48d000
    if (*(int32_t *)(v37 + 136) != 4) {
        // 0x48d009

    }
    // 0x48d011
    v20 = 3;
    v6 = (int32_t *)(v37 + 0x16bc);
    v51 = *v6;
    if (v51 < 14) {
        // 0x48d095
        v28 = g10;
        v32 = v28 & -0x10000;
        v34 = v28 + 2 & 0xffff;
        v23 = v51 & 31;
        v56 = v34 | v32;
        if (v23 != 0) {
            // if_48d0a1_0_true
            v56 = v34 << v23 & 0xffff | v32;
            // branch -> after_if_48d0a1_0
        }
        // after_if_48d0a1_0
        v11 = (int16_t *)(v37 + 0x16b8);
        *v11 = (int16_t)((int32_t)*v11 | v56);
        v12 = (int32_t *)(g5 + 0x16bc);
        *v12 = v20 + *v12;
        // branch -> 0x48d0b1
    } else {
        // 0x48d025
        v45 = g10 + 2;
        v21 = *v6 & 31;
        v55 = v45;
        if (v21 != 0) {
            // if_48d030_0_true
            v55 = (v45 & 0xffff) << v21 & 0xffff | v45 & -0x10000;
            // branch -> after_if_48d030_0
        }
        // after_if_48d030_0
        v7 = (int16_t *)(v37 + 0x16b8);
        *v7 = (int16_t)((int32_t)*v7 | v55);
        v8 = (int32_t *)(g5 + 20);
        *v8 = *v8 + 1;
        v41 = g5;
        v52 = *(int32_t *)(v41 + 8);
        *(char *)(*v8 + v52) = *(char *)(v41 + 0x16b8);
        v9 = (int32_t *)(g5 + 20);
        *v9 = *v9 + 1;
        v42 = g5;
        v46 = *v9 + *(int32_t *)(v42 + 8);
        g7 = v46;
        *(char *)v46 = (char)(*(int16_t *)(v42 + 0x16b8) / 256);
        v36 = g5;
        v27 = v45;
        v22 = 16 - *(int32_t *)(v36 + 0x16bc) & 31;
        v47 = v27;
        if (v22 != 0) {
            // if_48d07b_0_true
            v47 = (v27 & 0xffff) >> v22;
            // branch -> after_if_48d07b_0
        }
        // after_if_48d07b_0
        *(int16_t *)(v36 + 0x16b8) = v47;
        v10 = (int32_t *)(g5 + 0x16bc);
        *v10 = *v10 + v20 - 16;
        // branch -> 0x48d0b1
    }
    // 0x48d0b1
    g6 = 0x4c20b8;
    g8 = 0x4c1c38;
    g3 = g5;
    function_48d23c();
    // branch -> 0x48d194
    // 0x48d194
    g3 = g5;
    function_48bb0c();
    if (g10 != 0) {
        // 0x48d19f
        g3 = g5;
        function_48d7d8();
        // branch -> 0x48d1a6
    }
}

// Address range: 0x48d23c - 0x48d6fb
void function_48d23c(void) {
    int32_t v1 = g10; // 0x48d23d
    int32_t v2 = g3; // 0x48d667
    int32_t * v3; // 0x48d64f_0
    int16_t * v4; // 0x48d667_0
    int32_t * v5; // 0x48d66e_0
    int32_t * v6; // 0x48d687_0
    int32_t * v7; // 0x48d6bb_0
    int16_t * v8; // 0x48d6d9_0
    int32_t * v9; // 0x48d6e0_0
    int32_t v10; // ebx
    uint32_t v11; // 0x48d664
    uint32_t v12; // 0x48d6af
    uint32_t v13; // 0x48d6d6
    int32_t v14;
    int32_t v15; // 0x48d6ac
    int32_t v16; // 0x48d641
    int32_t v17; // 0x48d6a6
    int32_t v18; // 0x48d674
    int32_t v19; // 0x48d68d
    int32_t v20; // 0x48d64f
    uint16_t v21; // 0x48d694
    int16_t v22;
    int32_t v23; // 0x48d641
    int32_t v24; // 0x48d659
    int32_t v25; // 0x48d674
    int32_t v26; // 0x48d68d
    int32_t v27; // 0x48d667
    int32_t v28; // 0x48d6d9
    int32_t v29; // 0x48d6c9
    if (*(int32_t *)(g3 + 0x16a0) == 0) {
        // 0x48d641
        v16 = g8;
        v23 = (int32_t)*(int16_t *)(v16 + 1026);
        v10 = v23;
        v3 = (int32_t *)(v2 + 0x16bc);
        v20 = *v3;
        v24 = (int32_t)*(int16_t *)(v16 + 1024);
        if (16 - v23 < v20) {
            // 0x48d659
            v11 = v20 & 31;
            v27 = v24;
            if (v11 != 0) {
                // if_48d664_0_true
                v27 = v24 << v11 & 0xffff;
                // branch -> after_if_48d664_0
            }
            // after_if_48d664_0
            v4 = (int16_t *)(v2 + 0x16b8);
            *v4 = (int16_t)((int32_t)*v4 | v27);
            v5 = (int32_t *)(g3 + 20);
            *v5 = *v5 + 1;
            v18 = g3;
            v25 = *(int32_t *)(v18 + 8);
            *(char *)(*v5 + v25) = *(char *)(v18 + 0x16b8);
            v6 = (int32_t *)(g3 + 20);
            *v6 = *v6 + 1;
            v19 = g3;
            v26 = *(int32_t *)(v19 + 8);
            v21 = *(int16_t *)(v19 + 0x16b8);
            *(char *)(*v6 + v26) = (char)(v21 / 256);
            v17 = g3;
            v15 = v24;
            v12 = 16 - *(int32_t *)(v17 + 0x16bc) & 31;
            if (v12 != 0) {
                // if_48d6af_0_true
                v22 = (v15 & 0xffff) >> v12;
                // branch -> after_if_48d6af_0
            } else {
                v22 = v15;
            }
            // after_if_48d6af_0
            *(int16_t *)(v17 + 0x16b8) = v22;
            v7 = (int32_t *)(g3 + 0x16bc);
            *v7 = *v7 + v10 - 16;
            // branch -> 0x48d6e6
        } else {
            // 0x48d6c9
            v29 = g10 & -0x10000;
            v13 = *v3 & 31;
            if (v13 != 0) {
                // if_48d6d6_0_true
                v28 = v24 << v13 & 0xffff | v29;
                // branch -> after_if_48d6d6_0
            } else {
                v28 = v29 | v24;
            }
            // after_if_48d6d6_0
            v8 = (int16_t *)(v2 + 0x16b8);
            *v8 = (int16_t)((int32_t)*v8 | v28);
            v9 = (int32_t *)(g3 + 0x16bc);
            *v9 = v10 + *v9;
            // branch -> 0x48d6e6
        }
        // 0x48d6e6
        *(int32_t *)(g3 + 0x16b4) = (int32_t)*(int16_t *)(g8 + 1026);
        g10 = v1;
        g5 = v14;
        return;
    }
    int32_t v30 = g3; // 0x48d2a6
    int32_t v31 = 0; // 0x48d6317
    while (true) {
        uint16_t v32 = *(int16_t *)(*(int32_t *)(v30 + 0x16a4) + 2 * v31); // 0x48d263
        int32_t v33 = v32; // esi
        int32_t v34 = (int32_t)*(char *)(*(int32_t *)(v30 + 0x1698) + v31); // 0x48d271
        int32_t v35 = v34; // edi
        int32_t v36 = v31 + 1; // 0x48d275
        if (v32 == 0) {
            int32_t v37 = 4 * v34; // 0x48d281
            int32_t v38 = (int32_t)*(int16_t *)((v37 | 2) + g8); // 0x48d281
            v10 = v38;
            int32_t * v39 = (int32_t *)(v30 + 0x16bc); // 0x48d28d_0
            int32_t v40 = (int32_t)*(int16_t *)(g8 + v37); // 0x48d295
            g10 = v40;
            int32_t v41 = *v39; // 0x48d299
            if (16 - v38 < *v39) {
                uint32_t v42 = v41 & 31; // 0x48d2a3
                int32_t v43 = v40; // 0x48d2a6
                if (v42 != 0) {
                    // if_48d2a3_0_true
                    v43 = v40 << v42 & 0xffff;
                    // branch -> after_if_48d2a3_0
                }
                int16_t * v44 = (int16_t *)(v30 + 0x16b8); // 0x48d2a6_0
                *v44 = (int16_t)((int32_t)*v44 | v43);
                int32_t * v45 = (int32_t *)(g3 + 20); // 0x48d2ad_0
                *v45 = *v45 + 1;
                int32_t v46 = *(int32_t *)(g3 + 8); // 0x48d2b3
                *(char *)(*v45 + v46) = *(char *)(g3 + 0x16b8);
                int32_t * v47 = (int32_t *)(g3 + 20); // 0x48d2c8_0
                *v47 = *v47 + 1;
                int32_t v48 = *v47 + *(int32_t *)(g3 + 8); // 0x48d2d1
                g4 = v48;
                *(char *)v48 = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                int32_t v49 = v40; // 0x48d2ef
                int32_t v50 = v49 & 0xffff; // 0x48d2ef
                g10 = v50;
                uint32_t v51 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48d2f2
                int16_t v52 = v49;
                if (v51 != 0) {
                    int32_t v53 = v50 >> v51; // 0x48d2f2
                    g10 = v53;
                    v52 = v53;
                    // branch -> after_if_48d2f2_0
                }
                // after_if_48d2f2_0
                *(int16_t *)(g3 + 0x16b8) = v52;
                int32_t * v54 = (int32_t *)(g3 + 0x16bc); // 0x48d2fe_0
                *v54 = *v54 + v10 - 16;
                // branch -> 0x48d631
            } else {
                uint32_t v55 = v41 & 31; // 0x48d319
                int32_t v56 = v40; // 0x48d31c
                if (v55 != 0) {
                    int32_t v57 = v40 << v55 & 0xffff; // 0x48d319
                    g10 = v57;
                    v56 = v57;
                    // branch -> after_if_48d319_0
                }
                int16_t * v58 = (int16_t *)(v30 + 0x16b8); // 0x48d31c_0
                *v58 = (int16_t)((int32_t)*v58 | v56);
                int32_t * v59 = (int32_t *)(g3 + 0x16bc); // 0x48d323_0
                *v59 = v10 + *v59;
                // branch -> 0x48d631
            }
          lab_0x48d631_3:
            // 0x48d631
            if (v36 >= *(int32_t *)(g3 + 0x16a0)) {
                v2 = g3;
                // break -> 0x48d641
                break;
            }
            v30 = g3;
            v31 = v36;
            // continue -> 0x48d259
            continue;
        } else {
            int32_t v60 = (int32_t)*(char *)(v34 + 0x4c246b); // 0x48d330
            v10 = v60;
            int32_t v61 = 4 * v60; // 0x48d336
            int32_t v62 = (int32_t)*(int16_t *)(g8 + 1030 + v61); // 0x48d336
            int32_t * v63 = (int32_t *)(v30 + 0x16bc); // 0x48d34b_0
            uint16_t v64 = *(int16_t *)(g8 + 1028 + v61); // 0x48d357
            int32_t v65 = v64; // 0x48d357
            int32_t v66; // ebp
            if (16 - v62 < *v63) {
                int32_t v67 = g4 & -0x10000; // 0x48d363
                uint32_t v68 = *v63 & 31; // 0x48d36e
                int32_t v69 = v67 | v65; // 0x48d371
                if (v68 != 0) {
                    // if_48d36e_0_true
                    v69 = v65 << v68 & 0xffff | v67;
                    // branch -> after_if_48d36e_0
                }
                int16_t * v70 = (int16_t *)(v30 + 0x16b8); // 0x48d371_0
                *v70 = (int16_t)((int32_t)*v70 | v69);
                int32_t * v71 = (int32_t *)(g3 + 20); // 0x48d378_0
                *v71 = *v71 + 1;
                int32_t v72 = *(int32_t *)(g3 + 8); // 0x48d37e
                *(char *)(*v71 + v72) = *(char *)(g3 + 0x16b8);
                int32_t * v73 = (int32_t *)(g3 + 20); // 0x48d393_0
                int32_t v74 = *v73; // 0x48d393
                *v73 = *v73 + 1;
                int32_t v75 = *(int32_t *)(g3 + 8); // 0x48d399
                *(char *)(v74 + v75) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                v66 = v65;
                uint32_t v76 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48d3bf
                if (v76 != 0) {
                    int32_t v77 = v65 >> v76; // 0x48d3bf
                    v66 = v77;
                    v64 = (int16_t)v77;
                    // branch -> after_if_48d3bf_0
                }
                // after_if_48d3bf_0
                *(int16_t *)(g3 + 0x16b8) = v64;
                int32_t * v78 = (int32_t *)(g3 + 0x16bc); // 0x48d3cf_0
                *v78 = *v78 + v62 - 16;
                // branch -> 0x48d3ff
            } else {
                int32_t v79 = g4 & -0x10000; // 0x48d3dd
                int32_t v80 = v79 | v65; // 0x48d3dd
                v66 = v80;
                uint32_t v81 = *v63 & 31; // 0x48d3eb
                if (v81 != 0) {
                    int32_t v82 = v65 << v81 & 0xffff | v79; // 0x48d3eb
                    v66 = v82;
                    v80 = v82;
                    // branch -> after_if_48d3eb_0
                }
                int16_t * v83 = (int16_t *)(v30 + 0x16b8); // 0x48d3ee_0
                *v83 = (int16_t)((int32_t)*v83 | v80);
                int32_t * v84 = (int32_t *)(g3 + 0x16bc); // 0x48d3f9_0
                *v84 = *v84 + v62;
                // branch -> 0x48d3ff
            }
            int32_t v85 = 4 * v10; // 0x48d3ff
            int32_t v86 = *(int32_t *)(v85 + 0x4c1b00); // 0x48d3ff
            int32_t v87; // 0x48d4ad
            int32_t v88; // 0x48d4ad
            if (v86 != 0) {
                int32_t v89 = v35 - *(int32_t *)(v85 + 0x4c2130); // 0x48d40e
                v35 = v89;
                v10 = v86;
                int32_t v90 = *(int32_t *)(g3 + 0x16bc); // 0x48d41e
                if (16 - v86 < v90) {
                    uint32_t v91 = v90 & 31; // 0x48d42e
                    int32_t v92 = v89 & 0xffff; // 0x48d42e
                    int32_t v93 = v89; // 0x48d431
                    if (v91 != 0) {
                        // if_48d42e_0_true
                        v93 = v92 << v91 & 0xffff | v89 & -0x10000;
                        // branch -> after_if_48d42e_0
                    }
                    int16_t * v94 = (int16_t *)(g3 + 0x16b8); // 0x48d431_0
                    *v94 = (int16_t)((int32_t)*v94 | v93);
                    int32_t * v95 = (int32_t *)(g3 + 20); // 0x48d438_0
                    *v95 = *v95 + 1;
                    int32_t v96 = *(int32_t *)(g3 + 8); // 0x48d43e
                    *(char *)(*v95 + v96) = *(char *)(g3 + 0x16b8);
                    int32_t * v97 = (int32_t *)(g3 + 20); // 0x48d453_0
                    *v97 = *v97 + 1;
                    int32_t v98 = *v97 + *(int32_t *)(g3 + 8); // 0x48d45c
                    v66 = v98;
                    *(char *)v98 = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    int32_t v99 = v35; // 0x48d47a
                    uint32_t v100 = v99 & 0xffff; // 0x48d47a
                    uint32_t v101 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48d47d
                    int16_t v102 = v99;
                    if (v101 != 0) {
                        // if_48d47d_0_true
                        v102 = v100 >> v101;
                        // branch -> after_if_48d47d_0
                    }
                    // after_if_48d47d_0
                    *(int16_t *)(g3 + 0x16b8) = v102;
                    int32_t * v103 = (int32_t *)(g3 + 0x16bc); // 0x48d489_0
                    int32_t v104 = *v103 + v10 - 16; // 0x48d489
                    v10 = v104;
                    *v103 = v104;
                    // branch -> 0x48d4ad
                } else {
                    uint32_t v105 = v90 & 31; // 0x48d49d
                    int32_t v106 = v89 & 0xffff; // 0x48d49d
                    int32_t v107 = v89; // 0x48d4a0
                    if (v105 != 0) {
                        // if_48d49d_0_true
                        v107 = v106 << v105 & 0xffff | v89 & -0x10000;
                        // branch -> after_if_48d49d_0
                    }
                    int16_t * v108 = (int16_t *)(g3 + 0x16b8); // 0x48d4a0_0
                    *v108 = (int16_t)((int32_t)*v108 | v107);
                    int32_t * v109 = (int32_t *)(g3 + 0x16bc); // 0x48d4a7_0
                    *v109 = v10 + *v109;
                    // branch -> 0x48d4ad
                }
                // 0x48d4ad
                v87 = v33;
                v88 = v87 - 1;
                g10 = v88;
                int32_t v110; // 0x48d4c3
                if (v88 > 255) {
                  lab_0x48d4be:
                    // 0x48d4be
                    v110 = v10 & -256 | (int32_t)*(char *)(v88 / 128 + 0x4c236b);
                    // branch -> 0x48d4c9
                } else {
                  lab_0x48d4b6:
                    // 0x48d4b6
                    v110 = v10 & -256 | (int32_t)*(char *)(v87 + 0x4c226a);
                    // branch -> 0x48d4c9
                }
                int32_t v111 = v110 & 255; // 0x48d4c9
                int32_t v112 = 4 * v111; // 0x48d4d2
                int32_t v113 = (int32_t)*(int16_t *)((v112 | 2) + g6); // 0x48d4d2
                v35 = v113;
                int32_t * v114 = (int32_t *)(g3 + 0x16bc); // 0x48d4de_0
                int32_t v115 = *v114; // 0x48d4de
                if (16 - v113 < v115) {
                    uint16_t v116 = *(int16_t *)(v112 + g6); // 0x48d4ed
                    int32_t v117 = v116; // 0x48d4ed
                    int32_t v118 = v66 & -0x10000; // 0x48d4f5
                    uint32_t v119 = *v114 & 31; // 0x48d500
                    int32_t v120 = v118 | v117; // 0x48d503
                    if (v119 != 0) {
                        // if_48d500_0_true
                        v120 = v117 << v119 & 0xffff | v118;
                        // branch -> after_if_48d500_0
                    }
                    int16_t * v121 = (int16_t *)(g3 + 0x16b8); // 0x48d503_0
                    *v121 = (int16_t)((int32_t)*v121 | v120);
                    int32_t * v122 = (int32_t *)(g3 + 20); // 0x48d50a_0
                    *v122 = *v122 + 1;
                    int32_t v123 = *(int32_t *)(g3 + 8); // 0x48d510
                    *(char *)(*v122 + v123) = *(char *)(g3 + 0x16b8);
                    int32_t * v124 = (int32_t *)(g3 + 20); // 0x48d525_0
                    int32_t v125 = *v124; // 0x48d525
                    *v124 = *v124 + 1;
                    int32_t v126 = *(int32_t *)(g3 + 8); // 0x48d52b
                    *(char *)(v125 + v126) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    g4 = v117;
                    uint32_t v127 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48d551
                    if (v127 != 0) {
                        int32_t v128 = v117 >> v127; // 0x48d551
                        g4 = v128;
                        v116 = (int16_t)v128;
                        // branch -> after_if_48d551_0
                    }
                    // after_if_48d551_0
                    *(int16_t *)(g3 + 0x16b8) = v116;
                    int32_t * v129 = (int32_t *)(g3 + 0x16bc); // 0x48d55d_0
                    *v129 = *v129 + v35 - 16;
                    // branch -> 0x48d589
                } else {
                    int32_t v130 = (int32_t)*(int16_t *)(v112 + g6); // 0x48d574
                    int32_t v131 = g6 & -0x10000; // 0x48d574
                    int32_t v132 = v130 | v131; // 0x48d574
                    g4 = v132;
                    uint32_t v133 = v115 & 31; // 0x48d579
                    if (v133 != 0) {
                        int32_t v134 = v130 << v133 & 0xffff | v131; // 0x48d579
                        g4 = v134;
                        v132 = v134;
                        // branch -> after_if_48d579_0
                    }
                    int16_t * v135 = (int16_t *)(g3 + 0x16b8); // 0x48d57c_0
                    *v135 = (int16_t)((int32_t)*v135 | v132);
                    int32_t * v136 = (int32_t *)(g3 + 0x16bc); // 0x48d583_0
                    *v136 = v35 + *v136;
                    // branch -> 0x48d589
                }
                int32_t v137 = 4 * v111; // 0x48d589
                int32_t v138 = *(int32_t *)(v137 + 0x4c1b74); // 0x48d589
                if (v138 == 0) {
                    goto lab_0x48d631_3;
                }
                int32_t v139 = g10 - *(int32_t *)(v137 + 0x4c21a4); // 0x48d598
                g10 = v139;
                v10 = v138;
                int32_t * v140 = (int32_t *)(g3 + 0x16bc); // 0x48d5a8_0
                int32_t v141 = *v140; // 0x48d5a8
                if (16 - v138 < v141) {
                    uint32_t v142 = v141 & 31; // 0x48d5b6
                    int32_t v143 = v139 & 0xffff; // 0x48d5b6
                    int32_t v144 = v139; // 0x48d5b9
                    if (v142 != 0) {
                        // if_48d5b6_0_true
                        v144 = v143 << v142 & 0xffff | v139 & -0x10000;
                        // branch -> after_if_48d5b6_0
                    }
                    int16_t * v145 = (int16_t *)(g3 + 0x16b8); // 0x48d5b9_0
                    *v145 = (int16_t)((int32_t)*v145 | v144);
                    int32_t * v146 = (int32_t *)(g3 + 20); // 0x48d5c0_0
                    *v146 = *v146 + 1;
                    int32_t v147 = *(int32_t *)(g3 + 8); // 0x48d5c6
                    *(char *)(*v146 + v147) = *(char *)(g3 + 0x16b8);
                    int32_t * v148 = (int32_t *)(g3 + 20); // 0x48d5d9_0
                    int32_t v149 = *v148; // 0x48d5d9
                    *v148 = *v148 + 1;
                    int32_t v150 = *(int32_t *)(g3 + 8); // 0x48d5df
                    *(char *)(v149 + v150) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
                    int32_t v151 = g10; // 0x48d5fe
                    int32_t v152 = v151 & 0xffff; // 0x48d5fe
                    g10 = v152;
                    uint32_t v153 = 16 - *(int32_t *)(g3 + 0x16bc) & 31; // 0x48d601
                    int16_t v154 = v151;
                    if (v153 != 0) {
                        int32_t v155 = v152 >> v153; // 0x48d601
                        g10 = v155;
                        v154 = v155;
                        // branch -> after_if_48d601_0
                    }
                    // after_if_48d601_0
                    *(int16_t *)(g3 + 0x16b8) = v154;
                    int32_t * v156 = (int32_t *)(g3 + 0x16bc); // 0x48d60d_0
                    *v156 = *v156 + v10 - 16;
                    // branch -> 0x48d631
                    goto lab_0x48d631_3;
                } else {
                    uint32_t v157 = *v140 & 31; // 0x48d621
                    int32_t v158 = v139 & 0xffff; // 0x48d621
                    int32_t v159 = v139; // 0x48d624
                    if (v157 != 0) {
                        int32_t v160 = v158 << v157 & 0xffff | v139 & -0x10000; // 0x48d621
                        g10 = v160;
                        v159 = v160;
                        // branch -> after_if_48d621_0
                    }
                    int16_t * v161 = (int16_t *)(g3 + 0x16b8); // 0x48d624_0
                    *v161 = (int16_t)((int32_t)*v161 | v159);
                    int32_t * v162 = (int32_t *)(g3 + 0x16bc); // 0x48d62b_0
                    *v162 = v10 + *v162;
                    // branch -> 0x48d631
                    goto lab_0x48d631_3;
                }
            }
            // 0x48d4ad
            v87 = v33;
            v88 = v87 - 1;
            g10 = v88;
            if (v88 > 255) {
                goto lab_0x48d4be;
            }
            goto lab_0x48d4b6;
        }
    }
    // 0x48d641
    v16 = g8;
    v23 = (int32_t)*(int16_t *)(v16 + 1026);
    v10 = v23;
    v3 = (int32_t *)(v2 + 0x16bc);
    v20 = *v3;
    v24 = (int32_t)*(int16_t *)(v16 + 1024);
    if (16 - v23 < v20) {
        // 0x48d659
        v11 = v20 & 31;
        v27 = v24;
        if (v11 != 0) {
            // if_48d664_0_true
            v27 = v24 << v11 & 0xffff;
            // branch -> after_if_48d664_0
        }
        // after_if_48d664_0
        v4 = (int16_t *)(v2 + 0x16b8);
        *v4 = (int16_t)((int32_t)*v4 | v27);
        v5 = (int32_t *)(g3 + 20);
        *v5 = *v5 + 1;
        v18 = g3;
        v25 = *(int32_t *)(v18 + 8);
        *(char *)(*v5 + v25) = *(char *)(v18 + 0x16b8);
        v6 = (int32_t *)(g3 + 20);
        *v6 = *v6 + 1;
        v19 = g3;
        v26 = *(int32_t *)(v19 + 8);
        v21 = *(int16_t *)(v19 + 0x16b8);
        *(char *)(*v6 + v26) = (char)(v21 / 256);
        v17 = g3;
        v15 = v24;
        v12 = 16 - *(int32_t *)(v17 + 0x16bc) & 31;
        if (v12 != 0) {
            // if_48d6af_0_true
            v22 = (v15 & 0xffff) >> v12;
            // branch -> after_if_48d6af_0
        } else {
            v22 = v15;
        }
        // after_if_48d6af_0
        *(int16_t *)(v17 + 0x16b8) = v22;
        v7 = (int32_t *)(g3 + 0x16bc);
        *v7 = *v7 + v10 - 16;
        // branch -> 0x48d6e6
    } else {
        // 0x48d6c9
        v29 = g10 & -0x10000;
        v13 = *v3 & 31;
        if (v13 != 0) {
            // if_48d6d6_0_true
            v28 = v24 << v13 & 0xffff | v29;
            // branch -> after_if_48d6d6_0
        } else {
            v28 = v29 | v24;
        }
        // after_if_48d6d6_0
        v8 = (int16_t *)(v2 + 0x16b8);
        *v8 = (int16_t)((int32_t)*v8 | v28);
        v9 = (int32_t *)(g3 + 0x16bc);
        *v9 = v10 + *v9;
        // branch -> 0x48d6e6
    }
    // 0x48d6e6
    *(int32_t *)(g3 + 0x16b4) = (int32_t)*(int16_t *)(g8 + 1026);
    g10 = v1;
    g5 = v14;
}

// Address range: 0x48d6fc - 0x48d747
void function_48d6fc(void) {
    int32_t v1 = 0; // 0x48d70a
    int32_t v2 = g3 + 148; // 0x48d70b
    // branch -> 0x48d704
    while (true) {
        int32_t v3 = v1; // 0x48d713
        if (*(int16_t *)v2 == 0) {
            int32_t v4 = v1 + 1; // 0x48d70a
            if (v4 >= 9) {
                // break -> 0x48d713
                break;
            }
            v1 = v4;
            v2 += 4;
            // continue -> 0x48d704
            continue;
        }
        int32_t v5 = v3; // 0x48d732
        if (v3 == 9) {
            int32_t v6 = 14; // 0x48d729
            int32_t v7 = g3 + 204; // 0x48d72a
            // branch -> 0x48d723
            int32_t v8; // 0x48d729
            while (true) {
                // 0x48d723
                if (*(int16_t *)v7 == 0) {
                    // 0x48d729
                    v8 = v6 + 1;
                    if (v8 >= 32) {
                        // break -> 0x48d732
                        break;
                    }
                    v6 = v8;
                    v7 += 4;
                    // continue -> 0x48d723
                    continue;
                }
                // 0x48d732
                // branch -> 0x48d732
            }
            // 0x48d732
            v5 = v8;
            // branch -> 0x48d732
        }
        // 0x48d732
        int32_t v9;
        if (v5 != 32) {
            // 0x48d73e
            v9 = 0;
            // branch -> 0x48d740
        } else {
            v9 = 1;
        }
        // 0x48d740
        *(int32_t *)(*(int32_t *)g3 + 44) = v9;
        return;
    }
}

// Address range: 0x48d748 - 0x48d763
void function_48d748(void) {
    int32_t v1 = g8; // 0x48d7563
    uint32_t v2 = g3; // 0x48d7501
    int32_t v3 = v2 & 1; // 0x48d752
    // branch -> 0x48d74b
    while (v1 > 1) {
        // 0x48d74b
        v1--;
        v2 /= 2;
        v3 = v2 & 1 | 2 * v3;
        // continue -> 0x48d74b
    }
    // 0x48d75b
    g3 = v3 & 0x7fffffff;
    int32_t v4;
    g5 = v4;
}

// Address range: 0x48d764 - 0x48d7d7
void function_48d764(void) {
    uint32_t v1 = *(int32_t *)(g3 + 0x16bc); // 0x48d765
    int32_t v2;
    if (v1 != 16) {
        // 0x48d7ac
        if (v1 >= 8) {
            int32_t * v3 = (int32_t *)(g3 + 20); // 0x48d7b5_0
            *v3 = *v3 + 1;
            int32_t v4 = *(int32_t *)(g3 + 8); // 0x48d7bb
            *(char *)(*v3 + v4) = *(char *)(g3 + 0x16b8);
            int16_t * v5 = (int16_t *)(g3 + 0x16b8); // 0x48d7c7_0
            *v5 = (int16_t)((int32_t)*v5 / 256);
            int32_t * v6 = (int32_t *)(g3 + 0x16bc); // 0x48d7cf_0
            *v6 = *v6 - 8;
            // branch -> 0x48d7d6
        }
        // 0x48d7d6
        g5 = v2;
        return;
    }
    int32_t * v7 = (int32_t *)(g3 + 20); // 0x48d76e_0
    *v7 = *v7 + 1;
    int32_t v8 = *(int32_t *)(g3 + 8); // 0x48d774
    *(char *)(*v7 + v8) = *(char *)(g3 + 0x16b8);
    int32_t * v9 = (int32_t *)(g3 + 20); // 0x48d783_0
    int32_t v10 = *v9; // 0x48d783
    *v9 = *v9 + 1;
    int32_t v11 = *(int32_t *)(g3 + 8); // 0x48d789
    *(char *)(v10 + v11) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
    *(int16_t *)(g3 + 0x16b8) = 0;
    *(int32_t *)(g3 + 0x16bc) = 0;
    g5 = v2;
}

// Address range: 0x48d7d8 - 0x48d83f
void function_48d7d8(void) {
    uint32_t v1 = *(int32_t *)(g3 + 0x16bc); // 0x48d7d9
    int32_t v2;
    if (v1 < 9) {
        // 0x48d80f
        if (v1 >= 1) {
            int32_t * v3 = (int32_t *)(g3 + 20); // 0x48d818_0
            *v3 = *v3 + 1;
            int32_t v4 = *(int32_t *)(g3 + 8); // 0x48d81e
            g6 = v4;
            *(char *)(*v3 + v4) = *(char *)(g3 + 0x16b8);
            // branch -> 0x48d82a
        }
        // 0x48d82a
        *(int16_t *)(g3 + 0x16b8) = 0;
        *(int32_t *)(g3 + 0x16bc) = 0;
        g5 = v2;
        return;
    }
    int32_t * v5 = (int32_t *)(g3 + 20); // 0x48d7e2_0
    *v5 = *v5 + 1;
    int32_t v6 = *(int32_t *)(g3 + 8); // 0x48d7e8
    *(char *)(*v5 + v6) = *(char *)(g3 + 0x16b8);
    int32_t * v7 = (int32_t *)(g3 + 20); // 0x48d7f7_0
    int32_t v8 = *v7; // 0x48d7f7
    *v7 = *v7 + 1;
    int32_t v9 = *(int32_t *)(g3 + 8); // 0x48d7fd
    g6 = v9;
    *(char *)(v8 + v9) = (char)(*(int16_t *)(g3 + 0x16b8) / 256);
    // branch -> 0x48d82a
    // 0x48d82a
    *(int16_t *)(g3 + 0x16b8) = 0;
    *(int32_t *)(g3 + 0x16bc) = 0;
    g5 = v2;
}

// Address range: 0x48d840 - 0x48d97b
void function_48d840(void) {
    int32_t v1 = g7; // bp-16
    int32_t v2 = &v1; // 0x48d845_0
    g11 = v2;
    int32_t v3 = g6; // edi
    int32_t v4 = g8; // esi
    g5 = g3;
    function_48d7d8();
    *(int32_t *)(g5 + 0x16b4) = 8;
    int32_t v5;
    if (v5 != 0) {
        int32_t * v6 = (int32_t *)(g5 + 20); // 0x48d863_0
        *v6 = *v6 + 1;
        int32_t v7 = v3; // 0x48d870
        *(char *)(*v6 + *(int32_t *)(g5 + 8)) = (char)v7;
        int32_t * v8 = (int32_t *)(g5 + 20); // 0x48d87a_0
        *v8 = *v8 + 1;
        int32_t v9 = *(int32_t *)(g5 + 8); // 0x48d880
        *(char *)(*v8 + v9) = (char)(v3 / 256);
        int32_t * v10 = (int32_t *)(g5 + 20); // 0x48d890_0
        *v10 = *v10 + 1;
        int32_t v11 = *(int32_t *)(g5 + 8); // 0x48d896
        g11 = v2;
        *(char *)(*v10 + v11) = (char)(v7 ^ 255);
        int32_t * v12 = (int32_t *)(g5 + 20); // 0x48d8a4_0
        *v12 = *v12 + 1;
        int32_t v13 = (v3 & 0xffff ^ 0xffff) / 256; // 0x48d8b52
        g6 = v13;
        *(char *)(*v12 + *(int32_t *)(g5 + 8)) = (char)v13;
        // branch -> 0x48d8cc
    }
    int32_t v14 = v3; // 0x48d8cc5
    g3 = v14;
    if (v14 == 0) {
        // 0x48d8d5
        g7 = v1;
        return;
    }
    int32_t * v15 = (int32_t *)(g5 + 20); // 0x48d8bd_0
    *v15 = *v15 + 1;
    unsigned char v16 = *(char *)v4; // 0x48d8c6
    g6 = g6 & -256 | (int32_t)v16;
    *(char *)(*v15 + *(int32_t *)(g5 + 8)) = v16;
    v4++;
    int32_t v17 = v14 - 1; // 0x48d8cc
    g3 = v17;
    while (v17 != 0) {
        // 0x48d8bd
        v15 = (int32_t *)(g5 + 20);
        *v15 = *v15 + 1;
        v16 = *(char *)v4;
        g6 = g6 & -256 | (int32_t)v16;
        *(char *)(*v15 + *(int32_t *)(g5 + 8)) = v16;
        v4++;
        v17--;
        g3 = v17;
        // continue -> 0x48d8bd
    }
    // 0x48d8d5
    g7 = v1;
}

// Address range: 0x48d990 - 0x48d9ab
void function_48d990(void) {
    // 0x48d990
    return;
}

// Address range: 0x48d9ac - 0x48dacb
void function_48d9ac(void) {
    // 0x48d9ac
    if (g8 == 0) {
        // 0x48d9b8
        g3 = 0;
        // branch -> 0x48dac8
    } else {
        // 0x48d9bf
        function_48dacc();
        // branch -> 0x48dac8
    }
    // 0x48dac8
    int32_t v1;
    g5 = v1;
}

// Address range: 0x48dacc - 0x48dd7f
void function_48dacc(void) {
    int32_t v1 = 0x4c2574; // ebx
    int32_t v2 = g3 ^ -1; // 0x48dad4
    int32_t v3 = g6;
    int32_t v4 = 0; // 0x48daf8
    int32_t v5; // 0x48dcc3
    int32_t v6; // 0x48dd14
    int32_t v7; // 0x48db01
    int32_t v8; // 0x48dd12
    int32_t v9; // 0x48dd5a
    int32_t v10; // 0x48dd71
    int32_t v11; // 0x48dd1218
    unsigned char v12; // 0x48dd5e
    int32_t v13; // 0x48dd6125
    int32_t v14; // 0x48db99
    int32_t v15; // 0x48dc35
    int32_t v16; // 0x48dcd9
    int32_t v17; // 0x48dd2a20
    int32_t v18; // 0x48dd0d
    int32_t v19; // 0x48dd69
    int32_t v20; // 0x48dd6f
    uint32_t v21; // 0x48db01
    uint32_t v22; // 0x48db41
    uint32_t v23; // 0x48db81
    uint32_t v24; // 0x48dbc1
    uint32_t v25; // 0x48dc01
    uint32_t v26; // 0x48dc41
    uint32_t v27; // 0x48dc81
    uint32_t v28; // 0x48dcc1
    uint32_t v29; // 0x48dd12
    int32_t v30; // 0x48dd74
    int32_t v31; // 0x48dd6c
    int32_t v32; // 0x48db19
    int32_t v33; // 0x48db3c
    int32_t v34; // 0x48db59
    int32_t v35; // 0x48db7c
    int32_t v36; // 0x48db99
    int32_t v37; // 0x48dbbc
    int32_t v38; // 0x48dbd9
    int32_t v39; // 0x48dbfc
    int32_t v40; // 0x48dc19
    int32_t v41; // 0x48dc3c
    int32_t v42; // 0x48dc59
    int32_t v43; // 0x48dc7c
    int32_t v44; // 0x48dc99
    int32_t v45; // 0x48dcbc
    int32_t v46; // 0x48dcd9
    int32_t v47; // 0x48dcfc
    int32_t v48; // 0x48dd2a
    int32_t v49; // 0x48dd4d
    int32_t v50; // 0x48db20
    int32_t v51; // 0x48db35
    int32_t v52; // 0x48db60
    int32_t v53; // 0x48db75
    int32_t v54; // 0x48dba0
    int32_t v55; // 0x48dbb5
    int32_t v56; // 0x48dbe0
    int32_t v57; // 0x48dbf5
    int32_t v58; // 0x48dc20
    int32_t v59; // 0x48dc35
    int32_t v60; // 0x48dc60
    int32_t v61; // 0x48dc75
    int32_t v62; // 0x48dca0
    int32_t v63; // 0x48dcb5
    int32_t v64; // 0x48dce0
    int32_t v65; // 0x48dcf5
    int32_t v66; // 0x48dcfc
    int32_t v67; // 0x48dcff
    int32_t v68; // 0x48dd31
    int32_t v69; // 0x48dd46
    int32_t v70; // 0x48dd4d
    int32_t v71; // 0x48dd50
    int32_t v72; // 0x48db19
    int32_t v73; // 0x48db20
    int32_t v74; // 0x48db35
    int32_t v75; // 0x48dc35
    int32_t v76; // 0x48dc59
    int32_t v77; // 0x48dc60
    if (v3 != 0) {
        int32_t v78 = g8; // 0x48dadd
        // branch -> 0x48daf3
        while (true) {
            // 0x48daf3
            if (v78 != 3) {
                unsigned char v79 = *(char *)v78; // 0x48dad8
                int32_t v80 = v78 + 1; // 0x48dadd
                g8 = v80;
                int32_t v81 = *(int32_t *)(4 * ((int32_t)v79 ^ v2 & 255) + 0x4c2574); // 0x48dae7
                int32_t v82 = v81 ^ v2 / 256; // 0x48daea
                int32_t v83 = v3 - 1; // 0x48daec
                g6 = v83;
                if (v83 == 0) {
                    v2 = v82;
                    v4 = 0;
                    // break -> 0x48daf8
                    break;
                }
                v3 = v83;
                v2 = v82;
                v78 = v80;
                // continue -> 0x48daf3
                continue;
            } else {
                v4 = v3;
            }
            // 0x48daf8
            v17 = 0x4c2574;
            v11 = v2;
            v18 = v4;
            if (v4 >= 32) {
                // 0x48db01
                v14 = 0x4c2574;
                v7 = g8;
                v21 = *(int32_t *)v7 ^ v2;
                v72 = v14 + 3072;
                v32 = *(int32_t *)(4 * (v21 & 255) + v72);
                v73 = v14 + 2048;
                v50 = *(int32_t *)(4 * (v21 / 256 & 255) + v73);
                v74 = v14 + 1024;
                v51 = *(int32_t *)(4 * (v21 / 0x10000 & 255) + v74);
                v33 = *(int32_t *)(4 * v21 / 0x1000000 + v14);
                v22 = *(int32_t *)(v7 + 4) ^ v33 ^ v51 ^ v50 ^ v32;
                v34 = *(int32_t *)(4 * (v22 & 255) + v72);
                v52 = *(int32_t *)(4 * (v22 / 256 & 255) + v73);
                v53 = *(int32_t *)(4 * (v22 / 0x10000 & 255) + v74);
                v35 = *(int32_t *)(4 * v22 / 0x1000000 + v14);
                v23 = *(int32_t *)(v7 + 8) ^ v35 ^ v53 ^ v52 ^ v34;
                v36 = *(int32_t *)(v72 + 4 * (v23 & 255));
                v54 = *(int32_t *)(v73 + 4 * (v23 / 256 & 255));
                v55 = *(int32_t *)(4 * (v23 / 0x10000 & 255) + v74);
                v37 = *(int32_t *)(4 * v23 / 0x1000000 + v14);
                v24 = *(int32_t *)(v7 + 12) ^ v37 ^ v55 ^ v54 ^ v36;
                v38 = *(int32_t *)(4 * (v24 & 255) + v72);
                v56 = *(int32_t *)(4 * (v24 / 256 & 255) + v73);
                v57 = *(int32_t *)(4 * (v24 / 0x10000 & 255) + v74);
                v39 = *(int32_t *)(4 * v24 / 0x1000000 + v14);
                v25 = *(int32_t *)(v7 + 16) ^ v39 ^ v57 ^ v56 ^ v38;
                v40 = *(int32_t *)(4 * (v25 & 255) + v72);
                v58 = *(int32_t *)(4 * (v25 / 256 & 255) + v73);
                v15 = v1;
                v75 = v15 + 1024;
                v59 = *(int32_t *)(v75 + 4 * (v25 / 0x10000 & 255));
                v41 = *(int32_t *)(4 * v25 / 0x1000000 + v15);
                v26 = *(int32_t *)(v7 + 20) ^ v41 ^ v59 ^ v58 ^ v40;
                v76 = v15 + 3072;
                v42 = *(int32_t *)(4 * (v26 & 255) + v76);
                v77 = v15 + 2048;
                v60 = *(int32_t *)(4 * (v26 / 256 & 255) + v77);
                v61 = *(int32_t *)(4 * (v26 / 0x10000 & 255) + v75);
                v43 = *(int32_t *)(4 * v26 / 0x1000000 + v15);
                v27 = *(int32_t *)(v7 + 24) ^ v43 ^ v61 ^ v60 ^ v42;
                v44 = *(int32_t *)(4 * (v27 & 255) + v76);
                v62 = *(int32_t *)(4 * (v27 / 256 & 255) + v77);
                v63 = *(int32_t *)(4 * (v27 / 0x10000 & 255) + v75);
                v45 = *(int32_t *)(4 * v27 / 0x1000000 + v15);
                v28 = *(int32_t *)(v7 + 28) ^ v45 ^ v63 ^ v62 ^ v44;
                v5 = v7 + 32;
                g8 = v5;
                v16 = v1;
                v46 = *(int32_t *)(v16 + 3072 + 4 * (v28 & 255));
                v64 = *(int32_t *)(v16 + 2048 + 4 * (v28 / 256 & 255));
                v65 = *(int32_t *)(v16 + 1024 + 4 * (v28 / 0x10000 & 255));
                v47 = *(int32_t *)(4 * v28 / 0x1000000 + v16);
                v66 = v47 ^ v65 ^ v64 ^ v46;
                v67 = g6 - 32;
                g6 = v67;
                // branch -> 0x48db01
                while (v67 > 31) {
                    // 0x48db01
                    v14 = v16;
                    v7 = v5;
                    v21 = *(int32_t *)v7 ^ v66;
                    v72 = v14 + 3072;
                    v32 = *(int32_t *)(4 * (v21 & 255) + v72);
                    v73 = v14 + 2048;
                    v50 = *(int32_t *)(4 * (v21 / 256 & 255) + v73);
                    v74 = v14 + 1024;
                    v51 = *(int32_t *)(4 * (v21 / 0x10000 & 255) + v74);
                    v33 = *(int32_t *)(4 * v21 / 0x1000000 + v14);
                    v22 = *(int32_t *)(v7 + 4) ^ v33 ^ v51 ^ v50 ^ v32;
                    v34 = *(int32_t *)(4 * (v22 & 255) + v72);
                    v52 = *(int32_t *)(4 * (v22 / 256 & 255) + v73);
                    v53 = *(int32_t *)(4 * (v22 / 0x10000 & 255) + v74);
                    v35 = *(int32_t *)(4 * v22 / 0x1000000 + v14);
                    v23 = *(int32_t *)(v7 + 8) ^ v35 ^ v53 ^ v52 ^ v34;
                    v36 = *(int32_t *)(v72 + 4 * (v23 & 255));
                    v54 = *(int32_t *)(v73 + 4 * (v23 / 256 & 255));
                    v55 = *(int32_t *)(4 * (v23 / 0x10000 & 255) + v74);
                    v37 = *(int32_t *)(4 * v23 / 0x1000000 + v14);
                    v24 = *(int32_t *)(v7 + 12) ^ v37 ^ v55 ^ v54 ^ v36;
                    v38 = *(int32_t *)(4 * (v24 & 255) + v72);
                    v56 = *(int32_t *)(4 * (v24 / 256 & 255) + v73);
                    v57 = *(int32_t *)(4 * (v24 / 0x10000 & 255) + v74);
                    v39 = *(int32_t *)(4 * v24 / 0x1000000 + v14);
                    v25 = *(int32_t *)(v7 + 16) ^ v39 ^ v57 ^ v56 ^ v38;
                    v40 = *(int32_t *)(4 * (v25 & 255) + v72);
                    v58 = *(int32_t *)(4 * (v25 / 256 & 255) + v73);
                    v15 = v1;
                    v75 = v15 + 1024;
                    v59 = *(int32_t *)(v75 + 4 * (v25 / 0x10000 & 255));
                    v41 = *(int32_t *)(4 * v25 / 0x1000000 + v15);
                    v26 = *(int32_t *)(v7 + 20) ^ v41 ^ v59 ^ v58 ^ v40;
                    v76 = v15 + 3072;
                    v42 = *(int32_t *)(4 * (v26 & 255) + v76);
                    v77 = v15 + 2048;
                    v60 = *(int32_t *)(4 * (v26 / 256 & 255) + v77);
                    v61 = *(int32_t *)(4 * (v26 / 0x10000 & 255) + v75);
                    v43 = *(int32_t *)(4 * v26 / 0x1000000 + v15);
                    v27 = *(int32_t *)(v7 + 24) ^ v43 ^ v61 ^ v60 ^ v42;
                    v44 = *(int32_t *)(4 * (v27 & 255) + v76);
                    v62 = *(int32_t *)(4 * (v27 / 256 & 255) + v77);
                    v63 = *(int32_t *)(4 * (v27 / 0x10000 & 255) + v75);
                    v45 = *(int32_t *)(4 * v27 / 0x1000000 + v15);
                    v28 = *(int32_t *)(v7 + 28) ^ v45 ^ v63 ^ v62 ^ v44;
                    v5 = v7 + 32;
                    g8 = v5;
                    v16 = v1;
                    v46 = *(int32_t *)(v16 + 3072 + 4 * (v28 & 255));
                    v64 = *(int32_t *)(v16 + 2048 + 4 * (v28 / 256 & 255));
                    v65 = *(int32_t *)(v16 + 1024 + 4 * (v28 / 0x10000 & 255));
                    v47 = *(int32_t *)(4 * v28 / 0x1000000 + v16);
                    v66 = v47 ^ v65 ^ v64 ^ v46;
                    v67 = g6 - 32;
                    g6 = v67;
                    // continue -> 0x48db01
                }
                // 0x48dd0d
                v17 = v16;
                v11 = v66;
                v18 = v67;
                // branch -> 0x48dd0d
            }
            // 0x48dd0d
            v13 = v11;
            v9 = v18;
            if (v18 >= 4) {
                // 0x48dd12
                v8 = g8;
                v29 = *(int32_t *)v8 ^ v11;
                v6 = v8 + 4;
                g8 = v6;
                v48 = *(int32_t *)(v17 + 3072 + 4 * (v29 & 255));
                v68 = *(int32_t *)(v17 + 2048 + 4 * (v29 / 256 & 255));
                v69 = *(int32_t *)(v17 + 1024 + 4 * (v29 / 0x10000 & 255));
                v49 = *(int32_t *)(4 * v29 / 0x1000000 + v17);
                v70 = v49 ^ v69 ^ v68 ^ v48;
                v71 = v18 - 4;
                g6 = v71;
                // branch -> 0x48dd12
                while (v71 > 3) {
                    // 0x48dd12
                    v8 = v6;
                    v29 = *(int32_t *)v8 ^ v70;
                    v6 = v8 + 4;
                    g8 = v6;
                    v48 = *(int32_t *)(v17 + 3072 + 4 * (v29 & 255));
                    v68 = *(int32_t *)(v17 + 2048 + 4 * (v29 / 256 & 255));
                    v69 = *(int32_t *)(v17 + 1024 + 4 * (v29 / 0x10000 & 255));
                    v49 = *(int32_t *)(4 * v29 / 0x1000000 + v17);
                    v70 = v49 ^ v69 ^ v68 ^ v48;
                    v71 -= 4;
                    g6 = v71;
                    // continue -> 0x48dd12
                }
                // 0x48dd5a
                v13 = v70;
                v9 = (v18 - 4) % 4;
                // branch -> 0x48dd5a
            }
            // 0x48dd5a
            if (v9 == 0) {
                // 0x48dd77
                g3 = v13 ^ -1;
                return;
            }
            // 0x48dd5e
            v19 = v13;
            v10 = g8;
            v12 = *(char *)v10;
            v31 = *(int32_t *)(4 * ((int32_t)v12 ^ v19 & 255) + v17);
            v20 = v31 ^ v19 / 256;
            v30 = v9 - 1;
            g6 = v30;
            // branch -> 0x48dd5e
            while (v30 != 0) {
                // 0x48dd5e
                v19 = v20;
                v10++;
                v12 = *(char *)v10;
                v31 = *(int32_t *)(4 * ((int32_t)v12 ^ v19 & 255) + v17);
                v20 = v31 ^ v19 / 256;
                v30--;
                g6 = v30;
                // continue -> 0x48dd5e
            }
            // 0x48dd77
            g3 = v20 ^ -1;
            return;
        }
    }
    // 0x48daf8
    v17 = 0x4c2574;
    v11 = v2;
    v18 = v4;
    if (v4 >= 32) {
        // 0x48db01
        v14 = 0x4c2574;
        v7 = g8;
        v21 = *(int32_t *)v7 ^ v2;
        v72 = v14 + 3072;
        v32 = *(int32_t *)(4 * (v21 & 255) + v72);
        v73 = v14 + 2048;
        v50 = *(int32_t *)(4 * (v21 / 256 & 255) + v73);
        v74 = v14 + 1024;
        v51 = *(int32_t *)(4 * (v21 / 0x10000 & 255) + v74);
        v33 = *(int32_t *)(4 * v21 / 0x1000000 + v14);
        v22 = *(int32_t *)(v7 + 4) ^ v33 ^ v51 ^ v50 ^ v32;
        v34 = *(int32_t *)(4 * (v22 & 255) + v72);
        v52 = *(int32_t *)(4 * (v22 / 256 & 255) + v73);
        v53 = *(int32_t *)(4 * (v22 / 0x10000 & 255) + v74);
        v35 = *(int32_t *)(4 * v22 / 0x1000000 + v14);
        v23 = *(int32_t *)(v7 + 8) ^ v35 ^ v53 ^ v52 ^ v34;
        v36 = *(int32_t *)(v72 + 4 * (v23 & 255));
        v54 = *(int32_t *)(v73 + 4 * (v23 / 256 & 255));
        v55 = *(int32_t *)(4 * (v23 / 0x10000 & 255) + v74);
        v37 = *(int32_t *)(4 * v23 / 0x1000000 + v14);
        v24 = *(int32_t *)(v7 + 12) ^ v37 ^ v55 ^ v54 ^ v36;
        v38 = *(int32_t *)(4 * (v24 & 255) + v72);
        v56 = *(int32_t *)(4 * (v24 / 256 & 255) + v73);
        v57 = *(int32_t *)(4 * (v24 / 0x10000 & 255) + v74);
        v39 = *(int32_t *)(4 * v24 / 0x1000000 + v14);
        v25 = *(int32_t *)(v7 + 16) ^ v39 ^ v57 ^ v56 ^ v38;
        v40 = *(int32_t *)(4 * (v25 & 255) + v72);
        v58 = *(int32_t *)(4 * (v25 / 256 & 255) + v73);
        v15 = v1;
        v75 = v15 + 1024;
        v59 = *(int32_t *)(v75 + 4 * (v25 / 0x10000 & 255));
        v41 = *(int32_t *)(4 * v25 / 0x1000000 + v15);
        v26 = *(int32_t *)(v7 + 20) ^ v41 ^ v59 ^ v58 ^ v40;
        v76 = v15 + 3072;
        v42 = *(int32_t *)(4 * (v26 & 255) + v76);
        v77 = v15 + 2048;
        v60 = *(int32_t *)(4 * (v26 / 256 & 255) + v77);
        v61 = *(int32_t *)(4 * (v26 / 0x10000 & 255) + v75);
        v43 = *(int32_t *)(4 * v26 / 0x1000000 + v15);
        v27 = *(int32_t *)(v7 + 24) ^ v43 ^ v61 ^ v60 ^ v42;
        v44 = *(int32_t *)(4 * (v27 & 255) + v76);
        v62 = *(int32_t *)(4 * (v27 / 256 & 255) + v77);
        v63 = *(int32_t *)(4 * (v27 / 0x10000 & 255) + v75);
        v45 = *(int32_t *)(4 * v27 / 0x1000000 + v15);
        v28 = *(int32_t *)(v7 + 28) ^ v45 ^ v63 ^ v62 ^ v44;
        v5 = v7 + 32;
        g8 = v5;
        v16 = v1;
        v46 = *(int32_t *)(v16 + 3072 + 4 * (v28 & 255));
        v64 = *(int32_t *)(v16 + 2048 + 4 * (v28 / 256 & 255));
        v65 = *(int32_t *)(v16 + 1024 + 4 * (v28 / 0x10000 & 255));
        v47 = *(int32_t *)(4 * v28 / 0x1000000 + v16);
        v66 = v47 ^ v65 ^ v64 ^ v46;
        v67 = g6 - 32;
        g6 = v67;
        // branch -> 0x48db01
        while (v67 > 31) {
            // 0x48db01
            v14 = v16;
            v7 = v5;
            v21 = *(int32_t *)v7 ^ v66;
            v72 = v14 + 3072;
            v32 = *(int32_t *)(4 * (v21 & 255) + v72);
            v73 = v14 + 2048;
            v50 = *(int32_t *)(4 * (v21 / 256 & 255) + v73);
            v74 = v14 + 1024;
            v51 = *(int32_t *)(4 * (v21 / 0x10000 & 255) + v74);
            v33 = *(int32_t *)(4 * v21 / 0x1000000 + v14);
            v22 = *(int32_t *)(v7 + 4) ^ v33 ^ v51 ^ v50 ^ v32;
            v34 = *(int32_t *)(4 * (v22 & 255) + v72);
            v52 = *(int32_t *)(4 * (v22 / 256 & 255) + v73);
            v53 = *(int32_t *)(4 * (v22 / 0x10000 & 255) + v74);
            v35 = *(int32_t *)(4 * v22 / 0x1000000 + v14);
            v23 = *(int32_t *)(v7 + 8) ^ v35 ^ v53 ^ v52 ^ v34;
            v36 = *(int32_t *)(v72 + 4 * (v23 & 255));
            v54 = *(int32_t *)(v73 + 4 * (v23 / 256 & 255));
            v55 = *(int32_t *)(4 * (v23 / 0x10000 & 255) + v74);
            v37 = *(int32_t *)(4 * v23 / 0x1000000 + v14);
            v24 = *(int32_t *)(v7 + 12) ^ v37 ^ v55 ^ v54 ^ v36;
            v38 = *(int32_t *)(4 * (v24 & 255) + v72);
            v56 = *(int32_t *)(4 * (v24 / 256 & 255) + v73);
            v57 = *(int32_t *)(4 * (v24 / 0x10000 & 255) + v74);
            v39 = *(int32_t *)(4 * v24 / 0x1000000 + v14);
            v25 = *(int32_t *)(v7 + 16) ^ v39 ^ v57 ^ v56 ^ v38;
            v40 = *(int32_t *)(4 * (v25 & 255) + v72);
            v58 = *(int32_t *)(4 * (v25 / 256 & 255) + v73);
            v15 = v1;
            v75 = v15 + 1024;
            v59 = *(int32_t *)(v75 + 4 * (v25 / 0x10000 & 255));
            v41 = *(int32_t *)(4 * v25 / 0x1000000 + v15);
            v26 = *(int32_t *)(v7 + 20) ^ v41 ^ v59 ^ v58 ^ v40;
            v76 = v15 + 3072;
            v42 = *(int32_t *)(4 * (v26 & 255) + v76);
            v77 = v15 + 2048;
            v60 = *(int32_t *)(4 * (v26 / 256 & 255) + v77);
            v61 = *(int32_t *)(4 * (v26 / 0x10000 & 255) + v75);
            v43 = *(int32_t *)(4 * v26 / 0x1000000 + v15);
            v27 = *(int32_t *)(v7 + 24) ^ v43 ^ v61 ^ v60 ^ v42;
            v44 = *(int32_t *)(4 * (v27 & 255) + v76);
            v62 = *(int32_t *)(4 * (v27 / 256 & 255) + v77);
            v63 = *(int32_t *)(4 * (v27 / 0x10000 & 255) + v75);
            v45 = *(int32_t *)(4 * v27 / 0x1000000 + v15);
            v28 = *(int32_t *)(v7 + 28) ^ v45 ^ v63 ^ v62 ^ v44;
            v5 = v7 + 32;
            g8 = v5;
            v16 = v1;
            v46 = *(int32_t *)(v16 + 3072 + 4 * (v28 & 255));
            v64 = *(int32_t *)(v16 + 2048 + 4 * (v28 / 256 & 255));
            v65 = *(int32_t *)(v16 + 1024 + 4 * (v28 / 0x10000 & 255));
            v47 = *(int32_t *)(4 * v28 / 0x1000000 + v16);
            v66 = v47 ^ v65 ^ v64 ^ v46;
            v67 = g6 - 32;
            g6 = v67;
            // continue -> 0x48db01
        }
        // 0x48dd0d
        v17 = v16;
        v11 = v66;
        v18 = v67;
        // branch -> 0x48dd0d
    }
    // 0x48dd0d
    v13 = v11;
    v9 = v18;
    if (v18 >= 4) {
        // 0x48dd12
        v8 = g8;
        v29 = *(int32_t *)v8 ^ v11;
        v6 = v8 + 4;
        g8 = v6;
        v48 = *(int32_t *)(v17 + 3072 + 4 * (v29 & 255));
        v68 = *(int32_t *)(v17 + 2048 + 4 * (v29 / 256 & 255));
        v69 = *(int32_t *)(v17 + 1024 + 4 * (v29 / 0x10000 & 255));
        v49 = *(int32_t *)(4 * v29 / 0x1000000 + v17);
        v70 = v49 ^ v69 ^ v68 ^ v48;
        v71 = v18 - 4;
        g6 = v71;
        // branch -> 0x48dd12
        while (v71 > 3) {
            // 0x48dd12
            v8 = v6;
            v29 = *(int32_t *)v8 ^ v70;
            v6 = v8 + 4;
            g8 = v6;
            v48 = *(int32_t *)(v17 + 3072 + 4 * (v29 & 255));
            v68 = *(int32_t *)(v17 + 2048 + 4 * (v29 / 256 & 255));
            v69 = *(int32_t *)(v17 + 1024 + 4 * (v29 / 0x10000 & 255));
            v49 = *(int32_t *)(4 * v29 / 0x1000000 + v17);
            v70 = v49 ^ v69 ^ v68 ^ v48;
            v71 -= 4;
            g6 = v71;
            // continue -> 0x48dd12
        }
        // 0x48dd5a
        v13 = v70;
        v9 = (v18 - 4) % 4;
        // branch -> 0x48dd5a
    }
    // 0x48dd5a
    if (v9 == 0) {
        // 0x48dd77
        g3 = v13 ^ -1;
        return;
    }
    // 0x48dd5e
    v19 = v13;
    v10 = g8;
    v12 = *(char *)v10;
    v31 = *(int32_t *)(4 * ((int32_t)v12 ^ v19 & 255) + v17);
    v20 = v31 ^ v19 / 256;
    v30 = v9 - 1;
    g6 = v30;
    // branch -> 0x48dd5e
    while (v30 != 0) {
        // 0x48dd5e
        v19 = v20;
        v10++;
        v12 = *(char *)v10;
        v31 = *(int32_t *)(4 * ((int32_t)v12 ^ v19 & 255) + v17);
        v20 = v31 ^ v19 / 256;
        v30--;
        g6 = v30;
        // continue -> 0x48dd5e
    }
    // 0x48dd77
    g3 = v20 ^ -1;
}

// Address range: 0x48dd80 - 0x48e0b7
void function_48dd80(void) {
    int32_t v1 = g6;
    int32_t v2 = 0; // 0x48dddd
    int32_t v3; // 0x48e066
    int32_t v4; // 0x48e012
    int32_t v5; // 0x48e083
    int32_t v6; // 0x48e004
    int32_t v7; // 0x48e059
    if (v1 != 0) {
        int32_t v8 = g8; // 0x48ddbc
        while (true) {
            // 0x48ddd5
            if (v8 != 3) {
                int32_t v9 = v1 - 1; // 0x48ddce
                g6 = v9;
                if (v9 == 0) {
                    v2 = 0;
                    // break -> 0x48ddda
                    break;
                }
                v1 = v9;
                v8++;
                // continue -> 0x48ddd5
                continue;
            } else {
                v2 = v1;
            }
            // 0x48ddda
            v4 = v2;
            if (v2 >= 32) {
                v6 = g6 - 32;
                g6 = v6;
                while (v6 > 31) {
                    // 0x48dde6
                    v6 = g6 - 32;
                    g6 = v6;
                    // continue -> 0x48dde6
                }
                // 0x48e012
                v4 = v6;
                // branch -> 0x48e012
            }
            // 0x48e012
            v3 = v4;
            if (v4 >= 4) {
                // 0x48e017
                v7 = v4 - 4;
                // branch -> 0x48e017
                while (v7 > 3) {
                    // 0x48e017
                    v7 -= 4;
                    // continue -> 0x48e017
                }
                // 0x48e063
                v3 = (v4 - 4) % 4;
                // branch -> 0x48e063
            }
            // 0x48e063
            if (v3 == 0) {
                // 0x48e086
                return;
            }
            // 0x48e06a
            v5 = v3 - 1;
            // branch -> 0x48e06a
            while (v5 != 0) {
                // 0x48e06a
                v5--;
                // continue -> 0x48e06a
            }
            // 0x48e086
            return;
        }
    }
    // 0x48ddda
    v4 = v2;
    if (v2 >= 32) {
        v6 = g6 - 32;
        g6 = v6;
        while (v6 > 31) {
            // 0x48dde6
            v6 = g6 - 32;
            g6 = v6;
            // continue -> 0x48dde6
        }
        // 0x48e012
        v4 = v6;
        // branch -> 0x48e012
    }
    // 0x48e012
    v3 = v4;
    if (v4 >= 4) {
        // 0x48e017
        v7 = v4 - 4;
        // branch -> 0x48e017
        while (v7 > 3) {
            // 0x48e017
            v7 -= 4;
            // continue -> 0x48e017
        }
        // 0x48e063
        v3 = (v4 - 4) % 4;
        // branch -> 0x48e063
    }
    // 0x48e063
    if (v3 == 0) {
        // 0x48e086
        return;
    }
    // 0x48e06a
    v5 = v3 - 1;
    // branch -> 0x48e06a
    while (v5 != 0) {
        // 0x48e06a
        v5--;
        // continue -> 0x48e06a
    }
}

// Address range: 0x48e0b8 - 0x48e0d3
void function_48e0b8(void) {
    // 0x48e0b8
    if (g8 == 0) {
        // 0x48e0ce
        g3 = 0;
        return;
    }
    int32_t v1 = g3;
    int32_t v2 = 0; // 0x48e0c3
    uint32_t v3 = g8; // 0x48e0c5
    // branch -> 0x48e0be
    int32_t v4; // 0x48e0c3
    while (true) {
        // 0x48e0be
        if (v3 == 1) {
            // 0x48e0c5
            // branch -> 0x48e0ce
            // 0x48e0ce
            // branch -> 0x48e0ce
            // 0x48e0ce
            g3 = v2;
            return;
        }
        // 0x48e0c5
        v4 = *(int32_t *)v1 ^ v2;
        if (v3 < 2) {
            // break -> 0x48e0ce
            break;
        }
        v1 += 4;
        v2 = v4;
        v3 /= 2;
        // continue -> 0x48e0be
    }
    // 0x48e0ce
    // branch -> 0x48e0ce
    // 0x48e0ce
    g3 = v4;
}

// Address range: 0x48e0d4 - 0x48e4db
void function_48e0d4(void) {
    int32_t v1 = g8; // 0x48e0d8
    int32_t v2 = g3; // esi
    g8 = *(int32_t *)v1;
    g3 = v1;
    function_48e0b8();
    *(int32_t *)v2 = g3;
    int32_t v3 = 1; // 0x48e0eb
    v2 += 4;
    int32_t v4 = v1 + 4; // 0x48e0ef
    // branch -> 0x48e0e0
    while (v3 < 32) {
        // 0x48e0e0
        // 0x48e0e0
        g8 = *(int32_t *)v4;
        g3 = v1;
        function_48e0b8();
        *(int32_t *)v2 = g3;
        v3++;
        v2 += 4;
        v4 += 4;
        // branch -> 0x48e0e0
    }
}

// Address range: 0x48e4dc - 0x48e91b
void function_48e4dc(void) {
    // 0x48e4dc
    unknown_510350();
}

// Address range: 0x48e91c - 0x48ea8f
void function_48e91c(void) {
    // 0x48e91c
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x48ea90 - 0x48ed63
void function_48ea90(void) {
    int32_t v1;
    g4 = &v1;
    uint32_t v2 = g11; // 0x48ea93
    g2 = (v2 & 15) > 11;
    g1 = v2 > 27;
    int32_t v3 = v2 - 28; // 0x48ea93
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    int32_t v4 = g5; // 0x48ea96
    int32_t v5 = g8; // 0x48ea97
    struct struct_19 * v6 = (struct struct_19 *)v5; // 0x48ea97_0
    int32_t v7 = g3; // 0x48ea9a
    int32_t v8 = 0x20012388; // bp-16
    int32_t v9 = &v8; // 0x48eaa4_0
    g8 = v9;
    g6 = 4;
    g3 = v5;
    int32_t v10 = v6->e0; // 0x48eaaf
    g5 = v10;
    int32_t v11 = *(int32_t *)(v10 + 16); // 0x48eab1
    int32_t v12;
    int32_t v13;
    int32_t v14;
    int32_t v15;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t, int32_t))v11)(v4, v15, v14, v13, v12);
    v8 = 3;
    g8 = v9;
    g6 = 4;
    g3 = (int32_t)v6;
    int32_t v16 = v6->e0; // 0x48eac6
    g5 = v16;
    ((int32_t (*)(int32_t))*(int32_t *)(v16 + 16))(v4);
    g8 = *(int32_t *)(v7 + 12);
    g3 = (int32_t)v6;
    function_4b48c0();
    int32_t * v17 = (int32_t *)(v7 + 4); // 0x48eadc_0
    g3 = *v17;
    function_405b98();
    v8 = g3;
    g8 = v9;
    g6 = 4;
    g3 = (int32_t)v6;
    int32_t v18 = v6->e0; // 0x48eaf2
    g5 = v18;
    ((int32_t (*)(int32_t))*(int32_t *)(v18 + 16))(v4);
    int32_t v19 = v8; // 0x48eaf7
    uint32_t v20; // 0x48eb6b
    int32_t * v21; // 0x48eb29_0
    uint32_t v22; // 0x48eb6b
    int32_t v23; // 0x48eb4f
    int32_t v24; // 0x48ec21
    int32_t v25; // 0x48eb3f
    int32_t v26; // 0x48eb7e
    int32_t v27; // 0x48eb9f
    int32_t v28; // 0x48ec03
    struct struct_19 * v29; // 0x48eb3c_0
    struct struct_19 * v30; // 0x48eb7b_0
    struct struct_19 * v31; // 0x48eb9c_0
    struct struct_19 * v32; // 0x48ec00_0
    int32_t v33; // 0x48eb73
    int32_t v34; // 0x48ebec
    int32_t v35; // 0x48ed473
    int32_t v36; // 0x48ed507
    int32_t v37; // 0x48ed534
    if (v19 >= 1) {
        int32_t v38 = 0; // 0x48ed508
        g8 = *(int32_t *)(*v17 + 4 * v38);
        g3 = (int32_t)v6;
        function_4b48c0();
        int32_t v39 = v19 - 1; // 0x48eb21
        // branch -> 0x48eb0a
        while (v39 != 0) {
            // 0x48eb0a
            v38++;
            g8 = *(int32_t *)(*v17 + 4 * v38);
            g3 = (int32_t)v6;
            function_4b48c0();
            v39--;
            // continue -> 0x48eb0a
        }
        // 0x48eb26
        v21 = (int32_t *)(v7 + 16);
        g3 = *v21;
        function_405b98();
        v8 = g3;
        g8 = v9;
        g6 = 4;
        v29 = v6;
        g3 = (int32_t)v29;
        v25 = v29->e0;
        g5 = v25;
        ((int32_t (*)(int32_t))*(int32_t *)(v25 + 16))(v4);
        g3 = *v21;
        function_405b98();
        v23 = g3;
        if (v23 < 1) {
            // 0x48ed5c
            return;
        }
        // 0x48eb58
        v36 = 0;
        v37 = v23;
        v35 = v15;
        // branch -> 0x48eb63
        while (true) {
            // 0x48eb63
            g2 = false;
            v20 = 17 * v36;
            g1 = v20 < 16 * v36;
            g187 = v20 == 0;
            v22 = llvm_ctpop_i32(v20);
            g9 = v22 % 2 == 1;
            v33 = 34 * v36;
            g8 = *v21 + v33;
            g6 = 4;
            v30 = v6;
            g3 = (int32_t)v30;
            v26 = v30->e0;
            g5 = v26;
            ((int32_t (*)(int32_t, int32_t))*(int32_t *)(v26 + 16))(v4, v35);
            g2 = false;
            g1 = v20 < 16 * v36;
            g187 = v20 == 0;
            g9 = v22 % 2 == 1;
            g8 = v33 + 4 + *v21;
            g6 = 4;
            v31 = v6;
            g3 = (int32_t)v31;
            v27 = v31->e0;
            g5 = v27;
            ((int32_t (*)())*(int32_t *)(v27 + 16))();
            g8 = *(int32_t *)(v33 + 16 + *v21);
            g3 = (int32_t)v6;
            function_4b48c0();
            g8 = *(int32_t *)(v33 + 20 + *v21);
            g3 = (int32_t)v6;
            function_4b48c0();
            v34 = v33 + 24;
            g3 = *(int32_t *)(*v21 + v34);
            function_405b98();
            v8 = g3;
            g8 = v9;
            g6 = 4;
            v32 = v6;
            g3 = (int32_t)v32;
            v28 = v32->e0;
            g5 = v28;
            ((int32_t (*)(int32_t))*(int32_t *)(v28 + 16))(v4);
            g3 = *(int32_t *)(*v21 + v34);
            function_405b98();
            v24 = g3;
            int32_t v40; // 0x48ed53
            if (v24 >= 1) {
              lab_0x48ec2a:;
                uint32_t v41 = 0; // 0x48ed446
                int32_t v42 = *(int32_t *)(*v21 + v34); // 0x48ec45
                g6 = v41;
                uint32_t v43 = 32 * v41; // 0x48ec4e
                uint32_t v44 = llvm_ctpop_i32(31 * v41); // 0x48ec51
                int32_t v45 = 124 * v41; // 0x48ec53
                g8 = *(int32_t *)(v42 + v45);
                g3 = (int32_t)v6;
                function_4b48c0();
                g2 = -((v41 & 15)) > 15;
                g1 = v43 < v41;
                g187 = v43 == v41;
                g9 = v44 % 2 == 1;
                g8 = v45 + 4 + *(int32_t *)(*v21 + v34);
                g6 = 1;
                g3 = (int32_t)v6;
                int32_t v46 = v6->e0; // 0x48ec88
                g5 = v46;
                ((int32_t (*)())*(int32_t *)(v46 + 16))();
                g2 = -((v41 & 15)) > 15;
                g1 = v43 < v41;
                g187 = v43 == v41;
                g9 = v44 % 2 == 1;
                g8 = v45 + 12 + *(int32_t *)(*v21 + v34);
                g6 = 4;
                g3 = (int32_t)v6;
                int32_t v47 = v6->e0; // 0x48ecb7
                g5 = v47;
                ((int32_t (*)())*(int32_t *)(v47 + 16))();
                g2 = -((v41 & 15)) > 15;
                g1 = v43 < v41;
                g187 = v43 == v41;
                g9 = v44 % 2 == 1;
                g8 = v45 + 16 + *(int32_t *)(*v21 + v34);
                g6 = 4;
                g3 = (int32_t)v6;
                int32_t v48 = v6->e0; // 0x48ece6
                g5 = v48;
                ((int32_t (*)())*(int32_t *)(v48 + 16))();
                g2 = -((v41 & 15)) > 15;
                g1 = v43 < v41;
                g187 = v43 == v41;
                g9 = v44 % 2 == 1;
                g8 = v45 + 20 + *(int32_t *)(*v21 + v34);
                g6 = 1;
                g3 = (int32_t)v6;
                int32_t v49 = v6->e0; // 0x48ed15
                g5 = v49;
                ((int32_t (*)())*(int32_t *)(v49 + 16))();
                int32_t v50 = *(int32_t *)(*v21 + v34); // 0x48ed2a
                g6 = v41;
                g8 = *(int32_t *)(v45 + 8 + v50);
                g3 = (int32_t)v6;
                function_4b48c0();
                int32_t v51 = v24 - 1; // 0x48ed47
                // branch -> 0x48ec35
                while (v51 != 0) {
                    // 0x48ec35
                    v41++;
                    v42 = *(int32_t *)(*v21 + v34);
                    g6 = v41;
                    v43 = 32 * v41;
                    v44 = llvm_ctpop_i32(31 * v41);
                    v45 = 124 * v41;
                    g8 = *(int32_t *)(v42 + v45);
                    g3 = (int32_t)v6;
                    function_4b48c0();
                    g2 = -((v41 & 15)) > 15;
                    g1 = v43 < v41;
                    g187 = v43 == v41;
                    g9 = v44 % 2 == 1;
                    g8 = v45 + 4 + *(int32_t *)(*v21 + v34);
                    g6 = 1;
                    g3 = (int32_t)v6;
                    v46 = v6->e0;
                    g5 = v46;
                    ((int32_t (*)())*(int32_t *)(v46 + 16))();
                    g2 = -((v41 & 15)) > 15;
                    g1 = v43 < v41;
                    g187 = v43 == v41;
                    g9 = v44 % 2 == 1;
                    g8 = v45 + 12 + *(int32_t *)(*v21 + v34);
                    g6 = 4;
                    g3 = (int32_t)v6;
                    v47 = v6->e0;
                    g5 = v47;
                    ((int32_t (*)())*(int32_t *)(v47 + 16))();
                    g2 = -((v41 & 15)) > 15;
                    g1 = v43 < v41;
                    g187 = v43 == v41;
                    g9 = v44 % 2 == 1;
                    g8 = v45 + 16 + *(int32_t *)(*v21 + v34);
                    g6 = 4;
                    g3 = (int32_t)v6;
                    v48 = v6->e0;
                    g5 = v48;
                    ((int32_t (*)())*(int32_t *)(v48 + 16))();
                    g2 = -((v41 & 15)) > 15;
                    g1 = v43 < v41;
                    g187 = v43 == v41;
                    g9 = v44 % 2 == 1;
                    g8 = v45 + 20 + *(int32_t *)(*v21 + v34);
                    g6 = 1;
                    g3 = (int32_t)v6;
                    v49 = v6->e0;
                    g5 = v49;
                    ((int32_t (*)())*(int32_t *)(v49 + 16))();
                    v50 = *(int32_t *)(*v21 + v34);
                    g6 = v41;
                    g8 = *(int32_t *)(v45 + 8 + v50);
                    g3 = (int32_t)v6;
                    function_4b48c0();
                    v51--;
                    // continue -> 0x48ec35
                }
                // 0x48ed50
                v40 = v37 - 1;
                if (v40 == 0) {
                    // break -> 0x48ed5c
                    break;
                }
                v36++;
                v37 = v40;
                v35 = 0;
                // continue -> 0x48eb63
                continue;
            }
          lab_0x48ed50:
            // 0x48ed50
            v40 = v37 - 1;
            if (v40 == 0) {
                // break -> 0x48ed5c
                break;
            }
            v36++;
            v37 = v40;
            // continue -> 0x48eb63
        }
        // 0x48ed5c
        return;
    }
    // 0x48eb26
    v21 = (int32_t *)(v7 + 16);
    g3 = *v21;
    function_405b98();
    v8 = g3;
    g8 = v9;
    g6 = 4;
    v29 = v6;
    g3 = (int32_t)v29;
    v25 = v29->e0;
    g5 = v25;
    ((int32_t (*)(int32_t))*(int32_t *)(v25 + 16))(v4);
    g3 = *v21;
    function_405b98();
    v23 = g3;
    if (v23 < 1) {
        // 0x48ed5c
        return;
    }
    // 0x48eb58
    v36 = 0;
    v37 = v23;
    v35 = v15;
    // branch -> 0x48eb63
    while (true) {
        // 0x48eb63
        g2 = false;
        v20 = 17 * v36;
        g1 = v20 < 16 * v36;
        g187 = v20 == 0;
        v22 = llvm_ctpop_i32(v20);
        g9 = v22 % 2 == 1;
        v33 = 34 * v36;
        g8 = *v21 + v33;
        g6 = 4;
        v30 = v6;
        g3 = (int32_t)v30;
        v26 = v30->e0;
        g5 = v26;
        ((int32_t (*)(int32_t, int32_t))*(int32_t *)(v26 + 16))(v4, v35);
        g2 = false;
        g1 = v20 < 16 * v36;
        g187 = v20 == 0;
        g9 = v22 % 2 == 1;
        g8 = v33 + 4 + *v21;
        g6 = 4;
        v31 = v6;
        g3 = (int32_t)v31;
        v27 = v31->e0;
        g5 = v27;
        ((int32_t (*)())*(int32_t *)(v27 + 16))();
        g8 = *(int32_t *)(v33 + 16 + *v21);
        g3 = (int32_t)v6;
        function_4b48c0();
        g8 = *(int32_t *)(v33 + 20 + *v21);
        g3 = (int32_t)v6;
        function_4b48c0();
        v34 = v33 + 24;
        g3 = *(int32_t *)(*v21 + v34);
        function_405b98();
        v8 = g3;
        g8 = v9;
        g6 = 4;
        v32 = v6;
        g3 = (int32_t)v32;
        v28 = v32->e0;
        g5 = v28;
        ((int32_t (*)(int32_t))*(int32_t *)(v28 + 16))(v4);
        g3 = *(int32_t *)(*v21 + v34);
        function_405b98();
        v24 = g3;
        if (v24 < 1) {
            goto lab_0x48ed50;
        }
        goto lab_0x48ec2a;
    }
}

// Address range: 0x48ed64 - 0x48f087
void function_48ed64(void) {
    int32_t v1;
    g4 = &v1;
    uint32_t v2 = g11; // 0x48ed67
    g2 = (v2 & 15) > 3;
    g1 = v2 > 35;
    int32_t v3 = v2 - 36; // 0x48ed67
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    int32_t v4 = g5; // 0x48ed6a
    int32_t * v5 = (int32_t *)v4; // bp-44
    int32_t v6 = (int32_t)&v5; // 0x48ed6a_1
    g11 = v6;
    int32_t v7 = g8; // 0x48ed6b
    struct struct_19 * v8 = (struct struct_19 *)v7; // 0x48ed6b_0
    int32_t v9 = g3; // 0x48ed6e
    int32_t * v10;
    int32_t v11 = (int32_t)&v10; // 0x48ed75_0
    g8 = v11;
    g6 = 4;
    g3 = v7;
    int32_t v12 = v8->e0; // 0x48ed80
    g5 = v12;
    int32_t v13 = *(int32_t *)(v12 + 12); // 0x48ed82
    int32_t v14;
    int32_t v15;
    int32_t * v16;
    int32_t v17;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t, int32_t))v13)(v4, v17, (int32_t)v16, v15, v14);
    int32_t * v18 = v10; // 0x48ed85_0
    int32_t v19 = (int32_t)v18; // 0x48ed85
    g2 = (v19 & 15) > 23;
    g1 = v18 < (int32_t *)0x20012388;
    int32_t v20 = v19 - 0x20012388; // 0x48ed85
    g187 = v20 == 0;
    g9 = llvm_ctpop_i32(v20) % 2 == 1;
    if (v18 != (int32_t *)0x20012388) {
        // 0x48f07e
        return;
    }
    // 0x48ed92
    int32_t v21;
    g8 = &v21;
    g6 = 4;
    g3 = (int32_t)v8;
    int32_t v22 = v8->e0; // 0x48ed9d
    g5 = v22;
    ((int32_t (*)())*(int32_t *)(v22 + 12))();
    if (v21 > 3) {
        // 0x48f07e
        return;
    }
    // 0x48edac
    g8 = v9 + 12;
    g3 = (int32_t)v8;
    function_4b493c();
    uint32_t v23 = v21; // 0x48edba
    g2 = (v23 & 15) > 17;
    g1 = v23 < 2;
    int32_t v24 = v23 - 2; // 0x48edba
    g187 = v24 == 0;
    g9 = llvm_ctpop_i32(v24) % 2 == 1;
    if (v23 < 2) {
        // 0x48f07e
        return;
    }
    // 0x48edc4
    g8 = v11;
    g6 = 4;
    g3 = (int32_t)v8;
    int32_t v25 = v8->e0; // 0x48edcf
    g5 = v25;
    ((int32_t (*)())*(int32_t *)(v25 + 12))();
    System__DynArraySetLength((char *)1, (char *)0x48e82c, (int32_t)v10, v5);
    int32_t v26 = (int32_t)v10; // 0x48edf1
    uint32_t v27 = v26 - 1; // 0x48edf4
    uint32_t v28 = llvm_ctpop_i32(v27); // 0x48edf4
    g1 = false;
    g2 = false;
    g187 = v27 == 0;
    g9 = v28 % 2 == 1;
    uint32_t v29; // 0x48ee74
    int32_t * v30; // 0x48ee50_0
    int32_t v31;
    uint32_t v32; // 0x48ee74
    int32_t v33; // 0x48ee58
    int32_t v34; // 0x48ef39
    int32_t v35; // 0x48ee2b
    int32_t v36; // 0x48ee87
    int32_t v37; // 0x48eea8
    int32_t v38; // 0x48eef0
    int32_t v39; // 0x48ee58
    int32_t v40; // 0x48ef39
    struct struct_19 * v41; // 0x48ee28_0
    struct struct_19 * v42; // 0x48ee84_0
    struct struct_19 * v43; // 0x48eea5_0
    struct struct_19 * v44; // 0x48eeed_0
    int32_t v45; // 0x48ee7c
    int32_t v46; // 0x48ef09
    int32_t v47; // 0x48f0653
    int32_t v48; // 0x48f06e7
    if (v27 < 0) {
        // 0x48ee20
        g8 = v11;
        g6 = 4;
        v41 = v8;
        g3 = (int32_t)v41;
        v35 = v41->e0;
        g5 = v35;
        ((int32_t (*)())*(int32_t *)(v35 + 12))();
        System__DynArraySetLength((char *)1, (char *)0x48e850, (int32_t)v10, v5);
        g11 = v6;
        v30 = (int32_t *)(v9 + 16);
        g3 = *v30;
        function_405b98();
        v33 = g3;
        v39 = v33 - 1;
        g3 = v39;
        if (v39 >= 0) {
            // 0x48ee61
            v48 = 0;
            v31 = v33;
            v47 = v17;
            // branch -> 0x48ee6c
            while (true) {
                // 0x48ee6c
                g2 = false;
                v29 = 17 * v48;
                g1 = v29 < 16 * v48;
                g187 = v29 == 0;
                v32 = llvm_ctpop_i32(v29);
                g9 = v32 % 2 == 1;
                v45 = 34 * v48;
                g8 = *v30 + v45;
                g6 = 4;
                v42 = v8;
                g3 = (int32_t)v42;
                v36 = v42->e0;
                g5 = v36;
                ((int32_t (*)(int32_t, int32_t))*(int32_t *)(v36 + 12))((int32_t)v5, v47);
                g2 = false;
                g1 = v29 < 16 * v48;
                g187 = v29 == 0;
                g9 = v32 % 2 == 1;
                g8 = v45 + 4 + *v30;
                g6 = 4;
                v43 = v8;
                g3 = (int32_t)v43;
                v37 = v43->e0;
                g5 = v37;
                ((int32_t (*)())*(int32_t *)(v37 + 12))();
                g8 = v45 + 16 + *v30;
                g3 = (int32_t)v8;
                function_4b493c();
                g8 = v45 + 20 + *v30;
                g3 = (int32_t)v8;
                function_4b493c();
                g8 = v11;
                g6 = 4;
                v44 = v8;
                g3 = (int32_t)v44;
                v38 = v44->e0;
                g5 = v38;
                ((int32_t (*)())*(int32_t *)(v38 + 12))();
                v46 = v45 + 24;
                System__DynArraySetLength((char *)1, (char *)0x48e6e4, (int32_t)v10, v5);
                g11 = v6;
                g3 = *(int32_t *)(*v30 + v46);
                function_405b98();
                v34 = g3;
                v40 = v34 - 1;
                g3 = v40;
                if (v40 < 0) {
                    goto lab_0x48f06e;
                }
                goto lab_0x48ef42;
            }
        }
        // 0x48f07e
        return;
    }
    int32_t v49 = 0; // 0x48f06e8
    g8 = *(int32_t *)(v9 + 4) + 4 * v49;
    g3 = (int32_t)v8;
    function_4b493c();
    g2 = (v26 & 15) > 16;
    int32_t v50 = v26 - 1; // 0x48ee1b
    g187 = v50 == 0;
    g9 = llvm_ctpop_i32(v50) % 2 == 1;
    // branch -> 0x48ee04
    while (v50 != 0) {
        // 0x48ee04
        v49++;
        v26 = v50;
        g8 = *(int32_t *)(v9 + 4) + 4 * v49;
        g3 = (int32_t)v8;
        function_4b493c();
        g2 = (v26 & 15) > 16;
        v50 = v26 - 1;
        g187 = v50 == 0;
        g9 = llvm_ctpop_i32(v50) % 2 == 1;
        // continue -> 0x48ee04
    }
    // 0x48ee20
    g8 = v11;
    g6 = 4;
    v41 = v8;
    g3 = (int32_t)v41;
    v35 = v41->e0;
    g5 = v35;
    ((int32_t (*)())*(int32_t *)(v35 + 12))();
    System__DynArraySetLength((char *)1, (char *)0x48e850, (int32_t)v10, v5);
    g11 = v6;
    v30 = (int32_t *)(v9 + 16);
    g3 = *v30;
    function_405b98();
    v33 = g3;
    v39 = v33 - 1;
    g3 = v39;
    if (v39 < 0) {
        // 0x48f07e
        return;
    }
    // 0x48ee61
    v48 = 0;
    v31 = v33;
    v47 = v17;
    // branch -> 0x48ee6c
    while (true) {
        // 0x48ee6c
        g2 = false;
        v29 = 17 * v48;
        g1 = v29 < 16 * v48;
        g187 = v29 == 0;
        v32 = llvm_ctpop_i32(v29);
        g9 = v32 % 2 == 1;
        v45 = 34 * v48;
        g8 = *v30 + v45;
        g6 = 4;
        v42 = v8;
        g3 = (int32_t)v42;
        v36 = v42->e0;
        g5 = v36;
        ((int32_t (*)(int32_t, int32_t))*(int32_t *)(v36 + 12))((int32_t)v5, v47);
        g2 = false;
        g1 = v29 < 16 * v48;
        g187 = v29 == 0;
        g9 = v32 % 2 == 1;
        g8 = v45 + 4 + *v30;
        g6 = 4;
        v43 = v8;
        g3 = (int32_t)v43;
        v37 = v43->e0;
        g5 = v37;
        ((int32_t (*)())*(int32_t *)(v37 + 12))();
        g8 = v45 + 16 + *v30;
        g3 = (int32_t)v8;
        function_4b493c();
        g8 = v45 + 20 + *v30;
        g3 = (int32_t)v8;
        function_4b493c();
        g8 = v11;
        g6 = 4;
        v44 = v8;
        g3 = (int32_t)v44;
        v38 = v44->e0;
        g5 = v38;
        ((int32_t (*)())*(int32_t *)(v38 + 12))();
        v46 = v45 + 24;
        System__DynArraySetLength((char *)1, (char *)0x48e6e4, (int32_t)v10, v5);
        g11 = v6;
        g3 = *(int32_t *)(*v30 + v46);
        function_405b98();
        v34 = g3;
        v40 = v34 - 1;
        g3 = v40;
        int32_t v51; // 0x48f071
        if (v40 >= 0) {
          lab_0x48ef42:;
            uint32_t v52 = 0; // 0x48f0626
            int32_t v53 = v34; // 0x48f0651
            // branch -> 0x48ef4d
            while (true) {
                // 0x48ef4d
                g6 = v52;
                uint32_t v54 = 32 * v52; // 0x48ef66
                uint32_t v55 = llvm_ctpop_i32(31 * v52); // 0x48ef69
                int32_t v56 = 124 * v52; // 0x48ef6b
                g8 = *(int32_t *)(*v30 + v46) + v56;
                g3 = (int32_t)v8;
                function_4b493c();
                g2 = -((v52 & 15)) > 15;
                g1 = v54 < v52;
                g187 = v54 == v52;
                g9 = v55 % 2 == 1;
                g8 = v56 + 4 + *(int32_t *)(*v30 + v46);
                g6 = 1;
                g3 = (int32_t)v8;
                int32_t v57 = v8->e0; // 0x48efa0
                g5 = v57;
                ((int32_t (*)())*(int32_t *)(v57 + 12))();
                g2 = -((v52 & 15)) > 15;
                g1 = v54 < v52;
                g187 = v54 == v52;
                g9 = v55 % 2 == 1;
                g8 = v56 + 12 + *(int32_t *)(*v30 + v46);
                g6 = 4;
                g3 = (int32_t)v8;
                int32_t v58 = v8->e0; // 0x48efcf
                g5 = v58;
                ((int32_t (*)())*(int32_t *)(v58 + 12))();
                if (v21 >= 3) {
                    // 0x48efda
                    g2 = -((v52 & 15)) > 15;
                    g1 = v54 < v52;
                    g187 = v54 == v52;
                    g9 = v55 % 2 == 1;
                    g8 = v56 + 16 + *(int32_t *)(*v30 + v46);
                    g6 = 4;
                    g3 = (int32_t)v8;
                    int32_t v59 = v8->e0; // 0x48f004
                    g5 = v59;
                    ((int32_t (*)())*(int32_t *)(v59 + 12))();
                    // branch -> 0x48f009
                }
                // 0x48f009
                g2 = -((v52 & 15)) > 15;
                g1 = v54 < v52;
                g187 = v54 == v52;
                g9 = v55 % 2 == 1;
                g8 = v56 + 20 + *(int32_t *)(*v30 + v46);
                g6 = 1;
                g3 = (int32_t)v8;
                int32_t v60 = v8->e0; // 0x48f033
                g5 = v60;
                ((int32_t (*)())*(int32_t *)(v60 + 12))();
                g6 = v52;
                g8 = v56 + 8 + *(int32_t *)(*v30 + v46);
                g3 = (int32_t)v8;
                function_4b493c();
                int32_t v61 = v52 + 1; // 0x48f062
                int32_t v62 = v53 - 1; // 0x48f065
                if (v62 == 0) {
                    // break -> 0x48f06e
                    break;
                }
                v52 = v61;
                v53 = v62;
                // continue -> 0x48ef4d
            }
            // 0x48f06e
            v51 = v31 - 1;
            if (v51 == 0) {
                // break -> 0x48f07e
                break;
            }
            v48++;
            v31 = v51;
            v47 = 0;
            // continue -> 0x48ee6c
            continue;
        }
      lab_0x48f06e:
        // 0x48f06e
        v51 = v31 - 1;
        if (v51 == 0) {
            // break -> 0x48f07e
            break;
        }
        v48++;
        v31 = v51;
        // continue -> 0x48ee6c
    }
}

// Address range: 0x48f088 - 0x48f147
void function_48f088(void) {
    // 0x48f088
    abort();
    // UNREACHABLE
}

// Address range: 0x48f148 - 0x48f16f
void function_48f148(void) {
    // 0x48f148
    System__DynArraySetLength((char *)1, (char *)0x48e874, 0, (int32_t *)g3);
}

// Address range: 0x48f170 - 0x48f23f
void function_48f170(void) {
    // 0x48f170
    System__LStrAddRef(NULL);
    abort();
    // UNREACHABLE
}

// Address range: 0x48f240 - 0x4902e7
void function_48f240(void) {
    // 0x48f240
    abort();
    // UNREACHABLE
}

// Address range: 0x4902e8 - 0x4903b3
void function_4902e8(void) {
    // 0x4902e8
    char * v1;
    char * v2 = v1; // bp-20
    int32_t v3;
    int32_t v4 = v3; // bp-16
    int32_t v5;
    g4 = &v5;
    uint32_t v6 = g11; // 0x4902eb
    g2 = false;
    g1 = v6 > 15;
    int32_t v7 = v6 - 16; // 0x4902eb
    g187 = v7 == 0;
    g9 = llvm_ctpop_i32(v7) % 2 == 1;
    struct struct_19 * v8 = (struct struct_19 *)g8; // bp-12
    int32_t v9 = *(int32_t *)g3; // 0x4902fe
    g8 = v9;
    int32_t v10 = *(int32_t *)v9; // 0x490300
    int32_t v11;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t, int32_t))v10)(3, v11, g5, (int32_t)v1, v3);
    g6 = &v4;
    function_4872f4();
    g8 = (int32_t)&v2;
    g6 = 4;
    g3 = (int32_t)v8;
    int32_t v12 = v8->e0; // 0x49031d
    g5 = v12;
    ((int32_t (*)())*(int32_t *)(v12 + 16))();
    g8 = v4;
    g3 = (int32_t)v8;
    int32_t v13 = v8->e0; // 0x49032b
    g5 = v13;
    ((int32_t (*)())*(int32_t *)(v13 + 16))();
    System__FreeMem(v2);
}

// Address range: 0x4903b4 - 0x4905af
void function_4903b4(void) {
    System__FinalizeRecord((char *)g6, "\x0e\x0a\x54\x53\x65\x61\x72\x63\x68\x52\x65\x63\x58\x01");
    System__LStrClr((char *)g6);
    System__LStrCatN(g6);
    int32_t v1;
    Sysutils__FindFirst((char *)&v1, 63, (int32_t *)g8);
    if ((int32_t)NULL == 0) {
        // 0x49042c
        int32_t * v2;
        int32_t v3 = (int32_t)v2; // 0x49044c_1
        int32_t v4;
        int32_t v5 = &v4; // 0x490457_0
        int32_t * v6 = &v1; // 0x4904a71
        // branch -> 0x49042c
        int32_t * v7; // 0x4904a72
        while (true) {
            // 0x49042c
            uint32_t v8;
            if (v8 >= 1) {
                // 0x490432
                int32_t v9;
                if (v9 != v8) {
                    v7 = v6;
                  lab_0x490492:
                    // 0x490492
                    Sysutils__FindNext(v7);
                    if ((int32_t)&v1 != 0) {
                        // break -> 0x4904a1
                        break;
                    }
                    v6 = v7;
                    // continue -> 0x49042c
                    continue;
                }
            }
            // 0x49043d
            System__LStrCat3(v3);
            g3 = (int32_t)NULL;
            g8 = v5;
            function_476b6c();
            g8 = v5;
            g3 = g6;
            function_476c88();
            if (g3 == 0) {
                v7 = v2;
                goto lab_0x490492;
            }
            // 0x490474
            System__LStrCat3(v3);
            Sysutils__FindClose(v2);
            // branch -> 0x4904ac
            // 0x4904ac
            abort();
            // UNREACHABLE
        }
        // 0x4904a1
        Sysutils__FindClose(v7);
        // branch -> 0x4904ac
    }
    // 0x4904ac
    abort();
    // UNREACHABLE
}

// Address range: 0x4905b0 - 0x4906e3
void function_4905b0(void) {
    // 0x4905b0
    Sysutils__FileOpen((char *)g6, 64);
    int32_t v1 = GetFileSize((int32_t *)g3, NULL); // 0x4905cf
    function_409450();
    g3 = v1;
}

// Address range: 0x4906e4 - 0x490727
void function_4906e4(void) {
    char v1 = 0;
    if (g8 != 0) {
        // 0x4906ee
        System__ClassCreate((int32_t *)g6, g8);
        v1 = g8;
        // branch -> 0x4906f6
    }
    // 0x4906f6
    *(int32_t *)(g3 + 8) = 700;
    if (v1 == 0) {
        // 0x49071e
        return;
    }
    // 0x49070f
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x490728 - 0x490a7b
void function_490728(void) {
    // 0x490728
    abort();
    // UNREACHABLE
}

// Address range: 0x490a7c - 0x490cf2
void function_490a7c(void) {
    // 0x490a7c
    abort();
    // UNREACHABLE
}

// Address range: 0x490cf4 - 0x490d87
void function_490cf4(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g5; // 0x490cfa
    int32_t v3 = g6; // 0x490cfb
    int32_t v4 = g8; // 0x490cfe
    struct struct_12 * v5 = (struct struct_12 *)v4; // bp-12
    int32_t * v6 = (int32_t *)(g3 + 4); // 0x490d07_0
    int32_t v7 = v3; // 0x490d2f
    if (*v6 == 0) {
        // 0x490d0d
        g8 = v4 & -256 | 1;
        function_403c70();
        *v6 = 0x414300;
        g8 = 2804;
        int32_t v8 = *v6; // 0x490d27
        g3 = v8;
        int32_t v9 = *(int32_t *)v8; // 0x490d2a
        g6 = v9;
        ((int32_t (*)())*(int32_t *)(v9 + 4))();
        v7 = g6;
        // branch -> 0x490d2f
    }
    // 0x490d2f
    g6 = v7 & -0x10000 | 2;
    g1 = false;
    g2 = false;
    g187 = true;
    g9 = false;
    g8 = 0;
    int32_t v10 = *v6; // 0x490d38
    g3 = v10;
    int32_t v11 = *(int32_t *)v10; // 0x490d3b
    g5 = v11;
    ((int32_t (*)())*(int32_t *)(v11 + 20))();
    int32_t * v12 = (int32_t *)g3;
    g3 = (int32_t)v5;
    int32_t v13 = *(int32_t *)v5; // 0x490d46
    g8 = v13;
    ((int32_t (*)(int32_t))*(int32_t *)v13)(v2);
    g6 = g3;
    g8 = v5->e1;
    int32_t v14 = *v6; // 0x490d55
    g3 = v14;
    int32_t v15 = *(int32_t *)v14; // 0x490d58
    g5 = v15;
    ((int32_t (*)())*(int32_t *)(v15 + 16))();
    g8 = 4 * v3;
    g1 = false;
    g2 = false;
    g187 = true;
    g9 = false;
    g6 = 0;
    int32_t v16 = *v6; // 0x490d68
    g3 = v16;
    int32_t v17 = *(int32_t *)v16; // 0x490d6b
    g5 = v17;
    ((int32_t (*)())*(int32_t *)(v17 + 20))();
    g8 = (int32_t)&v12;
    g6 = 4;
    int32_t v18 = *v6; // 0x490d7b
    g3 = v18;
    int32_t v19 = *(int32_t *)v18; // 0x490d7e
    g5 = v19;
    ((int32_t (*)())*(int32_t *)(v19 + 16))();
}

// Address range: 0x490d88 - 0x491bff
void function_490d88(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g5; // 0x490d8e
    uint32_t v3 = g8; // 0x490d8f
    int32_t v4 = g3; // 0x490d92
    if (v3 <= 699) {
        int32_t v5 = 4 * v3; // 0x490da4
        if (*(int32_t *)(v4 + 12 + v5) == 0) {
            // 0x490dec
            g8 = v5;
            int32_t * v6 = (int32_t *)(v4 + 4); // 0x490df5_0
            int32_t v7 = *v6; // 0x490df5
            g3 = v7;
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            g6 = 0;
            int32_t v8 = *(int32_t *)v7; // 0x490dfa
            g5 = v8;
            ((int32_t (*)())*(int32_t *)(v8 + 20))();
            int32_t v9;
            g8 = &v9;
            int32_t v10 = *v6; // 0x490e05
            g3 = v10;
            g6 = 4;
            int32_t v11 = *(int32_t *)v10; // 0x490e0d
            g5 = v11;
            ((int32_t (*)())*(int32_t *)(v11 + 12))();
            int32_t v12 = *v6; // 0x490e15
            g3 = v12;
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            g6 = 0;
            g8 = v9;
            int32_t v13 = *(int32_t *)v12; // 0x490e1d
            g5 = v13;
            ((int32_t (*)())*(int32_t *)(v13 + 20))();
            int32_t v14 = 0;
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            int32_t * v15 = NULL;
            int32_t v16 = &v14; // 0x490e2c_0
            g8 = v16;
            int32_t v17 = *v6; // 0x490e32
            g3 = v17;
            g6 = 1;
            int32_t v18 = *(int32_t *)v17; // 0x490e3a
            g5 = v18;
            int32_t v19;
            ((int32_t (*)(int32_t, int32_t))*(int32_t *)(v18 + 12))(v2, v19);
            int32_t v20 = v14; // 0x490e3f
            g2 = false;
            g1 = false;
            g187 = v20 == 0;
            g9 = llvm_ctpop_i32(v20) % 2 == 1;
            if (v20 == 0) {
                // 0x490e45
                // branch -> 0x4910c7
                // 0x4910c7
                return;
            }
            // 0x490e4f
            g8 = (int32_t)&v15;
            int32_t v21 = *v6; // 0x490e55
            g3 = v21;
            int32_t v22 = *(int32_t *)v21; // 0x490e5d
            g5 = v22;
            ((int32_t (*)())*(int32_t *)(v22 + 12))();
            int32_t * v23 = v15; // 0x490e62_0
            if (v23 == NULL) {
                // 0x490e68
                // branch -> 0x4910c7
            } else {
                // 0x490e72
                System__GetMem(2);
                int32_t v24 = 4 * (int32_t)v23 + 16; // 0x490e80
                struct struct_295 * v25 = (struct struct_295 *)v24; // bp-16
                int32_t v26 = (int32_t)v15; // 0x490e86
                *(int32_t *)v24 = v26;
                g8 = v26 & -256 | 1;
                g3 = 0x47e358;
                function_484744();
                int32_t v27 = g3; // 0x490e97
                int32_t v28 = (int32_t)v25; // 0x490ea4
                g2 = (v28 & 15) > 3;
                g1 = v25 > (struct struct_295 *)-13;
                int32_t v29 = v28 + 12; // 0x490ea7
                g187 = v29 == 0;
                g9 = llvm_ctpop_i32(v29) % 2 == 1;
                g8 = v29;
                int32_t v30 = *v6; // 0x490ead
                g3 = v30;
                g6 = 2;
                int32_t v31 = *(int32_t *)v30; // 0x490eb5
                g5 = v31;
                int32_t v32 = *(int32_t *)(v31 + 12); // 0x490eb7
                int32_t * v33;
                ((int32_t (*)(int32_t, int32_t, int32_t))v32)(v2, v19, (int32_t)v33);
                int32_t v34 = (int32_t)v25; // 0x490eba
                g2 = (v34 & 15) > 11;
                g1 = v25 > (struct struct_295 *)-5;
                int32_t v35 = v34 + 4; // 0x490ebd
                g187 = v35 == 0;
                g9 = llvm_ctpop_i32(v35) % 2 == 1;
                g8 = v35;
                int32_t v36 = *v6; // 0x490ec3
                g3 = v36;
                int32_t v37 = *(int32_t *)v36; // 0x490ecb
                g5 = v37;
                ((int32_t (*)())*(int32_t *)(v37 + 12))();
                v25->e3 = 0;
                *(int32_t *)((int32_t)v25 + 8) = 0;
                int32_t * v38 = v15; // 0x490ee5_0
                int32_t v39 = (int32_t)v38; // 0x490ee5
                uint32_t v40 = v39 - 1; // 0x490ee8
                g1 = false;
                if (v40 >= 0) {
                    // 0x490ef1
                    g2 = (v40 & 15) > 14;
                    g187 = v38 == NULL;
                    g9 = llvm_ctpop_i32(v39) % 2 == 1;
                    int32_t v41 = 0; // 0x4910b321
                    int32_t v42 = 0; // 0x490fb318
                    int32_t * v43 = NULL; // bp+015
                    // branch -> 0x490efc
                    int32_t v44; // 0x4910c25
                    while (true) {
                        // 0x490efc
                        g8 = v16;
                        int32_t v45 = *v6; // 0x490f02
                        g3 = v45;
                        int32_t v46 = *(int32_t *)v45; // 0x490f0a
                        g5 = v46;
                        ((int32_t (*)(int32_t, int32_t))*(int32_t *)(v46 + 12))(v2, v19);
                        int32_t v47; // 0x490fb316
                        int32_t * v48; // bp+013
                        int32_t v49; // 0x4910b6
                        if (v14 == 0) {
                            // 0x490f15
                            g1 = false;
                            int32_t v50;
                            v25->e4[v41] = &v50;
                            v47 = v42;
                            v48 = v43;
                            v44 = 1;
                            // branch -> 0x4910b3
                        } else {
                            // 0x490f2a
                            System__GetMem(1);
                            struct struct_297 * v51 = (struct struct_297 *)24; // 0x490f34_0
                            struct struct_297 * v52 = v51; // bp-76
                            uint32_t v53 = (int32_t)v25 + 4 * v41; // 0x490f3d
                            g2 = false;
                            g1 = v53 > 0xffffffef;
                            int32_t v54 = v53 + 16; // 0x490f40
                            g187 = v54 == 0;
                            g9 = llvm_ctpop_i32(v54) % 2 == 1;
                            v25->e4[v41] = &v51->e0;
                            g8 = (int32_t)v52;
                            int32_t v55 = *v6; // 0x490f4e
                            g3 = v55;
                            g6 = 4;
                            int32_t v56 = *(int32_t *)v55; // 0x490f56
                            g5 = v56;
                            ((int32_t (*)(int32_t))*(int32_t *)(v56 + 12))(v2);
                            g8 = (int32_t)v52 + 4;
                            int32_t v57 = *v6; // 0x490f64
                            g3 = v57;
                            g6 = 4;
                            int32_t v58 = *(int32_t *)v57; // 0x490f6c
                            g5 = v58;
                            ((int32_t (*)())*(int32_t *)(v58 + 12))();
                            g8 = (int32_t)v52 + 8;
                            int32_t v59 = *v6; // 0x490f7a
                            g3 = v59;
                            g6 = 4;
                            int32_t v60 = *(int32_t *)v59; // 0x490f82
                            g5 = v60;
                            ((int32_t (*)())*(int32_t *)(v60 + 12))();
                            g8 = (int32_t)v52 + 12;
                            int32_t v61 = *v6; // 0x490f90
                            g3 = v61;
                            int32_t v62 = *(int32_t *)v61; // 0x490f98
                            g5 = v62;
                            ((int32_t (*)())*(int32_t *)(v62 + 12))();
                            struct struct_297 * v63 = v52; // 0x490f9d_0
                            int32_t v64 = v63->e2 - v63->e0; // 0x490fa6
                            int32_t v65 = v42; // 0x490fb317
                            if (v64 > v42) {
                                // 0x490fb3
                                v65 = v64;
                                // branch -> 0x490fb9
                            }
                            int32_t v66 = (int32_t)v63->e3 - v63->e1; // 0x490fc2
                            int32_t v67 = (int32_t)v43; // 0x490fcb
                            g2 = (v66 & 15) - (v67 & 15) > 15;
                            int32_t * v68 = v43; // bp+014
                            if (v66 > v67) {
                                // 0x490fd0
                                v68 = (int32_t *)v66;
                                // branch -> 0x490fd6
                            }
                            int32_t v69 = (int64_t)v66 * (int64_t)v64; // 0x490fd9
                            int32_t v70 = 4 * v69; // 0x490fdc
                            g1 = (v69 & 0x40000000) != 0;
                            g187 = v70 == 0;
                            g9 = llvm_ctpop_i32(v70) % 2 == 1;
                            System__GetMem(4);
                            v52->e4 = v70;
                            g8 = *v6;
                            g3 = v27;
                            ((int32_t (*)())-0x12117ab)();
                            int32_t v71 = 4 * v64; // 0x490ffb
                            g1 = false;
                            if (v66 >= 1) {
                                char * v72 = NULL; // bp+420
                                int32_t v73 = v19; // 0x4910a28
                                // branch -> 0x491018
                                int32_t v74; // 0x4910a27
                                while (true) {
                                    int32_t v75 = (int32_t)v72; // 0x491021
                                    struct struct_296 * v76 = (struct struct_296 *)(v52->e4 + v71 * v75); // bp-56
                                    g8 = v75;
                                    function_4861d8();
                                    g8 = v75;
                                    function_486134();
                                    g1 = false;
                                    v74 = v73;
                                    char * v77; // 0x4910a7_4
                                    int32_t v78; // 0x4910aa
                                    if (v64 >= 1) {
                                        int32_t v79 = 0; // 0x49109f19
                                        // branch -> 0x491059
                                        while (true) {
                                            // 0x491059
                                            *v76 = (struct struct_296){
                                                .e0 = 93,
                                                .e1 = 0,
                                                .e2 = 0
                                            };
                                            g1 = (int32_t)v76->e0 + 4 * v79 > 0xfffffffc;
                                            *v76 = (struct struct_296){
                                                .e0 = 88,
                                                .e1 = 0,
                                                .e2 = 0
                                            };
                                            int32_t v80 = v64 - 1; // 0x4910a2
                                            if (v80 == 0) {
                                                v74 = 0;
                                                // break -> 0x4910a7
                                                break;
                                            }
                                            v79++;
                                            v64 = v80;
                                            // continue -> 0x491059
                                        }
                                        // 0x4910a7
                                        v77 = (char *)(v75 + 1);
                                        v78 = v66 - 1;
                                        if (v78 == 0) {
                                            v44 = 0x485d58;
                                            // break -> 0x4910b3
                                            break;
                                        }
                                        v72 = v77;
                                        v66 = v78;
                                        v73 = v74;
                                        // continue -> 0x491018
                                        continue;
                                    }
                                    // 0x4910a7
                                    v77 = (char *)(v75 + 1);
                                    v78 = v66 - 1;
                                    if (v78 == 0) {
                                        // break -> 0x4910b3
                                        break;
                                    }
                                    v72 = v77;
                                    v66 = v78;
                                    v73 = v74;
                                    // continue -> 0x491018
                                }
                                // 0x4910b3
                                g2 = (v39 & 15) > 16;
                                v49 = v39 - 1;
                                g187 = v49 == 0;
                                g9 = llvm_ctpop_i32(v49) % 2 == 1;
                                if (v49 == 0) {
                                    // break -> 0x4910bf
                                    break;
                                }
                                v41++;
                                v42 = v65;
                                v43 = v68;
                                v39 = v49;
                                v19 = v74;
                                // continue -> 0x490efc
                                continue;
                            } else {
                                v47 = v65;
                                v48 = v68;
                                v44 = 0x485d58;
                            }
                        }
                        // 0x4910b3
                        g2 = (v39 & 15) > 16;
                        v49 = v39 - 1;
                        g187 = v49 == 0;
                        g9 = llvm_ctpop_i32(v49) % 2 == 1;
                        if (v49 == 0) {
                            // break -> 0x4910bf
                            break;
                        }
                        v41++;
                        v42 = v47;
                        v43 = v48;
                        v39 = v49;
                        // continue -> 0x490efc
                    }
                    // 0x4910bf
                    System__TObject__Free(v44);
                    // branch -> 0x4910c7
                    // 0x4910c7
                    return;
                }
                // 0x4910bf
                System__TObject__Free(4);
                // branch -> 0x4910c7
            }
            // 0x4910c7
            return;
        }
    }
    // 0x490dab
    if ((struct struct_294 *)v3 > (struct struct_294 *)1023) {
        // 0x490dc1
        // branch -> 0x4910c7
        // 0x4910c7
        return;
    }
    int32_t * v81 = (int32_t *)(v4 + 12 + 4 * v3); // 0x490dba_0
    if (*v81 == 0) {
        // 0x490dc1
        // branch -> 0x4910c7
        // 0x4910c7
        return;
    }
    // 0x490dcb
    *(int32_t *)(*(int32_t *)(*v81 + 4) + 8) = 1;
    // branch -> 0x4910c7
}

// Address range: 0x491c00 - 0x491d23
void function_491c00(void) {
    // 0x491c00
    unknown_4b0ab0();
}

// Address range: 0x491d24 - 0x491e63
void function_491d24(void) {
    // 0x491d24
    int32_t v1;
    int32_t v2 = *(int32_t *)(4 * v1 + 0x309c + g6); // 0x491d43
    int32_t * v3;
    *v3 = *(int32_t *)v2;
    int32_t * v4;
    char * v5;
    if (*v5 == 0) {
        // 0x491d9c
        *v4 = 0;
        return;
    }
    int32_t v6 = (int32_t)v5; // 0x491d9417
    int32_t v7 = 0;
    // branch -> 0x491d59
    int32_t v8; // 0x491d83
    while (true) {
        unsigned char v9 = *(char *)(v2 + 20 + (int32_t)*v5); // 0x491d62
        int32_t v10 = v9; // 0x491d62
        int32_t v11;
        if (v9 == 0) {
            // 0x491d88
            v11 = *(int32_t *)(v2 + 4);
            // branch -> 0x491d91
        } else {
            int32_t v12 = *(int32_t *)(16 * v10 - 16 + *(int32_t *)(v2 + 276)); // 0x491d7e
            v11 = v12 + 1;
            // branch -> 0x491d91
        }
        // 0x491d91
        v8 = v11 + v7;
        int32_t v13 = v6 + 1; // 0x491d91
        char * v14 = (char *)v13; // 0x491d91_4
        if (*v14 == 0) {
            // break -> 0x491d9c
            break;
        }
        v6 = v13;
        v7 = v8;
        v5 = v14;
        // continue -> 0x491d59
    }
    // 0x491d9c
    *v4 = v8;
}

// Address range: 0x491e64 - 0x4920c7
void function_491e64(void) {
    // 0x491e64
    abort();
    // UNREACHABLE
}

// Address range: 0x4920c8 - 0x492adb
void function_4920c8(void) {
    // 0x4920c8
    abort();
    // UNREACHABLE
}

// Address range: 0x492adc - 0x492bbb
void function_492adc(void) {
    // 0x492adc
    unknown_427038();
    g3 = g124 + 8;
    function_4b8d1c();
    g3 += 2212;
    function_4b8d1c();
    System__ROUND(g6);
    g2 = false;
    g1 = false;
    int32_t v1 = g3 < 0x400000 ? 2 * g3 / 0x10000 + 0x635ea0 : 0x635f1e; // 0x492b4a
    g187 = false;
    g9 = llvm_ctpop_i32(v1) % 2 == 1;
    g3 = (int32_t)*(int16_t *)v1;
    int32_t v2;
    g4 = v2;
}

// Address range: 0x492bbc - 0x492bdf
void function_492bbc(void) {
    int32_t v1; // bp-8
    g11 = &v1;
    v1 = g3;
    function_492be0();
    int32_t v2 = g3; // 0x492bcb
    g1 = false;
    g2 = false;
    int32_t v3 = 0x1000000 * v2; // 0x492bcb
    g187 = (v3 | 0xffffff) < 0x1ffffff;
    g9 = llvm_ctpop_i32(v3 / 0x1000000) % 2 == 1;
    if (v2 != 0) {
        int32_t v4 = *(int32_t *)(v1 + 4); // 0x492bd2
        int32_t * v5 = (int32_t *)v4; // 0x492bd5_0
        int32_t * v6 = v5;
        g11 = (int32_t)&v6;
        int32_t v7 = *v5; // 0x492bd6
        g3 = v7;
        ((int32_t (*)(int32_t))*(int32_t *)(v7 + 72))(v4);
        // branch -> 0x492bdb
    }
}

// Address range: 0x492be0 - 0x492c17
void function_492be0(void) {
    int32_t v1;
    g4 = &v1;
    uint32_t v2 = g11; // 0x492be3
    g2 = (v2 & 15) > 11;
    g1 = v2 > 11;
    int32_t v3 = v2 - 12; // 0x492be3
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    int32_t v4 = *(int32_t *)(g3 + 4); // 0x492bf0
    int32_t v5 = *(int32_t *)v4; // 0x492bf4
    g3 = v5;
    int32_t v6;
    int32_t v7;
    ((int32_t (*)(int32_t, int32_t, int32_t))*(int32_t *)(v5 + 36))(v4, v7, v6);
    Windows__Failed(g6);
    int32_t v8 = g3; // 0x492bfe
    int32_t v9 = 0;
    if (v8 == 0) {
        // 0x492c08
        v9 = ((char)v6 & 1) != 0;
        // branch -> 0x492c10
    }
    // 0x492c10
    g3 = v9 | v8 & -256;
    g4 = v1;
}

// Address range: 0x492c18 - 0x492cb3
void function_492c18(void) {
    int32_t v1; // bp-8
    g11 = &v1;
    v1 = g3;
    function_492be0();
    if (g3 != 0) {
        // 0x492c2b
        unknown_427038();
        unknown_427038();
        int32_t * v2;
        *(int32_t *)(v1 + 8) = (int32_t)v2;
        int32_t v3 = v1; // 0x492c72
        g8 = v3;
        int32_t * v4;
        *(int32_t *)(v3 + 12) = (int32_t)v4;
        function_492adc();
        int32_t v5 = g3; // 0x492c80
        int32_t v6 = *(int32_t *)(v1 + 4); // 0x492c84
        int32_t v7 = *(int32_t *)v6; // 0x492c88
        g3 = v7;
        ((int32_t (*)(int32_t, int32_t))*(int32_t *)(v7 + 60))(v6, v5);
        System__ROUND(g6);
        int32_t v8 = g3; // 0x492c9b
        int32_t v9 = *(int32_t *)(v1 + 4); // 0x492c9f
        int32_t * v10 = (int32_t *)v9; // 0x492ca2_0
        int32_t * v11 = v10;
        g11 = (int32_t)&v11;
        int32_t v12 = *v10; // 0x492ca3
        g3 = v12;
        ((int32_t (*)(int32_t, int32_t))*(int32_t *)(v12 + 64))(v9, v8);
        // branch -> 0x492ca8
    }
}

// Address range: 0x492cb4 - 0x493057
void function_492cb4(void) {
    int32_t * v1;
    g4 = (int32_t)&v1;
    uint32_t v2 = g11; // 0x492cb7
    g2 = (v2 & 15) > 11;
    g1 = v2 > 27;
    int32_t v3 = v2 - 28; // 0x492cb7
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    int32_t v4 = g5; // 0x492cba
    int32_t v5 = v4; // bp-36
    int32_t v6 = g8; // 0x492cbb
    struct struct_212 * v7 = (struct struct_212 *)v6; // 0x492cbb_0
    struct struct_308 * v8 = (struct struct_308 *)g3; // bp-8
    struct struct_212 * v9;
    int32_t v10 = (int32_t)&v9; // 0x492cc1_0
    g8 = v10;
    g6 = 4;
    g3 = v6;
    g5 = *(int32_t *)v6;
    struct struct_212 * v11;
    int32_t v12;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t))v7->e3)(v4, v12, 0, (int32_t)v11);
    struct struct_212 * v13 = v9; // 0x492cd1_0
    int32_t v14 = (int32_t)v13; // 0x492cd1
    g2 = (v14 & 15) > 17;
    g1 = v13 < (struct struct_212 *)0x46464952;
    int32_t v15 = v14 - 0x46464952; // 0x492cd1
    g187 = v15 == 0;
    g9 = llvm_ctpop_i32(v15) % 2 == 1;
    int32_t v16;
    if (v13 != (struct struct_212 *)0x46464952) {
        // 0x492cda
        g8 = &v16;
        g3 = 0x407fd0;
        function_40d06c();
        System__RaiseExcept((int32_t)"Is not a RIFF file!");
        // branch -> 0x492cf0
    }
    // 0x492cf0
    g8 = v10;
    g3 = (int32_t)v7;
    g5 = *(int32_t *)v7;
    ((int32_t (*)())v7->e3)();
    g3 = (int32_t)v7;
    int32_t v17 = *(int32_t *)v7; // 0x492d03
    g8 = v17;
    ((int32_t (*)())*(int32_t *)v17)();
    Classes__TStream__GetPosition(4);
    uint32_t v18 = (int32_t)(struct struct_212 *)g3; // 0x492d11
    uint32_t v19 = (int32_t)v7; // 0x492d11
    uint32_t v20 = v18 - v19; // 0x492d11
    uint32_t v21 = (int32_t)(struct struct_212 *)g8 - g8 + (int32_t)(v18 < v19); // 0x492d14
    uint32_t v22 = (int32_t)v9; // 0x492d1c
    uint32_t v23 = v22 / 0x80000000; // 0x492d1f
    g2 = (v23 & 15) - (v21 & 15) > 15;
    g1 = v23 < v21;
    int32_t v24 = v23 - v21; // 0x492d20
    g187 = v23 == v21;
    g9 = llvm_ctpop_i32(v24) % 2 == 1;
    int32_t v25; // 0x492ef54
    int32_t v26;
    int32_t v27; // 0x492f0e_1
    struct struct_212 * v28; // bp-44
    int32_t v29; // 0x492efa
    int32_t v30; // 0x492eec
    struct struct_212 * v31; // 0x492d51_0
    struct struct_212 * v32; // 0x492ee9_0
    uint32_t v33; // 0x492efa
    int32_t v34; // 0x492d59
    struct struct_212 * v35; // 0x492d59_0
    int32_t v36; // 0x492efa
    char v37; // 0x492f189
    int32_t v38; // 0x492d59
    if (v23 != v21) {
        // 0x492d2f
        g11 = &v5;
        if (!((v24 < 0 ^ ((v24 ^ v23) & (v23 ^ v21)) < 0))) {
            // 0x492d33
            g8 = v20 & -256 | 1;
            g3 = 0x407fd0;
            function_40d06c();
            System__RaiseExcept((int32_t)"Size in RIFF header is invalid!");
            // branch -> 0x492d49
        }
        // 0x492d49
        g8 = v10;
        v31 = v7;
        g3 = (int32_t)v31;
        g5 = *(int32_t *)v31;
        ((int32_t (*)())v31->e3)();
        v35 = v9;
        v34 = (int32_t)v35;
        g2 = (v34 & 15) > 22;
        g1 = v35 < (struct struct_212 *)0x45564157;
        v38 = v34 - 0x45564157;
        g187 = v38 == 0;
        g9 = llvm_ctpop_i32(v38) % 2 == 1;
        v26 = 4;
        if (v35 != (struct struct_212 *)0x45564157) {
            // 0x492d62
            g8 = &v16;
            g3 = 0x407fd0;
            function_40d06c();
            System__RaiseExcept((int32_t)"Is not a WAVE file!");
            v26 = (int32_t)"Is not a WAVE file!";
            // branch -> 0x492ee9
        }
        // 0x492ee9
        v27 = &v5;
        v37 = 0;
        v25 = v26;
        // branch -> 0x492ee9
        char v39; // 0x492f188
        int32_t v40; // 0x492ee1
        while (true) {
            // 0x492ee9
            v32 = v7;
            g3 = (int32_t)v32;
            v30 = *(int32_t *)v32;
            g8 = v30;
            ((int32_t (*)())*(int32_t *)v30)();
            v28 = (struct struct_212 *)g3;
            Classes__TStream__GetPosition(v25);
            v33 = g8;
            v36 = (int32_t)(struct struct_212 *)g8;
            g2 = (v33 & 15) - (v36 & 15) > 15;
            g1 = v33 < v36;
            v29 = v33 - v36;
            g187 = v33 == v36;
            g9 = llvm_ctpop_i32(v29) % 2 == 1;
            if (v33 == 0) {
                // 0x492f00
                g8 = (int32_t)v28;
                // branch -> 0x492f15
            } else {
              lab_0x492f0d:
                // 0x492f0d
                g8 = (int32_t)v28;
                g11 = v27;
                if (v29 < 0 ^ ((v29 ^ v33) & (v36 ^ v33)) < 0) {
                    // 0x492d85
                    int32_t v41;
                    g8 = &v41;
                    g6 = 4;
                    g3 = (int32_t)v7;
                    g5 = *(int32_t *)v7;
                    ((int32_t (*)())v7->e3)();
                    g8 = (int32_t)&v11;
                    g3 = (int32_t)v7;
                    g5 = *(int32_t *)v7;
                    ((int32_t (*)())v7->e3)();
                    g3 = (int32_t)v7;
                    int32_t v42 = *(int32_t *)v7; // 0x492da8
                    g8 = v42;
                    ((int32_t (*)())*(int32_t *)v42)();
                    Classes__TStream__GetPosition(4);
                    uint32_t v43 = (int32_t)(struct struct_212 *)g3; // 0x492db6
                    uint32_t v44 = (int32_t)v7; // 0x492db6
                    int32_t v45 = v43 - v44; // 0x492db6
                    int32_t v46 = (int32_t)(struct struct_212 *)g8 - g8 + (int32_t)(v43 < v44); // 0x492db9
                    int32_t v47 = (int32_t)v11; // 0x492dc1
                    int32_t v48 = v47 >> 31; // 0x492dc4
                    int32_t v49 = v48 - v46; // 0x492dc5
                    int32_t v50; // 0x492e7b2
                    if (v48 == v46) {
                        // 0x492dcb
                        g8 = v45;
                        g11 = v27;
                        if (v47 > v45) {
                          lab_0x492dd8:
                            // 0x492dd8
                            g8 = v45 & -256 | 1;
                            g3 = 0x407fd0;
                            function_40d06c();
                            System__RaiseExcept((int32_t)"Chunk size is invalid!");
                            v50 = (int32_t)"Chunk size is invalid!";
                            // branch -> 0x492dee
                        } else {
                            v50 = 4;
                        }
                    } else {
                        // 0x492dd4
                        g8 = v45;
                        g11 = v27;
                        if (!((v49 < 0 ^ ((v49 ^ v48) & (v48 ^ v46)) < 0))) {
                            goto lab_0x492dd8;
                        }
                        v50 = 4;
                        // 0x492dee
                        int32_t v51; // 0x492ef53
                        if (v41 == 0x20746d66) {
                          lab_0x492df7:
                            // 0x492df7
                            if (v11 <= (struct struct_212 *)15) {
                                // 0x492dfd
                                g8 = g8 & -256 | 1;
                                g3 = 0x407fd0;
                                function_40d06c();
                                System__RaiseExcept((int32_t)"Format chunk size is invalid!");
                                // branch -> 0x492e13
                            }
                            int32_t v52 = (int32_t)v8; // 0x492e13
                            g2 = (v52 & 15) > 11;
                            g1 = v8 > (struct struct_308 *)-37;
                            int32_t v53 = v52 + 36; // 0x492e16
                            g187 = v53 == 0;
                            g9 = llvm_ctpop_i32(v53) % 2 == 1;
                            g8 = v53;
                            g3 = (int32_t)v7;
                            g5 = *(int32_t *)v7;
                            ((int32_t (*)())v7->e3)();
                            g3 = (int32_t)v8;
                            v8->e4 = 18;
                            struct struct_212 * v54 = v11; // 0x492e2f_0
                            int32_t v55 = (int32_t)v54 - 16; // 0x492e2f
                            uint32_t v56 = llvm_ctpop_i32(v55); // 0x492e2f
                            if (v54 >= (struct struct_212 *)17) {
                                // 0x492e35
                                g2 = false;
                                g1 = v54 < (struct struct_212 *)16;
                                g187 = v55 == 0;
                                g9 = v56 % 2 == 1;
                                g8 = v55;
                                g3 = (int32_t)v7;
                                int32_t v57 = *(int32_t *)v7; // 0x492e42
                                g5 = v57;
                                ((int32_t (*)())*(int32_t *)(v57 + 20))();
                                v39 = 1;
                                v51 = 1;
                                // branch -> 0x492ee1
                            } else {
                                v39 = 1;
                                v51 = 16;
                            }
                        } else {
                          lab_0x492e50:
                            // 0x492e50
                            unknown_492ed2();
                            struct struct_212 * v58 = v11; // 0x492e59_0
                            int32_t v59 = (int32_t)v58; // 0x492e59
                            g2 = (v59 & 15) > 30;
                            g1 = v58 < (struct struct_212 *)0xfffffff;
                            int32_t v60 = v59 - 0xfffffff; // 0x492e59
                            g187 = v60 == 0;
                            g9 = llvm_ctpop_i32(v60) % 2 == 1;
                            struct struct_212 * v61 = v58; // 0x492e78_0
                            int32_t v62 = v50; // 0x492e7b1
                            if (v58 >= (struct struct_212 *)0x10000000) {
                                // 0x492e62
                                g8 = g8 & -256 | 1;
                                g3 = 0x407fd0;
                                function_40d06c();
                                System__RaiseExcept((int32_t)"Too large wave file!");
                                v61 = v11;
                                v62 = (int32_t)"Too large wave file!";
                                // branch -> 0x492e78
                            }
                            // 0x492e78
                            System__GetMem(v62);
                            v8->e5 = (int32_t *)(int32_t)v61;
                            g8 = (int32_t)v8->e5;
                            g6 = (int32_t)v11;
                            g3 = (int32_t)v7;
                            g5 = *(int32_t *)v7;
                            ((int32_t (*)())v7->e3)();
                            g8 = 36;
                            function_407938();
                            v8->e0 = 36;
                            g8 = (int32_t)v11;
                            v8->e2 = (int32_t *)v11;
                            v8->e1 = 192;
                            int32_t v63 = *(int32_t *)(g4 - 8); // 0x492ed9
                            g3 = v63;
                            int32_t v64 = *(int32_t *)v63; // 0x492edc
                            g5 = v64;
                            ((int32_t (*)())*(int32_t *)(v64 + 20))();
                            v39 = v37;
                            v51 = v25;
                            // branch -> 0x492ee1
                        }
                        // 0x492ee1
                        v40 = g3 & -256;
                        g1 = false;
                        g2 = false;
                        g187 = true;
                        g9 = false;
                        if ((int32_t)v39 != v40) {
                            // break -> 0x492f15
                            break;
                        }
                        v37 = v39;
                        v25 = v51;
                        // continue -> 0x492ee9
                        continue;
                    }
                    // 0x492dee
                    if (v41 == 0x20746d66) {
                        goto lab_0x492df7;
                    }
                    goto lab_0x492e50;
                }
            }
            // 0x492f15
            if ((int32_t)v37 != (v36 & -256)) {
                // 0x492f33
                return;
            }
            // 0x492f1d
            g8 = g8 & -256 | 1;
            g3 = 0x407fd0;
            function_40d06c();
            System__RaiseExcept((int32_t)"There are not all neccessary chunks");
            // branch -> 0x492f33
            // 0x492f33
            return;
        }
        // 0x492f15
        if ((int32_t)v39 == (v40 & -256)) {
            // 0x492f1d
            g8 = g8 & -256 | 1;
            g3 = 0x407fd0;
            function_40d06c();
            System__RaiseExcept((int32_t)"There are not all neccessary chunks");
            // branch -> 0x492f33
        }
        // 0x492f33
        return;
    }
    // 0x492d26
    g2 = (v22 & 15) - (v20 & 15) > 15;
    g1 = v22 < v20;
    g187 = v22 == v20;
    g9 = llvm_ctpop_i32(v22 - v20) % 2 == 1;
    g11 = &v5;
    if (v22 > v20) {
        // 0x492d33
        g8 = v20 & -256 | 1;
        g3 = 0x407fd0;
        function_40d06c();
        System__RaiseExcept((int32_t)"Size in RIFF header is invalid!");
        // branch -> 0x492d49
    }
    // 0x492d49
    g8 = v10;
    v31 = v7;
    g3 = (int32_t)v31;
    g5 = *(int32_t *)v31;
    ((int32_t (*)())v31->e3)();
    v35 = v9;
    v34 = (int32_t)v35;
    g2 = (v34 & 15) > 22;
    g1 = v35 < (struct struct_212 *)0x45564157;
    v38 = v34 - 0x45564157;
    g187 = v38 == 0;
    g9 = llvm_ctpop_i32(v38) % 2 == 1;
    v26 = 4;
    if (v35 != (struct struct_212 *)0x45564157) {
        // 0x492d62
        g8 = &v16;
        g3 = 0x407fd0;
        function_40d06c();
        System__RaiseExcept((int32_t)"Is not a WAVE file!");
        v26 = (int32_t)"Is not a WAVE file!";
        // branch -> 0x492ee9
    }
    // 0x492ee9
    v27 = &v5;
    v37 = 0;
    v25 = v26;
    // branch -> 0x492ee9
    while (true) {
        // 0x492ee9
        v32 = v7;
        g3 = (int32_t)v32;
        v30 = *(int32_t *)v32;
        g8 = v30;
        ((int32_t (*)())*(int32_t *)v30)();
        v28 = (struct struct_212 *)g3;
        Classes__TStream__GetPosition(v25);
        v33 = g8;
        v36 = (int32_t)(struct struct_212 *)g8;
        g2 = (v33 & 15) - (v36 & 15) > 15;
        g1 = v33 < v36;
        v29 = v33 - v36;
        g187 = v33 == v36;
        g9 = llvm_ctpop_i32(v29) % 2 == 1;
        if (v33 != 0) {
            goto lab_0x492f0d;
        }
        // 0x492f00
        g8 = (int32_t)v28;
        // branch -> 0x492f15
        // 0x492f15
        if ((int32_t)v37 != (v36 & -256)) {
            // 0x492f33
            return;
        }
        // 0x492f1d
        g8 = g8 & -256 | 1;
        g3 = 0x407fd0;
        function_40d06c();
        System__RaiseExcept((int32_t)"There are not all neccessary chunks");
        // branch -> 0x492f33
        // 0x492f33
        return;
    }
}

// Address range: 0x493058 - 0x4943cf
void function_493058(void) {
    int32_t * v1;
    g4 = (int32_t)&v1;
    function_406554();
    abort();
    // UNREACHABLE
}

// Address range: 0x4943d0 - 0x494483
void function_4943d0(void) {
    // 0x4943d0
    *(int32_t *)g3 = g8;
    HandleFinally();
}

// Address range: 0x494484 - 0x494797
void function_494484(void) {
    // 0x494484
    char * v1;
    int32_t v2 = function_404e18(v1); // 0x494490
    if (v2 < 1) {
        // 0x4944cf
        return;
    }
    int32_t v3 = 1; // 0x4944c33
    char * v4 = (char *)v2; // 0x4944c6_42
    // branch -> 0x4944a3
    while (true) {
        char * v5 = (char *)(g3 - 1 + v3); // 0x4944a9_0
        if (*v5 == 47 || *v5 == 92) {
            // 0x4944cf
            return;
        }
        int32_t v6 = (int32_t)v4 - 1; // 0x4944c6
        if (v6 == 0) {
            // break -> 0x4944cf
            break;
        }
        v3++;
        v4 = (char *)v6;
        // continue -> 0x4944a3
    }
}

// Address range: 0x494798 - 0x49514f
void function_494798(void) {
    int32_t v1 = g3; // 0x49479e
    char * v2;
    int32_t v3 = function_404e18(v2); // 0x4947a4
    function_495150();
    g3 = v1;
    int32_t v4 = function_404e18((char *)v3); // 0x4947b5
    System__LStrToPChar((char *)g6);
    g8 = v1;
    g3 = v3;
    g6 = v4;
    function_407924();
}

// Address range: 0x495150 - 0x4957f7
void function_495150(void) {
    // 0x495150
    char * v1;
    int32_t v2 = (int32_t)v1; // 0x495154
    int32_t v3; // 0x4951a3_01
    if (v1 < (char *)0x9c41) {
        int32_t v4 = g101; // 0x495169
        int32_t v5 = v4; // 0x49518b
        if (0x1869f - v4 < v2) {
            // 0x495174
            g101 = 0;
            v5 = 0;
            // branch -> 0x49517b
        }
        int32_t v6 = v5 + v2; // 0x49518b
        g101 = v6;
        *(char *)(v6 + 0x4d646c) = 0;
        g101++;
        v3 = v5 + 0x4d646c;
        // branch -> 0x4951a3
    } else {
        // 0x49515d
        v3 = 0;
        // branch -> 0x4951a3
    }
    // 0x4951a3
    g6 = v3;
}

// Address range: 0x4957f8 - 0x495b96
void function_4957f8(void) {
    // 0x4957f8
    return;
}

// Address range: 0x495b98 - 0x496327
void function_495b98(void) {
    // 0x495b98
    abort();
    // UNREACHABLE
}

// Address range: 0x496458 - 0x4975cb
void function_496458(void) {
    int32_t v1 = g3; // 0x49645e
    Sysutils__GetLocaleFormatSettings(g6, (int32_t *)g102);
    g103 = 46;
    g93 = 0;
    g100 = 0;
    g6 = g49;
    g8 = 0x496c24;
    g3 = v1;
    function_4723b8();
    g6 = g51;
    g8 = 0x496c30;
    g3 = v1;
    function_4723b8();
    g6 = g59;
    g8 = 0x496c3c;
    g3 = v1;
    function_4723b8();
    g6 = g53;
    g8 = 0x496c48;
    g3 = v1;
    function_4723b8();
    g6 = 0x723168;
    g8 = 0x496c58;
    g3 = v1;
    function_4723b8();
    g6 = 0x4d6468;
    g8 = 0x496c68;
    g3 = v1;
    function_4723b8();
    g6 = g92 + 24;
    g8 = 0x496c78;
    g3 = v1;
    function_4723b8();
    g6 = g92 + 28;
    g8 = 0x496c8c;
    g3 = v1;
    function_4723b8();
    g6 = *(int32_t *)0x536554;
    g8 = 0x496ca0;
    g3 = v1;
    function_4727bc();
    g6 = 0x496cb4;
    g8 = 0x496cd0;
    g3 = v1;
    function_472850();
    g6 = 0x496ce4;
    g8 = 0x496cd0;
    g3 = v1;
    function_472850();
    g6 = 0x496d00;
    g8 = 0x496cd0;
    g3 = v1;
    function_472850();
    g6 = 0x496d1c;
    g8 = 0x496cd0;
    g3 = v1;
    function_472850();
    g6 = 0x496d38;
    g8 = 0x496cd0;
    g3 = v1;
    function_472850();
    g6 = 0x496d60;
    g8 = 0x496d74;
    g3 = v1;
    function_472850();
    g6 = 0x496d84;
    g8 = 0x496d74;
    g3 = v1;
    function_472850();
    g6 = 0x496d98;
    g8 = 0x496db4;
    g3 = v1;
    function_472850();
    g6 = 0x496dc8;
    g8 = 0x496db4;
    g3 = v1;
    function_472850();
    g6 = 0x496de8;
    g8 = 0x496e04;
    g3 = v1;
    function_472850();
    g6 = 0x496e18;
    g8 = 0x496e04;
    g3 = v1;
    function_472850();
    g6 = 0x496e34;
    g8 = 0x496e04;
    g3 = v1;
    function_472850();
    g6 = 0x496e50;
    g8 = 0x496e04;
    g3 = v1;
    function_472850();
    g6 = 0x496e6c;
    g8 = 0x496e04;
    g3 = v1;
    function_472850();
    g6 = 0x496e88;
    g8 = 0x496e04;
    g3 = v1;
    function_472850();
    g6 = 0x496ea4;
    g8 = 0x496ec0;
    g3 = v1;
    function_472850();
    g6 = 0x496ed0;
    g8 = 0x496ee4;
    g3 = v1;
    function_472850();
    g6 = 0x496ef8;
    g8 = 0x496f1c;
    g3 = v1;
    function_472850();
    g6 = 0x496f30;
    g8 = 0x496f44;
    g3 = v1;
    function_472850();
    g6 = 0x496f58;
    g8 = 0x496f44;
    g3 = v1;
    function_472850();
    g6 = 0x496f74;
    g8 = 0x496f88;
    g3 = v1;
    function_472850();
    g6 = 0x496f30;
    g8 = 0x496f88;
    g3 = v1;
    function_472850();
    g6 = 0x496f98;
    g8 = 0x496fb4;
    g3 = v1;
    function_472850();
    g6 = 0x496fc8;
    g8 = 0x496fb4;
    g3 = v1;
    function_472850();
    g6 = 0x496fdc;
    g8 = 0x496ff0;
    g3 = v1;
    function_472850();
    g6 = 0x497000;
    g8 = 0x496ff0;
    g3 = v1;
    function_472850();
    g6 = 0x497014;
    g8 = 0x496ff0;
    g3 = v1;
    function_472850();
    g6 = 0x497024;
    g8 = 0x49703c;
    g3 = v1;
    function_472850();
    g6 = 0x49704c;
    g8 = 0x49703c;
    g3 = v1;
    function_472850();
    g6 = 0x497064;
    g8 = 0x49703c;
    g3 = v1;
    function_472850();
    g6 = 0x497064;
    g8 = 0x497078;
    g3 = v1;
    function_472850();
    g6 = 0x497090;
    g8 = 0x4970a8;
    g3 = v1;
    function_472850();
    g6 = 0x4970c0;
    g8 = 0x4970d4;
    g3 = v1;
    function_472850();
    g6 = 0x4970e8;
    g8 = 0x496d74;
    g3 = v1;
    function_472850();
    g6 = 0x497104;
    g8 = 0x496d74;
    g3 = v1;
    function_472850();
    g6 = 0x497124;
    g8 = 0x496d74;
    g3 = v1;
    function_472850();
    g6 = 0x497140;
    g8 = 0x497154;
    g3 = v1;
    function_472850();
    g6 = 0x497168;
    g8 = 0x497154;
    g3 = v1;
    function_472850();
    g6 = 0x497178;
    g8 = 0x497198;
    g3 = v1;
    function_472850();
    g6 = 0x495e64;
    g8 = 0x4971ac;
    g3 = v1;
    function_4727bc();
    g6 = 0x495e88;
    g8 = 0x4971c4;
    g3 = v1;
    function_4727bc();
    g6 = 0x4956bc;
    g8 = 0x4971dc;
    g3 = v1;
    function_4727bc();
    g6 = 0x4942a0;
    g8 = 0x4971f4;
    g3 = v1;
    function_4727bc();
    g6 = 0x4942e0;
    g8 = 0x49720c;
    g3 = v1;
    function_4727bc();
    g6 = 0x494430;
    g8 = 0x497224;
    g3 = v1;
    function_4727bc();
    g6 = 0x494418;
    g8 = 0x49723c;
    g3 = v1;
    function_4727bc();
    g6 = 0x495e38;
    g8 = 0x497258;
    g3 = v1;
    function_4727bc();
    g6 = 0x493c4c;
    g8 = 0x496d00;
    g3 = v1;
    function_4727bc();
    g6 = 0x4951ac;
    g8 = 0x497270;
    g3 = v1;
    function_4727bc();
    g6 = 0x496f74;
    g8 = 0x497288;
    g3 = v1;
    function_472850();
    g6 = 0x4972a0;
    g8 = 0x497288;
    g3 = v1;
    function_472850();
    g6 = 0x4972b4;
    g8 = 0x497288;
    g3 = v1;
    function_472850();
    g6 = 0x4972c8;
    g8 = 0x497288;
    g3 = v1;
    function_472850();
    g6 = 0x4972dc;
    g8 = 0x497288;
    g3 = v1;
    function_472850();
    g6 = 0x4972f0;
    g8 = 0x497288;
    g3 = v1;
    function_472850();
    g6 = 0x4947d8;
    g8 = 0x497304;
    g3 = v1;
    function_4727bc();
    g6 = 0x4955b4;
    g8 = 0x497320;
    g3 = v1;
    function_4727bc();
    g6 = 0x4952b8;
    g8 = 0x497340;
    g3 = v1;
    function_4727bc();
    g6 = 0x495314;
    g8 = 0x497354;
    g3 = v1;
    function_4727bc();
    g6 = 0x495368;
    g8 = 0x497368;
    g3 = v1;
    function_4727bc();
    g6 = 0x4953ac;
    g8 = 0x49737c;
    g3 = v1;
    function_4727bc();
    g6 = 0x4953f4;
    g8 = 0x497390;
    g3 = v1;
    function_4727bc();
    g6 = 0x4954fc;
    g8 = 0x4973a0;
    g3 = v1;
    function_4727bc();
    g6 = 0x49546c;
    g8 = 0x4973b0;
    g3 = v1;
    function_4727bc();
    g6 = 0x495568;
    g8 = 0x4973c0;
    g3 = v1;
    function_4727bc();
    g6 = 0x4951f4;
    g8 = 0x4973d4;
    g3 = v1;
    function_4727bc();
    g6 = 0x495350;
    g8 = 0x4973e8;
    g3 = v1;
    function_4727bc();
    g6 = 0x49567c;
    g8 = 0x4973fc;
    g3 = v1;
    function_4727bc();
    g6 = 0x495664;
    g8 = 0x497414;
    g3 = v1;
    function_4727bc();
    g6 = 0x4956a4;
    g8 = 0x497428;
    g3 = v1;
    function_4727bc();
    g6 = 0x4958c4;
    g8 = 0x497444;
    g3 = v1;
    function_4727bc();
    g6 = (int32_t)function_4957f8;
    g8 = 0x497454;
    g3 = v1;
    function_4727bc();
    g6 = 0x49582c;
    g8 = 0x497468;
    g3 = v1;
    function_4727bc();
    g6 = 0x495854;
    g8 = 0x497478;
    g3 = v1;
    function_4727bc();
    g6 = 0x495874;
    g8 = 0x497490;
    g3 = v1;
    function_4727bc();
    g6 = 0x49588c;
    g8 = 0x4974a8;
    g3 = v1;
    function_4727bc();
    g6 = *(int32_t *)40;
    g8 = 0x4974c0;
    g3 = v1;
    function_4727bc();
    g6 = *(int32_t *)36;
    g8 = 0x4974e4;
    g3 = v1;
    function_4727bc();
    g6 = 0x4ab94c;
    g8 = 0x497508;
    g3 = v1;
    function_4727bc();
    g6 = 0x495d68;
    g8 = 0x497528;
    g3 = v1;
    function_4727bc();
    g6 = (int32_t)function_495b98;
    g8 = 0x497544;
    g3 = v1;
    function_4727bc();
    g6 = 0x49599c;
    g8 = 0x497564;
    g3 = v1;
    function_4727bc();
    g6 = 0x495d40;
    g8 = 0x49757c;
    g3 = v1;
    function_4727bc();
    g6 = 0x4b1f80;
    g8 = 0x4975a4;
    g3 = v1;
    function_4727bc();
    g6 = 0x4b2068;
    g8 = 0x4975bc;
    g3 = v1;
    function_4727bc();
}

// Address range: 0x4975cc - 0x49899b
void function_4975cc(void) {
    int32_t * v1 = (int32_t *)(unknown_458a50() + 72); // 0x4975ee_0
    g185 = *v1 + 32;
    g186 = *v1;
    int32_t * v2 = (int32_t *)(unknown_458a50() + 72); // 0x497621_0
    g179 = *v2 + 32;
    g180 = *v2;
    int32_t * v3 = (int32_t *)(unknown_458a50() + 72); // 0x497654_0
    g94 = *v3 + 32;
    g95 = *v3;
    g96 = *v3 + 32;
    g97 = *v3;
    g143 = *v3 + 32;
    g144 = *v3;
    g169 = *v3 + 32;
    g170 = *v3;
    g181 = *v3 + 32;
    g182 = *v3;
    int32_t * v4 = (int32_t *)(unknown_458a50() + 72); // 0x4976fb_0
    g145 = *v4 + 32;
    g146 = *v4;
    g171 = *v4 + 32;
    g172 = *v4;
    g175 = *v4 + 32;
    g176 = *v4;
    g183 = *v4 + 32;
    g184 = *v4;
    *(int32_t *)0x52eb20 = *v4;
    int32_t * v5 = (int32_t *)(unknown_458a50() + 72); // 0x497792_0
    g177 = *v5 + 32;
    g178 = *v5;
    g173 = *v5 + 32;
    g174 = *v5;
    *(int32_t *)0x52eb74 = *v5;
    int32_t * v6 = (int32_t *)(unknown_458a50() + 72); // 0x4977ef_0
    g98 = *v6 + 32;
    g99 = *v6;
    *(int32_t *)0x52e5b6 = *v6;
    *(int32_t *)0x52e981 = *v6 + 32;
    *(int32_t *)0x52e98e = *v6;
    *(int32_t *)0x52ec19 = *v6;
    *(int32_t *)0x52ecdb = *v6;
    *(int32_t *)0x52ed99 = *v6;
    int32_t * v7 = (int32_t *)(unknown_458a50() + 72); // 0x497873_0
    g147 = *v7 + 32;
    g148 = *v7;
}

// Address range: 0x49899c - 0x498a5f
void function_49899c(void) {
    // 0x49899c
    g3 = *(int32_t *)(*(int32_t *)(g160 + 8) + 4) + 48;
    function_4b8d1c();
    g3 += 8;
    function_4b8d1c();
    function_4b8d04();
    g3 = g160;
    g8 = 1068;
    function_4b8f4c();
    g3 += 2320;
    function_4b8d1c();
    g3 += 8;
    function_4b8d1c();
    function_4b8d04();
    g3 = g160;
    g8 = 1068;
    function_4b8f4c();
    g3 += 2324;
    function_4b8d1c();
    g3 += 8;
    function_4b8d1c();
    function_4b8d04();
    g3 = *(int32_t *)(g160 + 8);
    g8 = 32;
    function_4b8f4c();
    g3 += 2312;
    function_4b8d1c();
    g3 += 8;
    function_4b8d1c();
    function_4b8d04();
    g3 = *(int32_t *)(g160 + 8);
    g8 = 896;
    function_4b8f4c();
    g3 += 8;
    function_4b8d1c();
    function_4b8d04();
}

// Address range: 0x498a60 - 0x499c62
void function_498a60(void) {
    // 0x498a60
    abort();
    // UNREACHABLE
}

// Address range: 0x499c64 - 0x499d63
void function_499c64(void) {
    int32_t v1;
    int32_t v2 = &v1; // 0x499c67_4
    g11 = v2;
    int32_t v3 = g3; // 0x499c6a
    int32_t * v4 = (int32_t *)(v3 + 12); // 0x499c70_0
    g6 = *(int32_t *)(*v4 + 44) - *(int32_t *)(*v4 + 40);
    g8 = *(int32_t *)(*v4 + 40);
    g3 = v3;
    function_499f8c();
    int32_t * v5 = (int32_t *)(v3 + 8); // 0x499c93_0
    int32_t v6 = *(int32_t *)(*v5 + 8); // 0x499c96
    if (v6 < 1) {
        // 0x499d60
        return;
    }
    // 0x499ca2
    v1 = v6;
    int32_t v7 = 0; // 0x499d541
    // branch -> 0x499cad
    while (true) {
        int32_t v8 = *(int32_t *)(*v5 + 4); // 0x499cb3
        int32_t v9 = 4 * v7; // 0x499cb9
        int32_t v10; // 0x499d57
        if (*(char *)(*(int32_t *)(v8 + v9) + 8) == 0) {
            int32_t v11 = *(int32_t *)(*v5 + 4); // 0x499ccc
            if (*(int32_t *)(*(int32_t *)(v11 + v9) + 40) >= 1) {
                int32_t v12 = *(int32_t *)(*v5 + 4); // 0x499ce1
                if (*(int32_t *)(*(int32_t *)(v12 + v9) + 24) != 0) {
                    int32_t v13 = *(int32_t *)(*v5 + 4); // 0x499cf6
                    int32_t v14 = *(int32_t *)(*(int32_t *)(v13 + v9) + 24); // 0x499cff
                    if (*(char *)(v14 + 8) == 3) {
                        int32_t v15 = *(int32_t *)(*v5 + 4); // 0x499d10
                        int32_t lp = *(int32_t *)(*(int32_t *)(v15 + v9) + 48); // 0x499d19
                        g11 = v2;
                        if (!IsBadReadPtr((int32_t *)lp, (int32_t *)4)) {
                            int32_t v16 = *(int32_t *)(*v5 + 4); // 0x499d2c
                            g6 = *(int32_t *)(*(int32_t *)(v16 + v9) + 24);
                            int32_t v17 = *(int32_t *)(*v5 + 4); // 0x499d3e
                            int32_t v18 = *(int32_t *)(*(int32_t *)(v17 + v9) + 48); // 0x499d47
                            g8 = *(int32_t *)v18;
                            g3 = v3;
                            function_49a4e0();
                            // branch -> 0x499d54
                        }
                        // 0x499d54
                        v10 = v1 - 1;
                        v1 = v10;
                        if (v10 == 0) {
                            // break -> 0x499d60
                            break;
                        }
                        v7++;
                        // continue -> 0x499cad
                        continue;
                    }
                }
                // 0x499d54
                v10 = v1 - 1;
                v1 = v10;
                if (v10 == 0) {
                    // break -> 0x499d60
                    break;
                }
                v7++;
                // continue -> 0x499cad
                continue;
            }
            // 0x499d54
            v10 = v1 - 1;
            v1 = v10;
            if (v10 == 0) {
                // break -> 0x499d60
                break;
            }
            v7++;
            // continue -> 0x499cad
            continue;
        }
        // 0x499d54
        v10 = v1 - 1;
        v1 = v10;
        if (v10 == 0) {
            // break -> 0x499d60
            break;
        }
        v7++;
        // continue -> 0x499cad
    }
}

// Address range: 0x499d64 - 0x499efb
void function_499d64(void) {
    int32_t v1;
    g4 = &v1;
    uint32_t v2 = g11; // 0x499d67
    g2 = (v2 & 15) > 3;
    g1 = v2 > 19;
    int32_t v3 = v2 - 20; // 0x499d67
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    int32_t v4 = g5; // 0x499d6a
    char * v5 = (char *)v4; // bp-28
    int32_t v6 = (int32_t)&v5; // 0x499d6a_1
    g11 = v6;
    int32_t v7 = g8; // 0x499d6b
    struct struct_19 * v8 = (struct struct_19 *)v7; // 0x499d6b_0
    int32_t v9 = g3; // 0x499d6e
    int32_t * v10 = (int32_t *)1; // bp-16
    int32_t v11 = (int32_t)&v10; // 0x499d78_0
    g8 = v11;
    g6 = 4;
    g3 = v7;
    int32_t v12 = v8->e0; // 0x499d83
    g5 = v12;
    int32_t v13 = *(int32_t *)(v12 + 16); // 0x499d85
    int32_t v14;
    int32_t * v15;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t, int32_t))v13)(v4, (int32_t)v15, v14, 1, v7);
    g8 = (int32_t)v8;
    g3 = *(int32_t *)(v9 + 8);
    function_458ae4();
    int32_t * v16 = (int32_t *)(v9 + 4); // 0x499d99_0
    g3 = *v16;
    function_405b98();
    v10 = (int32_t *)g3;
    g8 = v11;
    g6 = 4;
    g3 = (int32_t)v8;
    int32_t v17 = v8->e0; // 0x499daf
    g5 = v17;
    ((int32_t (*)(int32_t))*(int32_t *)(v17 + 16))((int32_t)v5);
    g3 = *v16;
    function_405b98();
    int32_t v18 = g3; // 0x499dbf
    int32_t v19 = v18 - 1; // 0x499dbf
    g1 = false;
    if (v19 < 0) {
        // 0x499ef7
        return;
    }
    // 0x499dc8
    g2 = (v19 & 15) > 14;
    g187 = v18 == 0;
    g9 = llvm_ctpop_i32(v18) % 2 == 1;
    int32_t v20 = 0; // 0x499eeb2
    // branch -> 0x499dd3
    while (true) {
        int32_t v21 = 4 * v20; // 0x499ddc
        g8 = *(int32_t *)(*v16 + v21) + 12;
        g6 = 1;
        g3 = (int32_t)v8;
        int32_t v22 = v8->e0; // 0x499dea
        g5 = v22;
        ((int32_t (*)(int32_t, int32_t))*(int32_t *)(v22 + 16))((int32_t)v5, v18);
        g8 = *(int32_t *)(*v16 + v21) + 8;
        g6 = 4;
        g3 = (int32_t)v8;
        int32_t v23 = v8->e0; // 0x499e06
        g5 = v23;
        ((int32_t (*)())*(int32_t *)(v23 + 16))();
        g8 = *(int32_t *)(*v16 + v21) + 16;
        g6 = 4;
        g3 = (int32_t)v8;
        int32_t v24 = v8->e0; // 0x499e22
        g5 = v24;
        ((int32_t (*)())*(int32_t *)(v24 + 16))();
        g3 = *(int32_t *)(*(int32_t *)(*v16 + v21) + 4);
        v10 = (int32_t *)function_404e18(v5);
        g8 = v11;
        g6 = 4;
        g3 = (int32_t)v8;
        int32_t v25 = v8->e0; // 0x499e49
        g5 = v25;
        ((int32_t (*)(int32_t))*(int32_t *)(v25 + 16))((int32_t)v5);
        uint32_t v26 = *(int32_t *)(*v16 + v21); // 0x499e57
        g2 = (v26 & 15) > 11;
        g1 = v26 > 0xfffffffb;
        int32_t v27 = v26 + 4; // 0x499e5a
        g187 = v27 == 0;
        g9 = llvm_ctpop_i32(v27) % 2 == 1;
        function_405070();
        g8 = v27;
        g6 = (int32_t)v10;
        g3 = (int32_t)v8;
        int32_t v28 = v8->e0; // 0x499e6a
        g5 = v28;
        ((int32_t (*)())*(int32_t *)(v28 + 16))();
        int32_t ucb = *(int32_t *)(*(int32_t *)(*v16 + v21) + 24); // 0x499e7b
        int32_t lp = *(int32_t *)(*(int32_t *)(*v16 + v21) + 8); // 0x499e8b
        bool v29 = IsBadReadPtr((int32_t *)lp, (int32_t *)ucb); // 0x499e8f
        g11 = v6;
        g1 = false;
        g2 = false;
        g187 = !v29;
        g9 = llvm_ctpop_i32((int32_t)v29) % 2 == 1;
        if (v29) {
            // 0x499ed6
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            v10 = NULL;
            g8 = v11;
            g6 = 4;
            g3 = (int32_t)v8;
            int32_t v30 = v8->e0; // 0x499ee6
            g5 = v30;
            ((int32_t (*)(int32_t))*(int32_t *)(v30 + 16))((int32_t)v5);
            // branch -> 0x499eeb
        } else {
            int32_t v31 = *(int32_t *)(*v16 + v21); // 0x499ea1
            v10 = (int32_t *)*(int32_t *)(v31 + 24);
            g8 = v11;
            g6 = 4;
            g3 = (int32_t)v8;
            int32_t v32 = v8->e0; // 0x499eb5
            g5 = v32;
            ((int32_t (*)(int32_t))*(int32_t *)(v32 + 16))((int32_t)v5);
            g8 = *(int32_t *)(*(int32_t *)(*v16 + v21) + 8);
            g6 = (int32_t)v10;
            g3 = (int32_t)v8;
            int32_t v33 = v8->e0; // 0x499ecf
            g5 = v33;
            ((int32_t (*)())*(int32_t *)(v33 + 16))();
            // branch -> 0x499eeb
        }
        // 0x499eeb
        g2 = (v18 & 15) > 16;
        int32_t v34 = v18 - 1; // 0x499eee
        g187 = v34 == 0;
        g9 = llvm_ctpop_i32(v34) % 2 == 1;
        if (v34 == 0) {
            // break -> 0x499ef7
            break;
        }
        v20++;
        v18 = v34;
        // continue -> 0x499dd3
    }
}

// Address range: 0x499efc - 0x499f8b
void function_499efc(void) {
    int32_t * v1 = (int32_t *)(g3 + 8); // 0x499f0b_0
    int32_t v2 = *(int32_t *)(*v1 + 8); // 0x499f0e
    if (v2 < 1) {
        // 0x499f7e
        // branch -> 0x499f83
        // 0x499f83
        g3 = 0;
        return;
    }
    int32_t v3 = 0; // 0x499f763
    // branch -> 0x499f21
    while (true) {
        int32_t v4 = *(int32_t *)(*v1 + 4); // 0x499f27
        int32_t v5 = 4 * v3; // 0x499f2d
        if (*(char *)(*(int32_t *)(v4 + v5) + 8) == 3) {
            int32_t v6 = *(int32_t *)(*v1 + 4); // 0x499f3c
            if (*(char *)(*(int32_t *)(v6 + v5) + 44) != 0) {
                int32_t v7 = *(int32_t *)(*v1 + 4); // 0x499f51
                if (*(int32_t *)(*(int32_t *)(v7 + v5) + 48) == g8) {
                    // 0x499f62
                    // branch -> 0x499f83
                    // 0x499f83
                    g3 = *(int32_t *)(*(int32_t *)(*v1 + 4) + v5);
                    return;
                }
            }
        }
        int32_t v8 = v2 - 1; // 0x499f79
        if (v8 == 0) {
            // break -> 0x499f7e
            break;
        }
        v3++;
        v2 = v8;
        // continue -> 0x499f21
    }
    // 0x499f7e
    // branch -> 0x499f83
    // 0x499f83
    g3 = 0;
}

// Address range: 0x499f8c - 0x49a0a7
void function_499f8c(void) {
    int32_t lp = g8; // 0x499f95
    if (g6 < 1 || IsBadReadPtr((int32_t *)lp, (int32_t *)g6)) {
        // 0x49a0a4
        return;
    }
    int32_t * v1 = (int32_t *)(g3 + 4); // 0x499fbd_0
    g3 = *v1;
    function_405b98();
    int32_t v2 = g3; // 0x499fc5
    int32_t v3; // 0x49a000
    int32_t v4; // 0x49a036
    if (v2 < 1) {
        // 0x499ff5
        g3 = *v1;
        function_405b98();
        v3 = g3;
        int32_t * v5;
        System__DynArraySetLength((char *)1, (char *)0x499bd0, v3 + 1, v5);
        g8 = 0x499b01;
        function_403c70();
        v4 = 4 * v3;
        *(int32_t *)(*v1 + v4) = 0x499b88;
        *(char *)(*(int32_t *)(*v1 + v4) + 12) = 2;
        System__LStrClr((char *)v3);
        *(int32_t *)(*(int32_t *)(*v1 + v4) + 20) = 0;
        *(int32_t *)(*(int32_t *)(*v1 + v4) + 16) = g6;
        *(int32_t *)(*(int32_t *)(*v1 + v4) + 8) = lp;
        *(int32_t *)(*(int32_t *)(*v1 + v4) + 24) = g6;
        // branch -> 0x49a0a4
    } else {
        int32_t v6 = 0; // 0x499fed3
        int32_t * v7 = (int32_t *)v2; // 0x49a0192
        // branch -> 0x499fd5
        int32_t * v8; // 0x499ff0_4
        while (true) {
            // 0x499fd5
            if (*(int32_t *)(*(int32_t *)(*v1 + 4 * v6) + 8) == lp) {
                // 0x49a0a4
                // branch -> 0x49a0a4
                // 0x49a0a4
                return;
            }
            int32_t v9 = (int32_t)v7 - 1; // 0x499ff0
            v8 = (int32_t *)v9;
            if (v9 == 0) {
                // break -> 0x499ff5
                break;
            }
            v6++;
            v7 = v8;
            // continue -> 0x499fd5
        }
        // 0x499ff5
        // branch -> 0x499ff5
        // 0x499ff5
        g3 = *v1;
        function_405b98();
        v3 = g3;
        System__DynArraySetLength((char *)1, (char *)0x499bd0, v3 + 1, v8);
        g8 = 0x499b01;
        function_403c70();
        v4 = 4 * v3;
        *(int32_t *)(*v1 + v4) = 0x499b88;
        *(char *)(*(int32_t *)(*v1 + v4) + 12) = 2;
        System__LStrClr((char *)v3);
        *(int32_t *)(*(int32_t *)(*v1 + v4) + 20) = 0;
        *(int32_t *)(*(int32_t *)(*v1 + v4) + 16) = g6;
        *(int32_t *)(*(int32_t *)(*v1 + v4) + 8) = lp;
        *(int32_t *)(*(int32_t *)(*v1 + v4) + 24) = g6;
        // branch -> 0x49a0a4
    }
}

// Address range: 0x49a0a8 - 0x49a29f
void function_49a0a8(void) {
    int32_t v1 = g6; // 0x49a0ae
    int32_t * lp = (int32_t *)g8; // 0x49a0b1_0
    int32_t v2 = g3; // 0x49a0b4
    int32_t v3;
    if (v1 > 0x2710 || v3 == 0) {
        // 0x49a297
        return;
    }
    // 0x49a0ce
    int32_t * v4; // 0x49a119_0
    int32_t * v5; // 0x49a127_0
    int32_t v6;
    int32_t * v7;
    int32_t v8; // 0x49a121
    int32_t * v9; // 0x49a15e_0
    int32_t v10; // 0x49a16e
    int32_t v11; // 0x49a201
    int32_t v12; // 0x49a216
    int32_t v13; // 0x49a13a
    int32_t v14; // 0x49a1a4
    int32_t v15; // 0x49a28f1
    int32_t v16; // 0x49a28f2
    if (v6 != 0) {
        bool v17 = IsBadReadPtr((int32_t *)*lp, (int32_t *)(4 * v1)); // 0x49a109
        g11 = (int32_t)&v7;
        if (!v17) {
            // 0x49a116
            v4 = (int32_t *)(v2 + 4);
            g3 = *v4;
            function_405b98();
            v8 = g3;
            if (v8 >= 1) {
                // 0x49a126
                v5 = (int32_t *)v8;
                v7 = v5;
                v9 = v5;
                v16 = 0;
                // branch -> 0x49a131
                while (true) {
                    // 0x49a131
                    v13 = 4 * v16;
                    if (*(char *)(*(int32_t *)(*v4 + v13) + 12) == 2) {
                        goto lab_0x49a15b;
                    }
                    goto lab_0x49a143;
                }
            }
            // 0x49a163
            g3 = *v4;
            function_405b98();
            v10 = g3;
            System__DynArraySetLength((char *)1, (char *)0x499bd0, v10 + 1, v7);
            g8 = 0x499b01;
            function_403c70();
            v14 = 4 * v10;
            *(int32_t *)(*v4 + v14) = 0x499b88;
            *(char *)(*(int32_t *)(*v4 + v14) + 12) = 1;
            System__LStrAsg((char *)v10, (char *)*(int32_t *)(v3 + 4));
            *(int32_t *)(*(int32_t *)(*v4 + v14) + 20) = v3;
            *(int32_t *)(*(int32_t *)(*v4 + v14) + 16) = v1;
            v11 = *lp;
            *(int32_t *)(*(int32_t *)(*v4 + v14) + 8) = v11;
            v12 = *(int32_t *)(*v4 + v14);
            if (v6 == 0) {
                // 0x49a20d
                *(int32_t *)(v12 + 24) = *(int32_t *)(v3 + 72) * v1;
                // branch -> 0x49a23d
            } else {
                // 0x49a228
                *(int32_t *)(v12 + 24) = 4 * v1;
                // branch -> 0x49a23d
            }
            // 0x49a23d
            if (*(char *)(v3 + 8) == 3) {
                // 0x49a246
                if (v1 >= 1) {
                    // 0x49a24e
                    v7 = (int32_t *)v1;
                    v15 = 0;
                    // branch -> 0x49a259
                    while (true) {
                        // 0x49a259
                        if (v6 == 0) {
                            goto lab_0x49a25f_2;
                        }
                        goto lab_0x49a279_2;
                    }
                }
                // 0x49a297
                return;
            }
        }
        // 0x49a297
        return;
    }
    int32_t * v18 = (int32_t *)(v3 + 72); // 0x49a0d7_0
    if (*v18 < 1) {
        // 0x49a297
        return;
    }
    int32_t v19 = *v18; // 0x49a0e4
    int32_t lp2 = *lp; // 0x49a0eb
    bool v20 = IsBadReadPtr((int32_t *)lp2, (int32_t *)(int32_t)((int64_t)v19 * (int64_t)v1)); // 0x49a0ef
    g11 = (int32_t)&v7;
    if (!v20) {
        // 0x49a116
        v4 = (int32_t *)(v2 + 4);
        g3 = *v4;
        function_405b98();
        v8 = g3;
        if (v8 >= 1) {
            // 0x49a126
            v5 = (int32_t *)v8;
            v7 = v5;
            v9 = v5;
            v16 = 0;
            // branch -> 0x49a131
            while (true) {
                // 0x49a131
                v13 = 4 * v16;
                if (*(char *)(*(int32_t *)(*v4 + v13) + 12) != 2) {
                  lab_0x49a143:;
                    int32_t v21 = *(int32_t *)(*v4 + v13); // 0x49a14c
                    if (*(int32_t *)(v21 + 8) == *lp) {
                        // 0x49a297
                        return;
                    }
                }
              lab_0x49a15b:;
                int32_t v22 = (int32_t)v9 - 1; // 0x49a15e
                int32_t * v23 = (int32_t *)v22; // 0x49a15e_4
                v7 = v23;
                if (v22 == 0) {
                    // break -> 0x49a163
                    break;
                }
                v9 = v23;
                v16++;
                // continue -> 0x49a131
            }
            // 0x49a163
            g3 = *v4;
            function_405b98();
            v10 = g3;
            System__DynArraySetLength((char *)1, (char *)0x499bd0, v10 + 1, v7);
            g8 = 0x499b01;
            function_403c70();
            v14 = 4 * v10;
            *(int32_t *)(*v4 + v14) = 0x499b88;
            *(char *)(*(int32_t *)(*v4 + v14) + 12) = 1;
            System__LStrAsg((char *)v10, (char *)*(int32_t *)(v3 + 4));
            *(int32_t *)(*(int32_t *)(*v4 + v14) + 20) = v3;
            *(int32_t *)(*(int32_t *)(*v4 + v14) + 16) = v1;
            v11 = *lp;
            *(int32_t *)(*(int32_t *)(*v4 + v14) + 8) = v11;
            v12 = *(int32_t *)(*v4 + v14);
            if (v6 == 0) {
                // 0x49a20d
                *(int32_t *)(v12 + 24) = *(int32_t *)(v3 + 72) * v1;
                // branch -> 0x49a23d
            } else {
                // 0x49a228
                *(int32_t *)(v12 + 24) = 4 * v1;
                // branch -> 0x49a23d
            }
            // 0x49a23d
            if (*(char *)(v3 + 8) == 3) {
                // 0x49a246
                if (v1 >= 1) {
                    // 0x49a24e
                    v7 = (int32_t *)v1;
                    v15 = 0;
                    // branch -> 0x49a259
                    while (true) {
                        // 0x49a259
                        if (v6 == 0) {
                          lab_0x49a25f_2:
                            // 0x49a25f
                            g8 = *lp + *(int32_t *)(v3 + 72) * v15;
                            g6 = v3;
                            g3 = v2;
                            function_49a2a0();
                            // branch -> 0x49a28f
                        } else {
                          lab_0x49a279_2:
                            // 0x49a279
                            g8 = lp[v15];
                            g6 = v3;
                            g3 = v2;
                            function_49a4e0();
                            // branch -> 0x49a28f
                        }
                        int32_t v24 = (int32_t)v7 - 1; // 0x49a292
                        v7 = (int32_t *)v24;
                        if (v24 == 0) {
                            // break -> 0x49a297
                            break;
                        }
                        v15++;
                        // continue -> 0x49a259
                    }
                    // 0x49a297
                    return;
                }
            }
            // 0x49a297
            return;
        }
        // 0x49a163
        g3 = *v4;
        function_405b98();
        v10 = g3;
        System__DynArraySetLength((char *)1, (char *)0x499bd0, v10 + 1, v7);
        g8 = 0x499b01;
        function_403c70();
        v14 = 4 * v10;
        *(int32_t *)(*v4 + v14) = 0x499b88;
        *(char *)(*(int32_t *)(*v4 + v14) + 12) = 1;
        System__LStrAsg((char *)v10, (char *)*(int32_t *)(v3 + 4));
        *(int32_t *)(*(int32_t *)(*v4 + v14) + 20) = v3;
        *(int32_t *)(*(int32_t *)(*v4 + v14) + 16) = v1;
        v11 = *lp;
        *(int32_t *)(*(int32_t *)(*v4 + v14) + 8) = v11;
        v12 = *(int32_t *)(*v4 + v14);
        if (v6 == 0) {
            // 0x49a20d
            *(int32_t *)(v12 + 24) = *(int32_t *)(v3 + 72) * v1;
            // branch -> 0x49a23d
        } else {
            // 0x49a228
            *(int32_t *)(v12 + 24) = 4 * v1;
            // branch -> 0x49a23d
        }
        // 0x49a23d
        if (*(char *)(v3 + 8) == 3) {
            // 0x49a246
            if (v1 >= 1) {
                // 0x49a24e
                v7 = (int32_t *)v1;
                v15 = 0;
                // branch -> 0x49a259
                while (true) {
                    // 0x49a259
                    if (v6 == 0) {
                        goto lab_0x49a25f_2;
                    }
                    goto lab_0x49a279_2;
                }
            }
            // 0x49a297
            return;
        }
    }
}

// Address range: 0x49a2a0 - 0x49a4df
void function_49a2a0(void) {
    int32_t v1;
    int32_t v2 = &v1; // 0x49a2a3_4
    g11 = v2;
    int32_t v3 = g8; // 0x49a2a9
    int32_t v4 = g3; // 0x49a2ac
    int32_t * v5 = (int32_t *)(g6 + 108); // 0x49a2b2_0
    int32_t v6 = *(int32_t *)(*v5 + 8); // 0x49a2b5
    if (v6 < 1) {
        // 0x49a4db
        return;
    }
    // 0x49a2c1
    struct struct_19 * v7;
    int32_t v8 = (int32_t)&v7; // 0x49a472_1
    int32_t v9 = 0; // 0x49a4cf2
    // branch -> 0x49a2cc
    while (true) {
        int32_t v10 = *(int32_t *)(*(int32_t *)(*v5 + 4) + 4 * v9); // 0x49a2d8
        v1 = v10;
        int32_t v11; // 0x49a4d2
        if (*(char *)(v10 + 8) == 4) {
            // 0x49a2eb
            int32_t * v12; // 0x49a2fb_0
            if (*(char *)(v10 + 99) == 0) {
                // 0x49a2f8
                v12 = (int32_t *)(v10 + 76);
                if (*v12 <= 1) {
                    int32_t * v13 = (int32_t *)(v10 + 24); // 0x49a311_0
                    int32_t v14 = *v13; // 0x49a311
                    if (*(int32_t *)(v10 + 40) == 0) {
                        // 0x49a30e
                        if (v14 != 0) {
                            // 0x49a31b
                            if (*(char *)(*v13 + 8) == 3) {
                                struct struct_19 * v15 = (struct struct_19 *)(*(int32_t *)(v10 + 72) + v3); // 0x49a336_0
                                v7 = v15;
                                bool v16 = IsBadReadPtr(&v15->e0, (int32_t *)4); // 0x49a337
                                g11 = v2;
                                if (!v16) {
                                    int32_t v17 = v1; // 0x49a347
                                    g8 = *(int32_t *)(v17 + 72) + v3;
                                    g6 = *(int32_t *)(v17 + 24);
                                    g3 = v4;
                                    function_49a2a0();
                                    // branch -> 0x49a4cf
                                }
                            }
                        }
                    } else {
                        // 0x49a360
                        if (v14 != 0) {
                            // 0x49a369
                            if (*(char *)(*v13 + 8) == 3) {
                                struct struct_19 * v18 = (struct struct_19 *)(*(int32_t *)(v10 + 72) + v3); // 0x49a380_0
                                v7 = v18;
                                bool v19 = IsBadReadPtr(&v18->e0, (int32_t *)4); // 0x49a381
                                g11 = v2;
                                if (!v19) {
                                    int32_t v20 = v1; // 0x49a391
                                    g8 = *(int32_t *)(*(int32_t *)(v20 + 72) + v3);
                                    g6 = *(int32_t *)(v20 + 24);
                                    g3 = v4;
                                    function_49a4e0();
                                    // branch -> 0x49a4cf
                                }
                              lab_0x49a4cf_3:
                                // 0x49a4cf
                                v11 = v6 - 1;
                                if (v11 == 0) {
                                    // break -> 0x49a4db
                                    break;
                                }
                                v9++;
                                v6 = v11;
                                // continue -> 0x49a2cc
                                continue;
                            }
                        }
                        // 0x49a3ac
                        if (*v13 == 0) {
                            goto lab_0x49a4cf_3;
                        }
                        struct struct_19 * v21 = (struct struct_19 *)(*(int32_t *)(v10 + 72) + v3); // 0x49a3c4_0
                        v7 = v21;
                        bool v22 = IsBadReadPtr(&v21->e0, (int32_t *)4); // 0x49a3c5
                        g11 = v2;
                        if (v22) {
                            goto lab_0x49a4cf_3;
                        }
                        int32_t v23 = v1; // 0x49a3d2
                        g6 = *(int32_t *)(*(int32_t *)(v23 + 24) + 72);
                        g8 = *(int32_t *)(*(int32_t *)(v23 + 72) + v3);
                        g3 = v4;
                        function_499f8c();
                        // branch -> 0x49a4cf
                        goto lab_0x49a4cf_3;
                    }
                  lab_0x49a4cf_8:
                    // 0x49a4cf
                    v11 = v6 - 1;
                    if (v11 == 0) {
                        // break -> 0x49a4db
                        break;
                    }
                    v9++;
                    v6 = v11;
                    // continue -> 0x49a2cc
                    continue;
                }
            } else {
                // 0x49a2eb
                v12 = (int32_t *)(v10 + 76);
                // branch -> 0x49a3f3
            }
            // 0x49a3f3
            if (*v12 < 2) {
                struct struct_19 * v24 = (struct struct_19 *)(*(int32_t *)(v10 + 72) + v3); // 0x49a431_0
                v7 = v24;
                bool v25 = IsBadReadPtr(&v24->e0, (int32_t *)4); // 0x49a432
                g11 = v2;
                if (v25) {
                    goto lab_0x49a4cf_8;
                }
                int32_t v26 = v1; // 0x49a442
                int32_t * v27 = (int32_t *)(v26 + 72); // 0x49a445_0
                struct struct_19 * v28 = (struct struct_19 *)*(int32_t *)(*v27 + v3); // 0x49a44a_0
                struct struct_19 * v29 = v28; // bp-24
                int32_t * v30 = (int32_t *)(v26 + 100); // 0x49a450_0
                if (*v30 == 0) {
                    // 0x49a456
                    v7 = v28;
                    bool v31 = IsBadReadPtr(&v28->e0, (int32_t *)8); // 0x49a45c
                    g11 = v2;
                    if (v31) {
                        goto lab_0x49a4cf_8;
                    }
                    // 0x49a465
                    v7 = (struct struct_19 *)*(int32_t *)(v1 + 24);
                    g11 = v8;
                    struct struct_19 * v32 = v29; // 0x49a473_0
                    g6 = v32->e0;
                    g8 = v32->e1;
                    g3 = v4;
                    function_49a0a8();
                    // branch -> 0x49a4cf
                    goto lab_0x49a4cf_8;
                } else {
                    struct struct_19 * v33 = (struct struct_19 *)(*v27 + *v30 + v3); // 0x49a49b_0
                    v7 = v33;
                    bool v34 = IsBadReadPtr(&v33->e0, (int32_t *)4); // 0x49a49c
                    g11 = v2;
                    if (v34) {
                        goto lab_0x49a4cf_8;
                    }
                    int32_t v35 = v1; // 0x49a4a5
                    v7 = (struct struct_19 *)*(int32_t *)(v35 + 24);
                    g11 = v8;
                    int32_t v36 = *(int32_t *)(v35 + 72); // 0x49a4bc
                    g6 = *(int32_t *)(v36 + *(int32_t *)(v35 + 100) + v3);
                    g8 = (int32_t)v29;
                    g3 = v4;
                    function_49a0a8();
                    // branch -> 0x49a4cf
                    goto lab_0x49a4cf_8;
                }
              lab_0x49a4cf_9:
                // 0x49a4cf
                v11 = v6 - 1;
                if (v11 == 0) {
                    // break -> 0x49a4db
                    break;
                }
                v9++;
                v6 = v11;
                // continue -> 0x49a2cc
                continue;
            } else {
                // 0x49a3fc
                v7 = (struct struct_19 *)*(int32_t *)(v10 + 24);
                g11 = v8;
                g8 = *(int32_t *)(v10 + 72) + v3;
                g6 = *v12;
                g3 = v4;
                function_49a0a8();
                // branch -> 0x49a4cf
                goto lab_0x49a4cf_9;
            }
        }
        // 0x49a4cf
        v11 = v6 - 1;
        if (v11 == 0) {
            // break -> 0x49a4db
            break;
        }
        v9++;
        v6 = v11;
        // continue -> 0x49a2cc
    }
    // 0x49a4db
    // branch -> 0x49a4db
}

// Address range: 0x49a4e0 - 0x49a6e3
void function_49a4e0(void) {
    int32_t v1 = g6; // 0x49a4e6
    int32_t v2 = g8; // 0x49a4e9
    int32_t * lp = (int32_t *)v2; // 0x49a4e9_0
    int32_t v3 = g3; // 0x49a4ec
    int32_t * v4 = (int32_t *)(v3 + 4); // 0x49a4f9_0
    g3 = *v4;
    function_405b98();
    int32_t v5 = g3; // 0x49a501
    int32_t v6; // 0x49a570
    int32_t v7; // 0x49a59a
    int32_t v8; // 0x49a63b
    int32_t v9; // 0x49a6473
    int32_t v10; // 0x49a5d0
    if (v5 >= 1) {
        char * v11 = NULL; // 0x49a542_44
        int32_t * v12 = (int32_t *)v5; // 0x49a5b32
        // branch -> 0x49a511
        int32_t * v13; // 0x49a545_4
        while (true) {
            int32_t v14 = (int32_t)v11; // 0x49a517
            int32_t v15 = 4 * v14; // 0x49a51a
            if (*(char *)(*(int32_t *)(*v4 + v15) + 12) != 2) {
                int32_t v16 = *(int32_t *)(*v4 + v15); // 0x49a52c
                if (*(int32_t *)(v16 + 8) == v2) {
                    // 0x49a537
                    // branch -> 0x49a66d
                    // 0x49a66d
                    return;
                }
            }
            int32_t v17 = (int32_t)v12 - 1; // 0x49a545
            v13 = (int32_t *)v17;
            if (v17 == 0) {
                // break -> 0x49a54a
                break;
            }
            v11 = (char *)(v14 + 1);
            v12 = v13;
            // continue -> 0x49a511
        }
        // 0x49a54a
        if (IsBadReadPtr(lp, (int32_t *)4)) {
            // 0x49a66d
            return;
        }
        // 0x49a55d
        g8 = *lp;
        g3 = v3;
        function_499efc();
        v6 = g3;
        v9 = v6;
        if (v6 == 0) {
            // 0x49a579
            if (v1 != 0) {
                // 0x49a57f
                v9 = v1;
                // branch -> 0x49a585
            } else {
                v9 = 0;
            }
        }
        // 0x49a585
        if (v9 == 0) {
            // 0x49a65d
            g6 = 16;
            g8 = v2;
            g3 = v3;
            function_499f8c();
            // branch -> 0x49a66d
        } else {
            // 0x49a58f
            g3 = *v4;
            function_405b98();
            v7 = g3;
            System__DynArraySetLength((char *)1, (char *)0x499bd0, v7 + 1, v13);
            g8 = 0x499b01;
            function_403c70();
            v10 = 4 * v7;
            *(int32_t *)(*v4 + v10) = 0x499b88;
            *(char *)(*(int32_t *)(*v4 + v10) + 12) = 0;
            System__LStrAsg((char *)v7, (char *)*(int32_t *)(v9 + 4));
            *(int32_t *)(*(int32_t *)(*v4 + v10) + 20) = v9;
            *(int32_t *)(*(int32_t *)(*v4 + v10) + 16) = 0;
            *(int32_t *)(*(int32_t *)(*v4 + v10) + 8) = v2;
            v8 = *(int32_t *)(*v4 + v10);
            *(int32_t *)(v8 + 24) = *(int32_t *)(v9 + 72);
            g6 = v9;
            g8 = v2;
            g3 = v3;
            function_49a2a0();
            // branch -> 0x49a66d
        }
        // 0x49a66d
        return;
    }
    // 0x49a54a
    if (IsBadReadPtr(lp, (int32_t *)4)) {
        // 0x49a66d
        return;
    }
    // 0x49a55d
    g8 = *lp;
    g3 = v3;
    function_499efc();
    v6 = g3;
    v9 = v6;
    int32_t * v18;
    if (v6 != 0) {
        // 0x49a585
        if (v9 == 0) {
            // 0x49a65d
            g6 = 16;
            g8 = v2;
            g3 = v3;
            function_499f8c();
            // branch -> 0x49a66d
        } else {
            // 0x49a58f
            g3 = *v4;
            function_405b98();
            v7 = g3;
            System__DynArraySetLength((char *)1, (char *)0x499bd0, v7 + 1, v18);
            g8 = 0x499b01;
            function_403c70();
            v10 = 4 * v7;
            *(int32_t *)(*v4 + v10) = 0x499b88;
            *(char *)(*(int32_t *)(*v4 + v10) + 12) = 0;
            System__LStrAsg((char *)v7, (char *)*(int32_t *)(v9 + 4));
            *(int32_t *)(*(int32_t *)(*v4 + v10) + 20) = v9;
            *(int32_t *)(*(int32_t *)(*v4 + v10) + 16) = 0;
            *(int32_t *)(*(int32_t *)(*v4 + v10) + 8) = v2;
            v8 = *(int32_t *)(*v4 + v10);
            *(int32_t *)(v8 + 24) = *(int32_t *)(v9 + 72);
            g6 = v9;
            g8 = v2;
            g3 = v3;
            function_49a2a0();
            // branch -> 0x49a66d
        }
        // 0x49a66d
        return;
    }
    // 0x49a579
    if (v1 != 0) {
        // 0x49a57f
        v9 = v1;
        // branch -> 0x49a585
    } else {
        v9 = 0;
    }
    // 0x49a585
    if (v9 == 0) {
        // 0x49a65d
        g6 = 16;
        g8 = v2;
        g3 = v3;
        function_499f8c();
        // branch -> 0x49a66d
    } else {
        // 0x49a58f
        g3 = *v4;
        function_405b98();
        v7 = g3;
        System__DynArraySetLength((char *)1, (char *)0x499bd0, v7 + 1, v18);
        g8 = 0x499b01;
        function_403c70();
        v10 = 4 * v7;
        *(int32_t *)(*v4 + v10) = 0x499b88;
        *(char *)(*(int32_t *)(*v4 + v10) + 12) = 0;
        System__LStrAsg((char *)v7, (char *)*(int32_t *)(v9 + 4));
        *(int32_t *)(*(int32_t *)(*v4 + v10) + 20) = v9;
        *(int32_t *)(*(int32_t *)(*v4 + v10) + 16) = 0;
        *(int32_t *)(*(int32_t *)(*v4 + v10) + 8) = v2;
        v8 = *(int32_t *)(*v4 + v10);
        *(int32_t *)(v8 + 24) = *(int32_t *)(v9 + 72);
        g6 = v9;
        g8 = v2;
        g3 = v3;
        function_49a2a0();
        // branch -> 0x49a66d
    }
}

// Address range: 0x49a6e4 - 0x49a977
void function_49a6e4(void) {
    // 0x49a6e4
    g8 = g8 & -256 | 1;
    function_403c70();
    g8 = g3 - 1;
    g3 = *(int32_t *)(g160 + 8);
    function_4b8e58();
    if (*g104 == -1) {
        // 0x49a72a
        unknown_891851ff();
        return;
    }
    int32_t * v1 = (int32_t *)(g3 + 8); // 0x49a749_0
    if (*g104 + *(int32_t *)*v1 > 99) {
        // 0x49a776
        *(int32_t *)*v1 = 100;
        abort();
        // UNREACHABLE
    }
    int32_t * v2 = (int32_t *)*v1; // 0x49a772_0
    *v2 = *v2 + *g104;
    unknown_49a786();
}

// Address range: 0x49a978 - 0x49af83
void function_49a978(void) {
    // 0x49a978
    abort();
    // UNREACHABLE
}

// Address range: 0x49af84 - 0x49aff3
void function_49af84(void) {
    int32_t * v1 = (int32_t *)(g8 + 108); // 0x49af96_0
    int32_t v2 = *(int32_t *)(*v1 + 8); // 0x49af99
    if (v2 < 1) {
        // 0x49afef
        return;
    }
    int32_t v3 = 0; // 0x49afe72
    // branch -> 0x49afac
    while (true) {
        int32_t v4 = *(int32_t *)(*v1 + 4); // 0x49afb2
        if (*(char *)(*(int32_t *)(v4 + 4 * v3) + 8) == 4) {
            // 0x49afc7
            function_49a978();
            // branch -> 0x49afe7
        }
        int32_t v5 = v2 - 1; // 0x49afea
        if (v5 == 0) {
            // break -> 0x49afef
            break;
        }
        v3++;
        v2 = v5;
        // continue -> 0x49afac
    }
    // 0x49afef
    // branch -> 0x49afef
}

// Address range: 0x49aff4 - 0x49b3d7
void function_49aff4(void) {
    // 0x49aff4
    abort();
    // UNREACHABLE
}

// Address range: 0x49b3d8 - 0x49bc83
void function_49b3d8(void) {
    // 0x49b3d8
    abort();
    // UNREACHABLE
}

// Address range: 0x49bc84 - 0x49c6cb
void function_49bc84(void) {
    // 0x49bc84
    abort();
    // UNREACHABLE
}

// Address range: 0x49c6cc - 0x49cc6b
void function_49c6cc(void) {
    // 0x49c6cc
    int32_t v1; // bp-12
    g11 = &v1;
    v1 = g8;
    int32_t v2 = g3; // 0x49c6d5
    int32_t v3 = g157; // 0x49c6dd
    if (v3 == 0 || *(char *)(v3 + 17) != 0) {
        // 0x49c7b3
        return;
    }
    int32_t * v4 = (int32_t *)(v3 + 4); // 0x49c6fe_0
    if (*(int32_t *)(*v4 + 64) != 0) {
        // 0x49c70b
        g3 = *(int32_t *)(*v4 + 64);
        g8 = 0x49c7c0;
        function_4182a8();
        System__LStrAsg((char *)g6, "Embedded");
        g15 = -21;
        g17 = -23;
        g18 = 178;
        unknown_484290();
        g2 = false;
        g1 = (int32_t *)v2 > (int32_t *)-321;
        int32_t v5 = v2 + 320; // 0x49c76a
        g187 = v5 == 0;
        g9 = llvm_ctpop_i32(v5) % 2 == 1;
        unknown_484290();
        g3 = v2;
        *(int32_t *)(v2 + 1008) = 0;
        int32_t v6 = *(int32_t *)(g3 + 1080); // 0x49c784
        g8 = v6;
        g6 = v1;
        ((int32_t (*)())v6)();
        g15 = 116;
        g17 = 15;
        g18 = -124;
        g19 = 177;
        // branch -> 0x49c7b3
    }
}

// Address range: 0x49cc6c - 0x49cd73
void function_49cc6c(void) {
    // 0x49cc6c
    function_4b0ae0();
    System__LStrAsg((char *)g6, "RTW Server");
    System__LStrAsg((char *)g6, "Start RTW Server");
    System__LStrAsg((char *)g6, "RTW Join");
    System__LStrAsg((char *)g6, "Connect to RTW Server");
    // branch -> 0x49ccc2
    for (uint32_t i = 0; i < 4; i++) {
        // 0x49ccc2
        g3 = g105[i];
        char * v1;
        int32_t v2 = function_404e18(v1); // 0x49cccc
        System__LStrSetLength(g6);
        function_405070();
        *(char *)(4 * i + 0x4ef0ac + v2) = 0;
        // PHI copies at the loop end
        // loop 0x49ccc2 end
    }
    // 0x49cd06
    unknown_49cab4();
}

// Address range: 0x49cd74 - 0x49db8f
void function_49cd74(void) {
    // 0x49cd74
    abort();
    // UNREACHABLE
}

// Address range: 0x49db90 - 0x49dbd7
void function_49db90(void) {
    int32_t v1 = 0x32120 * g3 + 0x73fb34; // 0x49dba9
    char * v2 = (char *)v1; // 0x49dbc6_0
    *v2 = (char)((int32_t)*v2 + v1);
    if (*(char *)v1 == 0) {
        // 0x49dbcd
        int32_t v3;
        *(char *)((int32_t)&v3 - 5) = 0;
        // branch -> 0x49dbd1
    }
}

// Address range: 0x49dbd8 - 0x49e497
void function_49dbd8(void) {
    char * v1 = NULL; // bp-16
    g11 = (int32_t)&v1;
    abort();
    // UNREACHABLE
}

// Address range: 0x49e498 - 0x49e5aa
void function_49e498(void) {
    // 0x49e498
    System__LStrAddRef(NULL);
    abort();
    // UNREACHABLE
}

// Address range: 0x49e5ac - 0x49e5df
void function_49e5ac(void) {
    int32_t v1;
    int32_t v2 = &v1; // 0x49e5ad_0
    g4 = v2;
    int32_t v3 = g6; // 0x49e5b2
    int32_t v4 = g8; // 0x49e5b5
    uint32_t v5 = 0x32120 * g3; // 0x49e5bb
    g2 = false;
    g1 = v5 > 0xff8c058b;
    int32_t v6 = v5 + 0x73fa74; // 0x49e5c2
    g187 = false;
    g9 = llvm_ctpop_i32(v6) % 2 == 1;
    int32_t v7 = g7; // 0x49e5ca
    g6 = v6;
    int32_t v8 = *(int32_t *)(((struct struct_19 *)v6)->e0 + 52); // 0x49e5d0
    g3 = v8;
    int32_t v9;
    int32_t v10;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t, int32_t, int32_t, int32_t, int32_t))v8)(v4, v3, v7, g10, v10, v9, g5, v4);
    g7 = v4;
    g10 = v3;
    g5 = v2;
    g11 = (int32_t)(struct struct_19 *)v7 + 8;
}

// Address range: 0x49e5e0 - 0x49e63b
void function_49e5e0(void) {
    // 0x49e5e0
    unknown_560370();
}

// Address range: 0x49e63c - 0x49e6ef
void function_49e63c(void) {
    int32_t v1 = g8; // 0x49e644
    int32_t * v2 = (int32_t *)(g3 + 4); // 0x49e64d_0
    g3 = *v2;
    function_405b98();
    int32_t v3 = g3; // 0x49e655
    System__DynArraySetLength((char *)1, (char *)0x49d9c8, v3 + 1, (int32_t *)g7);
    int32_t v4 = 32 * v3; // 0x49e682
    System__LStrAsg((char *)1, (char *)v1);
    int32_t v5;
    int32_t v6 = &v5; // 0x49e68d_0
    g8 = v6;
    g3 = v1;
    function_476b6c();
    int32_t v7 = *v2 + (v4 | 12); // 0x49e6a7
    *(int32_t *)v7 = v5;
    *(int32_t *)(v7 + 4) = *(int32_t *)(v6 + 4);
    *(int32_t *)(v7 + 8) = *(int32_t *)(v6 + 8);
    *(int32_t *)(v7 + 12) = *(int32_t *)(v6 + 12);
    *(char *)(*v2 + (v4 | 28)) = 0;
    *(char *)(*v2 + (v4 | 29)) = 0;
    g3 = v1;
    function_4905b0();
    *(int32_t *)(*v2 + (v4 | 8)) = g3;
}

// Address range: 0x49e6f0 - 0x49e843
void function_49e6f0(void) {
    // 0x49e6f0
    abort();
    // UNREACHABLE
}

// Address range: 0x49e844 - 0x49e9b7
void function_49e844(void) {
    // 0x49e844
    abort();
    // UNREACHABLE
}

// Address range: 0x49e9b8 - 0x49f5de
void function_49e9b8(void) {
    // 0x49e9b8
    abort();
    // UNREACHABLE
}

// Address range: 0x49f5e0 - 0x49f81b
void function_49f5e0(void) {
    int32_t v1;
    g11 = &v1;
    int32_t v2 = g3; // 0x49f5e6
    if (*(char *)(v2 + 256) != 0) {
        // 0x49f816
        return;
    }
    int32_t v3 = v2 + 4; // 0x49f60b
    char v4 = 0; // 0x49f7471
    // branch -> 0x49f602
    char v5; // 0x49f7472
    for (uint32_t i = 0; i < 6; i++) {
        int32_t v6 = 40 * i; // 0x49f60b
        int32_t * v7 = (int32_t *)(v6 + v3); // 0x49f60b_0
        v5 = v4;
        if (*v7 >= 3) {
            int32_t * v8 = (int32_t *)(v2 + 32 + v6); // 0x49f62c_0
            if (*v7 != *v8) {
                // 0x49f636
                *v8 = *v7;
                if (*v7 == 3) {
                    // 0x49f660
                    function_49dbd8();
                    // branch -> 0x49f675
                }
                // 0x49f675
                if (*v7 != 4) {
                    // 0x49f685
                    if (*v7 != 11) {
                        // 0x49f695
                        if (*v7 != 12) {
                            // 0x49f6a5
                            if (*v7 != 13) {
                              lab_0x49f6ca:
                                // 0x49f6ca
                                if (*v7 == 5) {
                                    // 0x49f6da
                                    function_49dbd8();
                                    // branch -> 0x49f6ef
                                }
                                // 0x49f6ef
                                if (*v7 == 6) {
                                    // 0x49f6ff
                                    function_49dbd8();
                                    // branch -> 0x49f714
                                }
                                // 0x49f714
                                v5 = 1;
                                if (*v7 == 10) {
                                    // 0x49f724
                                    function_49dbd8();
                                    v5 = 1;
                                    // branch -> 0x49f73a
                                }
                                // 0x49f73a
                                // PHI copies at the loop end
                                v4 = v5;
                                // loop 0x49f602 end
                                continue;
                            }
                        }
                    }
                }
                // 0x49f6b5
                function_49dbd8();
                // branch -> 0x49f6ca
                goto lab_0x49f6ca;
            } else {
                v5 = v4;
            }
        }
        // 0x49f73a
        // PHI copies at the loop end
        v4 = v5;
        // loop 0x49f602 end
    }
    // 0x49f747
    if (v5 == 0) {
        // 0x49f816
        return;
    }
    char v9 = 102;
    function_4b8230();
    function_4b8230();
    function_4b8230();
    function_4b8230();
    function_4b8230();
    function_4b8230();
    // branch -> 0x49f7ed
    for (uint32_t i = 0; i < 6; i++) {
        // 0x49f7ed
        if (*(int32_t *)(40 * i + v3) >= 3) {
            // 0x49f7fd
            g8 = &v9;
            g6 = 16;
            g3 = i;
            function_49e5ac();
            // branch -> 0x49f80d
        }
        // 0x49f80d
        // PHI copies at the loop end
        // loop 0x49f7ed end
    }
}

// Address range: 0x49f81c - 0x4a01d6
void function_49f81c(void) {
    // 0x49f81c
    abort();
    // UNREACHABLE
}

// Address range: 0x4a01d8 - 0x4a07df
void function_4a01d8(void) {
    // 0x4a01d8
    abort();
    // UNREACHABLE
}

// Address range: 0x4a07e0 - 0x4a0d2b
void function_4a07e0(void) {
    // 0x4a07e0
    abort();
    // UNREACHABLE
}

// Address range: 0x4a0d2c - 0x4a0d4b
void function_4a0d2c(void) {
    // 0x4a0d2c
    g106 = *(char *)(g3 + 256);
    function_4a0d4c();
}

// Address range: 0x4a0d4c - 0x4a1122
void function_4a0d4c(void) {
    // 0x4a0d4c
    abort();
    // UNREACHABLE
}

// Address range: 0x4a1124 - 0x4a1237
void function_4a1124(void) {
    // 0x4a1124
    abort();
    // UNREACHABLE
}

// Address range: 0x4a1238 - 0x4a1257
void function_4a1238(void) {
    // 0x4a1238
    if (*(char *)(*(int32_t *)(g3 + 12) + 16) != 0) {
        // 0x4a124b
        function_4a1258();
        // branch -> 0x4a1253
    }
}

// Address range: 0x4a1258 - 0x4a225e
void function_4a1258(void) {
    int32_t v1 = g5;
    int32_t v2 = g10;
    int32_t v3 = g7;
    g11 = &v3;
    g3 = g154;
    g6 = 1;
    g8 = 0x4a1338;
    function_4b6fd8(&v3, (char *)&v2, &v1);
    int32_t v4 = 0x36666;
    if (*(char *)(g157 + 17) == 0) {
        // 0x4a12a3
        abort();
        // UNREACHABLE
    }
    // 0x4a131a
    g3 = &v4;
    g8 = 20;
    function_49e5e0();
}

// Address range: 0x4a2394 - 0x4a246f
void function_4a2394(void) {
    char v1 = 0;
    if (g8 != 0) {
        // 0x4a239e
        System__ClassCreate((int32_t *)g6, g8);
        v1 = g8;
        // branch -> 0x4a23a6
    }
    // 0x4a23a6
    *(int32_t *)(g3 + 4) = g6;
    if (v1 == 0) {
        // 0x4a23d0
        return;
    }
    // 0x4a23c1
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4a2470 - 0x4a29db
void function_4a2470(void) {
    // 0x4a2470
    abort();
    // UNREACHABLE
}

// Address range: 0x4a29dc - 0x4a2a2b
void function_4a29dc(void) {
    // 0x4a29dc
    int32_t v1; // bp-12
    g11 = &v1;
    int32_t v2 = g3; // 0x4a29e2
    v1 = v2;
    g6 = 0;
    g8 = v2;
    g3 = 21;
    function_4b8634();
    if (g3 != 0) {
        // 0x4a29fd
        *(int32_t *)(g3 + 968) = 1;
        *(int32_t *)(g3 + 952) = 1;
        unknown_5791e0();
        // branch -> 0x4a2a25
    }
}

// Address range: 0x4a2a2c - 0x4a2a9f
void function_4a2a2c(void) {
    // 0x4a2a2c
    *(int32_t *)(g3 + 672) = 1;
    *(int32_t *)(g3 + 280) = 1;
    int32_t * v1 = (int32_t *)(g3 + 388); // 0x4a2a57_0
    if (*v1 == 0) {
        // 0x4a2a5c
        *v1 = 1;
        // branch -> 0x4a2a6a
    }
    int32_t * v2 = (int32_t *)(g3 + 984); // 0x4a2a72_0
    if (*v2 == 0) {
        int32_t v3 = *(int32_t *)(g153 + 4); // 0x4a2a7e
        *v2 = *(int32_t *)(*(int32_t *)(v3 + 0x661c) + 4) + 464;
        // branch -> 0x4a2a9a
    }
}

// Address range: 0x4a2aa0 - 0x4a2ac3
void function_4a2aa0(void) {
    // 0x4a2aa0
    *(int32_t *)(g3 + 672) = 0;
    *(int32_t *)(g3 + 280) = 0;
}

// Address range: 0x4a2ac4 - 0x4a2cef
void function_4a2ac4(void) {
    int32_t v1 = g8; // 0x4a2aca
    int32_t v2 = g3; // 0x4a2acd
    g3 = *(int32_t *)(g160 + 8);
    g6 = v2;
    g8 = 0x76b0;
    function_4b8f70();
    g3 = *(int32_t *)(g160 + 8);
    g6 = v1;
    g8 = 0x76b4;
    function_4b8f70();
    g3 = *(int32_t *)(g160 + 24);
    g6 = v2;
    g8 = 0x49d4;
    function_4b8f70();
    g3 = *(int32_t *)(g160 + 24);
    g6 = v1;
    g8 = 0x49d8;
    function_4b8f70();
    int32_t v3 = v2; // 0x4a2b36
    if (v2 <= 0) {
        // 0x4a2b33
        v3 = v2 + 7;
        // branch -> 0x4a2b36
    }
    int32_t v4 = v3 / 8; // 0x4a2b36
    int32_t v5 = v4 & -0x7ffffffd; // 0x4a2b45
    if (v3 <= 7) {
        // 0x4a2b40
        v5 = (v4 + 3 | -4) + 1;
        // branch -> 0x4a2b45
    }
    // 0x4a2b45
    int32_t v6;
    if (v5 == 0) {
        // 0x4a2b6b
        int32_t v7; // 0x4a2b75
        if (v2 <= 0) {
            // 0x4a2b72
            v7 = v2 + 7;
            // branch -> 0x4a2b75
        } else {
            v7 = v2;
        }
        // 0x4a2b75
        v6 = v7 / 8;
        // branch -> 0x4a2b7b
    } else {
        int32_t v8 = v2; // 0x4a2b53
        if (v2 <= 0) {
            // 0x4a2b50
            v8 = v2 + 7;
            // branch -> 0x4a2b53
        }
        int32_t v9 = v8 / 8; // 0x4a2b53
        int32_t v10; // 0x4a2b5d
        if (v8 <= 7) {
            // 0x4a2b5a
            v10 = v9 + 3;
            // branch -> 0x4a2b5d
        } else {
            v10 = v9;
        }
        // 0x4a2b5d
        v6 = v10 - v10 % 4 + 4;
        // branch -> 0x4a2b7b
    }
    // 0x4a2b7b
    g3 = g160;
    g8 = 1068;
    function_4b8f4c();
    g3 += 2324;
    function_4b8d1c();
    int32_t v11 = g3; // 0x4a2b96
    *(int32_t *)(v11 + 16) = v6;
    *(int32_t *)(v11 + 20) = v2;
    *(int32_t *)(v11 + 24) = v1;
    *(int32_t *)(v11 + 36) = v2;
    *(int32_t *)(v11 + 40) = v1;
    g3 = g160;
    g8 = 1068;
    function_4b8f4c();
    g3 += 2320;
    function_4b8d1c();
    int32_t v12 = g3; // 0x4a2beb
    *(int32_t *)(v12 + 16) = v2;
    *(int32_t *)(v12 + 20) = v2;
    *(int32_t *)(v12 + 24) = v1;
    *(int32_t *)(v12 + 36) = v2;
    *(int32_t *)(v12 + 40) = v1;
    g3 = *(int32_t *)(g160 + 8);
    g8 = 32;
    function_4b8f4c();
    g3 += 2312;
    function_4b8d1c();
    int32_t v13 = g3; // 0x4a2c43
    g3 = v13 + 16;
    g8 = v6;
    function_4b8d34();
    g3 = v13 + 20;
    g8 = v2;
    function_4b8d34();
    g3 = v13 + 24;
    g8 = v1;
    function_4b8d34();
    g3 = v13 + 36;
    g8 = v2;
    function_4b8d34();
    g3 = v13 + 40;
    g8 = v1;
    function_4b8d34();
    g3 = *(int32_t *)(g160 + 8);
    g8 = 896;
    function_4b8f4c();
    int32_t v14 = g3; // 0x4a2ca0
    g3 = v14 + 16;
    g8 = v6;
    function_4b8d34();
    g3 = v14 + 20;
    g8 = v2;
    function_4b8d34();
    g3 = v14 + 24;
    g8 = v1;
    function_4b8d34();
    g3 = v14 + 36;
    g8 = v2;
    function_4b8d34();
    g3 = v14 + 40;
    g8 = v1;
    function_4b8d34();
}

// Address range: 0x4a2cf0 - 0x4a6c9f
void function_4a2cf0(void) {
    int32_t v1 = g3; // 0x4a2cf6
    struct struct_19 * v2 = (struct struct_19 *)14; // bp-32
    char * v3 = (char *)1; // 0x4a2d9a_47
    int32_t * v4 = (int32_t *)15; // 0x4a2dfd_05
    // branch -> 0x4a2d0e
    struct struct_410 * v5; // bp-12
    int32_t * v6; // 0x4a2dfd_04
    while (true) {
        // 0x4a2d0e
        g6 = 0;
        int32_t v7 = (int32_t)v3; // 0x4a2d10
        g8 = v7;
        g3 = 21;
        function_4b8634();
        int32_t v8 = g3; // 0x4a2d1d
        struct struct_410 * v9 = (struct struct_410 *)v8; // 0x4a2d1d_0
        v5 = v9;
        v6 = v4;
        int32_t v10; // 0x4a2d9a
        if (v8 != 0) {
            // 0x4a2d26
            v9->e3 = 0;
            struct struct_410 * v11 = v5; // 0x4a2d30_0
            int32_t * v12 = v4; // 0x4a2dfd_03
            if (v11->e11 >= (char *)1) {
                // 0x4a2d3d
                v12 = (int32_t *)v11->e11;
                // branch -> 0x4a2d4a
            }
            // 0x4a2d4a
            if (v11->e10 >= (int32_t *)1) {
                // 0x4a2d57
                v2 = (struct struct_19 *)v11->e10;
                // branch -> 0x4a2d6b
            }
            char * v13 = (char *)1; // 0x4a2d91_46
            // branch -> 0x4a2d6b
            while (true) {
                int32_t v14 = (int32_t)v13; // 0x4a2d71
                g8 = v14 + 16 * v7;
                g6 = 0;
                g3 = 2;
                function_4b8634();
                int32_t v15 = g3; // 0x4a2d80
                if (v15 != 0) {
                    // 0x4a2d89
                    g3 = v15;
                    function_4a2aa0();
                    // branch -> 0x4a2d91
                }
                int32_t v16 = v14 + 1; // 0x4a2d91
                char * v17 = (char *)v16; // 0x4a2d91_4
                if (v16 == 9) {
                    v6 = v12;
                    // break -> 0x4a2d9a
                    break;
                }
                v13 = v17;
                // continue -> 0x4a2d6b
            }
            // 0x4a2d9a
            v10 = v7 + 1;
            if (v10 == 7) {
                // break -> 0x4a2da7
                break;
            }
            v3 = (char *)v10;
            v4 = v6;
            // continue -> 0x4a2d0e
            continue;
        }
        // 0x4a2d9a
        v10 = v7 + 1;
        if (v10 == 7) {
            // break -> 0x4a2da7
            break;
        }
        v3 = (char *)v10;
        v4 = v6;
        // continue -> 0x4a2d0e
    }
    // 0x4a2da7
    g6 = 0;
    g8 = v1;
    g3 = 21;
    function_4b8634();
    struct struct_410 * v18 = (struct struct_410 *)g3; // 0x4a2db6_0
    v5 = v18;
    v18->e3 = 1;
    v5->e5 = 0;
    v5->e6 = 1;
    v5->e8 = 1;
    v5->e13 = 0;
    v5->e11 = (char *)v6;
    v5->e10 = &v2->e0;
    g3 = *(int32_t *)(g160 + 12);
    g6 = v1;
    g8 = 300;
    function_4b8f70();
    g3 = *(int32_t *)(g160 + 12);
    g6 = v1;
    g8 = 292;
    function_4b8f70();
    g3 = *(int32_t *)(g160 + 12);
    g6 = v1;
    g8 = 308;
    function_4b8f70();
    g8 = 16 * v1 | 1;
    g6 = 0;
    g3 = 2;
    function_4b8634();
    function_4a2a2c();
}

// Address range: 0x4a6ca0 - 0x4a6e43
void function_4a6ca0(void) {
    // 0x4a6ca0
    abort();
    // UNREACHABLE
}

// Address range: 0x4a6e44 - 0x4a6f37
void function_4a6e44(void) {
    int32_t v1 = g3 + 200; // 0x4a6e65
    // branch -> 0x4a6e5f
    int32_t * v2; // 0x4a6e8f_0
    int32_t v3;
    int32_t v4; // 0x4a6e8f
    for (uint32_t i = 0; i < 4; i++) {
        // 0x4a6e5f
        if (*(int32_t *)(4 * i + v1) == 0) {
            // branch -> 0x4a6e80
        } else {
            // 0x4a6e77
            // PHI copies at the loop end
            // loop 0x4a6e5f end
            continue;
        }
        // 0x4a6e80
        if (i == -1) {
            // 0x4a6ee0
            return;
        }
        // 0x4a6e86
        v4 = 4 * i;
        v2 = (int32_t *)(g3 + 152 + v4);
        *v2 = g8;
        *(int32_t *)(g3 + 168 + v4) = g6;
        *(int32_t *)(v4 + v1) = 180;
        *(int32_t *)(g3 + 184 + v4) = v3;
        if (g6 != g8) {
            // 0x4a6ee0
            return;
        }
        // 0x4a6ecf
        *v2 = -1;
        // branch -> 0x4a6ee0
        // 0x4a6ee0
        return;
    }
    // 0x4a6e80
    i = -1;
    // branch -> 0x4a6e80
    // 0x4a6e80
    if (i == -1) {
        // 0x4a6ee0
        return;
    }
    // 0x4a6e86
    v4 = 4 * i;
    v2 = (int32_t *)(g3 + 152 + v4);
    *v2 = g8;
    *(int32_t *)(g3 + 168 + v4) = g6;
    *(int32_t *)(v4 + v1) = 180;
    *(int32_t *)(g3 + 184 + v4) = v3;
    if (g6 == g8) {
        // 0x4a6ecf
        *v2 = -1;
        // branch -> 0x4a6ee0
    }
}

// Address range: 0x4a6f38 - 0x4a6faf
void function_4a6f38(void) {
    int32_t v1 = g8 + 144; // 0x4a6f5e
    int32_t v2 = g8 + 140; // 0x4a6f50
    char v3;
    uint32_t v4 = *(int32_t *)(v3 == 0 ? v2 : v1);
    uint32_t v5 = (v4 / 2 | 0x80000000 * v4) ^ g3; // 0x4a6f6c
    int32_t v6 = (0x2000000 * v5 | v5 / 128) ^ 7; // 0x4a6f72
    if ((char)g6 != 0) {
        // 0x4a6fa4
        return;
    }
    // 0x4a6f84
    if (v3 == 0) {
        // 0x4a6f8a
        *(int32_t *)v2 = v6;
        // branch -> 0x4a6fa4
    } else {
        // 0x4a6f98
        *(int32_t *)v1 = v6;
        // branch -> 0x4a6fa4
    }
}

// Address range: 0x4a6fb0 - 0x4a72ae
void function_4a6fb0(void) {
    function_4a72b0();
    g3 += 272;
    function_4b8d1c();
    int32_t v1 = g3; // 0x4a6fcf
    struct struct_104 * v2 = (struct struct_104 *)v1; // 0x4a6fcf_0
    struct struct_104 * v3 = v2;
    int32_t * v4 = (int32_t *)(g55 - 4 + 4 * v1); // 0x4a6fda_0
    int32_t * v5; // 0x4a701f_0
    int32_t * v6; // 0x4a7067_0
    struct struct_104 * v7; // 0x4a70c1_0
    int32_t * v8;
    struct struct_104 * v9; // bp-20
    int32_t * v10;
    int32_t v11; // 0x4a7040
    int32_t v12; // 0x4a70cd
    int32_t v13; // 0x4a70dd
    int32_t v14; // 0x4a70f6
    int32_t v15; // 0x4a7106
    int32_t v16; // 0x4a702d
    int32_t * v17; // 0x4a709e_0
    struct struct_104 * v18; // 0x4a70da_0
    struct struct_104 * v19; // 0x4a70f3_0
    struct struct_104 * v20; // 0x4a7103_0
    int32_t v21; // 0x4a7030
    int32_t v22; // 0x4a7048
    if (*v4 < 1) {
        // 0x4a7017
        v5 = (int32_t *)(g56 - 4 + 4 * (int32_t)v2);
        *v5 = *v5 + 1;
        v8 = NULL;
        v16 = (int32_t)v3;
        v21 = 4 * v16;
        if (*(int32_t *)(g47 - 4 + v21) != 1) {
            // 0x4a7040
            v11 = g55;
            v22 = v21 - 4;
            if (*(int32_t *)(v22 + v11) < 1) {
                // 0x4a7058
                v8 = (int32_t *)2;
                v17 = (int32_t *)2;
                // branch -> 0x4a705f
            } else {
                // 0x4a704f
                v8 = (int32_t *)3;
                v17 = (int32_t *)3;
                // branch -> 0x4a705f
            }
            // 0x4a705f
            v6 = (int32_t *)(v22 + v11);
            if (*v6 >= 1) {
                // 0x4a706e
                if (*v6 <= 6) {
                    // 0x4a707d
                    v10 = v17;
                    g11 = (int32_t)&v10;
                    g8 = *v6;
                    g3 = g107;
                    g6 = v16;
                    function_4a6e44();
                    // branch -> 0x4a70b4
                    // 0x4a70b4
                    g8 = 1;
                    g3 = (int32_t)v3;
                    function_4a74d8();
                    v7 = (struct struct_104 *)g3;
                    v9 = v7;
                    g6 = g6 & -0x10000 | 2;
                    g1 = false;
                    g2 = false;
                    g187 = true;
                    g9 = false;
                    g8 = 0;
                    v12 = v7->e0;
                    g5 = v12;
                    ((int32_t (*)(int32_t))*(int32_t *)(v12 + 20))((int32_t)v10);
                    g8 = (int32_t)&v3;
                    g6 = 4;
                    v18 = v9;
                    g3 = (int32_t)v18;
                    v13 = v18->e0;
                    g5 = v13;
                    ((int32_t (*)())*(int32_t *)(v13 + 16))();
                    g8 = g55 - 4 + 4 * (int32_t)v3;
                    g6 = 4;
                    v19 = v9;
                    g3 = (int32_t)v19;
                    v14 = v19->e0;
                    g5 = v14;
                    ((int32_t (*)())*(int32_t *)(v14 + 16))();
                    g8 = (int32_t)&v8;
                    g6 = 4;
                    v20 = v9;
                    g3 = (int32_t)v20;
                    v15 = v20->e0;
                    g5 = v15;
                    ((int32_t (*)())*(int32_t *)(v15 + 16))();
                    *(int32_t *)(g55 - 4 + 4 * (int32_t)v3) = 0;
                    *(int32_t *)(g47 - 4 + 4 * (int32_t)v3) = 0;
                    g3 = (int32_t)v9;
                    function_4a7ac4();
                    return;
                }
            }
            // 0x4a709e
            v10 = v17;
            g11 = (int32_t)&v10;
            g3 = g107;
            g6 = v16;
            g8 = -1;
            function_4a6e44();
            // branch -> 0x4a70b4
            // 0x4a70b4
            g8 = 1;
            g3 = (int32_t)v3;
            function_4a74d8();
            v7 = (struct struct_104 *)g3;
            v9 = v7;
            g6 = g6 & -0x10000 | 2;
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            g8 = 0;
            v12 = v7->e0;
            g5 = v12;
            ((int32_t (*)(int32_t))*(int32_t *)(v12 + 20))((int32_t)v10);
            g8 = (int32_t)&v3;
            g6 = 4;
            v18 = v9;
            g3 = (int32_t)v18;
            v13 = v18->e0;
            g5 = v13;
            ((int32_t (*)())*(int32_t *)(v13 + 16))();
            g8 = g55 - 4 + 4 * (int32_t)v3;
            g6 = 4;
            v19 = v9;
            g3 = (int32_t)v19;
            v14 = v19->e0;
            g5 = v14;
            ((int32_t (*)())*(int32_t *)(v14 + 16))();
            g8 = (int32_t)&v8;
            g6 = 4;
            v20 = v9;
            g3 = (int32_t)v20;
            v15 = v20->e0;
            g5 = v15;
            ((int32_t (*)())*(int32_t *)(v15 + 16))();
            *(int32_t *)(g55 - 4 + 4 * (int32_t)v3) = 0;
            *(int32_t *)(g47 - 4 + 4 * (int32_t)v3) = 0;
            g3 = (int32_t)v9;
            function_4a7ac4();
            return;
        }
        // 0x4a7037
        v8 = (int32_t *)1;
        v17 = (int32_t *)1;
        // branch -> 0x4a705f
        // 0x4a705f
        v6 = (int32_t *)(v21 - 4 + g55);
        if (*v6 < 1) {
            // 0x4a709e
            v10 = v17;
            g11 = (int32_t)&v10;
            g3 = g107;
            g6 = v16;
            g8 = -1;
            function_4a6e44();
            // branch -> 0x4a70b4
            // 0x4a70b4
            g8 = 1;
            g3 = (int32_t)v3;
            function_4a74d8();
            v7 = (struct struct_104 *)g3;
            v9 = v7;
            g6 = g6 & -0x10000 | 2;
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            g8 = 0;
            v12 = v7->e0;
            g5 = v12;
            ((int32_t (*)(int32_t))*(int32_t *)(v12 + 20))((int32_t)v10);
            g8 = (int32_t)&v3;
            g6 = 4;
            v18 = v9;
            g3 = (int32_t)v18;
            v13 = v18->e0;
            g5 = v13;
            ((int32_t (*)())*(int32_t *)(v13 + 16))();
            g8 = g55 - 4 + 4 * (int32_t)v3;
            g6 = 4;
            v19 = v9;
            g3 = (int32_t)v19;
            v14 = v19->e0;
            g5 = v14;
            ((int32_t (*)())*(int32_t *)(v14 + 16))();
            g8 = (int32_t)&v8;
            g6 = 4;
            v20 = v9;
            g3 = (int32_t)v20;
            v15 = v20->e0;
            g5 = v15;
            ((int32_t (*)())*(int32_t *)(v15 + 16))();
            *(int32_t *)(g55 - 4 + 4 * (int32_t)v3) = 0;
            *(int32_t *)(g47 - 4 + 4 * (int32_t)v3) = 0;
            g3 = (int32_t)v9;
            function_4a7ac4();
            return;
        }
        // 0x4a706e
        if (*v6 <= 6) {
            // 0x4a707d
            v10 = v17;
            g11 = (int32_t)&v10;
            g8 = *v6;
            g3 = g107;
            g6 = v16;
            function_4a6e44();
            // branch -> 0x4a70b4
            // 0x4a70b4
            g8 = 1;
            g3 = (int32_t)v3;
            function_4a74d8();
            v7 = (struct struct_104 *)g3;
            v9 = v7;
            g6 = g6 & -0x10000 | 2;
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            g8 = 0;
            v12 = v7->e0;
            g5 = v12;
            ((int32_t (*)(int32_t))*(int32_t *)(v12 + 20))((int32_t)v10);
            g8 = (int32_t)&v3;
            g6 = 4;
            v18 = v9;
            g3 = (int32_t)v18;
            v13 = v18->e0;
            g5 = v13;
            ((int32_t (*)())*(int32_t *)(v13 + 16))();
            g8 = g55 - 4 + 4 * (int32_t)v3;
            g6 = 4;
            v19 = v9;
            g3 = (int32_t)v19;
            v14 = v19->e0;
            g5 = v14;
            ((int32_t (*)())*(int32_t *)(v14 + 16))();
            g8 = (int32_t)&v8;
            g6 = 4;
            v20 = v9;
            g3 = (int32_t)v20;
            v15 = v20->e0;
            g5 = v15;
            ((int32_t (*)())*(int32_t *)(v15 + 16))();
            *(int32_t *)(g55 - 4 + 4 * (int32_t)v3) = 0;
            *(int32_t *)(g47 - 4 + 4 * (int32_t)v3) = 0;
            g3 = (int32_t)v9;
            function_4a7ac4();
            return;
        }
        // 0x4a709e
        v10 = v17;
        g11 = (int32_t)&v10;
        g3 = g107;
        g6 = v16;
        g8 = -1;
        function_4a6e44();
        // branch -> 0x4a70b4
        // 0x4a70b4
        g8 = 1;
        g3 = (int32_t)v3;
        function_4a74d8();
        v7 = (struct struct_104 *)g3;
        v9 = v7;
        g6 = g6 & -0x10000 | 2;
        g1 = false;
        g2 = false;
        g187 = true;
        g9 = false;
        g8 = 0;
        v12 = v7->e0;
        g5 = v12;
        ((int32_t (*)(int32_t))*(int32_t *)(v12 + 20))((int32_t)v10);
        g8 = (int32_t)&v3;
        g6 = 4;
        v18 = v9;
        g3 = (int32_t)v18;
        v13 = v18->e0;
        g5 = v13;
        ((int32_t (*)())*(int32_t *)(v13 + 16))();
        g8 = g55 - 4 + 4 * (int32_t)v3;
        g6 = 4;
        v19 = v9;
        g3 = (int32_t)v19;
        v14 = v19->e0;
        g5 = v14;
        ((int32_t (*)())*(int32_t *)(v14 + 16))();
        g8 = (int32_t)&v8;
        g6 = 4;
        v20 = v9;
        g3 = (int32_t)v20;
        v15 = v20->e0;
        g5 = v15;
        ((int32_t (*)())*(int32_t *)(v15 + 16))();
        *(int32_t *)(g55 - 4 + 4 * (int32_t)v3) = 0;
        *(int32_t *)(g47 - 4 + 4 * (int32_t)v3) = 0;
        g3 = (int32_t)v9;
        function_4a7ac4();
        return;
    }
    // 0x4a6fe1
    if (*v4 > 6) {
        // 0x4a7017
        v5 = (int32_t *)(g56 - 4 + 4 * (int32_t)v2);
        *v5 = *v5 + 1;
        v8 = NULL;
        v16 = (int32_t)v3;
        v21 = 4 * v16;
        if (*(int32_t *)(g47 - 4 + v21) == 1) {
            // 0x4a7037
            v8 = (int32_t *)1;
            v17 = (int32_t *)1;
            // branch -> 0x4a705f
            // 0x4a705f
            v6 = (int32_t *)(v21 - 4 + g55);
            if (*v6 >= 1) {
                // 0x4a706e
                if (*v6 <= 6) {
                    // 0x4a707d
                    v10 = v17;
                    g11 = (int32_t)&v10;
                    g8 = *v6;
                    g3 = g107;
                    g6 = v16;
                    function_4a6e44();
                    // branch -> 0x4a70b4
                    // 0x4a70b4
                    g8 = 1;
                    g3 = (int32_t)v3;
                    function_4a74d8();
                    v7 = (struct struct_104 *)g3;
                    v9 = v7;
                    g6 = g6 & -0x10000 | 2;
                    g1 = false;
                    g2 = false;
                    g187 = true;
                    g9 = false;
                    g8 = 0;
                    v12 = v7->e0;
                    g5 = v12;
                    ((int32_t (*)(int32_t))*(int32_t *)(v12 + 20))((int32_t)v10);
                    g8 = (int32_t)&v3;
                    g6 = 4;
                    v18 = v9;
                    g3 = (int32_t)v18;
                    v13 = v18->e0;
                    g5 = v13;
                    ((int32_t (*)())*(int32_t *)(v13 + 16))();
                    g8 = g55 - 4 + 4 * (int32_t)v3;
                    g6 = 4;
                    v19 = v9;
                    g3 = (int32_t)v19;
                    v14 = v19->e0;
                    g5 = v14;
                    ((int32_t (*)())*(int32_t *)(v14 + 16))();
                    g8 = (int32_t)&v8;
                    g6 = 4;
                    v20 = v9;
                    g3 = (int32_t)v20;
                    v15 = v20->e0;
                    g5 = v15;
                    ((int32_t (*)())*(int32_t *)(v15 + 16))();
                    *(int32_t *)(g55 - 4 + 4 * (int32_t)v3) = 0;
                    *(int32_t *)(g47 - 4 + 4 * (int32_t)v3) = 0;
                    g3 = (int32_t)v9;
                    function_4a7ac4();
                    return;
                }
            }
            // 0x4a709e
            v10 = v17;
            g11 = (int32_t)&v10;
            g3 = g107;
            g6 = v16;
            g8 = -1;
            function_4a6e44();
            // branch -> 0x4a70b4
            // 0x4a70b4
            g8 = 1;
            g3 = (int32_t)v3;
            function_4a74d8();
            v7 = (struct struct_104 *)g3;
            v9 = v7;
            g6 = g6 & -0x10000 | 2;
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            g8 = 0;
            v12 = v7->e0;
            g5 = v12;
            ((int32_t (*)(int32_t))*(int32_t *)(v12 + 20))((int32_t)v10);
            g8 = (int32_t)&v3;
            g6 = 4;
            v18 = v9;
            g3 = (int32_t)v18;
            v13 = v18->e0;
            g5 = v13;
            ((int32_t (*)())*(int32_t *)(v13 + 16))();
            g8 = g55 - 4 + 4 * (int32_t)v3;
            g6 = 4;
            v19 = v9;
            g3 = (int32_t)v19;
            v14 = v19->e0;
            g5 = v14;
            ((int32_t (*)())*(int32_t *)(v14 + 16))();
            g8 = (int32_t)&v8;
            g6 = 4;
            v20 = v9;
            g3 = (int32_t)v20;
            v15 = v20->e0;
            g5 = v15;
            ((int32_t (*)())*(int32_t *)(v15 + 16))();
            *(int32_t *)(g55 - 4 + 4 * (int32_t)v3) = 0;
            *(int32_t *)(g47 - 4 + 4 * (int32_t)v3) = 0;
            g3 = (int32_t)v9;
            function_4a7ac4();
            return;
        }
        // 0x4a7040
        v11 = g55;
        v22 = v21 - 4;
        if (*(int32_t *)(v22 + v11) < 1) {
            // 0x4a7058
            v8 = (int32_t *)2;
            v17 = (int32_t *)2;
            // branch -> 0x4a705f
        } else {
            // 0x4a704f
            v8 = (int32_t *)3;
            v17 = (int32_t *)3;
            // branch -> 0x4a705f
        }
        // 0x4a705f
        v6 = (int32_t *)(v22 + v11);
        if (*v6 >= 1) {
            // 0x4a706e
            if (*v6 <= 6) {
                // 0x4a707d
                v10 = v17;
                g11 = (int32_t)&v10;
                g8 = *v6;
                g3 = g107;
                g6 = v16;
                function_4a6e44();
                // branch -> 0x4a70b4
                // 0x4a70b4
                g8 = 1;
                g3 = (int32_t)v3;
                function_4a74d8();
                v7 = (struct struct_104 *)g3;
                v9 = v7;
                g6 = g6 & -0x10000 | 2;
                g1 = false;
                g2 = false;
                g187 = true;
                g9 = false;
                g8 = 0;
                v12 = v7->e0;
                g5 = v12;
                ((int32_t (*)(int32_t))*(int32_t *)(v12 + 20))((int32_t)v10);
                g8 = (int32_t)&v3;
                g6 = 4;
                v18 = v9;
                g3 = (int32_t)v18;
                v13 = v18->e0;
                g5 = v13;
                ((int32_t (*)())*(int32_t *)(v13 + 16))();
                g8 = g55 - 4 + 4 * (int32_t)v3;
                g6 = 4;
                v19 = v9;
                g3 = (int32_t)v19;
                v14 = v19->e0;
                g5 = v14;
                ((int32_t (*)())*(int32_t *)(v14 + 16))();
                g8 = (int32_t)&v8;
                g6 = 4;
                v20 = v9;
                g3 = (int32_t)v20;
                v15 = v20->e0;
                g5 = v15;
                ((int32_t (*)())*(int32_t *)(v15 + 16))();
                *(int32_t *)(g55 - 4 + 4 * (int32_t)v3) = 0;
                *(int32_t *)(g47 - 4 + 4 * (int32_t)v3) = 0;
                g3 = (int32_t)v9;
                function_4a7ac4();
                return;
            }
        }
        // 0x4a709e
        v10 = v17;
        g11 = (int32_t)&v10;
        g3 = g107;
        g6 = v16;
        g8 = -1;
        function_4a6e44();
        // branch -> 0x4a70b4
        // 0x4a70b4
        g8 = 1;
        g3 = (int32_t)v3;
        function_4a74d8();
        v7 = (struct struct_104 *)g3;
        v9 = v7;
        g6 = g6 & -0x10000 | 2;
        g1 = false;
        g2 = false;
        g187 = true;
        g9 = false;
        g8 = 0;
        v12 = v7->e0;
        g5 = v12;
        ((int32_t (*)(int32_t))*(int32_t *)(v12 + 20))((int32_t)v10);
        g8 = (int32_t)&v3;
        g6 = 4;
        v18 = v9;
        g3 = (int32_t)v18;
        v13 = v18->e0;
        g5 = v13;
        ((int32_t (*)())*(int32_t *)(v13 + 16))();
        g8 = g55 - 4 + 4 * (int32_t)v3;
        g6 = 4;
        v19 = v9;
        g3 = (int32_t)v19;
        v14 = v19->e0;
        g5 = v14;
        ((int32_t (*)())*(int32_t *)(v14 + 16))();
        g8 = (int32_t)&v8;
        g6 = 4;
        v20 = v9;
        g3 = (int32_t)v20;
        v15 = v20->e0;
        g5 = v15;
        ((int32_t (*)())*(int32_t *)(v15 + 16))();
        *(int32_t *)(g55 - 4 + 4 * (int32_t)v3) = 0;
        *(int32_t *)(g47 - 4 + 4 * (int32_t)v3) = 0;
        g3 = (int32_t)v9;
        function_4a7ac4();
        return;
    }
    // 0x4a6ff0
    struct struct_104 * v23; // 0x4a701c_0
    if (*v4 != v1) {
        int32_t * v24 = (int32_t *)(g54 - 4 + 4 * *v4); // 0x4a7013_0
        *v24 = *v24 + 1;
        v23 = v3;
        // branch -> 0x4a7017
    } else {
        v23 = v2;
    }
    // 0x4a7017
    v5 = (int32_t *)(g56 - 4 + 4 * (int32_t)v23);
    *v5 = *v5 + 1;
    v8 = NULL;
    v16 = (int32_t)v3;
    v21 = 4 * v16;
    if (*(int32_t *)(g47 - 4 + v21) == 1) {
        // 0x4a7037
        v8 = (int32_t *)1;
        v17 = (int32_t *)1;
        // branch -> 0x4a705f
        // 0x4a705f
        v6 = (int32_t *)(v21 - 4 + g55);
        if (*v6 >= 1) {
            // 0x4a706e
            if (*v6 <= 6) {
                // 0x4a707d
                v10 = v17;
                g11 = (int32_t)&v10;
                g8 = *v6;
                g3 = g107;
                g6 = v16;
                function_4a6e44();
                // branch -> 0x4a70b4
                // 0x4a70b4
                g8 = 1;
                g3 = (int32_t)v3;
                function_4a74d8();
                v7 = (struct struct_104 *)g3;
                v9 = v7;
                g6 = g6 & -0x10000 | 2;
                g1 = false;
                g2 = false;
                g187 = true;
                g9 = false;
                g8 = 0;
                v12 = v7->e0;
                g5 = v12;
                ((int32_t (*)(int32_t))*(int32_t *)(v12 + 20))((int32_t)v10);
                g8 = (int32_t)&v3;
                g6 = 4;
                v18 = v9;
                g3 = (int32_t)v18;
                v13 = v18->e0;
                g5 = v13;
                ((int32_t (*)())*(int32_t *)(v13 + 16))();
                g8 = g55 - 4 + 4 * (int32_t)v3;
                g6 = 4;
                v19 = v9;
                g3 = (int32_t)v19;
                v14 = v19->e0;
                g5 = v14;
                ((int32_t (*)())*(int32_t *)(v14 + 16))();
                g8 = (int32_t)&v8;
                g6 = 4;
                v20 = v9;
                g3 = (int32_t)v20;
                v15 = v20->e0;
                g5 = v15;
                ((int32_t (*)())*(int32_t *)(v15 + 16))();
                *(int32_t *)(g55 - 4 + 4 * (int32_t)v3) = 0;
                *(int32_t *)(g47 - 4 + 4 * (int32_t)v3) = 0;
                g3 = (int32_t)v9;
                function_4a7ac4();
                return;
            }
        }
        // 0x4a709e
        v10 = v17;
        g11 = (int32_t)&v10;
        g3 = g107;
        g6 = v16;
        g8 = -1;
        function_4a6e44();
        // branch -> 0x4a70b4
        // 0x4a70b4
        g8 = 1;
        g3 = (int32_t)v3;
        function_4a74d8();
        v7 = (struct struct_104 *)g3;
        v9 = v7;
        g6 = g6 & -0x10000 | 2;
        g1 = false;
        g2 = false;
        g187 = true;
        g9 = false;
        g8 = 0;
        v12 = v7->e0;
        g5 = v12;
        ((int32_t (*)(int32_t))*(int32_t *)(v12 + 20))((int32_t)v10);
        g8 = (int32_t)&v3;
        g6 = 4;
        v18 = v9;
        g3 = (int32_t)v18;
        v13 = v18->e0;
        g5 = v13;
        ((int32_t (*)())*(int32_t *)(v13 + 16))();
        g8 = g55 - 4 + 4 * (int32_t)v3;
        g6 = 4;
        v19 = v9;
        g3 = (int32_t)v19;
        v14 = v19->e0;
        g5 = v14;
        ((int32_t (*)())*(int32_t *)(v14 + 16))();
        g8 = (int32_t)&v8;
        g6 = 4;
        v20 = v9;
        g3 = (int32_t)v20;
        v15 = v20->e0;
        g5 = v15;
        ((int32_t (*)())*(int32_t *)(v15 + 16))();
        *(int32_t *)(g55 - 4 + 4 * (int32_t)v3) = 0;
        *(int32_t *)(g47 - 4 + 4 * (int32_t)v3) = 0;
        g3 = (int32_t)v9;
        function_4a7ac4();
        return;
    }
    // 0x4a7040
    v11 = g55;
    v22 = v21 - 4;
    if (*(int32_t *)(v22 + v11) < 1) {
        // 0x4a7058
        v8 = (int32_t *)2;
        v17 = (int32_t *)2;
        // branch -> 0x4a705f
    } else {
        // 0x4a704f
        v8 = (int32_t *)3;
        v17 = (int32_t *)3;
        // branch -> 0x4a705f
    }
    // 0x4a705f
    v6 = (int32_t *)(v22 + v11);
    if (*v6 >= 1) {
        // 0x4a706e
        if (*v6 <= 6) {
            // 0x4a707d
            v10 = v17;
            g11 = (int32_t)&v10;
            g8 = *v6;
            g3 = g107;
            g6 = v16;
            function_4a6e44();
            // branch -> 0x4a70b4
            // 0x4a70b4
            g8 = 1;
            g3 = (int32_t)v3;
            function_4a74d8();
            v7 = (struct struct_104 *)g3;
            v9 = v7;
            g6 = g6 & -0x10000 | 2;
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            g8 = 0;
            v12 = v7->e0;
            g5 = v12;
            ((int32_t (*)(int32_t))*(int32_t *)(v12 + 20))((int32_t)v10);
            g8 = (int32_t)&v3;
            g6 = 4;
            v18 = v9;
            g3 = (int32_t)v18;
            v13 = v18->e0;
            g5 = v13;
            ((int32_t (*)())*(int32_t *)(v13 + 16))();
            g8 = g55 - 4 + 4 * (int32_t)v3;
            g6 = 4;
            v19 = v9;
            g3 = (int32_t)v19;
            v14 = v19->e0;
            g5 = v14;
            ((int32_t (*)())*(int32_t *)(v14 + 16))();
            g8 = (int32_t)&v8;
            g6 = 4;
            v20 = v9;
            g3 = (int32_t)v20;
            v15 = v20->e0;
            g5 = v15;
            ((int32_t (*)())*(int32_t *)(v15 + 16))();
            *(int32_t *)(g55 - 4 + 4 * (int32_t)v3) = 0;
            *(int32_t *)(g47 - 4 + 4 * (int32_t)v3) = 0;
            g3 = (int32_t)v9;
            function_4a7ac4();
            return;
        }
    }
    // 0x4a709e
    v10 = v17;
    g11 = (int32_t)&v10;
    g3 = g107;
    g6 = v16;
    g8 = -1;
    function_4a6e44();
    // branch -> 0x4a70b4
    // 0x4a70b4
    g8 = 1;
    g3 = (int32_t)v3;
    function_4a74d8();
    v7 = (struct struct_104 *)g3;
    v9 = v7;
    g6 = g6 & -0x10000 | 2;
    g1 = false;
    g2 = false;
    g187 = true;
    g9 = false;
    g8 = 0;
    v12 = v7->e0;
    g5 = v12;
    ((int32_t (*)(int32_t))*(int32_t *)(v12 + 20))((int32_t)v10);
    g8 = (int32_t)&v3;
    g6 = 4;
    v18 = v9;
    g3 = (int32_t)v18;
    v13 = v18->e0;
    g5 = v13;
    ((int32_t (*)())*(int32_t *)(v13 + 16))();
    g8 = g55 - 4 + 4 * (int32_t)v3;
    g6 = 4;
    v19 = v9;
    g3 = (int32_t)v19;
    v14 = v19->e0;
    g5 = v14;
    ((int32_t (*)())*(int32_t *)(v14 + 16))();
    g8 = (int32_t)&v8;
    g6 = 4;
    v20 = v9;
    g3 = (int32_t)v20;
    v15 = v20->e0;
    g5 = v15;
    ((int32_t (*)())*(int32_t *)(v15 + 16))();
    *(int32_t *)(g55 - 4 + 4 * (int32_t)v3) = 0;
    *(int32_t *)(g47 - 4 + 4 * (int32_t)v3) = 0;
    g3 = (int32_t)v9;
    function_4a7ac4();
}

// Address range: 0x4a72b0 - 0x4a74d7
void function_4a72b0(void) {
    int32_t v1 = g3; // bp-8
    g3 = g117;
    g6 = 9;
    g8 = 0x4a7398;
    int32_t v2;
    function_4b6fd8(&v1, (char *)&v2, NULL);
    g8 = 101;
    g3 = v1;
    function_4b8438();
    *(int32_t *)(v1 + 196) = 0;
    *(int32_t *)(v1 + 152) = 0;
    *(int32_t *)(v1 + 156) = 0;
    g3 = v1 + 272;
    function_4b8d1c();
    int32_t v3 = *(int32_t *)(32 * g3 - 4 + *(int32_t *)(g160 + 8)); // 0x4a7319
    *(int32_t *)v3 = 100;
    char * v4 = (char *)(g5 + 0x22ffe800); // 0x4a7455_0
    *v4 = (char)((int32_t)*v4 + g6 - 1);
    char * v5 = (char *)v3; // 0x4a745b_0
    *v5 = (char)((int32_t)*v5 + v3);
    *(int32_t *)(g4 - 8) = 1;
    g8 = 16 * *(int32_t *)(g4 - 8) | 1;
    g6 = 0;
    g3 = 2;
    function_4b8634();
    *(int32_t *)(g4 - 12) = g3;
    g3 = *(int32_t *)(g4 - 12);
    function_4a72b0();
    g3 = *(int32_t *)-12 + 140;
    function_4b8d1c();
    g8 = g3;
    g3 = *(int32_t *)(g4 - 4);
    function_4a96c4();
    g3 = *(int32_t *)(g4 - 12) + 144;
    function_4b8d1c();
    g8 = g3;
    g3 = *(int32_t *)(g4 - 4);
    function_4a96c4();
    int32_t * v6 = (int32_t *)(g4 - 8); // 0x4a74b0_0
    *v6 = *v6 + 1;
    int32_t v7 = g4; // 0x4a74b3
    // branch -> 0x4a7464
    while (*(int32_t *)(v7 - 8) != 7) {
        // 0x4a7464
        g8 = 16 * *(int32_t *)(v7 - 8) | 1;
        g6 = 0;
        g3 = 2;
        function_4b8634();
        *(int32_t *)(g4 - 12) = g3;
        g3 = *(int32_t *)(g4 - 12);
        function_4a72b0();
        g3 = *(int32_t *)-12 + 140;
        function_4b8d1c();
        g8 = g3;
        g3 = *(int32_t *)(g4 - 4);
        function_4a96c4();
        g3 = *(int32_t *)(g4 - 12) + 144;
        function_4b8d1c();
        g8 = g3;
        g3 = *(int32_t *)(g4 - 4);
        function_4a96c4();
        v6 = (int32_t *)(g4 - 8);
        *v6 = *v6 + 1;
        v7 = g4;
        // continue -> 0x4a7464
    }
    // 0x4a74b9
    g3 = *(int32_t *)(v7 - 4);
    function_4a7ac4();
    g11 = g4 + 8;
}

// Address range: 0x4a74d8 - 0x4a790f
void function_4a74d8(void) {
    int32_t v1 = g5; // bp-44
    int32_t v2 = g8; // 0x4a74df
    int32_t v3 = 16 * g3 | 1; // 0x4a74eb2
    g8 = v3;
    g6 = 0;
    g3 = 2;
    function_4b8634();
    uint32_t v4 = g3; // 0x4a74f8
    int32_t * v5;
    if (v4 == 0) {
        // 0x4a7811
        int32_t * v6;
        g3 = (int32_t)v6;
        g4 = (int32_t)v5;
        return;
    }
    // 0x4a7505
    g3 = g117;
    g6 = 9;
    g8 = 0x4a7824;
    int32_t v7;
    function_4b6fd8(&v1, (char *)&v7, NULL);
    g8 = g8 & -256 | 1;
    int32_t v8 = 0x414300; // eax
    function_403c70();
    int32_t * v9 = (int32_t *)v8; // 0x4a7527_0
    unknown_89082444();
    int32_t v10 = 0;
    int32_t v11 = v4 & 15; // 0x4a753e
    v10 = *(int32_t *)(v4 + 140);
    int32_t v12 = &v10; // 0x4a7548_0
    unknown_891851ff();
    v10 = *(int32_t *)(v4 + 144);
    unknown_891851ff();
    v10 = *(int32_t *)(v4 + 76);
    unknown_891851ff();
    int32_t v13 = v10; // 0x4a7590
    int32_t v14 = v13; // 0x4a75b3
    if (v13 == 120) {
        // 0x4a7596
        v10 = *(int32_t *)(v4 + 564);
        unknown_891851ff();
        v14 = v10;
        // branch -> 0x4a75b3
    }
    // 0x4a75b3
    if (v14 == 123) {
        // 0x4a75bd
        g2 = v11 > 11;
        g1 = v4 > 0xffffff3b;
        int32_t v15 = v4 + 196; // 0x4a75c0
        g187 = v15 == 0;
        g9 = llvm_ctpop_i32(v15) % 2 == 1;
        v10 = *(int32_t *)v15;
        g8 = v12;
        g6 = 1;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
        g2 = v11 > 7;
        g1 = v4 > 0xffffff37;
        int32_t v16 = v4 + 200; // 0x4a75dd
        g187 = v16 == 0;
        g9 = llvm_ctpop_i32(v16) % 2 == 1;
        v10 = *(int32_t *)v16;
        g8 = v12;
        g6 = 4;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
        g2 = v11 > 3;
        g1 = v4 > 0xffffff33;
        int32_t v17 = v4 + 204; // 0x4a75fa
        g187 = v17 == 0;
        g9 = llvm_ctpop_i32(v17) % 2 == 1;
        v10 = *(int32_t *)v17;
        g8 = v12;
        g6 = 4;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
        g2 = false;
        g1 = v4 > 0xffffff2f;
        int32_t v18 = v4 + 208; // 0x4a7617
        g187 = v18 == 0;
        g9 = llvm_ctpop_i32(v18) % 2 == 1;
        g3 = v18;
        int32_t v19 = *(int32_t *)v18; // 0x4a7674
        g5 = v19;
        ((int32_t (*)())*(int32_t *)(v19 + 16))();
        // branch -> 0x4a7679
    } else {
        // 0x4a75b3
        // branch -> 0x4a7679
    }
    int32_t v20 = v4 + 152; // 0x4a767c
    uint32_t v21 = llvm_ctpop_i32(v20); // 0x4a767c
    int32_t * v22 = (int32_t *)v20; // 0x4a7681_0
    int32_t v23 = *v22; // 0x4a7681
    g2 = false;
    g1 = false;
    g187 = v23 == 0;
    g9 = llvm_ctpop_i32(v23) % 2 == 1;
    char v24 = 1;
    if (v23 == 0) {
        int32_t v25 = *(int32_t *)(v4 + 156); // 0x4a768e
        g2 = false;
        g1 = false;
        g187 = v25 == 0;
        g9 = llvm_ctpop_i32(v25) % 2 == 1;
        v24 = v25 != 0;
        // branch -> 0x4a769d
    }
    char v26 = v24;
    g8 = &v26;
    g6 = 1;
    g3 = v8;
    g5 = 0x417be0;
    ((int32_t (*)())-0x76e7ae01)();
    if (v26 != 0) {
        // 0x4a76b3
        g2 = v11 > 7;
        g1 = v4 > 0xffffff67;
        g187 = v20 == 0;
        g9 = v21 % 2 == 1;
        v10 = *v22;
        g8 = v12;
        g6 = 4;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
        g2 = v11 > 3;
        g1 = v4 > 0xffffff63;
        int32_t v27 = v4 + 156; // 0x4a76d3
        g187 = v27 == 0;
        g9 = llvm_ctpop_i32(v27) % 2 == 1;
        v10 = *(int32_t *)v27;
        g8 = v12;
        g6 = 4;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
        // branch -> 0x4a76ed
    }
    // 0x4a76ed
    int32_t v28; // 0x4a777d
    int32_t v29; // 0x4a77ab
    int32_t v30; // 0x4a77c8
    int32_t v31; // 0x4a77eb
    int32_t v32; // 0x4a7710
    int32_t v33; // 0x4a7724
    int32_t v34;
    char v35; // 0x4a770b
    uint32_t v36; // 0x4a777b
    if (v2 == 2) {
        // 0x4a7703
        v35 = *(char *)(v4 + 444);
        v26 = v35;
        v32 = v35;
        v10 = v32;
        if (v35 == 1) {
            // 0x4a771d
            v10 = 1;
            // branch -> 0x4a7724
        }
        // 0x4a7724
        g2 = (v32 & 15) > 30;
        g1 = v35 != -1;
        v33 = 0x1000000 * v32 + 0x1000000;
        g187 = (v33 | 0xffffff) < 0x1ffffff;
        g9 = llvm_ctpop_i32(v33 / 0x1000000) % 2 == 1;
        if (v35 == -1) {
            // 0x4a772a
            v10 = -1;
            // branch -> 0x4a7731
        }
        // 0x4a7731
        g8 = v12;
        g6 = 1;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)())-0x76e7ae01)();
        v10 = 0;
        g8 = v3;
        g6 = 0;
        g3 = 2;
        function_4b8634();
        if (*(int32_t *)(g3 + 984) == 0) {
            // 0x4a7787
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            v34 = 0;
            // branch -> 0x4a778c
        } else {
            // 0x4a7763
            g8 = v3;
            g6 = 0;
            g3 = 2;
            function_4b8634();
            v36 = *(int32_t *)(g3 + 984);
            g2 = (v36 & 15) > 3;
            g1 = v36 > 0xffffffd3;
            v28 = v36 + 44;
            g187 = v28 == 0;
            g9 = llvm_ctpop_i32(v28) % 2 == 1;
            v34 = *(int32_t *)v28;
            // branch -> 0x4a778c
        }
        // 0x4a778c
        v10 = v34;
        g8 = v12;
        g6 = 2;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)())-0x76e7ae01)();
        // branch -> 0x4a779c
        // 0x4a779c
        if (v2 == 3) {
            // 0x4a77a8
            g2 = false;
            g1 = v4 > 0xfffffd9f;
            v29 = v4 + 608;
            g187 = v29 == 0;
            g9 = llvm_ctpop_i32(v29) % 2 == 1;
            v10 = *(int32_t *)v29;
            g8 = v12;
            g6 = 4;
            g3 = v8;
            g5 = 0x417be0;
            ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
            g2 = false;
            g1 = v4 > 0xfffffd2f;
            v30 = v4 + 720;
            g187 = v30 == 0;
            g9 = llvm_ctpop_i32(v30) % 2 == 1;
            v10 = *(int32_t *)v30;
            g8 = v12;
            g6 = 4;
            g3 = v8;
            g5 = 0x417be0;
            ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
            // branch -> 0x4a77e2
            // 0x4a77e2
            if (v2 == 4) {
                // 0x4a77e8
                g2 = v11 > 3;
                g1 = v4 > 0xfffffda3;
                v31 = v4 + 604;
                g187 = v31 == 0;
                g9 = llvm_ctpop_i32(v31) % 2 == 1;
                v10 = *(int32_t *)v31;
                g8 = v12;
                g6 = 4;
                g3 = v8;
                g5 = 0x417be0;
                ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
                // branch -> 0x4a7805
            }
            // 0x4a7805
            g6 = 0;
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            g8 = 0;
            g3 = v8;
            g5 = 0x417be0;
            ((int32_t (*)())-0x76f7dbbc)();
            // branch -> 0x4a7811
            // 0x4a7811
            g3 = (int32_t)v9;
            g4 = (int32_t)v5;
            return;
        }
        // 0x4a77a2
        if (v2 != 4) {
            // 0x4a77e2
            if (v2 == 4) {
                // 0x4a77e8
                g2 = v11 > 3;
                g1 = v4 > 0xfffffda3;
                v31 = v4 + 604;
                g187 = v31 == 0;
                g9 = llvm_ctpop_i32(v31) % 2 == 1;
                v10 = *(int32_t *)v31;
                g8 = v12;
                g6 = 4;
                g3 = v8;
                g5 = 0x417be0;
                ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
                // branch -> 0x4a7805
            }
            // 0x4a7805
            g6 = 0;
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            g8 = 0;
            g3 = v8;
            g5 = 0x417be0;
            ((int32_t (*)())-0x76f7dbbc)();
            // branch -> 0x4a7811
            // 0x4a7811
            g3 = (int32_t)v9;
            g4 = (int32_t)v5;
            return;
        }
        // 0x4a77a8
        g2 = false;
        g1 = v4 > 0xfffffd9f;
        v29 = v4 + 608;
        g187 = v29 == 0;
        g9 = llvm_ctpop_i32(v29) % 2 == 1;
        v10 = *(int32_t *)v29;
        g8 = v12;
        g6 = 4;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
        g2 = false;
        g1 = v4 > 0xfffffd2f;
        v30 = v4 + 720;
        g187 = v30 == 0;
        g9 = llvm_ctpop_i32(v30) % 2 == 1;
        v10 = *(int32_t *)v30;
        g8 = v12;
        g6 = 4;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
        // branch -> 0x4a77e2
        // 0x4a77e2
        if (v2 == 4) {
            // 0x4a77e8
            g2 = v11 > 3;
            g1 = v4 > 0xfffffda3;
            v31 = v4 + 604;
            g187 = v31 == 0;
            g9 = llvm_ctpop_i32(v31) % 2 == 1;
            v10 = *(int32_t *)v31;
            g8 = v12;
            g6 = 4;
            g3 = v8;
            g5 = 0x417be0;
            ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
            // branch -> 0x4a7805
        }
        // 0x4a7805
        g6 = 0;
        g1 = false;
        g2 = false;
        g187 = true;
        g9 = false;
        g8 = 0;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)())-0x76f7dbbc)();
        // branch -> 0x4a7811
        // 0x4a7811
        g3 = (int32_t)v9;
        g4 = (int32_t)v5;
        return;
    }
    // 0x4a76f3
    if (v2 == 3) {
        // 0x4a7703
        v35 = *(char *)(v4 + 444);
        v26 = v35;
        v32 = v35;
        v10 = v32;
        if (v35 == 1) {
            // 0x4a771d
            v10 = 1;
            // branch -> 0x4a7724
        }
        // 0x4a7724
        g2 = (v32 & 15) > 30;
        g1 = v35 != -1;
        v33 = 0x1000000 * v32 + 0x1000000;
        g187 = (v33 | 0xffffff) < 0x1ffffff;
        g9 = llvm_ctpop_i32(v33 / 0x1000000) % 2 == 1;
        if (v35 == -1) {
            // 0x4a772a
            v10 = -1;
            // branch -> 0x4a7731
        }
        // 0x4a7731
        g8 = v12;
        g6 = 1;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)())-0x76e7ae01)();
        v10 = 0;
        g8 = v3;
        g6 = 0;
        g3 = 2;
        function_4b8634();
        if (*(int32_t *)(g3 + 984) == 0) {
            // 0x4a7787
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            v34 = 0;
            // branch -> 0x4a778c
        } else {
            // 0x4a7763
            g8 = v3;
            g6 = 0;
            g3 = 2;
            function_4b8634();
            v36 = *(int32_t *)(g3 + 984);
            g2 = (v36 & 15) > 3;
            g1 = v36 > 0xffffffd3;
            v28 = v36 + 44;
            g187 = v28 == 0;
            g9 = llvm_ctpop_i32(v28) % 2 == 1;
            v34 = *(int32_t *)v28;
            // branch -> 0x4a778c
        }
        // 0x4a778c
        v10 = v34;
        g8 = v12;
        g6 = 2;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)())-0x76e7ae01)();
        // branch -> 0x4a779c
        // 0x4a779c
        if (v2 != 3) {
            // 0x4a77a2
            if (v2 != 4) {
                // 0x4a77e2
                if (v2 == 4) {
                    // 0x4a77e8
                    g2 = v11 > 3;
                    g1 = v4 > 0xfffffda3;
                    v31 = v4 + 604;
                    g187 = v31 == 0;
                    g9 = llvm_ctpop_i32(v31) % 2 == 1;
                    v10 = *(int32_t *)v31;
                    g8 = v12;
                    g6 = 4;
                    g3 = v8;
                    g5 = 0x417be0;
                    ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
                    // branch -> 0x4a7805
                }
                // 0x4a7805
                g6 = 0;
                g1 = false;
                g2 = false;
                g187 = true;
                g9 = false;
                g8 = 0;
                g3 = v8;
                g5 = 0x417be0;
                ((int32_t (*)())-0x76f7dbbc)();
                // branch -> 0x4a7811
                // 0x4a7811
                g3 = (int32_t)v9;
                g4 = (int32_t)v5;
                return;
            }
        }
        // 0x4a77a8
        g2 = false;
        g1 = v4 > 0xfffffd9f;
        v29 = v4 + 608;
        g187 = v29 == 0;
        g9 = llvm_ctpop_i32(v29) % 2 == 1;
        v10 = *(int32_t *)v29;
        g8 = v12;
        g6 = 4;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
        g2 = false;
        g1 = v4 > 0xfffffd2f;
        v30 = v4 + 720;
        g187 = v30 == 0;
        g9 = llvm_ctpop_i32(v30) % 2 == 1;
        v10 = *(int32_t *)v30;
        g8 = v12;
        g6 = 4;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
        // branch -> 0x4a77e2
        // 0x4a77e2
        if (v2 == 4) {
            // 0x4a77e8
            g2 = v11 > 3;
            g1 = v4 > 0xfffffda3;
            v31 = v4 + 604;
            g187 = v31 == 0;
            g9 = llvm_ctpop_i32(v31) % 2 == 1;
            v10 = *(int32_t *)v31;
            g8 = v12;
            g6 = 4;
            g3 = v8;
            g5 = 0x417be0;
            ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
            // branch -> 0x4a7805
        }
        // 0x4a7805
        g6 = 0;
        g1 = false;
        g2 = false;
        g187 = true;
        g9 = false;
        g8 = 0;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)())-0x76f7dbbc)();
        // branch -> 0x4a7811
        // 0x4a7811
        g3 = (int32_t)v9;
        g4 = (int32_t)v5;
        return;
    }
    // 0x4a76f9
    if (v2 != 4) {
        // 0x4a779c
        if (v2 != 3) {
            // 0x4a77a2
            if (v2 != 4) {
                // 0x4a77e2
                if (v2 == 4) {
                    // 0x4a77e8
                    g2 = v11 > 3;
                    g1 = v4 > 0xfffffda3;
                    v31 = v4 + 604;
                    g187 = v31 == 0;
                    g9 = llvm_ctpop_i32(v31) % 2 == 1;
                    v10 = *(int32_t *)v31;
                    g8 = v12;
                    g6 = 4;
                    g3 = v8;
                    g5 = 0x417be0;
                    ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
                    // branch -> 0x4a7805
                }
                // 0x4a7805
                g6 = 0;
                g1 = false;
                g2 = false;
                g187 = true;
                g9 = false;
                g8 = 0;
                g3 = v8;
                g5 = 0x417be0;
                ((int32_t (*)())-0x76f7dbbc)();
                // branch -> 0x4a7811
                // 0x4a7811
                g3 = (int32_t)v9;
                g4 = (int32_t)v5;
                return;
            }
        }
        // 0x4a77a8
        g2 = false;
        g1 = v4 > 0xfffffd9f;
        v29 = v4 + 608;
        g187 = v29 == 0;
        g9 = llvm_ctpop_i32(v29) % 2 == 1;
        v10 = *(int32_t *)v29;
        g8 = v12;
        g6 = 4;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
        g2 = false;
        g1 = v4 > 0xfffffd2f;
        v30 = v4 + 720;
        g187 = v30 == 0;
        g9 = llvm_ctpop_i32(v30) % 2 == 1;
        v10 = *(int32_t *)v30;
        g8 = v12;
        g6 = 4;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
        // branch -> 0x4a77e2
        // 0x4a77e2
        if (v2 == 4) {
            // 0x4a77e8
            g2 = v11 > 3;
            g1 = v4 > 0xfffffda3;
            v31 = v4 + 604;
            g187 = v31 == 0;
            g9 = llvm_ctpop_i32(v31) % 2 == 1;
            v10 = *(int32_t *)v31;
            g8 = v12;
            g6 = 4;
            g3 = v8;
            g5 = 0x417be0;
            ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
            // branch -> 0x4a7805
        }
        // 0x4a7805
        g6 = 0;
        g1 = false;
        g2 = false;
        g187 = true;
        g9 = false;
        g8 = 0;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)())-0x76f7dbbc)();
        // branch -> 0x4a7811
        // 0x4a7811
        g3 = (int32_t)v9;
        g4 = (int32_t)v5;
        return;
    }
    // 0x4a7703
    v35 = *(char *)(v4 + 444);
    v26 = v35;
    v32 = v35;
    v10 = v32;
    if (v35 == 1) {
        // 0x4a771d
        v10 = 1;
        // branch -> 0x4a7724
    }
    // 0x4a7724
    g2 = (v32 & 15) > 30;
    g1 = v35 != -1;
    v33 = 0x1000000 * v32 + 0x1000000;
    g187 = (v33 | 0xffffff) < 0x1ffffff;
    g9 = llvm_ctpop_i32(v33 / 0x1000000) % 2 == 1;
    if (v35 == -1) {
        // 0x4a772a
        v10 = -1;
        // branch -> 0x4a7731
    }
    // 0x4a7731
    g8 = v12;
    g6 = 1;
    g3 = v8;
    g5 = 0x417be0;
    ((int32_t (*)())-0x76e7ae01)();
    v10 = 0;
    g8 = v3;
    g6 = 0;
    g3 = 2;
    function_4b8634();
    if (*(int32_t *)(g3 + 984) == 0) {
        // 0x4a7787
        g1 = false;
        g2 = false;
        g187 = true;
        g9 = false;
        v34 = 0;
        // branch -> 0x4a778c
    } else {
        // 0x4a7763
        g8 = v3;
        g6 = 0;
        g3 = 2;
        function_4b8634();
        v36 = *(int32_t *)(g3 + 984);
        g2 = (v36 & 15) > 3;
        g1 = v36 > 0xffffffd3;
        v28 = v36 + 44;
        g187 = v28 == 0;
        g9 = llvm_ctpop_i32(v28) % 2 == 1;
        v34 = *(int32_t *)v28;
        // branch -> 0x4a778c
    }
    // 0x4a778c
    v10 = v34;
    g8 = v12;
    g6 = 2;
    g3 = v8;
    g5 = 0x417be0;
    ((int32_t (*)())-0x76e7ae01)();
    // branch -> 0x4a779c
    // 0x4a779c
    if (v2 != 3) {
        // 0x4a77a2
        if (v2 != 4) {
            // 0x4a77e2
            if (v2 == 4) {
                // 0x4a77e8
                g2 = v11 > 3;
                g1 = v4 > 0xfffffda3;
                v31 = v4 + 604;
                g187 = v31 == 0;
                g9 = llvm_ctpop_i32(v31) % 2 == 1;
                v10 = *(int32_t *)v31;
                g8 = v12;
                g6 = 4;
                g3 = v8;
                g5 = 0x417be0;
                ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
                // branch -> 0x4a7805
            }
            // 0x4a7805
            g6 = 0;
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            g8 = 0;
            g3 = v8;
            g5 = 0x417be0;
            ((int32_t (*)())-0x76f7dbbc)();
            // branch -> 0x4a7811
            // 0x4a7811
            g3 = (int32_t)v9;
            g4 = (int32_t)v5;
            return;
        }
    }
    // 0x4a77a8
    g2 = false;
    g1 = v4 > 0xfffffd9f;
    v29 = v4 + 608;
    g187 = v29 == 0;
    g9 = llvm_ctpop_i32(v29) % 2 == 1;
    v10 = *(int32_t *)v29;
    g8 = v12;
    g6 = 4;
    g3 = v8;
    g5 = 0x417be0;
    ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
    g2 = false;
    g1 = v4 > 0xfffffd2f;
    v30 = v4 + 720;
    g187 = v30 == 0;
    g9 = llvm_ctpop_i32(v30) % 2 == 1;
    v10 = *(int32_t *)v30;
    g8 = v12;
    g6 = 4;
    g3 = v8;
    g5 = 0x417be0;
    ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
    // branch -> 0x4a77e2
    // 0x4a77e2
    if (v2 == 4) {
        // 0x4a77e8
        g2 = v11 > 3;
        g1 = v4 > 0xfffffda3;
        v31 = v4 + 604;
        g187 = v31 == 0;
        g9 = llvm_ctpop_i32(v31) % 2 == 1;
        v10 = *(int32_t *)v31;
        g8 = v12;
        g6 = 4;
        g3 = v8;
        g5 = 0x417be0;
        ((int32_t (*)(int32_t))-0x76e7ae01)(v1);
        // branch -> 0x4a7805
    }
    // 0x4a7805
    g6 = 0;
    g1 = false;
    g2 = false;
    g187 = true;
    g9 = false;
    g8 = 0;
    g3 = v8;
    g5 = 0x417be0;
    ((int32_t (*)())-0x76f7dbbc)();
    // branch -> 0x4a7811
    // 0x4a7811
    g3 = (int32_t)v9;
    g4 = (int32_t)v5;
}

// Address range: 0x4a7910 - 0x4a7ac2
void function_4a7910(void) {
    // 0x4a7910
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4a7ac4 - 0x4a8163
void function_4a7ac4(void) {
    int32_t * v1;
    g4 = (int32_t)&v1;
    g5 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x4a8164 - 0x4a822b
void function_4a8164(void) {
    int32_t * v1;
    g11 = (int32_t)&v1;
    int32_t v2 = g8; // 0x4a816a
    char v3 = 0;
    if (v2 != 0) {
        // 0x4a816e
        int32_t v4;
        g11 = &v4;
        System__ClassCreate((int32_t *)g6, v2);
        v3 = g8;
        // branch -> 0x4a8176
    }
    int32_t v5 = g6; // 0x4a8176
    v1 = (int32_t *)v5;
    int32_t v6 = g3; // 0x4a817c
    int32_t * v7 = (int32_t *)(v6 + 4); // 0x4a8185_0
    *v7 = v5;
    Sysutils__AllocMem(g6);
    *(int32_t *)(v6 + 20) = 0xfa300;
    g8 = v6 & -256 | 1;
    function_403c70();
    *(int32_t *)(v6 + 8) = 0x414300;
    int32_t v8 = v6 + 24; // 0x4a81ad
    g3 = v8;
    function_412a30();
    g8 = v8;
    g3 = *v7;
    function_412a20();
    if (v3 == 0) {
        // 0x4a81de
        return;
    }
    // 0x4a81cf
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4a822c - 0x4a8bdb
void function_4a822c(void) {
    // 0x4a822c
    abort();
    // UNREACHABLE
}

// Address range: 0x4a8bdc - 0x4a8cbf
void function_4a8bdc(void) {
    int32_t v1 = g3; // bp-8
    g6 = 1;
    g8 = 0x4a8c8c;
    g3 = g117;
    int32_t v2;
    int32_t * v3;
    function_4b6fd8(&v2, (char *)&v1, v3);
    closesocket(*(int32_t *)(v1 + 64));
    if (g160 == 0) {
        // 0x4a8c7f
        return;
    }
    // 0x4a8c0f
    if (g108 == 0) {
        // 0x4a8c54
        if (g109 != 0) {
            // 0x4a8c5d
            g109 = 0;
            g116 = 1;
            // branch -> 0x4a8c6b
        }
        // 0x4a8c6b
        g6 = 1;
        g8 = 0x4a8ca8;
        g3 = g117;
        function_4b6fd8(&v2, (char *)&v1, v3);
        // branch -> 0x4a8c7f
        // 0x4a8c7f
        return;
    }
    // 0x4a8c18
    v2 = 0;
    int32_t v4 = 0; // 0x4a8c33
    // branch -> 0x4a8c1d
    while (true) {
        int32_t * v5 = (int32_t *)(g108 + 92 + 4 * v4); // 0x4a8c25_0
        int32_t v6 = v4; // 0x4a8c49
        if (*v5 == v1) {
            // 0x4a8c2e
            *v5 = 0;
            *(char *)(g108 + 84 + v2) = 1;
            v6 = v2;
            // branch -> 0x4a8c49
        }
        int32_t v7 = v6 + 1; // 0x4a8c49
        v2 = v7;
        if (v7 != 5) {
            // 0x4a8c49
            v4 = v7;
            // branch -> 0x4a8c1d
            continue;
        }
        // 0x4a8c6b
        g6 = 1;
        g8 = 0x4a8ca8;
        g3 = g117;
        function_4b6fd8(&v2, (char *)&v1, v3);
        // branch -> 0x4a8c7f
        // 0x4a8c7f
        return;
    }
}

// Address range: 0x4a8cc0 - 0x4a8da6
void function_4a8cc0(void) {
    // 0x4a8cc0
    g120 = 0;
    g121 = 0;
    g118 = 0;
    g119 = 0;
    *(int32_t *)g58 = 1;
    g110 = 0;
    g111 = 0;
    g116 = 0;
    g112 = 0;
    g113 = 0;
    g114 = 0;
    g115 = 0;
    *(char *)g48 = 0;
    *(int32_t *)g60 = 1;
    // branch -> 0x4a8d36
    for (int32_t i = 1; i < 7; i++) {
        int32_t v1 = 4 * i; // 0x4a8d40
        *(int32_t *)(g54 - 4 + v1) = 0;
        int32_t v2 = v1 - 4; // 0x4a8d4e
        *(int32_t *)(v2 + g56) = 0;
        *(int32_t *)(v2 + g55) = 0;
        *(char **)(v2 + g47) = NULL;
        System__LStrAsg(NULL, "<unconnected>");
        // continue -> 0x4a8d36
    }
}

// Address range: 0x4a8da8 - 0x4a96c3
void function_4a8da8(void) {
    // 0x4a8da8
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4a96c4 - 0x4a96e7
void function_4a96c4(void) {
    // 0x4a96c4
    int32_t v1;
    int32_t v2 = v1; // bp-4
    g4 = &v2;
    uint32_t v3 = g11; // 0x4a96c7
    g2 = (v3 & 15) > 7;
    g1 = v3 > 7;
    int32_t v4 = v3 - 8; // 0x4a96c7
    g187 = v4 == 0;
    g9 = llvm_ctpop_i32(v4) % 2 == 1;
    int32_t v5 = g5; // 0x4a96ca
    int32_t v6 = g8; // 0x4a96cb
    int32_t v7 = v6; // bp-12
    int32_t v8 = g3; // 0x4a96ce
    g8 = &v7;
    g6 = 4;
    int32_t v9 = *(int32_t *)v8; // 0x4a96dc
    g5 = v9;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t))*(int32_t *)(v9 + 16))(v5, v6, v8, v1);
    g5 = v5;
    g4 = v2;
}

// Address range: 0x4a96e8 - 0x4a970b
void function_4a96e8(void) {
    // 0x4a96e8
    int32_t v1;
    int32_t v2 = v1; // bp-4
    g4 = &v2;
    uint32_t v3 = g11; // 0x4a96eb
    g2 = (v3 & 15) > 7;
    g1 = v3 > 7;
    int32_t v4 = v3 - 8; // 0x4a96eb
    g187 = v4 == 0;
    g9 = llvm_ctpop_i32(v4) % 2 == 1;
    int32_t v5 = g5; // 0x4a96ee
    char v6 = g8; // bp-9
    int32_t v7 = g3; // 0x4a96f2
    g8 = &v6;
    g6 = 1;
    int32_t v8 = *(int32_t *)v7; // 0x4a9700
    g5 = v8;
    int32_t v9 = *(int32_t *)(v8 + 16); // 0x4a9702
    int32_t v10;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t))v9)(v5, v10, v7, v1);
}

// Address range: 0x4a970c - 0x4a9733
void function_4a970c(void) {
    int32_t v1;
    g4 = &v1;
    uint32_t v2 = g11; // 0x4a970f
    g2 = (v2 & 15) > 7;
    g1 = v2 > 7;
    int32_t v3 = v2 - 8; // 0x4a970f
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    int32_t v4 = g5; // 0x4a9712
    int32_t v5 = g3; // 0x4a9713
    char v6;
    g8 = &v6;
    g6 = 1;
    int32_t v7 = *(int32_t *)v5; // 0x4a9721
    g5 = v7;
    int32_t v8;
    ((int32_t (*)(int32_t, int32_t, int32_t))*(int32_t *)(v7 + 12))(v4, v8, v5);
}

// Address range: 0x4a9734 - 0x4a975b
void function_4a9734(void) {
    // 0x4a9734
    int32_t v1;
    int32_t v2 = v1; // bp-16
    int32_t v3;
    g4 = &v3;
    uint32_t v4 = g11; // 0x4a9737
    g2 = (v4 & 15) > 11;
    g1 = v4 > 11;
    int32_t v5 = v4 - 12; // 0x4a9737
    g187 = v5 == 0;
    g9 = llvm_ctpop_i32(v5) % 2 == 1;
    int32_t v6 = g5; // 0x4a973a
    g8 = &v2;
    g6 = 4;
    int32_t v7 = *(int32_t *)g3; // 0x4a9749
    g5 = v7;
    int32_t v8;
    ((int32_t (*)(int32_t, int32_t, int32_t))*(int32_t *)(v7 + 12))(v6, v1, v8);
}

// Address range: 0x4a975c - 0x4a97b7
void function_4a975c(void) {
    int32_t v1;
    g4 = &v1;
    uint32_t v2 = g11; // 0x4a975f
    g2 = (v2 & 15) > 11;
    g1 = v2 > 11;
    int32_t v3 = v2 - 12; // 0x4a975f
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    int32_t v4 = g3; // 0x4a9763
    struct struct_445 * v5 = (struct struct_445 *)v4; // bp-8
    int32_t v6 = *(int32_t *)v4; // 0x4a976f
    g8 = v6;
    int32_t v7;
    int32_t v8;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t))*(int32_t *)v6)(3, v8, g5, v7);
    int32_t v9;
    g6 = &v9;
    function_4872f4();
    g8 = v7;
    g3 = (int32_t)v5;
    g6 = *(int32_t *)v5;
    ((int32_t (*)())v5->e1)();
    g6 = v7;
    g8 = v9;
    g3 = v5->e1;
    function_407924();
    g1 = false;
    g2 = false;
    g187 = true;
    g9 = false;
    g8 = 0;
    g3 = (int32_t)v5;
    g5 = *(int32_t *)v5;
    ((int32_t (*)())v5->e3)();
    System__FreeMem(NULL);
}

// Address range: 0x4a97b8 - 0x4a9813
void function_4a97b8(void) {
    // 0x4a97b8
    int32_t v1;
    int32_t v2 = v1; // bp-16
    int32_t v3;
    g4 = &v3;
    uint32_t v4 = g11; // 0x4a97bb
    g2 = (v4 & 15) > 11;
    g1 = v4 > 11;
    int32_t v5 = v4 - 12; // 0x4a97bb
    g187 = v5 == 0;
    g9 = llvm_ctpop_i32(v5) % 2 == 1;
    int32_t v6 = g3; // 0x4a97bf
    struct struct_445 * v7 = (struct struct_445 *)v6; // bp-8
    int32_t v8 = *(int32_t *)v6; // 0x4a97cb
    g8 = v8;
    int32_t v9;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t))*(int32_t *)v8)(0, v9, g5, v1);
    int32_t v10;
    Idzlib__CompressBuf((char *)&v10, g3, NULL, (int32_t)&v2);
    g8 = v2;
    g3 = (int32_t)v7;
    g6 = *(int32_t *)v7;
    ((int32_t (*)())v7->e1)();
    g6 = v2;
    g8 = v10;
    g3 = v7->e1;
    function_407924();
    g1 = false;
    g2 = false;
    g187 = true;
    g9 = false;
    g8 = 0;
    g3 = (int32_t)v7;
    g5 = *(int32_t *)v7;
    ((int32_t (*)())v7->e3)();
    System__FreeMem(NULL);
}

// Address range: 0x4a9814 - 0x4a986f
void function_4a9814(void) {
    // 0x4a9814
    int32_t v1;
    int32_t v2 = v1; // bp-4
    g4 = &v2;
    uint32_t v3 = g11; // 0x4a9817
    g2 = (v3 & 15) > 11;
    g1 = v3 > 11;
    int32_t v4 = v3 - 12; // 0x4a9817
    g187 = v4 == 0;
    g9 = llvm_ctpop_i32(v4) % 2 == 1;
    int32_t v5 = g5; // 0x4a981a
    int32_t v6 = g3; // 0x4a9821
    int32_t v7 = *(int32_t *)v6; // 0x4a982d
    g5 = v7;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t, int32_t))*(int32_t *)(v7 + 12))(v5, g6, g8, v6, v1);
}

// Address range: 0x4a9870 - 0x4a9eb7
void function_4a9870(void) {
    // 0x4a9870
    g3 = llvm_bswap_i32(g3) / 256;
}

// Address range: 0x4a9eb8 - 0x4aa82b
void function_4a9eb8(void) {
    // 0x4a9eb8
    abort();
    // UNREACHABLE
}

// Address range: 0x4aa82c - 0x4aa99b
void function_4aa82c(void) {
    int32_t * v1 = (int32_t *)g3; // 0x4aa835_0
    if (*v1 == 0) {
        // 0x4aa97c
        return;
    }
    // 0x4aa844
    g3 = *v1 + 20;
    function_4b8d1c();
    int32_t v2 = g3; // 0x4aa851
    g3 = *v1 + 24;
    function_4b8d1c();
    int32_t v3 = g3; // 0x4aa861
    g3 = *v1 + 16;
    function_4b8d1c();
    int32_t v4 = g3; // 0x4aa871
    g3 = *v1 + 8;
    function_4b8d1c();
    int32_t v5 = g3; // 0x4aa881
    // branch -> 0x4aa889
    int16_t * v6;
    for (uint32_t i = 0; i < 256; i++) {
        // 0x4aa889
        g8 = i;
        v6[i] = g130[i];
        // PHI copies at the loop end
        // loop 0x4aa889 end
    }
    // 0x4aa8ae
    g2 = false;
    int32_t v7 = 4 * v2; // 0x4aa8b1
    g1 = (v2 & 0x40000000) != 0;
    g187 = v7 == 0;
    g9 = llvm_ctpop_i32(v7) % 2 == 1;
    int32_t v8 = g88; // 0x4aa8c4
    g3 = v8;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t))v8)(v2, v3, 0, v7);
    int32_t v9 = g3; // 0x4aa8c8
    g3 = v9 + 8;
    function_4b8d1c();
    struct struct_457 * v10 = (struct struct_457 *)g3; // 0x4aa8d6_0
    if (v3 < 1) {
        // 0x4aa974
        *v1 = v9;
        // branch -> 0x4aa97c
        // 0x4aa97c
        return;
    }
    // branch -> 0x4aa8f6
    while (true) {
        struct struct_457 * v11 = v10; // 0x4aa91d_08
        int32_t v12; // 0x4aa96f
        if (v2 >= 1) {
            char v13 = v5; // 0x4aa957_43
            int32_t v14 = v13; // 0x4aa90f
            v10->e0 = v6[v14];
            int16_t v15 = v6[v14]; // 0x4aa929
            *(char *)((int32_t)v10 + 2) = (char)((int32_t)v15 / 0x10000);
            char v16 = *(char *)v14; // 0x4aa93e
            *(char *)((int32_t)v10 + 3) = (char)(v16 != 0);
            struct struct_457 * v17 = (struct struct_457 *)((int32_t)v10 + 4); // 0x4aa95a_5
            v10 = v17;
            int32_t v18 = v2 - 1; // 0x4aa961
            // branch -> 0x4aa90f
            while (v18 != 0) {
                // 0x4aa90f
                v13++;
                v2 = v18;
                v14 = v13;
                v17->e0 = v6[v14];
                v15 = v6[v14];
                *(char *)((int32_t)v10 + 2) = (char)((int32_t)v15 / 0x10000);
                v16 = *(char *)v14;
                *(char *)((int32_t)v10 + 3) = (char)(v16 != 0);
                v17 = (struct struct_457 *)((int32_t)v10 + 4);
                v10 = v17;
                v18 = v2 - 1;
                // continue -> 0x4aa90f
            }
            // 0x4aa966
            v12 = v3 - 1;
            if (v12 == 0) {
                // break -> 0x4aa974
                break;
            }
            v10 = v17;
            v5 += v4;
            v3 = v12;
            // continue -> 0x4aa8f6
            continue;
        }
        // 0x4aa966
        v12 = v3 - 1;
        if (v12 == 0) {
            // break -> 0x4aa974
            break;
        }
        v10 = v11;
        v5 += v4;
        v3 = v12;
        // continue -> 0x4aa8f6
    }
    // 0x4aa974
    *v1 = v9;
    // branch -> 0x4aa97c
}

// Address range: 0x4aa9b0 - 0x4ab04e
void function_4aa9b0(void) {
    int32_t v1;
    g4 = &v1;
    unsigned char v2 = *(char *)(g125 + 1044); // 0x4aa9c0
    if (v2 == 0) {
        // 0x4aabe0
        return;
    }
    char * v3 = (char *)(int32_t)v2; // 0x4aa9cd_0
    int32_t v4;
    int32_t v5 = &v4; // 0x4aaa07_0
    int32_t * v6 = NULL; // 0x4aabd4_45
    // branch -> 0x4aa9d7
    while (true) {
        int32_t v7 = (int32_t)v6; // 0x4aa9d7
        int32_t v8 = 3000 * v7; // 0x4aa9d7
        uint32_t v9 = v8 + g125; // 0x4aa9de
        int32_t v10 = v9 + 2612; // 0x4aa9e4
        g2 = (v9 & 15) > 11;
        g1 = v9 > 0xfffff2cb;
        int32_t v11 = v9 + 3380; // 0x4aa9f9
        g187 = v11 == 0;
        g9 = llvm_ctpop_i32(v11) % 2 == 1;
        v4 = 20;
        g11 = v5;
        int32_t v12 = g88; // 0x4aaa0e
        g3 = v12;
        char * v13;
        ((int32_t (*)(int32_t, int32_t, int32_t, int32_t, int32_t, int32_t, int32_t, int32_t))v12)(20, 17, 0, 80, (int32_t)v3, (int32_t)v13, v11, v10);
        int32_t v14 = g3; // 0x4aaa12
        int32_t v15 = v14 + 8; // 0x4aaa1d
        // branch -> 0x4aaa1a
        for (uint32_t i = 0; i < 340; i++) {
            // 0x4aaa1a
            g3 = v15;
            function_4b8d1c();
            g3 += 4 * i;
            g8 = -0x1000000;
            function_4b8d34();
            // PHI copies at the loop end
            // loop 0x4aaa1a end
        }
        struct struct_19 * v16 = (struct struct_19 *)1; // bp-16
        struct struct_19 * v17 = (struct struct_19 *)1; // 0x4aaa57_0
        int32_t ** v18 = (int32_t **)1; // 0x4aaba0_44
        // branch -> 0x4aaa51
        while (true) {
            int32_t v19 = (int32_t)v18; // 0x4aaa54
            unsigned char v20 = *(char *)(v19 + v11 + 20 * (int32_t)v17); // 0x4aaa62
            g3 = 3 * (int32_t)v20 + v10;
            *(int32_t *)(g11 - 4) = 0x4aaa70;
            function_4b8d1c();
            *(int32_t *)(g11 - 4) = 0x4aaa75;
            function_4a9870();
            int32_t v21 = g11; // 0x4aaa7a
            int32_t v22 = v21 - 4; // 0x4aaa7a
            *(int32_t *)v22 = g3 | -0x1000000;
            g11 = v22;
            g3 = v15;
            *(int32_t *)(v21 - 8) = 0x4aaa86;
            function_4b8d1c();
            g3 = 80 * (int32_t)v16 + g3 + 4 * v19;
            int32_t v23 = g11; // 0x4aaa9c
            int32_t * v24 = (int32_t *)v23; // 0x4aaa9c_0
            g8 = *v24;
            g11 = v23 + 4;
            *v24 = 0x4aaaa2;
            function_4b8d34();
            int32_t v25 = v19 + 1; // 0x4aaaa2
            if (v25 == 19) {
                int32_t v26 = (int32_t)v16 + 1; // 0x4aaaab
                struct struct_19 * v27 = (struct struct_19 *)v26; // 0x4aaaab_4
                v16 = v27;
                if (v26 == 16) {
                    // break -> 0x4aaab4
                    break;
                }
                v17 = v27;
                v18 = (int32_t **)1;
                // continue -> 0x4aaa51
                continue;
            } else {
                // 0x4aaa51
                v17 = v16;
                v18 = (int32_t **)v25;
                // branch -> 0x4aaa51
                continue;
            }
        }
        // 0x4aaab4
        g3 = g124 + 1052 + 4 * v7;
        g8 = v14;
        *(int32_t *)(g11 - 4) = 0x4aaace;
        function_4b8d34();
        uint32_t v28 = g125 + v8; // 0x4aaad5
        int32_t v29 = v28 + 1076; // 0x4aaadb
        g2 = (v28 & 15) > 11;
        g1 = v28 > 0xfffff8cb;
        int32_t v30 = v28 + 1844; // 0x4aaaf0
        g187 = v30 == 0;
        g9 = llvm_ctpop_i32(v30) % 2 == 1;
        int32_t v31 = g11; // 0x4aaaf8
        *(int32_t *)(v31 - 4) = 96;
        *(int32_t *)(v31 - 8) = 0;
        *(int32_t *)(v31 - 12) = 32;
        int32_t v32 = v31 - 16; // 0x4aaafe
        *(int32_t *)v32 = 24;
        g11 = v32;
        int32_t v33 = g88; // 0x4aab05
        g3 = v33;
        *(int32_t *)(v31 - 20) = 0x4aab09;
        int32_t v34;
        int32_t v35;
        ((int32_t (*)(int32_t, int32_t))v33)(v34, v35);
        int32_t v36 = g3; // 0x4aab09
        v16 = NULL;
        struct struct_19 * v37 = NULL; // bp+011
        // branch -> 0x4aab11
      lab_0x4aab11:
        while (true) {
            struct struct_19 * v38 = v37; // 0x4aab1c_0
            int32_t ** v39 = NULL; // 0x4aaba0_43
            // branch -> 0x4aab16
            while (true) {
                int32_t v40 = (int32_t)v39; // 0x4aab19
                unsigned char v41 = *(char *)(v40 + v30 + 24 * (int32_t)v38); // 0x4aab27
                g3 = v36 + 8;
                int32_t * v42 = (int32_t *)(g11 - 4); // 0x4aab7e_0
                if (v41 == 0) {
                    // 0x4aab78
                    *v42 = 0x4aab83;
                    function_4b8d1c();
                    g3 = g3 + 4 * v40 + 96 * (int32_t)v16;
                    g8 = 0;
                    *(int32_t *)(g11 - 4) = 0x4aaba0;
                    function_4b8d34();
                    // branch -> 0x4aaba0
                } else {
                    // 0x4aab33
                    *v42 = 0x4aab3e;
                    function_4b8d1c();
                    int32_t v43 = g11; // 0x4aab54
                    int32_t v44 = v43 - 4; // 0x4aab54
                    *(int32_t *)v44 = g3 + 4 * v40 + 96 * (int32_t)v16;
                    g11 = v44;
                    g3 = 3 * (int32_t)v41 + v29;
                    *(int32_t *)(v43 - 8) = 0x4aab63;
                    function_4b8d1c();
                    *(int32_t *)(g11 - 4) = 0x4aab68;
                    function_4a9870();
                    g8 = g3 | -0x1000000;
                    int32_t v45 = g11; // 0x4aab70
                    int32_t * v46 = (int32_t *)v45; // 0x4aab70_0
                    g3 = *v46;
                    g11 = v45 + 4;
                    *v46 = 0x4aab76;
                    function_4b8d34();
                    // branch -> 0x4aaba0
                }
                int32_t v47 = v40 + 1; // 0x4aaba0
                if (v47 == 24) {
                    int32_t v48 = (int32_t)v16 + 1; // 0x4aabad
                    struct struct_19 * v49 = (struct struct_19 *)v48; // 0x4aabad_4
                    v16 = v49;
                    if (v48 == 32) {
                        // break (via goto) -> 0x4aabba
                        goto lab_0x4aabba;
                    }
                    v37 = v49;
                    // continue (via goto) -> 0x4aab11
                    goto lab_0x4aab11;
                } else {
                    // 0x4aaba0
                    v38 = v16;
                    v39 = (int32_t **)v47;
                    // branch -> 0x4aab16
                    continue;
                }
            }
          lab_0x4aabba:
            // 0x4aabba
            g3 = g124 + 1076 + 8 * v7;
            g8 = v36;
            *(int32_t *)(g11 - 4) = 0x4aabd4;
            function_4b8d34();
            int32_t v50 = (int32_t)v3 - 1; // 0x4aabd7
            if (v50 == 0) {
                // 0x4aabe0
                // branch -> 0x4aabe0
                // 0x4aabe0
                return;
            }
            // 0x4aabba
            v3 = (char *)v50;
            v6 = (int32_t *)(v7 + 1);
            v13 = (char *)v36;
            // branch -> 0x4aa9d7
            break;
        }
    }
}

// Address range: 0x4ab050 - 0x4ab64f
void function_4ab050(void) {
    int32_t * v1;
    g4 = (int32_t)&v1;
    abort();
    // UNREACHABLE
}

// Address range: 0x4ab650 - 0x4ab6fa
void function_4ab650(void) {
    Classes__TFileStream("PX\\sprites.dat", (int16_t)(g8 & 0xff00 | 1));
    int32_t v1 = 0x414210; // 0x4ab674
    unknown_891851ff();
    // branch -> 0x4ab68f
    int32_t ** v2;
    for (uint32_t i = 0; i < 1024; i++) {
        // 0x4ab68f
        Classes__TStream__GetPosition(0x1000);
        *v2 = (int32_t *)v1;
        g8 = v1;
        function_4ab050();
        // PHI copies at the loop end
        // loop 0x4ab68f end
    }
    // 0x4ab6b8
    g6 = 0;
    g1 = false;
    g2 = false;
    g187 = true;
    g9 = false;
    g8 = 0;
    g3 = v1;
    g5 = 0x417be0;
    ((int32_t (*)())-0x76f7dbbc)();
    g8 = (int32_t)&v2;
    g3 = v1;
    g5 = 0x417be0;
    ((int32_t (*)())-0x76e7ae01)();
    System__TObject__Free(0x1000);
}

// Address range: 0x4ab6fc - 0x4ab783
void function_4ab6fc(void) {
    // 0x4ab6fc
    g3 = 0x723168;
    function_4b8d1c();
    g3 += 132;
    function_4b8d1c();
    unknown_4f7900();
}

// Address range: 0x4ab784 - 0x4ab7b3
void function_4ab784(void) {
    // 0x4ab784
    g149 = -0x659f2;
    *(int32_t *)0x5435c0 = -0x97a7c;
    g69 = -0x6f70;
}

// Address range: 0x4ab7b4 - 0x4ab907
void function_4ab7b4(void) {
    int32_t v1;
    g4 = &v1;
    int32_t lpPerformanceCount;
    int32_t v2 = &lpPerformanceCount; // 0x4ab7b7_4
    g11 = v2;
    uint32_t v3 = g134; // 0x4ab7ba
    g2 = false;
    g1 = false;
    g187 = v3 == 0;
    g9 = llvm_ctpop_i32(v3) % 2 == 1;
    int32_t v4;
    int32_t v5;
    int32_t v6; // 0x4ab7fa
    int32_t v7; // 0x4ab81d
    uint32_t v8; // 0x4ab7fa
    uint32_t v9; // 0x4ab7d0
    uint32_t v10; // 0x4ab7f4
    int32_t v11; // 0x4ab7f7
    int32_t v12; // 0x4ab821
    int32_t v13; // 0x4ab849
    if (v3 != 0) {
        // 0x4ab7ce
        if (v3 < 0) {
            // 0x4ab80e
            QueryPerformanceCounter((struct LARGE_INTEGER *)&g132);
            v7 = g80;
            g3 = v7;
            ((int32_t (*)())v7)();
            v12 = g3;
            v4 = v12;
            if (g126 == 0) {
                // 0x4ab849
                g126 = v12;
                g122 = 1;
                return;
            }
            // 0x4ab82d
            v13 = v12;
            if (v12 == 0) {
                // 0x4ab833
                g3 = g154;
                g6 = 1;
                g8 = 0x4ab86c;
                function_4b6fd8(&lpPerformanceCount, (char *)&v5, &v4);
                v13 = v4;
                // branch -> 0x4ab849
            }
            // 0x4ab849
            g126 = v13;
            g122 = 1;
            return;
        }
        // 0x4ab7d0
        v9 = g128;
        g2 = false;
        g1 = false;
        g187 = v9 == 0;
        g9 = llvm_ctpop_i32(v9) % 2 == 1;
        if (v9 >= 1) {
            // 0x4ab7d9
            QueryPerformanceCounter((struct LARGE_INTEGER *)&lpPerformanceCount);
            // branch -> 0x4ab7f4
            while (true) {
                // 0x4ab7f4
                g11 = v2;
                v10 = lpPerformanceCount;
                v11 = v5;
                g8 = v11;
                v8 = g134;
                g2 = (v11 & 15) - (v8 & 15) > 15;
                g1 = v11 < v8;
                v6 = v11 - v8;
                g187 = v11 == v8;
                g9 = llvm_ctpop_i32(v6) % 2 == 1;
                if (v11 == v8) {
                    goto lab_0x4ab802;
                }
                goto lab_0x4ab80c;
            }
        }
        // 0x4ab80e
        QueryPerformanceCounter((struct LARGE_INTEGER *)&g132);
        v7 = g80;
        g3 = v7;
        ((int32_t (*)())v7)();
        v12 = g3;
        v4 = v12;
        if (g126 == 0) {
            // 0x4ab849
            g126 = v12;
            g122 = 1;
            return;
        }
        // 0x4ab82d
        v13 = v12;
        if (v12 == 0) {
            // 0x4ab833
            g3 = g154;
            g6 = 1;
            g8 = 0x4ab86c;
            function_4b6fd8(&lpPerformanceCount, (char *)&v5, &v4);
            v13 = v4;
            // branch -> 0x4ab849
        }
        // 0x4ab849
        g126 = v13;
        g122 = 1;
        return;
    }
    int32_t v14 = g133; // 0x4ab7c3
    g2 = false;
    g1 = false;
    g187 = v14 == 0;
    g9 = llvm_ctpop_i32(v14) % 2 == 1;
    if (v14 == 0) {
        // 0x4ab80e
        QueryPerformanceCounter((struct LARGE_INTEGER *)&g132);
        v7 = g80;
        g3 = v7;
        ((int32_t (*)())v7)();
        v12 = g3;
        v4 = v12;
        if (g126 == 0) {
            // 0x4ab849
            g126 = v12;
            g122 = 1;
            return;
        }
        // 0x4ab82d
        v13 = v12;
        if (v12 == 0) {
            // 0x4ab833
            g3 = g154;
            g6 = 1;
            g8 = 0x4ab86c;
            function_4b6fd8(&lpPerformanceCount, (char *)&v5, &v4);
            v13 = v4;
            // branch -> 0x4ab849
        }
        // 0x4ab849
        g126 = v13;
        g122 = 1;
        return;
    }
    // 0x4ab7d0
    v9 = g128;
    g2 = false;
    g1 = false;
    g187 = v9 == 0;
    g9 = llvm_ctpop_i32(v9) % 2 == 1;
    if (v9 >= 1) {
        // 0x4ab7d9
        QueryPerformanceCounter((struct LARGE_INTEGER *)&lpPerformanceCount);
        // branch -> 0x4ab7f4
        while (true) {
            // 0x4ab7f4
            g11 = v2;
            v10 = lpPerformanceCount;
            v11 = v5;
            g8 = v11;
            v8 = g134;
            g2 = (v11 & 15) - (v8 & 15) > 15;
            g1 = v11 < v8;
            v6 = v11 - v8;
            g187 = v11 == v8;
            g9 = llvm_ctpop_i32(v6) % 2 == 1;
            if (v11 == v8) {
              lab_0x4ab802:;
                uint32_t v15 = g133; // 0x4ab802
                g2 = (v10 & 15) - (v15 & 15) > 15;
                g1 = v10 < v15;
                g187 = v10 == v15;
                g9 = llvm_ctpop_i32(v10 - v15) % 2 == 1;
                if (v10 >= v15) {
                    // 0x4ab80e
                    QueryPerformanceCounter((struct LARGE_INTEGER *)&g132);
                    v7 = g80;
                    g3 = v7;
                    ((int32_t (*)())v7)();
                    v12 = g3;
                    v4 = v12;
                    if (g126 == 0 || v12 != 0) {
                        // 0x4ab849
                        g126 = v12;
                        g122 = 1;
                        return;
                    }
                    // 0x4ab833
                    g3 = g154;
                    g6 = 1;
                    g8 = 0x4ab86c;
                    function_4b6fd8(&lpPerformanceCount, (char *)&v5, &v4);
                    // branch -> 0x4ab849
                    // 0x4ab849
                    g126 = v4;
                    g122 = 1;
                    return;
                }
            } else {
              lab_0x4ab80c:
                // 0x4ab80c
                if (!((v6 < 0 ^ ((v6 ^ v11) & (v8 ^ v11)) < 0))) {
                    // 0x4ab80e
                    QueryPerformanceCounter((struct LARGE_INTEGER *)&g132);
                    v7 = g80;
                    g3 = v7;
                    ((int32_t (*)())v7)();
                    v12 = g3;
                    v4 = v12;
                    if (g126 == 0 || v12 != 0) {
                        // 0x4ab849
                        g126 = v12;
                        g122 = 1;
                        return;
                    }
                    // 0x4ab833
                    g3 = g154;
                    g6 = 1;
                    g8 = 0x4ab86c;
                    function_4b6fd8(&lpPerformanceCount, (char *)&v5, &v4);
                    // branch -> 0x4ab849
                    // 0x4ab849
                    g126 = v4;
                    g122 = 1;
                    return;
                }
            }
            // 0x4ab7e4
            QueryPerformanceCounter((struct LARGE_INTEGER *)&lpPerformanceCount);
            Sleep(0);
            // branch -> 0x4ab7f4
        }
    }
    // 0x4ab80e
    QueryPerformanceCounter((struct LARGE_INTEGER *)&g132);
    v7 = g80;
    g3 = v7;
    ((int32_t (*)())v7)();
    v12 = g3;
    v4 = v12;
    if (g126 == 0) {
        // 0x4ab849
        g126 = v12;
        g122 = 1;
        return;
    }
    // 0x4ab82d
    v13 = v12;
    if (v12 == 0) {
        // 0x4ab833
        g3 = g154;
        g6 = 1;
        g8 = 0x4ab86c;
        function_4b6fd8(&lpPerformanceCount, (char *)&v5, &v4);
        v13 = v4;
        // branch -> 0x4ab849
    }
    // 0x4ab849
    g126 = v13;
    g122 = 1;
}

// Address range: 0x4ab908 - 0x4ab977
void function_4ab908(void) {
    int32_t v1;
    g4 = &v1;
    char v2 = g122; // 0x4ab917
    g2 = false;
    g1 = false;
    g187 = v2 == 0;
    g9 = llvm_ctpop_i32((int32_t)v2) % 2 == 1;
    if (v2 != 0) {
        int32_t v3 = g79; // 0x4ab93f
        g3 = v3;
        int32_t v4;
        int32_t v5;
        int32_t * v6;
        int32_t v7;
        int32_t v8;
        ((int32_t (*)(int32_t, int32_t, int32_t, int32_t, int32_t, int32_t))v3)(v7, v8, v4, v5, (int32_t)v6, g6);
        // branch -> 0x4ab943
    }
}

// Address range: 0x4ab978 - 0x4ab9d7
void function_4ab978(void) {
    int32_t v1;
    g4 = &v1;
    if (g122 == 0) {
        // 0x4ab9cf
        return;
    }
    // 0x4ab990
    uint32_t v2;
    uint32_t v3 = v2 & 0xffff; // 0x4ab993
    if (v3 <= 1023) {
        uint32_t v4 = llvm_ctpop_i32(v3); // 0x4ab993
        g1 = false;
        g2 = false;
        g187 = v3 == 0;
        g9 = v4 % 2 == 1;
        int32_t v5 = g82; // 0x4ab9cb
        g3 = v5;
        int32_t v6;
        int32_t v7;
        int32_t v8;
        ((int32_t (*)(int32_t, int32_t, int32_t, int32_t, int32_t, int32_t, int32_t, int32_t))v5)(v3, v6, v7, v8, 0, 0x3f800000, v2 / 0x10000, -1);
        // branch -> 0x4ab9cf
    }
}

// Address range: 0x4ab9d8 - 0x4ac47f
void function_4ab9d8(void) {
    int32_t v1 = g8; // 0x4ab9de
    struct struct_464 * v2 = (struct struct_464 *)v1; // bp-16
    int32_t v3 = g3; // 0x4ab9e1
    if (g122 == 0) {
        // 0x4abb44
        return;
    }
    int32_t * v4 = (int32_t *)(v3 + 32); // 0x4ab9f7_0
    if (*v4 == 1) {
        // 0x4ab9fc
        g3 = v3 + 36;
        function_4b8d1c();
        g3 = v3 + 8;
        function_4b8d1c();
        g3 = v3 + 20;
        function_4b8d1c();
        g3 = v3 + 16;
        function_4b8d1c();
        g1 = false;
        g2 = false;
        int32_t v5 = g3 & 0xffff; // 0x4aba3a
        g187 = v5 == 0;
        g9 = llvm_ctpop_i32(v5) % 2 == 1;
        int32_t v6 = g83; // 0x4aba45
        g3 = v6;
        ((int32_t (*)(int32_t))v6)(v5);
        System__FreeMem((char *)g6);
        // branch -> 0x4abb44
        // 0x4abb44
        return;
    }
    // 0x4aba5b
    if (*v4 == 2) {
        int32_t v7 = v3 + 8; // 0x4aba69
        g3 = v7;
        function_4b8d1c();
        if (g3 != 0) {
            // 0x4aba79
            g131 = (int32_t)v2;
            g3 = v7;
            function_4b8d1c();
            ((int32_t (*)(int32_t, int32_t))g3)(g7, g10);
            // branch -> 0x4abb44
        }
    } else {
        int32_t v8 = v3 + 8; // 0x4abaa3
        int32_t * v9 = (int32_t *)v8; // 0x4abaa6_0
        *v9 = *v9 - *(int32_t *)v1;
        int32_t v10 = v3 + 12; // 0x4abab3
        g8 = v10;
        int32_t * v11 = (int32_t *)v10; // 0x4abab6_0
        *v11 = *v11 - (int32_t)v2->e1;
        int32_t v12 = v3 + 16; // 0x4ababb
        g3 = v12;
        function_4b8d1c();
        if ((g3 & 0xffff) <= 1023) {
            // 0x4abacf
            g3 = v3 + 40;
            function_4b8d1c();
            g3 = v3 + 36;
            function_4b8d1c();
            g3 = v12;
            function_4b8d1c();
            g3 = v10;
            function_4b8d1c();
            g3 = v8;
            function_4b8d1c();
            g3 = v3 + 20;
            function_4b8d1c();
            g3 = v12;
            function_4b8d1c();
            g1 = false;
            g2 = false;
            int32_t v13 = g3 & 0xffff; // 0x4abb35
            g187 = v13 == 0;
            g9 = llvm_ctpop_i32(v13) % 2 == 1;
            int32_t v14 = g82; // 0x4abb40
            g3 = v14;
            ((int32_t (*)(int32_t))v14)(v13);
            // branch -> 0x4abb44
        }
    }
}

// Address range: 0x4ac480 - 0x4ac51f
void function_4ac480(void) {
    // 0x4ac480
    // branch -> 0x4ac489
    for (uint32_t i = 0; i < 71; i++) {
        int32_t v1 = *(int32_t *)(g153 + 4); // 0x4ac49c
        int32_t v2 = 136 * i + 32; // 0x4ac4ac
        g6 = *(int32_t *)(v2 + v1 + 0x3310 * g135);
        int32_t v3 = 8 * i; // 0x4ac4b3
        g8 = v3 + 328;
        g3 = *(int32_t *)(g160 + 8);
        function_4b8f70();
        int32_t v4 = *(int32_t *)(g153 + 4); // 0x4ac4de
        g6 = *(int32_t *)(v2 + v4 + 0x3310 * g135);
        g8 = v3 + 324;
        g3 = *(int32_t *)(g160 + 8);
        function_4b8f70();
        // PHI copies at the loop end
        // loop 0x4ac489 end
    }
}

// Address range: 0x4ac520 - 0x4ace0a
void function_4ac520(void) {
    // 0x4ac520
    abort();
    // UNREACHABLE
}

// Address range: 0x4ace0c - 0x4ace83
void function_4ace0c(void) {
    char * v1 = (char *)g3; // 0x4ace15_0
    g3 = g139;
    function_405b98();
    int32_t * v2 = (int32_t *)g3; // 0x4ace22_0
    int32_t v3 = g3 + 1; // 0x4ace28
    System__DynArraySetLength((char *)1, (char *)0x4acbb0, v3, v2);
    System__DynArraySetLength((char *)1, (char *)0x4acbd4, v3, v2);
    *(char **)(g139 + 4 * g3) = v1;
    System__LStrAsg(v1, (char *)g8);
}

// Address range: 0x4ace84 - 0x4acfa6
void function_4ace84(void) {
    // 0x4ace84
    abort();
    // UNREACHABLE
}

// Address range: 0x4acfa8 - 0x4aed62
void function_4acfa8(void) {
    // 0x4acfa8
    g3 = 0x4a4258;
    g8 = 0x4ad9f8;
    function_4ace0c();
    g3 = 0x4a45dc;
    g8 = 0x4ada10;
    function_4ace0c();
    g3 = 0x4a4f44;
    g8 = 0x4ada2c;
    function_4ace0c();
    g3 = 0x49d428;
    g8 = 0x4ada44;
    function_4ace0c();
    g3 = 0x4a30d0;
    g8 = 0x4ada64;
    function_4ace0c();
    g3 = 0x4a3094;
    g8 = 0x4ada80;
    function_4ace0c();
    g3 = 0x4a31a0;
    g8 = 0x4adaa0;
    function_4ace0c();
    g3 = 0x4a5674;
    g8 = 0x4adabc;
    function_4ace0c();
    g3 = 0x4a5b84;
    g8 = 0x4adad8;
    function_4ace0c();
    g3 = 0x4a5edc;
    g8 = 0x4adaf8;
    function_4ace0c();
    g3 = 0x4a6180;
    g8 = 0x4adb10;
    function_4ace0c();
    g3 = 0x4a424c;
    g8 = 0x4adb2c;
    function_4ace0c();
    g3 = 0x4a4240;
    g8 = 0x4adb48;
    function_4ace0c();
    g3 = 0x4a3560;
    g8 = 0x4adb5c;
    function_4ace0c();
    g3 = 0x4a3248;
    g8 = 0x4adb7c;
    function_4ace0c();
    g3 = 0x4a2e78;
    g8 = 0x4adb98;
    function_4ace0c();
    g3 = (int32_t)function_49bc84;
    g8 = 0x4adbb4;
    function_4ace0c();
    g3 = 0x4a64a0;
    g8 = 0x4adbc8;
    function_4ace0c();
    g3 = *(int32_t *)120;
    g8 = 0x4adbe0;
    function_4ace0c();
    g3 = 0x48e4a4;
    g8 = 0x4adbf0;
    function_4ace0c();
    g3 = (int32_t)function_4ab7b4;
    g8 = 0x4adc0c;
    function_4ace0c();
    g3 = 0x4ab890;
    g8 = 0x4adc28;
    function_4ace0c();
    g3 = (int32_t)function_4ab784;
    g8 = 0x4adc40;
    function_4ace0c();
    g3 = (int32_t)function_4a9eb8;
    g8 = 0x4adc58;
    function_4ace0c();
    g3 = 0x4aa200;
    g8 = 0x4adc70;
    function_4ace0c();
    g3 = (int32_t)function_4ab050;
    g8 = 0x4adc8c;
    function_4ace0c();
    g3 = (int32_t)function_4ab650;
    g8 = 0x4adca8;
    function_4ace0c();
    g3 = 0x4a9e64;
    g8 = 0x4adcc4;
    function_4ace0c();
    g3 = 0x4aa980;
    g8 = 0x4adcdc;
    function_4ace0c();
    g3 = 0x4aa99c;
    g8 = 0x4adcf8;
    function_4ace0c();
    g3 = 0x4aabe4;
    g8 = 0x4add14;
    function_4ace0c();
    g3 = 0x4aafb0;
    g8 = 0x4add30;
    function_4ace0c();
    g3 = 0x4aa384;
    g8 = 0x4add50;
    function_4ace0c();
    g3 = 0x4aa6a0;
    g8 = 0x4add6c;
    function_4ace0c();
    g3 = 0x4ac23c;
    g8 = 0x4add88;
    function_4ace0c();
    g3 = 0x4aa330;
    g8 = 0x4adda8;
    function_4ace0c();
    g3 = 0x4ac2c0;
    g8 = 0x4addc0;
    function_4ace0c();
    g3 = 0x4ab94c;
    g8 = 0x4adde0;
    function_4ace0c();
    g3 = (int32_t)function_4ab908;
    g8 = 0x4addf8;
    function_4ace0c();
    g3 = (int32_t)function_4ab978;
    g8 = 0x4ade0c;
    function_4ace0c();
    g3 = 0x4abc8c;
    g8 = 0x4ade28;
    function_4ace0c();
    g3 = 0x4abcbc;
    g8 = 0x4ade40;
    function_4ace0c();
    g3 = 0x4ac1f4;
    g8 = 0x4ade58;
    function_4ace0c();
    g3 = (int32_t)function_4ab9d8;
    g8 = 0x4ade70;
    function_4ace0c();
    g3 = 0x4abd3c;
    g8 = 0x4ade8c;
    function_4ace0c();
    g3 = 0x4a9b48;
    g8 = 0x4adeac;
    function_4ace0c();
    g3 = (int32_t)function_4ab6fc;
    g8 = 0x4adec8;
    function_4ace0c();
    g3 = g77;
    g8 = 0x4adee0;
    function_4ace0c();
    g3 = g78;
    g8 = 0x4adef8;
    function_4ace0c();
    g3 = g79;
    g8 = 0x4adf14;
    function_4ace0c();
    g3 = g80;
    g8 = 0x4adf28;
    function_4ace0c();
    g3 = g81;
    g8 = 0x4adf40;
    function_4ace0c();
    g3 = g82;
    g8 = 0x4adf58;
    function_4ace0c();
    g3 = g83;
    g8 = 0x4adf74;
    function_4ace0c();
    g3 = g84;
    g8 = 0x4adf90;
    function_4ace0c();
    g3 = g85;
    g8 = 0x4adfa8;
    function_4ace0c();
    g3 = g86;
    g8 = 0x4adfbc;
    function_4ace0c();
    g3 = g87;
    g8 = 0x4adfd4;
    function_4ace0c();
    g3 = g88;
    g8 = 0x4adff0;
    function_4ace0c();
    g3 = g89;
    g8 = 0x4ae008;
    function_4ace0c();
    g3 = g90;
    g8 = 0x4ae020;
    function_4ace0c();
    g3 = g91;
    g8 = 0x4ae038;
    function_4ace0c();
    g3 = (int32_t)function_4906e4;
    g8 = 0x4ae04c;
    function_4ace0c();
    g3 = (int32_t)function_490d88;
    g8 = 0x4ae068;
    function_4ace0c();
    g3 = 0x4910d0;
    g8 = 0x4ae08c;
    function_4ace0c();
    g3 = (int32_t)function_490728;
    g8 = 0x4ae0b0;
    function_4ace0c();
    g3 = (int32_t)function_490a7c;
    g8 = 0x4ae0d4;
    function_4ace0c();
    g3 = 0x4924cc;
    g8 = 0x4ae0f4;
    function_4ace0c();
    g3 = 0x4925cc;
    g8 = 0x4ae108;
    function_4ace0c();
    g3 = 0x491e48;
    g8 = 0x4ae124;
    function_4ace0c();
    g3 = 0x491c88;
    g8 = 0x4ae13c;
    function_4ace0c();
    g3 = (int32_t)function_491d24;
    g8 = 0x4ae15c;
    function_4ace0c();
    g3 = 0x491db4;
    g8 = 0x4ae178;
    function_4ace0c();
    g3 = (int32_t)function_4920c8;
    g8 = 0x4ae194;
    function_4ace0c();
    g3 = 0x4b3090;
    g8 = 0x4ae1a8;
    function_4ace0c();
    g3 = 0x4b24bc;
    g8 = 0x4ae1bc;
    function_4ace0c();
    g3 = 0x4b26bc;
    g8 = 0x4ae1d8;
    function_4ace0c();
    g3 = 0x4b2858;
    g8 = 0x4ae1f4;
    function_4ace0c();
    g3 = (int32_t)function_4b2a18;
    g8 = 0x4ae218;
    function_4ace0c();
    g3 = (int32_t)function_4b2104;
    g8 = 0x4ae23c;
    function_4ace0c();
    g3 = (int32_t)function_4b21ec;
    g8 = 0x4ae264;
    function_4ace0c();
    g3 = (int32_t)function_4b2864;
    g8 = 0x4ae28c;
    function_4ace0c();
    g3 = (int32_t)function_4b3288;
    g8 = 0x4ae2ac;
    function_4ace0c();
    g3 = 0x4b3104;
    g8 = 0x4ae2d4;
    function_4ace0c();
    g3 = 0x4b1cb0;
    g8 = 0x4ae2f8;
    function_4ace0c();
    g3 = (int32_t)function_4b2f24;
    g8 = 0x4ae310;
    function_4ace0c();
    g3 = 0x418234;
    g8 = 0x4ae32c;
    function_4ace0c();
    g3 = 0x4184b0;
    g8 = 0x4ae348;
    function_4ace0c();
    g3 = 0x417fd8;
    g8 = 0x4ae364;
    function_4ace0c();
    g3 = 0x417fe8;
    g8 = 0x4ae380;
    function_4ace0c();
    g3 = 0x418060;
    g8 = 0x4ae39c;
    function_4ace0c();
    g3 = 0x40933c;
    g8 = 0x4ae3b8;
    function_4ace0c();
    g3 = (int32_t)function_4093c0;
    g8 = 0x4ae3cc;
    function_4ace0c();
    g3 = (int32_t)function_409394;
    g8 = 0x4ae3e0;
    function_4ace0c();
    g3 = 0x402ce8;
    g8 = 0x4ae3f4;
    function_4ace0c();
    g3 = (int32_t)function_407924;
    g8 = 0x4ae404;
    function_4ace0c();
    g3 = (int32_t)function_46c548;
    g8 = 0x4ae418;
    function_4ace0c();
    g3 = (int32_t)function_46c5dc;
    g8 = 0x4ae438;
    function_4ace0c();
    g3 = (int32_t)function_46c6cc;
    g8 = 0x4ae45c;
    function_4ace0c();
    g3 = (int32_t)function_46c810;
    g8 = 0x4ae484;
    function_4ace0c();
    g3 = (int32_t)function_46c9f0;
    g8 = 0x4ae4ac;
    function_4ace0c();
    g3 = (int32_t)function_46cae4;
    g8 = 0x4ae4cc;
    function_4ace0c();
    g3 = (int32_t)function_46cb6c;
    g8 = 0x4ae4f0;
    function_4ace0c();
    g3 = (int32_t)function_46cf84;
    g8 = 0x4ae510;
    function_4ace0c();
    g3 = (int32_t)function_46d08c;
    g8 = 0x4ae52c;
    function_4ace0c();
    g3 = (int32_t)function_46d0bc;
    g8 = 0x4ae54c;
    function_4ace0c();
    g3 = (int32_t)function_46d1bc;
    g8 = 0x4ae56c;
    function_4ace0c();
    g3 = (int32_t)function_46d224;
    g8 = 0x4ae590;
    function_4ace0c();
    g3 = (int32_t)function_4afb0c;
    g8 = 0x4ae5b0;
    function_4ace0c();
    g3 = 0x4afc20;
    g8 = 0x4ae5cc;
    function_4ace0c();
    g3 = (int32_t)function_4afd38;
    g8 = 0x4ae5e0;
    function_4ace0c();
    g3 = 0x4b0140;
    g8 = 0x4ae5f4;
    function_4ace0c();
    g3 = 0x4b039c;
    g8 = 0x4ae614;
    function_4ace0c();
    g3 = 0x4b038c;
    g8 = 0x4ae630;
    function_4ace0c();
    g3 = 0x49e2f4;
    g8 = 0x4ae650;
    function_4ace0c();
    g3 = 0x49e364;
    g8 = 0x4ae66c;
    function_4ace0c();
    g3 = 0x49e3c4;
    g8 = 0x4ae68c;
    function_4ace0c();
    g3 = 0x4b0140;
    g8 = 0x4ae5f4;
    function_4ace0c();
    g3 = 0x49e3e4;
    g8 = 0x4ae6a8;
    function_4ace0c();
    g3 = 0x49e40c;
    g8 = 0x4ae6c4;
    function_4ace0c();
    g3 = 0x49e460;
    g8 = 0x4ae6e0;
    function_4ace0c();
    g3 = 0x49de04;
    g8 = 0x4ae700;
    function_4ace0c();
    g3 = (int32_t)function_49e5ac;
    g8 = 0x4ae720;
    function_4ace0c();
    g3 = (int32_t)function_49e5e0;
    g8 = 0x4ae734;
    function_4ace0c();
    g3 = (int32_t)function_49e498;
    g8 = 0x4ae74c;
    function_4ace0c();
    g3 = (int32_t)function_49db90;
    g8 = 0x4ae76c;
    function_4ace0c();
    g3 = (int32_t)function_49dbd8;
    g8 = 0x4ae784;
    function_4ace0c();
    g3 = (int32_t)function_49e63c;
    g8 = 0x4ae7a0;
    function_4ace0c();
    g3 = (int32_t)function_49e6f0;
    g8 = 0x4ae7c0;
    function_4ace0c();
    g3 = (int32_t)function_49e844;
    g8 = 0x4ae7e0;
    function_4ace0c();
    g3 = (int32_t)function_49e9b8;
    g8 = 0x4ae800;
    function_4ace0c();
    g3 = 0x49edac;
    g8 = 0x4ae824;
    function_4ace0c();
    g3 = 0x49ec6c;
    g8 = 0x4ae84c;
    function_4ace0c();
    g3 = 0x49f08c;
    g8 = 0x4ae874;
    function_4ace0c();
    g3 = 0x49e60c;
    g8 = 0x4ae89c;
    function_4ace0c();
    g3 = (int32_t)function_4a0d2c;
    g8 = 0x4ae8bc;
    function_4ace0c();
    g3 = (int32_t)function_49f81c;
    g8 = 0x4ae8d8;
    function_4ace0c();
    g3 = 0x49f8d0;
    g8 = 0x4ae8fc;
    function_4ace0c();
    g3 = (int32_t)function_4a01d8;
    g8 = 0x4ae920;
    function_4ace0c();
    g3 = 0x4a0f48;
    g8 = 0x4ae93c;
    function_4ace0c();
    g3 = 0x4a1038;
    g8 = 0x4ae958;
    function_4ace0c();
    g3 = (int32_t)function_4a0d4c;
    g8 = 0x4ae978;
    function_4ace0c();
    g3 = (int32_t)function_4a1124;
    g8 = 0x4ae99c;
    function_4ace0c();
    g3 = (int32_t)function_4a07e0;
    g8 = 0x4ae9c8;
    function_4ace0c();
    g3 = (int32_t)function_49f5e0;
    g8 = 0x4ae9e8;
    function_4ace0c();
    g3 = (int32_t)function_4a1238;
    g8 = 0x4aea14;
    function_4ace0c();
    g3 = (int32_t)function_4a1258;
    g8 = 0x4aea38;
    function_4ace0c();
    g3 = 0x4a1378;
    g8 = 0x4aea58;
    function_4ace0c();
    g3 = (int32_t)function_4a2394;
    g8 = 0x4aea7c;
    function_4ace0c();
    g3 = 0x4a23d8;
    g8 = 0x4aea9c;
    function_4ace0c();
    g3 = 0x4a2404;
    g8 = 0x4aeab8;
    function_4ace0c();
    g3 = 0x4a2430;
    g8 = 0x4aead4;
    function_4ace0c();
    g3 = (int32_t)function_4a2470;
    g8 = 0x4aeaf0;
    function_4ace0c();
    g3 = 0x4855f8;
    g8 = 0x4aeb08;
    function_4ace0c();
    g3 = 0x485b54;
    g8 = 0x4aeb2c;
    function_4ace0c();
    g3 = (int32_t)function_4b5458;
    g8 = 0x4aeb4c;
    function_4ace0c();
    g3 = 0x4b5448;
    g8 = 0x4aeb68;
    function_4ace0c();
    g3 = 0x4b537c;
    g8 = 0x4aeb8c;
    function_4ace0c();
    g3 = function_4b6fd8;
    g8 = 0x4aeba8;
    function_4ace0c();
    g3 = (int32_t)function_4b78a4;
    g8 = 0x4aebbc;
    function_4ace0c();
    g3 = 0x4b7fc4;
    g8 = 0x4aebd4;
    function_4ace0c();
    g3 = (int32_t)function_4b586c;
    g8 = 0x4aebf4;
    function_4ace0c();
    g3 = 0x4b5bb0;
    g8 = 0x4aec10;
    function_4ace0c();
    g3 = (int32_t)function_4b5e68;
    g8 = 0x4aec30;
    function_4ace0c();
    g3 = (int32_t)function_4b5fb0;
    g8 = 0x4aec50;
    function_4ace0c();
    g3 = (int32_t)function_4b6300;
    g8 = 0x4aec74;
    function_4ace0c();
    g3 = 0x4b65b4;
    g8 = 0x4aec94;
    function_4ace0c();
    g3 = 0x4b6d38;
    g8 = 0x4aecb0;
    function_4ace0c();
    g3 = 0x4b6f40;
    g8 = 0x4aecd0;
    function_4ace0c();
    g3 = (int32_t)function_4b6f90;
    g8 = 0x4aecec;
    function_4ace0c();
    g3 = (int32_t)function_4b7058;
    g8 = 0x4aed0c;
    function_4ace0c();
    g3 = 0x4b7474;
    g8 = 0x4aed28;
    function_4ace0c();
    g3 = 0x4b7c3c;
    g8 = 0x4aed48;
    function_4ace0c();
}

// Address range: 0x4aed64 - 0x4af6a6
void function_4aed64(void) {
    // 0x4aed64
    abort();
    // UNREACHABLE
}

// Address range: 0x4af6a8 - 0x4afb0b
void function_4af6a8(void) {
    // 0x4af6a8
    abort();
    // UNREACHABLE
}

// Address range: 0x4afb0c - 0x4afc33
void function_4afb0c(void) {
    // 0x4afb0c
    g3 = 0x723168;
    function_4b8d1c();
    g3 += 68;
    function_4b8d1c();
    int32_t * lpPoint = (int32_t *)g3; // bp-12
    g3 = 0x723168;
    function_4b8d1c();
    g3 += 72;
    function_4b8d1c();
    ClientToScreen((int32_t *)g140, (struct POINT *)&lpPoint);
    SetCursorPos((int32_t)lpPoint, (int32_t)(struct POINT *)g3);
}

// Address range: 0x4afc34 - 0x4afd37
void function_4afc34(void) {
    // 0x4afc34
    *(char *)0x540bdf = 3;
    g166 = 3;
    *(char *)0x5365f3 = -112;
    *(int32_t *)0x5365f4 = -0x6f6f6f70;
    *(int16_t *)0x53fd89 = 0x28eb;
    *(int32_t *)0x539930 = -0x3cbf3fcd;
    *(char *)0x537150 = -62;
    *(int16_t *)0x537151 = 8;
    *(char *)0x539b50 = -62;
    *(int16_t *)0x539b51 = 12;
    *(char *)0x5415b3 = 3;
    *(char *)0x544303 = -112;
    *(char *)0x544304 = -112;
    *(int32_t *)0x544305 = -0x6f6f6f70;
    g3 = 60;
    Sysutils__AllocMem(g6);
    int32_t v1 = g3; // 0x4afcc3
    g6 = 56;
    g8 = 0x511c1c;
    function_407924();
    *(int32_t *)(v1 + 56) = 0x4afc20;
    g168 = v1;
    g167 = 14;
}

// Address range: 0x4afd38 - 0x4b06b6
void function_4afd38(void) {
    struct struct_26 * nWidth = (struct struct_26 *)g6; // bp-16
    int32_t hWnd2 = g8; // 0x4afd41
    int32_t * hWnd = (int32_t *)hWnd2; // 0x4afd41_0
    struct struct_104 * v1 = (struct struct_104 *)g3; // bp-8
    unknown_42711c();
    int32_t v2 = (int32_t)v1; // 0x4afd53
    g127 = v2;
    g3 = v2 + 0x3568;
    g8 = (int32_t)nWidth;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x356c;
    int32_t * v3;
    int32_t nHeight = (int32_t)v3; // 0x4afd70
    g8 = nHeight;
    function_4b8d34();
    Sysutils__AllocMem(g6);
    g3 = (int32_t)v1 + 0x49d0;
    g8 = 16;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x3594;
    g8 = 0;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x3570;
    g8 = 0;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x3574;
    g8 = 0;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x3578;
    g8 = (int32_t)nWidth;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x357c;
    g8 = nHeight;
    function_4b8d34();
    int32_t v4 = (int32_t)nWidth; // 0x4afde2
    int32_t v5 = v4 / 2; // 0x4afde5
    g8 = v5;
    if ((v4 & 1) == 0) {
        // 0x4afde9
        g8 = v5;
        // branch -> 0x4afdec
    }
    // 0x4afdec
    g3 = (int32_t)v1 + 0x3580;
    function_4b8d34();
    int32_t v6 = nHeight / 2; // 0x4afdfc
    g8 = v6;
    if ((nHeight & 1) == 0) {
        // 0x4afe00
        g8 = v6;
        // branch -> 0x4afe03
    }
    // 0x4afe03
    g3 = (int32_t)v1 + 0x3584;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x3598;
    g8 = hWnd2;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x359c;
    g8 = 0;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x35a0;
    g8 = 0;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x35a4;
    g8 = 0;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x35a8;
    g8 = 0;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x39bc;
    g8 = 0;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x39c0;
    g8 = 0;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x39c4;
    g8 = 0;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x39c8;
    g8 = 0;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x39cc + 4 * (int32_t)NULL;
    g8 = 0;
    function_4b8d34();
    int32_t v7 = (int32_t)NULL + 1; // 0x4afeb4
    struct struct_104 * v8 = (struct struct_104 *)v7; // 0x4afeb4_4
    // branch -> 0x4afe9d
    while (v7 != 1024) {
        // 0x4afe9d
        g3 = (int32_t)v1 + 0x39cc + 4 * (int32_t)v8;
        g8 = 0;
        function_4b8d34();
        v7 = (int32_t)v8 + 1;
        v8 = (struct struct_104 *)v7;
        // continue -> 0x4afe9d
    }
    // 0x4afec0
    g3 = (int32_t)v1 + 0x39b8;
    g8 = 0;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x35b0 + 4 * (int32_t)NULL;
    g8 = 0;
    function_4b8d34();
    int32_t v9 = (int32_t)NULL + 1; // 0x4afeeb
    struct struct_104 * v10 = (struct struct_104 *)v9; // 0x4afeeb_4
    // branch -> 0x4afed4
    while (v9 != 256) {
        // 0x4afed4
        g3 = (int32_t)v1 + 0x35b0 + 4 * (int32_t)v10;
        g8 = 0;
        function_4b8d34();
        v9 = (int32_t)v10 + 1;
        v10 = (struct struct_104 *)v9;
        // continue -> 0x4afed4
    }
    // 0x4afef7
    g3 = (int32_t)v1 + 0x39ac;
    g8 = -1;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x39b0;
    g8 = 256;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x39b4;
    g8 = -1;
    function_4b8d34();
    g3 = 44;
    function_4b8ea8();
    int32_t v11 = g3; // 0x4aff38
    g3 = 44;
    function_4b8ea8();
    int32_t v12 = g3; // 0x4aff45
    g3 = 44;
    function_4b8ea8();
    int32_t v13 = g3; // 0x4aff52
    g3 = (int32_t)v1 + 0x3dd0;
    g8 = v11;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x3dd4;
    g8 = v12;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x3dd8;
    g8 = v13;
    function_4b8d34();
    g3 = (int32_t)v1 + 0x3560;
    g8 = 1;
    function_4b8d34();
    SetWindowLongA(hWnd, -16, 0xc00000);
    int32_t v14;
    int32_t lpRect;
    int32_t v15;
    if (g129 == 0) {
        // 0x4b001c
        v15 = 0;
        MoveWindow(hWnd2, 0, 0, (int32_t)nWidth, nHeight, false);
        ShowWindow(hWnd, 5);
        UpdateWindow(hWnd);
        SetCapture(hWnd);
        // branch -> 0x4b0060
    } else {
        // 0x4affa1
        SetWindowLongA(hWnd, -20, 0);
        lpRect = 0;
        v14 = 0;
        AdjustWindowRect((struct RECT *)&lpRect, 0xc00000, false);
        int32_t nWidth2 = (int32_t)nWidth - lpRect; // 0x4afff0
        v15 = 110;
        MoveWindow(hWnd2, 110, 110, nWidth2, nHeight - v14, false);
        ShowWindow(hWnd, 5);
        UpdateWindow(hWnd);
        ReleaseCapture();
        // branch -> 0x4b0060
    }
    // 0x4b0060
    g3 = g154;
    g6 = 1;
    g8 = 0x4b00e4;
    function_4b6fd8(&lpRect, (char *)&v14, (int32_t *)nWidth);
    int32_t v16 = g92; // 0x4b0089
    v15 = v16;
    g11 = &v15;
    int32_t v17 = g77; // 0x4b0091
    g3 = v17;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t, int32_t))v17)(v16, hWnd2, (int32_t)nWidth, nHeight, 0);
    if (g3 == 0) {
        // 0x4b0099
        g3 = g154;
        g6 = 1;
        g8 = 0x4b0104;
        function_4b6fd8(&v15, (char *)hWnd2, (int32_t *)nWidth);
        ExitProcess(0);
        // branch -> 0x4b00b6
    } else {
        // 0x4b0060
        // branch -> 0x4b00b6
    }
    // 0x4b00b6
    g122 = 0;
    g3 = g154;
    g6 = 1;
    g8 = 0x4b0120;
    function_4b6fd8(&v15, (char *)hWnd2, (int32_t *)nWidth);
}

// Address range: 0x4b06b8 - 0x4b0adf
void function_4b06b8(void) {
    g3 = g154;
    g8 = 0x4b0824;
    int32_t v1;
    int32_t * v2;
    function_4b6fd8((int32_t *)g6, (char *)v2, &v1);
    g3 = 156;
    Sysutils__AllocMem(1);
    int32_t v3 = g3; // 0x4b06dc
    g6 = 156;
    g8 = 0x5edfd8;
    function_407924();
    *(int32_t *)0x536554 = v3;
    *(int32_t *)(v3 + 32) = 0x491c88;
    *(int32_t *)(v3 + 36) = 0x491db4;
    *(int32_t *)(v3 + 40) = (int32_t)function_491d24;
    *(int32_t *)(v3 + 44) = 0x4abc8c;
    *(int32_t *)(v3 + 48) = 0x4b0848;
    *(int32_t *)(v3 + 52) = *(int32_t *)44;
    *(int32_t *)(v3 + 56) = 0x4b0858;
    *(int32_t *)(v3 + 60) = 0x4b0860;
    *(int32_t *)(v3 + 64) = *(int32_t *)48;
    *(int32_t *)(v3 + 68) = 0x4b0850;
    *(int32_t *)(v3 + 72) = (int32_t)function_4ab908;
    *(int32_t *)(v3 + 76) = (int32_t)function_4ab978;
    *(int32_t *)(v3 + 80) = 0x4abcbc;
    *(int32_t *)(v3 + 84) = 0x4b0850;
    *(int32_t *)(v3 + 88) = 0x4ac1f4;
    *(int32_t *)(v3 + 92) = 0x4b0840;
    *(int32_t *)(v3 + 100) = 0x4b083c;
    *(int32_t *)(v3 + 104) = 0x4b083c;
    *(int32_t *)(v3 + 116) = 0x4b083c;
    *(int32_t *)(v3 + 144) = 0x4a9e64;
    *(int32_t *)(v3 + 148) = 0x4b0848;
    *(int32_t *)(v3 + 152) = 0x4b0858;
}

// Address range: 0x4b0ae0 - 0x4b0b2f
void function_4b0ae0(void) {
    // 0x4b0ae0
    return;
}

// Address range: 0x4b0b30 - 0x4b0c9d
void function_4b0b30(void) {
    // 0x4b0b30
    abort();
    // UNREACHABLE
}

// Address range: 0x4b0ca4 - 0x4b14e3
void function_4b0ca4(void) {
    // 0x4b0ca4
    System__LStrAddRef((char *)g6);
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b14e4 - 0x4b1873
void function_4b14e4(void) {
    // 0x4b14e4
    abort();
    // UNREACHABLE
}

// Address range: 0x4b1874 - 0x4b1897
int32_t function_4b1874(void) {
    // 0x4b1874
    g142 = (int32_t)VirtualAlloc(NULL, 0x140000, 0x1000, 64);
    g141 = 0;
    int32_t v1;
    g4 = v1;
    return 0;
}

// Address range: 0x4b1898 - 0x4b1933
void function_4b1898(void) {
    int32_t v1 = g8; // 0x4b18a1
    int32_t v2 = g3; // 0x4b18a4
    g3 = 0x47318c;
    TTab_Create();
    int32_t v3 = g3; // 0x4b18b3
    g6 = v1;
    g8 = v2;
    function_473194();
    g3 = v3;
    function_473280();
    int32_t v4 = g3; // 0x4b18d4
    if (v4 < 1) {
        // 0x4b191b
        System__TObject__Free(v1 + 15);
        // branch -> 0x4b192a
    } else {
        int32_t v5 = 0; // 0x4b19033
        // branch -> 0x4b18e4
        int32_t v6;
        while (true) {
            // 0x4b18e4
            g3 = v3;
            function_47329c();
            int32_t v7;
            int32_t v8 = v5 + v7; // 0x4b18f8
            if (v8 >= v1) {
                // 0x4b1903
                System__TObject__Free((int32_t)&v6);
                // branch -> 0x4b192a
                // 0x4b192a
                g3 = v8;
                return;
            }
            int32_t v9 = v4 - 1; // 0x4b1916
            if (v9 == 0) {
                // break -> 0x4b191b
                break;
            }
            v5 = v8;
            v4 = v9;
            // continue -> 0x4b18e4
        }
        // 0x4b191b
        // branch -> 0x4b191b
        // 0x4b191b
        System__TObject__Free((int32_t)&v6);
        // branch -> 0x4b192a
    }
    // 0x4b192a
    g3 = -1;
}

// Address range: 0x4b1934 - 0x4b19db
void function_4b1934(void) {
    int32_t v1 = g6; // 0x4b193d
    int32_t v2 = g8; // 0x4b1940
    struct struct_26 * v3 = (struct struct_26 *)g3; // bp-8
    g3 = 0x47318c;
    TTab_Create();
    int32_t v4 = g3; // 0x4b1952
    g8 = (int32_t)v3;
    function_473194();
    g3 = v4;
    function_473280();
    int32_t v5 = g3; // 0x4b1971
    if (v5 < 1) {
        // 0x4b19d0
        System__TObject__Free(v2);
        return;
    }
    // 0x4b1976
    int32_t v6;
    int32_t v7 = &v6; // 0x4b1981_0
    // branch -> 0x4b1981
    while (true) {
        // 0x4b1981
        g6 = v7;
        g3 = v4;
        function_47329c();
        uint32_t v8;
        int32_t v9; // 0x4b19cb
        if (v8 >= 5) {
            struct struct_26 * v10 = v3; // 0x4b1998_0
            int32_t v11 = (int32_t)v10; // 0x4b1998
            if (v10->e0 != -24) {
                // 0x4b19a0
                if (v10->e0 != -23) {
                  lab_0x4b19b1:
                    // 0x4b19b1
                    g3 = v4;
                    function_47329c();
                    v3 = (struct struct_26 *)((int32_t)v3 + v8);
                    v9 = v5 - 1;
                    if (v9 == 0) {
                        // break -> 0x4b19d0
                        break;
                    }
                    v5 = v9;
                    // continue -> 0x4b1981
                    continue;
                }
            }
            int32_t * v12 = (int32_t *)(v11 + 1); // 0x4b19af_0
            *v12 = *v12 + v1;
            // branch -> 0x4b19b1
            goto lab_0x4b19b1;
        }
        // 0x4b19b1
        g3 = v4;
        function_47329c();
        v3 = (struct struct_26 *)((int32_t)v3 + v8);
        v9 = v5 - 1;
        if (v9 == 0) {
            // break -> 0x4b19d0
            break;
        }
        v5 = v9;
        // continue -> 0x4b1981
    }
    // 0x4b19d0
    System__TObject__Free(v7);
}

// Address range: 0x4b19dc - 0x4b2103
void function_4b19dc(void) {
    int32_t v1 = g3; // 0x4b19e8
    g8 = 5;
    function_4b1898();
    int32_t v2 = g3; // 0x4b19f8
    int32_t ** v3;
    *(int32_t *)v3 = v2;
    int32_t v4 = g142; // 0x4b1a03
    struct struct_26 * v5 = (struct struct_26 *)v4; // 0x4b1a08_0
    g142 = v4 + 128;
    g141 += 128;
    v5->e0 = 104;
    *(int32_t *)((int32_t)v5 + 1) = g6;
    unknown_4b1af4();
    g3 = g154;
    g6 = 1;
    g8 = 0x4b1ae4;
    int32_t v6;
    int32_t v7;
    function_4b6fd8(&v7, (char *)&v6, (int32_t *)v5);
    g3 = (int32_t)v5 + 10;
    g6 = v2;
    g8 = v1;
    function_407924();
    g3 = (int32_t)v5 + 100;
    g6 = v2;
    g8 = v1;
    function_407924();
    int32_t v8 = (int32_t)v5 + 10; // 0x4b1a77
    g6 = v1 - v8;
    g3 = v8;
    g8 = v2;
    function_4b1934();
    unknown_4b1af4();
    g3 = v1;
    unknown_4b1af4();
}

// Address range: 0x4b2104 - 0x4b21eb
void function_4b2104(void) {
    // 0x4b2104
    abort();
    // UNREACHABLE
}

// Address range: 0x4b21ec - 0x4b2863
void function_4b21ec(void) {
    // 0x4b21ec
    abort();
    // UNREACHABLE
}

// Address range: 0x4b2864 - 0x4b2a17
void function_4b2864(void) {
    int32_t v1 = g6; // 0x4b286a
    int32_t v2 = g8; // 0x4b286d
    g3 = g151;
    function_405b98();
    int32_t v3 = g3; // 0x4b287d
    int32_t v4;
    int32_t * v5;
    int32_t v6; // 0x4b291a
    int32_t v7; // 0x4b29b2
    int32_t v8; // 0x4b29c4
    int32_t v9; // 0x4b2953
    if (v3 < 1) {
        // 0x4b2864
        // branch -> 0x4b2910
        // 0x4b2910
        g3 = g151;
        function_405b98();
        v6 = g3;
        int32_t * v10;
        System__DynArraySetLength((char *)1, (char *)0x4b1c8c, v6 + 1, v10);
        System__GetMem(1);
        v9 = 4 * v6;
        *(int32_t *)(g151 + v9) = 64;
        *(int32_t *)(*(int32_t *)(g151 + v9) + 8) = 1;
        Sysutils__AllocMem(v6);
        *(int32_t *)*(int32_t *)(g151 + v9) = 1024;
        Sysutils__AllocMem(v6);
        *(int32_t *)(*(int32_t *)(g151 + v9) + 4) = 1024;
        *(int32_t *)(*(int32_t *)(g151 + v9) + 60) = v2;
        v7 = *(int32_t *)(g151 + v9);
        *(int32_t *)*(int32_t *)v7 = v1;
        v8 = *(int32_t *)(g151 + v9);
        *(int32_t *)*(int32_t *)(v8 + 4) = (int32_t)v5;
        *(int32_t *)(*(int32_t *)(g151 + v9) + 12) = v4;
        g8 = 0x4b3090;
        g6 = v6;
        g3 = v2;
        function_4b19dc();
        *(int32_t *)(*(int32_t *)(g151 + v9) + 52) = g3;
        // branch -> 0x4b2a0e
    } else {
        int32_t v11 = g151;
        int32_t v12 = 0; // 0x4b29083
        int32_t * v13 = (int32_t *)v3; // 0x4b29322
        // branch -> 0x4b2891
        int32_t * v14; // 0x4b290b_4
        while (true) {
            int32_t v15 = 4 * v12; // 0x4b2899
            int32_t * v16 = (int32_t *)(v15 + v11); // 0x4b2899_0
            if (*(int32_t *)(*v16 + 60) == v2) {
                int32_t v17 = *(int32_t *)(*v16 + 8); // 0x4b28af
                *(int32_t *)(*v16 + 8) = v17 + 1;
                int32_t v18 = *(int32_t *)(g151 + v15); // 0x4b28d0
                int32_t v19 = 4 * v17; // 0x4b28d8
                *(int32_t *)(*(int32_t *)v18 + v19) = v1;
                int32_t v20 = *(int32_t *)(*(int32_t *)(g151 + v15) + 4); // 0x4b28ed
                *(int32_t *)(v20 + v19) = (int32_t)v5;
                // branch -> 0x4b2a0e
                // 0x4b2a0e
                return;
            }
            int32_t v21 = (int32_t)v13 - 1; // 0x4b290b
            v14 = (int32_t *)v21;
            if (v21 == 0) {
                // break -> 0x4b2910
                break;
            }
            v12++;
            v13 = v14;
            // continue -> 0x4b2891
        }
        // 0x4b2910
        // branch -> 0x4b2910
        // 0x4b2910
        g3 = v11;
        function_405b98();
        v6 = g3;
        System__DynArraySetLength((char *)1, (char *)0x4b1c8c, v6 + 1, v14);
        System__GetMem(1);
        v9 = 4 * v6;
        *(int32_t *)(g151 + v9) = 64;
        *(int32_t *)(*(int32_t *)(g151 + v9) + 8) = 1;
        Sysutils__AllocMem(v6);
        *(int32_t *)*(int32_t *)(g151 + v9) = 1024;
        Sysutils__AllocMem(v6);
        *(int32_t *)(*(int32_t *)(g151 + v9) + 4) = 1024;
        *(int32_t *)(*(int32_t *)(g151 + v9) + 60) = v2;
        v7 = *(int32_t *)(g151 + v9);
        *(int32_t *)*(int32_t *)v7 = v1;
        v8 = *(int32_t *)(g151 + v9);
        *(int32_t *)*(int32_t *)(v8 + 4) = (int32_t)v5;
        *(int32_t *)(*(int32_t *)(g151 + v9) + 12) = v4;
        g8 = 0x4b3090;
        g6 = v6;
        g3 = v2;
        function_4b19dc();
        *(int32_t *)(*(int32_t *)(g151 + v9) + 52) = g3;
        // branch -> 0x4b2a0e
    }
}

// Address range: 0x4b2a18 - 0x4b2f23
void function_4b2a18(void) {
    // 0x4b2a18
    abort();
    // UNREACHABLE
}

// Address range: 0x4b2f24 - 0x4b3113
void function_4b2f24(void) {
    // 0x4b2f24
    int32_t v1;
    int32_t v2 = 4 * v1; // 0x4b2f3f
    int32_t v3 = *(int32_t *)(*(int32_t *)(g151 + v2) + 12); // 0x4b2f42
    int32_t v4 = *(int32_t *)(*(int32_t *)(g152 + 4) + 12); // 0x4b2f4e
    int32_t v5 = *(int32_t *)(*(int32_t *)(v4 + 4) + 4 * v3); // 0x4b2f54
    int32_t * v6 = (int32_t *)(v5 + 16); // 0x4b2f5d_0
    int32_t * v7 = NULL; // 0x4b3058_03
    int32_t v8; // 0x4b3024
    int32_t v9; // 0x4b3065
    int32_t * v10; // 0x4b3058_02
    int32_t v11; // 0x4b307c4
    int32_t v12; // 0x4b307f1
    if (*(int32_t *)(*v6 + 32) != 0) {
        // 0x4b2f6a
        if (*(char *)(*(int32_t *)(*v6 + 32) + 44) != 0) {
            char * v13 = (char *)(v5 + 48); // 0x4b2f7c_0
            if (*v13 == 3) {
                int32_t * v14 = (int32_t *)(v5 + 52); // 0x4b2f85_0
                if (*(char *)*v14 == 0) {
                    // 0x4b2f8d
                    g3 = 4 * *(int32_t *)(*v14 + 4) + g150;
                    function_4b8d1c();
                    v7 = (int32_t *)g3;
                    // branch -> 0x4b2ff7
                } else {
                    // 0x4b2fa6
                    g3 = g150 + 16;
                    function_4b8d1c();
                    g3 = *(int32_t *)(*v14 + 8) + g3 + 12;
                    function_4b8d1c();
                    v7 = (int32_t *)g3;
                    // branch -> 0x4b2ff7
                }
                // 0x4b2ff7
                v10 = NULL;
                if (v7 != NULL) {
                    // 0x4b2ffd
                    g3 = (int32_t)v7;
                    function_4b8d1c();
                    v10 = (int32_t *)g3;
                    // branch -> 0x4b3008
                }
                // 0x4b3008
                v8 = *(int32_t *)(*(int32_t *)(g151 + v2) + 8);
                if (v8 < 1) {
                    // 0x4b3084
                    return;
                }
                // 0x4b302c
                v11 = 0;
                v12 = v8;
                // branch -> 0x4b3037
                while (true) {
                    // 0x4b3037
                    if (v10 == NULL) {
                        // 0x4b3037
                        // branch -> 0x4b305d
                        // 0x4b305d
                        v9 = *(int32_t *)(g151 + v2);
                        g3 = *(int32_t *)v9 + 4 * v11;
                        function_4b8d1c();
                        // branch -> 0x4b3084
                        // 0x4b3084
                        return;
                    }
                  lab_0x4b303d_4:;
                    int32_t v15 = *(int32_t *)(*(int32_t *)(g151 + v2) + 4); // 0x4b3048
                    int32_t v16 = 4 * v11; // 0x4b304e
                    g3 = v15 + v16;
                    function_4b8d1c();
                    if (g3 != (int32_t)v10) {
                        int32_t v17 = v12 - 1; // 0x4b307f
                        if (v17 == 0) {
                            // break -> 0x4b3084
                            break;
                        }
                        v11++;
                        v12 = v17;
                        // continue -> 0x4b3037
                        continue;
                    }
                    // 0x4b305d
                    g3 = *(int32_t *)*(int32_t *)(g151 + v2) + v16;
                    function_4b8d1c();
                    // branch -> 0x4b3084
                    // 0x4b3084
                    return;
                }
                // 0x4b3084
                return;
            }
            // 0x4b2fc7
            if (*v13 == 1) {
                // 0x4b2fd0
                g3 = g150 + 4;
                function_4b8d1c();
                v7 = (int32_t *)g3;
                // branch -> 0x4b2ff7
            } else {
                // 0x4b2fe0
                if (*v13 == 0) {
                    // 0x4b2fe9
                    g3 = g150 + 28;
                    function_4b8d1c();
                    v7 = (int32_t *)g3;
                    // branch -> 0x4b2ff7
                } else {
                    v7 = NULL;
                }
            }
            // 0x4b2ff7
            v10 = NULL;
            if (v7 != NULL) {
                // 0x4b2ffd
                g3 = (int32_t)v7;
                function_4b8d1c();
                v10 = (int32_t *)g3;
                // branch -> 0x4b3008
            }
            // 0x4b3008
            v8 = *(int32_t *)(*(int32_t *)(g151 + v2) + 8);
            if (v8 < 1) {
                // 0x4b3084
                return;
            }
            // 0x4b302c
            v11 = 0;
            v12 = v8;
            // branch -> 0x4b3037
            while (true) {
                // 0x4b3037
                if (v10 != NULL) {
                    goto lab_0x4b303d_4;
                }
                // 0x4b3037
                // branch -> 0x4b305d
                // 0x4b305d
                v9 = *(int32_t *)(g151 + v2);
                g3 = *(int32_t *)v9 + 4 * v11;
                function_4b8d1c();
                // branch -> 0x4b3084
                // 0x4b3084
                return;
            }
        } else {
            v7 = NULL;
        }
        // 0x4b2ff7
        v10 = NULL;
        if (v7 != NULL) {
            // 0x4b2ffd
            g3 = (int32_t)v7;
            function_4b8d1c();
            v10 = (int32_t *)g3;
            // branch -> 0x4b3008
        }
        // 0x4b3008
        v8 = *(int32_t *)(*(int32_t *)(g151 + v2) + 8);
        if (v8 < 1) {
            // 0x4b3084
            return;
        }
        // 0x4b302c
        v11 = 0;
        v12 = v8;
        // branch -> 0x4b3037
        while (true) {
            // 0x4b3037
            if (v10 != NULL) {
                goto lab_0x4b303d_4;
            }
            // 0x4b3037
            // branch -> 0x4b305d
            // 0x4b305d
            v9 = *(int32_t *)(g151 + v2);
            g3 = *(int32_t *)v9 + 4 * v11;
            function_4b8d1c();
            // branch -> 0x4b3084
            // 0x4b3084
            return;
        }
    }
    // 0x4b2ff7
    v10 = NULL;
    if (v7 != NULL) {
        // 0x4b2ffd
        g3 = (int32_t)v7;
        function_4b8d1c();
        v10 = (int32_t *)g3;
        // branch -> 0x4b3008
    }
    // 0x4b3008
    v8 = *(int32_t *)(*(int32_t *)(g151 + v2) + 8);
    if (v8 < 1) {
        // 0x4b3084
        return;
    }
    // 0x4b302c
    v11 = 0;
    v12 = v8;
    // branch -> 0x4b3037
    while (true) {
        // 0x4b3037
        if (v10 != NULL) {
            goto lab_0x4b303d_4;
        }
        // 0x4b3037
        // branch -> 0x4b305d
        // 0x4b305d
        v9 = *(int32_t *)(g151 + v2);
        g3 = *(int32_t *)v9 + 4 * v11;
        function_4b8d1c();
        // branch -> 0x4b3084
        // 0x4b3084
        return;
    }
}

// Address range: 0x4b3114 - 0x4b3286
void function_4b3114(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g6; // 0x4b311a
    struct struct_512 * v3 = (struct struct_512 *)g8; // bp-8
    int32_t v4 = g3; // 0x4b3120
    if (v2 == 0) {
        // 0x4b3231
        g11 = g4 + 8;
        return;
    }
    // 0x4b3132
    System__LStrCmp(v2);
    g8 = 0x4b3254;
    System__LStrCmp(g6);
    if (v2 == 0) {
        // 0x4b319e
        g3 = (int32_t)v3 + 12;
        function_4b8d1c();
        int32_t v5 = g3; // 0x4b31a9
        int32_t * v6 = NULL; // 0x4b3222_51
        if (v5 != 0) {
            // 0x4b31b2
            g6 = unknown_458a50();
            g8 = (int32_t)(struct struct_512 *)v5;
            g3 = v4;
            function_4b3114();
            g8 = 40;
            int32_t v7; // eax
            v6 = (int32_t *)(v7 + 40);
            // branch -> 0x4b31e0
        }
        // 0x4b31e0
        g3 = (int32_t)v3 + 16;
        function_4b8d1c();
        int32_t v8 = g3; // 0x4b31eb
        struct struct_512 * v9 = (struct struct_512 *)v8; // 0x4b31eb_0
        if (v8 != 0) {
            // 0x4b31f4
            g6 = unknown_458a50();
            g8 = (int32_t)v9;
            g3 = v4;
            function_4b3114();
            g8 = (int32_t)v6 + 40;
            // branch -> 0x4b3222
        }
        // 0x4b3222
        g3 = (int32_t)v9;
        function_4b8d04();
        // branch -> 0x4b3231
    }
    // 0x4b3231
    g11 = g4 + 8;
}

// Address range: 0x4b3288 - 0x4b465d
void function_4b3288(void) {
    // 0x4b3288
    g6 = 0;
    g3 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x4b4660 - 0x4b48bf
void function_4b4660(void) {
    // 0x4b4660
    int32_t v1;
    int32_t v2 = v1; // bp-16
    int32_t v3;
    g4 = &v3;
    uint32_t v4 = g11; // 0x4b4663
    g2 = (v4 & 15) > 3;
    g1 = v4 > 19;
    int32_t v5 = v4 - 20; // 0x4b4663
    g187 = v5 == 0;
    g9 = llvm_ctpop_i32(v5) % 2 == 1;
    int32_t v6 = g5; // 0x4b4666
    int32_t v7 = g8; // 0x4b4667
    struct struct_124 * v8 = (struct struct_124 *)v7; // 0x4b4667_0
    uint32_t v9 = g3; // 0x4b466a
    g8 = &v2;
    g6 = 4;
    g3 = v7;
    g5 = *(int32_t *)v7;
    int32_t v10;
    int32_t v11;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t))v8->e3)(v6, v11, v10, v1);
    int32_t v12 = v2; // 0x4b467d
    uint32_t v13 = v12 & -256; // 0x4b4680
    g2 = false;
    g1 = v13 < 0x5abbdd00;
    int32_t v14 = v13 - 0x5abbdd00; // 0x4b4685
    g187 = v14 == 0;
    g9 = llvm_ctpop_i32(v14) % 2 == 1;
    uint32_t v15; // 0x4b48931
    if (v13 == 0x5abbdd00) {
        // 0x4b46a6
        v15 = v12 & 255;
        // branch -> 0x4b46b1
    } else {
        // 0x4b468c
        g6 = g6 & -0x10000 | 1;
        g8 = -4;
        g3 = (int32_t)v8;
        int32_t v16 = v8->e0; // 0x4b469f
        g5 = v16;
        ((int32_t (*)(int32_t))*(int32_t *)(v16 + 20))(v6);
        v15 = 1;
        // branch -> 0x4b46b1
    }
    int32_t * v17 = (int32_t *)(v9 + 8); // 0x4b46b4_0
    int32_t v18 = *v17; // 0x4b46b4
    g2 = false;
    g1 = false;
    g187 = v18 == 0;
    g9 = llvm_ctpop_i32(v18) % 2 == 1;
    if (v18 == 0) {
        // 0x4b46ba
        g8 = g8 & -256 | 1;
        function_403c70();
        *v17 = 0x414300;
        int32_t v19 = *v17; // 0x4b46cf
        g3 = v19;
        g8 = 464;
        int32_t v20 = *(int32_t *)v19; // 0x4b46d7
        g6 = v20;
        ((int32_t (*)())*(int32_t *)(v20 + 4))();
        // branch -> 0x4b46dc
    }
    // 0x4b46dc
    g8 = *(int32_t *)(*v17 + 4);
    g6 = 464;
    g3 = (int32_t)v8;
    g5 = v8->e0;
    ((int32_t (*)())v8->e3)();
    int32_t v21 = v9 & 15; // 0x4b46f5
    g2 = v21 > 3;
    g1 = v9 > 0xfffffff3;
    int32_t v22 = v9 + 12; // 0x4b46f5
    g187 = v22 == 0;
    g9 = llvm_ctpop_i32(v22) % 2 == 1;
    g8 = v22;
    g6 = 4;
    g3 = (int32_t)v8;
    g5 = v8->e0;
    ((int32_t (*)())v8->e3)();
    g2 = false;
    g1 = v9 > 0xffffffef;
    int32_t v23 = v9 + 16; // 0x4b4708
    g187 = v23 == 0;
    g9 = llvm_ctpop_i32(v23) % 2 == 1;
    g8 = v23;
    g6 = 4;
    g3 = (int32_t)v8;
    g5 = v8->e0;
    ((int32_t (*)())v8->e3)();
    g2 = v21 > 11;
    g1 = v9 > 0xffffffdb;
    int32_t v24 = v9 + 36; // 0x4b471b
    g187 = v24 == 0;
    g9 = llvm_ctpop_i32(v24) % 2 == 1;
    g8 = v24;
    g6 = 4;
    g3 = (int32_t)v8;
    g5 = v8->e0;
    ((int32_t (*)())v8->e3)();
    g2 = v21 > 3;
    g1 = v9 > 0xffffffd3;
    int32_t v25 = v9 + 44; // 0x4b472e
    g187 = v25 == 0;
    g9 = llvm_ctpop_i32(v25) % 2 == 1;
    g8 = v25;
    g6 = 4;
    g3 = (int32_t)v8;
    g5 = v8->e0;
    ((int32_t (*)())v8->e3)();
    g8 = v9;
    g3 = (int32_t)v8;
    function_4b493c();
    g8 = v9 + 4;
    g3 = (int32_t)v8;
    function_4b493c();
    g8 = v9 + 28;
    g3 = (int32_t)v8;
    function_4b493c();
    g8 = v9 + 40;
    g3 = (int32_t)v8;
    function_4b493c();
    int32_t v26; // 0x4b47a2
    int32_t v27; // 0x4b47b5
    int32_t v28; // 0x4b47df
    int32_t v29; // 0x4b4846
    int32_t v30; // 0x4b4859
    int32_t v31; // 0x4b486c
    int32_t v32; // 0x4b489c
    struct struct_124 * v33; // 0x4b47aa_0
    struct struct_124 * v34; // 0x4b47bd_0
    struct struct_124 * v35; // 0x4b47e7_0
    struct struct_124 * v36; // 0x4b484e_0
    struct struct_124 * v37; // 0x4b4861_0
    struct struct_124 * v38; // 0x4b4874_0
    struct struct_124 * v39; // 0x4b48a7_0
    if (v15 >= 2) {
        // 0x4b4779
        // branch -> 0x4b477e
        for (uint32_t i = 0; i < 5; i++) {
            // 0x4b477e
            g8 = v9 + 60 + 4 * i;
            g3 = (int32_t)v8;
            function_4b493c();
            // PHI copies at the loop end
            // loop 0x4b477e end
        }
        // 0x4b4799
        if (v15 < 3) {
            // 0x4b47c7
            *(char *)(v9 + 20) = 0;
            *(int32_t *)(v9 + 24) = 0;
            // branch -> 0x4b47d6
        } else {
            // 0x4b479f
            g2 = v21 > 11;
            g1 = v9 > 0xffffffeb;
            v26 = v9 + 20;
            g187 = v26 == 0;
            g9 = llvm_ctpop_i32(v26) % 2 == 1;
            g8 = v26;
            g6 = 4;
            v33 = v8;
            g3 = (int32_t)v33;
            g5 = v33->e0;
            ((int32_t (*)())v33->e3)();
            g2 = v21 > 7;
            g1 = v9 > 0xffffffe7;
            v27 = v9 + 24;
            g187 = v27 == 0;
            g9 = llvm_ctpop_i32(v27) % 2 == 1;
            g8 = v27;
            g6 = 4;
            v34 = v8;
            g3 = (int32_t)v34;
            g5 = v34->e0;
            ((int32_t (*)())v34->e3)();
            // branch -> 0x4b47d6
        }
        // 0x4b47d6
        if (v15 < 4) {
            // 0x4b4816
            *(char *)(v9 + 48) = 0;
            // branch -> 0x4b481d
        } else {
            // 0x4b47dc
            g2 = false;
            g1 = v9 > 0xffffffcf;
            v28 = v9 + 48;
            g187 = v28 == 0;
            g9 = llvm_ctpop_i32(v28) % 2 == 1;
            g8 = v28;
            g6 = 1;
            v35 = v8;
            g3 = (int32_t)v35;
            g5 = v35->e0;
            ((int32_t (*)())v35->e3)();
            if (*(char *)v28 != 0) {
                // 0x4b47f8
                g8 = v9 + 52;
                g3 = (int32_t)v8;
                function_4b493c();
                g8 = v9 + 56;
                g3 = (int32_t)v8;
                function_4b493c();
                // branch -> 0x4b481d
            }
        }
        // 0x4b481d
        if (v15 < 5) {
            // 0x4b487e
            *(char *)(v9 + 116) = 0;
            *(char *)(v9 + 117) = 0;
            *(char *)(v9 + 118) = 0;
            // branch -> 0x4b4893
        } else {
            // 0x4b4823
            // branch -> 0x4b4828
            for (uint32_t i = 0; i < 9; i++) {
                // 0x4b4828
                g8 = v9 + 80 + 4 * i;
                g3 = (int32_t)v8;
                function_4b493c();
                // PHI copies at the loop end
                // loop 0x4b4828 end
            }
            // 0x4b4843
            g2 = v21 > 11;
            g1 = v9 > 0xffffff8b;
            v29 = v9 + 116;
            g187 = v29 == 0;
            g9 = llvm_ctpop_i32(v29) % 2 == 1;
            g8 = v29;
            g6 = 1;
            v36 = v8;
            g3 = (int32_t)v36;
            g5 = v36->e0;
            ((int32_t (*)())v36->e3)();
            g2 = v21 > 10;
            g1 = v9 > 0xffffff8a;
            v30 = v9 + 117;
            g187 = v30 == 0;
            g9 = llvm_ctpop_i32(v30) % 2 == 1;
            g8 = v30;
            g6 = 1;
            v37 = v8;
            g3 = (int32_t)v37;
            g5 = v37->e0;
            ((int32_t (*)())v37->e3)();
            g2 = v21 > 9;
            g1 = v9 > 0xffffff89;
            v31 = v9 + 118;
            g187 = v31 == 0;
            g9 = llvm_ctpop_i32(v31) % 2 == 1;
            g8 = v31;
            g6 = 1;
            v38 = v8;
            g3 = (int32_t)v38;
            g5 = v38->e0;
            ((int32_t (*)())v38->e3)();
            // branch -> 0x4b4893
        }
        // 0x4b4893
        if (v15 < 6) {
            // 0x4b48b1
            *(char *)(v9 + 132) = 0;
            // branch -> 0x4b48bb
        } else {
            // 0x4b4899
            g2 = v21 > 11;
            g1 = v9 > 0xffffff7b;
            v32 = v9 + 132;
            g187 = v32 == 0;
            g9 = llvm_ctpop_i32(v32) % 2 == 1;
            g8 = v32;
            g6 = 1;
            v39 = v8;
            g3 = (int32_t)v39;
            g5 = v39->e0;
            ((int32_t (*)())v39->e3)();
            // branch -> 0x4b48bb
        }
        // 0x4b48bb
        return;
    }
    // 0x4b4799
    if (v15 < 3) {
        // 0x4b47c7
        *(char *)(v9 + 20) = 0;
        *(int32_t *)(v9 + 24) = 0;
        // branch -> 0x4b47d6
    } else {
        // 0x4b479f
        g2 = v21 > 11;
        g1 = v9 > 0xffffffeb;
        v26 = v9 + 20;
        g187 = v26 == 0;
        g9 = llvm_ctpop_i32(v26) % 2 == 1;
        g8 = v26;
        g6 = 4;
        v33 = v8;
        g3 = (int32_t)v33;
        g5 = v33->e0;
        ((int32_t (*)())v33->e3)();
        g2 = v21 > 7;
        g1 = v9 > 0xffffffe7;
        v27 = v9 + 24;
        g187 = v27 == 0;
        g9 = llvm_ctpop_i32(v27) % 2 == 1;
        g8 = v27;
        g6 = 4;
        v34 = v8;
        g3 = (int32_t)v34;
        g5 = v34->e0;
        ((int32_t (*)())v34->e3)();
        // branch -> 0x4b47d6
    }
    // 0x4b47d6
    if (v15 < 4) {
        // 0x4b4816
        *(char *)(v9 + 48) = 0;
        // branch -> 0x4b481d
        // 0x4b481d
        if (v15 < 5) {
            // 0x4b487e
            *(char *)(v9 + 116) = 0;
            *(char *)(v9 + 117) = 0;
            *(char *)(v9 + 118) = 0;
            // branch -> 0x4b4893
        } else {
            // 0x4b4823
            // branch -> 0x4b4828
            for (uint32_t i = 0; i < 9; i++) {
                // 0x4b4828
                g8 = v9 + 80 + 4 * i;
                g3 = (int32_t)v8;
                function_4b493c();
                // PHI copies at the loop end
                // loop 0x4b4828 end
            }
            // 0x4b4843
            g2 = v21 > 11;
            g1 = v9 > 0xffffff8b;
            v29 = v9 + 116;
            g187 = v29 == 0;
            g9 = llvm_ctpop_i32(v29) % 2 == 1;
            g8 = v29;
            g6 = 1;
            v36 = v8;
            g3 = (int32_t)v36;
            g5 = v36->e0;
            ((int32_t (*)())v36->e3)();
            g2 = v21 > 10;
            g1 = v9 > 0xffffff8a;
            v30 = v9 + 117;
            g187 = v30 == 0;
            g9 = llvm_ctpop_i32(v30) % 2 == 1;
            g8 = v30;
            g6 = 1;
            v37 = v8;
            g3 = (int32_t)v37;
            g5 = v37->e0;
            ((int32_t (*)())v37->e3)();
            g2 = v21 > 9;
            g1 = v9 > 0xffffff89;
            v31 = v9 + 118;
            g187 = v31 == 0;
            g9 = llvm_ctpop_i32(v31) % 2 == 1;
            g8 = v31;
            g6 = 1;
            v38 = v8;
            g3 = (int32_t)v38;
            g5 = v38->e0;
            ((int32_t (*)())v38->e3)();
            // branch -> 0x4b4893
        }
        // 0x4b4893
        if (v15 < 6) {
            // 0x4b48b1
            *(char *)(v9 + 132) = 0;
            // branch -> 0x4b48bb
        } else {
            // 0x4b4899
            g2 = v21 > 11;
            g1 = v9 > 0xffffff7b;
            v32 = v9 + 132;
            g187 = v32 == 0;
            g9 = llvm_ctpop_i32(v32) % 2 == 1;
            g8 = v32;
            g6 = 1;
            v39 = v8;
            g3 = (int32_t)v39;
            g5 = v39->e0;
            ((int32_t (*)())v39->e3)();
            // branch -> 0x4b48bb
        }
        // 0x4b48bb
        return;
    }
    // 0x4b47dc
    g2 = false;
    g1 = v9 > 0xffffffcf;
    v28 = v9 + 48;
    g187 = v28 == 0;
    g9 = llvm_ctpop_i32(v28) % 2 == 1;
    g8 = v28;
    g6 = 1;
    v35 = v8;
    g3 = (int32_t)v35;
    g5 = v35->e0;
    ((int32_t (*)())v35->e3)();
    if (*(char *)v28 != 0) {
        // 0x4b47f8
        g8 = v9 + 52;
        g3 = (int32_t)v8;
        function_4b493c();
        g8 = v9 + 56;
        g3 = (int32_t)v8;
        function_4b493c();
        // branch -> 0x4b481d
    }
    // 0x4b481d
    if (v15 < 5) {
        // 0x4b487e
        *(char *)(v9 + 116) = 0;
        *(char *)(v9 + 117) = 0;
        *(char *)(v9 + 118) = 0;
        // branch -> 0x4b4893
    } else {
        // 0x4b4823
        // branch -> 0x4b4828
        for (uint32_t i = 0; i < 9; i++) {
            // 0x4b4828
            g8 = v9 + 80 + 4 * i;
            g3 = (int32_t)v8;
            function_4b493c();
            // PHI copies at the loop end
            // loop 0x4b4828 end
        }
        // 0x4b4843
        g2 = v21 > 11;
        g1 = v9 > 0xffffff8b;
        v29 = v9 + 116;
        g187 = v29 == 0;
        g9 = llvm_ctpop_i32(v29) % 2 == 1;
        g8 = v29;
        g6 = 1;
        v36 = v8;
        g3 = (int32_t)v36;
        g5 = v36->e0;
        ((int32_t (*)())v36->e3)();
        g2 = v21 > 10;
        g1 = v9 > 0xffffff8a;
        v30 = v9 + 117;
        g187 = v30 == 0;
        g9 = llvm_ctpop_i32(v30) % 2 == 1;
        g8 = v30;
        g6 = 1;
        v37 = v8;
        g3 = (int32_t)v37;
        g5 = v37->e0;
        ((int32_t (*)())v37->e3)();
        g2 = v21 > 9;
        g1 = v9 > 0xffffff89;
        v31 = v9 + 118;
        g187 = v31 == 0;
        g9 = llvm_ctpop_i32(v31) % 2 == 1;
        g8 = v31;
        g6 = 1;
        v38 = v8;
        g3 = (int32_t)v38;
        g5 = v38->e0;
        ((int32_t (*)())v38->e3)();
        // branch -> 0x4b4893
    }
    // 0x4b4893
    if (v15 < 6) {
        // 0x4b48b1
        *(char *)(v9 + 132) = 0;
        // branch -> 0x4b48bb
    } else {
        // 0x4b4899
        g2 = v21 > 11;
        g1 = v9 > 0xffffff7b;
        v32 = v9 + 132;
        g187 = v32 == 0;
        g9 = llvm_ctpop_i32(v32) % 2 == 1;
        g8 = v32;
        g6 = 1;
        v39 = v8;
        g3 = (int32_t)v39;
        g5 = v39->e0;
        ((int32_t (*)())v39->e3)();
        // branch -> 0x4b48bb
    }
}

// Address range: 0x4b48c0 - 0x4b493b
void function_4b48c0(void) {
    int32_t v1;
    g4 = &v1;
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b493c - 0x4b5457
void function_4b493c(void) {
    // 0x4b493c
    int32_t v1;
    int32_t v2 = v1; // bp-16
    int32_t * v3;
    g4 = (int32_t)&v3;
    uint32_t v4 = g11; // 0x4b493f
    g2 = (v4 & 15) > 11;
    g1 = v4 > 11;
    int32_t v5 = v4 - 12; // 0x4b493f
    g187 = v5 == 0;
    g9 = llvm_ctpop_i32(v5) % 2 == 1;
    int32_t v6 = g5; // 0x4b4942
    int32_t v7 = g8; // 0x4b4943
    int32_t v8 = g3; // 0x4b4946
    struct struct_19 * v9 = (struct struct_19 *)v8; // bp-8
    g8 = &v2;
    int32_t v10 = *(int32_t *)v8; // 0x4b4954
    g5 = v10;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t))*(int32_t *)(v10 + 12))(v6, v1, v7, v8);
    uint32_t v11 = v2; // 0x4b4959
    g2 = false;
    g1 = false;
    g187 = v11 == 0;
    g9 = llvm_ctpop_i32(v11) % 2 == 1;
    if (v11 >= 1) {
        // 0x4b495f
        System__LStrSetLength(4);
        function_405070();
        g8 = v7;
        g6 = v2;
        g3 = (int32_t)v9;
        int32_t v12 = v9->e0; // 0x4b497a
        g5 = v12;
        ((int32_t (*)())*(int32_t *)(v12 + 12))();
        // branch -> 0x4b497f
    }
    // 0x4b497f
    g5 = v6;
    g4 = (int32_t)v3;
}

// Address range: 0x4b5458 - 0x4b586b
void function_4b5458(void) {
    // 0x4b5458
    System__LStrAddRef(NULL);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b586c - 0x4b5e66
void function_4b586c(void) {
    int32_t * v1;
    g11 = (int32_t)&v1;
    int32_t v2 = g8; // 0x4b5872
    char v3 = 0;
    int32_t v4;
    if (v2 != 0) {
        // 0x4b5876
        g11 = &v4;
        System__ClassCreate((int32_t *)g6, v2);
        v3 = g8;
        // branch -> 0x4b587e
    }
    // 0x4b587e
    v1 = (int32_t *)g6;
    int32_t v5 = g3; // 0x4b5884
    g8 = 0x4b5a9c;
    g3 = g154;
    int32_t v6;
    int32_t v7;
    function_4b6fd8(&v4, (char *)&v7, &v6);
    char * v8 = (char *)(v5 + 17); // 0x4b589e_0
    *v8 = 0;
    int32_t v9 = (int32_t)v1; // 0x4b58a5
    *(int32_t *)(v5 + 4) = v9;
    g8 = v9 & -256 | 1;
    function_403c70();
    int32_t * v10 = (int32_t *)(v5 + 8); // 0x4b58ba_0
    *v10 = 0x45b2a8;
    int32_t v11 = unknown_4b24bc(); // 0x4b58c4
    int32_t * v12 = (int32_t *)(v5 + 12); // 0x4b58cc_0
    *v12 = v11;
    *(int32_t *)(*v12 + 8) = *v10;
    System__LStrAsg((char *)1, (char *)g163);
    if (g162 == 0) {
        // 0x4b58fe
        System__LStrAsg((char *)1, "Libs\\");
        // branch -> 0x4b5926
    } else {
        // 0x4b5913
        System__LStrAsg((char *)1, "Libs\\Network\\");
        // branch -> 0x4b5926
    }
    // 0x4b5926
    if (g161 == 2) {
        // 0x4b5930
        System__LStrAsg((char *)1, "Libs\\Replay\\");
        // branch -> 0x4b5943
    }
    // 0x4b5943
    function_45b3c4();
    if (g3 == 0) {
        // 0x4b5955
        g8 = *(int32_t *)(*v10 + 24);
        g3 = g155;
        function_4b6fd8(&v4, (char *)&v7, &v6);
        *v8 = 1;
        System__LStrAsg((char *)1, (char *)*(int32_t *)(*v10 + 24));
        // branch -> 0x4b5988
    }
    // 0x4b5988
    g6 = 1;
    g8 = 0x4b5b08;
    g3 = g154;
    function_4b6fd8(&v4, (char *)&v7, &v6);
    g136 = 0;
    g8 = 0x4b5b2c;
    g3 = g154;
    function_4b6fd8(&v4, (char *)&v7, &v6);
    function_4b3288();
    if (g3 == 0) {
        // 0x4b59c7
        g8 = *(int32_t *)(*v12 + 12);
        g3 = g155;
        function_4b6fd8(&v4, (char *)&v7, &v6);
        *v8 = 1;
        System__LStrAsg((char *)1, (char *)*(int32_t *)(*v12 + 12));
        // branch -> 0x4b5a73
        // 0x4b5a73
        if (v3 == 0) {
            // 0x4b5a8b
            return;
        }
        // 0x4b5a7c
        System__AfterConstruction((int32_t *)1);
        abort();
        // UNREACHABLE
    }
    // 0x4b59fc
    g136 = 1;
    int32_t v13 = *(int32_t *)(*v12 + 4); // 0x4b5a0a
    g137 = *(int32_t *)(*(int32_t *)(v13 + 12) + 28);
    g138 = *(int32_t *)(*v12 + 4);
    int32_t v14;
    int32_t * v15;
    int32_t * v16;
    if (unknown_4b65b4() == 0) {
        // 0x4b5a38
        System__LStrAsg((char *)1, " Failed to load images : see pxerrors.txt for list");
        g8 = *(int32_t *)(v5 + 20);
        g3 = g154;
        function_4b6fd8(v15, (char *)v16, &v14);
        // branch -> 0x4b5a73
    } else {
        // 0x4b5a5f
        g8 = 0x4b5b8c;
        g3 = g154;
        function_4b6fd8(v15, (char *)v16, &v14);
        // branch -> 0x4b5a73
    }
    // 0x4b5a73
    if (v3 == 0) {
        // 0x4b5a8b
        return;
    }
    // 0x4b5a7c
    System__AfterConstruction((int32_t *)1);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b5e68 - 0x4b5faf
void function_4b5e68(void) {
    int32_t * v1;
    g4 = (int32_t)&v1;
    g3 = 0;
    abort();
    // UNREACHABLE
}

// Address range: 0x4b5fb0 - 0x4b6202
void function_4b5fb0(void) {
    int32_t * v1;
    g4 = (int32_t)&v1;
    abort();
    // UNREACHABLE
}

// Address range: 0x4b6204 - 0x4b62ff
void function_4b6204(void) {
    int32_t v1 = g6; // 0x4b620b
    int32_t v2 = g8; // 0x4b620e
    int32_t v3 = 0; // bp-28
    g11 = &v3;
    function_4b5fb0();
    g8 = v1 + 104;
    g1 = false;
    g2 = false;
    g187 = true;
    g9 = false;
    g6 = 0;
    int32_t * v4 = (int32_t *)(v2 + 8); // 0x4b6234_0
    int32_t v5 = *v4; // 0x4b6234
    g3 = v5;
    int32_t v6 = *(int32_t *)v5; // 0x4b6237
    g5 = v6;
    ((int32_t (*)())*(int32_t *)(v6 + 20))();
    int32_t v7;
    int32_t v8 = &v7; // 0x4b623c_0
    g8 = v8;
    g6 = 4;
    int32_t v9 = *v4; // 0x4b6247
    g3 = v9;
    int32_t v10 = *(int32_t *)v9; // 0x4b624a
    g5 = v10;
    ((int32_t (*)())*(int32_t *)(v10 + 12))();
    if (v7 == 1) {
        int32_t * v11 = (int32_t *)3;
        g11 = (int32_t)&v11;
        function_4b5fb0();
        // branch -> 0x4b626a
    }
    // 0x4b626a
    g8 = v1 + 180;
    g1 = false;
    g2 = false;
    g187 = true;
    g9 = false;
    g6 = 0;
    int32_t v12 = *v4; // 0x4b6278
    g3 = v12;
    int32_t v13 = *(int32_t *)v12; // 0x4b627b
    g5 = v13;
    ((int32_t (*)())*(int32_t *)(v13 + 20))();
    g8 = v8;
    g6 = 4;
    int32_t v14 = *v4; // 0x4b628b
    g3 = v14;
    int32_t v15 = *(int32_t *)v14; // 0x4b628e
    g5 = v15;
    ((int32_t (*)())*(int32_t *)(v15 + 12))();
    if (v7 == 1) {
        int32_t * v16 = (int32_t *)1;
        g11 = (int32_t)&v16;
        function_4b5fb0();
        g8 = v1 + 300;
        g1 = false;
        g2 = false;
        g187 = true;
        g9 = false;
        g6 = 0;
        int32_t v17 = *v4; // 0x4b62bf
        g3 = v17;
        int32_t v18 = *(int32_t *)v17; // 0x4b62c2
        g5 = v18;
        ((int32_t (*)())*(int32_t *)(v18 + 20))();
        g8 = v8;
        g6 = 4;
        int32_t v19 = *v4; // 0x4b62d2
        g3 = v19;
        int32_t v20 = *(int32_t *)v19; // 0x4b62d5
        g5 = v20;
        ((int32_t (*)())*(int32_t *)(v20 + 12))();
        if (v7 == 1) {
            int32_t * v21 = (int32_t *)2;
            g11 = (int32_t)&v21;
            function_4b5fb0();
            // branch -> 0x4b62f8
        }
    }
    // 0x4b62f8
    int32_t v22;
    g4 = v22;
}

// Address range: 0x4b6300 - 0x4b6f8f
void function_4b6300(void) {
    int32_t v1 = g5; // bp-48
    int32_t v2 = g3; // 0x4b6307
    g6 = 1;
    g8 = 0x4b659c;
    g3 = g154;
    int32_t v3;
    int32_t v4;
    function_4b6fd8(&v1, (char *)&v4, &v3);
    int32_t * v5 = (int32_t *)(v2 + 4); // 0x4b6321_0
    int32_t v6 = *(int32_t *)(*v5 + 32); // 0x4b6324
    if (v6 < 1) {
        // 0x4b658f
        return;
    }
    // 0x4b632f
    v3 = v6;
    int32_t v7;
    int32_t v8 = &v7; // 0x4b6392_0
    int32_t v9 = 1; // 0x4b65832
    // branch -> 0x4b6339
  lab_0x4b6339:
    while (true) {
        int32_t v10 = v6; // 0x4b6370
        int32_t * v11 = NULL; // 0x4b6576_41
        // branch -> 0x4b633e
        while (true) {
            int32_t v12 = (int32_t)v11; // 0x4b6351
            int32_t v13 = *(int32_t *)(*v5 + 4) + 0x3310 * v9 + 136 * v12; // 0x4b635b
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            g6 = 0;
            g8 = 48;
            int32_t * v14 = (int32_t *)(v13 + 8); // 0x4b636b_0
            int32_t v15 = *v14; // 0x4b636b
            g3 = v15;
            int32_t v16 = *(int32_t *)v15; // 0x4b636e
            g5 = v16;
            int32_t v17 = *(int32_t *)(v16 + 20); // 0x4b6370
            ((int32_t (*)(int32_t, int32_t, int32_t, int32_t))v17)(v1, v4, v10, v13);
            int32_t v18;
            g8 = &v18;
            g6 = 4;
            int32_t v19 = *v14; // 0x4b637e
            g3 = v19;
            int32_t v20 = *(int32_t *)v19; // 0x4b6381
            g5 = v20;
            ((int32_t (*)())*(int32_t *)(v20 + 12))();
            uint32_t v21 = v18; // 0x4b6386
            int32_t v22 = v21 & 15; // 0x4b6386
            g2 = v22 > 16;
            g1 = v21 == 0;
            int32_t v23 = v21 - 1; // 0x4b6386
            g187 = v23 == 0;
            g9 = llvm_ctpop_i32(v23) % 2 == 1;
            int32_t v24; // 0x4b63a0
            int32_t v25; // 0x4b63b3
            int32_t v26; // 0x4b639d
            int32_t v27; // 0x4b63b0
            int32_t v28; // 0x4b63b8
            if (v21 != 1) {
                // 0x4b638c
                g2 = v22 > 17;
                g1 = v21 < 2;
                int32_t v29 = v21 - 2; // 0x4b638c
                g187 = v29 == 0;
                g9 = llvm_ctpop_i32(v29) % 2 == 1;
                if (v21 != 2) {
                    // 0x4b63f4
                    if (v21 == 3) {
                        // 0x4b63fa
                        g6 = 80;
                        g8 = v13;
                        g3 = v2;
                        function_4b6204();
                        // branch -> 0x4b643b
                    } else {
                        // 0x4b640c
                        g2 = v22 > 19;
                        g1 = v21 < 4;
                        int32_t v30 = v21 - 4; // 0x4b640c
                        g187 = v30 == 0;
                        g9 = llvm_ctpop_i32(v30) % 2 == 1;
                        if (v21 == 4) {
                            // 0x4b6412
                            g8 = v8;
                            g6 = 4;
                            int32_t v31 = *v14; // 0x4b641d
                            g3 = v31;
                            int32_t v32 = *(int32_t *)v31; // 0x4b6420
                            g5 = v32;
                            ((int32_t (*)())*(int32_t *)(v32 + 12))();
                            if (v7 == 24) {
                                // 0x4b642b
                                g6 = 56;
                                g8 = v13;
                                g3 = v2;
                                function_4b6204();
                                // branch -> 0x4b643b
                            }
                        }
                    }
                  lab_0x4b643b_4:;
                    char * v33 = (char *)(v13 + 116); // 0x4b643e_0
                    char * v34; // 0x4b649f_0
                    if (*v33 != 0) {
                        // 0x4b6444
                        function_4b5e68();
                        int32_t * v35 = (int32_t *)(v13 + 120); // 0x4b6457_0
                        *v35 = g3;
                        function_4b5e68();
                        uint32_t v36 = g3; // 0x4b646a
                        function_4b5e68();
                        int32_t * v37 = (int32_t *)g3; // 0x4b647d_0
                        if (*v35 >= 0) {
                            // 0x4b6489
                            if (v36 >= 0) {
                                // 0x4b648f
                                if (v37 > (int32_t *)-1) {
                                  lab_0x4b649c:
                                    // 0x4b649c
                                    v34 = (char *)(v13 + 117);
                                    char * v38; // 0x4b6509_0
                                    if (*v34 != 0) {
                                      lab_0x4b64a5:
                                        // 0x4b64a5
                                        function_4b5e68();
                                        int32_t * v39 = (int32_t *)(v13 + 124); // 0x4b64bb_0
                                        *v39 = g3;
                                        function_4b5e68();
                                        uint32_t v40 = g3; // 0x4b64d1
                                        function_4b5e68();
                                        int32_t * v41 = (int32_t *)g3; // 0x4b64e7_0
                                        if (*v39 >= 0) {
                                            // 0x4b64f3
                                            if (v40 >= 0) {
                                                // 0x4b64f9
                                                if (v41 > (int32_t *)-1) {
                                                  lab_0x4b6506:
                                                    // 0x4b6506
                                                    v38 = (char *)(v13 + 118);
                                                    int32_t v42; // 0x4b6576
                                                    if (*v38 != 0) {
                                                      lab_0x4b650f:
                                                        // 0x4b650f
                                                        function_4b5e68();
                                                        int32_t * v43 = (int32_t *)(v13 + 128); // 0x4b6525_0
                                                        *v43 = g3;
                                                        function_4b5e68();
                                                        uint32_t v44 = g3; // 0x4b653e
                                                        function_4b5e68();
                                                        int32_t * v45 = (int32_t *)g3; // 0x4b6554_0
                                                        if (*v43 >= 0) {
                                                            // 0x4b6563
                                                            if (v44 >= 0) {
                                                                // 0x4b6569
                                                                if (v45 > (int32_t *)-1) {
                                                                  lab_0x4b6576:
                                                                    // 0x4b6576
                                                                    v42 = v12 + 1;
                                                                    if (v42 == 71) {
                                                                      lab_0x4b6583:;
                                                                        int32_t v46 = v3 - 1; // 0x4b6586
                                                                        v3 = v46;
                                                                        if (v46 == 0) {
                                                                            // break (via goto) -> 0x4b658f
                                                                            goto lab_0x4b658f;
                                                                        }
                                                                        v6 = v46;
                                                                        v9++;
                                                                        // continue (via goto) -> 0x4b6339
                                                                        goto lab_0x4b6339;
                                                                    } else {
                                                                      lab_0x4b6576_2:
                                                                        // 0x4b6576
                                                                        v10 = v3;
                                                                        v11 = (int32_t *)v42;
                                                                        // branch -> 0x4b633e
                                                                        continue;
                                                                    }
                                                                }
                                                            }
                                                        }
                                                        // 0x4b656f
                                                        *v38 = 0;
                                                        // branch -> 0x4b6576
                                                        goto lab_0x4b6576;
                                                    }
                                                  lab_0x4b6576_3:
                                                    // 0x4b6576
                                                    v42 = v12 + 1;
                                                    if (v42 == 71) {
                                                        goto lab_0x4b6583;
                                                    }
                                                    goto lab_0x4b6576_2;
                                                }
                                            }
                                        }
                                        // 0x4b64ff
                                        *v34 = 0;
                                        // branch -> 0x4b6506
                                        goto lab_0x4b6506;
                                    }
                                  lab_0x4b6506_2:
                                    // 0x4b6506
                                    v38 = (char *)(v13 + 118);
                                    if (*v38 == 0) {
                                        goto lab_0x4b6576_3;
                                    }
                                    goto lab_0x4b650f;
                                }
                            }
                        }
                        // 0x4b6495
                        *v33 = 0;
                        // branch -> 0x4b649c
                        goto lab_0x4b649c;
                    }
                    // 0x4b649c
                    v34 = (char *)(v13 + 117);
                    if (*v34 == 0) {
                        goto lab_0x4b6506_2;
                    }
                    goto lab_0x4b64a5;
                }
                // 0x4b6392
                g8 = v8;
                g6 = 4;
                v26 = *v14;
                g3 = v26;
                v24 = *(int32_t *)v26;
                g5 = v24;
                ((int32_t (*)())*(int32_t *)(v24 + 12))();
                g8 = v8;
                g6 = 4;
                v27 = *v14;
                g3 = v27;
                v25 = *(int32_t *)v27;
                g5 = v25;
                ((int32_t (*)())*(int32_t *)(v25 + 12))();
                v28 = v18;
                if (v28 == 1) {
                  lab_0x4b63be:
                    // 0x4b63be
                    if (v7 == 3) {
                        // 0x4b63c4
                        g6 = 60;
                        g8 = v13;
                        g3 = v2;
                        function_4b6204();
                        // branch -> 0x4b643b
                        goto lab_0x4b643b_4;
                    }
                }
              lab_0x4b63d6:
                // 0x4b63d6
                if (v28 != 2) {
                    goto lab_0x4b643b_4;
                }
                // 0x4b63dc
                if (v7 != 2) {
                    goto lab_0x4b643b_4;
                }
                // 0x4b63e2
                g6 = 60;
                g8 = v13;
                g3 = v2;
                function_4b6204();
                // branch -> 0x4b643b
                goto lab_0x4b643b_4;
            }
            // 0x4b6392
            g8 = v8;
            g6 = 4;
            v26 = *v14;
            g3 = v26;
            v24 = *(int32_t *)v26;
            g5 = v24;
            ((int32_t (*)())*(int32_t *)(v24 + 12))();
            g8 = v8;
            g6 = 4;
            v27 = *v14;
            g3 = v27;
            v25 = *(int32_t *)v27;
            g5 = v25;
            ((int32_t (*)())*(int32_t *)(v25 + 12))();
            v28 = v18;
            if (v28 == 1) {
                goto lab_0x4b63be;
            }
            goto lab_0x4b63d6;
        }
      lab_0x4b658f:
        // 0x4b658f
        return;
    }
}

// Address range: 0x4b6f90 - 0x4b6fd7
void function_4b6f90(void) {
    int32_t v1 = g8; // 0x4b6f96
    int32_t v2 = g3; // 0x4b6f99
    g3 = *(int32_t *)(g160 + 8);
    g8 = 1296;
    function_4b8f4c();
    int32_t v3 = *(int32_t *)(*(int32_t *)(v2 + 4) + 4); // 0x4b6fbd
    g8 = *(int32_t *)(*(int32_t *)(0x3310 * v1 + 0x330c + v3) + 4);
    g6 = 0x80b0;
    function_407924();
}

// Address range: 0x4b6fd8 - 0x4b7057
int32_t function_4b6fd8(int32_t * a1, char * a2, int32_t * a3) {
    uint32_t v1 = g6; // 0x4b6fde
    int32_t v2 = g8; // 0x4b6fe1
    int32_t result2 = g3; // 0x4b6fe4
    int32_t v3; // 0x4b702d_0
    int32_t v4; // 0x4b7010
    int32_t result; // 0x4b7054_11
    char v5;
    char * v6;
    int32_t v7;
    int32_t v8; // 0x4b7007
    if (g156 != 0) {
        // 0x4b7007
        g2 = (v1 & 15) > 18;
        g1 = v1 < 3;
        v8 = v1 - 3;
        g187 = v8 == 0;
        g9 = llvm_ctpop_i32(v8) % 2 == 1;
        if (v1 <= 3) {
            // 0x4b700d
            g3 = v2;
            v4 = function_404e18(v6);
            System__LStrToPChar((char *)g6);
            g8 = v2;
            g3 = result2;
            g6 = v4;
            function_4093ec(v6, v1, v2);
            v5 = 13;
            v3 = &v5;
            g8 = v3;
            g6 = 1;
            g3 = result2;
            function_4093ec(v6, v1, v2);
            v5 = 10;
            g8 = v3;
            g6 = 1;
            g3 = result2;
            result = function_4093ec(v6, v1, v2);
            // branch -> 0x4b7051
        } else {
            int32_t v9; // 0x4b7054_12
            result = v9;
        }
        // 0x4b7051
        g4 = v7;
        return result;
    }
    int32_t v10 = result2 & 15; // 0x4b6ff3
    g2 = v10 - (g154 & 15) > 15;
    g1 = result2 < g154;
    g187 = result2 == g154;
    g9 = llvm_ctpop_i32(result2 - g154) % 2 == 1;
    if (result2 == g154) {
        // 0x4b7051
        g4 = v7;
        return result2;
    }
    // 0x4b6ffb
    g3 = g46;
    g2 = (g117 & 15) - v10 > 15;
    g1 = g117 < result2;
    g187 = g117 == result2;
    g9 = llvm_ctpop_i32(g117 - result2) % 2 == 1;
    if (g117 == result2) {
        // 0x4b7051
        g4 = v7;
        return result2;
    }
    // 0x4b7007
    g2 = (v1 & 15) > 18;
    g1 = v1 < 3;
    v8 = v1 - 3;
    g187 = v8 == 0;
    g9 = llvm_ctpop_i32(v8) % 2 == 1;
    if (v1 <= 3) {
        // 0x4b700d
        g3 = v2;
        v4 = function_404e18(v6);
        System__LStrToPChar((char *)g6);
        g8 = v2;
        g3 = result2;
        g6 = v4;
        function_4093ec(v6, v1, v2);
        v5 = 13;
        v3 = &v5;
        g8 = v3;
        g6 = 1;
        g3 = result2;
        function_4093ec(v6, v1, v2);
        v5 = 10;
        g8 = v3;
        g6 = 1;
        g3 = result2;
        result = function_4093ec(v6, v1, v2);
        // branch -> 0x4b7051
    } else {
        result = g117;
    }
    // 0x4b7051
    g4 = v7;
    return result;
}

// Address range: 0x4b7058 - 0x4b78a3
void function_4b7058(void) {
    int32_t v1 = g5; // bp-48
    g11 = &v1;
    int32_t v2 = g8; // 0x4b7062
    g8 = v2 & -256 | 1;
    function_403c70();
    g3 = 0x80b0;
    function_4b8ea8();
    g8 = g8 & -256 | 1;
    g3 = 0x4b8ba0;
    function_4b91a8();
    *(int32_t *)(v2 + 0x330c) = g3;
    g3 = g124 + 0x76e8;
    function_4b8d1c();
    int32_t v3 = g4; // 0x4b70c2
    // branch -> 0x4b70b8
    int32_t v4; // 0x4b7446
    while (true) {
        int32_t v5 = *(int32_t *)(v3 - 8); // 0x4b70c2
        int32_t v6 = *(int32_t *)(136 * *(int32_t *)(v3 - 28) + 8 + v5); // 0x4b70c5
        g3 = v6;
        g6 = 0;
        g1 = false;
        g2 = false;
        g187 = true;
        g9 = false;
        g8 = 0;
        int32_t v7 = *(int32_t *)v6; // 0x4b70cd
        g5 = v7;
        int32_t v8;
        ((int32_t (*)(int32_t, int32_t))*(int32_t *)(v7 + 20))(v1, v8);
        int32_t v9 = g4; // 0x4b70d2
        function_405070();
        int32_t v10 = *(int32_t *)(v9 - 8) + 136 * *(int32_t *)(v9 - 28); // 0x4b70e7
        *(int32_t *)(g4 - 24) = v10;
        int32_t v11 = g4; // 0x4b70ea
        int32_t v12 = *(int32_t *)(v11 - 28); // 0x4b70ea
        g2 = false;
        uint32_t v13 = 17 * v12; // 0x4b70f2
        g1 = v13 < 16 * v12;
        g187 = v13 == 0;
        g9 = llvm_ctpop_i32(v13) % 2 == 1;
        int32_t v14 = *(int32_t *)(136 * v12 + 8 + *(int32_t *)(v11 - 8)); // 0x4b70f7
        g3 = v14;
        g8 = v11 - 24;
        g6 = 4;
        int32_t v15 = *(int32_t *)v14; // 0x4b7103
        g5 = v15;
        ((int32_t (*)())*(int32_t *)(v15 + 16))();
        int32_t v16 = g4; // 0x4b7108
        function_405070();
        int32_t v17 = *(int32_t *)(v16 - 8) + (136 * *(int32_t *)(v16 - 28) | 4); // 0x4b711e
        *(int32_t *)(g4 - 24) = v17;
        int32_t v18 = g4; // 0x4b7121
        int32_t v19 = *(int32_t *)(v18 - 28); // 0x4b7121
        g2 = false;
        uint32_t v20 = 17 * v19; // 0x4b7129
        g1 = v20 < 16 * v19;
        g187 = v20 == 0;
        g9 = llvm_ctpop_i32(v20) % 2 == 1;
        int32_t v21 = *(int32_t *)(136 * v19 + 8 + *(int32_t *)(v18 - 8)); // 0x4b712e
        g3 = v21;
        g8 = v18 - 24;
        g6 = 4;
        int32_t v22 = *(int32_t *)v21; // 0x4b713a
        g5 = v22;
        ((int32_t (*)())*(int32_t *)(v22 + 16))();
        int32_t v23 = g4; // 0x4b713f
        int32_t v24 = *(int32_t *)(v23 - 8); // 0x4b7149
        int32_t v25 = *(int32_t *)(136 * *(int32_t *)(v23 - 28) + 8 + v24); // 0x4b714c
        g3 = v25;
        g1 = false;
        g2 = false;
        g187 = true;
        g9 = false;
        g6 = 0;
        g8 = 44;
        int32_t v26 = *(int32_t *)v25; // 0x4b7157
        g5 = v26;
        ((int32_t (*)())*(int32_t *)(v26 + 20))();
        int32_t v27 = g4; // 0x4b715c
        int32_t v28 = *(int32_t *)(v27 - 28); // 0x4b7160
        *(int32_t *)(v27 - 24) = v28 + 100 * *(int32_t *)(v27 - 12);
        int32_t v29 = g4; // 0x4b7166
        int32_t v30 = *(int32_t *)(v29 - 28); // 0x4b7166
        g2 = false;
        uint32_t v31 = 17 * v30; // 0x4b716e
        g1 = v31 < 16 * v30;
        g187 = v31 == 0;
        g9 = llvm_ctpop_i32(v31) % 2 == 1;
        int32_t v32 = *(int32_t *)(136 * v30 + 8 + *(int32_t *)(v29 - 8)); // 0x4b7173
        g3 = v32;
        g8 = v29 - 24;
        g6 = 4;
        int32_t v33 = *(int32_t *)v32; // 0x4b717f
        g5 = v33;
        ((int32_t (*)())*(int32_t *)(v33 + 16))();
        int32_t v34 = g4; // 0x4b7184
        int32_t v35 = *(int32_t *)(v34 - 8); // 0x4b718e
        int32_t v36 = *(int32_t *)(136 * *(int32_t *)(v34 - 28) + 8 + v35); // 0x4b7191
        g3 = v36;
        g1 = false;
        g2 = false;
        g187 = true;
        g9 = false;
        g6 = 0;
        g8 = 16;
        int32_t v37 = *(int32_t *)v36; // 0x4b719c
        g5 = v37;
        ((int32_t (*)())*(int32_t *)(v37 + 20))();
        int32_t v38 = g4; // 0x4b71a1
        int32_t v39 = *(int32_t *)(v38 - 28); // 0x4b71a1
        g2 = false;
        uint32_t v40 = 17 * v39; // 0x4b71a9
        g1 = v40 < 16 * v39;
        g187 = v40 == 0;
        g9 = llvm_ctpop_i32(v40) % 2 == 1;
        int32_t v41 = *(int32_t *)(136 * v39 + 8 + *(int32_t *)(v38 - 8)); // 0x4b71ae
        g3 = v41;
        g8 = v38 - 32;
        g6 = 4;
        int32_t v42 = *(int32_t *)v41; // 0x4b71ba
        g5 = v42;
        ((int32_t (*)())*(int32_t *)(v42 + 12))();
        int32_t v43 = g4; // 0x4b71bf
        int32_t v44 = v43; // 0x4b7267
        uint32_t v45; // 0x4b7282
        uint32_t v46; // 0x4b730d
        int32_t * v47; // 0x4b72fa_0
        int32_t v48; // 0x4b7298
        int32_t v49; // 0x4b7275
        int32_t v50; // 0x4b7293
        int32_t v51; // 0x4b7300
        int32_t v52; // 0x4b731e
        int32_t v53; // 0x4b727a
        int32_t v54; // 0x4b7298
        int32_t v55; // 0x4b7305
        int32_t v56; // 0x4b7323
        int32_t v57; // 0x4b7267
        int32_t v58; // 0x4b727a
        int32_t v59; // 0x4b7305
        int32_t v60; // 0x4b726a
        int32_t v61; // 0x4b7287
        int32_t v62; // 0x4b7298
        int32_t v63; // 0x4b7312
        if (*(int32_t *)(v43 - 32) == 0) {
            // 0x4b71c9
            if (*(char *)(v43 - 33) != 0) {
                int32_t v64 = *(int32_t *)(v43 - 8); // 0x4b71dd
                *(char *)(136 * *(int32_t *)(v43 - 28) + 12 + v64) = 1;
                int32_t v65 = g4; // 0x4b71e5
                int32_t v66 = *(int32_t *)(v65 - 8); // 0x4b71ef
                *(int32_t *)(v66 + 16 + 136 * *(int32_t *)(v65 - 28)) = 0;
                int32_t v67 = g4; // 0x4b71f8
                int32_t v68 = *(int32_t *)(v67 - 8); // 0x4b7202
                *(char *)(136 * *(int32_t *)(v67 - 28) + 20 + v68) = 1;
                int32_t v69 = g4; // 0x4b720a
                int32_t v70 = *(int32_t *)(v69 - 8); // 0x4b7214
                *(int32_t *)(v70 + 24 + 136 * *(int32_t *)(v69 - 28)) = 0;
                int32_t v71 = g4; // 0x4b721d
                int32_t v72 = *(int32_t *)(v71 - 8); // 0x4b7227
                int32_t v73 = *(int32_t *)(136 * *(int32_t *)(v71 - 28) + 8 + v72); // 0x4b722a
                g3 = v73;
                g1 = false;
                g2 = false;
                g187 = true;
                g9 = false;
                g6 = 0;
                g8 = 36;
                int32_t v74 = *(int32_t *)v73; // 0x4b7235
                g5 = v74;
                ((int32_t (*)())*(int32_t *)(v74 + 20))();
                *(int32_t *)(g4 - 32) = 0;
                int32_t v75 = g4; // 0x4b723f
                int32_t v76 = *(int32_t *)(v75 - 28); // 0x4b723f
                g2 = false;
                uint32_t v77 = 17 * v76; // 0x4b7247
                g1 = v77 < 16 * v76;
                g187 = v77 == 0;
                g9 = llvm_ctpop_i32(v77) % 2 == 1;
                int32_t v78 = *(int32_t *)(136 * v76 + 8 + *(int32_t *)(v75 - 8)); // 0x4b724c
                g3 = v78;
                g8 = v75 - 32;
                g6 = 4;
                int32_t v79 = *(int32_t *)v78; // 0x4b7258
                g5 = v79;
                ((int32_t (*)())*(int32_t *)(v79 + 16))();
                v44 = g4;
                // branch -> 0x4b725d
            } else {
                v44 = v43;
            }
            // 0x4b725d
            v57 = *(int32_t *)(v44 - 8);
            v60 = *(int32_t *)(136 * *(int32_t *)(v44 - 28) + 8 + v57);
            g3 = v60;
            g1 = false;
            g2 = false;
            g187 = true;
            g9 = false;
            g6 = 0;
            g8 = 48;
            v49 = *(int32_t *)v60;
            g5 = v49;
            ((int32_t (*)())*(int32_t *)(v49 + 20))();
            v53 = g4;
            v58 = *(int32_t *)(v53 - 28);
            g2 = false;
            v45 = 17 * v58;
            g1 = v45 < 16 * v58;
            g187 = v45 == 0;
            g9 = llvm_ctpop_i32(v45) % 2 == 1;
            v61 = *(int32_t *)(136 * v58 + 8 + *(int32_t *)(v53 - 8));
            g3 = v61;
            g8 = v53 - 32;
            v50 = *(int32_t *)v61;
            g5 = v50;
            ((int32_t (*)())*(int32_t *)(v50 + 12))();
            v54 = g4;
            v62 = *(int32_t *)(v54 - 32);
            g2 = (v62 & 15) > 16;
            g1 = v62 == 0;
            v48 = v62 - 1;
            g187 = v48 == 0;
            g9 = llvm_ctpop_i32(v48) % 2 == 1;
            v47 = (int32_t *)v54;
            g4 = *v47;
            g11 = v54 + 4;
            g8 = 164;
            v51 = *(int32_t *)g3;
            g5 = v51;
            *v47 = 0x4b7305;
            ((int32_t (*)())*(int32_t *)(v51 + 20))();
            v55 = g4;
            v59 = *(int32_t *)(v55 - 28);
            g2 = false;
            v46 = 17 * v59;
            g1 = v46 < 16 * v59;
            g187 = v46 == 0;
            g9 = llvm_ctpop_i32(v46) % 2 == 1;
            v63 = *(int32_t *)(136 * v59 + 8 + *(int32_t *)(v55 - 8));
            g3 = v63;
            g8 = v55 - 32;
            v52 = *(int32_t *)v63;
            g5 = v52;
            *(int32_t *)(g11 - 4) = 0x4b7323;
            ((int32_t (*)())*(int32_t *)(v52 + 12))();
            v56 = g4;
            if (*(int32_t *)(v56 - 32) == 1) {
              lab_0x4b732d:;
                int32_t v80 = *(int32_t *)(v56 - 8); // 0x4b7337
                int32_t v81 = *(int32_t *)(136 * *(int32_t *)(v56 - 28) + 8 + v80); // 0x4b733a
                g3 = v81;
                g1 = false;
                g2 = false;
                g187 = true;
                g9 = false;
                g6 = 0;
                g8 = 12;
                int32_t v82 = *(int32_t *)v81; // 0x4b7345
                g5 = v82;
                *(int32_t *)(g11 - 4) = 0x4b734a;
                ((int32_t (*)())*(int32_t *)(v82 + 20))();
                *(int32_t *)(g4 - 32) = 0;
                int32_t v83 = g4; // 0x4b734f
                int32_t v84 = *(int32_t *)(v83 - 28); // 0x4b734f
                g2 = false;
                uint32_t v85 = 17 * v84; // 0x4b7357
                g1 = v85 < 16 * v84;
                g187 = v85 == 0;
                g9 = llvm_ctpop_i32(v85) % 2 == 1;
                int32_t v86 = *(int32_t *)(136 * v84 + 8 + *(int32_t *)(v83 - 8)); // 0x4b735c
                g3 = v86;
                g8 = v83 - 32;
                int32_t v87 = *(int32_t *)v86; // 0x4b7368
                g5 = v87;
                *(int32_t *)(g11 - 4) = 0x4b736d;
                ((int32_t (*)())*(int32_t *)(v87 + 16))();
                // branch -> 0x4b742a
            }
          lab_0x4b742a:
            // 0x4b742a
            Classes__TCustomMemoryStream__SaveToStream((int32_t *)4);
            int32_t * v88 = (int32_t *)(g4 - 28); // 0x4b7443_0
            *v88 = *v88 + 1;
            v4 = g4;
            uint32_t v89 = *(int32_t *)(v4 - 28); // 0x4b7446
            g2 = (v89 & 15) > 22;
            g1 = v89 < 71;
            int32_t v90 = v89 - 71; // 0x4b7446
            g187 = v90 == 0;
            g9 = llvm_ctpop_i32(v90) % 2 == 1;
            if (v89 == 71) {
                // break -> 0x4b7450
                break;
            }
            v3 = v4;
            // continue -> 0x4b70b8
            continue;
        }
        // 0x4b725d
        v57 = *(int32_t *)(v44 - 8);
        v60 = *(int32_t *)(136 * *(int32_t *)(v44 - 28) + 8 + v57);
        g3 = v60;
        g1 = false;
        g2 = false;
        g187 = true;
        g9 = false;
        g6 = 0;
        g8 = 48;
        v49 = *(int32_t *)v60;
        g5 = v49;
        ((int32_t (*)())*(int32_t *)(v49 + 20))();
        v53 = g4;
        v58 = *(int32_t *)(v53 - 28);
        g2 = false;
        v45 = 17 * v58;
        g1 = v45 < 16 * v58;
        g187 = v45 == 0;
        g9 = llvm_ctpop_i32(v45) % 2 == 1;
        v61 = *(int32_t *)(136 * v58 + 8 + *(int32_t *)(v53 - 8));
        g3 = v61;
        g8 = v53 - 32;
        v50 = *(int32_t *)v61;
        g5 = v50;
        ((int32_t (*)())*(int32_t *)(v50 + 12))();
        v54 = g4;
        v62 = *(int32_t *)(v54 - 32);
        g2 = (v62 & 15) > 16;
        g1 = v62 == 0;
        v48 = v62 - 1;
        g187 = v48 == 0;
        g9 = llvm_ctpop_i32(v48) % 2 == 1;
        v47 = (int32_t *)v54;
        g4 = *v47;
        g11 = v54 + 4;
        g8 = 164;
        v51 = *(int32_t *)g3;
        g5 = v51;
        *v47 = 0x4b7305;
        ((int32_t (*)())*(int32_t *)(v51 + 20))();
        v55 = g4;
        v59 = *(int32_t *)(v55 - 28);
        g2 = false;
        v46 = 17 * v59;
        g1 = v46 < 16 * v59;
        g187 = v46 == 0;
        g9 = llvm_ctpop_i32(v46) % 2 == 1;
        v63 = *(int32_t *)(136 * v59 + 8 + *(int32_t *)(v55 - 8));
        g3 = v63;
        g8 = v55 - 32;
        v52 = *(int32_t *)v63;
        g5 = v52;
        *(int32_t *)(g11 - 4) = 0x4b7323;
        ((int32_t (*)())*(int32_t *)(v52 + 12))();
        v56 = g4;
        if (*(int32_t *)(v56 - 32) == 1) {
            goto lab_0x4b732d;
        }
        goto lab_0x4b742a;
    }
    // 0x4b7450
    g8 = *(int32_t *)(*(int32_t *)(v4 - 16) + 4);
    g6 = 0x80b0;
    g3 = *(int32_t *)(v4 - 20);
    function_407924();
    g8 = g8 & -256 | 1;
    int32_t v91 = *(int32_t *)(g4 - 16); // 0x4b7465
    g3 = v91;
    int32_t v92 = *(int32_t *)v91; // 0x4b7468
    g6 = v92;
    ((int32_t (*)())*(int32_t *)(v92 - 4))();
}

// Address range: 0x4b78a4 - 0x4b78da
void function_4b78a4(void) {
    g6 = 1;
    g8 = 0x4b78cc;
    g3 = g154;
    int32_t v1;
    int32_t * v2;
    int32_t * v3;
    function_4b6fd8(v3, (char *)&v1, v2);
    function_4ac520();
}

// Address range: 0x4b78e0 - 0x4b7a93
int32_t function_4b78e0(char * a1) {
    int32_t v1;
    int32_t v2 = &v1; // ebp
    System__FinalizeRecord((char *)g6, "\x0e\x0a\x54\x53\x65\x61\x72\x63\x68\x52\x65\x63\x58\x01");
    System__ParamStr(g6);
    Sysutils__ExtractFileDir((char *)g6);
    g3 = 0;
    int32_t * v3;
    function_402c58(v3);
    int32_t v4;
    Sysutils__FindFirst((char *)&v4, 63, v3);
    int32_t v5 = 0x4b7a3c; // 0x4b7960
    bool v6 = v5 == 0; // zf
    if (v5 == 0) {
        int32_t * v7 = &v4; // 0x4b79f31
        // branch -> 0x4b7968
        int32_t * v8; // 0x4b79f32
        while (true) {
            int32_t v9 = (int32_t)v7; // 0x4b7973_1
            System__LStrCmp(v9);
            v8 = v7;
            if (!v6) {
                // 0x4b797a
                System__LStrCmp(v9);
                if (!v6) {
                    // 0x4b798c
                    Sysutils__LowerCase((char *)v7);
                    System__LStrCmp(v9);
                    if (!v6) {
                        // 0x4b79af
                        int32_t v10;
                        System__LStrCat3(v10);
                        g8 = 0;
                        g3 = g154;
                        function_4b6fd8(v3, (char *)0x4b7a27, (int32_t *)v2);
                        v8 = (int32_t *)1;
                        // branch -> 0x4b79da
                    } else {
                        v8 = v7;
                    }
                } else {
                    v8 = v7;
                }
            }
            // 0x4b79da
            Sysutils__FindNext(v8);
            int32_t v11 = &v4; // 0x4b79e5
            v6 = v11 == 0;
            if (v11 != 0) {
                // break -> 0x4b79ed
                break;
            }
            v7 = v8;
            // continue -> 0x4b7968
        }
        // 0x4b79ed
        Sysutils__FindClose(v8);
        // branch -> 0x4b79f8
    }
    // 0x4b79f8
    abort();
    // UNREACHABLE
}

// Address range: 0x4b7a94 - 0x4b8077
void function_4b7a94(void) {
    System__FinalizeRecord((char *)g6, "\x0e\x0a\x54\x53\x65\x61\x72\x63\x68\x52\x65\x63\x58\x01");
    if (g3 == 0) {
        // 0x4b7baf
        abort();
        // UNREACHABLE
    }
    int32_t * v1 = (int32_t *)"OFF";
    int32_t v2 = g10; // 0x4b7adf
    int32_t v3 = g7; // 0x4b7adf
    int32_t * v4 = (int32_t *)v3; // 0x4b7adf_6
    g6 = (int32_t)"OFF";
    unknown_40d090();
    g7 = 1000;
    g10 = v3;
    System__ParamStr((int32_t)"\x0e\x0a\x54\x53\x65\x61\x72\x63\x68\x52\x65\x63\x58\x01");
    Sysutils__ExtractFileDir("\x0e\x0a\x54\x53\x65\x61\x72\x63\x68\x52\x65\x63\x58\x01");
    g3 = *(int32_t *)(v2 - 356);
    function_402c58(v1);
    int32_t v5 = v2 - 352; // 0x4b7b1f
    Sysutils__FindFirst((char *)v5, 63, v1);
    int32_t v6 = 0x4b7bf8; // 0x4b7b34
    bool v7 = v6 == 0; // zf
    int32_t * v8 = (int32_t *)1000; // 0x4b7baa_36
    int32_t * v9;
    if (v6 == 0) {
        int32_t * v10 = (int32_t *)1000; // 0x4b7baa_38
        int32_t * v11 = (int32_t *)v5; // 0x4b7b961
        // branch -> 0x4b7b38
        int32_t * v12; // 0x4b7b962
        int32_t * v13; // 0x4b7baa5
        int32_t * v14; // 0x4b7baa_37
        int32_t * v15; // 0x4b7baa10
        while (true) {
            int32_t v16 = (int32_t)v11; // 0x4b7b43_1
            System__LStrCmp(v16);
            v15 = v4;
            v14 = v10;
            v13 = v9;
            v12 = v11;
            if (!v7) {
                // 0x4b7b4a
                System__LStrCmp(v16);
                if (!v7) {
                    // 0x4b7b5c
                    System__LStrToPChar((char *)v11);
                    *(int32_t *)(v2 - 4) = *(int32_t *)(v2 - 340);
                    int32_t v17 = g10; // 0x4b7b6a
                    int32_t v18 = g7; // 0x4b7b6a
                    unknown_40d090();
                    g7 = 1000;
                    g10 = v18;
                    v2 = v17;
                    g5 = (int32_t)&v1;
                    v15 = (int32_t *)v17;
                    v14 = (int32_t *)v18;
                    v13 = (int32_t *)1000;
                    v12 = (int32_t *)0x4b7c1c;
                    // branch -> 0x4b7b81
                } else {
                    v15 = v4;
                    v14 = v10;
                    v13 = v9;
                    v12 = v11;
                }
            }
            // 0x4b7b81
            Sysutils__FindNext(v12);
            int32_t v19 = v2 - 352; // 0x4b7b8c
            v7 = v19 == 0;
            if (v19 != 0) {
                // break -> 0x4b7b90
                break;
            }
            v4 = v15;
            v10 = v14;
            v9 = v13;
            v11 = v12;
            // continue -> 0x4b7b38
        }
        // 0x4b7b90
        Sysutils__FindClose(v12);
        v4 = v15;
        v8 = v14;
        v9 = v13;
        // branch -> 0x4b7b9b
    }
    // 0x4b7b9b
    g6 = 1;
    g8 = 0x4b7c28;
    g3 = g154;
    function_4b6fd8(v9, (char *)v8, v4);
    // branch -> 0x4b7baf
    // 0x4b7baf
    abort();
    // UNREACHABLE
}

// Address range: 0x4b8078 - 0x4b80a3
void function_4b8078(void) {
    // 0x4b8078
    unknown_50e5c0();
}

// Address range: 0x4b80a4 - 0x4b822e
void function_4b80a4(void) {
    // 0x4b80a4
    abort();
    // UNREACHABLE
}

// Address range: 0x4b8230 - 0x4b834f
void function_4b8230(void) {
    // 0x4b8230
    abort();
    // UNREACHABLE
}

// Address range: 0x4b8350 - 0x4b8437
void function_4b8350(void) {
    // 0x4b8350
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b8438 - 0x4b845b
void function_4b8438(void) {
    int32_t v1 = 0x51ed70; // bp-16
    struct struct_19 * v2 = (struct struct_19 *)g10; // bp-44
    int32_t v3 = g7; // 0x4b844b
    unknown_51ed70();
    g7 = g8;
    g10 = v3;
    g5 = &v1;
    g11 = (int32_t)v2 + 8;
}

// Address range: 0x4b845c - 0x4b84df
void function_4b845c(void) {
    // 0x4b845c
    System__LStrAddRef((char *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b84e0 - 0x4b8503
void function_4b84e0(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g3; // 0x4b84e6
    uint32_t v3 = *(int32_t *)v2; // 0x4b84ec
    g2 = (v3 & 15) > 11;
    g1 = v3 > 0xfffffffb;
    int32_t v4 = v3 + 4; // 0x4b84ee
    g187 = v4 == 0;
    g9 = llvm_ctpop_i32(v4) % 2 == 1;
    int32_t v5 = ((struct struct_19 *)v2)->e1; // 0x4b84f1
    g3 = v5;
    g6 = v2;
    int32_t v6;
    int32_t v7;
    ((int32_t (*)(int32_t, int32_t, int32_t, int32_t, int32_t))v5)(1, g7, g10, v7, v6);
}

// Address range: 0x4b8504 - 0x4b853f
void function_4b8504(void) {
    // 0x4b8504
    unknown_594aec();
}

// Address range: 0x4b8540 - 0x4b857b
void function_4b8540(void) {
    // 0x4b8540
    unknown_5923af();
}

// Address range: 0x4b857c - 0x4b85af
void function_4b857c(void) {
    // 0x4b857c
    unknown_592100();
}

// Address range: 0x4b85b0 - 0x4b85cf
void function_4b85b0(void) {
    // 0x4b85b0
    unknown_591fc0();
}

// Address range: 0x4b85d0 - 0x4b8607
void function_4b85d0(void) {
    // 0x4b85d0
    unknown_591ec9();
}

// Address range: 0x4b8608 - 0x4b8633
void function_4b8608(void) {
    // 0x4b8608
    unknown_591dd4();
}

// Address range: 0x4b8634 - 0x4b8687
void function_4b8634(void) {
    int32_t v1;
    g4 = &v1;
    int32_t v2 = g6; // 0x4b863a
    int32_t v3 = v2; // bp-28
    int32_t v4 = g8; // 0x4b863d
    int32_t v5 = g3; // 0x4b8640
    g2 = false;
    g1 = false;
    g187 = v2 == 0;
    g9 = llvm_ctpop_i32(v2) % 2 == 1;
    int32_t v6 = v2;
    if (v2 == 0) {
        // 0x4b8655
        v6 = *(int32_t *)(*(int32_t *)(g160 + 12) + 4);
        // branch -> 0x4b866d
    }
    // 0x4b866d
    g3 = v6;
    int32_t v7 = g5; // 0x4b866d
    struct struct_19 * v8 = (struct struct_19 *)g10; // bp-56
    int32_t v9 = g7; // 0x4b866d
    g6 = v4;
    g8 = v5;
    ((int32_t (*)(int32_t, int32_t))0x4d52e0)(v6, v9);
    g7 = v6;
    g10 = v9;
    int32_t v10 = (int32_t)v8; // 0x4b867d
    g5 = &v3;
    g8 = v7;
    g6 = v4;
    g3 = *(int32_t *)(v10 - 20);
    g4 = v8->e0;
    g11 = v10 + 8;
}

// Address range: 0x4b8688 - 0x4b86bb
void function_4b8688(void) {
    // 0x4b8688
    System__LStrToPChar((char *)g6);
    unknown_48a290();
}

// Address range: 0x4b86bc - 0x4b878b
void function_4b86bc(void) {
    // 0x4b86bc
    g3 = *(int32_t *)(g160 + 12);
    function_4b8fcc();
    int32_t v1 = g3 - 1; // 0x4b86d7
    if (v1 < 1) {
        // 0x4b8781
        return;
    }
    int32_t v2 = 1; // 0x4b87754
    while (true) {
        // 0x4b86ea
        g3 = *(int32_t *)(g160 + 12);
        g8 = v2;
        function_4b8f94();
        int32_t v3 = g3; // 0x4b86fc
        int32_t v4; // 0x4b8778
        if (*(int32_t *)(v3 + 4) != 0) {
            // 0x4b8708
            g8 = 0;
            g3 = v3;
            function_4b8f4c();
            if (g3 == 0x5edbd8) {
                // 0x4b8719
                g8 = 68;
                g3 = v3;
                function_4b8f4c();
                if (g3 != 0) {
                    // 0x4b872a
                    g8 = 80;
                    g3 = v3;
                    function_4b8f4c();
                    if (g3 != 0) {
                        // 0x4b873b
                        g8 = 80;
                        g3 = v3;
                        function_4b8f4c();
                        int32_t v5 = g3; // 0x4b8748
                        g8 = 64;
                        g3 = v3;
                        function_4b8f4c();
                        int32_t v6 = v5 + 16 * g3; // 0x4b875a
                        g5 = v6;
                        g8 = v6;
                        g3 = 2;
                        function_4b8634();
                        // branch -> 0x4b876d
                    }
                    // 0x4b876d
                    System__TObject__Free(0);
                    v4 = v1 - 1;
                    if (v4 == 0) {
                        // break -> 0x4b8781
                        break;
                    }
                    v2++;
                    v1 = v4;
                    // continue -> 0x4b86ea
                    continue;
                }
                // 0x4b876d
                System__TObject__Free(0);
                v4 = v1 - 1;
                if (v4 == 0) {
                    // break -> 0x4b8781
                    break;
                }
                v2++;
                v1 = v4;
                // continue -> 0x4b86ea
                continue;
            }
        }
        // 0x4b876d
        System__TObject__Free(0);
        v4 = v1 - 1;
        if (v4 == 0) {
            // break -> 0x4b8781
            break;
        }
        v2++;
        v1 = v4;
        // continue -> 0x4b86ea
    }
}

// Address range: 0x4b878c - 0x4b881b
void function_4b878c(void) {
    int32_t v1;
    int32_t v2 = &v1; // ebp
    GetKeyboardState();
    // branch -> 0x4b87a8
    for (int32_t i = 1; i < 224; i++) {
        int32_t v3 = i - 260; // 0x4b87ab
        unsigned char v4 = *(char *)(v3 + v2); // 0x4b87ab
        *(char *)(i + 0x4ffd13) = (char)((int32_t)v4 & 128 & ((int32_t)g159 ^ 128));
        g159 = *(char *)(v2 + v3) & -128;
        *(char *)(i + 0x4ffbe7) = g158 != 0;
        char v5 = *(char *)(v2 + v3); // 0x4b87f8
        *(char *)(i + 0x4ffe3f) = (char)(((int32_t)(v5 > -1) | i & -256) ^ 1);
        // continue -> 0x4b87a8
    }
}

// Address range: 0x4b881c - 0x4b8853
void function_4b881c(void) {
    // branch -> 0x4b8827
    for (int32_t i = 1; i < 224; i++) {
        // 0x4b8827
        g158 = 0;
        *(char *)(i + 0x4ffbe7) = 0;
        *(char *)(i + 0x4ffe3f) = 0;
        // continue -> 0x4b8827
    }
}

// Address range: 0x4b8854 - 0x4b888b
void function_4b8854(void) {
    // 0x4b8854
    g3 = g123 + 8;
    function_4b8d1c();
    unknown_516fc0();
}

// Address range: 0x4b888c - 0x4b88c7
void function_4b888c(void) {
    // 0x4b888c
    g3 = g123 + 8;
    function_4b8d1c();
    unknown_517010();
}

// Address range: 0x4b88c8 - 0x4b892f
void function_4b88c8(void) {
    int32_t v1 = g3; // 0x4b88d1
    g3 = v1 + 268;
    function_4b8d1c();
    if (g3 <= g8) {
        // 0x4b88e6
        // branch -> 0x4b8929
        // 0x4b8929
        g3 = 0;
        return;
    }
    // 0x4b88ed
    g3 = v1 + 260;
    function_4b8d1c();
    int32_t v2 = g3; // 0x4b88fa
    if (g8 < 1) {
        // 0x4b8929
        g3 = v2;
        return;
    }
    // 0x4b8905
    g3 = v2;
    function_4b8d1c();
    int32_t v3 = g3; // 0x4b8918
    int32_t v4 = g8 - 1; // 0x4b891e
    // branch -> 0x4b8910
    while (v4 != 0) {
        // 0x4b8910
        g3 = v3;
        function_4b8d1c();
        v3 = g3;
        v4--;
        // continue -> 0x4b8910
    }
    // 0x4b8929
    g3 = v3;
}

// Address range: 0x4b8930 - 0x4b8d03
void function_4b8930(void) {
    // 0x4b8930
    function_4b88c8();
    if (g3 == 0) {
        // 0x4b8950
        // branch -> 0x4b8962
    }
}

// Address range: 0x4b8d04 - 0x4b8d1b
void function_4b8d04(void) {
    int32_t v1 = g3; // bp-8
    unknown_50e320();
    g11 = &v1;
    int32_t v2;
    g4 = v2;
}

// Address range: 0x4b8d1c - 0x4b8d33
void function_4b8d1c(void) {
    // 0x4b8d1c
    g2 = (g11 & 15) > 7;
    g1 = g11 > 7;
    int32_t v1 = g11 - 8; // 0x4b8d1f
    g187 = v1 == 0;
    g9 = llvm_ctpop_i32(v1) % 2 == 1;
    int32_t v2 = g3; // 0x4b8d22
    g3 = *(int32_t *)v2;
    g6 = v2;
    int32_t v3;
    g4 = v3;
}

// Address range: 0x4b8d34 - 0x4b8d4b
void function_4b8d34(void) {
    // 0x4b8d34
    *(int32_t *)g3 = g8;
    g6 = g3;
    int32_t v1;
    g4 = v1;
}

// Address range: 0x4b8d4c - 0x4b8df3
void function_4b8d4c(void) {
    // 0x4b8d4c
    char v1;
    if (g8 == 0) {
        // 0x4b8d4c
        v1 = 0;
        // branch -> 0x4b8d5e
    } else {
        // 0x4b8d56
        System__ClassCreate((int32_t *)g6, g8);
        v1 = g8;
        // branch -> 0x4b8d5e
    }
    int32_t * v2 = (int32_t *)(g3 + 4); // 0x4b8d6d_0
    *v2 = g6;
    int32_t * v3 = NULL; // bp-20
    int32_t v4 = 4 * (int32_t)NULL; // 0x4b8d82
    *(int32_t *)(g3 + 8 + v4) = v4 + *v2;
    int32_t * v5 = v3; // 0x4b8da4_0
    int32_t v6 = 4 * (int32_t)v5; // 0x4b8da7
    *(int32_t *)(g3 + 292 + v6) = *v2 + 284 + v6;
    int32_t v7 = (int32_t)v3 + 1; // 0x4b8dca
    int32_t * v8 = (int32_t *)v7; // 0x4b8dca_4
    v3 = v8;
    // branch -> 0x4b8d75
    while (v7 != 71) {
        // 0x4b8d75
        v4 = 4 * (int32_t)v8;
        *(int32_t *)(g3 + 8 + v4) = v4 + *v2;
        v5 = v3;
        v6 = 4 * (int32_t)v5;
        *(int32_t *)(g3 + 292 + v6) = *v2 + 284 + v6;
        v7 = (int32_t)v3 + 1;
        v8 = (int32_t *)v7;
        v3 = v8;
        // continue -> 0x4b8d75
    }
    // 0x4b8dd3
    if (v1 == 0) {
        // 0x4b8deb
        return;
    }
    // 0x4b8ddc
    System__AfterConstruction(v5);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b8df4 - 0x4b8e1f
void function_4b8df4(void) {
    // 0x4b8df4
    g3 = *(int32_t *)(g160 + 8);
    g8 = 1352;
    function_4b8f4c();
    g3 += 460;
    g8 = 1;
    function_4b8d34();
}

// Address range: 0x4b8e20 - 0x4b8e57
void function_4b8e20(void) {
    int32_t v1 = g8; // 0x4b8e26
    g6 = *(int32_t *)(g3 + 4) + 0x6468 + 568 * v1;
    g8 = v1 & -256 | 1;
    g3 = 0x4b8bf8;
    function_4b8d4c();
}

// Address range: 0x4b8e58 - 0x4b8ea7
void function_4b8e58(void) {
    int32_t * v1 = (int32_t *)(g3 + 4); // 0x4b8e67_0
    int32_t v2 = 1308 * g8; // 0x4b8e6f
    g6 = *v1 + 0x6468 + 568 * *(int32_t *)(v2 + 0x45b8 + *v1);
    g8 = v2 & -256 | 1;
    g3 = 0x4b8bf8;
    function_4b8d4c();
    g3 = (int32_t)"\x0a\x54\x54\x65\x61\x6d\x53\x74\x6f\x72\x65\x90\x50\x8c\x4b";
}

// Address range: 0x4b8ea8 - 0x4b8ecf
void function_4b8ea8(void) {
    // 0x4b8ea8
    g3 = unknown_50e2f0();
}

// Address range: 0x4b8ed0 - 0x4b8f4b
void function_4b8ed0(void) {
    // 0x4b8ed0
    g8 = 236;
    function_4b8f4c();
    unknown_4d37f0();
}

// Address range: 0x4b8f4c - 0x4b8f6f
void function_4b8f4c(void) {
    // 0x4b8f4c
    g3 = *(int32_t *)(*(int32_t *)(g3 + 4) + g8);
}

// Address range: 0x4b8f70 - 0x4b8f93
void function_4b8f70(void) {
    // 0x4b8f70
    *(int32_t *)(*(int32_t *)(g3 + 4) + g8) = g6;
}

// Address range: 0x4b8f94 - 0x4b8fcb
void function_4b8f94(void) {
    int32_t v1 = 4 * g8; // 0x4b8fae
    g6 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g3 + 4) + 20) + v1);
    g8 = v1 & -256 | 1;
    g3 = 0x4b8aa0;
    function_4b90dc();
}

// Address range: 0x4b8fcc - 0x4b8feb
void function_4b8fcc(void) {
    // 0x4b8fcc
    g3 = *(int32_t *)(*(int32_t *)(g3 + 4) + 16);
}

// Address range: 0x4b8fec - 0x4b9023
void function_4b8fec(void) {
    int32_t v1 = 4 * g8; // 0x4b9006
    g6 = *(int32_t *)(*(int32_t *)(*(int32_t *)(g3 + 4) + 36) + v1);
    g8 = v1 & -256 | 1;
    g3 = 0x4b8aa0;
    function_4b90dc();
}

// Address range: 0x4b9024 - 0x4b9043
void function_4b9024(void) {
    // 0x4b9024
    return;
}

// Address range: 0x4b9044 - 0x4b9097
void function_4b9044(void) {
    char v1 = 0;
    if (g8 != 0) {
        // 0x4b904e
        System__ClassCreate((int32_t *)g6, g8);
        v1 = g8;
        // branch -> 0x4b9056
    }
    int32_t v2 = g3; // 0x4b905c
    *(int32_t *)(v2 + 8) = g6 + 816;
    *(int32_t *)(v2 + 4) = g6;
    g3 = v2;
    if (v1 == 0) {
        // 0x4b908e
        g3 = v2;
        return;
    }
    // 0x4b907f
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b9098 - 0x4b90db
void function_4b9098(void) {
    char v1 = 0;
    if (g8 != 0) {
        // 0x4b90a2
        System__ClassCreate((int32_t *)g6, g8);
        v1 = g8;
        // branch -> 0x4b90aa
    }
    // 0x4b90aa
    *(int32_t *)(g3 + 4) = g6;
    if (v1 == 0) {
        // 0x4b90d4
        return;
    }
    // 0x4b90c5
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b90dc - 0x4b9163
void function_4b90dc(void) {
    int32_t v1;
    g11 = &v1;
    char v2 = 0;
    if (g8 != 0) {
        // 0x4b90e6
        int32_t v3;
        g11 = &v3;
        System__ClassCreate((int32_t *)g6, g8);
        v2 = g8;
        // branch -> 0x4b90ee
    }
    // 0x4b90ee
    v1 = g6;
    int32_t v4 = g3; // 0x4b90f4
    *(int32_t *)(v4 + 4) = g6;
    *(int32_t *)(v4 + 12) = v1 + 140;
    *(int32_t *)(v4 + 16) = v1 + 144;
    *(int32_t *)(v4 + 20) = v1 + 152;
    *(int32_t *)(v4 + 24) = v1 + 156;
    *(int32_t *)(v4 + 8) = v1 + 76;
    g3 = v4;
    if (v2 == 0) {
        // 0x4b915c
        g3 = v4;
        return;
    }
    // 0x4b914d
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b9164 - 0x4b91a7
void function_4b9164(void) {
    char v1 = 0;
    if (g8 != 0) {
        // 0x4b916e
        System__ClassCreate((int32_t *)g6, g8);
        v1 = g8;
        // branch -> 0x4b9176
    }
    // 0x4b9176
    *(int32_t *)(g3 + 4) = g6;
    if (v1 == 0) {
        // 0x4b91a0
        return;
    }
    // 0x4b9191
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b91a8 - 0x4b91eb
void function_4b91a8(void) {
    int32_t v1;
    g11 = &v1;
    char v2 = 0;
    if (g8 != 0) {
        // 0x4b91b2
        int32_t v3;
        g11 = &v3;
        System__ClassCreate((int32_t *)g6, g8);
        v2 = g8;
        // branch -> 0x4b91ba
    }
    // 0x4b91ba
    v1 = g6;
    int32_t v4 = g3; // 0x4b91c0
    *(int32_t *)(v4 + 4) = g6;
    g3 = v4;
    if (v2 == 0) {
        // 0x4b91e4
        g3 = v4;
        return;
    }
    // 0x4b91d5
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b91ec - 0x4b922f
void function_4b91ec(void) {
    char v1 = 0;
    if (g8 != 0) {
        // 0x4b91f6
        System__ClassCreate((int32_t *)g6, g8);
        v1 = g8;
        // branch -> 0x4b91fe
    }
    // 0x4b91fe
    *(int32_t *)(g3 + 4) = g6;
    if (v1 == 0) {
        // 0x4b9228
        return;
    }
    // 0x4b9219
    System__AfterConstruction((int32_t *)g6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b9230 - 0x4b97a3
void function_4b9230(void) {
    int32_t v1 = g8; // 0x4b9236
    char v2;
    if (v1 == 0) {
        // 0x4b9230
        v2 = 0;
        // branch -> 0x4b9242
    } else {
        // 0x4b923a
        System__ClassCreate((int32_t *)g6, v1);
        v2 = g8;
        // branch -> 0x4b9242
    }
    int32_t v3 = g6; // 0x4b9242
    int32_t v4 = g3; // 0x4b9248
    *(int32_t *)(v4 + 4) = v3;
    g6 = *(int32_t *)(v3 + 1320);
    g8 = v3 & -256 | 1;
    g3 = 0x4b8af4;
    function_4b9044();
    *(int32_t *)(v4 + 8) = g3;
    *(int32_t *)(v4 + 12) = v3 + 0x7728;
    *(int32_t *)(v4 + 16) = v3 + 0x772c;
    *(int32_t *)(v4 + 20) = v3 + 0x8bb4;
    *(int32_t *)(v4 + 24) = v3 + 0x8bb8;
    int32_t v5 = 1; // 0x4b930a1
    // branch -> 0x4b92af
    int32_t * v6; // 0x4b92fa_0
    while (true) {
        int32_t v7 = 32 * v5 + v4 - 8; // 0x4b92fd
        int32_t v8 = v3 + 0x3ac0 + 1308 * v5; // 0x4b92cd
        v6 = (int32_t *)1;
        int32_t v9 = (int32_t)v6; // 0x4b92d9
        *(int32_t *)(v7 + 4 * v9) = v8 + 156 * v9;
        int32_t v10 = (int32_t)(int32_t *)1 + 1; // 0x4b9301
        int32_t * v11 = (int32_t *)v10; // 0x4b9301_4
        // branch -> 0x4b92b6
        while (v10 != 9) {
            // 0x4b92b6
            v6 = v11;
            v9 = (int32_t)v6;
            *(int32_t *)(v7 + 4 * v9) = v8 + 156 * v9;
            v10 = (int32_t)v11 + 1;
            v11 = (int32_t *)v10;
            // continue -> 0x4b92b6
        }
        int32_t v12 = v5 + 1; // 0x4b930a
        if (v12 == 7) {
            // break -> 0x4b9313
            break;
        }
        v5 = v12;
        // continue -> 0x4b92af
    }
    // 0x4b9313
    if (v2 == 0) {
        // 0x4b932b
        return;
    }
    // 0x4b931c
    System__AfterConstruction(v6);
    abort();
    // UNREACHABLE
}

// Address range: 0x4b97a4 - 0x4b9f82
int32_t OnHook(int32_t a1, int32_t a2) {
    int32_t v1 = g5; // 0x4b97aa
    int32_t * v2 = (int32_t *)v1; // 0x4b97aa_0
    int32_t v3 = 4 * a1; // 0x4b97b5
    unknown_49bc3c();
    int32_t v4 = unknown_42710c(); // 0x4b97c0
    char v5 = v4; // 0x4b97c5
    int32_t v6 = unknown_4270fc(); // 0x4b97c8
    char v7 = v6; // 0x4b97cd
    int32_t v8 = v6 & -256; // 0x4b97d0
    int32_t v9 = v8 | v4 & 255; // 0x4b97d0
    int32_t v10 = v9; // 0x4b986a
    char * v11;
    int32_t * v12;
    int32_t * v13;
    int32_t v14; // 0x4b991e
    int32_t v15; // 0x4b9934
    int32_t result; // 0x4b994c
    int32_t v16; // 0x4b986a
    int32_t v17; // 0x4b986a
    if (v9 != (int32_t)g164) {
        // 0x4b97df
        if ((v9 - 1 & 255) != 0) {
            // 0x4b97e8
            if (v8 == 0) {
                // 0x4b9822
                g3 = g154;
                g6 = 1;
                g8 = 0x4b99a0;
                function_4b6fd8(v2, v11, v13);
                // branch -> 0x4b9850
            } else {
                // 0x4b97ec
                g3 = v8 | v4 + 253 & 255;
                // branch -> 0x4b9850
            }
            // 0x4b9850
            if (v5 != 0) {
                // 0x4b9856
                g3 &= -256;
                unknown_42711c();
                // branch -> 0x4b9862
            }
            // 0x4b9862
            g164 = 0;
            // branch -> 0x4b986a
            // 0x4b986a
            v16 = g3 & -256 & -256;
            v17 = v16 | v6 & 255;
            if (v17 == (int32_t)g165) {
                // 0x4b98ee
                *(int32_t *)(*(int32_t *)(g71 + v3) + 56) = 0;
                g3 = *(int32_t *)(g71 + v3);
                g8 = 0;
                function_475aac((char *)v1, v11);
                g8 = a1;
                v14 = *(int32_t *)(g71 + v3);
                g5 = v14;
                g3 = a1;
                ((int32_t (*)())*(int32_t *)(v14 + 52))();
                v15 = *(int32_t *)(*(int32_t *)(g71 + v3) + 56);
                *(int32_t *)g57 = v15;
                g8 = a1;
                result = *(int32_t *)(*(int32_t *)(g71 + v3) + 56);
                g3 = result;
                g5 = v1;
                g6 = result;
                g4 = (int32_t)v12;
                return result;
            }
            // 0x4b9875
            if ((v17 - 1 & 255) == 0) {
                // 0x4b98a0
                g3 = g154;
                g6 = 1;
                g8 = 0x4b99fc;
                function_4b6fd8(v2, v11, v13);
                // branch -> 0x4b98e6
                // 0x4b98e6
                g165 = v7;
                // branch -> 0x4b98ee
                // 0x4b98ee
                *(int32_t *)(*(int32_t *)(g71 + v3) + 56) = 0;
                g3 = *(int32_t *)(g71 + v3);
                g8 = 0;
                function_475aac((char *)v1, v11);
                g8 = a1;
                v14 = *(int32_t *)(g71 + v3);
                g5 = v14;
                g3 = a1;
                ((int32_t (*)())*(int32_t *)(v14 + 52))();
                v15 = *(int32_t *)(*(int32_t *)(g71 + v3) + 56);
                *(int32_t *)g57 = v15;
                g8 = a1;
                result = *(int32_t *)(*(int32_t *)(g71 + v3) + 56);
                g3 = result;
                g5 = v1;
                g6 = result;
                g4 = (int32_t)v12;
                return result;
            }
            // 0x4b987e
            if (v16 == 0) {
                // 0x4b98b8
                g3 = g154;
                g6 = 1;
                g8 = 0x4b9a18;
                function_4b6fd8(v2, v11, v13);
                // branch -> 0x4b98e6
            } else {
                // 0x4b9882
                g3 = v16 | v6 + 253 & 255;
                // branch -> 0x4b98e6
            }
            // 0x4b98e6
            g165 = v7;
            // branch -> 0x4b98ee
            // 0x4b98ee
            *(int32_t *)(*(int32_t *)(g71 + v3) + 56) = 0;
            g3 = *(int32_t *)(g71 + v3);
            g8 = 0;
            function_475aac((char *)v1, v11);
            g8 = a1;
            v14 = *(int32_t *)(g71 + v3);
            g5 = v14;
            g3 = a1;
            ((int32_t (*)())*(int32_t *)(v14 + 52))();
            v15 = *(int32_t *)(*(int32_t *)(g71 + v3) + 56);
            *(int32_t *)g57 = v15;
            g8 = a1;
            result = *(int32_t *)(*(int32_t *)(g71 + v3) + 56);
            g3 = result;
            g5 = v1;
            g6 = result;
            g4 = (int32_t)v12;
            return result;
        }
        // 0x4b980a
        g3 = g154;
        g6 = 1;
        g8 = 0x4b9980;
        function_4b6fd8(v2, v11, v13);
        // branch -> 0x4b9850
        // 0x4b9850
        if (v5 != 0) {
            // 0x4b9856
            g3 &= -256;
            unknown_42711c();
            // branch -> 0x4b9862
        }
        // 0x4b9862
        g164 = 0;
        v10 = g3 & -256;
        // branch -> 0x4b986a
    }
    // 0x4b986a
    v16 = v10 & -256;
    v17 = v16 | v6 & 255;
    if (v17 == (int32_t)g165) {
        // 0x4b98ee
        *(int32_t *)(*(int32_t *)(g71 + v3) + 56) = 0;
        g3 = *(int32_t *)(g71 + v3);
        g8 = 0;
        function_475aac((char *)v1, v11);
        g8 = a1;
        v14 = *(int32_t *)(g71 + v3);
        g5 = v14;
        g3 = a1;
        ((int32_t (*)())*(int32_t *)(v14 + 52))();
        v15 = *(int32_t *)(*(int32_t *)(g71 + v3) + 56);
        *(int32_t *)g57 = v15;
        g8 = a1;
        result = *(int32_t *)(*(int32_t *)(g71 + v3) + 56);
        g3 = result;
        g5 = v1;
        g6 = result;
        g4 = (int32_t)v12;
        return result;
    }
    // 0x4b9875
    if ((v17 - 1 & 255) == 0) {
        // 0x4b98a0
        g3 = g154;
        g6 = 1;
        g8 = 0x4b99fc;
        function_4b6fd8(v2, v11, v13);
        // branch -> 0x4b98e6
        // 0x4b98e6
        g165 = v7;
        // branch -> 0x4b98ee
        // 0x4b98ee
        *(int32_t *)(*(int32_t *)(g71 + v3) + 56) = 0;
        g3 = *(int32_t *)(g71 + v3);
        g8 = 0;
        function_475aac((char *)v1, v11);
        g8 = a1;
        v14 = *(int32_t *)(g71 + v3);
        g5 = v14;
        g3 = a1;
        ((int32_t (*)())*(int32_t *)(v14 + 52))();
        v15 = *(int32_t *)(*(int32_t *)(g71 + v3) + 56);
        *(int32_t *)g57 = v15;
        g8 = a1;
        result = *(int32_t *)(*(int32_t *)(g71 + v3) + 56);
        g3 = result;
        g5 = v1;
        g6 = result;
        g4 = (int32_t)v12;
        return result;
    }
    // 0x4b987e
    if (v16 == 0) {
        // 0x4b98b8
        g3 = g154;
        g6 = 1;
        g8 = 0x4b9a18;
        function_4b6fd8(v2, v11, v13);
        // branch -> 0x4b98e6
    } else {
        // 0x4b9882
        g3 = v16 | v6 + 253 & 255;
        // branch -> 0x4b98e6
    }
    // 0x4b98e6
    g165 = v7;
    // branch -> 0x4b98ee
    // 0x4b98ee
    *(int32_t *)(*(int32_t *)(g71 + v3) + 56) = 0;
    g3 = *(int32_t *)(g71 + v3);
    g8 = 0;
    function_475aac((char *)v1, v11);
    g8 = a1;
    v14 = *(int32_t *)(g71 + v3);
    g5 = v14;
    g3 = a1;
    ((int32_t (*)())*(int32_t *)(v14 + 52))();
    v15 = *(int32_t *)(*(int32_t *)(g71 + v3) + 56);
    *(int32_t *)g57 = v15;
    g8 = a1;
    result = *(int32_t *)(*(int32_t *)(g71 + v3) + 56);
    g3 = result;
    g5 = v1;
    g6 = result;
    g4 = (int32_t)v12;
    return result;
}

// Address range: 0x4b9f84 - 0x4bb1ff
int32_t entry_point(int32_t a1, char * a2, int32_t a3, int32_t a4, int32_t a5, int32_t a6, int32_t a7, int32_t a8, int32_t a9, int32_t a10, int32_t a11) {
    // 0x4b9f84
    Sysinit__InitLib(0);
    abort();
    // UNREACHABLE
}
